/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
/**
 * Describes the public facade of the {@link sap.m.SelectionDetails} control.
 * @name sap.m.SelectionDetailsFacade
 * @class The public facade of the {@link sap.m.SelectionDetails} control.
 * @since 1.48.0
 * @public
 * @author SAP SE
 * @version 1.128.0
 * @borrows sap.ui.core.Element#addCustomData as #addCustomData
 * @borrows sap.ui.core.Element#getCustomData as #getCustomData
 * @borrows sap.ui.core.Element#indexOfCustomData as #indexOfCustomData
 * @borrows sap.ui.core.Element#insertCustomData as #insertCustomData
 * @borrows sap.ui.core.Element#removeCustomData as #removeCustomData
 * @borrows sap.ui.core.Element#removeAllCustomData as #removeAllCustomData
 * @borrows sap.ui.core.Element#destroyCustomData as #destroyCustomData
 * @borrows sap.ui.core.Element#data as #data
 * @borrows sap.ui.core.Element#addEventDelegate as #addEventDelegate
 * @borrows sap.ui.core.Element#removeEventDelegate as #removeEventDelegate
 * @borrows sap.m.SelectionDetails#attachBeforeOpen as #attachBeforeOpen
 * @borrows sap.m.SelectionDetails#detachBeforeOpen as #detachBeforeOpen
 * @borrows sap.m.SelectionDetails#attachBeforeClose as #attachBeforeClose
 * @borrows sap.m.SelectionDetails#detachBeforeClose as #detachBeforeClose
 * @borrows sap.m.SelectionDetails#attachNavigate as #attachNavigate
 * @borrows sap.m.SelectionDetails#detachNavigate as #detachNavigate
 * @borrows sap.m.SelectionDetails#attachActionPress as #attachActionPress
 * @borrows sap.m.SelectionDetails#detachActionPress as #detachActionPress
 * @borrows sap.m.SelectionDetails#addAction as #addAction
 * @borrows sap.m.SelectionDetails#removeAction as #removeAction
 * @borrows sap.m.SelectionDetails#removeAllActions as #removeAllActions
 * @borrows sap.m.SelectionDetails#addActionGroup as #addActionGroup
 * @borrows sap.m.SelectionDetails#removeActionGroup as #removeActionGroup
 * @borrows sap.m.SelectionDetails#removeAllActionGroups as #removeAllActionGroups
 * @borrows sap.m.SelectionDetails#setWrapLabels as #setWrapLabels
 * @borrows sap.m.SelectionDetails#getWrapLabels as #getWrapLabels
 */
/**
 * Describes the public facade of the {@link sap.m.SelectionDetailsItem} element.
 * @name sap.m.SelectionDetailsItemFacade
 * @class The public facade of the {@link sap.m.SelectionDetailsItem} element.
 * @since 1.48.0
 * @public
 * @author SAP SE
 * @version 1.128.0
 * @borrows sap.ui.core.Element#addCustomData as #addCustomData
 * @borrows sap.ui.core.Element#getCustomData as #getCustomData
 * @borrows sap.ui.core.Element#indexOfCustomData as #indexOfCustomData
 * @borrows sap.ui.core.Element#insertCustomData as #insertCustomData
 * @borrows sap.ui.core.Element#removeCustomData as #removeCustomData
 * @borrows sap.ui.core.Element#removeAllCustomData as #removeAllCustomData
 * @borrows sap.ui.core.Element#destroyCustomData as #destroyCustomData
 * @borrows sap.ui.core.Element#data as #data
 * @borrows sap.ui.core.Element#addEventDelegate as #addEventDelegate
 * @borrows sap.ui.core.Element#removeEventDelegate as #removeEventDelegate
 * @borrows sap.m.SelectionDetailsItem#setEnableNav as #setEnableNav
 * @borrows sap.m.SelectionDetailsItem#getEnableNav as #getEnableNav
 * @borrows sap.m.SelectionDetailsItem#addAction as #addAction
 * @borrows sap.m.SelectionDetailsItem#removeAction as #removeAction
 * @borrows sap.m.SelectionDetails#setWrapLabels as #setWrapLabels
 * @borrows sap.m.SelectionDetails#getWrapLabels as #getWrapLabels
 */