/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
(function(){"use strict";if(typeof QUnit==="undefined"){throw new Error("qunit-junit.js: QUnit is not loaded yet!")}var t=!(parseFloat(QUnit.version)>=2);var e=document.location.pathname.substr(1).replace(/\./g,"_").replace(/\//g,".")+document.location.search.replace(/\./g,"_");function n(t){return String(t||"default").replace(/\./g,"_")}QUnit.config.callbacks.begin.unshift(function(){var t=document.querySelector("#qunit");var e=document.querySelectorAll("#qunit-header,#qunit-banner,#qunit-userAgent,#qunit-testrunner-toolbar,#qunit-tests");var n=document.querySelector("#qunit-fixture");if(t==null&&e.length>0){t=document.createElement("DIV");t.id="qunit";e[0].parentNode.insertBefore(t,e[0]);for(var i=0;i<e.length;i++){t.appendChild(e[i])}}if(n==null&&t){n=document.createElement("DIV");n.id="qunit-fixture";t.parentNode.insertBefore(n,t.nextSibling)}});if(t){QUnit.equals=window.equals=window.equal;QUnit.raises=window.raises=window["throws"]}QUnit.moduleStart(function(t){t.name=e+"."+n(t.name)});QUnit.testStart(function(i){i.module=e+"."+n(i.module);if(t){window.assert=QUnit.config.current.assert}});if(t){QUnit.testDone(function(t){try{delete window.assert}catch(t){if(!window._$cleanupFailed){QUnit.test("A script loaded via script tag defines a global assert function!",function(e){e.ok(QUnit.config.ignoreCleanupFailure,t)});window._$cleanupFailed=true}}})}if(!QUnit.jUnitDone){i()}QUnit.jUnitDone(function(t){window._$jUnitReport.results=t.results;window._$jUnitReport.xml=t.xml});QUnit.log(function(t){window._$jUnitReport.tests=window._$jUnitReport.tests||[];var e=String(t.message)||(t.result?"okay":"failed");if(!t.result){if(t.expected!==undefined){e+="\nExpected: "+t.expected}if(t.actual!==undefined){e+="\nResult: "+t.actual}if(t.expected!==undefined&&t.actual!==undefined){e+="\nDiff: "+t.expected+" != "+t.actual}if(t.source){e+="\nSource: "+t.source}}window._$jUnitReport.tests.push({module:t.module,name:t.name,text:e,pass:t.result})});window._$jUnitReport={};function i(){
/**
		 * JUnit reporter for QUnit v1.1.1
		 *
		 * https://github.com/JamesMGreene/qunit-reporter-junit
		 *
		 * ##### BEGIN: MODIFIED BY SAP
		 * Support for nested modules was inspired by
		 * https://github.com/JamesMGreene/qunit-reporter-junit/pull/30
		 * (https://github.com/abstraktor/qunit-reporter-junit/commit/526cd95adf147f9867f5ec025e61d2cd9ee1aa3f).
		 * ##### END: MODIFIED BY SAP
		 *
		 * Copyright jQuery Foundation and other contributors
		 * Released under the MIT license.
		 * https://jquery.org/license/
		 */
if(QUnit.jUnitDone){return}var t,e,n,i,s,a,o=[],r=[];QUnit.jUnitReport=function(){};QUnit.jUnitDone=function(t){if(typeof t==="function"){if(s){t(s)}else{r.push(t)}}};a=function(){var t;do{t=r.shift();if(typeof t==="function"){t(s)}}while(r.length>0);if(typeof QUnit.jUnitReport==="function"){QUnit.jUnitReport(s)}};QUnit.begin(function(){t={modules:[],total:0,passed:0,failed:0,start:new Date,time:0};QUnit.testDone(function(t){n.time=(new Date).getTime()-n.start.getTime();n.total=t.total;n.passed=t.passed;n.failed=t.failed;n=null})});QUnit.moduleStart(function(n){o.push(e);e={name:n.name,tests:[],total:0,passed:0,failed:0,start:new Date,time:0,stdout:[],stderr:[]};t.modules.push(e)});QUnit.testStart(function(s){if(!e){e={name:s.module||"default",tests:[],total:0,passed:0,failed:0,start:new Date,time:0,stdout:[],stderr:[]};t.modules.push(e)}i=0;n={name:s.name,failedAssertions:[],total:0,passed:0,failed:0,start:new Date,time:0};e.tests.push(n)});QUnit.log(function(t){i++;if(!t.result){n.failedAssertions.push(t);e.stdout.push("["+e.name+", "+n.name+", "+i+"] "+t.message+(t.source?"\nSource: "+t.source:""))}});QUnit.moduleDone(function(t){e.time=(new Date).getTime()-e.start.getTime();e.total=t.total;e.passed=t.passed;e.failed=t.failed;e=o.pop()});QUnit.done(function(e){t.time=e.runtime||(new Date).getTime()-t.start.getTime();t.total=e.total;t.passed=e.passed;t.failed=e.failed;u(e,t)});var u=function(t,e){var n=function(t){return t<10?"0"+t:t};var i=function(t){return t.getUTCFullYear()+"-"+n(t.getUTCMonth()+1)+"-"+n(t.getUTCDate())+"T"+n(t.getUTCHours())+":"+n(t.getUTCMinutes())+":"+n(t.getUTCSeconds())+"Z"};var o=function(t){return Math.round(t*1e3)/1e6};var r=function(t){var e={"<":"&lt;",">":"&gt;","&":"&amp;",'"':"&quot;","'":"&apos;","\r":"","\n":"&#10;","\t":"&#9;"};return(""+t).replace(/[<>&"'\r\n\t]/g,function(t){return e.hasOwnProperty(t)?e[t]:t})};var u=function(t){if(!(this instanceof u)){return new u(t)}t=t||{};var e=[],n=[],i;var s=function(t){if(i[t]&&e[e.length-1]!=="\n"){e.push("\n")}};i=function(t){var e,n={};t=t||[];e=t.length;while(e--){n[t[e]]={}}return n}(t.linebreak_at);this.start=function(t,i,a){if(!a){n.push(t)}e.push("<"+t);for(var o in i){e.push(" "+r(o)+'="'+r(i[o])+'"')}e.push(a?" />":">");s(t)};this.end=function(){var t=n.pop();s(t);e.push("</"+t+">");s(t)};this.text=function(t){e.push(r(t))};this.cdata=function(t){e.push("<![CDATA["+t+"]]>")};this.comment=function(t){e.push("\x3c!--"+t+"--\x3e")};this.pi=function(t,n){e.push("<?"+t+(n?" "+n:"")+"?>\n")};this.doctype=function(t){e.push("<!DOCTYPE"+t+">\n")};this.getString=function(){while(n.length){this.end()}return e.join("").replace(/\n$/,"")};this.reset=function(){e.length=0;n.length=0};this.pi(t.xmldecl||'xml version="1.0" encoding="UTF-8"')};var l,d,f,c,m,p,h,g,U,w,v=new u({linebreak_at:["testsuites","testsuite","testcase","failure","expected","actual","system-out","system-err"]});v.start("testsuites",{name:typeof location!=="undefined"&&location&&location.href||e.modules.length===1&&e.modules[0].name||null,tests:e.total,failures:e.failed,errors:0,time:o(e.time)});for(l=0,d=e.modules.length;l<d;l++){f=e.modules[l];v.start("testsuite",{id:l,name:f.name,hostname:"localhost",tests:f.total,failures:f.failed,errors:0,time:o(f.time),timestamp:i(f.start)});for(c=0,m=f.tests.length;c<m;c++){p=f.tests[c];v.start("testcase",{name:p.name,time:o(p.time),timestamp:i(p.start)});for(h=0,g=p.failedAssertions.length;h<g;h++){U=p.failedAssertions[h];w=U&&!(U.actual&&U.expected);v.start("failure",{type:"AssertionFailedError",message:U.message},w);if(!w){v.start("actual",{value:U.actual},true);v.start("expected",{value:U.expected},true);v.end()}}v.end()}if(f.stdout&&f.stdout.length){v.start("system-out");v.cdata("\n"+f.stdout.join("\n")+"\n");v.end()}if(f.stderr&&f.stderr.length){v.start("system-err");v.cdata("\n"+f.stderr.join("\n")+"\n");v.end()}v.end()}v.end();s={results:t,xml:v.getString()};a()}}})();
//# sourceMappingURL=qunit-junit.js.map