/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/assert","sap/base/Log","sap/base/i18n/Localization","sap/base/strings/formatMessage","sap/base/util/Properties","sap/base/util/merge"],function(e,r,t,n,i,a){"use strict";var s=/^((?:[A-Z]{2,3}(?:-[A-Z]{3}){0,3})|[A-Z]{4}|[A-Z]{5,8})(?:-([A-Z]{4}))?(?:-([A-Z]{2}|[0-9]{3}))?((?:-[0-9A-Z]{5,8}|-[0-9][0-9A-Z]{3})*)((?:-[0-9A-WYZ](?:-[0-9A-Z]{2,8})+)*)(?:-(X(?:-[0-9A-Z]{1,8})+))?$/i;var o={he:"iw",yi:"ji",nb:"no"};var l={iw:"he",ji:"yi",no:"nb"};var u={en_US_saptrc:"1Q",en_US_sappsd:"2Q",en_US_saprigi:"3Q"};var f="en";var c=/(?:^|-)(saptrc|sappsd|saprigi)(?:-|$)/i;const h={_oCache:new Map,_delete(e){this._oCache.delete(e)},_load(e){return i.create(e)},_set(e,r){this._oCache.set(e,r)},get(e,r,t){if(this._oCache.has(e)){const r=this._oCache.get(e);if(t){return Promise.resolve(r)}else if(!(r instanceof Promise)){return r}}const n=this._load(r);if(n instanceof Promise){n.then(r=>{if(r){this._set(e,r)}else{this._delete(e)}}).catch(r=>{this._delete(e);throw r})}if(n){this._set(e,n)}return n}};function p(e,r){var t;if(typeof e==="string"&&(t=s.exec(e.replace(/_/g,"-")))){var n=t[1].toLowerCase();if(!r){n=o[n]||n}var i=t[2]?t[2].toLowerCase():undefined;var a=t[3]?t[3].toUpperCase():undefined;var l=t[4]?t[4].slice(1):undefined;var u=t[6];if(u&&(t=c.exec(u))||l&&(t=c.exec(l))){return"en_US_"+t[1].toLowerCase()}if(n==="zh"&&!a){if(i==="hans"){a="CN"}else if(i==="hant"){a="TW"}}if(n==="sr"&&i==="latn"){if(r){n="sr_Latn"}else{n="sh"}}return n+(a?"_"+a+(l?"_"+l.replace("-","_"):""):"")}}function d(e,r){if(e===""){return e}var t=p(e,r);if(t===undefined){throw new TypeError("Locale '"+e+"' is not a valid BCP47 language tag")}return t}function g(e){var r;r=t.getLanguage();r=p(r);return r||e}function _(e,r){var t;if(typeof e==="string"&&(t=s.exec(e.replace(/_/g,"-")))){var n=t[1].toLowerCase();var i=t[2]?t[2].toLowerCase():undefined;if(r&&n==="sh"&&!i){n="sr_Latn"}else if(!r&&n==="sr"&&i==="latn"){n="sh"}n=l[n]||n;return n+(t[3]?"-"+t[3].toUpperCase()+(t[4]?"-"+t[4].slice(1).replace("_","-"):""):"")}}var y=/^((?:[^?#]*\/)?[^\/?#]*)(\.[^.\/?#]+)((?:\?([^#]*))?(?:#(.*))?)$/;var b=[".properties",".hdbtextbundle"];function v(e){var r=y.exec(e);if(!r||b.indexOf(r[2])<0){throw new Error("resource URL '"+e+"' has unknown type (should be one of "+b.join(",")+")")}return{url:e,prefix:r[1],ext:r[2],query:r[4],hash:r[5]||"",suffix:r[2]+(r[3]||"")}}function m(e,r,n,i,a,s,o){this.sLocale=p(r)||g(s===undefined?f:s);this.oUrlInfo=v(e);this.bIncludeInfo=n;this.bAsync=i;this.aCustomBundles=[];this.aPropertyFiles=[];this.aPropertyOrigins=[];this.aLocales=[];this._aFallbackLocales=U(this.sLocale,a||t.getSupportedLanguages(),s," of the bundle '"+this.oUrlInfo.url+"'",o);if(i){var l=function(){return this}.bind(this);return L(this).then(l,l)}P(this)}m.prototype._enhance=function(e){if(e instanceof m){this.aCustomBundles.push(e)}else{r.error("Custom resource bundle is either undefined or not an instanceof sap/base/i18n/ResourceBundle. Therefore this custom resource bundle will be ignored!")}};m.prototype.getText=function(r,t,n){var i=this._getTextFromProperties(r,t);if(i!=null){return i}i=this._getTextFromFallback(r,t);if(i!=null){return i}if(n){return undefined}else{e(false,"could not find any translatable text for key '"+r+"' in bundle file(s): '"+this.aPropertyOrigins.join("', '")+"'");return this._formatValue(r,r,t)}};m.prototype._formatValue=function(e,t,i){if(typeof e==="string"){if(i!==undefined&&!Array.isArray(i)){r.error("sap/base/i18n/ResourceBundle: value for parameter 'aArgs' is not of type array")}if(i){e=n(e,i)}if(this.bIncludeInfo){e=new String(e);e.originInfo={source:"Resource Bundle",url:this.oUrlInfo.url,locale:this.sLocale,key:t}}}return e};m.prototype._getTextFromFallback=function(e,r){var t,n;for(n=this.aCustomBundles.length-1;n>=0;n--){t=this.aCustomBundles[n]._getTextFromFallback(e,r);if(t!=null){return t}}while(typeof t!=="string"&&this._aFallbackLocales.length){var i=P(this);if(i){t=i.getProperty(e);if(typeof t==="string"){return this._formatValue(t,e,r)}}}return null};m.prototype._getTextFromProperties=function(e,r){var t=null,n;for(n=this.aCustomBundles.length-1;n>=0;n--){t=this.aCustomBundles[n]._getTextFromProperties(e,r);if(t!=null){return t}}for(n=0;n<this.aPropertyFiles.length;n++){t=this.aPropertyFiles[n].getProperty(e);if(typeof t==="string"){return this._formatValue(t,e,r)}}return null};m.prototype.hasText=function(e){return this.aPropertyFiles.length>0&&typeof this.aPropertyFiles[0].getProperty(e)==="string"};m.prototype._recreate=function(){if(!this._mCreateFactoryParams){var e=new Error("ResourceBundle instance can't be recreated as it has not been created by the ResourceBundle.create factory.");if(this.bAsync){return Promise.reject(e)}else{throw e}}else{return m.create(this._mCreateFactoryParams)}};function L(e){if(e._aFallbackLocales.length){return w(e,true).then(function(r){return r||L(e)})}return Promise.resolve(null)}function P(e){while(e._aFallbackLocales.length){var r=w(e,false);if(r){return r}}return null}function w(e,r){var t=e._aFallbackLocales.shift();if(t!=null){var n=e.oUrlInfo,i,a;if(n.ext===".hdbtextbundle"){if(u[t]){i=n.prefix+n.suffix+"?"+(n.query?n.query+"&":"")+"sap-language="+u[t]+(n.hash?"#"+n.hash:"")}else{i=n.url}a={"Accept-Language":_(t)||"*"}}else{i=n.prefix+(t?"_"+t:"")+n.suffix}var s=JSON.stringify({url:new URL(i,document.baseURI).href,headers:a});var o={url:i,headers:a,async:!!r,returnNullIfMissing:true};const f=h.get(s,o,o.async);var l=function(r){if(r){e.aPropertyFiles.push(r);e.aPropertyOrigins.push(i);e.aLocales.push(t)}return r};return r?f.then(l):l(f)}return r?Promise.resolve(null):null}m._getUrl=function(e,r){var t=e;if(r){r=r.replace(/\./g,"/");t=sap.ui.require.toUrl(r)+".properties"}return t};function C(e,r,t,n,i,a,s){if(!r){return[]}var o=[];r.forEach(function(r){if(r.fallbackLocale===undefined){r.fallbackLocale=a}if(r.supportedLocales===undefined){r.supportedLocales=s}var l=m._getUrl(r.bundleUrl,r.bundleName);var u=new m(l,t,n,i,r.supportedLocales,r.fallbackLocale);o.push(u);if(r.terminologies){o=o.concat(x(e,r.terminologies,t,n,i))}});return o}function x(e,r,t,n,i){if(!e){return[]}e=e.filter(function(e){return r.hasOwnProperty(e)});e.reverse();return e.map(function(e){var a=r[e];var s=m._getUrl(a.bundleUrl,a.bundleName);var o=a.supportedLocales;return new m(s,t,n,i,o,null,true)})}m.create=function(e){var r=a({},e);e=a({url:"",includeInfo:false},e);if(e.bundleUrl||e.bundleName){e.url=e.url||m._getUrl(e.bundleUrl,e.bundleName)}e=m._enrichBundleConfig(e);var t=new m(e.url,e.locale,e.includeInfo,!!e.async,e.supportedLocales,e.fallbackLocale);if(t instanceof Promise){t=t.then(function(e){e._mCreateFactoryParams=r;return e})}else{t._mCreateFactoryParams=r}var n=[];if(e.terminologies){n=n.concat(x(e.activeTerminologies,e.terminologies,e.locale,e.includeInfo,!!e.async))}if(e.enhanceWith){n=n.concat(C(e.activeTerminologies,e.enhanceWith,e.locale,e.includeInfo,!!e.async,e.fallbackLocale,e.supportedLocales))}if(n.length){if(t instanceof Promise){t=t.then(function(e){return Promise.all(n).then(function(r){r.forEach(e._enhance,e)}).then(function(){return e})})}else{n.forEach(t._enhance,t)}}return t};m._enrichBundleConfig=function(e){return e};function F(e,r){if(!r||r.length===0||r.includes(e)){return e}e=_(e,true);if(e){e=p(e,true)}if(r.includes(e)){return e}return undefined}function U(e,t,n,i,a){t=t&&t.map(function(e){return d(e,true)});if(!a){var s=n!==undefined;n=s?n:f;n=d(n);if(n!==""&&!F(n,t)){var o="The fallback locale '"+n+"' is not contained in the list of supported locales ['"+t.join("', '")+"']"+i+" and will be ignored.";if(s){throw new Error(o)}r.error(o)}}var l=[],u;while(e!=null){u=F(e,t);if(u!==undefined&&l.indexOf(u)===-1){l.push(u)}if(!e){e=null}else if(e==="zh_HK"){e="zh_TW"}else if(e.lastIndexOf("_")>=0){e=e.slice(0,e.lastIndexOf("_"))}else if(a){e=null}else if(n){e=n;n=null}else{e=""}}return l}m._getFallbackLocales=function(e,r,t){return U(p(e),r,t,"")};m._getPropertiesCache=function(){return h._oCache};return m});
//# sourceMappingURL=ResourceBundle.js.map