/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Control","sap/ui/core/IconPool","./AvatarRenderer","sap/ui/core/Lib","sap/ui/events/KeyCodes","sap/base/Log","sap/ui/core/Icon","./library","sap/ui/core/library","sap/ui/core/InvisibleText","sap/m/imageUtils/getCacheBustedUrl"],function(t,e,i,a,s,o,r,n,l,p,u){"use strict";var h=n.AvatarType;var c=n.AvatarImageFitType;var g=n.AvatarColor;var d=n.AvatarSize;var f=n.AvatarShape;var I=l.aria.HasPopup;var _=l.ValueState;var y=Object.keys(g).filter(function(t){return t.indexOf("Accent")!==-1});var A=t.extend("sap.m.Avatar",{metadata:{library:"sap.m",properties:{src:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},initials:{type:"string",group:"Data",defaultValue:null},displayShape:{type:"sap.m.AvatarShape",group:"Appearance",defaultValue:f.Circle},displaySize:{type:"sap.m.AvatarSize",group:"Appearance",defaultValue:d.S},customDisplaySize:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"3rem"},customFontSize:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"1.125rem"},imageFitType:{type:"sap.m.AvatarImageFitType",group:"Appearance",defaultValue:c.Cover},fallbackIcon:{type:"string",group:"Data",defaultValue:null},backgroundColor:{type:"sap.m.AvatarColor",group:"Appearance",defaultValue:g.Accent6},showBorder:{type:"boolean",group:"Appearance",defaultValue:false},badgeIcon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:""},badgeTooltip:{type:"string",group:"Data",defaultValue:null},decorative:{type:"boolean",group:"Accessibility",defaultValue:false},ariaHasPopup:{type:"sap.ui.core.aria.HasPopup",group:"Accessibility",defaultValue:I.None},badgeValueState:{type:"sap.ui.core.ValueState",group:"Appearance",defaultValue:_.None},enabled:{type:"boolean",group:"Behavior",defaultValue:true},active:{type:"boolean",group:"Behavior",defaultValue:false}},aggregations:{detailBox:{type:"sap.m.LightBox",multiple:false,bindable:"bindable"},_badge:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"},_icon:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{press:{}},dnd:{draggable:true,droppable:false},designtime:"sap/m/designtime/Avatar.designtime"},renderer:i});A.DEFAULT_CIRCLE_PLACEHOLDER="sap-icon://person-placeholder";A.DEFAULT_SQUARE_PLACEHOLDER="sap-icon://product";A.AVATAR_BADGE_TOOLTIP={"sap-icon://zoom-in":a.getResourceBundleFor("sap.m").getText("AVATAR_TOOLTIP_ZOOMIN"),"sap-icon://camera":a.getResourceBundleFor("sap.m").getText("AVATAR_TOOLTIP_CAMERA"),"sap-icon://edit":a.getResourceBundleFor("sap.m").getText("AVATAR_TOOLTIP_EDIT")};A.prototype.init=function(){this._sActualType=null;this._bIsDefaultIcon=true;this._sImageFallbackType=null;this._sPickedRandomColor=null;this._badgeRef=null;this._bImageLoadError=false};A.prototype.onBeforeRendering=function(){if(this._getImageCustomData()&&!this._iCacheBustingValue){this._setNewCacheBustingValue();this._validateSrc(this._getAvatarSrc())}};A.prototype.onAfterRendering=function(){this._checkInitialsHolderWidth();if(this._bImageLoadError){this._cleanCSS()}};A.prototype.setSrc=function(t){this._bImageLoadError=false;this.setProperty("src",t);this._validateSrc(this._getAvatarSrc());return this};A.prototype.onThemeChanged=function(){this._checkInitialsHolderWidth()};A.prototype.exit=function(){if(this._fnLightBoxOpen){this._fnLightBoxOpen=null}if(this._badgeRef){this._badgeRef.destroy()}if(this._oInvisibleText){this._oInvisibleText.destroy();this._oInvisibleText=null}this._sPickedRandomColor=null};A.prototype.setDetailBox=function(t){var e=this.getDetailBox();if(t){if(t===e){return this}if(e){this.detachPress(this._fnLightBoxOpen,e)}this._fnLightBoxOpen=t.open;this.attachPress(this._fnLightBoxOpen,t)}else if(this._fnLightBoxOpen){this.detachPress(this._fnLightBoxOpen,e);this._fnLightBoxOpen=null}return this.setAggregation("detailBox",t)};A.prototype.destroyDetailBox=function(){var t=this.getDetailBox();if(t){this.detachPress(this._fnLightBoxOpen,t);this._fnLightBoxOpen=null}return this.destroyAggregation("detailBox")};A.prototype.setBadgeValueState=function(t){Object.keys(_).forEach(function(e){this.toggleStyleClass("sapFAvatar"+e,e===t)}.bind(this));this.setProperty("badgeValueState",t,true);return this};A.prototype.clone=function(){var e=t.prototype.clone.apply(this,arguments),i=e.getDetailBox();if(i){e.detachPress(this._fnLightBoxOpen,this.getDetailBox());e._fnLightBoxOpen=i.open;e.attachPress(e._fnLightBoxOpen,i)}return e};A.prototype.attachPress=function(){Array.prototype.unshift.apply(arguments,["press"]);t.prototype.attachEvent.apply(this,arguments);if(this.hasListeners("press")){this.$().attr("tabindex","0");this.$().attr("role","button")}return this};A.prototype.detachPress=function(){Array.prototype.unshift.apply(arguments,["press"]);t.prototype.detachEvent.apply(this,arguments);if(!this.hasListeners("press")){this.$().removeAttr("tabindex");this.$().attr("role","img")}return this};A.prototype.ontap=function(){this._handlePress()};A.prototype.onkeydown=function(t){if(t.which===s.SHIFT||t.which===s.ESCAPE){this._bShouldInterupt=this._bSpacePressed}if(t.which===s.SPACE){this._bSpacePressed=true;t.preventDefault()}if(t.which===s.ENTER){this._handlePress()}};A.prototype.onkeyup=function(t){if(t.which===s.SPACE){if(!this._bShouldInterupt){this._handlePress()}this._bShouldInterupt=false;this._bSpacePressed=false;t.stopPropagation()}};A.prototype._handlePress=function(){if(!this.getEnabled()||this._bIsDefaultIcon&&this.getDetailBox()){return}this.firePress({})};A.prototype._areInitialsValid=function(t){var e=/^[a-zA-Z\xc0-\xd6\xd8-\xdc\xe0-\xf6\xf8-\xfc]{1,3}$/;if(!e.test(t)){o.warning("Initials should consist of only 1,2 or 3 latin letters",this);this._sActualType=h.Icon;this._bIsDefaultIcon=true;return false}return true};A.prototype._validateSrc=function(t){if(!t){return this}if(e.isIconURI(t)){this._sActualType=h.Icon;this._bIsDefaultIcon=e.getIconInfo(t)?false:true}else{this._sActualType=h.Image;this.preloadedImage=new window.Image;this.preloadedImage.src=t;this.preloadedImage.onload=this._onImageLoad.bind(this);this.preloadedImage.onerror=this._onImageError.bind(this,t)}return this};A.prototype._getDisplayIcon=function(t){return e.isIconURI(t)&&e.getIconInfo(t)?e.createControlByURI({src:t}):null};A.prototype._getActualDisplayType=function(){var t=this._getAvatarSrc(),e=this.getInitials();if(t){return this._sActualType}else if(e&&this._areInitialsValid(e)){this._sActualType=h.Initials}else{o.warning("No src and initials were provided",this);this._sActualType=h.Icon;this._bIsDefaultIcon=true}return this._sActualType};A.prototype._getImageFallbackType=function(){var t=this.getInitials();this._sImageFallbackType=t&&this._areInitialsValid(t)?h.Initials:h.Icon;return this._sImageFallbackType};A.prototype._getDefaultIconPath=function(t){var i=null,a=this.getFallbackIcon();if(a&&e.isIconURI(a)){i=a}else if(t===f.Circle){i=A.DEFAULT_CIRCLE_PLACEHOLDER}else if(t===f.Square){i=A.DEFAULT_SQUARE_PLACEHOLDER}return i};A.prototype._getIcon=function(){var t=this.getSrc(),i=this.getAggregation("_icon"),a=this.getDisplayShape(),s=e.isIconURI(t),o=this._getDefaultIconPath(a);if(this._bIsDefaultIcon){t=o}if(!i){i=e.createControlByURI({alt:"Image placeholder",src:s?t:o});this.setAggregation("_icon",i)}else if(i.getSrc()!==t&&(s||t===o)){i.setSrc(t)}return i};A.prototype._getDefaultTooltip=function(){return a.getResourceBundleFor("sap.m").getText("AVATAR_TOOLTIP")};A.prototype._getBadgeIconSource=function(){var t;if(this.getDetailBox()){t="sap-icon://zoom-in"}else if(this.getBadgeIcon()!==""){if(this._getDisplayIcon(this.getBadgeIcon())){t=this.getBadgeIcon()}else{o.warning("No valid Icon URI source for badge affordance was provided")}}return t};A.prototype._getBadgeTooltip=function(){var t=this._getDefaultTooltip(),e=this.getBadgeIcon();if(this.getBadgeTooltip()){t=this.getBadgeTooltip()}else if(e&&A.AVATAR_BADGE_TOOLTIP[this.getBadgeIcon()]){t=A.AVATAR_BADGE_TOOLTIP[e]}return t};A.prototype._getBadge=function(){var t=this._getBadgeIconSource(),e=this._getBadgeTooltip();if(!t){return}if(!this._badgeRef){this.setAggregation("_badge",new r({src:t,tooltip:e}))}this._badgeRef=this.getAggregation("_badge");return this._badgeRef};A.prototype._onImageLoad=function(){if(this._bIsDefaultIcon){this._bIsDefaultIcon=false;this.getDetailBox()&&this.invalidate()}this._bImageLoadError=false;delete this.preloadedImage};A.prototype._onImageError=function(t){if(this.getSrc()!==t){return}this._cleanCSS();if(!this._bIsDefaultIcon){this._bIsDefaultIcon=true;this.getDetailBox()&&this.invalidate()}delete this.preloadedImage;this._bImageLoadError=true};A.prototype._cleanCSS=function(){var t=this._getImageFallbackType();this.$().removeClass("sapFAvatarImage").addClass("sapFAvatar"+t)};A.prototype._getActualBackgroundColor=function(){var t=this.getBackgroundColor();if(t===g.Random){if(this._sPickedRandomColor){return this._sPickedRandomColor}t=this._sPickedRandomColor=g[y[y.length*Math.random()<<0]]}else{this._sPickedRandomColor=null}return t};A.prototype._checkInitialsHolderWidth=function(){var t=this.$(),e=this.getInitials().length;this.$oInitialsHolder=t.children(".sapFAvatarInitialsHolder");if(this.$oInitialsHolder.length!==0&&e===3){var i=t[0].offsetWidth,a=this.$oInitialsHolder[0].offsetWidth;if(a>=i){this._wideInitialsIcon()}}};A.prototype._wideInitialsIcon=function(){var t=this.$(),e=t.children(".sapFAvatarHiddenIcon");e.removeClass("sapFAvatarHiddenIcon");this.$oInitialsHolder.css("display","none");t.removeClass("sapFAvatarInitials");t.addClass("sapFAvatarIcon")};A.prototype._getInvisibleText=function(){if(!this._oInvisibleText&&this.sInitials){this._oInvisibleText=new p({id:this.getId()+"-InvisibleText"});this._oInvisibleText.setText(this.sInitials).toStatic()}return this._oInvisibleText};A.prototype._getAriaLabelledBy=function(){var t=this.getAriaLabelledBy(),e;this.sInitials=this.getInitials();if(this.sInitials&&t.length>0){e=this._getInvisibleText().getId();t.push(e)}return t};A.prototype._getImageCustomData=function(t){var e=this.getCustomData().filter(function(t){return t.isA("sap.m.ImageCustomData")});return e.length?e[0]:undefined};A.prototype._setNewCacheBustingValue=function(){if(this._getImageCustomData()){this._iCacheBustingValue=Date.now()}};A.prototype._getAvatarSrc=function(){var t=this._getImageCustomData(),e=this.getSrc();if(t&&e){var i={sUrl:e,sParamName:t.getParamName(),sParamValue:this._iCacheBustingValue};return u(i)}return e};A.prototype.refreshAvatarCacheBusting=function(){this._setNewCacheBustingValue();this._validateSrc(this._getAvatarSrc());this.invalidate()};return A});
//# sourceMappingURL=Avatar.js.map