/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Formatting","sap/ui/core/Lib","sap/ui/core/date/UI5Date","sap/ui/core/format/DateFormat","sap/ui/core/format/NumberFormat","sap/ui/core/Locale","sap/ui/core/LocaleData","sap/base/util/deepExtend","sap/ui/unified/calendar/CalendarUtils","./library"],function(t,e,a,r,n,i,o,s,m,u){"use strict";var c=function(){throw new Error};var l=e.getResourceBundleFor("sap.m");var T={};var f={};var E={DATE:["date"],DATETIME:["datetime"],DATERANGE:["date","date"],DATETIMERANGE:["datetime","datetime"],LASTMINUTES:["int"],LASTHOURS:["int"],LASTDAYS:["int"],LASTWEEKS:["int"],LASTMONTHS:["int"],LASTQUARTERS:["int"],LASTYEARS:["int"],NEXTMINUTES:["int"],NEXTHOURS:["int"],NEXTDAYS:["int"],NEXTWEEKS:["int"],NEXTMONTHS:["int"],NEXTQUARTERS:["int"],NEXTYEARS:["int"],FROM:["date"],TO:["date"],FROMDATETIME:["datetime"],TODATETIME:["datetime"],SPECIFICMONTH:["month"],SPECIFICMONTHINYEAR:["month","int"],TODAYFROMTO:["int","int"]};var d=Object.keys(u.StandardDynamicDateRangeKeys);for(var F=0;F<d.length;F++){var O=d[F];var p=l.getText("DYNAMIC_DATE_"+O.toUpperCase()+"_FORMAT");var A=p.split("{").map(function(t){var e=t.indexOf("}");if(e!==-1){return t.slice(e+1)}return t});T[O]=A;var D=[];var h=p.indexOf("{");var g=-1;var v=-1;while(h!==-1){g=p.indexOf("}");v=parseInt(p.slice(h+1,g-g-1));D.push(v);p=p.slice(g+1);h=p.indexOf("{")}f[O]=D}c.getInstance=function(t,e){return this.createInstance(t,e)};c.oDefaultDynamicDateFormat={date:{},datetime:{},month:{pattern:"MMMM"},year:{pattern:"yyyy"},int:{}};c.createInstance=function(a,m){var u=Object.create(this.prototype);if(a instanceof i){m=a;a=undefined}if(!m){m=new i(t.getLanguageTag())}u.oLocale=m;u.oLocaleData=o.getInstance(m);u.oOriginalFormatOptions=s({},c.oDefaultDynamicDateFormat,a);u._dateFormatter=r.getInstance(u.oOriginalFormatOptions["date"]);u._dateTimeFormatter=r.getDateTimeInstance(u.oOriginalFormatOptions["datetime"]);[u._dateFormatter].concat(u._dateFormatter.aFallbackFormats).forEach(function(t){t.parseRelative=function(){return null}});[u._dateTimeFormatter].concat(u._dateTimeFormatter.aFallbackFormats).forEach(function(t){t.parseRelative=function(){return null}});u._monthFormatter=r.getInstance(u.oOriginalFormatOptions["month"]);u._yearFormatter=r.getInstance(u.oOriginalFormatOptions["year"]);u._numberFormatter=n.getInstance(u.oOriginalFormatOptions["int"]);u._resourceBundle=e.getResourceBundleFor("sap.m");return u};c.prototype.format=function(t,e){var r=t.operator,n=t.values.slice(0);if(r==="SPECIFICMONTH"){var i=a.getInstance();i.setMonth(n[0]);n[0]=this._monthFormatter.format(i)}else if(r==="SPECIFICMONTHINYEAR"){var i=a.getInstance();i.setMonth(n[0]);i.setYear(n[1]);n[0]=this._monthFormatter.format(i);n[1]=this._yearFormatter.format(i)}else if(r==="LASTDAYS"&&n[0]===1&&!e){r="YESTERDAY";n=[]}else if(r==="NEXTDAYS"&&n[0]===1&&!e){r="TOMORROW";n=[]}else if((r==="LASTDAYS"||r==="NEXTDAYS")&&n[0]===0){r="TODAY";n=[]}else if(r==="DATETIME"){n[0]=this._dateTimeFormatter.format(t.values[0])}else if(r==="TODAYFROMTO"){n[0]=-n[0];if(n[0]>n[1]){n=[n[1],n[0]]}}var o=n.map(function(t){var e=t;if(t.getJSDate){e=t.getJSDate()}if(e instanceof Date){if(r==="DATETIMERANGE"||r==="FROMDATETIME"||r==="TODATETIME"||r==="DATETIME"){return this._dateTimeFormatter.format(e)}return this._dateFormatter.format(e)}if(typeof e==="number"){return this._numberFormatter.format(e)}else{return e.toString()}},this);if(r==="TODAYFROMTO"){o.forEach(function(t,e,a){if(t==="0"){a[e]=(e===0?this.oLocaleData.getNumberSymbol("minusSign"):this.oLocaleData.getNumberSymbol("plusSign"))+t}else{a[e]=n[e]<0?t.toString():this.oLocaleData.getNumberSymbol("plusSign")+t}},this)}if(o.length===0){o=null}return this._resourceBundle.getText("DYNAMIC_DATE_"+r.toUpperCase()+"_FORMAT",o)};c.prototype.parse=function(t,e){var r,n=T[e],i="^"+n.join("(.*)")+"$",o=new RegExp(i,"i"),s=t.match(o);if(s){r={};r.values=[];for(var u=0;u<f[e].length;u++){var c=f[e][u];var l=E[e][c];var d;var F=s[u+1];switch(l){case"date":d=this._dateFormatter.parse(F);break;case"datetime":d=this._dateTimeFormatter.parse(F);break;case"month":var O=[0,1,2,3,4,5,6,7,8,9,10,11].map(function(t){var e=a.getInstance();e.setMonth(t);return this._monthFormatter.format(e)},this);var p=O.indexOf(F);d=p!==-1?p:null;break;case"int":d=this._numberFormatter.parse(F);break;case"string":d=F;break;default:break}if(d&&(l==="date"||l==="datetime")){try{m._checkYearInValidRange(d.getFullYear())}catch(t){d=null}}if(!d&&d!==0){r=null;break}r.values[c]=d}if(e==="TODAYFROMTO"&&r){if(r.values[0]>r.values[1]){r.values=[r.values[1],r.values[0]]}r.values[0]=-r.values[0]}if(r){r.operator=e;return r}}};return c});
//# sourceMappingURL=DynamicDateFormat.js.map