/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","sap/ui/base/EventProvider","sap/ui/base/ManagedObjectObserver","sap/ui/Device","sap/base/Log","sap/ui/core/Element","sap/ui/thirdparty/jquery"],function(e,t,n,a,i,o,jQuery){"use strict";var r=new t,s,d,g;var u=e.extend("HeaderAdapter",{constructor:function(e,t){if(!e||!t){i.error("Cannot initialize: Invalid arguments.");return}this._oHeader=e;this._oStyledPage=null;this._oTitleInfo=null;this._oSubTitleInfo=null;this._oBackButtonInfo=null;this._oAdaptOptions=t}});u.prototype.adapt=function(){var e=this._oAdaptOptions.bStylePage,t=this._oAdaptOptions.bCollapseHeader;if(e){this._toggleStyle("sapF2Adapted",true,true)}this._adaptTitle();this._adaptBackButton();if(t){this._collapseHeader()}return this.getAdaptedContent()};u.prototype.getAdaptedContent=function(){return{oTitleInfo:this._oTitleInfo,oSubTitleInfo:this._oSubTitleInfo,oBackButtonInfo:this._oBackButtonInfo,oStyledPage:this._oStyledPage}};u.prototype._adaptTitle=function(){if(!u._isAdaptableHeader(this._oHeader)||this._oAdaptOptions.bMoveTitle!==true){return false}this._oTitleInfo=this._detectTitle();this._oSubTitleInfo=this._detectSubTitle();var e=!!this._oTitleInfo||!!this._oSubTitleInfo;if(this._oTitleInfo){this._oTitleInfo.oControl.toggleStyleClass("sapF2AdaptedTitle",true)}return e};u.prototype._adaptBackButton=function(){if(!u._isAdaptableHeader(this._oHeader)||this._oAdaptOptions.bHideBackButton!==true){return false}var e,t=false;this._oBackButtonInfo=this._detectBackButton();if(this._oBackButtonInfo){e=this._oBackButtonInfo.oControl.getVisible();this._oBackButtonInfo.oControl.toggleStyleClass("sapF2AdaptedNavigation",e);t=true}return t};u.prototype._toggleStyle=function(e,t,n){var a=this._oHeader.getParent();if(!a){return}this._oStyledPage=a;if(t===true){a.addStyleClass(e,n)}else if(t===false){a.removeStyleClass(e,n)}else if(t===undefined){a.hasStyleClass(e)?a.removeStyleClass(e,n):a.addStyleClass(e,n)}};u._isAdaptableHeader=function(e){if(!e||!c(e,"sap/m/Bar")){return false}var t=e.getParent();return t&&(c(t,"sap/m/Page")||c(t,"sap/m/MessagePage")||c(t,"sap/uxap/ObjectPageHeader"))};u.prototype._detectTitle=function(){var e;if(u._isAdaptableHeader(this._oHeader)){var t=this._oHeader.getContentMiddle();if(t.length===1&&f(t[0])){var n=t[0];e={id:n.getId(),text:n.getText(),oControl:n,sChangeEventId:"_change",sPropertyName:"text"}}}return e};u.prototype._detectSubTitle=function(e){if(c(e,"sap/uxap/ObjectPageHeader")){var t=e.getHeaderTitle();if(t){return{id:t.getId(),text:t.getObjectTitle(),oControl:t,sChangeEventId:"_titleChange",sPropertyName:"objectTitle"}}}};u.prototype._detectBackButton=function(){var e,t;if(!u._isAdaptableHeader(this._oHeader)){return}e=this._oHeader.getContentLeft();if(e.length===0){return}if(!c(e[0],"sap/m/Button")){return}if(e[0].getId().includes("-navButton")||e[0]._getAppliedIcon()==="sap-icon://nav-back"||e[0].getType()==="Back"||e[0].getType()==="Up"){t=e[0];return{id:t.getId(),oControl:t,sChangeEventId:"_change",sPropertyName:"visible"}}};u.prototype._collapseHeader=function(){var e=this._oTitleInfo,t=this._oBackButtonInfo,n,a,i,o,r,s,d;if(u._isAdaptableHeader(this._oHeader)){n=this._oHeader.getContentLeft();a=this._oHeader.getContentMiddle();i=this._oHeader.getContentRight();o=n.length===1&&(v(n[0])||t);r=a.length===1&&(v(a[0])||e);s=i.length===1&&v(i[0]);d=(n.length===0||o)&&(a.length===0||r)&&(i.length===0||s);this._toggleStyle("sapF2CollapsedHeader",d,true)}};var l=e.extend("sap.m.Fiori20Adapter",{});l.attachViewChange=function(e,t){r.attachEvent("adaptedViewChange",e,t)};l.detachViewChange=function(e,t){r.detachEvent("adaptedViewChange",e,t)};l.traverse=function(e,t){s={aViewTitles:{},aViewSubTitles:{},aViewBackButtons:{}};d={};g=null;this._doBFS([{oNode:e,oAdaptOptions:t}]);var n=this._getCurrentlyAdaptedTopViewId();if(n&&o.getElementById(n)){this._fireViewChange(n,t)}};l._doBFS=function(e){var t=e.shift();if(!t){return}var n=t.oNode,a=t.oAdaptOptions,i=a.iSearchDepth;a=this._applyRules(a,n);if(!this._isAdaptationRequired(n,a)||i<=0){return}var o=this._isTopNavigableView(n);if(o){this._setAsCurrentlyAdaptedTopViewId(n.getId())}var r=this._processNode(n,a);var s=this._getNodeChildren(n),d=jQuery.extend({},a,{iSearchDepth:this._updateSearchDepth(i,n)});if(r){var g=!!r.oTitleInfo,u=!!r.oBackButton,l=!!r.oStyledPage;d=jQuery.extend(d,{bMoveTitle:a.bMoveTitle&&!g,bHideBackButton:a.bHideBackButton&&!u,bStylePage:a.bStylePage&&!l})}s.forEach(function(t){if(t){e.push({oNode:t,oAdaptOptions:d})}});this._doBFS(e)};l._processNode=function(e,t){this._attachDefferedAdaptationListeners(e,t);if(u._isAdaptableHeader(e)){return this._adaptHeader(e,t)}if(e.getParent()&&c(e.getParent(),"sap/m/NavContainer")){return this._getCachedViewInfoToMerge(e.getId())}};l._attachDefferedAdaptationListeners=function(e,t){this._attachAdaptableContentChange(e,t);this._attachNavigablePageChange(e,t);if(c(e,"sap/m/Page")||c(e,"sap/ui/core/mvc/XMLView")){this._observeAddAggregation(e,"content",t)}if(c(e,"sap/m/NavContainer")){this._observeRemoveAggregation(e,"pages",t)}if(t.bLateAdaptation===true&&c(e,"sap/m/Bar")){this._observeAddAggregation(e,"contentLeft",t,e);this._observeAddAggregation(e,"contentMiddle",t,e);this._observeAddAggregation(e,"contentRight",t,e)}if(c(e,"sap/ui/core/ComponentContainer")){var n=e.getComponentInstance();if(!n&&e.getName()&&!e.getDomRef()){var a=this;var i={onBeforeRendering:function(){e.removeEventDelegate(i);a._doBFS([{oNode:e.getComponentInstance(),oAdaptOptions:t}]);if(a._getCurrentlyAdaptedTopViewId()){a._fireViewChange(a._getCurrentlyAdaptedTopViewId(),t)}}};e.addEventDelegate(i,this)}}};l._checkHasListener=function(e,t){var n=d[e.getId()];return n&&n[t]};l._setHasListener=function(e,t,n){var a=d[e.getId()];if(!a){a={};d[e.getId()]=a}a[t]=n};l._attachAdaptableContentChange=function(e,t){if(typeof e._getAdaptableContent!=="function"){return}if(this._checkHasListener(e,"_adaptableContentChange")){return}var n=this._getCurrentlyAdaptedTopViewId(),a;var i=function(e){var i=e.getParameter("adaptableContent");this._setAsCurrentlyAdaptedTopViewId(n);this._doBFS([{oNode:i,oAdaptOptions:t}]);a=this._getCurrentlyAdaptedTopViewId();if(a&&o.getElementById(a)){this._fireViewChange(a,t)}}.bind(this);e.attachEvent("_adaptableContentChange",i);this._setHasListener(e,"_adaptableContentChange",i)};l._attachNavigablePageChange=function(e,t){if(!c(e,"sap/m/NavContainer")){return}if(this._checkHasListener(e,"navigate")){return}var n=function(e){var n,a=e.getParameter("to");t=this._applyRules(t,a);this._doBFS([{oNode:a,oAdaptOptions:t}]);n=this._getCurrentlyAdaptedTopViewId();if(n&&o.getElementById(n)){this._fireViewChange(n,t)}}.bind(this);e.attachNavigate(n);this._setHasListener(e,"navigate",n)};l._observeAddAggregation=function(e,t,a,i){if(this._checkHasListener(e,t)){return}var r=this._getCurrentlyAdaptedTopViewId(),s,d=function(e){var t=e.mutation,n=e.object;if(t==="add"||t==="insert"){this._setAsCurrentlyAdaptedTopViewId(r);this._doBFS([{oNode:i?i:n,oAdaptOptions:a}]);s=this._getCurrentlyAdaptedTopViewId();if(s&&o.getElementById(s)){this._fireViewChange(s,a)}}}.bind(this),g=new n(d);g.observe(e,{aggregations:[t]});this._setHasListener(e,t,g)};l._observeRemoveAggregation=function(e,t,a){if(this._checkHasListener(e,t)){return}var i=new n(this._onRemoveAggregation.bind(this));i.observe(e,{aggregations:[t]});this._setHasListener(e,t,i)};l._removeFromMergeInfo=function(e,t){Object.keys(e).forEach(function(n){var a=e[n];if(a.oControl===t||C(a.oControl,t)){this._detachAllListeners(a.oControl);delete e[n]}},this)};l._detachAllListeners=function(e){var t=d[e.getId()];if(!t){return}Object.keys(t).forEach(function(a){var i=t[a];if(i instanceof n){i.disconnect()}else{e.detachEvent(a,i)}delete t[a]})};l._onRemoveAggregation=function(e){var t=e.mutation,n;if(t==="remove"){n=e.child;this._detachAllListeners(n);this._removeFromMergeInfo(s.aViewTitles,n);this._removeFromMergeInfo(s.aViewSubTitles,n);this._removeFromMergeInfo(s.aViewBackButtons,n)}};l._getNodeChildren=function(e){if(typeof e._getAdaptableContent==="function"){var t=[e._getAdaptableContent()];if(c(e,"sap/m/Page")){t=t.concat(e.getContent())}return t}if(c(e,"sap/m/SplitContainer")){return[].concat(e.getAggregation("_navMaster"),e.getAggregation("_navDetail"))}if(c(e,"sap/uxap/ObjectPageLayout")){return[e.getHeaderTitle()]}if(c(e,"sap/ui/core/ComponentContainer")){return[e.getComponentInstance()]}if(c(e,"sap/ui/core/UIComponent")){return[e.getAggregation("rootControl")]}return e.findAggregatedObjects(false,_)};l._updateSearchDepth=function(e,t){if(c(t,"sap/ui/core/mvc/View")||c(t,"sap/ui/core/Component")||c(t,"sap/ui/core/ComponentContainer")){return e}return e-1};l._getTotalCachedInfoToMerge=function(e){var t=o.getElementById(e),n=this._getCachedViewInfoToMerge(e),i,r,s,d,g,u,l;if(!a.system.phone&&this._isTopSplitContainerSubView(t)){u=t.getParent();g=u&&u.getParent();if(g){i=g._oMasterNav&&g._oMasterNav.getId()===u.getId();r=g._oDetailNav&&g._oDetailNav.getId()===u.getId()}}if(i){s=g.getCurrentDetailPage();d=s&&s.getId();l=this._getCachedViewInfoToMerge(d);n=this._mergeSplitViewInfos(n,l)}if(r){s=g.getCurrentMasterPage();d=s&&s.getId();l=this._getCachedViewInfoToMerge(d);n=this._mergeSplitViewInfos(l,n)}n.sViewId=i||r?g.getId():e;return n};l._isTopSplitContainerSubView=function(e){var t=e&&e.getParent();return this._isTopmostNavContainer(t)&&c(t.getParent(),"sap/m/SplitContainer")};l._mergeSplitViewInfos=function(e,t){jQuery.each(e,function(n,a){e[n]=a||t[n]});return e};l._getCachedViewInfoToMerge=function(e){var t=s.aViewBackButtons[e]?s.aViewBackButtons[e].oControl:undefined;return{oTitleInfo:s.aViewTitles[e],oSubTitleInfo:s.aViewSubTitles[e],oBackButton:t}};l._applyRules=function(e,t){var n=t.getParent();if(c(n,"sap/m/SplitContainer")){var i=a.system.phone,o=e.bMoveTitle,r=e.bHideBackButton;if(o){o=i}if(r&&!a.system.phone){r="initialPage"}return jQuery.extend({},e,{bMoveTitle:o,bHideBackButton:r})}if(c(n,"sap/m/NavContainer")){if(e.bHideBackButton==="initialPage"){var s=n._getActualInitialPage()&&n._getActualInitialPage().getId()===t.getId();return jQuery.extend({},e,{bHideBackButton:s})}}if(e.bMoveTitle===false||e.bHideBackButton===false){return jQuery.extend({},e,{bCollapseHeader:false})}return e};l._getCurrentlyAdaptedTopViewId=function(){return g};l._setAsCurrentlyAdaptedTopViewId=function(e){g=e};l._isTopNavigableView=function(e){var t=e.getParent();return t&&this._isTopmostNavContainer(t)};l._isTopmostNavContainer=function(e){var t,n=e;while(n){if(c(n,"sap/m/NavContainer")){t=n}n=n.getParent()}return t&&t.getId()===e.getId()};l._adaptHeader=function(e,t){if(!e||!t){return}var n=new u(e,t),a=n.adapt();var i=this._getCurrentlyAdaptedTopViewId();if(a.oTitleInfo){s.aViewTitles[i]=a.oTitleInfo;this._registerTextChangeListener(s.aViewTitles,i,t)}if(a.oSubTitleInfo){s.aViewSubTitles[i]=a.oSubTitleInfo;this._registerTextChangeListener(s.aViewSubTitles,i,t)}if(a.oBackButtonInfo){if(a.oBackButtonInfo.oControl.getVisible()){s.aViewBackButtons[i]=a.oBackButtonInfo}this._registerVisibilityChangeListener(a.oBackButtonInfo,s.aViewBackButtons,i,t)}return a};l._registerTextChangeListener=function(e,t,n){var a=e[t];if(a&&a.oControl&&a.sChangeEventId){if(this._checkHasListener(a.oControl,a.sChangeEventId)){return}var i=function(a){var i=e[t];if(a.getParameter("name")!==i.sPropertyName){return}i.text=a.getParameter("newValue");this._fireViewChange(t,n)}.bind(this);a.oControl.attachEvent(a.sChangeEventId,i);this._setHasListener(a.oControl,a.sChangeEventId,i)}};l._registerVisibilityChangeListener=function(e,t,n,a){var i;if(e&&e.oControl&&e.sChangeEventId){if(this._checkHasListener(e.oControl,e.sChangeEventId)){return}var o=function(o){if(o.getParameter("name")!==e.sPropertyName){return}i=o.getParameter("newValue");if(!i){jQuery.each(t,function(n,a){if(a.oControl.getId()===e.oControl.getId()){delete t[n]}})}var r=e.oControl.getParent();if(u._isAdaptableHeader(r)){l._adaptHeader(r,a);this._fireViewChange(n,a)}}.bind(this);e.oControl.attachEvent(e.sChangeEventId,o);this._setHasListener(e.oControl,e.sChangeEventId,o)}};l._fireViewChange=function(e,t){var n=this._getTotalCachedInfoToMerge(e);n.oAdaptOptions=t;r.fireEvent("adaptedViewChange",n)};l._isAdaptationRequired=function(e,t){if(!e||this._isNonAdaptableControl(e)){return false}for(var n in t){if(t.hasOwnProperty(n)&&(t[n]===true||t[n]==="initialPage")){return true}}return false};l._isNonAdaptableControl=function(e){return h(e)};function f(e){return p(e,["sap/m/Label","sap/m/Text","sap/m/Title"])}function h(e){return p(e,["sap/m/List","sap/m/SelectList","sap/m/Table","sap/ui/table/Table","sap/ui/table/TreeTable","sap/ui/comp/variants/VariantManagement"])}function p(e,t){if(!e||!t){return}return t.some(function(t){return c(e,t)})}function c(e,t){var n=sap.ui.require(t);return n&&e instanceof n}function _(e){return e&&e.sParentAggregationName!=="dependents"}function v(e){return e&&typeof e.getVisible==="function"&&e.getVisible()===false}function C(e,t){var n=e&&e.getParent();while(n){if(n===t){return true}n=n.getParent()}return false}return l});
//# sourceMappingURL=Fiori20Adapter.js.map