/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Localization","sap/ui/core/dnd/DragInfo","sap/ui/core/dnd/DropInfo","sap/ui/events/KeyCodes","sap/ui/core/library"],function(e,t,r,i,a){"use strict";var n=a.dnd.DropPosition;var s="Before",o="insertBefore",g="insertAfter",f,l="IconTabReorder",c="Forward",u="Backward";var d={_insertControl:function(e,t,r,i){var a=t.$(),n=r.$(),s=[],o=[];if(t._getNestedLevel()>1&&r._getNestedLevel()>1){s=t._getRootTab()._getSelectList().getItems().filter(function(e){return t._getRealTab()._isParentOf(e._getRealTab())});o=r._getRootTab()._getSelectList().getItems().filter(function(e){return r._getRealTab()._isParentOf(e._getRealTab())})}if(i){var f=t._getRootTab().getParent()._getOverflow()._getSelectList().getItems();s=f.filter(function(e){return t._getRealTab()._isParentOf(e._getRealTab())});o=f.filter(function(e){return r._getRealTab()._isParentOf(e._getRealTab())})}if(e===g){a.insertAfter(n)}else{a.insertBefore(n)}s.reverse().forEach(function(e){e.$().insertAfter(a)});o.reverse().forEach(function(e){e.$().insertAfter(n)})},handleDrop:function(t,r,i,a,l,c){var u=t.indexOfItem(i),_=t.indexOfItem(a),b=0,p=e.getRTL(),h=r===s,I=a._getNestedLevel()-1;if(i._isParentOf(a)){return}if(I===c&&r===n.On){return}if(p&&!l){if(h){b=u<_?_:_+1;f=g}else{b=u<_?_-1:_;f=o}}else{if(h){b=u<_?_-1:_;f=o}else{b=u<_?_:_+1;f=g}}if(t.isA("sap.m.IconTabFilter")||!i.getParent().isA("sap.m.IconTabHeader")){if(h){b=_}else{b=_+1}}d._insertControl(f,i,a);if(r===n.On){if(a===i){return}b=t.getAggregation("items").length}d._handleConfigurationAfterDragAndDrop.call(t,i,b)},_updateAccessibilityInfo:function(){var e=this.getItems(),t=1,r;e.forEach(function(e){r=e.getDomRef();if(r&&r.getAttribute("aria-posinset")!==null){r.setAttribute("aria-posinset",t++)}})},_handleConfigurationAfterDragAndDrop:function(e,t){var r=[],i=this.isA("sap.m.IconTabHeader")?this:this._getIconTabHeader();if(this.isA("sap.m.IconTabBarSelectList")){r=this.getItems().filter(function(t){return e._getRealTab()._isParentOf(t._getRealTab())})}i._setPreserveSelection(true);this.removeAggregation("items",e,true);this.insertAggregation("items",e,t,true);r.forEach(function(e){this.removeAggregation("items",e,true)}.bind(this));var a=1+this.indexOfAggregation("items",e);r.reverse().forEach(function(e){this.insertAggregation("items",e,a,true)}.bind(this));i._setPreserveSelection(false);d._updateAccessibilityInfo.call(this)},_decreaseDropIndex:function(e,t){var r=e-1;while(r>=0&&(t[e]._getRealTab()._getNestedLevel()!==t[r]._getRealTab()._getNestedLevel()||!t[r].getVisible()||!t[e].$().hasClass("sapMITBFilterHidden")&&t[r].$().hasClass("sapMITBFilterHidden"))){r--}if(r<0){f=g;return e}f=o;return r},_increaseDropIndex:function(e,t,r){var i=e+1;while(i<t.length&&(t[e]._getRealTab()._getNestedLevel()!==t[i]._getRealTab()._getNestedLevel()||!t[i].getVisible())){i++}if(i>r){f=o;return e}f=g;return i},moveItem:function(t,r,a){var n=this.getItems(),s=this.indexOfItem(t),l=e.getRTL(),_,b;if(this.isA("sap.m.IconTabFilter")){n=this._getRealTab().getItems()}switch(r){case i.HOME:_=0;f=o;break;case i.END:_=n.length-1;f=g;break;case i.ARROW_LEFT:if(l){b=d.preventDragBetweenSubItems(t,c,this);_=d._increaseDropIndex(s,n,a)}else{b=d.preventDragBetweenSubItems(t,u,this);_=d._decreaseDropIndex(s,n)}break;case i.ARROW_RIGHT:if(l){b=d.preventDragBetweenSubItems(t,u,this);_=d._decreaseDropIndex(s,n)}else{b=d.preventDragBetweenSubItems(t,c,this);_=d._increaseDropIndex(s,n,a)}break;case i.ARROW_DOWN:b=d.preventDragBetweenSubItems(t,c,this);_=d._increaseDropIndex(s,n,a);break;case i.ARROW_UP:b=d.preventDragBetweenSubItems(t,u,this);_=d._decreaseDropIndex(s,n);break;default:return false}if(b){return false}if(!this.isA("sap.m.IconTabFilter")){var p=n[_];d._insertControl(f,t,p,this._oTabFilter&&this._oTabFilter._bIsOverflow)}d._handleConfigurationAfterDragAndDrop.call(this,t,_);return true},setDragDropAggregations:function(e,i,a){var n=e._oIconTabHeader?e._oIconTabHeader:e;var s=n.getId();e.addDragDropConfig(new t({sourceAggregation:"items",groupName:l+s}));e.addDragDropConfig(new r({targetAggregation:"items",dropPosition:a,dropLayout:i,drop:e._handleDragAndDrop.bind(e),groupName:l+s}))},preventDragBetweenSubItems:function(e,t,r){var i=false;if(r.isA("sap.m.IconTabBarSelectList")){var a=e._getRealTab(),n=a.getParent(),s=n.getItems();if(s.indexOf(a)===0&&t===u||s.indexOf(a)+1===s.length&&t===c||s.length===1){i=true}}return i}};return d});
//# sourceMappingURL=IconTabBarDragAndDropUtil.js.map