/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/m/Text","sap/m/Title","sap/m/FormattedText","sap/m/Illustration","sap/base/Log","sap/ui/core/Control","sap/ui/core/EventBus","sap/ui/core/Lib","sap/ui/core/library","sap/ui/core/ResizeHandler","sap/ui/thirdparty/jquery","./IllustratedMessageRenderer"],function(e,t,i,s,a,o,n,l,r,u,p,jQuery,d){"use strict";var T=e.IllustratedMessageSize;var h=e.IllustratedMessageType;var g=u.TextAlign;var _=u.TitleLevel;var I=n.extend("sap.m.IllustratedMessage",{metadata:{library:"sap.m",properties:{description:{type:"string",group:"Misc",defaultValue:""},enableDefaultTitleAndDescription:{type:"boolean",group:"Appearance",defaultValue:true},enableFormattedText:{type:"boolean",group:"Appearance",defaultValue:false},enableVerticalResponsiveness:{type:"boolean",group:"Appearance",defaultValue:false},illustrationSize:{type:"sap.m.IllustratedMessageSize",group:"Appearance",defaultValue:T.Auto},illustrationType:{type:"string",group:"Appearance",defaultValue:h.NoSearchResults},title:{type:"string",group:"Misc",defaultValue:""},ariaTitleLevel:{type:"sap.ui.core.TitleLevel",group:"Appearance",defaultValue:_.Auto}},aggregations:{additionalContent:{type:"sap.ui.core.Control",multiple:true},_formattedText:{type:"sap.m.FormattedText",multiple:false,visibility:"hidden"},_illustration:{type:"sap.m.Illustration",visibility:"hidden",multiple:false},_text:{type:"sap.m.Text",multiple:false,visibility:"hidden"},_title:{type:"sap.m.Title",multiple:false,visibility:"hidden"}},associations:{illustrationAriaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"illustrationAriaLabelledBy"}},dnd:{draggable:false,droppable:true}},renderer:d});I.ORIGINAL_TEXTS={UnableToLoad:"UnableToLoad",UnableToUpload:"UnableToUpload",NoActivities:"NoActivities",BeforeSearch:"BeforeSearch",NoSearchResults:"NoSearchResults",NoEntries:"NoEntries",NoData:"NoData",NoNotifications:"NoNotifications",BalloonSky:"BalloonSky",SuccessScreen:"SuccessScreen",NoMail:"NoMail",NoSavedItems:"NoSavedItems",NoTasks:"NoTasks",UploadToCloud:"UploadToCloud",NoDimensionsSet:"NoDimensionsSet",AddDimensions:"AddDimensions"};I.FALLBACK_TEXTS={ReloadScreen:I.ORIGINAL_TEXTS.UnableToLoad,Connection:I.ORIGINAL_TEXTS.UnableToLoad,ErrorScreen:I.ORIGINAL_TEXTS.UnableToUpload,EmptyCalendar:I.ORIGINAL_TEXTS.NoActivities,SearchEarth:I.ORIGINAL_TEXTS.BeforeSearch,SearchFolder:I.ORIGINAL_TEXTS.NoSearchResults,EmptyList:I.ORIGINAL_TEXTS.NoEntries,Tent:I.ORIGINAL_TEXTS.NoData,SleepingBell:I.ORIGINAL_TEXTS.NoNotifications,SimpleBalloon:I.ORIGINAL_TEXTS.BalloonSky,SimpleBell:I.ORIGINAL_TEXTS.NoNotifications,SimpleCalendar:I.ORIGINAL_TEXTS.NoActivities,SimpleCheckMark:I.ORIGINAL_TEXTS.SuccessScreen,SimpleConnection:I.ORIGINAL_TEXTS.UnableToLoad,SimpleEmptyDoc:I.ORIGINAL_TEXTS.NoData,SimpleEmptyList:I.ORIGINAL_TEXTS.NoEntries,SimpleError:I.ORIGINAL_TEXTS.UnableToUpload,SimpleMagnifier:I.ORIGINAL_TEXTS.BeforeSearch,SimpleMail:I.ORIGINAL_TEXTS.NoMail,SimpleNoSavedItems:I.ORIGINAL_TEXTS.NoSavedItems,SimpleNotFoundMagnifier:I.ORIGINAL_TEXTS.NoSearchResults,SimpleReload:I.ORIGINAL_TEXTS.UnableToLoad,SimpleTask:I.ORIGINAL_TEXTS.NoTasks,SuccessBalloon:I.ORIGINAL_TEXTS.BalloonSky,SuccessCheckMark:I.ORIGINAL_TEXTS.SuccessScreen,SuccessHighFive:I.ORIGINAL_TEXTS.BalloonSky};I.PREPENDS={DESCRIPTION:"IllustratedMessage_DESCRIPTION_",TITLE:"IllustratedMessage_TITLE_"};I.BREAK_POINTS={DIALOG:679,SPOT:319,DOT:259,BASE:159};I.BREAK_POINTS_HEIGHT={DIALOG:451,SPOT:296,DOT:154,BASE:87};I.MEDIA={BASE:"sapMIllustratedMessage-Base",DOT:"sapMIllustratedMessage-Dot",SPOT:"sapMIllustratedMessage-Spot",DIALOG:"sapMIllustratedMessage-Dialog",SCENE:"sapMIllustratedMessage-Scene"};I.RESIZE_HANDLER_ID={CONTENT:"_sContentResizeHandlerId"};I.prototype.init=function(){this._sLastKnownMedia=null;this._oLastKnownWidthForMedia={};this._oLastKnownHeightForMedia={};this._updateInternalIllustrationSetAndType(this.getIllustrationType());l.getInstance().subscribe("sapMIllusPool-assetLdgFailed",this._handleMissingAsset.bind(this))};I.prototype.onBeforeRendering=function(){this._detachResizeHandlers()};I.prototype.onAfterRendering=function(){this._updateDomSize();this._attachResizeHandlers();this._preventWidowWords(this._getTitle().getDomRef());this._preventWidowWords(this._getDescription().getDomRef());this._setDefaultIllustrationLabel()};I.prototype.exit=function(){this._detachResizeHandlers()};I.prototype.setIllustrationType=function(e){if(this.getIllustrationType()===e){return this}if(typeof e==="string"){this._updateInternalIllustrationSetAndType(e)}return this.setProperty("illustrationType",e)};I.prototype._setDefaultIllustrationLabel=function(e){var t=this.getAssociation("ariaLabelledBy"),i=this._getTitle().sId;if(!t||!t.length){this.addIllustrationAriaLabelledBy(i)}};I.prototype._getDefaultDescription=function(){return this._findDefaultText(I.PREPENDS.DESCRIPTION)};I.prototype._getDefaultTitle=function(){return this._findDefaultText(I.PREPENDS.TITLE)};I.prototype._findDefaultText=function(e){var t=this._getResourceBundle();return t.getText(e+this._sIllustrationType,undefined,true)||t.getText(e+this._sIllustrationType.substr(0,this._sIllustrationType.indexOf("_v")),undefined,true)||t.getText(e+I.FALLBACK_TEXTS[this._sIllustrationType],undefined,true)};I.prototype._shouldRenderTitle=function(){return this._getTitle().getText().length!==0};I.prototype._shouldRenderDescription=function(){var e=this._getDescription();if(this.getEnableFormattedText()){return e.getHtmlText().length!==0}else{return e.getText().length!==0}};I.prototype._getDescription=function(){return this.getEnableFormattedText()?this._getFormattedText():this._getText()};I.prototype._getFormattedText=function(){var e=this.getDescription(),t=this.getAggregation("_formattedText");if(!t){t=new s({textAlign:g.Center});this.setAggregation("_formattedText",t)}if(!e&&this.getEnableDefaultTitleAndDescription()){t.setHtmlText(this._getDefaultDescription())}else{t.setHtmlText(e)}return t};I.prototype._getIllustration=function(){var e=this.getAggregation("_illustration");if(!e){e=new a;this.setAggregation("_illustration",e)}return e};I.prototype._getResourceBundle=function(){return r.getResourceBundleFor("sap.m")};I.prototype._getText=function(){var e=this.getDescription(),i=this.getAggregation("_text");if(!i){i=new t({textAlign:g.Center});this.setAggregation("_text",i)}if(!e&&this.getEnableDefaultTitleAndDescription()){i.setText(this._getDefaultDescription())}else{i.setText(e)}return i};I.prototype._getTitle=function(){var e=this.getTitle(),t=this.getAggregation("_title");if(!t){t=new i({wrapping:true});this.setAggregation("_title",t)}if(!e&&this.getEnableDefaultTitleAndDescription()){t.setText(this._getDefaultTitle())}else{t.setText(e)}return t};I.prototype._preventWidowWords=function(e){var t,i,s=window.HTMLElement;if(!(s&&e instanceof s)){return}t=jQuery(e);i=t.html();i=i.replace(/ ([^ ]*)$/,"&nbsp;$1");t.html(i)};I.prototype._updateDomSize=function(){var e=this.getDomRef(),t,i;if(e){t=this.getIllustrationSize();if(t===T.Auto){this._updateMedia(e.getBoundingClientRect().width,e.getBoundingClientRect().height)}else{i=I.MEDIA[t.toUpperCase()];this._updateSymbol(i);this._updateMediaStyle(i)}}};I.prototype._updateInternalIllustrationSetAndType=function(e){var t=e.split("-");this._sIllustrationSet=t[0];this._sIllustrationType=t[1]};I.prototype._onResize=function(e){var t=e.size.width,i=e.size.height;this._updateMedia(t,i)};I.prototype._updateMedia=function(e,t){var i=this.getEnableVerticalResponsiveness(),s,a,o;if(!e&&!t){return}if(e<=I.BREAK_POINTS.BASE||t<=I.BREAK_POINTS_HEIGHT.BASE&&i){s=I.MEDIA.BASE}else if(e<=I.BREAK_POINTS.DOT||t<=I.BREAK_POINTS_HEIGHT.DOT&&i){s=I.MEDIA.DOT}else if(e<=I.BREAK_POINTS.SPOT||t<=I.BREAK_POINTS_HEIGHT.SPOT&&i){s=I.MEDIA.SPOT}else if(e<=I.BREAK_POINTS.DIALOG||t<=I.BREAK_POINTS_HEIGHT.DIALOG&&i){s=I.MEDIA.DIALOG}else{s=I.MEDIA.SCENE}this._updateSymbol(s);a=this._oLastKnownWidthForMedia[s];o=this._oLastKnownHeightForMedia[s];if(this._sLastKnownMedia!==s&&!(a&&e===a&&o&&t===o)||this._oLastKnownWidthForMedia[this._sLastKnownMedia]===0||this._oLastKnownHeightForMedia[this._sLastKnownMedia]===0){this._updateMediaStyle(s);this._oLastKnownWidthForMedia[s]=e;this._oLastKnownHeightForMedia[s]=t;this._sLastKnownMedia=s}};I.prototype._updateMediaStyle=function(e){if(this._sLastKnownMedia!==e){this._sLastKnownMedia=e}else{return}Object.keys(I.MEDIA).forEach(function(t){var i=e===I.MEDIA[t];this.toggleStyleClass(I.MEDIA[t],i)},this)};I.prototype._updateSymbol=function(e){if(e===I.MEDIA.BASE){return}var t=e.substring(e.indexOf("-")+1);this._getIllustration().setSet(this._sIllustrationSet,true).setMedia(t,true).setType(this._sIllustrationType)};I.prototype._getFallbackMedia=function(){var e=this._sLastKnownMedia,t=Object.values(I.MEDIA),i=t.indexOf(e);if(i>-1&&i<t.length-1){return t[i+1]}else{return t[t.length-1]}};I.prototype._handleMissingAsset=function(){var e,t=Object.values(I.MEDIA),i="";if(this._sLastKnownMedia!==t[t.length-1]){e=this._getIllustration();i=this._getFallbackMedia();e.setMedia(i.substring(i.indexOf("-")+1));o.warning(this._sLastKnownMedia+" is unavailable, retrying with larger size...",this)}else{o.warning("No larger fallback asset available, no SVG will be displayed.",this)}};I.prototype._attachResizeHandlers=function(){var e=this.getIllustrationSize();if(this.getDomRef()&&e===T.Auto){this._registerResizeHandler(I.RESIZE_HANDLER_ID.CONTENT,this,this._onResize.bind(this))}};I.prototype._detachResizeHandlers=function(){this._deRegisterResizeHandler(I.RESIZE_HANDLER_ID.CONTENT)};I.prototype._registerResizeHandler=function(e,t,i){if(!this[e]){this[e]=p.register(t,i)}};I.prototype._deRegisterResizeHandler=function(e){if(this[e]){p.deregister(this[e]);this[e]=null}};I.prototype.getAccessibilityReferences=function(){return{title:this._getTitle().getId(),description:this._getDescription().getId()}};I.prototype.getAccessibilityInfo=function(){var e=this._getTitle().getText(),t=this._getDescription().getText(),i=this.getAdditionalContent();return{type:this._getResourceBundle().getText("ACC_CTR_ILLUSTRATED_MESSAGE"),description:e+". "+t,focusable:!!i.length,children:i}};I.prototype.addIllustrationAriaLabelledBy=function(e){var t=this.getAssociation("ariaLabelledBy"),i=this._getTitle().sId,s=this._getIllustration();this.addAssociation("ariaLabelledBy",e,true);if(t&&t.includes(i)){this.removeIllustrationAriaLabelledBy(i)}s.addAriaLabelledBy(e);return this};I.prototype.removeIllustrationAriaLabelledBy=function(e){this.removeAssociation("ariaLabelledBy",e,true);var t=this._getIllustration();t.removeAriaLabelledBy(e);this._setDefaultIllustrationLabel();return this};I.prototype.removeAllAriaLabelledBy=function(e){this.removeAssociation("ariaLabelledBy",e,true);var t=this._getIllustration();t.removeAllAriaLabelledBy(e);this._setDefaultIllustrationLabel();return this};I.prototype.setAriaTitleLevel=function(e){this.setProperty("ariaTitleLevel",e,true);this._getTitle().setLevel(e);return this};return I});
//# sourceMappingURL=IllustratedMessage.js.map