/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/Log","./library","sap/ui/core/EventBus","sap/ui/thirdparty/jquery","sap/ui/core/StaticArea"],function(e,t,r,jQuery,s){"use strict";var a="sap-ui-illustration-pool",o="-Patterns",i="sapIllus",n=sap.ui.require.toUrl("sap/m/themes/base/illustrations/"),l=Object.keys(t.IllustratedMessageType);var u=Object.create(null);u[i]={sPath:n,aSymbols:l,bIsPending:false,aCollections:[]};var d=[],f=Object.create(null),c=Object.create(null),b=Object.create(null);var g={};g.loadAsset=function(t,r,s){var a,o;s=s||"";if(t===""){e.error("ID of the asset can not be blank/empty.");return}o=s+t;if(r){b[r]=o}if(f[o]){e.info("The asset with ID '"+t+"' is either loaded or being loaded.");if(r&&c[o]){g._updateDOMPool()}return}a=t.split("-")[0];if(!u[a]){e.error("The illustration set '"+a+"' is not registered. Please register it before requiring one of its assets.");return}f[o]=true;g._requireSVG(a,t,r,s)};g.getIllustrationSetMetadata=function(t){if(!u[t]){e.error("The illustration set '"+t+"' is not registered. Please register it before requiring one of its assets.");return null}return u[t]};g.loadRestOfTheAssets=function(e){var t;if(!u[e]){throw new Error("The illustration set '"+e+"' is not registered. Please register it before requiring rest of its assets.")}t=u[e].aSymbols;if(Array.isArray(t)){t.forEach(function(t){g.loadAsset(e+"-Dot-"+t);g.loadAsset(e+"-Spot-"+t);g.loadAsset(e+"-Dialog-"+t);g.loadAsset(e+"-Scene-"+t)})}};g.registerIllustrationSet=function(t,r){var s=t.setFamily,a=t.setURI;if(u[s]){if(u[s].bIsPending){e.warning("Illustration Set is currently being loaded.")}else{e.warning("Illustration Set already registered.")}return}if(a.substr(a.length-1)!=="/"){a+="/"}u[s]=Object.create(null);u[s].sPath=a;u[s].bIsPending=true;g._loadMetadata(s,a,r)};g._addAssetToDOMPool=function(e,t){g._getDOMPool().insertAdjacentHTML("beforeend",e);if(t){d.push(t)}};g._getDOMPool=function(){var e=document.getElementById(a);if(e===null){e=document.createElement("div");e.id=a;e.setAttribute("aria-hidden","true");s.getDomRef().appendChild(e);g.loadAsset(i+o)}return e};g._loadMetadata=function(t,r,s){var a=r+"metadata.json";return new Promise(function(r){jQuery.ajax(a,{type:"GET",dataType:"json",success:function(a){e.info("Metadata for illustration set ("+t+") successfully loaded");g._metadataLoaded(t,a,s);r(a)},error:function(s,o){if(o!=="abort"){e.error("Metadata from: "+a+" file path could not be loaded");delete u[t];r()}}})})};g._metadataLoaded=function(e,t,r){var s=t.symbols,a=t.collections,i=t.requireCustomPatterns;u[e].aSymbols=s;u[e].aCollections=a;if(i){g.loadAsset(e+o)}if(r){g.loadRestOfTheAssets(e)}u[e].bIsPending=false};g._removeAssetFromDOMPool=function(e){var t=document.getElementById(a),r=e.split("/").pop(),s;if(t!==null){s=document.getElementById(r);if(s!==null){t.removeChild(s);d.splice(d.indexOf(e),1)}}};g._requireSVG=function(t,s,a,i){var n=i+s;i=i||"";return new Promise(function(l){jQuery.ajax(u[t].sPath+i+s+".svg",{type:"GET",dataType:"html",success:function(e){if(s.indexOf(o)===-1){c[n]=e;if(a){g._updateDOMPool()}}else{g._addAssetToDOMPool(e)}l(e)},error:function(t,a){if(a!=="abort"){delete f[n];r.getInstance().publish("sapMIllusPool-assetLdgFailed");e.error(s+" asset could not be loaded");l()}}})})};g._updateDOMPool=function(){var e=Object.create(null),t=Object.create(null),r,s;for(var a in b){r=b[a];s=d.indexOf(r);if(s===-1){t[r]=true}else{e[r]=true}}for(var o=0;o<d.length;o++){r=d[o];if(!e[r]){g._removeAssetFromDOMPool(r);o--}}for(var i in t){r=c[i];if(r){g._addAssetToDOMPool(r,i)}}};return g},true);
//# sourceMappingURL=IllustrationPool.js.map