/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/Control","sap/ui/core/Element","sap/ui/core/InvisibleText","sap/ui/core/EnabledPropagator","sap/ui/core/AccessKeysEnablement","sap/ui/core/LabelEnablement","sap/ui/core/Lib","sap/ui/core/Icon","sap/ui/core/IconPool","sap/ui/core/library","sap/ui/Device","./LinkRenderer","sap/ui/events/KeyCodes","sap/base/security/URLListValidator","sap/base/Log"],function(e,t,i,r,o,a,n,s,p,l,c,u,d,g,f,h){"use strict";var y=c.TextDirection;var b=c.TextAlign;var I=c.aria.HasPopup;var m=e.LinkAccessibleRole;var v=e.EmptyIndicatorMode;var A=t.extend("sap.m.Link",{metadata:{interfaces:["sap.ui.core.IShrinkable","sap.ui.core.IFormContent","sap.ui.core.ISemanticFormContent","sap.ui.core.ITitleContent","sap.ui.core.IAccessKeySupport","sap.m.IToolbarInteractiveControl"],library:"sap.m",designtime:"sap/m/designtime/Link.designtime",properties:{text:{type:"string",group:"Data",defaultValue:""},icon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:""},endIcon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:""},enabled:{type:"boolean",group:"Behavior",defaultValue:true},target:{type:"string",group:"Behavior",defaultValue:null},rel:{type:"string",group:"Behavior",defaultValue:null},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},href:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},validateUrl:{type:"boolean",group:"Data",defaultValue:false},wrapping:{type:"boolean",group:"Appearance",defaultValue:false},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:b.Initial},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:y.Inherit},subtle:{type:"boolean",group:"Behavior",defaultValue:false},emphasized:{type:"boolean",group:"Behavior",defaultValue:false},ariaHasPopup:{type:"sap.ui.core.aria.HasPopup",group:"Accessibility",defaultValue:I.None},accessibleRole:{type:"sap.m.LinkAccessibleRole",group:"Accessibility",defaultValue:m.Default},emptyIndicatorMode:{type:"sap.m.EmptyIndicatorMode",group:"Appearance",defaultValue:v.Off},highlightAccKeysRef:{type:"boolean",defaultValue:false,visibility:"hidden"},accesskey:{type:"string",defaultValue:"",visibility:"hidden"}},aggregations:{_icon:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"},_endIcon:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{press:{allowPreventDefault:true,parameters:{ctrlKey:{type:"boolean"},metaKey:{type:"boolean"}}}},dnd:{draggable:true,droppable:false}},renderer:d});o.call(A.prototype);A.prototype.init=function(){a.registerControl(this)};A.prototype.onBeforeRendering=function(){};A.prototype.getAccessKeysFocusTarget=function(){return this.getFocusDomRef()};A.prototype.onAccKeysHighlightStart=function(){E.call(this,true)};A.prototype.onAccKeysHighlightEnd=function(){E.call(this,false)};A.prototype.onAfterRendering=function(){if(u.system.phone||u.system.tablet){var e=this.getDomRef();if(!e){return}e.removeEventListener("click",this._onClick);if(e.getAttribute("href")=="#"){e.addEventListener("click",this._onClick)}}};A.prototype.exit=function(){var e=this.getAggregation("_icon"),t=this.getAggregation("_endIcon");if(u.system.phone||u.system.tablet){var i=this.getDomRef();if(!i){return}i.removeEventListener("click",this._onClick)}if(e){e.destroy();e=null}if(t){t.destroy();t=null}};A.prototype._onClick=function(e){e.preventDefault()};A.prototype.onkeydown=function(e){if(e.which===g.SPACE||e.which===g.SHIFT||e.which===g.ESCAPE){if(e.which===g.SPACE){if(this.getEnabled()||this.getHref()){e.setMarked();e.preventDefault();this._bPressedSpace=true}}if(this._bPressedSpace&&(e.which===g.ESCAPE||e.which===g.SHIFT)){this._bPressedEscapeOrShift=true}}else{if(this._bPressedSpace){e.preventDefault()}}};A.prototype.onkeyup=function(e){if(e.which===g.SPACE){if(!this._bPressedEscapeOrShift){this._handlePress(e);if(this.getHref()&&!e.isDefaultPrevented()){e.preventDefault();e.setMarked();var t=document.createEvent("MouseEvents");t.initEvent("click",false,true);this.getDomRef().dispatchEvent(t)}}else{this._bPressedEscapeOrShift=false}this._bPressedSpace=false}};A.prototype._handlePress=function(e){var t=e.target,i;if(this.getEnabled()){e.setMarked();i=(t.classList.contains("sapMLnk")||t.parentElement.classList.contains("sapMLnk"))&&(t.getAttribute("href")=="#"||t.parentElement.getAttribute("href")=="#");if(!this.firePress({ctrlKey:!!e.ctrlKey,metaKey:!!e.metaKey})||i){e.preventDefault()}}else{e.preventDefault()}};A.prototype.onsapenter=A.prototype._handlePress;A.prototype.onclick=A.prototype._handlePress;A.prototype.ontouchstart=function(e){if(this.getEnabled()){e.setMarked()}};A.prototype.setSubtle=function(e){this.setProperty("subtle",e);if(e&&!A.prototype._sAriaLinkSubtleId){A.prototype._sAriaLinkSubtleId=r.getStaticId("sap.m","LINK_SUBTLE")}return this};A.prototype.setEmphasized=function(e){this.setProperty("emphasized",e);if(e&&!A.prototype._sAriaLinkEmphasizedId){A.prototype._sAriaLinkEmphasizedId=r.getStaticId("sap.m","LINK_EMPHASIZED")}return this};A.prototype.setIcon=function(e){if(!l.isIconURI(e)){h.error("setIcon: The provided URI ' + sSrc + ' is is not a valid Icon URI!")}else{var t=this._getIcon();t.setSrc(e);this.setProperty("icon",e)}return this};A.prototype.setEndIcon=function(e){if(!l.isIconURI(e)){h.error("setEndIcon: The provided URI ' + sSrc + ' is is not a valid Icon URI!")}else{var t=this._getEndIcon();t.setSrc(e);this.setProperty("endIcon",e)}return this};A.prototype._isHrefValid=function(e){return this.getValidateUrl()?f.validate(e):true};A.prototype.getAccessibilityInfo=function(){var e=s.getResourceBundleFor("sap.m"),t=this.getEmphasized()?e.getText("LINK_EMPHASIZED"):"",i=this.getSubtle()?e.getText("LINK_SUBTLE"):"",r=this.getText(),o=r,a=this.getAccessibleRole(),n;if(r){n=a===m.Default?e.getText("ACC_CTR_TYPE_LINK"):e.getText("ACC_CTR_TYPE_BUTTON");t&&(o+=" "+t);i&&(o+=" "+i)}return{role:a===m.Default?"link":a,type:n,description:o,focusable:this.getEnabled(),enabled:this.getEnabled()}};A.prototype.getFormDoNotAdjustWidth=function(){return true};A.prototype._getTabindex=function(){return this.getText()&&this.getEnabled()?"0":"-1"};A.prototype._determineSelfReferencePresence=function(){var e=this.getAriaLabelledBy(),t=e.indexOf(this.getId())!==-1,i=n.getReferencingLabels(this).length>0,r=this.getParent(),o=!!(r&&r.enhanceAccessibilityState);return!t&&(e.length>0||i||o)};A.prototype._getToolbarInteractive=function(){return true};var E=function(e){var t=this.getAriaLabelledBy();if(t.length){var r=i.getElementById(t[0]);r.setProperty("highlightAccKeysRef",e);if(r.getText&&r.getText()){this.setProperty("accesskey",r.getText()[0].toLowerCase())}}};A.prototype.getFormFormattedValue=function(){return this.getText()};A.prototype.getFormValueProperty=function(){return"text"};A.prototype.getFormObservingProperties=function(){return["text"]};A.prototype.getFormRenderAsControl=function(){return true};A.prototype._getIcon=function(){var e=this.getAggregation("_icon");if(!e){e=new p(this.getId()+"-icon",{useIconTooltip:false}).addStyleClass("sapMLnkIcon");this.setAggregation("_icon",e)}return e};A.prototype._getEndIcon=function(){var e=this.getAggregation("_endIcon");if(!e){e=new p(this.getId()+"-endIcon",{useIconTooltip:false}).addStyleClass("sapMLnkEndIcon");this.setAggregation("_endIcon",e)}return e};return A});
//# sourceMappingURL=Link.js.map