/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Localization","sap/ui/core/ControlBehavior","sap/ui/core/RenderManager","sap/ui/Device","sap/ui/core/Control","sap/ui/core/Element","sap/ui/core/InvisibleText","sap/ui/core/LabelEnablement","sap/ui/core/delegate/ItemNavigation","./library","sap/ui/core/library","./InstanceManager","./GrowingEnablement","./GroupHeaderListItem","./ListItemBase","./ListBaseRenderer","sap/base/strings/capitalize","sap/ui/thirdparty/jquery","sap/base/Log","sap/ui/core/InvisibleMessage","sap/m/table/Util","sap/ui/core/Lib","sap/ui/dom/jquery/Selectors","sap/ui/dom/jquery/Aria"],function(e,t,i,s,o,n,r,a,l,u,h,d,c,g,p,f,m,jQuery,v,I,y,_){"use strict";var S=u.ListType;var b=u.ListGrowingDirection;var w=u.SwipeDirection;var T=u.ListSeparators;var C=u.ListMode;var B=u.ListHeaderDesign;var D=u.Sticky;var R=u.MultiSelectMode;var M=h.TitleLevel;var x=o.extend("sap.m.ListBase",{metadata:{library:"sap.m",dnd:true,properties:{inset:{type:"boolean",group:"Appearance",defaultValue:false},headerText:{type:"string",group:"Misc",defaultValue:null},headerLevel:{type:"sap.ui.core.TitleLevel",group:"Misc",defaultValue:M.Auto},headerDesign:{type:"sap.m.ListHeaderDesign",group:"Appearance",defaultValue:B.Standard,deprecated:true},footerText:{type:"string",group:"Misc",defaultValue:null},mode:{type:"sap.m.ListMode",group:"Behavior",defaultValue:C.None},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:"100%"},includeItemInSelection:{type:"boolean",group:"Behavior",defaultValue:false},showUnread:{type:"boolean",group:"Misc",defaultValue:false},noDataText:{type:"string",group:"Misc",defaultValue:null},showNoData:{type:"boolean",group:"Misc",defaultValue:true},enableBusyIndicator:{type:"boolean",group:"Behavior",defaultValue:true},modeAnimationOn:{type:"boolean",group:"Misc",defaultValue:true},showSeparators:{type:"sap.m.ListSeparators",group:"Appearance",defaultValue:T.All},swipeDirection:{type:"sap.m.SwipeDirection",group:"Misc",defaultValue:w.Both},growing:{type:"boolean",group:"Behavior",defaultValue:false},growingThreshold:{type:"int",group:"Misc",defaultValue:20},growingTriggerText:{type:"string",group:"Appearance",defaultValue:null},growingScrollToLoad:{type:"boolean",group:"Behavior",defaultValue:false},growingDirection:{type:"sap.m.ListGrowingDirection",group:"Behavior",defaultValue:b.Downwards},rememberSelections:{type:"boolean",group:"Behavior",defaultValue:true},keyboardMode:{type:"sap.m.ListKeyboardMode",group:"Behavior",defaultValue:"Navigation"},sticky:{type:"sap.m.Sticky[]",group:"Appearance"},multiSelectMode:{type:"sap.m.MultiSelectMode",group:"Behavior",defaultValue:R.Default}},defaultAggregation:"items",aggregations:{items:{type:"sap.m.ListItemBase",multiple:true,singularName:"item",bindable:"bindable",selector:"#{id} .sapMListItems",dnd:true},swipeContent:{type:"sap.ui.core.Control",multiple:false},headerToolbar:{type:"sap.m.Toolbar",multiple:false},infoToolbar:{type:"sap.m.Toolbar",multiple:false},contextMenu:{type:"sap.ui.core.IContextMenu",multiple:false},_messageStrip:{type:"sap.m.MessageStrip",multiple:false,visibility:"hidden"},noData:{type:"sap.ui.core.Control",multiple:false,altTypes:["string"]}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{select:{deprecated:true,parameters:{listItem:{type:"sap.m.ListItemBase"}}},selectionChange:{parameters:{listItem:{type:"sap.m.ListItemBase"},listItems:{type:"sap.m.ListItemBase[]"},selected:{type:"boolean"},selectAll:{type:"boolean"}}},delete:{parameters:{listItem:{type:"sap.m.ListItemBase"}}},swipe:{allowPreventDefault:true,parameters:{listItem:{type:"sap.m.ListItemBase"},swipeContent:{type:"sap.ui.core.Control"},srcControl:{type:"sap.ui.core.Control"},swipeDirection:{type:"sap.m.SwipeDirection"}}},growingStarted:{deprecated:true,parameters:{actual:{type:"int"},total:{type:"int"}}},growingFinished:{deprecated:true,parameters:{actual:{type:"int"},total:{type:"int"}}},updateStarted:{parameters:{reason:{type:"string"},actual:{type:"int"},total:{type:"int"}}},updateFinished:{parameters:{reason:{type:"string"},actual:{type:"int"},total:{type:"int"}}},itemPress:{parameters:{listItem:{type:"sap.m.ListItemBase"},srcControl:{type:"sap.ui.core.Control"}}},beforeOpenContextMenu:{allowPreventDefault:true,parameters:{listItem:{type:"sap.m.ListItemBase"}}}},designtime:"sap/m/designtime/ListBase.designtime"},renderer:f});x.prototype.bAnnounceDetails=true;x.getInvisibleText=function(){if(!this.oInvisibleText){this.oInvisibleText=(new r).toStatic()}return this.oInvisibleText};x.prototype.sNavItemClass="sapMLIB";x.prototype.init=function(){this._aNavSections=[];this._aSelectedPaths=[];this._iItemNeedsHighlight=0;this._iItemNeedsNavigated=0;this._bItemsBeingBound=false;this._bSkippedInvalidationOnRebind=false;this.data("sap-ui-fastnavgroup","true",true)};x.prototype.onBeforeRendering=function(){this._bRendering=true;this._bActiveItem=false;this._aNavSections=[];this._removeSwipeContent()};x.prototype.onAfterRendering=function(){this._bRendering=false;this._sLastMode=this.getMode();this._startItemNavigation(true)};x.prototype.exit=function(){this._aNavSections=[];this._aSelectedPaths=[];this._destroyGrowingDelegate();this._destroyItemNavigation();this._oLastFakeFocusedItem=null};x.prototype.refreshItems=function(e){this._bRefreshItems=true;if(this._oGrowingDelegate){this._oGrowingDelegate.refreshItems(e)}else{if(!this._bReceivingData){this._updateStarted(e);this._bReceivingData=true}this.refreshAggregation("items")}};x.prototype.updateItems=function(e,t){if(t&&t.detailedReason==="AddVirtualContext"){L(this);if(this._oGrowingDelegate){this._oGrowingDelegate.reset(true)}return}else if(t&&t.detailedReason==="RemoveVirtualContext"){A(this);return}if(this._bSkippedInvalidationOnRebind&&this.getBinding("items").getLength()===0){this.invalidate()}if(this._oGrowingDelegate){this._oGrowingDelegate.updateItems(e)}else{if(this._bReceivingData){this._bReceivingData=false}else{this._updateStarted(e)}this.updateAggregation("items");this._updateFinished()}this._bSkippedInvalidationOnRebind=false};function L(e){var t=e.getBinding("items");var i=e.getBindingInfo("items");var s=e.getGrowing()?e.getGrowingThreshold():i.length;var o=e.getGrowing()||!i.startIndex?0:i.startIndex;var n=t.getContexts(o,s)[0];A(e);e._oVirtualItem=c.createItem(n,i,"virtual");e.addAggregation("dependents",e._oVirtualItem,true)}function A(e){if(e._oVirtualItem){e._oVirtualItem.destroy();delete e._oVirtualItem}}x.prototype.setBindingContext=function(e,t){var i=(this.getBindingInfo("items")||{}).model;if(i===t){this._resetItemsBinding()}return o.prototype.setBindingContext.apply(this,arguments)};x.prototype.bindAggregation=function(e){this._bItemsBeingBound=e==="items";A(this);o.prototype.bindAggregation.apply(this,arguments);this._bItemsBeingBound=false;return this};x.prototype._bindAggregation=function(e,t){function i(e,t,i){e.events=e.events||{};if(!e.events[t]){e.events[t]=i}else{var s=e.events[t];e.events[t]=function(){i.apply(this,arguments);s.apply(this,arguments)}}}if(e==="items"){this._resetItemsBinding();i(t,"dataRequested",this._onBindingDataRequestedListener.bind(this));i(t,"dataReceived",this._onBindingDataReceivedListener.bind(this))}o.prototype._bindAggregation.call(this,e,t);if(e==="items"&&this.getModel(t.model).isA("sap.ui.model.odata.v4.ODataModel")){this.getBinding("items").attachEvent("selectionChanged",N,this)}};x.prototype._onBindingDataRequestedListener=function(e){this._showBusyIndicator();if(this._dataReceivedHandlerId!=null){clearTimeout(this._dataReceivedHandlerId);delete this._dataReceivedHandlerId}};x.prototype._onBindingDataReceivedListener=function(e){if(this._dataReceivedHandlerId!=null){clearTimeout(this._dataReceivedHandlerId);delete this._dataReceivedHandlerId}this._dataReceivedHandlerId=setTimeout(function(){this._hideBusyIndicator();delete this._dataReceivedHandlerId}.bind(this),0);if(this._oGrowingDelegate){this._oGrowingDelegate._onBindingDataReceivedListener(e)}};async function N(e){const t=e.getParameter("context");if(!this._bSelectionMode){return}if(t.getBinding().getHeaderContext()===t){if(t.isSelected()){v.warning("Selecting the header context does not affect the list selection",this)}else{this.removeSelections(true,true)}return}const i=this.getBindingInfo("items").model;const s=this.getItems().find(e=>e.getBindingContext(i)===t);if(!s){v.warning("Selecting a context that is not related to a visible item does not affect the list selection",this);return}await Promise.resolve();const o=t.isSelected();this.setSelectedItem(s,o,o!==s.getSelected());if(o&&this.getMode().includes("SingleSelect")){t.getBinding().getAllCurrentContexts().forEach(e=>{if(e!==t){e.setSelected(false)}})}}x.prototype.destroyItems=function(e){if(!this.getItems(true).length){return this}this.destroyAggregation("items","KeepDom");if(!e){if(this._bItemsBeingBound){this._bSkippedInvalidationOnRebind=true}else{this.invalidate()}}return this};x.prototype.getItems=function(e){if(e){return this.mAggregations["items"]||[]}return this.getAggregation("items",[])};x.prototype.getId=function(e){var t=this.sId;return e?t+"-"+e:t};x.prototype.setGrowing=function(e){e=!!e;if(this.getGrowing()!=e){this.setProperty("growing",e,!e);if(e){this._oGrowingDelegate=new c(this)}else if(this._oGrowingDelegate){this._oGrowingDelegate.destroy();this._oGrowingDelegate=null}}return this};x.prototype.setGrowingThreshold=function(e){return this.setProperty("growingThreshold",e,true)};x.prototype.setEnableBusyIndicator=function(e){this.setProperty("enableBusyIndicator",e,true);this._hideBusyIndicator();return this};x.prototype.setNoData=function(e){this.setAggregation("noData",e,true);if(typeof e==="string"){this.$("nodata-text").text(e)}else if(e){this.invalidate()}else if(!e){this.$("nodata-text").text(this.getNoDataText())}return this};x.prototype.setNoDataText=function(e){this.setProperty("noDataText",e,true);if(!this.getNoData()){this.$("nodata-text").text(this.getNoDataText())}return this};x.prototype.getNoDataText=function(e){if(e&&this._bBusy){return""}var t=this.getProperty("noDataText");t=t||_.getResourceBundleFor("sap.m").getText("LIST_NO_DATA");return t};x.prototype.getSelectedItem=function(){var e=this.getItems(true);for(var t=0;t<e.length;t++){if(e[t].getSelected()){return e[t]}}return null};x.prototype.setSelectedItem=function(e,t,i){if(this.indexOfItem(e)<0){v.warning("setSelectedItem is called without valid ListItem parameter on "+this);return this}if(this._bSelectionMode){e.setSelected(t===undefined?true:!!t);i&&this._fireSelectionChangeEvent([e])}return this};x.prototype.getSelectedItems=function(){return this.getItems(true).filter(function(e){return e.getSelected()})};x.prototype.setSelectedItemById=function(e,t){var i=n.getElementById(e);return this.setSelectedItem(i,t)};x.prototype.getSelectedContexts=function(e){const t=this.getBindingInfo("items");const i=t?.model;const s=this.getModel(i);if(!t||!s){return[]}if(e&&this.getRememberSelections()){if(s.isA("sap.ui.model.odata.v4.ODataModel")){const e=this.getBinding("items").getAllCurrentContexts?.()||[];return e.filter(e=>this._aSelectedPaths.includes(e.getPath()))}return this._aSelectedPaths.map(e=>s.getContext(e))}return this.getSelectedItems().map(e=>e.getBindingContext(i))};x.prototype.removeSelections=function(e,t,i){var s=[];this._oSelectedItem=null;if(e){this._aSelectedPaths=[];if(!i){const e=this.getBinding("items");const t=e?.getAllCurrentContexts?.()||[];t[0]?.setSelected&&t.forEach(e=>e.setSelected(false))}}this.getItems(true).forEach(function(t){if(!t.getSelected()){return}if(i&&t.isSelectedBoundTwoWay()){return}t.setSelected(false,true);s.push(t);!e&&this._updateSelectedPaths(t)},this);if(t&&s.length){this._fireSelectionChangeEvent(s)}return this};x.prototype.selectAll=function(e){if(this.getMode()!="MultiSelect"||this.getMultiSelectMode()==R.ClearAll){return this}var t=[];this.getItems(true).forEach(function(e){if(e.isSelectable()&&!e.getSelected()){e.setSelected(true,true);t.push(e);this._updateSelectedPaths(e)}},this);if(e&&t.length){this._fireSelectionChangeEvent(t,e)}var i=this.getItems().filter(function(e){return e.isSelectable()}).length;if(e&&this.getGrowing()&&this.getMultiSelectMode()==="SelectAll"&&this.getBinding("items")?.getLength()>i){var s=this._getSelectAllCheckbox?this._getSelectAllCheckbox():undefined;if(s){y.showSelectionLimitPopover(i,s)}}return this};x.prototype.getLastMode=function(e){return this._sLastMode};x.prototype.setMode=function(e){e=this.validateProperty("mode",e);var t=this.getMode();if(t==e){return this}this._bSelectionMode=e.indexOf("Select")>-1;if(!this._bSelectionMode){this.removeSelections(true)}else{var i=this.getSelectedItems();if(i.length>1){this.removeSelections(true)}else if(t===C.MultiSelect){this._oSelectedItem=i[0]}}return this.setProperty("mode",e)};x.prototype.getGrowingInfo=function(){return this._oGrowingDelegate?this._oGrowingDelegate.getInfo():null};x.prototype.setRememberSelections=function(e){this.setProperty("rememberSelections",e,true);!this.getRememberSelections()&&(this._aSelectedPaths=[]);return this};x.prototype.setSelectedContextPaths=function(e){this._aSelectedPaths=e||[]};x.prototype.getSelectedContextPaths=function(e){if(!e||e&&this.getRememberSelections()){return this._aSelectedPaths.slice(0)}return this.getSelectedItems().map(function(e){return e.getBindingContextPath()})};x.prototype.isAllSelectableSelected=function(){if(this.getMode()!=C.MultiSelect){return false}var e=this.getItems(true),t=this.getSelectedItems().length,i=e.filter(function(e){return e.isSelectable()}).length;return e.length>0&&t==i};x.prototype.getVisibleItems=function(){return this.getItems(true).filter(function(e){return e.getVisible()})};x.prototype.getActiveItem=function(){return this._bActiveItem};x.prototype.onItemDOMUpdate=function(e){if(!this._bRendering&&this.bOutput){this._startItemNavigation(true)}var t=this.getVisibleItems().length>0;if(!t&&!this._bInvalidatedForNoData){this.invalidate();this._bInvalidatedForNoData=true}else if(t&&this._bInvalidatedForNoData){this.invalidate();this._bInvalidatedForNoData=false}};x.prototype.onItemActiveChange=function(e,t){this._bActiveItem=t};x.prototype.onItemHighlightChange=function(e,t){this._iItemNeedsHighlight+=t?1:-1;if(this._iItemNeedsHighlight==1&&t){this.$("listUl").addClass("sapMListHighlight")}else if(this._iItemNeedsHighlight==0){this.$("listUl").removeClass("sapMListHighlight")}};x.prototype.onItemNavigatedChange=function(e,t){this._iItemNeedsNavigated+=t?1:-1;if(this._iItemNeedsNavigated==1&&t){this.$("listUl").addClass("sapMListNavigated")}else if(this._iItemNeedsNavigated==0){this.$("listUl").removeClass("sapMListNavigated")}};x.prototype.onItemSelectedChange=function(e,t){if(this.getMode()==C.MultiSelect){this._updateSelectedPaths(e,t);return}if(t){this._aSelectedPaths=[];this._oSelectedItem&&this._oSelectedItem.setSelected(false,true);this._oSelectedItem=e}else if(this._oSelectedItem===e){this._oSelectedItem=null}this._updateSelectedPaths(e,t)};x.prototype.onItemAfterSelectedChange=function(e,t){this.fireEvent("itemSelectedChange",{listItem:e,selected:t})};x.prototype.getItemsContainerDomRef=function(){return this.getDomRef("listUl")};x.prototype.getStickyFocusOffset=function(){return 0};x.prototype.checkGrowingFromScratch=function(){};x.prototype.onBeforePageLoaded=function(e,t){this._fireUpdateStarted(t,e);this.fireGrowingStarted(e)};x.prototype.onAfterPageLoaded=function(e,t){this._fireUpdateFinished(e);this.fireGrowingFinished(e)};x.prototype.addNavSection=function(e){this._aNavSections.push(e);return e};x.prototype.getMaxItemsCount=function(){var e=this.getBinding("items");if(e&&e.getLength){return e.getLength()||0}return this.getItems(true).length};x.prototype.shouldRenderItems=function(){return true};x.prototype.shouldGrowingSuppressInvalidation=function(){return true};x.prototype._resetItemsBinding=function(){if(this.isBound("items")){this._bUpdating=false;this._bReceivingData=false;this.removeSelections(true,false,true);this._oGrowingDelegate&&this._oGrowingDelegate.reset();this._hideBusyIndicator();if(this._oItemNavigation&&document.activeElement.id!=this.getId("nodata")){this._oItemNavigation.iFocusedIndex=-1}}};x.prototype._updateStarted=function(e){if(!this._bReceivingData&&!this._bUpdating){this._bUpdating=true;this._fireUpdateStarted(e)}};x.prototype._fireUpdateStarted=function(e,t){this._sUpdateReason=m(e||"Refresh");this.fireUpdateStarted({reason:this._sUpdateReason,actual:t?t.actual:this.getItems(true).length,total:t?t.total:this.getMaxItemsCount()})};x.prototype.onThemeChanged=function(){if(this._oGrowingDelegate){this._oGrowingDelegate._updateTrigger()}};x.prototype._updateFinished=function(){if(!this._bReceivingData&&this._bUpdating){this._fireUpdateFinished();this._bUpdating=false}};x.prototype._fireUpdateFinished=function(e){setTimeout(function(){this._bItemNavigationInvalidated=true;this.fireUpdateFinished({reason:this._sUpdateReason,actual:e?e.actual:this.getItems(true).length,total:e?e.total:this.getMaxItemsCount()})}.bind(this),0)};x.prototype._showBusyIndicator=function(){if(this.getEnableBusyIndicator()&&!this.getBusy()&&!this._bBusy){this._bBusy=true;this.setBusy(true,"listUl")}};x.prototype._hideBusyIndicator=function(){if(this._bBusy){this._bBusy=false;if(this.getEnableBusyIndicator()){this.setBusy(false,"listUl");const e=this.getNavigationRoot();if(document.activeElement==e){jQuery(e).trigger("focus")}}}};x.prototype.setBusy=function(e,t){if(this.getBusy()==e){return this}o.prototype.setBusy.apply(this,arguments);if(!e||!window.IntersectionObserver){clearTimeout(this._iBusyTimer);return this}this._iBusyTimer=setTimeout(function(){var e=this.getDomRef(t);var i=this.getDomRef("busyIndicator");var s=u.getScrollDelegate(this,true);if(!e||!i||!s){return}var o=new window.IntersectionObserver(function(e){o.disconnect();var t=e.pop();var s=t.intersectionRatio;if(s<=0||s>=1){return}var n=i.firstChild.style;if(t.intersectionRect.height>=t.rootBounds.height){n.position="sticky"}else{n.top=((t.boundingClientRect.top<0?1-s:0)+s/2)*100+"%"}},{root:s.getContainerDomRef()});o.observe(e)}.bind(this),this.getBusyIndicatorDelay());return this};x.prototype.onItemBindingContextSet=function(e){if(!this._bSelectionMode||!this.getRememberSelections()||!this.isBound("items")){return}if(e.isSelectedBoundTwoWay()){return}var t=e.getBindingContextPath();if(t){var i=this._aSelectedPaths.indexOf(t)>-1;e.setSelected(i)}};x.prototype.onItemRemoved=function(e){e._bGroupHeader=false;if(this._oLastGroupHeader==e){this._oLastGroupHeader=null}if(this._oSelectedItem==e){this._oSelectedItem=null}};x.prototype.onItemInserted=function(e,t){if(this._oLastGroupHeader&&!e.isGroupHeader()){this._oLastGroupHeader.setGroupedItem(e)}if(t){this.onItemSelectedChange(e,true)}if(!this._bSelectionMode||!this._aSelectedPaths.length||!this.getRememberSelections()||!this.isBound("items")||e.isSelectedBoundTwoWay()||e.getSelected()){return}var i=e.getBindingContextPath();if(i&&this._aSelectedPaths.indexOf(i)>-1){e.setSelected(true)}};x.prototype.onItemSelect=function(e,t){var i=this.getMode();if(this._mRangeSelection){if(!this._mRangeSelection.selected){this._fireSelectionChangeEvent([e]);this._mRangeSelection.index=this.getVisibleItems().indexOf(e);this._mRangeSelection.selected=t;return}if(!t){e.setSelected(true);return}var s=this.indexOfItem(e),o=this.getItems(),n,r,a=[],l;if(s<this._mRangeSelection.index){n=this._mRangeSelection.index-s;l=-1}else{n=s-this._mRangeSelection.index;l=1}for(var u=1;u<=n;u++){r=o[this._mRangeSelection.index+u*l];if(r.isSelectable()&&r.getVisible()&&!r.getSelected()){r.setSelected(true);a.push(r)}else if(r===e){a.push(r)}}this._fireSelectionChangeEvent(a);return}if(i===C.MultiSelect||this._bSelectionMode&&t){this._fireSelectionChangeEvent([e]);if(this.getAriaRole()==="list"&&document.activeElement===e.getDomRef()){var h=_.getResourceBundleFor("sap.m");I.getInstance().announce(t?h.getText("LIST_ITEM_SELECTED"):h.getText("LIST_ITEM_NOT_SELECTED"),"Assertive")}}};x.prototype._fireSelectionChangeEvent=function(e,t){var i=e&&e[0];if(!i){return}this.fireSelectionChange({listItem:i,listItems:e,selected:i.getSelected(),selectAll:!!t});if(this.getGrowing()){this._bSelectAll=t}this.fireSelect({listItem:i})};x.prototype.onItemDelete=function(e){this.fireDelete({listItem:e})};x.prototype.onItemPress=function(e,t){if(e.getType()==S.Inactive){return}setTimeout(function(){this.fireItemPress({listItem:e,srcControl:t})}.bind(this),0)};x.prototype.onItemKeyDown=function(e,t){if(!t.shiftKey||t.ctrlKey||t.altKey||t.metaKey||t.code=="Tab"||this.getMode()!==C.MultiSelect||!e.isSelectable()||t.key==="F6"){if(this._mRangeSelection){this._mRangeSelection=null}return}var i=this.getVisibleItems(),s=i.some(function(e){return!!e.getSelected()});if(!s){return}if(!this._mRangeSelection){this._mRangeSelection={index:this.indexOfItem(e),selected:e.getSelected()}}};x.prototype.onItemKeyUp=function(e,t){if(t.key==="Shift"){this._mRangeSelection=null}};x.prototype._updateSelectedPaths=function(e,t){if(!this.getRememberSelections()||!this.isBound("items")){return}const i=this.getBindingInfo("items").model;const s=e.getBindingContext(i);const o=s?.getPath();if(!o){return}const n=this._aSelectedPaths.indexOf(o);t=t===undefined?e.getSelected():t;if(t){n<0&&this._aSelectedPaths.push(o)}else{n>-1&&this._aSelectedPaths.splice(n,1)}if(s.setSelected&&!s.isTransient()){s.setSelected(t)}};x.prototype._destroyGrowingDelegate=function(){if(this._oGrowingDelegate){this._oGrowingDelegate.destroy();this._oGrowingDelegate=null}};x.prototype._destroyItemNavigation=function(){if(this._oItemNavigation){this.removeEventDelegate(this._oItemNavigation);this._oItemNavigation.destroy();this._oItemNavigation=null}};x.prototype._getTouchBlocker=function(){return this.$().children()};x.prototype._getSwipeContainer=function(){if(!this._$swipeContainer){this._$swipeContainer=jQuery("<div>",{id:this.getId("swp"),class:"sapMListSwp"})}return this._$swipeContainer};x.prototype._setSwipePosition=function(){if(this._isSwipeActive){return this._getSwipeContainer().css("top",this._swipedItem.$().position().top)}};x.prototype._renderSwipeContent=function(){var e=this._swipedItem.$(),t=this._getSwipeContainer();this.$().prepend(t.css({top:e.position().top,height:e.outerHeight(true)}));if(this._bRerenderSwipeContent){this._bRerenderSwipeContent=false;var s=(new i).getInterface();s.render(this.getSwipeContent(),t.empty()[0]);s.destroy()}return this};x.prototype._swipeIn=function(){var e=this,t=e._getTouchBlocker(),i=e._getSwipeContainer();e._isSwipeActive=true;e._renderSwipeContent();d.addPopoverInstance(e);window.document.activeElement.blur();jQuery(window).on("resize.swp",function(){e._setSwipePosition()});t.css("pointer-events","none").on("touchstart.swp mousedown.swp",function(e){if(!i[0].firstChild.contains(e.target)){e.preventDefault();e.stopPropagation()}});i.on("webkitAnimationEnd animationend",function(){jQuery(this).off("webkitAnimationEnd animationend");i.css("opacity",1).trigger("focus");t.parent().on("touchend.swp touchcancel.swp mouseup.swp",function(t){if(!i[0].firstChild.contains(t.target)){e.swipeOut()}})}).removeClass("sapMListSwpOutAnim").addClass("sapMListSwpInAnim")};x.prototype._onSwipeOut=function(e){this._getSwipeContainer().css("opacity",0).remove();jQuery(window).off("resize.swp");this._getTouchBlocker().css("pointer-events","auto").off("touchstart.swp mousedown.swp");if(typeof e=="function"){e.call(this,this._swipedItem,this.getSwipeContent())}this._isSwipeActive=false;d.removePopoverInstance(this)};x.prototype.swipeOut=function(e){if(!this._isSwipeActive){return this}var t=this,i=this._getSwipeContainer();this._getTouchBlocker().parent().off("touchend.swp touchend.swp touchcancel.swp mouseup.swp");i.on("webkitAnimationEnd animationend",function(){jQuery(this).off("webkitAnimationEnd animationend");t._onSwipeOut(e)}).removeClass("sapMListSwpInAnim").addClass("sapMListSwpOutAnim");return this};x.prototype._removeSwipeContent=function(){if(this._isSwipeActive){this.swipeOut()._onSwipeOut()}};x.prototype.close=x.prototype._removeSwipeContent;x.prototype._onSwipe=function(e,t){var i=this.getSwipeContent(),o=e.srcControl;if(i&&o&&!this._isSwipeActive&&this!==o&&!this._eventHandledByControl&&s.support.touch){for(var n=o;n&&!(n instanceof p);n=n.oParent);if(n instanceof p){this._swipedItem=n;this.fireSwipe({listItem:this._swipedItem,swipeContent:i,srcControl:o,swipeDirection:t},true)&&this._swipeIn()}}};x.prototype.ontouchstart=function(e){this._eventHandledByControl=e.isMarked()};x.prototype.onswipeleft=function(t){var i=e.getRTL();var s=i?w.EndToBegin:w.BeginToEnd;var o=this.getSwipeDirection();if(o===w.LeftToRight){o=w.BeginToEnd}else if(o===w.RightToLeft){o=w.EndToBegin}if(o!=s){if(o==w.Both){o=i?w.BeginToEnd:w.EndToBegin}this._onSwipe(t,o)}};x.prototype.onswiperight=function(t){var i=e.getRTL();var s=i?w.BeginToEnd:w.EndToBegin;var o=this.getSwipeDirection();if(o===w.LeftToRight){o=w.BeginToEnd}else if(o===w.RightToLeft){o=w.EndToBegin}if(o!=s){if(o==w.Both){o=i?w.EndToBegin:w.BeginToEnd}this._onSwipe(t,o)}};x.prototype.setSwipeDirection=function(e){return this.setProperty("swipeDirection",e,true)};x.prototype.getSwipedItem=function(){return this._isSwipeActive?this._swipedItem:null};x.prototype.setSwipeContent=function(e){this._bRerenderSwipeContent=true;this.toggleStyleClass("sapMListSwipable",!!e);return this.setAggregation("swipeContent",e,!this._isSwipeActive)};x.prototype.invalidate=function(e){if(e&&e===this.getSwipeContent()){this._bRerenderSwipeContent=true;this._isSwipeActive&&this._renderSwipeContent();return}return o.prototype.invalidate.apply(this,arguments)};x.prototype.addItemGroup=function(e,t,i){if(!t){t=this.getGroupHeaderTemplate(e)}t._bGroupHeader=true;this.addAggregation("items",t,i);this.setLastGroupHeader(t);return t};x.prototype.getGroupHeaderTemplate=function(e){var t=new g;t.setTitle(e.text||e.key);return t};x.prototype.setLastGroupHeader=function(e){this._oLastGroupHeader=e};x.prototype.getLastGroupHeader=function(){return this._oLastGroupHeader};x.prototype.removeGroupHeaders=function(e){this.getItems(true).forEach(function(t){if(t.isGroupHeader()){t.destroy(e)}})};x.prototype.getAccessibilityType=function(){return _.getResourceBundleFor("sap.m").getText("ACC_CTR_TYPE_LIST")};x.prototype.getAccessibilityStates=function(){if(!this.getItems(true).length){return""}var e="",t=C,i=this.getMode(),s=_.getResourceBundleFor("sap.m");if(a.isRequired(this)){e+=s.getText("LIST_REQUIRED")+" "}if(i==t.Delete){e+=s.getText("LIST_DELETABLE")+" . "}else if(this.getAriaRole()=="list"){if(i==t.MultiSelect){e+=s.getText("LIST_MULTISELECTABLE")+" . "}else if(i!=t.None){e+=s.getText("LIST_SELECTABLE")+" . "}}if(this.isGrouped()){e+=s.getText("LIST_GROUPED")+" . "}return e};x.prototype.getAccessibilityInfo=function(){return{description:this.getAccessibilityStates().trim(),focusable:true}};x.prototype.getAccessbilityPosition=function(e){var t,i,s=this.getVisibleItems(),o=this.getAriaRole(),n=o==="list"||o==="listbox";if(n){s=s.filter(function(e){return!e.isGroupHeader()})}if(e){i=s.indexOf(e)+1}var r=this.getBinding("items");if(r&&this.getGrowing()&&this.getGrowingScrollToLoad()){t=r.getLength();if(!n&&r.isGrouped()){t+=s.filter(function(e){return e.isGroupHeader()}).length}}else{t=s.length}return{setsize:t,posinset:i}};x.prototype.onItemFocusIn=function(e,i,s){this._handleTargetItemFocus(s.target);if(e!==i||s.isMarked("contentAnnouncementGenerated")||!t.isAccessibilityEnabled()){return}var o=e.getDomRef();if(!e.getContentAnnouncement){this.getNavigationRoot().setAttribute("aria-activedescendant",o.id)}else{this.setInvisibleTextAssociation(e)}};x.prototype.setInvisibleTextAssociation=function(e){var t=e.getAccessibilityInfo(),i=_.getResourceBundleFor("sap.m"),s=t.type?t.type+" . ":"";if(this.isA("sap.m.Table")){var o=this.getAccessbilityPosition(e);s+=i.getText("LIST_ITEM_POSITION",[o.posinset,o.setsize])+" . "}s+=t.description;this.updateInvisibleText(s,e.getDomRef())};x.prototype.onItemFocusOut=function(e){this.removeInvisibleTextAssociation(e.getDomRef())};x.prototype.removeInvisibleTextAssociation=function(e){const t=x.getInvisibleText(),i=jQuery(e||document.activeElement);i.removeAriaLabelledBy(t.getId())};x.prototype.setFakeFocus=function(e){if(this._oLastFakeFocusedItem){this._oLastFakeFocusedItem.removeStyleClass("sapMLIBFocused");this.removeInvisibleTextAssociation(this._oLastFakeFocusedItem.getDomRef());this._oLastFakeFocusedItem=null}if(e&&!this.getDomRef().contains(document.activeElement)){this._oLastFakeFocusedItem=e;e.addStyleClass("sapMLIBFocused");this.setInvisibleTextAssociation(e)}};x.prototype.updateInvisibleText=function(e,t,i){var s=x.getInvisibleText(),o=jQuery(t||document.activeElement);if(this.bAnnounceDetails){this.bAnnounceDetails=false;e=this.getAccessibilityInfo().description+" "+e}s.setText(e.trim());o.addAriaLabelledBy(s.getId(),i)};x.prototype.getNavigationRoot=function(){return this.getDomRef("listUl")};x.prototype.getFocusDomRef=function(){return this.getNavigationRoot()};x.prototype._startItemNavigation=function(e){var t=this.getDomRef();if(!s.system.desktop||!t){return}if(!this.getShowNoData()&&!this.getVisibleItems().length&&t){t.classList.add("sapMListPreventFocus");this._destroyItemNavigation();return}if(t){t.classList.remove("sapMListPreventFocus")}var i=this.getNavigationRoot();if(e&&i&&!i.contains(document.activeElement)){this._bItemNavigationInvalidated=true;i.tabIndex="0";return}if(!this._oItemNavigation){this._oItemNavigation=new l;this._oItemNavigation.setCycling(false);this.addDelegate(this._oItemNavigation);this._oItemNavigation.setTabIndex0(0);this._oItemNavigation.iActiveTabIndex=-1;this._oItemNavigation.setTableMode(true,true).setColumns(1);this._oItemNavigation.setDisabledModifiers({sapnext:["alt","meta","ctrl"],sapprevious:["alt","meta","ctrl"]})}this._oItemNavigation.setPageSize(this.getGrowingThreshold());this._oItemNavigation.setRootDomRef(i);this.setNavigationItems(this._oItemNavigation,i);this._bItemNavigationInvalidated=false;if(document.activeElement==i){jQuery(i).trigger("focus")}};x.prototype.setNavigationItems=function(e,t){var i=jQuery(t).children(".sapMLIB").get();e.setItemDomRefs(i);if(e.getFocusedIndex()==-1){if(this.getGrowing()&&this.getGrowingDirection()==b.Upwards){e.setFocusedIndex(i.length-1)}else{e.setFocusedIndex(0)}}};x.prototype.getItemNavigation=function(){return this._oItemNavigation};x.prototype.forwardTab=function(e){this._bIgnoreFocusIn=true;this.$(e?"after":"before").trigger("focus")};x.prototype.onsaptabnext=x.prototype.onsaptabprevious=function(e){if(e.isMarked()||e.target.id==this.getId("trigger")){return}if(e.target.matches(".sapMLIBFocusable,.sapMTblCellFocusable")||e.target===jQuery(this.getNavigationRoot()).find(":sapTabbable").get(e.type=="saptabnext"?-1:0)){this.forwardTab(e.type=="saptabnext");e.setMarked()}};x.prototype._navToSection=function(e){var t;var i=0;var s=e?1:-1;var o=this._aNavSections.length;this._aNavSections.some(function(e,t){var s=e?window.document.getElementById(e):null;if(s&&s.contains(document.activeElement)){i=t;return true}});var n=this.getItemsContainerDomRef();var r=jQuery(document.getElementById(this._aNavSections[i]));if(r[0]===n&&this._oItemNavigation){r.data("redirect",this._oItemNavigation.getFocusedIndex())}this._aNavSections.some(function(){i=(i+s+o)%o;t=jQuery(document.getElementById(this._aNavSections[i]));if(t[0]===n&&this._oItemNavigation){var e=t.data("redirect");var r=this._oItemNavigation.getItemDomRefs();var a=r[e]||n.children[0];t=jQuery(a)}if(t.is(":focusable")){t.trigger("focus");return true}},this);return t};x.prototype.onsapshow=function(e){if(e.isMarked()||e.key=="F4"||e.target.id!=this.getId("trigger")&&!jQuery(e.target).hasClass(this.sNavItemClass)){return}if(this._navToSection(true)){e.preventDefault();e.setMarked()}};x.prototype.onsaphide=function(e){if(e.isMarked()||e.target.id!=this.getId("trigger")&&!jQuery(e.target).hasClass(this.sNavItemClass)){return}if(this._navToSection(false)){e.preventDefault();e.setMarked()}};x.prototype.onkeydown=function(e){if(e.isMarked()){return}var t=jQuery(e.target);var i=t.closest(".sapMLIBFocusable").next(".sapMListTblSubRow").addBack();if(!i[0]){i=t.closest(".sapMListTblSubRow").prev(".sapMLIBFocusable").addBack()}if(!i[0]){return}var s=t.hasClass("sapMLIBFocusable");var o=function(){e.preventDefault();e.setMarked()};if(e.code=="KeyA"&&(e.metaKey||e.ctrlKey)&&s&&this.getMode()==C.MultiSelect){var n=this.getMultiSelectMode()==R.ClearAll;if(e.shiftKey){if(n){this.removeSelections(false,true);e.setMarked("sapMTableClearAll")}}else if(!n){if(this.isAllSelectableSelected()){this.removeSelections(false,true);e.setMarked("sapMTableClearAll")}else{this.selectAll(true)}}return o()}if((e.code=="Enter"||e.code=="F2")&&t.hasClass("sapMTblCellFocusable")){t.find(":sapTabbable").first().trigger("focus");return o()}if(e.code=="F2"&&s||e.code=="F7"&&s&&this._iFocusIndexOfItem==undefined){i.find(":sapTabbable").first().trigger("focus");return o()}if(e.code=="F2"&&!s){jQuery(t.closest(".sapMTblCellFocusable")[0]||i[0]).trigger("focus");return o()}if(e.code=="F7"){if(s){i.find(":sapFocusable").eq(this._iFocusIndexOfItem).trigger("focus")}else{this._iFocusIndexOfItem=i.find(":sapFocusable").index(t);i.eq(0).trigger("focus")}return o()}};x.prototype.onmousedown=function(e){if(this._bItemNavigationInvalidated){this._startItemNavigation()}if(e.shiftKey&&this._mRangeSelection&&e.srcControl.getId().includes("-selectMulti")){e.preventDefault()}};x.prototype.focusPrevious=function(){if(!this._oItemNavigation){return}var e=this._oItemNavigation.getItemDomRefs();var t=this._oItemNavigation.getFocusedIndex();var i=jQuery(e[t]);this.bAnnounceDetails=true;if(this.getKeyboardMode()=="Edit"){var s=i.find(":sapTabbable").first();s[0]?s.trigger("focus"):i.trigger("focus")}else{i.trigger("focus")}};x.prototype.onfocusin=function(e){if(this._bIgnoreFocusIn){this._bIgnoreFocusIn=false;e.stopImmediatePropagation(true);return}if(this._bItemNavigationInvalidated){this._startItemNavigation()}if(this._oLastFakeFocusedItem){this.setFakeFocus(null)}var t=e.target;if(t.id==this.getId("nodata")){var i=this.getNoData();var s=i||this.getNoDataText();if(i&&typeof i!=="string"){s=p.getAccessibilityText(i)}this.updateInvisibleText(s,t)}else if(t.id==this.getId("listUl")&&this.getKeyboardMode()=="Edit"){this.focusPrevious();e.stopImmediatePropagation(true);return}if(this._oItemNavigation&&!t.matches(".sapMLIBFocusable,.sapMTblCellFocusable")){var o=t.closest(".sapMLIBFocusable,.sapMTblCellFocusable");if(o){var n=this._oItemNavigation.getItemDomRefs().indexOf(o);if(n>=0){this._oItemNavigation.iFocusedIndex=this.getKeyboardMode()=="Edit"?n:n-n%this._oItemNavigation.iColumns}}}if(e.isMarked()||!this._oItemNavigation||t.id!=this.getId("after")){return}this.focusPrevious();e.setMarked()};x.prototype.onsapfocusleave=function(e){if(this._oItemNavigation&&!this.bAnnounceDetails&&!this.getNavigationRoot().contains(document.activeElement)){this.bAnnounceDetails=true}};x.prototype.onItemArrowUpDown=function(e,t){if(t.target instanceof HTMLTextAreaElement){return}var i=this.getVisibleItems(true),s=t.type=="sapup"||t.type=="sapupmodifiers"?-1:1,o=i.indexOf(e)+s,n=i[o];if(n&&n.isGroupHeader()){n=i[o+s]}if(!n){return}var r=n.getTabbables(),a=e.getTabbables().index(t.target),l=r.eq(r[a]?a:-1);l[0]?l.trigger("focus"):n.focus();l[0]&&l[0].select&&l[0].select();t.preventDefault();t.setMarked()};x.prototype.onItemContextMenu=function(e,t){var i=this.getContextMenu();if(!i){return}var s=this.fireBeforeOpenContextMenu({listItem:e,column:n.getElementById(jQuery(t.target).closest(".sapMListTblCell",this.getNavigationRoot()).attr("data-sap-ui-column"))});if(s){t.setMarked();t.preventDefault();var o,r=this.getBindingInfo("items");if(r){o=e.getBindingContext(r.model);i.setBindingContext(o,r.model)}i.openAsContextMenu(t,e)}};x.prototype.onItemUpDownModifiers=function(e,t,i){if(t.srcControl!=e){if(!t.shiftKey&&(t.metaKey||t.ctrlKey)){this.onItemArrowUpDown(e,t)}return}if(!this._mRangeSelection){return}var s=this.getVisibleItems(),o=s.indexOf(e),n=s[o+i];if(!n){if(this._mRangeSelection){this._mRangeSelection=null}t.setMarked();return}var r=n.getSelected();if(this._mRangeSelection.direction===undefined){this._mRangeSelection.direction=i}else if(this._mRangeSelection.direction!==i){if(this._mRangeSelection.index!==s.indexOf(e)){n=e;r=n.getSelected();if(this._mRangeSelection.selected&&r){this.setSelectedItem(n,false,true);return}}else{this._mRangeSelection.direction=i}}if(this._mRangeSelection.selected!==r&&n.isSelectable()){this.setSelectedItem(n,this._mRangeSelection.selected,true)}};x.prototype.isGrouped=function(){var e=this.getBinding("items");return e&&e.isGrouped()};x.prototype.setContextMenu=function(e){this.setAggregation("contextMenu",e,true);return this};x.prototype.destroyContextMenu=function(){this.destroyAggregation("contextMenu",true);return this};x.prototype.getStickyStyleValue=function(){var e=this.getSticky();if(!e||!e.length){this._iStickyValue=0;return this._iStickyValue}var t=0,i=this.getHeaderText(),s=this.getHeaderToolbar(),o=i||s&&s.getVisible(),n=this.getInfoToolbar(),r=n&&n.getVisible(),a=false;if(this.isA("sap.m.Table")){a=this.getColumns().some(function(e){return e.getVisible()&&e.getHeader()})}e.forEach(function(e){if(e===D.HeaderToolbar&&o){t+=1}else if(e===D.InfoToolbar&&r){t+=2}else if(e===D.ColumnHeaders&&a){t+=4}});this._iStickyValue=t;return this._iStickyValue};x.prototype._handleTargetItemFocus=function(e){if(!this._iStickyValue){return}var t=u.getScrollDelegate(this,true);if(!t){return}var i=0,s=0,o=0,n=0,r=0,a=0,l=this.getStickyFocusOffset();if(this._iStickyValue&4){var h=this.getDomRef("tblHeader").firstChild;var d=h.getBoundingClientRect();s=parseInt(d.bottom);i=parseInt(d.height)}if(this._iStickyValue&2){var c=this.getDomRef().querySelector(".sapMListInfoTBarContainer");if(c){var g=c.getBoundingClientRect();n=parseInt(g.bottom);o=parseInt(g.height)}}if(this._iStickyValue&1){var p=this.getDomRef().querySelector(".sapMListHdr");if(p){var f=p.getBoundingClientRect();a=parseInt(f.bottom);r=parseInt(f.height)}}var m=Math.round(e.getBoundingClientRect().top);if(s>m||n>m||a>m){window.requestAnimationFrame(function(){t.scrollToElement(e,0,[0,-i-o-r-l],true)})}};x.prototype.setHeaderToolbar=function(e){return this._setToolbar("headerToolbar",e)};x.prototype.setInfoToolbar=function(e){return this._setToolbar("infoToolbar",e)};x.prototype.scrollToIndex=function(e){return new Promise(function(t,i){var s,o;o=u.getScrollDelegate(this,true);if(!o){return i()}s=E(this,e);if(!s){return i()}setTimeout(function(){try{o.scrollToElement(s.getDomRef(),null,[0,this._getStickyAreaHeight()*-1],true);t()}catch(e){i(e)}}.bind(this),0)}.bind(this))};x.prototype.requestItems=function(e){if(e<=0||!this.getGrowing()||!this._oGrowingDelegate){throw new Error("The prerequisites to use 'requestItems' are not met. Please read the documentation for more details.")}if(e!=null){var t=this.getGrowingThreshold();this.setGrowingThreshold(e);this._oGrowingDelegate.requestNewPage();this.setGrowingThreshold(t)}else{this._oGrowingDelegate.requestNewPage()}};function E(e,t){var i=e.getVisibleItems();var s=i.length;if(typeof t!=="number"||t<-1){t=0}if(t>=s||t===-1){t=s-1}return i[t]}x.prototype._setFocus=function(e,t){return new Promise(function(i,s){var o=E(this,e);if(!o){return s()}if(t===true){var n=o.getTabbables(true);if(n.length){n[0].focus();return i()}}o.focus();return i()}.bind(this))};x.prototype._getStickyAreaHeight=function(){var e=this.getSticky();if(!(e&&e.length)){return 0}return e.reduce(function(e,t){var i,s;switch(t){case D.HeaderToolbar:i=this.getHeaderToolbar();s=i&&i.getDomRef()||this.getDomRef("header");break;case D.InfoToolbar:i=this.getInfoToolbar();s=i&&i.getDomRef();break;case D.ColumnHeaders:s=this.getDomRef("tblHeader");break;default:}return e+(s?s.offsetHeight:0)}.bind(this),0)};x.prototype._setToolbar=function(e,t){var i=this.getAggregation(e);if(i){i.detachEvent("_change",this._onToolbarPropertyChanged,this)}this.setAggregation(e,t);if(t){t.attachEvent("_change",this._onToolbarPropertyChanged,this)}return this};x.prototype._onToolbarPropertyChanged=function(e){if(e.getParameter("name")!=="visible"){return}var t=this._iStickyValue,i=this.getStickyStyleValue();if(t!==i){var s=this.getDomRef();if(s){var o=s.classList;o.toggle("sapMSticky",!!i);o.remove("sapMSticky"+t);o.toggle("sapMSticky"+i,!!i)}}};x.prototype.getAriaRole=function(){return"list"};return x});
//# sourceMappingURL=ListBase.js.map