/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/library","sap/ui/core/Control","./Button","./Dialog","./NavContainer","./List","./Page","./MenuListItem","./MenuItem","sap/ui/core/Lib","sap/ui/unified/Menu","sap/ui/unified/MenuItem","sap/ui/unified/MenuItemGroup","sap/ui/Device","sap/ui/core/EnabledPropagator","sap/ui/thirdparty/jquery","sap/ui/core/Popup","sap/ui/core/Element"],function(e,t,i,n,s,o,a,r,l,u,g,m,p,h,d,I,jQuery,_,f){"use strict";var c=_.Dock;var y=e.ListType;var v=e.ListMode;var C=t.ItemSelectionMode;var M=i.extend("sap.m.Menu",{metadata:{interfaces:["sap.ui.core.IContextMenu"],library:"sap.m",properties:{title:{type:"string",group:"Misc",defaultValue:null}},defaultAggregation:"items",aggregations:{items:{type:"sap.m.IMenuItem",multiple:true,singularName:"item",bindable:"bindable",defaultClass:u},_dialog:{type:"sap.m.Dialog",multiple:false,visibility:"hidden"},_menu:{type:"sap.ui.unified.Menu",multiple:false,visibility:"hidden"}},events:{itemSelected:{parameters:{item:{type:"sap.m.MenuItem"}}},closed:{}}},renderer:null});I.call(M.prototype);M.UNIFIED_MENU_ITEMS_ID_SUFFIX="-unifiedmenu";M.UNFIFIED_MENU_ITEMS_PROPS=p.getMetadata().getAllProperties();M.LIST_ITEMS_ID_SUFFIX="-menuinnerlist";M.MENU_LIST_ITEMS_PROPS=l.getMetadata().getAllProperties();M.prototype.init=function(){if(d.system.phone){this._initDialog()}this._bIsInitialized=false;this.attachEvent("propertyChanged",this._onPropertyChanged,this);this.attachEvent("aggregationChanged",this._onAggregationChanged,this)};M.prototype.exit=function(){if(this._navContainerId){this._navContainerId=null}if(this._bIsInitialized){this._bIsInitialized=null}if(this._getMenu()&&this._getMenu().getPopup()){this._getMenu().getPopup().detachClosed(this._menuClosed,this)}};M.prototype.invalidate=function(){};M.prototype.setTitle=function(e){var t=this._getNavContainer();this.setProperty("title",e,true);if(t&&t.getPages().length){t.getPages()[0].setTitle(e)}return this};M.prototype.openBy=function(e,t,i,n,s){if(d.system.phone){this._openDialog()}else{if(!this._bIsInitialized){this._initAllMenuItems();this._bIsInitialized=true}if(!i){i=c.BeginTop}if(!n){n=c.BeginBottom}if(!s){s="0 -2"}this._getMenu().open(t,e,i,n,e,s)}};M.prototype.close=function(){if(d.system.phone){this._getDialog()&&this._getDialog().close()}else{this._getVisualParent()&&this._getVisualParent().close()}};M.prototype.isOpen=function(){if(d.system.phone){return this._getDialog()&&this._getDialog().isOpen()}else{return this._getVisualParent()&&this._getVisualParent().isOpen()}};M.prototype._initDialog=function(){var e=new s({showHeader:false,stretch:true,content:this._initNavContainer(),buttons:[this._initCloseButton()]});e.addStyleClass("sapMRespMenuDialog");e.addStyleClass("sapUiNoContentPadding");this.setAggregation("_dialog",e,true);e.attachAfterClose(this._menuClosed,this)};M.prototype._getDialog=function(){return this.getAggregation("_dialog")};M.prototype._openDialog=function(){if(!this._bIsInitialized){this._initAllPages();this._bIsInitialized=true}this._getNavContainer().to(this._getNavContainer().getPages()[0]);this._getDialog().open()};M.prototype._initAllMenuItems=function(){this._initMenuForItems(this.getItems())};M.prototype._setCustomEnhanceAccStateFunction=function(e){this._fnEnhanceUnifiedMenuAccState=e};M.prototype._initMenuForItems=function(e,t){var i=new m;i._setCustomEnhanceAccStateFunction(this._fnEnhanceUnifiedMenuAccState);i.isCozy=this._isMenuCozy.bind(this,i);this.addStyleClass("sapMMenu");i.aCustomStyleClasses=this.aCustomStyleClasses;i.mCustomStyleClassMap=this.mCustomStyleClassMap;e.forEach(function(e){if(this._isMenuItemGroup(e)){this._addVisualMenuItemGroupFromItemsGroup(e,i)}else{this._addVisualMenuItemFromItem(e,i)}}.bind(this));if(t){t.setSubmenu(i)}else{i.getPopup().attachClosed(this._menuClosed,this);this.setAggregation("_menu",i,true)}i.attachItemSelect(this._handleMenuItemSelect,this)};M.prototype._menuClosed=function(){this.fireClosed()};M.prototype._getMenu=function(){return this.getAggregation("_menu")};M.prototype._initCloseButton=function(){var e=g.getResourceBundleFor("sap.m");return new n({text:e.getText("MENU_CLOSE"),press:S.bind(this)})};function S(){this._getDialog().close()}M.prototype._initNavContainer=function(){var e=new o;this._navContainerId=e.getId();return e};M.prototype._getNavContainer=function(){return f.getElementById(this._navContainerId)};M.prototype._initAllPages=function(){this._initPageForParent(this)};M.prototype._initPageForParent=function(e){var t=e.getItems(),i=e instanceof M,n=i?e.getTitle():e.getText(),s=new a({mode:v.None}),o=new r({title:n,showNavButton:!i,content:s});if(!i){this._setBackButtonTooltipForPageWithParent(e,o)}o.attachNavButtonPress(function(){this._getNavContainer().back()},this);this._getNavContainer().addPage(o);t.forEach(function(e){this._addListItemFromItem(e,o)},this);this._updateListInset(s);s.attachEvent("itemPress",this._handleListItemPress,this);return o};M.prototype._handleListItemPress=function(e){var t=e.getParameter("listItem"),i=f.getElementById(t.getMenuItem()),n=i._getItems().length?i._getVisualChild():null,s=!t.getProperty("selected");if(n){this._getNavContainer().to(n)}else{this._getDialog().close();if(t._getItemSelectionMode()!==C.None){t.setSelected(s);i.setSelected(s)}this.fireItemSelected({item:i})}i.firePress()};M.prototype._setBackButtonTooltipForPageWithParent=function(e,t){var i=e.getParent(),n=g.getResourceBundleFor("sap.m"),s;s=i instanceof M?i.getTitle():i.getText();s=n.getText("MENU_PAGE_BACK_BUTTON")+" "+s;t.setNavButtonTooltip(s)};M.prototype._isMenuItemGroup=function(e){return!!e.getItemSelectionMode};M.prototype._createMenuListItemFromItem=function(e){var t=this._generateListItemId(e.getId()),i=f.getElementById(t),n=f.getElementById(e.getAssociation("_group"));if(i){return i}i=new l({id:t,type:e.getEnabled()?y.Active:y.Inactive,icon:e.getIcon(),title:e.getText(),selected:e.getSelected(),startsSection:e.getStartsSection(),menuItem:e,tooltip:e.getTooltip(),visible:e.getVisible(),enabled:e.getEnabled()});i.setAssociation("_group",n);e.aDelegates.forEach(function(e){i.addEventDelegate(e.oDelegate,e.vThis)});return i};M.prototype._createVisualMenuItemFromItem=function(e){var t=this._generateUnifiedMenuItemId(e.getId()),i=f.getElementById(t),n=e.getCustomData();if(i){return i}i=new p({id:t,icon:e.getIcon(),text:e.getText(),selected:e.getSelected(),shortcutText:e.getShortcutText(),startsSection:e.getStartsSection(),tooltip:e.getTooltip(),visible:e.getVisible(),enabled:e.getEnabled()});for(var s=0;s<n.length;s++){e._addCustomData(i,n[s])}e.aDelegates.forEach(function(e){i.addEventDelegate(e.oDelegate,e.vThis)});return i};M.prototype._addVisualMenuItemFromItem=function(e,t,i){var n=this._createVisualMenuItemFromItem(e),s=this._isMenuItemGroup(t)?t.getParent():t,o=e.getItems(),a;e._setVisualParent(s);e._setVisualControl(n);if(o.length){a=o[0];if(this._isMenuItemGroup(a)){var r=a.getItems();a=r.length?r[0]:null}this._initMenuForItems(o,n);a&&e._setVisualChild(a._getVisualParent())}i===undefined?t.addItem(n):t.insertItem(n,i)};M.prototype._createVisualMenuItemGroupFromItemsGroup=function(e){var t=this._generateUnifiedMenuItemId(e.getId()),i=f.getElementById(t),n=e.getCustomData();if(i){return i}i=new h({id:t,itemSelectionMode:e.getItemSelectionMode()});e._setVisualControl(i);e._setParentMenu(this);for(var s=0;s<n.length;s++){e._addCustomData(i,n[s])}return i};M.prototype._addVisualMenuItemGroupFromItemsGroup=function(e,t,i){var n=this._createVisualMenuItemGroupFromItemsGroup(e),s=e.getItems();i===undefined?t.addItem(n):t.insertItem(n,i);for(var o=0;o<s.length;o++){this._addVisualMenuItemFromItem(s[o],n)}};M.prototype._addListItemFromItem=function(e,t,i){var n=e.getItems(),s=this._isMenuItemGroup(e),o;if(s){e._setParentMenu(this);e.getItems().forEach(e=>{this._addListItemFromItem(e,t,i);if(i!==undefined){i++}});return}var a=this._createMenuListItemFromItem(e),r=t.getContent()[0];e._setVisualParent(t);e._setVisualControl(a);if(n.length){this._initPageForParent(e);o=n[0];if(this._isMenuItemGroup(o)){n=o.getItems();o=n.length?n[0]:null}if(o){e._setVisualChild(o._getVisualParent())}}if(i===undefined){r.addItem(a)}else{r.insertItem(a,i)}r.invalidate()};M.prototype._connectVisualItem=function(e,t,i){if(!t||f.getElementById(e._getVisualControl())){return}if(d.system.phone){this._addListItemFromItem(e,t,i);var n=t.getContent()[0];this._updateListInset(n)}else{this._addVisualMenuItemFromItem(e,t,i)}};M.prototype._updateListInset=function(e){var t=false,i="sapMListIcons",n=e.getItems();for(var s=0;s<n.length;s++){if(n[s].getIcon()){t=true;break}}if(t){e.addStyleClass(i)}else{e.removeStyleClass(i)}};M.prototype._getItems=function(){var e=[];const t=i=>{i.forEach(i=>{if(!this._isMenuItemGroup(i)){e.push(i)}else{t(i.getItems())}})};t(this.getItems());return e};M.prototype._handleMenuItemSelect=function(e){var t=e.getParameter("item"),i;if(!t){return}i=this._findMenuItemByUnfdMenuItem(t);i.setSelected(t.getSelected());if(i&&!i._getItems().length){this.fireItemSelected({item:i})}if(i){i.firePress()}};M.prototype._generateListItemId=function(e){return e+M.LIST_ITEMS_ID_SUFFIX};M.prototype._generateUnifiedMenuItemId=function(e){return e+M.UNIFIED_MENU_ITEMS_ID_SUFFIX};M.prototype._findMenuItemByUnfdMenuItem=function(e){var t=e.getId().slice(0,-M.UNIFIED_MENU_ITEMS_ID_SUFFIX.length);return f.getElementById(t)};M.prototype._isMenuCozy=function(e){if(!e.bCozySupported){return false}if(e.hasStyleClass("sapUiSizeCozy")){return true}if(P(e.oOpenerRef)){return true}return false};function P(e){if(!e){return false}e=e.$?e.$():jQuery(e);var t=e.closest(".sapUiSizeCompact,.sapUiSizeCondensed,.sapUiSizeCozy");return!t.hasClass("sapUiSizeCompact")&&!t.hasClass("sapUiSizeCondensed")||t.hasClass("sapUiSizeCozy")}M.prototype.addAggregation=function(e,t,n){i.prototype.addAggregation.apply(this,arguments);if(e==="items"){this._connectVisualItem(t,this._getVisualParent())}return this};M.prototype.insertAggregation=function(e,t,n,s){i.prototype.insertAggregation.apply(this,arguments);if(e==="items"){this._connectVisualItem(t,this._getVisualParent(),n)}return this};M.prototype.removeAggregation=function(e,t,n){var s=i.prototype.removeAggregation.apply(this,arguments);if(e==="items"){this._removeVisualItem(s)}return s};M.prototype.removeAllAggregation=function(e,t){var n=i.prototype.removeAllAggregation.apply(this,arguments);if(e==="items"){for(var s=0;s<n.length;s++){this._removeVisualItem(n[s])}}return n};M.prototype._removeVisualItem=function(e,t){var i=f.getElementById(e._getVisualControl()),n;if(i){n=i.getParent();n.removeItem(i);if(d.system.phone){this._removeSubPageForItem(e);if(n.getItems().length===0){if(t){t._setVisualChild(null);f.getElementById(t._getVisualControl()).invalidate()}}if(n){n.invalidate()}}}};M.prototype.destroyAggregation=function(e,t){if(e==="items"){for(var n=0;n<this.getItems().length;n++){this._removeVisualItem(this.getItems()[n])}}return i.prototype.destroyAggregation.apply(this,arguments)};M.prototype._removeSubPageForItem=function(e,t){var i;if(!t){for(var n=0;n<e.getItems().length;n++){this._removeSubPageForItem(e.getItems()[n])}}if(e._getVisualChild()){i=f.getElementById(e._getVisualChild());if(this._getNavContainer()&&i){this._getNavContainer().removePage(i)}!!i&&i.destroy()}};M.prototype._getVisualParent=function(){var e=this._getNavContainer(),t=this._getMenu();if(e&&e.getPages().length){return e.getPages()[0]}else{return t}};M.prototype._onPropertyChanged=function(e){e.cancelBubble();var t=e.getParameter("propertyKey"),i=e.getParameter("propertyValue"),n=d.system.phone?M.MENU_LIST_ITEMS_PROPS:M.UNFIFIED_MENU_ITEMS_PROPS,s=d.system.phone?this._generateListItemId:this._generateUnifiedMenuItemId,o,a;if(d.system.phone&&t==="text"){t="title"}if(!n[t]){return}o=s(e.getSource().getId());a=f.getElementById(o);if(a){a.setProperty(t,i);if(d.system.phone&&this._getDialog().isOpen()){this._getDialog().close()}}};M.prototype._onAggregationChanged=function(e){e.cancelBubble();var t=e.getParameter("aggregationName");switch(t){case"items":this._onItemsAggregationChanged(e);break;case"tooltip":this._onTooltipAggregationChanged(e);break;default:}};M.prototype._onTooltipAggregationChanged=function(e){var t=e.getSource()._getVisualControl(),i=e.getParameter("methodName"),n=e.getParameter("methodParams"),s;if(!t){return}s=f.getElementById(t);if(i==="set"){s.setTooltip(n.item)}if(i==="destroy"){s.destroyTooltip()}};M.prototype._onItemsAggregationChanged=function(e){var t=e.getSource(),i=e.getParameter("methodName"),n=e.getParameter("methodParams"),s;if(i==="add"||i==="insert"){if(i==="insert"){s=n.index}this._addOrInsertItem(t,n.item,s)}if(i==="remove"){this._removeVisualItem(n.item,t)}if(i==="removeall"){for(var o=0;o<n.items.length;o++){this._removeVisualItem(n.items[o],t)}}if(i==="destroy"){this._destroyItem(t)}};M.prototype._addOrInsertItem=function(e,t,i){var n;if(e._getVisualChild()){this._connectVisualItem(t,f.getElementById(e._getVisualChild()),i)}else{if(d.system.phone){this._initPageForParent(e);e._setVisualChild(e.getItems()[0]._getVisualParent());n=f.getElementById(e._getVisualControl());n&&n.invalidate()}else{this._initMenuForItems(e.getItems(),f.getElementById(e._getVisualControl()));e._setVisualChild(e._getItems()[0]._getVisualParent())}}};M.prototype._destroyItem=function(e){var t=f.getElementById(e._getVisualControl());if(t&&t.setMenuItem){t.setMenuItem(null)}this._removeSubPageForItem(e,true);e._setVisualChild(null);if(t&&t.setMenuItem){t.invalidate();t.setMenuItem(e)}};M.prototype.getDomRefId=function(){if(d.system.phone){return this._getDialog().getId()}else{return this._getMenu().getId()}};M.prototype.openAsContextMenu=function(e,t){if(d.system.phone){this._openDialog()}else{if(!this._bIsInitialized){this._initAllMenuItems();this._bIsInitialized=true}this._getMenu().openAsContextMenu(e,t)}};["addStyleClass","removeStyleClass","toggleStyleClass"].forEach(function(e){M.prototype[e]=function(t,n){var s=this._getDialog();i.prototype[e].apply(this,arguments);if(s){s[e].apply(s,arguments)}return this}});M.prototype.getSelectedItems=function(){return this._getItems().filter(e=>e.getSelected&&e.getSelected()&&e._getItemSelectionMode()!==C.None)};return M});
//# sourceMappingURL=Menu.js.map