/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/library","sap/ui/core/Element","sap/ui/core/Item","sap/ui/base/ManagedObjectObserver"],function(t,e,a,o,r){"use strict";var s=e.ItemSelectionMode;var i=o.extend("sap.m.MenuItem",{metadata:{interfaces:["sap.m.IMenuItem"],library:"sap.m",properties:{icon:{type:"string",group:"Appearance",defaultValue:null},visible:{type:"boolean",group:"Appearance",defaultValue:true},selected:{type:"boolean",group:"Behavior",defaultValue:false},shortcutText:{type:"string",group:"Appearance",defaultValue:""},startsSection:{type:"boolean",group:"Behavior",defaultValue:false}},defaultAggregation:"items",aggregations:{items:{type:"sap.m.IMenuItem",multiple:true,singularName:"item",bindable:"bindable"}},associations:{_group:{type:"sap.ui.unified.MenuItemGroup",group:"Behavior",visibility:"hidden"}},events:{press:{},propertyChanged:{parameters:{propertyKey:{type:"string"},propertyValue:{type:"any"}}},aggregationChanged:{parameters:{aggregationName:{type:"string"},methodName:{type:"string"},methodParams:{type:"object"}}}}}});i.UNIFIED_MENU_ITEMS_ID_SUFFIX="-unifiedmenu";i.prototype.exit=function(){if(this._sVisualChild){this._sVisualChild=null}if(this._sVisualParent){this._sVisualParent=null}if(this._sVisualControl){this._sVisualControl=null}};i.prototype.setProperty=function(t,e){o.prototype.setProperty.apply(this,arguments);this.fireEvent("propertyChanged",{propertyKey:t,propertyValue:e},false,true)};i.prototype.setAggregation=function(t,e,a){o.prototype.setAggregation.apply(this,arguments);this.fireEvent("aggregationChanged",{aggregationName:t,methodName:"set",methodParams:{item:e}},false,true);return this};i.prototype.addAggregation=function(t,e,r){var s=this._getVisualControl(),i;o.prototype.addAggregation.apply(this,arguments);if(t==="customData"&&s){i=a.getElementById(s);this._addCustomData(i,e)}this.fireEvent("aggregationChanged",{aggregationName:t,methodName:"add",methodParams:{item:e}},false,true);return this};i.prototype.insertAggregation=function(t,e,r,s){var n=this._getVisualControl(),u;o.prototype.insertAggregation.apply(this,arguments);if(t==="customData"&&n){u=a.getElementById(n);u.insertCustomData(e.clone(i.UNIFIED_MENU_ITEMS_ID_SUFFIX),r);this._observeCustomDataChanges(e)}this.fireEvent("aggregationChanged",{aggregationName:t,methodName:"insert",methodParams:{item:e,index:r}},false,true);return this};i.prototype.removeAggregation=function(t,e,a){var r=o.prototype.removeAggregation.apply(this,arguments);if(t==="customData"){if(this.getCustomData().length===1){this._disconnectAndDestroyCustomDataObserver()}else if(e&&this._oCustomDataObserver){this._oCustomDataObserver.unobserve(e,{properties:["value"]})}}this.fireEvent("aggregationChanged",{aggregationName:t,methodName:"remove",methodParams:{item:r}},false,true);return r};i.prototype.removeAllAggregation=function(t,e){var a=o.prototype.removeAllAggregation.apply(this,arguments);if(t==="customData"){this._disconnectAndDestroyCustomDataObserver()}this.fireEvent("aggregationChanged",{aggregationName:t,methodName:"removeall",methodParams:{items:a}},false,true);return a};i.prototype.destroyAggregation=function(t,e){if(t==="customData"){this._disconnectAndDestroyCustomDataObserver()}this.fireEvent("aggregationChanged",{aggregationName:t,methodName:"destroy"},false,true);return o.prototype.destroyAggregation.apply(this,arguments)};i.prototype.destroy=function(){var t=a.getElementById(this._getVisualControl());if(t){t.destroy()}return o.prototype.destroy.apply(this,arguments)};i.prototype.addEventDelegate=function(t,e){o.prototype.addEventDelegate.apply(this,arguments);if(this._getVisualControl()){var r=a.getElementById(this._getVisualControl());r.addEventDelegate(t,e)}return this};i.prototype.removeEventDelegate=function(t){o.prototype.removeEventDelegate.apply(this,arguments);if(this._getVisualControl()){var e=a.getElementById(this._getVisualControl());e.removeEventDelegate(t)}return this};i.prototype.setSelected=function(t){var e=a.getElementById(this.getAssociation("_group"));if(t&&e&&e.getItemSelectionMode()===s.SingleSelect){e._clearSelectedItems()}this.setProperty("selected",t);return this};i.prototype._addCustomData=function(t,e){t.addCustomData(e.clone(i.UNIFIED_MENU_ITEMS_ID_SUFFIX,undefined,{bCloneChildren:false,bCloneBindings:true}));this._observeCustomDataChanges(e)};i.prototype._observeCustomDataChanges=function(t){this._getCustomDataObserver().observe(t,{properties:["value"]})};i.prototype._customDataObserverCallbackFunction=function(t){a.getElementById(t.object.getId()+"-"+i.UNIFIED_MENU_ITEMS_ID_SUFFIX).setValue(t.current)};i.prototype._getCustomDataObserver=function(){if(!this._oCustomDataObserver){this._oCustomDataObserver=new r(this._customDataObserverCallbackFunction)}return this._oCustomDataObserver};i.prototype._disconnectAndDestroyCustomDataObserver=function(){if(this._oCustomDataObserver){this._oCustomDataObserver.disconnect();this._oCustomDataObserver.destroy();this._oCustomDataObserver=null}};i.prototype._setVisualChild=function(t){this._setInternalRef(t,"_sVisualChild")};i.prototype._setVisualParent=function(t){this._setInternalRef(t,"_sVisualParent")};i.prototype._setVisualControl=function(t){this._setInternalRef(t,"_sVisualControl")};i.prototype._setInternalRef=function(t,e){if(!t||typeof t==="string"){this[e]=t}else if(t.getId){this[e]=t.getId()}};i.prototype._getVisualChild=function(){return this._sVisualChild};i.prototype._getVisualParent=function(){return this._sVisualParent};i.prototype._getVisualControl=function(){return this._sVisualControl};i.prototype._getItems=function(){var t=[];const e=a=>{a.forEach(a=>{if(!a.getItemSelectionMode){t.push(a)}else{e(a.getItems())}})};e(this.getItems());return t};return i});
//# sourceMappingURL=MenuItem.js.map