/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./Button","./Dialog","./Text","./FormattedText","./Link","./MessageStrip","./VBox","sap/ui/core/IconPool","sap/ui/core/ElementMetadata","sap/ui/core/Lib","sap/ui/core/library","sap/ui/core/message/MessageType","sap/ui/core/Control","sap/m/library","sap/ui/thirdparty/jquery"],function(e,t,i,n,s,o,a,l,r,c,u,d,f,g,jQuery){"use strict";var O=g.DialogType;var p=g.DialogRoleType;var I=g.ButtonType;var T=g.TitleAlignment;var R=g.FlexRendertype;var S=g.FlexAlignItems;var E=g.LinkAccessibleRole;var y=u.TextDirection;var x={};x.Action={OK:"OK",CANCEL:"CANCEL",YES:"YES",NO:"NO",ABORT:"ABORT",RETRY:"RETRY",IGNORE:"IGNORE",CLOSE:"CLOSE",DELETE:"DELETE"};x.Icon={NONE:undefined,INFORMATION:"INFORMATION",WARNING:"WARNING",ERROR:"ERROR",SUCCESS:"SUCCESS",QUESTION:"QUESTION"};var A=x.Action,C=x.Icon;function N(){if(x._rb!==c.getResourceBundleFor("sap.m")){x._rb=c.getResourceBundleFor("sap.m")}}function M(e){if(typeof e==="object"){return"<pre>"+JSON.stringify(e,null,"\t").replace(/{/gi,"&#x007B;")+"</pre>"}return e}function h(e,t,i,l){var r,c,u,f,g=false,O=new a({renderType:R.Bare,alignItems:S.Start,items:[t]});if(!e.details){return O}function p(e){r.setHtmlText(M(e));var t=i.getInitialFocus();i.addAriaLabelledBy(r);r.setVisible(true);c.setVisible(false);i._setInitialFocus();if(!t||t===c.getId()){l.focus()}}function I(){c.setBusyIndicatorDelay(0).setBusy(true);c.getDomRef("busyIndicator").focus();e.details().then(function(e){if(i.isDestroyed()){return}p(e)}).catch(function(){if(i.isDestroyed()){return}if(document.activeElement===c.getDomRef("busyIndicator")){g=true}c.setVisible(false);u.setVisible(true)})}r=new n({visible:false});c=new s({accessibleRole:E.Button,text:x._rb.getText("MSGBOX_LINK_TITLE"),press:function(){if(typeof e.details==="function"){I()}else{p(e.details)}}});f=new s({text:x._rb.getText("MSGBOX_DETAILS_RETRY_LOADING"),accessibleRole:E.Button,press:function(){c.setVisible(true);u.setVisible(false);var e={onAfterRendering:function(){c.removeEventDelegate(e);I()}};c.addEventDelegate(e)}});f.addEventDelegate({onAfterRendering:function(){if(g){f.focus()}g=false}});u=new o({text:x._rb.getText("MSGBOX_DETAILS_LOAD_ERROR"),type:d.Error,visible:false,link:f});c.addStyleClass("sapMMessageBoxLinkText");u.addStyleClass("sapMMessageBoxErrorText");r.addStyleClass("sapMMessageBoxDetails");O.addItem(c);O.addItem(u);O.addItem(r);return O}x.show=function(n,s){var o,a,c,u=null,d=[],g,R,S,E,M,b,m,B={id:r.uid("mbox"),initialFocus:null,textDirection:y.Inherit,verticalScrolling:true,horizontalScrolling:true,details:"",contentWidth:null},v={INFORMATION:"sapMMessageBoxInfo",WARNING:"sapMMessageBoxWarning",ERROR:"sapMMessageBoxError",SUCCESS:"sapMMessageBoxSuccess",QUESTION:"sapMMessageBoxQuestion",STANDARD:"sapMMessageBoxStandard"},_={INFORMATION:l.getIconURI("information"),WARNING:l.getIconURI("alert"),ERROR:l.getIconURI("error"),SUCCESS:l.getIconURI("sys-enter-2"),QUESTION:l.getIconURI("sys-help-2")};N();if(typeof s==="string"||arguments.length>2){R=arguments[1];S=arguments[2];E=arguments[3];M=arguments[4];b=arguments[5];m=arguments[6];s={icon:R,title:S,actions:E,onClose:M,id:b,styleClass:m}}if(s&&s.hasOwnProperty("details")){B.icon=C.INFORMATION;B.emphasizedAction=A.OK;B.actions=[A.OK,A.CANCEL];s=jQuery.extend({},B,s)}s=jQuery.extend({},B,s);if(typeof s.actions!=="undefined"&&!Array.isArray(s.actions)){if(s.emphasizedAction!==null){s.emphasizedAction=s.actions}s.actions=[s.actions]}if(!s.actions||s.actions.length===0){s.emphasizedAction=A.OK;s.actions=[A.OK]}function L(t,i){var n;if(x.Action.hasOwnProperty(t)){n=x._rb.getText("MSGBOX_"+t)}var s=new e({id:r.uid("mbox-btn-"),text:n||t,type:i,press:function(){u=t;o.close()}});return s}var F;for(g=0;g<s.actions.length;g++){F=s.emphasizedAction===s.actions[g]?I.Emphasized:I.Default;d.push(L(s.actions[g],F))}function D(){if(typeof s.onClose==="function"){s.onClose(u)}o.detachAfterClose(D);o.destroy()}function w(){var e=0;var t=null;if(s.initialFocus){if(s.initialFocus instanceof f){t=s.initialFocus}if(typeof s.initialFocus==="string"){for(e=0;e<d.length;e++){if(x.Action.hasOwnProperty(s.initialFocus)){if(x._rb.getText("MSGBOX_"+s.initialFocus).toLowerCase()===d[e].getText().toLowerCase()){t=d[e];break}}else{if(s.initialFocus.toLowerCase()===d[e].getText().toLowerCase()){t=d[e];break}}}}}return t}if(typeof n==="string"){c=new i({textDirection:s.textDirection}).setText(n).addStyleClass("sapMMsgBoxText");a=c}else if(n instanceof f){c=n.addStyleClass("sapMMsgBoxText")}o=new t({id:s.id,type:O.Message,title:s.title,titleAlignment:T.Auto,icon:_[s.icon],initialFocus:w(),verticalScrolling:s.verticalScrolling,horizontalScrolling:s.horizontalScrolling,afterClose:D,buttons:d,ariaLabelledBy:a?a.getId():undefined,contentWidth:s.contentWidth,closeOnNavigation:s.closeOnNavigation}).addStyleClass("sapMMessageBox");if(s.hasOwnProperty("details")&&s.details!==""){c=h(s,c,o,d[0])}o.addContent(c);o.setProperty("role",p.AlertDialog);if(v[s.icon]){o.addStyleClass(v[s.icon])}else{o.addStyleClass(v.STANDARD)}if(s.styleClass){o.addStyleClass(s.styleClass)}if(s.dependentOn){s.dependentOn.addDependent(o)}o.open()};x.alert=function(e,t){N();var i={icon:C.NONE,title:x._rb.getText("MSGBOX_TITLE_ALERT"),emphasizedAction:t&&t.actions?null:A.OK,actions:A.OK,id:r.uid("alert"),initialFocus:null},n,s,o,a;if(typeof t==="function"||arguments.length>2){n=arguments[1];s=arguments[2];o=arguments[3];a=arguments[4];t={onClose:n,title:s,id:o,styleClass:a}}t=jQuery.extend({},i,t);x.show(e,t)};x.confirm=function(e,t){N();var i={icon:C.QUESTION,title:x._rb.getText("MSGBOX_TITLE_CONFIRM"),emphasizedAction:t&&t.actions?null:A.OK,actions:[A.OK,A.CANCEL],id:r.uid("confirm"),initialFocus:null},n,s,o,a;if(typeof t==="function"||arguments.length>2){n=arguments[1];s=arguments[2];o=arguments[3];a=arguments[4];t={onClose:n,title:s,id:o,styleClass:a}}t=jQuery.extend({},i,t);x.show(e,t)};x.error=function(e,t){N();var i={icon:C.ERROR,title:x._rb.getText("MSGBOX_TITLE_ERROR"),emphasizedAction:null,actions:A.CLOSE,id:r.uid("error"),initialFocus:null};t=jQuery.extend({},i,t);x.show(e,t)};x.information=function(e,t){N();var i={icon:C.INFORMATION,title:x._rb.getText("MSGBOX_TITLE_INFO"),emphasizedAction:t&&t.actions?null:A.OK,actions:A.OK,id:r.uid("info"),initialFocus:null};t=jQuery.extend({},i,t);x.show(e,t)};x.warning=function(e,t){N();var i={icon:C.WARNING,title:x._rb.getText("MSGBOX_TITLE_WARNING"),emphasizedAction:t&&t.actions?null:A.OK,actions:A.OK,id:r.uid("warning"),initialFocus:null};t=jQuery.extend({},i,t);x.show(e,t)};x.success=function(e,t){N();var i={icon:C.SUCCESS,title:x._rb.getText("MSGBOX_TITLE_SUCCESS"),emphasizedAction:t&&t.actions?null:A.OK,actions:A.OK,id:r.uid("success"),initialFocus:null};t=jQuery.extend({},i,t);x.show(e,t)};return x},true);
//# sourceMappingURL=MessageBox.js.map