/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./InstanceManager","sap/ui/core/AnimationMode","sap/ui/core/ControlBehavior","sap/ui/core/Popup","sap/ui/core/library","sap/ui/core/Control","sap/ui/core/Element","sap/ui/core/UIArea","sap/ui/Device","sap/base/Log","sap/ui/thirdparty/jquery"],function(e,t,o,i,n,s,a,r,l,u,jQuery){"use strict";var f=n.Dock;var d=n.CSSSize;var c={};var p="0 -64",m="sapMMessageToast",v="sapUiSelectable",_="sapContrast",y="sapContrastPlus";c._mSettings={duration:3e3,width:"15em",my:"center bottom",at:"center bottom",of:document.defaultView,offset:"0 0",collision:"fit fit",onClose:null,animationTimingFunction:"ease",animationDuration:1e3,autoClose:true,closeOnBrowserNavigation:true};c._aPopups=[];c._iOpenedPopups=0;c._bBoundedEvents=false;c._mOptions={};c._sMessage="";c._validateSettings=function(e){c._isFiniteInteger(e.duration);c._validateWidth(e.width);c._validateDockPosition(e.my);c._validateDockPosition(e.at);c._validateOf(e.of);c._validateOffset(e.offset);c._validateCollision(e.collision);c._validateOnClose(e.onClose);c._validateAutoClose(e.autoClose);c._validateAnimationTimingFunction(e.animationTimingFunction);c._isFiniteInteger(e.animationDuration)};c._isFiniteInteger=function(e){if(typeof e!=="number"||!isFinite(e)||!(Math.floor(e)===e)||e<=0){u.error('"iNumber" needs to be a finite positive nonzero integer on '+c+"._isFiniteInteger")}};c._validateWidth=function(e){if(!d.isValid(e)){u.error(e+" is not of type "+'"sap.ui.core.CSSSize" for property "width" on '+c+"._validateWidth")}};c._validateDockPosition=function(e){if(!f.isValid(e)){u.error('"'+e+'"'+" is not of type "+'"sap.ui.core.Popup.Dock" on '+c+"._validateDockPosition")}};c._validateOf=function(e){if(!(e instanceof jQuery)&&!(e&&e.nodeType===1)&&!(e instanceof s)&&e!==window){u.error('"of" needs to be an instance of sap.ui.core.Control or an Element or a jQuery object or the window on '+c+"._validateOf")}};c._validateOffset=function(e){if(typeof e!=="string"){u.error(e+" is of type "+typeof e+', expected "string" for property "offset" on '+c+"._validateOffset")}};c._validateCollision=function(e){var t=/^(fit|flip|none|flipfit|flipflip|flip flip|flip fit|fitflip|fitfit|fit fit|fit flip)$/i;if(!t.test(e)){u.error('"collision" needs to be a single value “fit”, “flip”, or “none”, or a pair for horizontal and vertical e.g. "fit flip”, "fit none", "flipfit" on '+c+"._validateOffset")}};c._validateOnClose=function(e){if(typeof e!=="function"&&e!==null){u.error('"onClose" should be a function or null on '+c+"._validateOnClose")}};c._validateAutoClose=function(e){if(typeof e!=="boolean"){u.error('"autoClose" should be a boolean on '+c+"._validateAutoClose")}};c._validateAnimationTimingFunction=function(e){var t=/^(ease|linear|ease-in|ease-out|ease-in-out)$/i;if(!t.test(e)){u.error('"animationTimingFunction" should be a string, expected values: '+"ease, linear, ease-in, ease-out, ease-in-out on "+c+"._validateAnimationTimingFunction")}};function g(e){for(var t=["my","at","of","offset"],o=0;o<t.length;o++){if(e[t[o]]!==undefined){return false}}return true}function h(e){var t=document.createElement("div");t.className=m+" "+v+" "+_+" "+y;if(o.isAccessibilityEnabled()){t.setAttribute("role","alert")}t.style.width=e.width;t.appendChild(document.createTextNode(e.message));return t}function b(e){if(e){if(g(e)){e.offset=p}if(e.of&&e.of.nodeType===9){e.of=document.defaultView}}else{e={offset:p}}return e}c._handleResizeEvent=function(){if(l.system.phone||l.system.tablet){c._resetPosition(c._aPopups)}setTimeout(c["_applyPositions"].bind(c,c._aPopups),0)};c._handleMouseDownEvent=function(e){var t=e.target.hasAttribute("class")&&e.target.getAttribute("class").indexOf(m)!==-1;if(t||e.isMarked("delayedMouseEvent")){return}c._aPopups.forEach(function(e){e&&e.__bAutoClose&&e.close()})};c._resetPosition=function(e){for(var t=0,o;t<e.length;t++){o=e[t]&&e[t].getContent();if(o){o.style.visibility="hidden";o.style.left=0}}};c._applyPositions=function(e){for(var t=0,o,i;t<e.length;t++){o=e[t];if(o){i=o._oPosition;if(l.system.phone||l.system.tablet){setTimeout(c["_applyPosition"].bind(c,o,i),0)}else{o.setPosition(i.my,i.at,i.of,i.offset)}}}};c._applyPosition=function(e,t){t=t||e._oPosition;var o=e.getContent();e.setPosition(t.my,t.at,t.of,t.offset);o.style.visibility="visible"};c._setCloseAnimation=function(e,i,n,s){var a="opacity "+s.animationTimingFunction+" "+s.animationDuration+"ms",r="webkitTransitionEnd."+m+" transitionend."+m,l=o.getAnimationMode(),u=l!==t.none&&l!==t.minimal;if(u&&s.animationDuration>0){e[0].style.webkitTransition=a;e[0].style.transition=a;e[0].style.opacity=0;e.on(r,function t(){e.off(r);n()})}else{n()}};c._fnKeyDown=function(e){var t;var o=this._aPopups[0];var i=e.shiftKey;var n=l.os.macintosh?e.metaKey:e.ctrlKey;if(o&&o.isOpen()&&i&&n&&e.code==="KeyM"){e.preventDefault();t=document.querySelector(".sapMMessageToastHiddenFocusable");o.getContent().classList.add("sapMFocus");t.focus();clearTimeout(this._iCloseTimeoutId)}};function C(e){var t=e.shiftKey;var o=l.os.macintosh?e.metaKey:e.ctrlKey;var i=this._aPopups[0];if(e.code==="Escape"||t&&o&&e.code==="KeyM"){e.preventDefault();setTimeout(function(){this._mSettings.opener&&this._mSettings.opener.focus()}.bind(this),0);i.close()}}c.show=function(t,o){var n=a.closestTo(document.activeElement);var s=n&&n.getUIArea&&n.getUIArea();var r;var u=c,f=jQuery.extend({},c._mSettings,{message:t}),d=new i,p,v,_="mousedown."+m+" touchstart."+m,y;c._mSettings.opener=n;if(!this._oRootNode||this._oRootNode&&s&&s.getRootNode()!==this._oRootNode){this._oRootNode=s?s.getRootNode():document.documentElement}o=b(o);jQuery.extend(f,o);c._validateSettings(f);v=h(f);p=c._aPopups.push(d)-1;d.setContent(v);d.setPosition(f.my,f.at,f.of,f.offset,f.collision);d.setAnimations(function e(t,o,i){i()},function e(t,o,i){u._setCloseAnimation(t,o,i,f)});d.setShadow(false);d.__bAutoClose=f.autoClose;if(f.closeOnBrowserNavigation){e.addPopoverInstance(d)}if(!c._bBoundedEvents){jQuery(window).on("resize."+m,c._handleResizeEvent.bind(c));jQuery(document).on(_,c._handleMouseDownEvent.bind(c));c._bBoundedEvents=true}r=document.createElement("span");r.setAttribute("tabIndex",0);r.setAttribute("class","sapMMessageToastHiddenFocusable");d.getContent().prepend(r);if(this._oRootNode){this._oRootNode.removeEventListener("keydown",u._fnKeyDown.bind(u));this._oRootNode.addEventListener("keydown",u._fnKeyDown.bind(u));r.addEventListener("keydown",C.bind(this))}d.open();c._iOpenedPopups++;function g(){e.removePopoverInstance(u._aPopups[p]);jQuery(u._aPopups[p].getContent()).remove();u._aPopups[p].detachClosed(g);u._aPopups[p].destroy();u._aPopups[p]=null;u._iOpenedPopups--;if(u._iOpenedPopups===0){u._aPopups=[];jQuery(window).off("resize."+m);jQuery(document).off(_);u._bBoundedEvents=false}if(typeof f.onClose==="function"){f.onClose.call(u)}}d.attachClosed(g);this._iCloseTimeoutId=setTimeout(d["close"].bind(d),f.duration);function P(){clearTimeout(u._iCloseTimeoutId);u._iCloseTimeoutId=null;function e(){y=setTimeout(d["close"].bind(d),f.duration);d.getContent().removeEventListener("mouseleave",e)}d.getContent().addEventListener("mouseleave",e);clearTimeout(y);y=null}d.getContent().addEventListener("touchstart",P);d.getContent().addEventListener("mouseover",P);if(l.system.desktop){d.getContent().addEventListener("mouseleave",function(){if(document.activeElement!==d.getContent()){this._iCloseTimeoutId=setTimeout(d["close"].bind(d),f.duration)}})}};c.toString=function(){return"sap.m.MessageToast"};return c},true);
//# sourceMappingURL=MessageToast.js.map