/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/Control","sap/ui/core/Lib","sap/ui/core/library","sap/ui/core/LabelEnablement","sap/ui/events/KeyCodes","./ObjectNumberRenderer"],function(e,t,i,r,a,s,n){"use strict";var u=r.TextAlign;var o=r.TextDirection;var p=r.ValueState;var l=e.EmptyIndicatorMode;var c=t.extend("sap.m.ObjectNumber",{metadata:{interfaces:["sap.ui.core.IFormContent"],library:"sap.m",designtime:"sap/m/designtime/ObjectNumber.designtime",properties:{number:{type:"string",group:"Misc",defaultValue:null},numberUnit:{type:"string",group:"Misc",defaultValue:null,deprecated:true},emphasized:{type:"boolean",group:"Appearance",defaultValue:true},state:{type:"sap.ui.core.ValueState",group:"Misc",defaultValue:p.None},unit:{type:"string",group:"Misc",defaultValue:null},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:o.Inherit},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:u.Begin},active:{type:"boolean",group:"Misc",defaultValue:false},inverted:{type:"boolean",group:"Misc",defaultValue:false},emptyIndicatorMode:{type:"sap.m.EmptyIndicatorMode",group:"Appearance",defaultValue:l.Off}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"},ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"}},events:{press:{}},dnd:{draggable:true,droppable:false}},renderer:n});c.prototype._getStateText=function(){var e=this.getState(),t=i.getResourceBundleFor("sap.m");return t.getText("OBJECTNUMBER_ARIA_VALUE_STATE_"+e.toUpperCase(),[],true)};c.prototype.getAccessibilityInfo=function(){var e="";if(this.getState()!==p.None){e=this._getStateText()}return{description:(this.getNumber()+" "+this.getUnit()+" "+e).trim()}};c.prototype.ontap=function(e){if(this._isClickable(e)){this.firePress()}};c.prototype.ontouchstart=function(e){if(this._isClickable(e)){e.setMarked()}};c.prototype._activeState=function(){this.addStyleClass("sapMObjectNumberPressed")};c.prototype._inactiveState=function(){this.removeStyleClass("sapMObjectNumberPressed")};c.prototype.onkeydown=function(e){if(e.which===s.SPACE||e.which===s.ENTER){e.setMarked();this._activeState();if(e.which===s.ENTER){this.firePress()}else{e.preventDefault();this._bPressedSpace=true}}else if(this._bPressedSpace){if(e.which===s.SHIFT||e.which===s.ESCAPE){this._bPressedEscapeOrShift=true;this._inactiveState()}else{e.preventDefault()}}};c.prototype.onkeyup=function(e){if(e.which===s.ENTER){e.setMarked();this._inactiveState()}else if(e.which===s.SPACE){if(!this._bPressedEscapeOrShift){e.setMarked();this.firePress();this._inactiveState()}else{this._bPressedEscapeOrShift=false}this._bPressedSpace=false}else if(e.which===s.ESCAPE){this._bPressedSpace=false}};c.prototype._isActive=function(){return this.getActive()&&(this.getNumber().trim()||this.getUnit().trim())};c.prototype._isClickable=function(e){var t=e.target.id;return this._isActive()&&(t===this.getId()+"-link"||t===this.getId()+"-number"||t===this.getId()+"-unit")};c.prototype._hasExternalLabelling=function(){return this.getAriaLabelledBy().length>0||a.getReferencingLabels(this).length>0};c.prototype._generateSelfLabellingIds=function(){var e=this.getId(),t="";if(this.getNumber()){t+=e+"-number "}if(this.getUnit()&&this.getEmptyIndicatorMode()===l.Off){t+=e+"-unit "}if(this.getNumber()&&this.getEmphasized()){t+=e+"-emphasized "}if(this.getNumber()&&this.getState()!==p.None){t+=e+"-state"}return t.trim()};return c});
//# sourceMappingURL=ObjectNumber.js.map