/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","./OverflowToolbarButton","./OverflowToolbarMenuButton","./OverflowToolbarToggleButton","./ToggleButton","./Button","sap/m/library","sap/base/Log"],function(e,t,o,n,r,a,s,l){"use strict";var p=s.ButtonType;var i=e.extend("sap.m._overflowToolbarHelpers.OverflowToolbarAssociativePopoverControls",{constructor:function(){this._mControlsCache={}},getInterface:function(){return this}});i.prototype._preProcessSapMButton=function(e){var t=e.getType();this._mControlsCache[e.getId()]={buttonType:t};if(t===p.Default){e.setProperty("type",p.Transparent,true)}e.attachEvent("_change",this._onSapMButtonUpdated,this)};i.prototype._postProcessSapMButton=function(e){var t=this._mControlsCache[e.getId()];if(e.getType()==="Transparent"&&e.getType()!==t.buttonType&&t.buttonType===p.Default){e.setProperty("type",t.buttonType,true)}e.detachEvent("_change",this._onSapMButtonUpdated,this)};i.prototype._onSapMButtonUpdated=function(e){var t=e.getParameter("name"),o=e.getSource(),n=o.getId();if(typeof this._mControlsCache[n]==="undefined"){return}if(t==="type"){this._mControlsCache[n]["buttonType"]=o.getType()}};i.prototype._preProcessSapMOverflowToolbarButton=function(e){this._preProcessSapMButton(e);e._bInOverflow=true};i.prototype._postProcessSapMOverflowToolbarButton=function(e){delete e._bInOverflow;this._postProcessSapMButton(e)};i.prototype._preProcessSapMOverflowToolbarMenuButton=function(e){this._preProcessSapMButton(e);e._bInOverflow=true};i.prototype._postProcessSapMOverflowToolbarMenuButton=function(e){delete e._bInOverflow;this._postProcessSapMButton(e)};i.prototype._preProcessSapMToggleButton=function(e){this._preProcessSapMButton(e)};i.prototype._postProcessSapMToggleButton=function(e){this._postProcessSapMButton(e)};i.prototype._preProcessSapMOverflowToolbarToggleButton=function(e){this._preProcessSapMToggleButton(e);e._bInOverflow=true};i.prototype._postProcessSapMOverflowToolbarToggleButton=function(e){delete e._bInOverflow;this._postProcessSapMToggleButton(e)};i._mSupportedControls={"sap.m.Button":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","accesskey"]},"sap.m.MenuButton":{canOverflow:true,listenForEvents:["defaultAction","_menuItemSelected"],noInvalidationProps:["enabled","text","icon"]},"sap.m.OverflowToolbarMenuButton":{canOverflow:true,listenForEvents:["defaultAction","_menuItemSelected"],noInvalidationProps:["enabled","text","icon"]},"sap.m.OverflowToolbarToggleButton":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","type","pressed","accesskey"]},"sap.m.CheckBox":{canOverflow:true,listenForEvents:["select"],noInvalidationProps:["enabled","selected","accesskey"]},"sap.m.ToggleButton":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","pressed","accesskey"]},"sap.m.ComboBox":{canOverflow:true,listenForEvents:[],noInvalidationProps:["enabled","value","selectedItemId","selectedKey","open","_open","effectiveShowClearIcon"]},"sap.m.SearchField":{canOverflow:true,listenForEvents:["search"],noInvalidationProps:["enabled","value","selectOnFocus"]},"sap.m.Input":{canOverflow:true,listenForEvents:[],noInvalidationProps:["enabled","value","accesskey"]},"sap.m.DateTimeInput":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue"]},"sap.m.DatePicker":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","displayFormat","valueFormat","displayFormatType","secondaryCalendarType","minDate","maxDate"]},"sap.m.DateRangeSelection":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","secondDateValue","displayFormat","valueFormat","displayFormatType","secondaryCalendarType","minDate","maxDate","delimiter"]},"sap.m.DateTimePicker":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","displayFormat","valueFormat","displayFormatType","secondaryCalendarType","minDate","maxDate"]},"sap.m.TimePicker":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","displayFormat","valueFormat"]},"sap.m.RadioButton":{canOverflow:false,listenForEvents:[],noInvalidationProps:["enabled","selected"]},"sap.m.Slider":{canOverflow:false,listenForEvents:[],noInvalidationProps:["enabled","value"]},"sap.m.IconTabHeader":{canOverflow:false,listenForEvents:[],noInvalidationProps:["selectedKey"]},"sap.ui.comp.smartfield.SmartField":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","valueState","showValueHelp","contextEditable","clientSideMandatoryCheck","mandatory","name","placeholder","showSuggestion","tooltipLabel"]},"sap.ui.comp.smartfield.SmartLabel":{canOverflow:true,listenForEvents:[],noInvalidationProps:["enabled"]}};i.getControlConfig=function(e){var t;if(e.isA("sap.m.IOverflowToolbarContent")){if(typeof e.getOverflowToolbarConfig!=="function"){l.error("Required method getOverflowToolbarConfig not implemented by: "+e.getMetadata().getName());return}t=e.getOverflowToolbarConfig();if(typeof t!=="object"){l.error("Method getOverflowToolbarConfig implemented, but does not return an object in: "+e.getMetadata().getName());return}return{canOverflow:!!t.canOverflow,listenForEvents:Array.isArray(t.autoCloseEvents)?t.autoCloseEvents:[],noInvalidationProps:Array.isArray(t.propsUnrelatedToSize)?t.propsUnrelatedToSize:[],preProcess:t.onBeforeEnterOverflow,postProcess:t.onAfterExitOverflow}}var o=i.getControlClass(e);t=i._mSupportedControls[o];if(t===undefined){return}var n="_preProcess"+o.split(".").map(u).join("");if(typeof i.prototype[n]==="function"){t.preProcess=i.prototype[n]}var r="_postProcess"+o.split(".").map(u).join("");if(typeof i.prototype[r]==="function"){t.postProcess=i.prototype[r]}return t};i.supportsControl=function(e){var t=i.getControlConfig(e);return typeof t!=="undefined"&&t.canOverflow};i.getControlClass=function(e){if(e instanceof t){return"sap.m.OverflowToolbarButton"}else if(e instanceof o){return"sap.m.OverflowToolbarMenuButton"}else if(e instanceof n){return"sap.m.OverflowToolbarToggleButton"}else if(e instanceof r){return"sap.m.ToggleButton"}else if(e instanceof a){return"sap.m.Button"}return e.getMetadata().getName()};function u(e){return e.substring(0,1).toUpperCase()+e.substr(1)}return i});
//# sourceMappingURL=OverflowToolbarAssociativePopoverControls.js.map