/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/Control","sap/ui/core/ControlBehavior","sap/ui/core/IconPool","sap/ui/Device","./PanelRenderer","sap/ui/core/Lib","sap/m/Button"],function(e,t,a,n,o,i,r,s){"use strict";var p=e.PanelAccessibleRole;var l=e.BackgroundDesign;var d=e.ButtonType;var u=t.extend("sap.m.Panel",{metadata:{library:"sap.m",properties:{headerText:{type:"string",group:"Data",defaultValue:""},width:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"100%"},height:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"auto"},expandable:{type:"boolean",group:"Appearance",defaultValue:false},expanded:{type:"boolean",group:"Appearance",defaultValue:false},expandAnimation:{type:"boolean",group:"Behavior",defaultValue:true},backgroundDesign:{type:"sap.m.BackgroundDesign",group:"Appearance",defaultValue:l.Translucent},accessibleRole:{type:"sap.m.PanelAccessibleRole",group:"Accessibility",defaultValue:p.Form},stickyHeader:{type:"boolean",group:"Appearance",defaultValue:false}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"},headerToolbar:{type:"sap.m.Toolbar",multiple:false},infoToolbar:{type:"sap.m.Toolbar",multiple:false}},events:{expand:{parameters:{expand:{type:"boolean"},triggeredByInteraction:{type:"boolean"}}}},dnd:{draggable:true,droppable:true},designtime:"sap/m/designtime/Panel.designtime"},renderer:i});u.prototype.init=function(){this._bInteractiveExpand=false;this.data("sap-ui-fastnavgroup","true",true)};u.prototype.onThemeChanged=function(){this._setContentHeight()};u.prototype.setExpanded=function(e){var t=this;if(e===this.getExpanded()){return this}this.setProperty("expanded",e,true);this.addStyleClass("sapMPanelAnimating");if(!this.getExpandable()){return this}this._toggleExpandCollapse(function(){t.removeStyleClass("sapMPanelAnimating");t.invalidate()});this._toggleButtonIcon(e);this.fireExpand({expand:e,triggeredByInteraction:this._bInteractiveExpand});this._bInteractiveExpand=false;return this};u.prototype.onBeforeRendering=function(){if(this.getExpandable()&&!this._oExpandButton){this._oExpandButton=this._createExpandButton()}if(a.isAccessibilityEnabled()){this.$().attr("role",this.getAccessibleRole().toLowerCase())}};u.prototype.onAfterRendering=function(){var e=this.$(),t=this.getDomRef("content"),a,n=this.getDomRef();if(n){n.style.width=this.getWidth();a=this.getHeight();n.style.height=a;if(parseFloat(a)!=0){n.querySelector(".sapMPanelContent").style.height=a}}this._setContentHeight();if(this.getExpandable()){this.getHeaderToolbar()&&t&&this._oExpandButton.$().attr("aria-controls",t.id);if(!this.getExpanded()){e.children(".sapMPanelExpandablePart").css("display","none")}}};u.prototype.ontap=function(e){var t=this.getDomRef(),a=t&&t.querySelector(".sapMPanelWrappingDiv");if(!this.getExpandable()||this.getHeaderToolbar()||!a){return}if(a.contains(e.target)){this._bInteractiveExpand=true;this.setExpanded(!this.getExpanded())}};u.prototype.onsapspace=function(e){var t=[this.getDomRef().querySelector(".sapMPanelWrappingDiv"),this.getDomRef("expandButton")];if(t.includes(e.target)){e.preventDefault()}if(e.originalEvent.repeat){return}this.ontap(e)};u.prototype.onsapenter=function(e){this.ontap(e)};u.prototype.exit=function(){if(this._oExpandButton){this._oExpandButton.destroy();this._oExpandButton=null}};u.prototype._createExpandButton=function(){var e=this,t=this.getExpanded()?n.getIconURI("slim-arrow-down"):n.getIconURI("slim-arrow-right"),a=r.getResourceBundleFor("sap.m").getText("PANEL_ICON"),o;if(!this.getHeaderToolbar()){return n.createControlByURI({src:t,tooltip:a})}o=new s(this.getId()+"-expandButton",{icon:t,tooltip:a,type:d.Transparent,press:function(){e._bInteractiveExpand=true;e.setExpanded(!e.getExpanded())}}).addEventDelegate({onAfterRendering:function(){o.$().attr("aria-expanded",this.getExpanded())}.bind(this)},this);this.addDependent(o);return o};u.prototype._toggleButtonIcon=function(e){var t=e?n.getIconURI("slim-arrow-down"):n.getIconURI("slim-arrow-right");if(!this._oExpandButton){return}if(this.getHeaderToolbar()){this._oExpandButton.setIcon(t)}else{this._oExpandButton.setSrc(t)}};u.prototype._setContentHeight=function(){var e,t=this.getDomRef(),a=t&&t.querySelector(".sapMPanelContent");if(this.getHeight()==="auto"||!a){return}e="calc("+"100%"+" - "+a.offsetTop+"px)";a.style.height=e};u.prototype._toggleExpandCollapse=function(e){var t={complete:e};if(!this.getExpandAnimation()){t.duration=0}this.$().children(".sapMPanelExpandablePart").slideToggle(t)};u.prototype._getLabellingElementId=function(){var e=this.getHeaderToolbar(),t=this.getHeaderText(),a=null;if(e){a=e.getTitleId()}else if(t){a=this.getId()+"-header"}return a};return u});
//# sourceMappingURL=Panel.js.map