/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Localization","sap/ui/core/Renderer","./SliderRenderer","sap/ui/core/InvisibleText"],function(e,t,a,i){"use strict";var n=t.extend(a);n.apiVersion=2;n.renderHandles=function(e,t,a){this.renderHandle(e,t,{id:t.getId()+"-handle1",position:"start",forwardedLabels:a,pressed:t.getProperty("startHandlePressed")});this.renderHandle(e,t,{id:t.getId()+"-handle2",position:"end",forwardedLabels:a,pressed:t.getProperty("endHandlePressed")});e.renderControl(t._mHandleTooltip.start.label);e.renderControl(t._mHandleTooltip.end.label);e.renderControl(t.getAggregation("_handlesLabels")[2])};n.renderHandle=function(t,n,r){var s,o=n.getRange(),d=n.getEnabled(),l=e.getRTL();t.openStart("span",r&&r.id);if(r&&r.position!==undefined){s=o[r.position==="start"?0:1];t.attr("data-range-val",r.position);t.attr("aria-labelledby",(r.forwardedLabels+" "+n._mHandleTooltip[r.position].label.getId()).trim());if(n.getInputsAsTooltips()){t.attr("aria-describedby",i.getStaticId("sap.m","SLIDER_INPUT_TOOLTIP"));d&&t.attr("aria-keyshortcuts","F2")}}if(n.getShowHandleTooltip()&&!n.getShowAdvancedTooltip()){this.writeHandleTooltip(t,n)}t.class(a.CSS_CLASS+"Handle");t.attr("data-ui5-handle-position",r.position);if(r.pressed){t.class(a.CSS_CLASS+"HandlePressed")}if(r&&r.id!==undefined&&r.id===n.getId()+"-handle1"){t.style(l?"right":"left",o[0])}if(r&&r.id!==undefined&&r.id===n.getId()+"-handle2"){t.style(l?"right":"left",o[1])}this.writeAccessibilityState(t,n,s);if(d){t.attr("tabindex","0")}t.openEnd().close("span")};n.writeAccessibilityState=function(e,t,a){var i=t._isElementsFormatterNotNumerical(a),n=t._formatValueByCustomElement(a),r;if(t._getUsedScale()&&!i){r=n}else{r=t.toFixed(a)}e.accessibilityState(t,{role:"slider",orientation:"horizontal",valuemin:t.toFixed(t.getMin()),valuemax:t.toFixed(t.getMax()),valuenow:r});if(i){e.accessibilityState(t,{valuetext:n})}};n.renderStartLabel=function(e,t){e.openStart("div").class(a.CSS_CLASS+"RangeLabel").openEnd().text(t.getMin()).close("div")};n.renderEndLabel=function(e,t){e.openStart("div").class(a.CSS_CLASS+"RangeLabel").style("width",t._getMaxTooltipWidth()+"px").openEnd().text(t.getMax()).close("div")};n.renderLabels=function(e,t){if(!t.getEnableTickmarks()){e.openStart("div").class(a.CSS_CLASS+"Labels").openEnd();this.renderStartLabel(e,t);this.renderEndLabel(e,t);e.close("div")}};n.renderProgressIndicator=function(e,t,a){var i=t.getRange();var n=t.getProperty("progressBarSize");i[0]=t.toFixed(i[0],t._iDecimalPrecision);i[1]=t.toFixed(i[1],t._iDecimalPrecision);var r=Math.abs(i[1]-i[0]);e.openStart("div",t.getId()+"-progress");if(t.getEnabled()){e.attr("tabindex","0")}this.addProgressIndicatorClass(e,t);e.style("width",t._sProgressValue);if(n){e.style("left",n.left);e.style("right",n.right)}e.accessibilityState(t,{role:"slider",orientation:"horizontal",valuemin:t.toFixed(t.getMin()),valuemax:t.toFixed(t.getMax()),valuenow:r,valuetext:t._oResourceBundle.getText("RANGE_SLIDER_RANGE_ANNOUNCEMENT",i.map(t._formatValueByCustomElement,t)),labelledby:(a+" "+t.getAggregation("_handlesLabels")[2].getId()).trim()}).openEnd().close("div")};n.addClass=function(e,t){a.addClass(e,t);e.class("sapMRangeSlider")};n.applyTickmarkStyles=function(e,t,a,i){const n=(e,t,a,i)=>Math.floor((e-t)/i);const r=t.getMin();const s=t.getMax();const o=t.getStep();const d=t.getValue();const l=t.getValue2();const c=n(d,r,s,o);const g=n(l,r,s,o);const p=(e,t,a)=>e>=Math.min(t,a)&&e<=Math.max(t,a);e.attr("data-ui5-active-tickmark",p(a,c,g))};n.shouldRenderFirstActiveTickmark=function(e){return e.getValue()===e.getMin()};n.shouldRenderLastActiveTickmark=function(e){return e.getValue2()===e.getMax()};return n},true);
//# sourceMappingURL=RangeSliderRenderer.js.map