/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Formatting","sap/ui/core/Control","sap/ui/core/format/DateFormat","sap/ui/unified/calendar/CalendarDate","sap/ui/unified/calendar/CalendarUtils","sap/ui/unified/DateTypeRange","sap/ui/unified/library","sap/ui/core/LocaleData","sap/ui/core/Locale","sap/ui/core/delegate/ItemNavigation","sap/ui/core/dnd/DragDropInfo","sap/ui/core/CustomData","sap/ui/events/KeyCodes","sap/base/Log","sap/ui/core/Core","./Link","./library","./PlanningCalendarLegend","./SinglePlanningCalendarMonthGridRenderer","sap/ui/thirdparty/jquery","sap/ui/core/InvisibleMessage","sap/ui/core/library","sap/ui/core/date/CalendarUtils","sap/ui/core/date/UI5Date","sap/ui/unified/DateRange"],function(e,t,a,n,i,r,o,s,l,p,g,c,u,f,d,h,D,m,_,jQuery,y,S,C,A,v){"use strict";var M=1.5625;var L=1.5;var b=2.125;var P=1.75;var k=S.InvisibleMessageMode;var R=D.SinglePlanningCalendarSelectionMode;var I=D.LinkAccessibleRole;var E=t.extend("sap.m.SinglePlanningCalendarMonthGrid",{metadata:{library:"sap.m",properties:{startDate:{type:"object",group:"Data"},enableAppointmentsDragAndDrop:{type:"boolean",group:"Misc",defaultValue:false},firstDayOfWeek:{type:"int",group:"Appearance",defaultValue:-1},calendarWeekNumbering:{type:"sap.ui.core.date.CalendarWeekNumbering",group:"Appearance",defaultValue:null},dateSelectionMode:{type:"sap.m.SinglePlanningCalendarSelectionMode",group:"Behavior",defaultValue:R.SingleSelect}},aggregations:{appointments:{type:"sap.ui.unified.CalendarAppointment",multiple:true,singularName:"appointment",dnd:{draggable:true}},specialDates:{type:"sap.ui.unified.DateTypeRange",multiple:true,singularName:"specialDate"},_appsPlaceholders:{type:"sap.m.SinglePlanningCalendarMonthGrid._internal.IntervalPlaceholder",multiple:true,visibility:"hidden",dnd:{droppable:true}},selectedDates:{type:"sap.ui.unified.DateRange",multiple:true,singularName:"selectedDate"}},dnd:true,associations:{legend:{type:"sap.m.PlanningCalendarLegend",multiple:false}},events:{cellPress:{parameters:{startDate:{type:"object"},endDate:{type:"object"}}},weekNumberPress:{parameters:{weekNumber:{type:"int"}}},selectedDatesChange:{allowPreventDefault:true,parameters:{selectedDates:{type:"sap.ui.unified.DateRange[]"}}},moreLinkPress:{parameters:{date:{type:"object"},sourceLink:{type:"sap.m.Link"}}},appointmentDrop:{parameters:{appointment:{type:"sap.ui.unified.CalendarAppointment"},startDate:{type:"object"},endDate:{type:"object"},copy:{type:"boolean"}}},appointmentSelect:{parameters:{appointment:{type:"sap.ui.unified.CalendarAppointment"},appointments:{type:"sap.ui.unified.CalendarAppointment[]"}}}}},renderer:_});E.prototype.init=function(){const e=42;this._aLinks=[];this._handleMorePress=this._handleMorePress.bind(this);this._oDateFormat=a.getDateTimeInstance({pattern:"YYYYMMdd"});this._oFormatAriaApp=a.getDateTimeInstance({pattern:"EEEE, MMMM d, yyyy 'at' "+this._getCoreLocaleData().getTimePattern("medium")});this._oFormatAriaFullDayCell=a.getDateTimeInstance({pattern:"EEEE, MMMM d, yyyy"});this.setStartDate(A.getInstance());this._configureAppointmentsDragAndDrop();this._oUnifiedRB=sap.ui.getCore().getLibraryResourceBundle("sap.ui.unified");this._aMoreCountPerDay=[];this._aMoreCountPerDay.length=e;this._aMoreCountPerDay.fill(0)};E.prototype._getDateColumn=function(e,t,a){let n=0;for(let i=0;i<e.length;i++){if(e[i]&&t.isSame(e[i])){break}n++;if(n===a){n=0}}return n};E.prototype._getDateRow=function(e,t,a){let n=0;for(let i=0;i<e.length;i++){if(e[i]&&t.isSame(e[i])){n=Math.floor(i/a);break}n+=1;if(n===a-1){n=0}}return n};E.prototype._getRowEndIndex=function(e,t,a){let n=0;for(let i=1;i<e.length;i++){if(t<=i*a-1){n=i*a-1;break}}return n};E.prototype.exit=function(){if(this._oItemNavigation){this.removeDelegate(this._oItemNavigation);this._oItemNavigation.destroy();delete this._oItemNavigation}for(var e=0;e<this._aLinks.length;e++){if(this._aLinks[e]){this._aLinks[e].removeDelegate(this.oAfterLinkRenderDelegate);this._aLinks[e].destroy()}}delete this._aLinks};E.prototype.onBeforeRendering=function(){const e=this.getStartDate(),t=this._getCells();this._iStartDayOffset=t.indexOf(t.find(e=>e.getDate()===1));this._oAppointmentsToRender=this._calculateAppointmentsNodes(e);this._createAppointmentsDndPlaceholders(e);this._oInvisibleMessage=y.getInstance();if(this.getFirstDayOfWeek()!==-1&&this.getCalendarWeekNumbering()){f.warning("Both properties firstDayOfWeek and calendarWeekNumbering should not be used at the same time!")}};E.prototype._checkDateSelected=function(e){var t=this.getAggregation("selectedDates");var a;var i;var r;if(!t){return false}for(var o=0;o<t.length;o++){a=t[o];i=a.getStartDate()&&n.fromLocalJSDate(a.getStartDate());r=a.getEndDate()&&n.fromLocalJSDate(a.getEndDate());if(i&&e.isSame(i)||i&&r&&e.isSameOrAfter(i)&&e.isSameOrBefore(r)){return true}}return false};E.prototype._doesContainAppointments=function(e){return this.getAppointments().some(t=>{if(t.getStartDate()&&t.getEndDate()){const a=n.fromLocalJSDate(t.getStartDate());const i=n.fromLocalJSDate(t.getEndDate());return e.isSameOrAfter(a)&&e.isBefore(i)}return false})};E.prototype._getCellDescription=function(){return d.getLibraryResourceBundle("sap.m").getText("SPC_CELL_DESCRIPTION")};E.prototype.onAfterRendering=function(){this._initItemNavigation();this._aMoreCountPerDay.fill(0)};E.prototype._getColumns=function(){return 7};E.prototype._getRows=function(){return 6};E.prototype._getDateFormatter=function(){return this._oDateFormat};E.prototype._getAppointmetsForADay=function(e){return this._oAppointmentsToRender.filter(function(t){return t.start.valueOf()===e.valueOf()})};E.prototype._getPreviousAppointmetsForADay=function(e){return this._oAppointmentsToRender.filter(function(t){return t.start.valueOf()<e.valueOf()&&t.end.valueOf()>=e.valueOf()}).map(function(t){var a={data:t.data,start:t.start,end:t.end,len:t.len,level:t.level,width:t.width,_nextDay:t._nextDay};a.width-=i._daysBetween(e,t.start);a.hasPrevious=true;return a},this)};E.prototype.onmouseup=function(e){if(e.target.classList.contains("sapMSPCMonthWeekNumber")){const t=Number(e.target.textContent);this.fireWeekNumberPress({weekNumber:t});if(R.SingleSelect===this.getDateSelectionMode()){return}this._bCurrentWeekSelection=true}this._fireSelectionEvent(e)};E.prototype.onmousedown=function(e){if(!e.target.classList.contains("sapMSPCMonthWeekNumber")){return}const t=e.target.nextSibling.querySelectorAll(".sapMSPCMonthDay")[0];const a=this._aGridCells.indexOf(t);this._oItemNavigation.focusItem(a)};E.prototype._rangeSelection=function(e){var t=A.getInstance(e),a=false,i,r,o;for(r=0;r<7;r++){if(!this._checkDateSelected(n.fromLocalJSDate(t))){a=true;break}t.setDate(t.getDate()+1)}t=A.getInstance(e);for(r=0;r<7;r++){o=Date.UTC(t.getFullYear(),t.getMonth(),t.getDate());i=document.querySelector('[sap-ui-date="'+o+'"]');if(!(a&&i&&i.classList.contains("sapMSPCMonthDaySelected"))){this._toggleMarkCell(i,t)}t.setDate(t.getDate()+1)}};E.prototype.onkeydown=function(e){const t=e.which===u.ARROW_UP||e.which===u.ARROW_DOWN||e.which===u.ARROW_LEFT||e.which===u.ARROW_RIGHT;const a=R.MultiSelect===this.getDateSelectionMode();if(t&&!e.shiftKey&&!a){return}if(e.which===u.SPACE||e.which===u.ENTER||t){if((e.which===u.SPACE||e.which===u.ENTER)&&!e.shiftKey){this._fireSelectionEvent(e)}else if((e.which===u.SPACE||e.which===u.ENTER)&&e.shiftKey&&a){this._bCurrentWeekSelection=true;this._fireSelectionEvent(e)}else if(t&&e.shiftKey&&a){this._bMultiDateSelectWithArrow=true;this._fireSelectionEvent(e)}var n=this._findSrcControl(e);if(n&&n.isA("sap.ui.unified.CalendarAppointment")&&!n.getSelected()){this._oInvisibleMessage.announce(this._oUnifiedRB.getText("APPOINTMENT_UNSELECTED"),k.Polite)}e.preventDefault()}if(e.which!==u.TAB){return}if(e.target.classList.contains("sapMSPCMonthDay")){const t=e.target.parentElement;const a=t.querySelectorAll(".sapUiCalendarRowApps");if(a.length){e.preventDefault();a[0].focus()}}else if(e.shiftKey&&e.target.classList.contains("sapMLnk")){const t=e.target.parentElement.parentElement.parentElement;const a=t.querySelectorAll(".sapMSPCMonthLnkMore");const n=a[0].querySelector(".sapMLnk");if(n.id===e.target.id){const a=t.querySelectorAll(".sapUiCalendarRowApps");if(a.length){const t=a[a.length-1];e.preventDefault();t.focus()}}}else if(!e.shiftKey&&e.target.classList.contains("sapUiCalendarRowApps")){const t=e.target.parentElement;const a=t.children;if(a.length){const n=a[a.length-1];if(n.id===e.target.id){const a=t.parentElement.querySelector(".sapMSPCMonthLnkMore > .sapMLnk");if(a){e.preventDefault();a.focus()}}}}};E.prototype._isSelectAppointment=function(e){return e.target.classList.contains("sapUiCalendarRowApps")||e.target.parentElement&&e.target.parentElement.classList.contains("sapUiCalendarRowApps")};E.prototype._findSelectedAppointment=function(e){var t=e.parentElement,a;if(t.classList.contains("sapUiCalendarRowApps")){a=t.getAttribute("data-sap-ui-related")||t.id}else{a=e.getAttribute("data-sap-ui-related")||e.id}return this.getAppointments().find(function(e){return e.sId===a})};E.prototype._findSelectedRow=function(e){var t=this._findSelectCell(e.target),a=t.parentElement;if(!a||a.classList.contains("sapMSPCMonthDays")){return e.srcControl}};E.prototype._findSelectCell=function(e){if(e.classList.contains("sapMSPCMonthDayNumber")||e.classList.contains("specialDateIndicator")){return e.parentElement}return e};E.prototype._findSrcControl=function(e){var t=e.target;if(this._isSelectAppointment(e)){return this._findSelectedAppointment(t)}return this._findSelectedRow(e)};E.prototype._handelMultiDateSelection=function(t,a,i,r){const o=this.getAggregation("selectedDates");const s=R.MultiSelect===this.getDateSelectionMode();const p=!this._bMultiDateSelectWithArrow&&!this._bCurrentWeekSelection;if((r.which===u.SPACE||r.which===u.ENTER)&&!r.shiftKey||!s&&!(r.metaKey||r.ctrlKey)){this.removeAllAggregation("selectedDates")}if(p){this._toggleMarkCell(t,a)}else if(this._bMultiDateSelectWithArrow){this._bMultiDateSelectWithArrow=false;var g=A.getInstance(n.fromLocalJSDate(a));switch(r.which){case u.ARROW_UP:g.setDate(g.getDate()-7);break;case u.ARROW_DOWN:g.setDate(g.getDate()+7);break;case u.ARROW_LEFT:g.setDate(g.getDate()-1);break;case u.ARROW_RIGHT:g.setDate(g.getDate()+1);break;default:break}t=document.querySelector('[sap-ui-date="'+g.getTime()+'"]');a=A.getInstance(g.getTime());a=A.getInstance(g.getUTCFullYear(),a.getUTCMonth(),a.getUTCDate());this._toggleMarkCell(t,a)}else if(this._bCurrentWeekSelection&&s){var c=a.getDate(),f=C.getWeekConfigurationValues(this.getCalendarWeekNumbering(),new l(new l(e.getLanguageTag()).toString())),d=this.getFirstDayOfWeek(),h,D;this._bCurrentWeekSelection=false;if(d<0||d>6){if(f){h=f.firstDayOfWeek}else{var m=this._getCoreLocaleData();h=m.getFirstDayOfWeek()}}else{h=d}D=c-a.getDay()+h;if(D>c){D-=7}a.setDate(D);i.setDate(a.getDate()+6);this._rangeSelection(a,i)}this._fireSelectionChange(o)};E.prototype._fireSelectionChange=function(e){const t=this.fireSelectedDatesChange({selectedDates:this.getAggregation("selectedDates")});if(!t){this.removeAllAggregation("selectedDates");e.forEach(e=>this.addAggregation("selectedDates",e))}};E.prototype._fireSelectionEvent=function(e){const t=this._findSrcControl(e),a=e.target,n=this._findSelectCell(e.target),i=a&&!!n,r=a&&a.classList.contains("sapMLnk"),o=a&&a.classList.contains("sapMSPCMonthWeekNumber");if(t&&t.isA("sap.m.SinglePlanningCalendarMonthGrid")&&i&&!r||o){this._lastPressedAppointment=undefined;this._fireGridCellSelectionEvent(e,o);this.fireAppointmentSelect({appointment:undefined,appointments:this._toggleAppointmentSelection(undefined,true)})}else if(t&&t.isA("sap.ui.unified.CalendarAppointment")){this._lastPressedAppointment=t;const n=e.ctrlKey||e.metaKey;this._fireAppointmentSelection(a,t,n)}};E.prototype._fireAppointmentSelection=function(e,t,a){if(e.parentElement&&e.parentElement.getAttribute("id")){var n=e.parentElement.getAttribute("id");var i=e.parentElement.getAttribute("data-sap-ui-related");var r=n.replace(i+"-","");t._setAppointmentPartSuffix(r)}this.fireAppointmentSelect({appointment:t,appointments:this._toggleAppointmentSelection(t,!a)})};E.prototype._fireGridCellSelectionEvent=function(e,t){const a=6;const n=1;const i=t?e.target.nextSibling.querySelectorAll(".sapMSPCMonthDay")[0]:this._findSelectCell(e.target);const r=t?a:n;const o=parseInt(i.getAttribute("sap-ui-date"));let s=A.getInstance(o);s=A.getInstance(s.getUTCFullYear(),s.getUTCMonth(),s.getUTCDate());const l=A.getInstance(s);l.setDate(l.getDate()+r);this._handelMultiDateSelection(i,s,l,e,t);!t&&this.fireEvent("cellPress",{startDate:s,endDate:l})};E.prototype._toggleMarkCell=function(e,t){if(e&&!e.classList.contains("sapMSPCMonthDaySelected")){this.addAggregation("selectedDates",new v({startDate:A.getInstance(t)}))}else{var a=this.getAggregation("selectedDates");if(!a){return}for(var i=0;i<a.length;i++){var r=a[i].getStartDate();if(n.fromLocalJSDate(r).isSame(n.fromLocalJSDate(t))){this.removeAggregation("selectedDates",i);break}}}};E.prototype._toggleAppointmentSelection=function(e,t){var a=[],n,i,r;if(t){n=this.getAppointments();for(r=0,i=n.length;r<i;r++){if((!e||n[r].getId()!==e.getId())&&n[r].getSelected()){n[r].setProperty("selected",false);a.push(n[r])}}}if(e){e.setProperty("selected",!e.getSelected());a.push(e)}return a};E.prototype._getMoreLink=function(e,t,a,n){var i=d.getLibraryResourceBundle("sap.m").getText("SPC_MORE_LINK",[e.toString()]),r=new h({accessibleRole:I.Button,ariaLabelledBy:[n],text:i,press:this._handleMorePress}).addCustomData(new c({key:"date",value:t.valueOf().toString(),writeToDom:true}));this.oAfterLinkRenderDelegate=this._getMoreLinkOnAfterRenderingDelegate(r);if(this._aLinks[a]){this._aLinks[a].removeDelegate(this.oAfterLinkRenderDelegate);this._aLinks[a].destroy()}r.addDelegate(this.oAfterLinkRenderDelegate);this._aLinks[a]=r;return r};E.prototype._getMoreLinkOnAfterRenderingDelegate=function(e){return{onAfterRendering:function(){const t=e.getDomRef();const a=t.getAttribute("aria-labelledby").split(" ")[0];t.setAttribute("aria-labelledby",a)}}};E.prototype._getMoreLinkDescription=function(e,t){const a=this._oFormatAriaFullDayCell.format(t);const n=d.getLibraryResourceBundle("sap.m");return e===1?n.getText("SPC_MORE_LINK_ONE_APPOINTMENT",[a]):n.getText("SPC_MORE_LINK_MULTIPLE_APPOINTMENTS",[e.toString(),a])};E.prototype._handleMorePress=function(e){var t=parseInt(e.getSource().getCustomData()[0].getValue()),a=A.getInstance(t);a=A.getInstance(a.getUTCFullYear(),a.getUTCMonth(),a.getUTCDate());this.fireEvent("moreLinkPress",{date:a,sourceLink:e.getSource()})};E.prototype._getCoreLocaleData=function(){var e=d.getConfiguration().getFormatSettings().getFormatLocale().toString(),t=new l(e);return s.getInstance(t)};E.prototype._getCells=function(){return this._getVisibleDays(this.getStartDate())};E.prototype._getVerticalLabels=function(){var t=this._getVisibleDays(this.getStartDate()),n=this._getColumns(),i=[],r=new l(e.getLanguageTag()).toString();for(var o=0;o<this._getRows();o++){var s=a.getInstance({pattern:"w",calendarType:"Gregorian",calendarWeekNumbering:this.getCalendarWeekNumbering()},new l(r));var p=Number(s.format(t[o*n].toUTCJSDate(),true));i.push(p)}return i};E.prototype._getVisibleDays=function(e){var t,a,i,r,o,s,l=[];if(!e){return l}s=this._getFirstDayOfWeek();t=n.fromLocalJSDate(e);o=new n(t);o.setDate(1);r=o.getDay()-s;if(r<0){r=7+r}if(r>0){o.setDate(1-r)}a=new n(o);for(var p=0;p<this._getColumns()*this._getRows();p++){i=new n(a);l.push(i);a.setDate(a.getDate()+1)}return l};E.prototype._getFirstDayOfWeek=function(){var t,a;if(this.getFirstDayOfWeek()<0||this.getFirstDayOfWeek()>6){t=C.getWeekConfigurationValues(this.getCalendarWeekNumbering(),new l(new l(e.getLanguageTag()).toString()));if(t){return t.firstDayOfWeek}else{a=this._getCoreLocaleData();return a.getFirstDayOfWeek()}}else{return this.getFirstDayOfWeek()}};E.prototype._getAppointmentsToRender=function(){return this._oAppointmentsToRender};E.prototype._calculateAppointmentsNodes=function(e){var t=this._getVisibleDays(e),a=t[0],r=t[t.length-1],o=this.getAppointments().filter(function(e){var t=e.getStartDate()&&e.getEndDate();if(!t){f.warning("Appointment "+e.getId()+" has no start or no end date. It is ignored.")}return t}).map(function(e){var t=n.fromLocalJSDate(e.getStartDate()),a=n.fromLocalJSDate(e.getEndDate());return{data:e,start:t,end:a,len:i._daysBetween(a,t)}}).filter(function(e){return i._isBetween(e.start,a,r,true)||i._isBetween(e.end,a,r,true)||i._isBetween(a,e.start,r,true)&&i._isBetween(r,a,e.end,true)}).sort(function e(t,a){return t.data.getStartDate().getTime()-a.data.getStartDate().getTime()}),s=[],l=this._getVisibleDays(e),p=this._getMaxAppointments(),g,c,u,d,h,D,m,_,y,S;for(let e=0;e<t.length;e++){s.push([])}for(let e=0;e<o.length;e++){D=o[e];m=i._daysBetween(D.start,t[0]);y=m+D.len;_=this._findStartDateIndex(l,D,this._iStartDayOffset);m=m>0?m:0;y=y<t.length?y:t.length-1;D.width=D.len+1;S=s[m].indexOf(true);if(S===-1){S=s[m].length}u=this._findNextFreeDayAndLevel(D,s,m,S);g=u.freeDayIndex;c=u.freeLevelIndex;D.level=c;D._nextDay=g;if(D.len&&g>_){D._overflows=true}else{D._overflows=false;if(D._nextDay>-1){D._nextDay=m}}if(D._nextDay>-1){h=true}if(h&&D._overflows&&D.len&&D.level<p){D._nextDayLevel=c;D._nextDay=g;if(h){for(let e=0;e<=D.width;e++){d=g+e<=y;if(d){s[g+e][c]=true}}}for(let e=this._findStartDateIndex(l,D,this._iStartDayOffset);e<g;e++){if(e>-1){this._aMoreCountPerDay[e]+=1}}}else{u=this._findNextFreeDayAndLevel(D,s,m,S);S=u.freeLevelIndex;D.level=S;for(let e=m;e<=y;e++){s[e][S]=true;if(!D._nextDay&&D._nextDay!==0||S>=p-1){this._aMoreCountPerDay[e]+=1}}}}this._aAppsLevelsPerDay=s;return o};E.prototype._findStartDateIndex=function(e,t){const a=e.find(e=>e.isSame(t.start));return e.indexOf(a)};E.prototype._findNextFreeDayAndLevel=function(e,t,a,n){const i=this._isCompact()?3:2;let r=n,o,s,l,p,g;for(let n=0;n<e.width;n++){s=t[a+n];if(!s){break}l=s&&!s[0]||!s[1];p=s&&!s[2]&&this._isCompact();if(l||p){o=a+n;for(let e=0;e<i;e++){g=!s[e];if(g){o=a+n;r=e;break}}break}else{r=s.length}}return{freeDayIndex:o,freeLevelIndex:r}};E.prototype._getMoreCountPerCell=function(e){var t=this._aAppsLevelsPerDay[e];var a=this._getMaxAppointments();var n=0;if(t.length<a){return 0}for(var i=a-1;i<t.length;i++){if(!t[i]){n++}}return n};E.prototype._configureAppointmentsDragAndDrop=function(){this.addDragDropConfig(new g({sourceAggregation:"appointments",targetAggregation:"_appsPlaceholders",dragStart:function(e){if(!this.getEnableAppointmentsDragAndDrop()){e.preventDefault();return false}var t=function(){var e=jQuery(".sapMSinglePCOverlay");setTimeout(function(){e.addClass("sapMSinglePCOverlayDragging")});jQuery(document).one("dragend",function(){e.removeClass("sapMSinglePCOverlayDragging")})};t()}.bind(this),dragEnter:function(e){var t=e.getParameter("dragSession"),a=function(){var e=jQuery(t.getIndicator());e.css("min-height",t.getDropControl().$().outerHeight());e.css("min-width",t.getDropControl().$().outerWidth())};if(!t.getIndicator()){setTimeout(a,0)}else{a()}},drop:function(e){var t=e.getParameter("dragSession"),a=t.getDragControl(),r=t.getDropControl(),o=r.getDate(),s=n.fromLocalJSDate(a.getStartDate()),l=n.fromLocalJSDate(a.getEndDate()),p=i._daysBetween(o,s),g=new n(s),c=new n(l),u=e.getParameter("browserEvent"),f=u.metaKey||u.ctrlKey;g.setDate(g.getDate()+p);c.setDate(c.getDate()+p);this.$().find(".sapMSinglePCOverlay").removeClass("sapMSinglePCOverlayDragging");if(s.valueOf()===o.valueOf()){return}this.fireAppointmentDrop({appointment:a,startDate:g.toLocalJSDate(),endDate:c.toLocalJSDate(),copy:f})}.bind(this)}))};E.prototype._initItemNavigation=function(){var e=this.getDomRef();this._aGridCells=this.$().find(".sapMSPCMonthDay").toArray();if(!this._oItemNavigation){this._oItemNavigation=new p;this.addDelegate(this._oItemNavigation);this._oItemNavigation.attachEvent(p.Events.BorderReached,this._itemNavigationBorderReached,this)}this._oItemNavigation.setRootDomRef(e);this._oItemNavigation.setItemDomRefs(this._aGridCells);this._oItemNavigation.setCycling(false);this._oItemNavigation.setDisabledModifiers({sapnext:["alt","meta"],sapprevious:["alt","meta"],saphome:["alt","meta"],sapend:["meta"]});this._oItemNavigation.setTableMode(false).setColumns(this._getColumns(),true);this._oItemNavigation.setPageSize(this._aGridCells.length)};E.prototype._itemNavigationBorderReached=function(e){var t,a,n=e.getParameter("event"),i;if(n.target.classList.contains("sapMSPCMonthDay")){t=n.target;a=parseInt(t.getAttribute("sap-ui-date"));switch(n.keyCode){case u.ARROW_LEFT:i=-1;break;case u.ARROW_UP:i=-this._getColumns();break;case u.ARROW_RIGHT:i=1;break;case u.ARROW_DOWN:i=this._getColumns();break;default:break}this.fireEvent("borderReached",{startDate:a,offset:i})}};E.prototype._createAppointmentsDndPlaceholders=function(e){var t=this._getVisibleDays(e);this.destroyAggregation("_appsPlaceholders");for(var a=0;a<t.length;a++){var n=new N({date:t[a]});this.addAggregation("_appsPlaceholders",n,true)}};var N=t.extend("sap.m.SinglePlanningCalendarMonthGrid._internal.IntervalPlaceholder",{metadata:{properties:{date:{type:"object",group:"Data"}}},renderer:{apiVersion:2,render:function(e,t){e.openStart("div",t).class("sapMSinglePCPlaceholder").openEnd().close("div")}}});E.prototype._getCellStartInfo=function(e){var t=d.getLibraryResourceBundle("sap.ui.unified").getText("CALENDAR_START_TIME");return t+": "+this._oFormatAriaFullDayCell.format(e)};E.prototype._getAppointmentAnnouncementInfo=function(e){var t=e.getStartDate(),a=e.getEndDate(),n=this._isAllDayAppointment(t,a),i=this._isSingleDayAppointment(t,a),r=m.findLegendItemForItem(d.byId(this._sLegendId),e),o;if(n&&i){o=this._oUnifiedRB.getText("CALENDAR_ALL_DAY_INFO",[this._oFormatAriaFullDayCell.format(t)])}else if(n){o=this._oUnifiedRB.getText("CALENDAR_APPOINTMENT_INFO",[this._oFormatAriaFullDayCell.format(t),this._oFormatAriaFullDayCell.format(a)])}else{o=this._oUnifiedRB.getText("CALENDAR_APPOINTMENT_INFO",[this._oFormatAriaApp.format(t),this._oFormatAriaApp.format(a)])}return o+", "+r};E.prototype._isAllDayAppointment=function(e,t){return i._isMidnight(e)&&i._isMidnight(t)};E.prototype._isSingleDayAppointment=function(e,t){return!t||e.getDate()===t.getDate()};E.prototype._getMaxAppointments=function(){return this._isCompact()?4:3};E.prototype._getDensitySizes=function(){return this._isCompact()?{appHeight:M,cellHeaderHeight:L}:{appHeight:b,cellHeaderHeight:P}};E.prototype._isCompact=function(){var e=this.getDomRef()||(this.getParent()&&this.getParent().getDomRef&&this.getParent().getDomRef()||this.getParent()&&this.getParent().getRootNode&&this.getParent().getRootNode()||document.body);while(e&&e.classList){if(e.classList.contains("sapUiSizeCompact")){return true}e=e.parentNode}return false};E.prototype._getSpecialDates=function(){var e=this.getSpecialDates();for(var t=0;t<e.length;t++){var a=e[t].getSecondaryType()===o.CalendarDayType.NonWorking&&e[t].getType()!==o.CalendarDayType.NonWorking;if(a){var n=new r;n.setType(o.CalendarDayType.NonWorking);n.setStartDate(e[t].getStartDate());if(e[t].getEndDate()){n.setEndDate(e[t].getEndDate())}e.push(n)}}return e};E.prototype._isNonWorkingDay=function(e){const t=this._getSpecialDates().filter(t=>t.getStartDate()&&n.fromLocalJSDate(t.getStartDate()).isSame(e));const a=t.length>0&&t[0].getType();const r=t.length>0&&t[0].getSecondaryType();const s=i._isWeekend(e,this._getCoreLocaleData())&&a!==o.CalendarDayType.Working&&r!==o.CalendarDayType.Working;return a===o.CalendarDayType.NonWorking||r===o.CalendarDayType.NonWorking||s};E.prototype.getFocusDomRef=function(){return this._lastPressedAppointment?this._lastPressedAppointment.getDomRef():this._oItemNavigation.getFocusedDomRef()};return E});
//# sourceMappingURL=SinglePlanningCalendarMonthGrid.js.map