/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/Device","sap/base/security/encodeXML","sap/base/util/isPlainObject"],function(jQuery,e,t,o){"use strict";var n,a,r,i,s,u,l,c;var p=function(d,f){var b,h,g,m,v=0,L=3e3,S=2,U=3,T=1,y={},E={btnStart:"startE2ETrace",selLevel:"logLevelE2ETrace",taContent:"outputE2ETrace",infoText:"Ent-to-End trace is running in the background."+" Navigate to the URL that you would like to trace."+" The result of the trace will be shown in dialog after the trace is terminated.",infoDuration:5e3},w={dvLoadedLibs:"LoadedLibs",dvLoadedModules:"LoadedModules"};function M(e,o,n,a,r){e.push("<tr class='sapUiSelectable'><td class='sapUiSupportTechInfoBorder sapUiSelectable'><label class='sapUiSupportLabel sapUiSelectable'>",t(a),"</label><br>");var i=r;if(typeof r==="function"){i=r(e)||""}e.push(t(i));e.push("</td></tr>")}function I(e,t,n,a,r){M(e,t,n,a,function(e){e.push("<table class='sapMSupportTable' border='0' cellspacing='5' cellpadding='5' width='100%'><tbody>");jQuery.each(r,function(t,n){var a="";if(n!==undefined&&n!==null){if(typeof n=="string"||typeof n=="boolean"||Array.isArray(n)&&n.length==1){a=n}else if(Array.isArray(n)||o(n)){a=JSON.stringify(n)}}M(e,false,false,t,""+a)});e.push("</tbody></table>")})}function x(e){y={version:e.commonInformation.version,build:e.commonInformation.buildTime,change:e.commonInformation.lastChange,useragent:e.commonInformation.userAgent,docmode:e.commonInformation.documentMode,debug:e.commonInformation.debugMode,bootconfig:e.configurationBootstrap,config:e.configurationComputed,loadedlibs:e.loadedLibraries,modules:e.loadedModules,uriparams:e.URLParameters,appurl:e.commonInformation.applicationHREF};var t=["<table class='sapUiSelectable' border='0' cellspacing='5' cellpadding='5' width='100%'><tbody class='sapUiSelectable'>"];M(t,true,true,"SAPUI5 Version",function(e){e.push(y.version," (built at ",y.build,", last change ",y.change,")")});M(t,true,true,"User Agent",function(e){e.push(y.useragent,y.docmode?", Document Mode '"+y.docmode+"'":"")});M(t,true,true,"Debug Sources",function(e){e.push(y.debug?"ON":"OFF")});M(t,true,true,"Application",y.appurl);I(t,true,true,"Configuration (bootstrap)",y.bootconfig);I(t,true,true,"Configuration (computed)",y.config);I(t,true,true,"URI Parameters",y.uriparams);M(t,true,true,"End-to-End Trace",function(e){e.push("<label class='sapUiSupportLabel'>Trace Level:</label>","<select id='"+A(E.selLevel)+"' class='sapUiSupportTxtFld' >","<option value='low'>LOW</option>","<option value='medium' selected>MEDIUM</option>","<option value='high'>HIGH</option>","</select>");e.push("<button id='"+A(E.btnStart)+"' class='sapUiSupportBtn'>Start</button>");e.push("<div class='sapUiSupportDiv'>");e.push("<label class='sapUiSupportLabel'>XML Output:</label>");e.push("<textarea id='"+A(E.taContent)+"' class='sapUiSupportTxtArea sapUiSelectable' readonly ></textarea>");e.push("</div>")});M(t,true,true,"Loaded Libraries",function(e){e.push("<ul class='sapUiSelectable'>");jQuery.each(y.loadedlibs,function(t,o){if(o&&(typeof o==="string"||typeof o==="boolean")){e.push("<li class='sapUiSelectable'>",t+" "+o,"</li>")}});e.push("</ul>")});M(t,true,true,"Loaded Modules",function(e){e.push("<div class='sapUiSupportDiv sapUiSelectable' id='"+A(w.dvLoadedModules)+"'></div>")});t.push("</tbody></table>");return new l({content:t.join("").replace(/\{/g,"&#123;").replace(/\}/g,"&#125;")})}function A(e){return b.getId()+"-"+e}function C(e,t){var o="Modules";var n=0,a=[];n=t.length;jQuery.each(t.sort(),function(e,t){a.push(new r({text:" - "+t}).addStyleClass("sapUiSupportPnlLbl"))});var u=new i({expandable:true,expanded:false,headerToolbar:new s({design:c.ToolbarDesign.Transparent,content:[new r({text:o+" ("+n+")",design:c.LabelDesign.Bold})]}),content:a});u.placeAt(A(e),"only")}function D(e){if(b.traceXml){b.$(E.taContent).text(b.traceXml)}if(b.e2eLogLevel){b.$(E.selLevel).val(b.e2eLogLevel)}C(w.dvLoadedModules,y.modules);b.$(E.btnStart).one("tap",function(){b.e2eLogLevel=b.$(E.selLevel).val();b.$(E.btnStart).addClass("sapUiSupportRunningTrace").text("Running...");b.traceXml="";b.$(E.taContent).text("");e.start(b.e2eLogLevel,function(e){b.traceXml=e});u.show(E.infoText,{duration:E.infoDuration});b.close()})}function O(){if(b){return b}b=new a({title:"Technical Information",horizontalScrolling:true,verticalScrolling:true,stretch:e.system.phone,buttons:[new n({text:"Close",press:function(){b.close()}})],afterOpen:function(){p.off()},afterClose:function(){p.on()}}).addStyleClass("sapMSupport");return b}function P(e){if(e.touches){var t=e.touches.length;if(t>U){f.removeEventListener("touchend",R);return}switch(t){case S:h=Date.now();f.addEventListener("touchend",R);break;case U:if(h){v=Date.now()-h;m=e.touches[t-1].identifier}break}}}function R(e){f.removeEventListener("touchend",R);if(v>L&&e.touches.length===S&&e.changedTouches.length===T&&e.changedTouches[0].identifier===m){v=0;h=0;X()}}function X(){sap.ui.require(["sap/ui/core/support/ToolsAPI","sap/ui/core/support/trace/E2eTraceLib","sap/ui/core/HTML","sap/m/library","sap/m/Button","sap/m/Dialog","sap/m/Label","sap/m/Panel","sap/m/Toolbar","sap/m/MessageToast"],function(e,t,o,p,d,f,h,g,m,v){l=o;c=p;n=d;a=f;r=h;i=g;s=m;u=v;var L=O();L.removeAllAggregation("content");L.addAggregation("content",x(e.getFrameworkInformation()));b.open();D(t)})}return{on:function(){if(!g&&"ontouchstart"in f){g=true;f.addEventListener("touchstart",P)}return this},off:function(){if(g){g=false;f.removeEventListener("touchstart",P)}return this},open:function(){X()},isEventRegistered:function(){return g}}.on()}(jQuery,document);return p},true);
//# sourceMappingURL=Support.js.map