/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/base/i18n/Localization","sap/ui/core/library","sap/ui/core/Control","./TileContentRenderer","sap/ui/core/Lib"],function(t,e,i,r,a,n){"use strict";var s=t.Priority;var o=t.LoadState;var l=t.GenericTileMode;var p=r.extend("sap.m.TileContent",{metadata:{library:"sap.m",properties:{footer:{type:"string",group:"Appearance",defaultValue:null},footerColor:{type:"sap.m.ValueColor",group:"Appearance",defaultValue:"Neutral"},size:{type:"sap.m.Size",group:"Appearance",defaultValue:"Auto",deprecated:true},unit:{type:"string",group:"Data",defaultValue:null},disabled:{type:"boolean",group:"Behavior",defaultValue:false},frameType:{type:"sap.m.FrameType",group:"Appearance",defaultValue:"Auto"},priority:{type:"sap.m.Priority",group:"Misc",defaultValue:s.None},priorityText:{type:"string",group:"Misc",defaultValue:null},state:{type:"sap.m.LoadState",group:"Misc",defaultValue:o.Loaded}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:false,bindable:"bindable"}}},renderer:a});p.prototype.init=function(){this._bRenderFooter=true;this._bRenderContent=true;this._bStateSetManually=false};p.prototype.onBeforeRendering=function(){var t=this.mProperties.hasOwnProperty("state");if(t&&!this._bStateSetManually){if(this.getParent()&&this.getParent().isA("sap.m.GenericTile")){if(this.getParent().getState()===o.Failed){this.setState(o.Loaded)}else if(this.getParent().getState()===o.Disabled){this.setState(o.Loaded);this.setDisabled(this.getState()===o.Disabled)}}}else{if(this.getParent()&&this.getParent().isA("sap.m.GenericTile")){if(this.getParent().getState()===o.Failed){this.setState(o.Loaded)}else if(this.getParent().getState()===o.Disabled){this.setState(o.Loaded);this.setDisabled(this.getState()===o.Disabled)}else{this.setState(this.getParent().getState())}}this._bStateSetManually=true}if(this.getContent()&&this._oDelegate){if(this.getDisabled()){this.getContent().addDelegate(this._oDelegate)}else{this.getContent().removeDelegate(this._oDelegate)}}};p.prototype.onAfterRendering=function(){var t=this.getContent();if(t){const s=this.getParent();if(s&&s.isA("sap.m.GenericTile")){s._applyCssStyle(this)}var e=this.$();var i=e.find("*");var r=e.attr("title")||"";var a=t.getTooltip_AsString()||"";if(r===a){r=""}var n="";i.toArray().forEach(function(t){if(t.title){n=n.concat(t.title+" ")}});if(n.trim()!==0){a=a+" "+n}if(a&&a.trim().length!==0){if(this._getFooterText().trim()!==0){a=a+"\n"+this._getFooterText()}r.trim().length!==0?e.attr("title",r+"\n"+a):e.attr("title",a)}if(this.getParent()&&this.getParent().isA("sap.m.ActionTile")&&this.getContent().isA("sap.m.FormattedText")&&this.getContent().getDomRef()){this._applyStyleClassesOnContent(this.getContent().getDomRef())}i.removeAttr("title").off("mouseenter")}};p.prototype._getContentType=function(){if(this.getContent()){var t=this.getContent().getMetadata().getName();if(t==="sap.m.NewsContent"||t==="sap.suite.ui.commons.NewsContent"){return"News"}}};p.prototype._getFooterText=function(){var t=n.getResourceBundleFor("sap.m");var i=this.getFooter();var r=this.getUnit();if(r){if(i){if(e.getRTL()){return t.getText("TILECONTENT_FOOTER_TEXT",[i,r])}else{return t.getText("TILECONTENT_FOOTER_TEXT",[r,i])}}else{return r}}else{return i}};p.prototype.getAltText=function(){var t="";var e=true;var i=this.getContent();var r=this.getParent();var a=this.getPriorityText();if(a&&this.getPriority()!==s.None){t+=a;e=false}if(i&&i.getVisible()){var n=i.getDomRef();if(i.getAltText){t+=i.getAltText();e=false}else if(i.getTooltip_AsString()){t+=i.getTooltip_AsString();e=false}else if(r&&r.isA("sap.m.ActionTile")&&n){t+=(e?"":"\n")+this._getInnerText(n);e=false}else if(r&&r.isA("sap.m.GenericTile")&&r.getMode()===l.ActionMode){if(i.isA("sap.m.Text")){t+=(e?"":"\n")+i.getText();e=false}else if(n&&i.isA("sap.m.FormattedText")){t+=(e?"":"\n")+n.innerText;e=false}}}if(this.getUnit()){t+=(e?"":"\n")+this.getUnit();e=false}if(this.getFooter()){t+=(e?"":"\n")+this.getFooter()}return t};p.prototype._getInnerText=function(t){var e="";var i=[].slice.call(t.children);i.forEach(function(t,i){e+=t.innerText+"\n"});return e.trim()};p.prototype.getTooltip_AsString=function(){var t=this.getTooltip();var e="";if(typeof t==="string"||t instanceof String){return t}e=this.getAltText();return e?e:""};p.prototype.setRenderFooter=function(t){this._bRenderFooter=t;return this};p.prototype.setRenderContent=function(t){this._bRenderContent=t;return this};p.prototype._applyStyleClassesOnContent=function(t){var e=this._filterElements(t.childNodes);e.forEach(function(t){var e=t.tagName==="P"&&t.innerHTML.includes("br");if(e){t.classList.add("sapMbrPresent")}})};p.prototype._filterElements=function(t){return[].slice.call(t).filter(function(t){return t.nodeType===1})};return p});
//# sourceMappingURL=TileContent.js.map