/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Formatting","sap/ui/core/Lib","sap/ui/core/library","sap/ui/core/Control","sap/ui/model/type/Date","sap/ui/model/odata/type/ODataType","sap/ui/core/format/DateFormat","sap/ui/core/LocaleData","sap/ui/core/Locale","./library","./Button","sap/ui/core/date/UI5Date","./TimePickerInternalsRenderer"],function(t,e,r,o,i,n,s,a,u,p,l,c,y){"use strict";var h=1,_=p.ButtonType,g=r.CalendarType;var f=o.extend("sap.m.TimePickerInternals",{metadata:{library:"sap.m",properties:{localeId:{type:"string",group:"Data"},displayFormat:{type:"string",group:"Appearance"},minutesStep:{type:"int",group:"Misc",defaultValue:h},secondsStep:{type:"int",group:"Misc",defaultValue:h},value:{type:"string",group:"Data",defaultValue:null},valueFormat:{type:"string",group:"Data",defaultValue:null},support2400:{type:"boolean",group:"Misc",defaultValue:false},showCurrentTimeButton:{type:"boolean",group:"Behavior",defaultValue:false}},aggregations:{_buttonAmPm:{type:"sap.m.SegmentedButton",multiple:false,visibility:"hidden"},_nowButton:{type:"sap.m.Button",multiple:false,visibility:"hidden"}}},renderer:y});f.prototype.init=function(){var r=new u(t.getLanguageTag()),o=a.getInstance(r),i=o.getDayPeriods("abbreviated"),n=o.getTimePattern("medium");this._oResourceBundle=e.getResourceBundleFor("sap.m");this._sAM=i[0];this._sPM=i[1];this._kbdBuffer="";this.setDisplayFormat(n);this._setTimeValues();this._sMinutes;this._sSeconds;this._clickAttached;this._setAriaLabel(this._oResourceBundle.getText("TIMEPICKER_CLOCK_DIAL_LABEL"));this._setAriaRoleDescription(this._oResourceBundle.getText("TIMEPICKER_INPUTS_ROLE_DESCRIPTION"))};f.prototype.exit=function(){this._destroyControls();this.destroyAggregation("_texts");if(this._oNowButton){this._oNowButton.destroy();this._oNowButton=null}};f.prototype.setDisplayFormat=function(t){this.setProperty("displayFormat",t,true);this._destroyControls();this._createControls();return this};f.prototype.setLocaleId=function(t){var e,r;t=this.validateProperty("localeId",t);this.setProperty("localeId",t,true);if(t){e=new u(t);r=a.getInstance(e).getDayPeriods("abbreviated");this._sAM=r[0];this._sPM=r[1];this._destroyControls();this._createControls()}return this};f.prototype.setSupport2400=function(t){this.setProperty("support2400",t,true);this._destroyControls();this._createControls();return this};f.prototype.setMinutesStep=function(t){this.setProperty("minutesStep",t,true);this._destroyControls();this._createControls();return this};f.prototype.setSecondsStep=function(t){this.setProperty("secondsStep",t,true);this._destroyControls();this._createControls();return this};f.prototype.setShowCurrentTimeButton=function(t){this._getCurrentTimeButton().setVisible(t);return this.setProperty("showCurrentTimeButton",t)};f.prototype._destroyControls=function(){};f.prototype._createControls=function(){};f.prototype._setTimeValues=function(t,e){};f.prototype._checkStyle=function(t){return t==="short"||t==="medium"||t==="long"||t==="full"};f.prototype._getDisplayFormatPattern=function(){var t=this.getDisplayFormat();if(this._checkStyle(t)){t=this._getLocaleBasedPattern(t)}return t};f.prototype._getValueFormatPattern=function(){var t=this._getBoundValueTypePattern()||this.getValueFormat()||"medium";if(this._checkStyle(t)){t=this._getLocaleBasedPattern(t)}return t};f.prototype._getLocaleBasedPattern=function(e){return a.getInstance(new u(t.getLanguageTag())).getTimePattern(e)};f.prototype._getFormatButton=function(){return this.getAggregation("_buttonAmPm")};f.prototype._parseValue=function(t){return this._getFormatter().parse(t)};f.prototype._getFormatter=function(){var e=this._getBoundValueTypePattern(),r=false,o=this.getBinding("value"),i;if(o&&o.oType&&o.oType.oOutputFormat){r=!!o.oType.oOutputFormat.oFormatOptions.relative;i=o.oType.oOutputFormat.oFormatOptions.calendarType}if(!e){e=this.getValueFormat()||"medium";i=g.Gregorian}if(!i){i=t.getCalendarType()}return this._getFormatterInstance(e,r,i)};f.prototype._getBoundValueTypePattern=function(){var t=this.getBinding("value"),e=t&&t.getType&&t.getType();if(e instanceof i){return e.getOutputPattern()}if(e instanceof n&&e.oFormat){return e.oFormat.oFormatOptions.pattern}return undefined};f.prototype._getFormatterInstance=function(t,e,r,o){var i;if(this._checkStyle(t)){i=this._getFormatInstance({style:t,strictParsing:true,relative:e,calendarType:r})}else{i=this._getFormatInstance({pattern:t,strictParsing:true,relative:e,calendarType:r})}return i};f.prototype._getFormatInstance=function(t,e){return s.getTimeInstance(t)};f.prototype._formatValue=function(t){if(t){return this._getFormatter().format(t)}return""};f.prototype._isFormatSupport24=function(){var t=this._getDisplayFormatPattern();return t.indexOf("HH")!==-1||t.indexOf("H")!==-1};f.prototype._formatNumberToString=function(t,e,r,o){var i;if(e&&t<10){i="0"+t}else if(t===r&&o!==""){i=o}else{i=t.toString()}return i};f.prototype._setAriaLabel=function(t){this._sAriaLabel=t;return this};f.prototype._getAriaLabel=function(){return this._sAriaLabel};f.prototype._setAriaRoleDescription=function(t){this._sAriaRoleDescription=t;return this};f.prototype._getAriaRoleDescription=function(){return this._sAriaRoleDescription};f._replaceZeroHoursWith24=function(t,e,r){var o=2,i=e;if(e===-1){o=1;i=r}return t.substr(0,i)+"24"+t.substr(i+o)};f._replace24HoursWithZero=function(t,e,r){var o=2,i=e;if(e===-1){o=1;i=r}return t.substr(0,i)+d(0,o)+t.substr(i+2)};f._isHoursValue24=function(t,e,r){if(e===-1&&r===-1){return false}var o=e;if(e===-1){o=r}return t.substr(o,2)==="24"};f.prototype._getCurrentTimeButton=function(){if(!this._oNowButton){this._oNowButton=new l(this.getId()+"-now",{icon:"sap-icon://present",tooltip:this._oResourceBundle.getText("TIMEPICKER_TOOLTIP_NOW"),type:_.Transparent,visible:false,press:function(){this._setTimeValues(c.getInstance())}.bind(this)}).addStyleClass("sapMTPNow")}return this._oNowButton};function d(t,e){var r="";for(var o=0;o<e;o++){r+=t}return r}return f});
//# sourceMappingURL=TimePickerInternals.js.map