/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/base/i18n/Localization","sap/m/Button","sap/m/List","sap/m/StandardListItem","sap/m/ResponsivePopover","sap/ui/core/ControlBehavior","sap/ui/core/Control","sap/ui/core/Element","sap/ui/core/Lib","sap/ui/core/delegate/ScrollEnablement","sap/ui/Device","sap/ui/core/InvisibleText","sap/ui/core/ResizeHandler","./TokenizerRenderer","sap/ui/dom/containsOrEquals","sap/ui/events/KeyCodes","sap/base/Log","sap/ui/core/EnabledPropagator","sap/ui/core/Theming","sap/ui/core/theming/Parameters","sap/ui/dom/jquery/scrollLeftRTL"],function(e,t,o,i,n,s,r,a,l,d,p,h,u,c,f,T,g,k,_,m,y){"use strict";var v="sapUiNoContentPadding";var b=e.TokenizerRenderMode;var S=e.PlacementType;var R=e.ListMode;var I=e.ListType;var E=e.ButtonType;var C=a.extend("sap.m.Tokenizer",{metadata:{library:"sap.m",properties:{editable:{type:"boolean",group:"Misc",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:"100%"},renderMode:{type:"string",group:"Misc",defaultValue:b.Loose},hiddenTokensCount:{type:"int",group:"Misc",defaultValue:0,visibility:"hidden"}},defaultAggregation:"tokens",aggregations:{tokens:{type:"sap.m.Token",multiple:true,singularName:"token"},_tokensInfo:{type:"sap.ui.core.InvisibleText",multiple:false,visibility:"hidden"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{tokenChange:{deprecated:true,parameters:{type:{type:"string"},token:{type:"sap.m.Token"},tokens:{type:"sap.m.Token[]"},addedTokens:{type:"sap.m.Token[]"},removedTokens:{type:"sap.m.Token[]"}}},tokenUpdate:{deprecated:true,allowPreventDefault:true,parameters:{type:{type:"string"},addedTokens:{type:"sap.m.Token[]"},removedTokens:{type:"sap.m.Token[]"}}},tokenDelete:{parameters:{tokens:{type:"sap.m.Token[]"},keyCode:{type:"number"}}}}},renderer:f});var M=d.getResourceBundleFor("sap.m");_.apply(C.prototype,[true]);C.prototype.init=function(){this.allowTextSelection(false);this._oTokensWidthMap={};this._oIndicator=null;this._bShouldRenderTabIndex=null;this._oScroller=new p(this,this.getId()+"-scrollContainer",{horizontal:true,vertical:false,nonTouchScrolling:true});this._fFontSizeRatio=1;if(r.isAccessibilityEnabled()){var e=new u({text:M.getText("TOKENIZER_ARIA_NO_TOKENS")});this.setAggregation("_tokensInfo",e)}this.attachEvent("delete",function(e){var t=e.getSource();var o=this.getSelectedTokens();this._fireCompatibilityEvents(t,o);this.fireEvent("tokenDelete",{tokens:[t]});e.cancelBubble()},this);this._bThemeApplied=false;this._handleThemeApplied=()=>{this._bThemeApplied=true;m.detachApplied(this._handleThemeApplied)};m.attachApplied(this._handleThemeApplied)};C.prototype._fireCompatibilityEvents=function(e,t){this.fireTokenChange({type:C.TokenChangeType.Removed,token:e,tokens:t.length?t:[e],addedTokens:[],removedTokens:t.length?t:[e]});this.fireTokenUpdate({type:C.TokenChangeType.Removed,addedTokens:[],removedTokens:t.length?t:[e]})};C.prototype._handleNMoreIndicatorPress=function(){this._togglePopup(this.getTokensPopup())};C.prototype._getTokensList=function(){if(!this._oTokensList){this._oTokensList=new i({width:"auto",mode:R.Delete}).attachDelete(this._handleListItemDelete,this).attachItemPress(this._handleListItemPress,this)}return this._oTokensList};C.prototype._setPopoverMode=function(e){var t={},o=this.getTokensPopup();switch(e){case R.Delete:t={showArrow:false,placement:S.VerticalPreferredBottom};break;default:t={showArrow:true,placement:S.Auto};break}o.setShowArrow(t.showArrow);o.setPlacement(t.placement);this._getTokensList().setMode(e)};C.prototype._fillTokensList=function(e,t){e.destroyItems();t=t?t:function(){return true};this.getTokens().filter(t).forEach(function(t){e.addItem(this._mapTokenToListItem(t))},this)};C.prototype._handleListItemDelete=function(e){var t=e.getParameter("listItem");var o=t&&t.data("tokenId");var i;i=this.getTokens().filter(function(e){return e.getId()===o&&e.getEditable()})[0];if(i){this.fireTokenUpdate({addedTokens:[],removedTokens:[i],type:C.TokenUpdateType.Removed});this.fireTokenDelete({tokens:[i]});this._adjustTokensVisibility()}};C.prototype._handleListItemPress=function(e){var t=e.getParameter("listItem");var o=t&&t.data("tokenId");var i=this.getTokens().filter(function(e){return e.getId()===o})[0];if(i){i.firePress()}};C.prototype.getTokensPopup=function(){if(this._oPopup){return this._oPopup}this._oPopup=new s({showArrow:false,showHeader:h.system.phone,placement:S.Auto,offsetX:0,offsetY:3,horizontalScrolling:false,title:this._getDialogTitle(),content:this._getTokensList()}).attachBeforeOpen(function(){var e=this.getEditable()?120:32,t=this._oPopup,o=function(){var e=this.getDomRef()&&this.getDomRef().parentElement;var t="Cozy";if(!e){return t}if(e.closest(".sapUiSizeCompact")!==null||document.body.classList.contains("sapUiSizeCompact")){t="Compact"}return t}.bind(this),i=new Promise(function(e){y.get({name:["_sap_m_Tokenizer_FontSizeRatio"+o()],callback:function(t){var o=parseFloat(t);if(isNaN(o)){e(this._fFontSizeRatio);return}e(o)}.bind(this)})}.bind(this));if(t.getContent&&!t.getContent().length){t.addContent(this._getTokensList())}this._fillTokensList(this._getTokensList());e+=Object.keys(this._oTokensWidthMap).map(function(e){return this._oTokensWidthMap[e]},this).sort(function(e,t){return e-t}).pop()||0;i.then(function(o){e+=Math.ceil(e*(1-o));t.setContentWidth(e+"px")})},this);this.addDependent(this._oPopup);this._oPopup.addStyleClass(v);this._oPopup.addStyleClass("sapMTokenizerTokensPopup");if(h.system.phone){this._oPopup.setEndButton(new o({text:M.getText("SUGGESTIONSPOPOVER_CLOSE_BUTTON"),type:E.Emphasized,press:function(){this._oPopup.close()}.bind(this)}))}return this._oPopup};C.prototype._getDialogTitle=function(){var e=d.getResourceBundleFor("sap.m");var t=this.getAriaLabelledBy().map(function(e){return l.getElementById(e)});return t.length?t[0].getText():e.getText("COMBOBOX_PICKER_TITLE")};C.prototype._togglePopup=function(e){var t,o=this.getDomRef(),i=e.isOpen(),n=this.getEditable();this._setPopoverMode(n?R.Delete:R.None);if(i){e.close()}else{t=n||this.hasOneTruncatedToken()?o:this._oIndicator[0];t=t&&t.className.indexOf("sapUiHidden")===-1?t:o;e.openBy(t||o)}};C.prototype._mapTokenToListItem=function(e){if(!e){return null}var t=new n({selected:true,wrapping:true,type:I.Active,wrapCharLimit:1e4}).data("tokenId",e.getId());t.setTitle(e.getText());return t};C.prototype._getPixelWidth=function(){var e=this.getMaxWidth(),t,o=this.getDomRef(),i;if(!o){return}i=parseInt(this.$().css("padding-left"));if(e.indexOf("px")===-1){t=o.clientWidth}else{t=parseInt(this.getMaxWidth())}return t-i};C.prototype._adjustTokensVisibility=function(){if(!this.getDomRef()){return}var e=this._getPixelWidth(),t=this._getVisibleTokens().reverse(),o=t.length,i,n,s,r=-1;t.some(function(t,i){e=e-this._oTokensWidthMap[t.getId()];if(e<=1&&o===1||e<0){r=i;return true}else{n=e}},this);if(o===1&&r!==-1){this.setFirstTokenTruncated(true);return}else if(o===1&&t[0].getTruncated()){this.setFirstTokenTruncated(false)}if(r>-1){for(s=0;s<o;s++){if(s>=r){t[s].addStyleClass("sapMHiddenToken")}else{t[s].removeStyleClass("sapMHiddenToken")}}this._handleNMoreIndicator(o-r);i=this._oIndicator.width();if(i>=n){r=r-1;this._handleNMoreIndicator(o-r);t[r].addStyleClass("sapMHiddenToken")}this._setHiddenTokensCount(o-r)}else{this._setHiddenTokensCount(0);this._showAllTokens()}};C.prototype.setFirstTokenTruncated=function(e){var t=this.getTokens()[0];t&&t.setTruncated(e);if(e){this.addStyleClass("sapMTokenizerOneLongToken")}else{this.removeStyleClass("sapMTokenizerOneLongToken");this.scrollToEnd()}return this};C.prototype.hasOneTruncatedToken=function(){return this.getTokens().length===1&&this.getTokens()[0].getTruncated()};C.prototype._handleNMoreIndicator=function(e){if(!this.getDomRef()){return this}if(e){var t="MULTIINPUT_SHOW_MORE_TOKENS";if(e===this._getVisibleTokens().length){if(e===1){t="TOKENIZER_SHOW_ALL_ITEM"}else{t="TOKENIZER_SHOW_ALL_ITEMS"}}this._oIndicator.html(M.getText(t,[e]))}return this};C.prototype._getVisibleTokens=function(){return this.getTokens().filter(function(e){return e.getVisible()})};C.prototype._showAllTokens=function(){this._getVisibleTokens().forEach(function(e){e.removeStyleClass("sapMHiddenToken")})};C.prototype.getScrollDelegate=function(){return this._oScroller};C.prototype.scrollToEnd=function(){var e=this.getDomRef(),o=t.getRTL(),i,n;if(!this.getDomRef()){return}n=this.$().find(".sapMTokenizerScrollContainer")[0];i=n.scrollWidth;if(o){i*=-1}e.scrollLeft=i};C.prototype._registerResizeHandler=function(){if(!this._sResizeHandlerId){this._sResizeHandlerId=c.register(this.getDomRef(),this._handleResize.bind(this))}};C.prototype._handleResize=function(){this._useCollapsedMode(this.getRenderMode());this.scrollToEnd()};C.prototype.setPixelWidth=function(e){if(typeof e!=="number"){k.warning("Tokenizer.setPixelWidth called with invalid parameter. Expected parameter of type number.");return}this.setWidth(e+"px");if(this._oScroller){this._oScroller.refresh()}};C.prototype.scrollToStart=function(){var e=this.getDomRef();if(!e){return}e.scrollLeft=0};C.prototype.getScrollWidth=function(){if(!this.getDomRef()){return 0}return this.$().children(".sapMTokenizerScrollContainer")[0].scrollWidth};C.prototype.onBeforeRendering=function(){var e=this.getTokens();if(e.length!==1){this.setFirstTokenTruncated(false)}e.forEach(function(t,o){t.setProperty("editableParent",this.getEditable()&&this.getEnabled());t.setProperty("posinset",o+1);t.setProperty("setsize",e.length)},this);this._setTokensAria()};C.prototype.onAfterRendering=function(){var e=this.getRenderMode();this._oIndicator=this.$().find(".sapMTokenizerIndicator");if(this._bThemeApplied){this._storeTokensSizes()}this._useCollapsedMode(e);this._registerResizeHandler();if(e===b.Loose){this.scrollToEnd()}};C.prototype.onThemeChanged=function(){this._storeTokensSizes();this._useCollapsedMode(this.getRenderMode())};C.prototype._storeTokensSizes=function(){var e=this.getTokens();e.forEach(function(e){if(e.getDomRef()&&!e.$().hasClass("sapMHiddenToken")&&!e.getTruncated()){this._oTokensWidthMap[e.getId()]=e.$().outerWidth(true)}},this)};C.prototype._useCollapsedMode=function(e){var t=this._getVisibleTokens();if(!t.length){this._setHiddenTokensCount(0);return}if(e===b.Narrow){this._adjustTokensVisibility()}else{this._setHiddenTokensCount(0);this._showAllTokens()}};C.prototype.onsapfocusleave=function(e){if(document.activeElement===this.getDomRef()||!this._checkFocus()){this._changeAllTokensSelection(false);this._oSelectionOrigin=null}};C.prototype.onsapbackspace=function(e){var t=this.getSelectedTokens();var o=this.getTokens().filter(function(e){return e.getFocusDomRef()===document.activeElement})[0];var i=t.length?t:[o];e.preventDefault();return this.fireTokenDelete({tokens:i,keyCode:e.which})};C.prototype.onsapdelete=C.prototype.onsapbackspace;C.prototype.onkeydown=function(e){var t;if(!this.getEnabled()){return}if(e.which===g.TAB){this._changeAllTokensSelection(false)}if((e.ctrlKey||e.metaKey)&&e.which===g.A){t=this.getSelectedTokens().length<this._getVisibleTokens().length;if(this._getVisibleTokens().length>0){this.focus();this._changeAllTokensSelection(t);e.preventDefault();e.stopPropagation()}}if((e.ctrlKey||e.metaKey)&&(e.which===g.C||e.which===g.INSERT)){this._copy()}if((e.ctrlKey||e.metaKey)&&e.which===g.X||e.shiftKey&&e.which===g.DELETE){if(this.getEditable()){this._cut()}else{this._copy()}}};C.prototype._shouldPreventModifier=function(e){var t=h.os.macintosh&&e.metaKey;var o=h.os.windows&&e.altKey;return t||o};C.prototype.onsappreviousmodifiers=function(e){if(!this._shouldPreventModifier(e)){this.onsapprevious(e)}};C.prototype.onsapnextmodifiers=function(e){if(!this._shouldPreventModifier(e)){this.onsapnext(e)}};C.prototype.onsaphomemodifiers=function(e){this._selectRange(false)};C.prototype.onsapendmodifiers=function(e){this._selectRange(true)};C.prototype._selectRange=function(e){var t={},o=this._getVisibleTokens(),i=l.closestTo(document.activeElement),n=o.indexOf(i);if(!i||!i.isA("sap.m.Token")){return}if(e){t.start=n;t.end=o.length-1}else{t.start=0;t.end=n}if(t.start<t.end){for(var s=t.start;s<=t.end;s++){o[s].setSelected(true)}}};C.prototype._copy=function(){this._fillClipboard("copy")};C.prototype._fillClipboard=function(e){var t=this.getSelectedTokens();var o=t.map(function(e){return e.getText()}).join("\r\n");var i=function(e){if(e.clipboardData){e.clipboardData.setData("text/plain",o)}else{e.originalEvent.clipboardData.setData("text/plain",o)}e.preventDefault()};document.addEventListener(e,i);document.execCommand(e);document.removeEventListener(e,i)};C.prototype._cut=function(){var e=this.getSelectedTokens();this._fillClipboard("cut");this.fireTokenChange({type:C.TokenChangeType.Removed,token:e,tokens:e,addedTokens:[],removedTokens:e});this.fireTokenUpdate({type:C.TokenChangeType.Removed,addedTokens:[],removedTokens:e});this.fireTokenDelete({tokens:e})};C.prototype._ensureTokenVisible=function(e){if(!e||!e.getDomRef()||!this.getDomRef()){return}var o=this.$().offset().left,i=this.$().width(),n=e.$().offset().left,s=t.getRTL(),r=s?parseInt(e.$().css("margin-left")):parseInt(e.$().css("margin-right")),a=parseInt(e.$().css("border-left-width"))+parseInt(e.$().css("border-right-width")),l=e.$().width()+r+a,d=s?this.$().scrollLeftRTL():this.$().scrollLeft(),p=d-o+n,h=d+(n-o+l-i);if(this._getVisibleTokens().indexOf(e)===0){this.$().scrollLeft(0);return}if(n<o){s?this.$().scrollLeftRTL(p):this.$().scrollLeft(p)}if(n-o+l>i){s?this.$().scrollLeftRTL(h):this.$().scrollLeft(h)}};C.prototype.ontap=function(e){var t=e.shiftKey,o=e.ctrlKey||e.metaKey,i=e.getMark("tokenTap"),n=e.getMark("tokenDeletePress"),s=this._getVisibleTokens(),r,a,l,d,p;if(n||!i||!t&&o){this._oSelectionOrigin=null;return}if(!t){this._oSelectionOrigin=i;this._changeAllTokensSelection(false,i,true)}r=i;if(this._oSelectionOrigin){r=this._oSelectionOrigin}else{this._oSelectionOrigin=r}if(i&&this.hasOneTruncatedToken()){this._handleNMoreIndicatorPress();return}a=this.indexOfToken(r);l=this.indexOfToken(i);d=Math.min(a,l);p=Math.max(a,l);s.forEach(function(e,t){if(t>=d&&t<=p){e.setSelected(true)}else if(!o){e.setSelected(false)}})};C.prototype.onsapprevious=function(e){var t=this._getVisibleTokens(),o=t.length;if(o===0){return}var i=l.closestTo(document.activeElement);var n=i?t.indexOf(i):-1;if(n===0){e.setMarked("forwardFocusToParent");return}var s,r;if(n>0){s=t[n-1];this._ensureTokenVisible(s);s.focus()}else{s=t[t.length-1];this._ensureTokenVisible(s);s.focus({preventScroll:true})}if(e.shiftKey){r=t[n];s.setSelected(true);r.setSelected(true)}e.setMarked();e.preventDefault()};C.prototype.onsapnext=function(e){var t=this._getVisibleTokens(),o=t.length;if(o===0){return}var i=l.closestTo(document.activeElement);var n=i?t.indexOf(i):-1;var s=t[n+1];this._ensureTokenVisible(s);if(n<o-1){var r=t[n];s.focus();if(e.shiftKey){s.setSelected(true);r.setSelected(true)}}else{e.setMarked("forwardFocusToParent");return}e.setMarked();e.preventDefault()};C.prototype.addValidator=function(e){k.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this)};C.prototype.removeValidator=function(e){k.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this)};C.prototype.removeAllValidators=function(){k.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this)};C.prototype.addValidateToken=function(e){k.warning("[Warning]:","You are attempting to use deprecated method 'addValidator()', please use MultiInput.prototype.addValidator instead.",this)};C.prototype._parseString=function(e){return e.split(/\r\n|\r|\n/g)};C.prototype._checkFocus=function(){return this.getDomRef()&&T(this.getDomRef(),document.activeElement)};C.prototype.selectAllTokens=function(e){if(e===undefined){e=true}this._changeAllTokensSelection(e);return this};C.prototype._changeAllTokensSelection=function(e,t,o){var i=this._getVisibleTokens();i.filter(function(e){return e!==t}).forEach(function(t){t.setSelected(e)});if(!o){this._doSelect()}return this};C.prototype.getSelectedTokens=function(){return this._getVisibleTokens().filter(function(e){return e.getSelected()})};C.prototype.onsaphome=function(e){var t=this.getTokens().filter(function(e){return e.getDomRef()&&!e.getDomRef().classList.contains("sapMHiddenToken")});t.length&&t[0].focus();this.scrollToStart();e.preventDefault()};C.prototype.onsapend=function(e){var t=this._getVisibleTokens(),o=t[t.length-1];if(o.getDomRef()!==document.activeElement){o.focus();this.scrollToEnd();e.stopPropagation()}else{e.setMarked("forwardFocusToParent")}e.preventDefault()};C.prototype.setShouldRenderTabIndex=function(e){this._bShouldRenderTabIndex=e};C.prototype.getEffectiveTabIndex=function(){return this._bShouldRenderTabIndex===null?!!this.getTokens().length:this._bShouldRenderTabIndex};C.prototype.onclick=function(e){var t;if(!this.getEnabled()){return}t=!this.hasStyleClass("sapMTokenizerIndicatorDisabled")&&e.target.classList.contains("sapMTokenizerIndicator");if(t){this._handleNMoreIndicatorPress()}};C.prototype.ontouchstart=function(e){e.setMarked();if(h.browser.chrome&&window.getSelection()){window.getSelection().removeAllRanges()}};C.prototype.exit=function(){this._deregisterResizeHandler();if(this._oTokensList){this._oTokensList.destroy();this._oTokensList=null}if(this._oScroller){this._oScroller.destroy();this._oScroller=null}if(this._oPopup){this._oPopup.destroy();this._oPopup=null}this._oTokensWidthMap=null;this._oIndicator=null;this._aTokenValidators=null;this._bShouldRenderTabIndex=null;this._bThemeApplied=false};C.prototype._deregisterResizeHandler=function(){if(this._sResizeHandlerId){c.deregister(this._sResizeHandlerId);delete this._sResizeHandlerId}};C.prototype._setTokensAria=function(){var e=this._getVisibleTokens().length;var t;var o="";var i="";var n={0:"TOKENIZER_ARIA_NO_TOKENS",1:"TOKENIZER_ARIA_CONTAIN_ONE_TOKEN"};if(r.isAccessibilityEnabled()){t=this.getAggregation("_tokensInfo");i=n[e]?n[e]:"TOKENIZER_ARIA_CONTAIN_SEVERAL_TOKENS";o=M.getText(i,[e]);t.setText(o)}};C.prototype._doSelect=function(){if(this._checkFocus()&&this._bCopyToClipboardSupport){var e=document.activeElement;var t=window.getSelection();t.removeAllRanges();if(this.getSelectedTokens().length){var o=document.createRange();o.selectNodeContents(this.getDomRef("clip"));t.addRange(o)}if(window.clipboardData&&e.id===this.getId()+"-clip"&&this.getDomRef()){this.getDomRef().focus()}}};C.prototype._setHiddenTokensCount=function(e){e=this.validateProperty("hiddenTokensCount",e);return this.setProperty("hiddenTokensCount",e)};C.prototype.getHiddenTokensCount=function(){return this.getProperty("hiddenTokensCount")};C.prototype.getTokensInfoId=function(){return this.getAggregation("_tokensInfo").getId()};C.prototype._handleBackspace=function(e,t){var o=this.getTokens();if(o[e-1]){return o[e-1].focus()}return t()};C.prototype._handleDelete=function(e,t){var o=this.getTokens();if(o[e+1]){return o[e+1].focus()}return t()};C.prototype.focusToken=function(e,t,o){var i=this.getTokens();var n=t.keyCode;var s=t.keyCode===g.BACKSPACE;if(i.length===0){return}if(!n){return}if(s){return this._handleBackspace(e,o)}return this._handleDelete(e,o)};C.TokenChangeType={Added:"added",Removed:"removed",RemovedAll:"removedAll",TokensChanged:"tokensChanged"};C.TokenUpdateType={Added:"added",Removed:"removed"};return C});
//# sourceMappingURL=Tokenizer.js.map