/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/Control","sap/ui/core/Element","sap/ui/core/InvisibleText","./WizardStepRenderer","./Button","./TitlePropagationSupport","sap/base/Log","sap/ui/core/Lib","sap/ui/core/library"],function(t,e,i,s,n,o,r,a,u,p){"use strict";var l=p.TitleLevel;var h=e.extend("sap.m.WizardStep",{metadata:{properties:{title:{type:"string",group:"Appearance",defaultValue:""},icon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:""},validated:{type:"boolean",group:"Behavior",defaultValue:true},optional:{type:"boolean",group:"Appearance",defaultValue:false},_titleLevel:{type:"sap.ui.core.TitleLevel",group:"Appearance",defaultValue:l.H3,visibility:"hidden"}},events:{complete:{},activate:{}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"},_nextButton:{type:"sap.m.Button",multiple:false,visibility:"hidden"}},associations:{subsequentSteps:{type:"sap.m.WizardStep",multiple:true,singularName:"subsequentStep"},nextStep:{type:"sap.m.WizardStep",multiple:false}}},renderer:n});var d=t.ButtonType;r.call(h.prototype,"content",function(){return this.getId()+"-title"});h.prototype.init=function(){this._oResourceBundle=u.getResourceBundleFor("sap.m");this._oNumberInvisibleText=new s({id:this.getId()+"-NumberedTitle"}).toStatic();this._createNextButton();this._initTitlePropagationSupport()};h.prototype._createNextButton=function(){this._oNextButton=new o(this.getId()+"-nextButton",{text:this._oResourceBundle.getText("WIZARD_STEP")+2,type:d.Emphasized,press:this._complete.bind(this)}).addStyleClass("sapMWizardNextButtonVisible");this.setAggregation("_nextButton",this._oNextButton)};h.prototype.setWizardContext=function(t){["bLast","bReviewStep","sButtonText","bParentAllowsButtonShow"].forEach(function(e){if(typeof t[e]!=="undefined"){this[e]=t[e]}}.bind(this));this._oNextButton.setText(this.sButtonText);this.setLast(this.bLast);this.setButtonVisibility()};h.prototype._getNumberInvisibleText=function(){return this._oNumberInvisibleText};h.prototype._setNumberInvisibleText=function(t){return this._oNumberInvisibleText.setText(this._oResourceBundle.getText("WIZARD_STEP")+t+" "+this.getTitle())};h.prototype.setValidated=function(t){this.setProperty("validated",t,true);this.setButtonVisibility();return this};h.prototype.setNextStep=function(t){this.setAssociation("nextStep",t,true);var e=this._getWizardParent();if(e!==null){e._checkCircularReference(this._getNextStepReference());e._updateProgressNavigator()}return this};h.prototype.setTitle=function(t){var e=this._getWizardParent();this.setProperty("title",t);if(e){e._updateProgressNavigator()}return this};h.prototype.setVisible=function(t){this.setProperty("visible",t,true);a.warning("Don't use the set visible method for wizard steps. If you need to show/hide steps based on some condition - use the branching property of the Wizard instead.");return this};h.prototype._isLeaf=function(){if(this.getNextStep()===null&&this.getSubsequentSteps().length===0){return true}return false};h.prototype._isBranched=function(){return this.getSubsequentSteps().length>1};h.prototype._getNextStepReference=function(){if(this.getNextStep()!==null){return i.getElementById(this.getNextStep())}if(this.getSubsequentSteps().length===1){return i.getElementById(this.getSubsequentSteps()[0])}return null};h.prototype._containsSubsequentStep=function(t){return this.getSubsequentSteps().some(function(e){return e===t})};h.prototype._getWizardParent=function(){var t=this.getParent();while(t&&!t.isA("sap.m.Wizard")){t=t.getParent()}return t};h.prototype.setLast=function(t){this.bLast=t;this.toggleStyleClass("sapMWizardLastActivatedStep",t);this.setButtonVisibility()};h.prototype.setButtonVisibility=function(){var t=this.getValidated()&&this.bParentAllowsButtonShow&&this.bLast;if(typeof t==="undefined"){return}this.displayButton(t)};h.prototype.displayButton=function(t){this._oNextButton.toggleStyleClass("sapMWizardNextButtonHidden",!t);this._oNextButton.toggleStyleClass("sapMWizardNextButtonVisible",t);this._oNextButton.setVisible(t)};h.prototype._activate=function(){this.setLast(true);this.addStyleClass("sapMWizardStepActivated");this.fireActivate()};h.prototype._deactivate=function(){this.removeStyleClass("sapMWizardStepActivated")};h.prototype._complete=function(){var t=this._getWizardParent();this.setLast(this.bReviewStep||false);this.fireComplete();if(t!==null){t._handleNextButtonPress()}};h.prototype.exit=function(){this._oNumberInvisibleText.destroy();this._oNumberInvisibleText=null};return h});
//# sourceMappingURL=WizardStep.js.map