/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/EventProvider","sap/ui/unified/calendar/CalendarUtils","sap/ui/unified/calendar/CalendarDate","sap/ui/core/date/UI5Date","sap/ui/unified/library"],function(t,e,a,r,s){"use strict";var i=s.CalendarIntervalType;var n=t.extend("sap.m.delegate.DateNavigation",{constructor:function(){t.apply(this,arguments);this._unit=i.Day;this._start=r.getInstance();this._step=1;this._calendarWeekNumbering=undefined}});n.HOURS24=1e3*3600*24;n.prototype.setUnit=function(t){this._unit=t};n.prototype.setStart=function(t){this._start=t};n.prototype.setStep=function(t){this._step=t};n.prototype.setCurrent=function(t){this._current=t};n.prototype.setWeekConfiguration=function(t){this._weekConfiguration=t};n.prototype.getUnit=function(){return this._unit};n.prototype.getStart=function(){return this._start};n.prototype.getStep=function(){return this._step};n.prototype.getCurrent=function(){return this._current};n.prototype.getWeekConfiguration=function(){return this._weekConfiguration};n.prototype.getEnd=function(t){var a=e._createUniversalUTCDate(this.getStart(),t,true);switch(this.getUnit()){case i.Day:case i.Week:a.setUTCDate(a.getUTCDate()+this.getStep()-1);break;case i.OneMonth:case"OneMonth":a.setUTCMonth(a.getUTCMonth()+1,1);a.setUTCDate(a.getUTCDate()-1,1);break;case i.Hour:a.setUTCHours(a.getUTCHours()+this.getStep()-1);break;case i.Month:a.setUTCMonth(a.getUTCMonth()+this.getStep()-1,1);break;default:break}return e._createLocalDate(a,true)};n.prototype.next=function(t){var a=e._createUniversalUTCDate(this.getStart(),t,true);var r=this.getCurrent()?e._createUniversalUTCDate(this.getCurrent(),t,true):e._createUniversalUTCDate(this.getStart(),t,true);switch(this.getUnit()){case i.Hour:r.setUTCHours(r.getUTCHours()+this.getStep());this.setCurrent(e._createLocalDate(r,true));a.setUTCHours(a.getUTCHours()+this.getStep());this.setStart(e._createLocalDate(a,true));break;case i.Week:case i.Day:r.setUTCDate(r.getUTCDate()+this.getStep());this.setCurrent(e._createLocalDate(r,true));a.setUTCDate(a.getUTCDate()+this.getStep());this.setStart(e._createLocalDate(a,true));break;case i.Month:r.setUTCMonth(r.getUTCMonth()+this.getStep(),1);this.setCurrent(e._createLocalDate(r,true));a.setUTCMonth(a.getUTCMonth()+this.getStep(),1);this.setStart(e._createLocalDate(a,true));break;case i.OneMonth:case"OneMonth":r.setUTCMonth(r.getUTCMonth()+1,1);this.setCurrent(e._createLocalDate(r,true));a.setUTCMonth(a.getUTCMonth()+1,1);this.setStart(e._createLocalDate(a,true));break;default:break}};n.prototype.previous=function(t){var a=e._createUniversalUTCDate(this.getStart(),t,true);var r=this.getCurrent()?e._createUniversalUTCDate(this.getCurrent(),t,true):e._createUniversalUTCDate(this.getStart(),t,true);switch(this.getUnit()){case i.Hour:r.setUTCHours(r.getUTCHours()-this.getStep());this.setCurrent(e._createLocalDate(r,true));a.setUTCHours(a.getUTCHours()-this.getStep());this.setStart(e._createLocalDate(a,true));break;case i.Week:case i.Day:r.setUTCDate(r.getUTCDate()-this.getStep());this.setCurrent(e._createLocalDate(r,true));a.setUTCDate(a.getUTCDate()-this.getStep());this.setStart(e._createLocalDate(a,true));break;case i.Month:r.setUTCMonth(r.getUTCMonth()-this.getStep(),1);this.setCurrent(e._createLocalDate(r,true));a.setUTCMonth(a.getUTCMonth()-this.getStep(),1);this.setStart(e._createLocalDate(a,true));break;case i.OneMonth:case"OneMonth":r.setUTCMonth(r.getUTCMonth()-1,1);this.setCurrent(e._createLocalDate(r,true));a.setUTCMonth(a.getUTCMonth()-1,1);this.setStart(e._createLocalDate(a,true));break;default:break}};n.prototype.toDate=function(t,r){var s,o,u,h=e._createUniversalUTCDate(t,r,true),c=e._createUTCDate(t,true);this.setCurrent(t);switch(this.getUnit()){case i.OneMonth:case"OneMonth":if(e.monthsDiffer(this.getStart(),t)){var U=e._getFirstDateOfMonth(a.fromLocalJSDate(t));this.setStart(U.toLocalJSDate())}break;case i.Day:o=e._createUniversalUTCDate(this.getStart(),r,true);o.setUTCDate(o.getUTCDate()+this.getStep());if(t.valueOf()>=o.valueOf()){u=1+Math.ceil((t.valueOf()-o.valueOf())/n.HOURS24);s=e._createUniversalUTCDate(this.getStart(),r,true);s.setUTCDate(s.getUTCDate()+u);this.setStart(e._createLocalDate(s,true))}else if(t.valueOf()<this.getStart().valueOf()){s=e._createUniversalUTCDate(t,r,true);this.setStart(e._createLocalDate(s,true))}break;case i.Month:o=e._createUniversalUTCDate(this.getStart(),r,true);o.setUTCMonth(o.getUTCMonth()+this.getStep(),1);if(h.getTime()>=o.valueOf()){u=1+e._monthsBetween(t,e._createLocalDate(o,true));s=e._createUniversalUTCDate(this.getStart(),r,true);s.setUTCMonth(s.getUTCMonth()+u,1);this.setStart(e._createLocalDate(s,true))}else if(t.valueOf()<this.getStart().valueOf()){s=e._createUniversalUTCDate(t,r,true);this.setStart(e._createLocalDate(s,true))}break;case i.Week:var C=e.getFirstDateOfWeek(c,this.getWeekConfiguration());if(this.getStart().valueOf()!==C.valueOf()){this.setStart(e._createLocalDate(C,true))}break;case i.Hour:o=this.getEnd();var g=e._createUniversalUTCDate(o,r,true);if(h.getTime()<e._createUniversalUTCDate(this.getStart(),r,true).getTime()||h.getTime()>g.getTime()){this.setStart(t)}break;default:break}};return n});
//# sourceMappingURL=DateNavigation.js.map