/*!
* OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
*/
sap.ui.define(["./SelectionController","sap/m/p13n/modules/xConfigAPI","sap/base/Log","sap/base/util/merge","sap/base/util/deepEqual"],(t,e,n,o,i)=>{"use strict";const r=t.extend("sap.m.p13n.FilterController",{constructor:function(e){t.apply(this,arguments);this._itemFactory=e?.itemFactory;this._bResetEnabled=true}});r.prototype.getCurrentState=function(){const t=e.readConfig(this.getAdaptationControl())||{};const n=t.hasOwnProperty("properties")?t.properties.filterConditions:[];return n?.reduce((t,e)=>{const n=e.key;t[n]=t[n]||[];t[n].push(e.condition);return t},{})||{}};r.prototype.getChangeOperations=()=>({add:"addCondition",remove:"removeCondition"});r.prototype._getPresenceAttribute=t=>"active";r.prototype.initAdaptationUI=function(t,e){return new Promise((e,n)=>{sap.ui.require(["sap/m/p13n/FilterPanel","sap/m/Input"],(n,o)=>{const i=this.mixInfoAndState(t);const r=new n({enableReorder:false,itemFactory:t=>this._itemFactory instanceof Function?this._itemFactory(t,r):new o({value:"{$p13n>conditions/0/values/0}"})});r.setP13nData(i.items);this._oPanel=r;e(r)})})};const a=(t,e)=>t.some(t=>{let n=t.key===e||t.name===e||e=="$search";n=n?n:t.path===e;return n});r.prototype._indexOfCondition=function(t,e){const n=e.find(e=>e.operator==t.operator&&e.values[0]==t.values[0]);return e.indexOf(n)};r.prototype._createConditionChange=function(t,e,n,o){delete o.filtered;const i={selectorElement:e,changeSpecificData:{changeType:t,content:this._createConditionChangeContent(n,o)}};return i};r.prototype._createConditionChangeContent=(t,e)=>({key:t,condition:e});r.prototype._diffConditionPath=function(t,e,n,r,a){let s;const c=[];const p=o([],e);const d=n?o([],n):[];if(i(e,d)){return c}const l=(t,e)=>{let n;do{n=false;for(let o=0;o<t.length;o++){const i=t[o];const r=this._indexOfCondition(i,e);if(r>-1){t.splice(o,1);if(a){e.splice(r,1)}n=true;break}}}while(n)};l(e,d);if(e.length>0||d.length>0){d.forEach(e=>{const n=this._indexOfCondition(e,p);const o=n>-1&&p[n].filtered===false;if(a||o){s=this._createConditionChange("removeCondition",r,t,e);c.push(s)}});e.forEach(e=>{if(a||(!e.hasOwnProperty("filtered")||e.filtered!==false)){s=this._createConditionChange("addCondition",r,t,e);c.push(s)}})}return c};r.prototype.getConditionDeltaChanges=function(t){let e=[];const o=t.changedState;const i=t.existingState;const r=t.control;const s=t.hasOwnProperty("applyAbsolute")?t.applyAbsolute:true;const c=t.propertyInfo;for(const t in o){const p=a(c,t);if(!p&&r.isA("sap.ui.mdc.Control")&&r.isPropertyHelperFinal()){n.warning("property '"+t+"' not supported");continue}const d=this._diffConditionPath(t,o[t],i[t],r,s);e=e.concat(d)}return e};r.prototype.getDelta=function(t){const{existingState:e}=t;let{changedState:n}=t;if(i(e,n)){return[]}if(n instanceof Array){n=n.reduce((t,e)=>{const n=e.key;t[n]=t[n]||[];e.conditions.forEach(e=>{if(e&&e.values&&e.values[0]!==undefined){t[n].push(e)}});return t},{})}return this.getConditionDeltaChanges({...t,changedState:n})};r.prototype._getChangeContent=(t,e)=>{const n={};e.forEach(e=>{if(t.hasOwnProperty(e)){n[e]=t[e]}});return n};r.prototype.mixInfoAndState=function(t){const e=this.getCurrentState()||{};const n=this.prepareAdaptationData(t,(t,n)=>{const o=e[t.name];t.conditions=o||(this._itemFactory?[]:[{operator:"Contains",values:[]}]);t.active=o&&o.length>0;return!(n.filterable===false)});this.sortP13nData({visible:"active",position:undefined},n.items);return n};r.prototype.changesToState=function(t){const e={};t.forEach(t=>{const n=o({},t.changeSpecificData.content);const i=n.key;if(!e[i]){e[i]=[]}if(t.changeSpecificData.changeType===this.getChangeOperations()["remove"]){n.condition.filtered=false}e[i].push(n.condition)});return e};return r});
//# sourceMappingURL=FilterController.js.map