/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Control","sap/m/Button","sap/m/Bar","sap/m/Title","sap/m/MessageBox","sap/ui/Device","sap/m/Dialog","sap/m/ResponsivePopover","sap/m/p13n/Container","sap/m/p13n/AbstractContainerItem","sap/m/library","sap/ui/core/Element","sap/ui/core/Lib","sap/ui/core/library","sap/ui/core/syncStyleClass"],(t,e,n,o,i,s,r,a,p,l,c,h,g,u,d)=>{"use strict";const f=c.P13nPopupMode;const P=u.TitleLevel;const _=t.extend("sap.m.p13n.Popup",{metadata:{library:"sap.m",properties:{title:{type:"string"},mode:{type:"sap.m.P13nPopupMode",defaultValue:f.Dialog},warningText:{type:"string"},reset:{type:"function"}},aggregations:{panels:{type:"sap.m.p13n.IContent",multiple:true},additionalButtons:{type:"sap.m.Button",multiple:true}},events:{close:{parameters:{reason:{type:"string"}}}}},renderer:{apiVersion:2,render:function(t,e){t.openStart("div",e);t.style("height","100%");t.openEnd();t.renderControl(e.getAggregation("_content"));t.close("div")}}});_.prototype.init=function(){t.prototype.init.apply(this,arguments);this._aPanels=[]};_.prototype.isOpen=function(){return!!this._bIsOpen};_.prototype.setMode=function(t){this.setProperty("mode",t);if(this._oPopup){this._oPopup.removeAllContent();this._oPopup.destroy();const t=this._createContainer();this.addDependent(t);this._oPopup=t}return this};_.prototype.setReset=function(t){if(this._oPopup){const t=this._oPopup.getCustomHeader();if(t){t.destroy()}this._oPopup.setCustomHeader(this._createTitle());this._oPopup.invalidate()}this.setProperty("reset",t);return this};_.prototype.open=function(t,e){if(!t&&this.getMode()==="Popover"){throw new Error("Please provide a source control!")}if(!this._oPopup){const t=this._createContainer(e);this.addDependent(t);this._oPopup=t}if(this.getMode()==="Dialog"){this._oPopup.open()}else{this._oPopup.openBy(t)}const n=this.getParent();if(n&&n.hasStyleClass instanceof Function&&n.hasStyleClass("sapUiSizeCompact")&&!this._oPopup.hasStyleClass("sapUiSizeCompact")){this._oPopup.addStyleClass("sapUiSizeCompact")}const o=this.getResetButton();if(o){o.setEnabled(e?.enableReset)}this._bIsOpen=true};_.prototype.addPanel=function(t,e){const n=t.getBindingInfo("title");let o;if(n&&n.parts){o={parts:n.parts}}if(t.attachChange instanceof Function){t.attachChange(t=>{this.getResetButton()?.setEnabled(true)})}this._getContainer().addView(new l({key:e||t.getId(),text:o||(t.getTitle instanceof Function?t.getTitle():undefined),content:t}));this._aPanels.push(t);return this};_.prototype.removePanel=function(t){this._aPanels.splice(this._aPanels.indexOf(t),1);this._getContainer().removeView(this._getContainer().getView(t));return this};_.prototype.removeAllPanels=function(){this.getPanels().forEach(t=>{this.removePanel(t)})};_.prototype.getPanels=function(){return this._aPanels};_.prototype.getResetButton=function(){return h.getElementById(this.getId()+"-resetBtn")};_.prototype._createContainer=function(t){t=t?t:{};const e=this["_create"+this.getMode()].call(this,t);e.addStyleClass("sapMP13nPopup");e.isPopupAdaptationAllowed=()=>false;return e};_.prototype._createResponsivePopover=function(t){const e=this.getPanels();const n=e.length>1;const o=new a(this.getId()+"-responsivePopover",{title:this.getTitle(),horizontalScrolling:t.hasOwnProperty("horizontalScrolling")?t.horizontalScrolling:false,verticalScrolling:!n&&!(e[0]&&e[0].getVerticalScrolling instanceof Function&&e[0].getVerticalScrolling()),contentWidth:t.contentWidth?t.contentWidth:"30rem",resizable:t.hasOwnProperty("resizable")?t.resizable:true,contentHeight:t.contentHeight?t.contentHeight:"35rem",placement:t.placement?t.placement:"Bottom",content:n?this._getContainer():e[0],afterClose:()=>{this._onClose(o,"AutoClose")}});o.setCustomHeader(this._createTitle());return o};_.prototype._createDialog=function(t){const n=this.getPanels();const o=n.length>1;const i=g.getResourceBundleFor("sap.m");let a;if(n.length>0){const t=n[0];a=t.getInitialFocusedControl&&t.getInitialFocusedControl();if(!a&&o){a=this._getContainer()._getTabBar().getItems()[0]}}const p=new r(this.getId()+"-dialog",{initialFocus:a,title:this.getTitle(),horizontalScrolling:t.hasOwnProperty("horizontalScrolling")?t.horizontalScrolling:false,verticalScrolling:!o&&!(n[0]&&n[0].getVerticalScrolling instanceof Function&&n[0].getVerticalScrolling()),contentWidth:t.contentWidth?t.contentWidth:"40rem",contentHeight:t.contentHeight?t.contentHeight:"55rem",draggable:true,resizable:true,stretch:s.system.phone,content:o?this._getContainer():n[0],escapeHandler:()=>{this._onClose(p,"Escape")},buttons:[new e(this.getId()+this._getIdPrefix()+"-confirmBtn",{text:t.confirm&&t.confirm.text?t.confirm.text:i.getText("p13n.POPUP_OK"),type:"Emphasized",press:()=>{this._onClose(p,"Ok")}}),new e(this.getId()+this._getIdPrefix()+"-cancelBtn",{text:i.getText("p13n.POPUP_CANCEL"),press:()=>{this._onClose(p,"Cancel")}})]});p.setCustomHeader(this._createTitle());this.getAdditionalButtons().forEach(t=>{p.addButton(t)});return p};_.prototype._getIdPrefix=()=>"";_.prototype._createTitle=function(){const t=this.getReset();const s=this.getTitle();const r=this.getWarningText();const a=this;let p;if(t instanceof Function){p=new n({contentLeft:[new o({text:s,level:P.H1})]});p.addContentRight(new e(this.getId()+"-resetBtn",{text:g.getResourceBundleFor("sap.m").getText("p13n.POPUP_RESET"),press:function(e){const n=e.getSource().getParent().getParent();const o=n.getParent();const s=r;i.warning(s,{actions:[i.Action.OK,i.Action.CANCEL],emphasizedAction:i.Action.OK,onClose:s=>{if(s===i.Action.OK){n.getButtons()[0].focus();e.getSource().setEnabled(false);a._resetPanels();t(o)}}})}}))}return p};_.prototype._resetPanels=function(){this.getPanels().forEach(t=>{if(t.onReset instanceof Function){t.onReset()}})};_.prototype._getContainer=function(t){if(!this._oContainer){this._oContainer=new p}if(this._oContainer.getViews().length>1){this._oContainer.switchView(this._oContainer.getViews()[1].getKey())}return this._oContainer};_.prototype._onClose=function(t,e){t.close();this._bIsOpen=false;this.fireClose({reason:e})};_.prototype.exit=function(){t.prototype.exit.apply(this,arguments);if(this._oPopup){this._oPopup.destroy()}this._aPanels=null};return _});
//# sourceMappingURL=Popup.js.map