/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./BasePanel","sap/m/Label","sap/m/ColumnListItem","sap/m/HBox","sap/m/VBox","sap/ui/core/Lib","sap/ui/core/library","sap/ui/core/Icon","sap/m/Text","sap/m/Column","sap/m/Table","sap/m/library","sap/m/ToolbarSpacer","sap/m/Button","sap/m/OverflowToolbar","sap/ui/model/Filter","sap/base/util/merge","sap/ui/core/InvisibleText"],(t,e,o,s,i,n,l,r,a,h,p,c,u,d,_,m,g,y)=>{"use strict";const{IconColor:C}=l;const{ListKeyboardMode:f}=c;const{FlexJustifyContent:S}=c;const{ListType:v}=c;const{MultiSelectMode:I}=c;const M=t.extend("sap.m.p13n.SelectionPanel",{metadata:{library:"sap.m",properties:{title:{type:"string",defaultValue:n.getResourceBundleFor("sap.m").getText("p13n.DEFAULT_TITLE_SELECTION")},showHeader:{type:"boolean",defaultValue:false},enableCount:{type:"boolean",defaultValue:false},fieldColumn:{type:"string",defaultValue:n.getResourceBundleFor("sap.m").getText("p13n.DEFAULT_DESCRIPTION")},activeColumn:{type:"string",defaultValue:""},itemFactory:{type:"function"},multiSelectMode:{type:"sap.m.MultiSelectMode",defaultValue:I.ClearAll}}},renderer:{apiVersion:2}});M.prototype.applySettings=function(){t.prototype.applySettings.apply(this,arguments);this._setTemplate(this._getListTemplate());this.addStyleClass("sapMSelectionPanel");this._aInitializedFields=[];this._bShowFactory=false;this.addStyleClass("SelectionPanelHover");this._displayColumns();this._updateMovement(this.getEnableReorder());this._oListControl.setMultiSelectMode(this.getMultiSelectMode())};M.prototype.setMultiSelectMode=function(t){this._oListControl.setMultiSelectMode(t);return this.setProperty("multiSelectMode",t)};M.prototype.setItemFactory=function(t){this.setProperty("itemFactory",t);this._oListControl.setGrowing(!!t);return this};M.prototype._getListTemplate=function(){const t=new o({selected:"{"+this.P13N_MODEL+">"+this.PRESENCE_ATTRIBUTE+"}",type:{path:this.P13N_MODEL+">"+this.PRESENCE_ATTRIBUTE,formatter:t=>t&&!this._bShowFactory?v.Active:v.Inactive},cells:[new i({items:[new e({wrapping:true,required:"{"+this.P13N_MODEL+">required}",tooltip:"{"+this.P13N_MODEL+">tooltip}",text:"{"+this.P13N_MODEL+">label}"})]}),new s({justifyContent:S.Center,items:[new r({src:"sap-icon://circle-task-2",size:"0.5rem",color:C.Neutral,visible:{path:this.P13N_MODEL+">active",formatter:function(t){if(t){return true}else{return false}}}})]})]});if(this.getActiveColumn()){const e=new y({text:{path:this.P13N_MODEL+">active",formatter:t=>t?this._getResourceText("p13n.ACTIVESTATE_ACTIVE"):this._getResourceText("p13n.ACTIVESTATE_INACTIVE")}});t.getCells()[1].addItem(e)}return t};M.prototype.setActiveColumn=function(t){this.setProperty("activeColumn",t);this._setTemplate(this._getListTemplate());this._displayColumns();return this};M.prototype.setFieldColumn=function(t){this.setProperty("fieldColumn",t);this._displayColumns();return this};M.prototype.setShowHeader=function(t){if(t){this._oShowSelectedButton=new d({press:t=>{this._bShowSelected=!this._bShowSelected;this._filterList(this._bShowSelected,this._sSearch);this._updateShowSelectedButton()}});this._updateShowSelectedButton();this._oListControl.setHeaderToolbar(new _({content:[this._getSearchField(),new u,this._oShowSelectedButton]}))}this.setProperty("showHeader",t);return this};M.prototype._updateShowSelectedButton=function(){const t=this._getResourceText("p13n.SHOW_SELECTED");const e=this._getResourceText("p13n.SHOW_ALL");this._oShowSelectedButton?.setText(this._bShowSelected?e:t)};M.prototype.getSelectedFields=function(){const t=[];this._loopItems(this._oListControl,(e,o)=>{if(e.getSelected()){t.push(o)}});return t};M.prototype._filterList=function(t,e){let o=[],s=[];if(t){s=new m(this.PRESENCE_ATTRIBUTE,"EQ",true)}if(e){o=new m("label","Contains",e)}this._oListControl.getBinding("items").filter(new m([].concat(s,o),true))};M.prototype._onSearchFieldLiveChange=function(t){this._sSearch=t.getSource().getValue();this._filterList(this._bShowSelected,this._sSearch)};M.prototype._handleActivated=function(t){this._removeMoveButtons();if(this._oHoveredItem&&!this._oHoveredItem.bIsDestroyed&&this._oHoveredItem.getBindingContextPath()){const t=!!this._getP13nModel().getProperty(this._oHoveredItem.getBindingContextPath()).active;const e=this._oHoveredItem.getCells()[1].getItems()[0];e.setVisible(t)}const e=t.getCells()[1].getItems()[0];if(t.getSelected()){e.setVisible(false)}this._oHoveredItem=t;if(!(t.getMultiSelectControl()?.getEnabled()==false)){this._updateEnableOfMoveButtons(t,false);this._addMoveButtons(t)}};M.prototype._removeMoveButtons=function(){const t=this._getMoveButtonContainer();if(t){t.removeItem(this._getMoveTopButton());t.removeItem(this._getMoveUpButton());t.removeItem(this._getMoveDownButton());t.removeItem(this._getMoveBottomButton())}};M.prototype._getMoveButtonContainer=function(){if(this._oMoveBottomButton&&this._oMoveBottomButton.getParent()&&this._oMoveBottomButton.getParent().isA("sap.m.FlexBox")){return this._oMoveBottomButton.getParent()}};M.prototype.showFactory=function(t){this._bShowFactory=t;this._displayColumns();this._oListControl.getItems().forEach(e=>{e.setType(t?"Inactive":"Active")});if(t){this.removeStyleClass("SelectionPanelHover");this._oListControl.setKeyboardMode(f.Edit);this._addFactoryControl()}else{this.addStyleClass("SelectionPanelHover");this._oListControl.setKeyboardMode(f.Navigation);this._removeFactoryControl()}};M.prototype._loopItems=function(t,e){t.getItems().forEach(t=>{const o=t.getBindingContextPath();const s=this._getP13nModel().getProperty(o).name;e.call(this,t,s)})};M.prototype.setP13nData=function(e){if(this.getEnableCount()){e=g([],e);this._oListControl.removeSelections()}t.prototype.setP13nData.call(this,e);this._updateCount();this._removeMoveButtons();this._oSelectedItem=null;return this};M.prototype.onReset=function(){t.prototype.onReset.apply(this,arguments);this._sSearch="";this._bShowSelected=false;this._updateShowSelectedButton()};M.prototype._updateCount=function(){this._getP13nModel().setProperty("/selectedItems",this._oListControl.getSelectedContexts(true).length)};M.prototype._selectTableItem=function(e,o){t.prototype._selectTableItem.apply(this,arguments);this._updateCount()};M.prototype._removeFactoryControl=function(){this._oListControl.getItems().forEach(t=>{const e=t.getCells()[0];if(e.getItems().length>1){e.removeItem(e.getItems()[1])}});this.removeStyleClass("sapUiMDCAFLabelMarkingList");return this._aInitializedFields};M.prototype._moveSelectedItem=function(){this._oSelectedItem=this._getMoveButtonContainer()?.getParent();t.prototype._moveSelectedItem.apply(this,arguments)};M.prototype._getShowFactory=function(){return this._bShowFactory};M.prototype._updateMovement=function(e){t.prototype._updateMovement.apply(this,arguments);this._displayColumns()};M.prototype._displayColumns=function(){const t=[this.getFieldColumn()];const e=this.getEnableReorder()||this.getActiveColumn();if(!this._bShowFactory&&e){t.push(new h({width:"30%",hAlign:"Center",vAlign:"Middle",header:new a({text:this.getActiveColumn()})}))}this._setPanelColumns(t)};M.prototype._setPanelColumns=function(e){this._sText=e[0];const o=this.getEnableCount();if(o){const t=new h({header:new a({text:{parts:[{path:this.P13N_MODEL+">/selectedItems"},{path:this.P13N_MODEL+">/items"}],formatter:(t,e)=>this._sText+" "+this._getResourceText("p13n.HEADER_COUNT",[t,e instanceof Array?e.length:0])}})});e[0]=t}t.prototype._setPanelColumns.apply(this,arguments)};M.prototype._addFactoryControl=function(t){this._oListControl.getItems().forEach(t=>{const e=t.getBindingContext(this.P13N_MODEL);const o=this.getItemFactory().call(this,e);const s=t.getCells()[0];const i=s.getItems()[0];if(i){i.setLabelFor(o)}s.addItem(o)});this.addStyleClass("sapUiMDCAFLabelMarkingList")};M.prototype._createInnerListControl=function(){return new p(this.getId()+"-innerSelectionPanelTable",Object.assign({growing:false,growingThreshold:25,growingScrollToLoad:true,updateStarted:()=>{this._removeMoveButtons();this._removeFactoryControl()},updateFinished:()=>{if(this._getShowFactory()){this._addFactoryControl()}}},this._getListControlConfig()))};M.prototype.filterContent=function(t){if(this._oListControl.getBinding("items")){this._oListControl.getBinding("items").filter(t,true)}};M.prototype._addMoveButtons=function(t){const e=t;if(!e){return}const o=this._getP13nModel().getProperty(e.getBindingContextPath())[this.PRESENCE_ATTRIBUTE];if(o){e.getCells()[1].addItem(this._getMoveTopButton());e.getCells()[1].addItem(this._getMoveUpButton());e.getCells()[1].addItem(this._getMoveDownButton());e.getCells()[1].addItem(this._getMoveBottomButton())}};M.prototype.exit=function(){t.prototype.exit.apply(this,arguments);this._aInitializedFields=null;this._oHoveredItem=null;this._bShowFactory=null;this._sSearch=null;this._bShowSelected=null};return M});
//# sourceMappingURL=SelectionPanel.js.map