/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./QueryPanel","sap/m/Text","sap/m/SegmentedButton","sap/m/SegmentedButtonItem","sap/ui/core/Lib","sap/ui/layout/Grid","sap/ui/layout/GridData"],(e,t,n,r,o,s,a)=>{"use strict";const c=e.extend("sap.m.p13n.SortPanel",{metadata:{properties:{title:{type:"string",defaultValue:o.getResourceBundleFor("sap.m").getText("p13n.DEFAULT_TITLE_SORT")}},library:"sap.m"},renderer:{apiVersion:2}});c.prototype.PRESENCE_ATTRIBUTE="sorted";c.prototype.CHANGE_REASON_SORTORDER="sortorder";c.prototype._createRemoveButton=function(){const t=e.prototype._createRemoveButton.apply(this,arguments);t.setLayoutData(new a({span:"XL3 L3 M3 S4"}));return t};c.prototype._createOrderSwitch=function(e,t){const o=new n({enabled:e?true:false,layoutData:new a({span:"XL2 L2 M2 S3"}),items:[new r({key:"asc",icon:"sap-icon://sort-ascending"}),new r({key:"desc",icon:"sap-icon://sort-descending"})],selectionChange:e=>{const t=e.getParameter("item");const n=t.getKey();const r=e.getSource().getParent().getContent()[2];r.setText(this._getSortOrderText(n==="desc"));const o=e.oSource.getParent().getContent()[0].getSelectedItem().getKey();this._changeOrder(o,n=="desc")}});o.setSelectedItem(t?o.getItems()[1]:o.getItems()[0]);return o};c.prototype._createSortOrderText=function(e,n){return new t({layoutData:new a({span:"XL3 L3 M3 S3",visibleS:false}),text:this._getSortOrderText(n)}).addStyleClass("sapUiTinyMarginTop")};c.prototype._createQueryRowGrid=function(e){const t=this._createKeySelect(e.name);const n=this._createOrderSwitch(e.name,e.descending);const r=this._createSortOrderText(e.name,e.descending);return new s({containerQuery:true,defaultSpan:"XL4 L4 M4 S5",content:[t,n,r]}).addStyleClass("sapUiTinyMargin")};c.prototype._getPlaceholderText=function(){return this._getResourceText("p13n.SORT_PLACEHOLDER")};c.prototype._getRemoveButtonTooltipText=function(){return this._getResourceText("p13n.SORT_REMOVEICONTOOLTIP")};c.prototype._getRemoveButtonAnnouncementText=function(){return this._getResourceText("p13n.SORT_REMOVEICONANNOUNCE")};c.prototype._selectKey=function(t){e.prototype._selectKey.apply(this,arguments);const n=t.getParent().getParent();const r=t.getSelectedKey();const o=n.getContent()[0].getContent();o[1].setEnabled(!!r);const s=o[1].getSelectedKey()==="desc";this._changeOrder(r,s)};c.prototype._getSortOrderText=function(e){return e?this._getResourceText("p13n.SORT_DESCENDING"):this._getResourceText("p13n.SORT_ASCENDING")};c.prototype._changeOrder=function(e,t){const n=this._getP13nModel().getProperty("/items").filter(t=>t.name===e);if(n.length>0){n[0].descending=t;this.fireChange({reason:this.CHANGE_REASON_SORTORDER,item:n[0]})}};return c});
//# sourceMappingURL=SortPanel.js.map