/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./PluginBase","sap/ui/core/Element","sap/base/Log","sap/ui/core/Lib","sap/ui/unified/FileUploader","sap/m/upload/UploaderHttpRequestMethod","sap/m/upload/UploadItem","sap/base/util/deepEqual","sap/m/library","sap/m/IllustratedMessageType","sap/m/IllustratedMessage","sap/m/IllustratedMessageSize","sap/m/upload/UploaderTableItem","sap/ui/core/dnd/DragDropInfo","sap/ui/core/dnd/DropInfo","sap/m/upload/FilePreviewDialog","sap/ui/base/Event","sap/m/Dialog","sap/m/Label","sap/m/Input","sap/m/MessageBox","sap/m/Button","sap/ui/core/Core","sap/m/Text","sap/m/VBox"],function(e,t,i,o,n,a,s,l,r,u,p,d,g,c,f,h,m,_,T,y,I,P,D,C,F){"use strict";var b=e.extend("sap.m.plugins.UploadSetwithTable",{metadata:{library:"sap.m",properties:{fileTypes:{type:"string[]",defaultValue:null},maxFileNameLength:{type:"int",defaultValue:null},maxFileSize:{type:"float",defaultValue:null},mediaTypes:{type:"string[]",defaultValue:null},uploadUrl:{type:"string",defaultValue:null},httpRequestMethod:{type:"sap.m.upload.UploaderHttpRequestMethod",defaultValue:a.Post},multiple:{type:"boolean",group:"Behavior",defaultValue:false},uploadButtonInvisible:{type:"boolean",group:"Appearance",defaultValue:false},uploadEnabled:{type:"boolean",defaultValue:true},itemValidationHandler:{type:"function",defaultValue:null},directory:{type:"boolean",group:"Behavior",defaultValue:false},cloudFilePickerEnabled:{type:"boolean",group:"Behavior",defaultValue:false},cloudFilePickerServiceUrl:{type:"sap.ui.core.URI",group:"Data",defaultValue:""},cloudFilePickerButtonText:{type:"string",defaultValue:""}},aggregations:{uploader:{type:"sap.m.upload.UploaderTableItem",multiple:false},headerFields:{type:"sap.ui.core.Item",multiple:true,singularName:"headerField"},rowConfiguration:{type:"sap.m.upload.UploadItemConfiguration",multiple:false},noDataIllustration:{type:"sap.m.IllustratedMessage",multiple:false}},defaultAggregation:"rowConfiguration",associations:{previewDialog:{type:"sap.m.upload.FilePreviewDialog",multiple:false},actions:{type:"sap.m.upload.ActionsPlaceholder",multiple:true}},events:{itemRenamed:{parameters:{item:{type:"sap.m.upload.UploadItem"}}},beforeUploadStarts:{parameters:{item:{type:"sap.m.upload.UploadItem"}},allowPreventDefault:true},uploadCompleted:{parameters:{item:{type:"sap.m.upload.UploadItem"},response:{type:"string"},readyState:{type:"string"},status:{type:"string"},responseXML:{type:"string"},responseText:{type:"string"},headers:{type:"object"}}},fileTypeMismatch:{parameters:{item:{type:"sap.m.upload.UploadItem"}}},fileNameLengthExceeded:{parameters:{item:{type:"sap.m.upload.UploadItem"}}},fileSizeExceeded:{parameters:{item:{type:"sap.m.upload.UploadItem"}}},mediaTypeMismatch:{parameters:{item:{type:"sap.m.upload.UploadItem"}}},beforeInitiatingItemUpload:{parameters:{item:{type:"sap.m.upload.UploadItem"}}},onActivated:{parameters:{oPlugin:{type:"sap.m.plugins.UploadSetwithTable"}}},onDeactivated:{parameters:{control:{type:"sap.ui.core.Control"}}}}}});var U=r.UploadState;var E=r.UploadSetwithTableActionPlaceHolder;b.findOn=e.findOn;const v={onAfterRendering:function(){this.getConfig("setIsTableBound",this.getControl());this.getConfig("setModelName",this.getControl())}};b.prototype.onActivate=function(e){this._filesTobeUploaded=[];this._filePreviewDialogControl=null;this._oRb=o.getResourceBundleFor("sap.m");e.addDelegate(v,false,this);this.getConfig("setPluginInstance",this);this.getConfig("setControlInstance",this.getControl());this.getConfig("setPluginDefaultSettings");this._setActions();this.fireOnActivated({oPlugin:this})};b.prototype.onDeactivate=function(e){this.getConfig("cleanupPluginInstanceSettings");this.fireOnDeactivated({control:e})};b.prototype.exit=function(){this.getConfig("cleanupPluginInstanceSettings");e.prototype.exit.call(this)};b.prototype.setParent=function(){e.prototype.setParent.apply(this,arguments)};b.prototype.setFileTypes=function(e){var t=e||null;if(typeof t==="string"){t=t.split(",")}t=(t||[]).map(function(e){return e?e.toLowerCase():""});if(!l(this.getFileTypes(),t)){this.setProperty("fileTypes",t,true);this.getDefaultFileUploader().setFileType(t)}return this};b.prototype.setMaxFileNameLength=function(e){if(this.getMaxFileNameLength()!==e){this.setProperty("maxFileNameLength",e,true);this.getDefaultFileUploader().setMaximumFilenameLength(e)}return this};b.prototype.setMaxFileSize=function(e){if(this.getMaxFileSize()!==e){this.setProperty("maxFileSize",e,true);this.getDefaultFileUploader().setMaximumFileSize(e)}return this};b.prototype.setMediaTypes=function(e){var t=e||null;if(typeof t==="string"){t=t.split(",")}t=(t||[]).map(function(e){return e?e.toLowerCase():""});if(!l(this.getMediaTypes(),t)){this.setProperty("mediaTypes",t,true);this.getDefaultFileUploader().setMimeType(t)}return this};b.prototype.setUploadButtonInvisible=function(e){if(e!==this.getUploadButtonInvisible()){var t=!e;this.getDefaultFileUploader().setVisible(t);this.setProperty("uploadButtonInvisible",e,true)}return this};b.prototype.setMultiple=function(e){if(this.getMultiple()!==e){this.setProperty("multiple",e);this.getDefaultFileUploader().setMultiple(e)}return this};b.prototype.setUploadEnabled=function(e){if(e!==this.getUploadEnabled()){this.getDefaultFileUploader().setEnabled(e);this.setProperty("uploadEnabled",e,false)}return this};b.prototype.setDirectory=function(e){if(this.getDirectory()!==e){this.setProperty("directory",e);this.getDefaultFileUploader().setDirectory(e);if(e){this.setProperty("multiple",false)}}return this};b.prototype.setNoDataIllustration=function(e){this._vNoDataIllustration=e;this.getConfig("setDefaultIllustrations");return this};b.prototype.getNoDataIllustration=function(){return this._vNoDataIllustration};b.prototype.getDefaultFileUploader=function(){var e="Upload";if(!this._oFileUploader){this._oFileUploader=new n(this.getId()+"-uploader",{buttonOnly:true,buttonText:e,tooltip:e,iconOnly:false,enabled:this.getUploadEnabled(),icon:"",iconFirst:false,style:"Transparent",name:"UploadSetwithTableFileUploader",sameFilenameAllowed:true,fileType:this.getFileTypes(),mimeType:this.getMediaTypes(),maximumFilenameLength:this.getMaxFileNameLength(),maximumFileSize:this.getMaxFileSize(),multiple:this.getDirectory()?false:this.getMultiple(),useMultipart:false,sendXHR:true,change:[this._onFileUploaderChange,this],typeMissmatch:[this._fireFileTypeMismatch,this],fileSizeExceed:[this._fireFileSizeExceed,this],filenameLengthExceed:[this._fireFilenameLengthExceed,this],visible:!this.getUploadButtonInvisible(),directory:this.getDirectory()})}return this._oFileUploader};b.getIconForFileType=function(e,t){return s._getIconByMimeType(e,t)};b.prototype.registerUploaderEvents=function(e){e.attachUploadStarted(this._onUploadStarted.bind(this));e.attachUploadCompleted(this._onUploadCompleted.bind(this))};b.prototype.fileSelectionHandler=function(){var e=this.getDefaultFileUploader();if(e&&e.oFileUpload&&e.oFileUpload.click){e.oFileUpload.click()}};b.getFileSizeWithUnits=function(e){var t=1024;var i=t*1024;var o=i*1024;if(typeof e==="number"){if(e<i){return(e/t).toFixed(2)+" KB"}else if(e<o){return(e/i).toFixed(2)+" MB"}else{return(e/o).toFixed(2)+" GB"}}return e};b.prototype.uploadItemViaUrl=function(e,t,i){var o=new File([new Blob([])],e);var n=new s({uploadState:U.Ready});n._setFileObject(o);n.setFileName(o.name);n.setUrl(t);i.then(()=>this._initateItemUpload(n).bind(this)).catch(()=>n.destroy());return n};b.prototype.uploadItemWithoutFile=function(e){var t=new File([new Blob([])],"-");var i=new s({uploadState:U.Ready});i._setFileObject(t);i.setFileName(t.name);e.then(()=>this._initateItemUpload(i)).catch(()=>i.destroy());return i};b.prototype.openFilePreview=function(e){const t=this.getRowConfiguration();if(!t){i.error("Row configuration is not set for the plugin. File preview is not possible.");return}this.getConfig("openFilePreview",e)};b.prototype.download=function(e,t){const o=this.getRowConfiguration();if(!o){i.error("Row configuration is not set for the plugin. Download is not possible.");return}this.getConfig("download",{oBindingContext:e,bAskForLocation:t})};b.prototype.renameItem=async function(e){const t=this.getRowConfiguration();if(!t){i.error("Row configuration is not set for the plugin. Rename action is not possible.");return}if(e){const t=await this.getItemForContext(e);const i=this._getFileRenameDialog(t);i.open()}};b.prototype._getFileRenameDialog=function(e){const t=s._splitFileName(e.getFileName());let i=this.getMaxFileNameLength();const o=t.extension?t.extension.length+1:0;i=i?i:0;let n=i-o;n=n<0?0:n;const a=new y({type:r.InputType.Text,value:t.name,width:"75%",maxLength:n,liveChange:[this._handleItemNameValidation,this]});a.addStyleClass("sapUiTinyMarginTop");a.addStyleClass("sapUiMediumMarginBegin");const l=t.extension?`.${t.extension}`:"";const u=new C({text:l});u.addStyleClass("sapUiTinyMarginBegin");u.addStyleClass("sapUiTinyMarginTop");const p=new T({text:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_INPUT_LABEL"),labelFor:a.getId(),required:true});p.addStyleClass("sapUiMediumMarginTop");p.addStyleClass("sapUiMediumMarginBegin");p.addStyleClass("sapUiSmallMarginEnd");const d=new F({items:[p]});var g=new _({title:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_DIALOG_TEXT"),contentWidth:"33.375rem",contentHeight:"10.125rem",content:[d,a,u],beginButton:new P({type:r.ButtonType.Emphasized,text:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_APPLY_BUTTON_TEXT"),press:this._handleItemRenameConfirmation.bind(this),enabled:a.getValueState()!=="Error"}),endButton:new P({text:this._oRb.getText("UPLOADSET_WITH_TABLE_CANCELBUTTON_TEXT"),press:this._handleItemRenameCancel.bind(this)}),customData:{key:"item",value:e},afterClose:function(){g.destroy()},escapeHandler:e=>{e?.reject()}});return g};b.prototype._handleItemRenameCancel=function(e){const t=e.getSource().getParent();const i=t.getContent()[1];const o=t&&t.data?t.data().item:null;const n=s._splitFileName(o.getFileName());if(o&&i&&n.name!==i.getValue()){I.warning(this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_DISCARD_POPUP_CHANGES_TEXT"),{actions:[this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SAVE_BUTTON_TEXT"),this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_DISCARD_CHANGES_BUTTON_TEXT")],emphasizedAction:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SAVE_BUTTON_TEXT"),onClose:e=>{if(e!==this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SAVE_BUTTON_TEXT")){t.close()}else{var i=t.getBeginButton();var o=new m("click",i);i.firePress(o)}}})}else{t.close()}};b.prototype._handleItemRenameConfirmation=function(e){const t=e.getSource().getParent();const i=t.getContent()[1];if(i&&i.getValueState()==="Error"){i.focus(i);i.setShowValueStateMessage(true);return}const o=t&&t.data?t.data().item:null;const n=s._splitFileName(o.getFileName());if(o&&n.name!==i.getValue()){if(n&&n.extension){o.setFileName(i.getValue()+"."+n.extension)}else{o.setFileName(i.getValue())}t.close();this.fireItemRenamed({item:o})}else{t.close()}};b.prototype._handleItemNameValidation=function(e){const t=e.getSource();let i=t.getValue();i=i.trim();if(i===""){t.setProperty("valueState","Error",true);t.setValueStateText(this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_EMPTY_NAME_VALIDATION_ERROR_MESSAGE"));t.setShowValueStateMessage(true);return}const o=new RegExp(/[@#$]/);if(o.test(i)){t.setShowValueStateMessage(true);t.setProperty("valueState","Error",true);t.setValueStateText(this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SPLC_VALIDATION_ERROR_MESSAGE","@#$"))}else{t.setShowValueStateMessage(false);t.setProperty("valueState","None",true)}};b.prototype._onFileUploaderChange=function(e){var t=e.getParameter("files");if(t&&t.length){this._processSelectedFileObjects(t)}};b.prototype._processSelectedFileObjects=function(e){var t=[];for(var o=0;o<e.length;o++){t.push(e[o])}t.forEach(e=>{var o=new s({uploadState:U.Ready});o.setParent(this);o._setFileObject(e);o.setFileName(e.name);if(this.getItemValidationHandler()&&typeof this.getItemValidationHandler()==="function"){const e={oItem:o,iTotalItemsForUpload:t.length,oSource:this};var n=this.getItemValidationHandler()(e);if(n&&n instanceof Promise){n.then(e=>{if(e instanceof s){this._initateItemUpload(e)}}).catch(e=>{if(e&&this._oItemToUpdate&&e instanceof s&&e.getId()===this._oItemToUpdate.getId()){this._oItemToUpdate=null}})}else{o.destroy();i.error("Invalid usage, missing Promise: ItemValidationHandler callback expects Promise to be returned.")}}else{this._initateItemUpload(o)}})};b.prototype._fireFileTypeMismatch=function(e){var t=this.getMediaTypes();var i=this.getFileTypes();var o=e.getParameter("fileType");var n=e.getParameter("mimeType");var a=!!t&&t.length>0&&!!n&&t.indexOf(n)===-1;var l=!!i&&i.length>0&&!!o&&i.indexOf(o)===-1;var r=[new Blob([])];var u={type:e.getParameter("fileType"),webkitRelativePath:"",name:e.getParameter("fileName")};var p=new File(r,e.getParameter("fileName"),u);var d=new s;d._setFileObject(p);d.setFileName(p.name);if(a){this.fireMediaTypeMismatch({item:d})}else if(l){this.fireFileTypeMismatch({item:d})}};b.prototype._fireFilenameLengthExceed=function(e){var t=new s;t.setFileName(e.getParameter("fileName"));this.fireFileNameLengthExceeded({item:t})};b.prototype._fireFileSizeExceed=function(e){var t=new s;t.setFileName(e.getParameter("fileName"));this.fireFileSizeExceeded({item:t})};b.prototype._onUploadStarted=function(e){var t=e.getParameter("item");t.setUploadState(U.Uploading)};b.prototype._onUploadCompleted=function(e){var t=e.getParameter("item"),i=e.getParameter("responseXHR"),o=null;if(i.responseXML){o=i.responseXML.documentElement.textContent}var n={item:t,response:i.response,responseXML:o,responseText:i.responseText,readyState:i.readyState,status:i.status,headers:i.headers};if(this._oItemToUpdate){this._oItemToUpdate.setFileName(t.getFileName());this._oItemToUpdate._setFileObject(t.getFileObject());this._oItemToUpdate=null}t.setUploadState(U.Complete);this.fireUploadCompleted(n)};b.prototype._uploadItemIfGoodToGo=function(e){if(e.getUploadState()===U.Ready&&!e._isRestricted()){if(this.fireBeforeUploadStarts({item:e})){const t=this.getHeaderFields()?.length?this.getHeaderFields():[];const i=e.getHeaderFields()?.length?e.getHeaderFields():[];const o=[...t,...i];this._getActiveUploader().uploadItem(e,o)}}};b.prototype._getActiveUploader=function(){return this.getUploader()||this._getImplicitUploader()};b.prototype._getImplicitUploader=function(){if(!this._oUploader){this._oUploader=new g({httpRequestMethod:this.getHttpRequestMethod()});this._oUploader.setUploadUrl(this.getUploadUrl());this.registerUploaderEvents(this._oUploader);this.addDependent(this._oUploader)}return this._oUploader};b.prototype._initateItemUpload=function(e){this.fireBeforeInitiatingItemUpload({item:e});if(this._oItemToUpdate){this._oItemToUpdate=e}this._uploadItemIfGoodToGo(e)};b.prototype._onDropFile=function(e){e.preventDefault();if(!this.getUploadEnabled()){i.error("Upload is not enabled, to continue uploading with drag and drop of files enable property 'UploadEnabled' ");return}let t=e.getParameter("browserEvent")?.dataTransfer?.items||[];t=Array.from(t);t=t.filter(function(e){return e.webkitGetAsEntry()?true:false});const o=t.map(function(e){const t=e.webkitGetAsEntry();return{entryType:t&&t.isFile?"File":"Directory"}});if(t&&t.length>1&&!this.getMultiple()&&!this.getDirectory()){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_MULTIPLE_RESTRICTED");i.warning("Multiple files upload is retsricted for this multiple property set");I.error(e);return}else if(t&&t.length>1&&this.getMultiple()&&!n("File",o)){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_DIRECTORY_RESTRICTED");i.warning("Multiple files upload is retsricted, drag & drop only files");I.error(e);return}if(t&&t.length&&!this.getDirectory()&&n("Directory",o)){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_DIRECTORY_RESTRICTED");i.warning("Directory of files upload is retsricted for this directory property set");I.error(e);return}else if(t&&t.length&&this.getDirectory()&&!n("Directory",o)){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_DROP_DIRECTORY_ALLOWED");i.warning("Directory of files upload is retsricted, drag & drop only directories here.");I.error(e);return}if(t&&t.length){this._getFilesFromDataTransferItems(t).then(e=>{const t=this.getDefaultFileUploader();if(e&&e.length&&t?._areFilesAllowed(e)){this._processSelectedFileObjects(e)}})}function n(e,t){return t.every(function(t){return t.entryType===e})}};b.prototype._onDragEnterFile=function(e){var t=e.getParameter("dragSession");var i=t.getDragControl();if(i){e.preventDefault()}};b.prototype._getFilesFromDataTransferItems=function(e){const t=[];return new Promise((o,n)=>{const a=[];for(let t=0;t<e.length;t++){a.push(i(e[t]?.webkitGetAsEntry()))}Promise.all(a).then(e=>{o(t)},e=>{n(e)})});function i(e){return new Promise((o,n)=>{if(e.isFile){e.file(e=>{t.push(e);o(e)},e=>{n(e)})}else if(e.isDirectory){const t=e.createReader();t.readEntries(function(e){const t=[];for(let o=0;o<e.length;o++){t.push(i(e[o]))}o(Promise.all(t))})}})}};b.prototype._getCloudFilePickerButton=function(){this._oCloudFilePickerButton=new P({text:this.getCloudFilePickerButtonText()?this.getCloudFilePickerButtonText():this._oRb.getText("UPLOAD_SET_DEFAULT_CFP_BUTTON_TEXT"),press:this._invokeCloudFilePicker.bind(this)});return this._oCloudFilePickerButton};b.prototype._itemSelectedCallback=function(e){var t=e.getParameter("item");switch(t.getText()){case this.getCloudFilePickerButtonText()?this.getCloudFilePickerButtonText():this._oRb.getText("UPLOAD_SET_DEFAULT_CFP_BUTTON_TEXT"):this._oMenuButton.detachEvent("defaultAction",this.fileSelectionHandler.bind(this)).attachEvent("defaultAction",this._invokeCloudFilePicker.bind(this));this._invokeCloudFilePicker();this._oMenuButton.setText(t.getText());break;case this._oRb.getText("UPLOAD_SET_DEFAULT_LFP_BUTTON_TEXT"):this._oMenuButton.detachEvent("defaultAction",this._invokeCloudFilePicker.bind(this)).attachEvent("defaultAction",this.fileSelectionHandler.bind(this));this.fileSelectionHandler();this._oMenuButton.setText(t.getText());break}};b.prototype._invokeCloudFilePicker=function(){var e=null;if(this._cloudFilePickerControl){e=this._getCloudFilePickerInstance();e.open()}else{this._loadCloudFilePickerDependency().then(t=>{this._cloudFilePickerControl=t;e=this._getCloudFilePickerInstance();e.open()}).catch(e=>{i.error(e)})}return e};b.prototype._onCloudPickerFileChange=function(e){var t=e.getParameters();var i=[];if(t&&t.selectedFiles){t.selectedFiles.forEach(e=>{i.push(this._createFileFromCloudPickerFile(e))})}this._processNewCloudPickerFileObjects(i)};b.prototype._createFileFromCloudPickerFile=function(e){var t=[new Blob([])];var i={type:e.getFileShareItemContentType(),size:e.getFileShareItemContentSize(),webkitRelativePath:"",name:e.getFileShareItemName()};var o=new File(t,e.getFileShareItemName(),i);return{file:o,fileShareProperties:e.mProperties}};b.prototype._processNewCloudPickerFileObjects=function(e){e.forEach(t=>{var o=t.file;const n=t.fileShareProperties;var a=new s({uploadState:U.Ready});a.setParent(this);a._setFileObject(o);a.setFileName(o.name);if(o&&n){a._setCloudFileInfo(n)}if(this.getItemValidationHandler()&&typeof this.getItemValidationHandler()==="function"){const t={oItem:a,iTotalItemsForUpload:e.length,oSource:this};var l=this.getItemValidationHandler()(t);if(l&&l instanceof Promise){l.then(e=>{if(e instanceof s){this._initateItemUpload(e)}}).catch(e=>{if(e&&this._oItemToUpdate&&e instanceof s&&e.getId()===this._oItemToUpdate.getId()){this._oItemToUpdate=null}})}else{a.destroy();i.error("Invalid usage, missing Promise: ItemValidationHandler callback expects Promise to be returned.")}}else{this._initateItemUpload(a)}})};b.prototype._loadCloudFilePickerDependency=function(){return new Promise((e,t)=>{D.loadLibrary("sap.suite.ui.commons",{async:true}).then(function(i){sap.ui.require(["sap/suite/ui/commons/CloudFilePicker"],function(t){e(t)},function(e){t(e)})}).catch(function(){t("CloudFilePicker Control not available.")})})};b.prototype._initiateFilePreview=function(e,i){if(!this.getPreviewDialog()){const e=new h;this.setPreviewDialog(e)}this._filePreviewDialogControl=t.getElementById(this.getPreviewDialog());if(this._filePreviewDialogControl){this._filePreviewDialogControl._previewItem=e;this._filePreviewDialogControl._items=i;this._filePreviewDialogControl._open()}};b.prototype._getActionToReplacePlaceholder=function(e){switch(e){case E.UploadButtonPlaceholder:return!this.getUploadButtonInvisible()?this.getDefaultFileUploader():null;case E.CloudFilePickerButtonPlaceholder:return this.getCloudFilePickerEnabled()?this._getCloudFilePickerButton():null;default:break}return null};b.prototype._setActions=function(){const e=this.getActions();e.forEach(e=>{const i=t.getElementById(e);i?.setAggregation("_actionButton",this._getActionToReplacePlaceholder(i.getPlaceholderFor()),true)})};b.prototype._initiateFileDownload=function(e,t){return this._getActiveUploader?this._getActiveUploader().download(e,[],t):false};b.prototype._getDefaultNoDataIllustration=function(){const e=new p({illustrationType:u.UploadCollection,illustrationSize:d.Spot,title:this._oRb.getText("UPLOADSET_WITH_TABLE_NO_DATA_TEXT"),description:this._oRb.getText("UPLOADSET_WITH_TABLE_NO_DATA_DESCRIPTION")});e.addStyleClass("sapMUSTP-IllustratedMessage-container");return e};b.prototype.getItemsMap=function(e){return new Promise((t,i)=>{const o=e.map(async e=>{const t=await this.getItemForContext(e);return t});Promise.all(o).then(e=>t(e))})};b.prototype.getItemForContext=async function(e,t=false){const i=this.getConfig("getModelName");const o=this.getRowConfiguration();const n=new s({customData:[new sap.ui.core.CustomData({key:"path",value:e.getPath()}),new sap.ui.core.CustomData({key:"context",value:e})]});n.setParent(this);if(i){n.setBindingContext(e,i)}else{n.setBindingContext(e)}if(o?._fileNameValidator(e)){await this.bindItemProperty(n,{property:"fileName",propertyPath:o.getFileNamePath(),modelName:i,value:e?.getProperty(o.getFileNamePath())},t)}if(o?._urlValidator(e)){await this.bindItemProperty(n,{property:"url",propertyPath:o.getUrlPath(),modelName:i,value:e?.getProperty(o.getUrlPath())},t)}if(o?._mediaTypeValidator(e)){await this.bindItemProperty(n,{property:"mediaType",propertyPath:o.getMediaTypePath(),modelName:i,value:e?.getProperty(o.getMediaTypePath())},t)}if(o?._uploadUrlValidator(e)){await this.bindItemProperty(n,{property:"uploadUrl",propertyPath:o.getUploadUrlPath(),modelName:i,value:e?.getProperty(o.getUploadUrlPath())},t)}if(o?._previewableValidator(e)){await this.bindItemProperty(n,{property:"previewable",propertyPath:o.getPreviewablePath(),modelName:i,value:e?.getProperty(o.getPreviewablePath())},t)}if(o?._fileSizeValidator(e)){await this.bindItemProperty(n,{property:"fileSize",propertyPath:o.getFileSizePath(),modelName:i,value:e?.getProperty(o.getFileSizePath())},t)}if(o?._isTrustedSourcePathValidator(e)){await this.bindItemProperty(n,{property:"isTrustedSource",propertyPath:o.getIsTrustedSourcePath(),modelName:i,value:e?.getProperty(o?.getIsTrustedSourcePath())},t)}return n};b.prototype.bindItemProperty=function(e,t,i=false){const{property:o,propertyPath:n,modelName:a}=t;return new Promise((s,l)=>{let r={path:a?`${a}>${n}`:n,mode:sap.ui.model.BindingMode.TwoWay,events:{change:function(){e?.getBinding(o)?.detachChange(e=>{});s()}}};r=i?Object.assign(r,{value:t?.value}):r;e.bindProperty(o,r)})};e.setConfigs({"sap.ui.mdc.Table":{_oPluginInstance:null,_oControlInstance:null,_sModelName:undefined,_bIsTableBound:false,setPluginInstance:function(e){this._oPluginInstance=e},getPluginInstance:function(){return this._oPluginInstance},setControlInstance:function(e){this._oControlInstance=e},getControlInstance:function(){return this._oControlInstance},setPluginDefaultSettings:function(){this.setDragDropConfig();this.setDefaultIllustrations()},setIsTableBound:function(e){const t=e?._oTable;if(t&&(t?.getBinding("rows")||t?.getBinding("items"))){this._bIsTableBound=true}else{this._bIsTableBound=false}},getIsTableBound:function(){return this._bIsTableBound},setModelName:function(e){const t=e?._oTable;if(t?.isA("sap.m.Table")){this._sModelName=t?.getBindingInfo("items")?.model}else if(t?.isA("sap.ui.table.Table")){this._sModelName=t?.getBindingInfo("rows")?.model}},getModelName:function(){return this._sModelName},setDragDropConfig:function(){sap.ui.require(["sap/ui/mdc/table/DragDropConfig"],e=>{const t=this.getPluginInstance();const i=this.getControlInstance();const o=t._oDragDropConfig=new e({droppable:true});o.attachDrop(t._onDropFile.bind(t));i.addDragDropConfig(o)},()=>{i.error("Failed to load MDC library for Drag and Drop configuration.")})},setDefaultIllustrations:function(){const e=this.getPluginInstance();const t=this.getControlInstance();const i=e?.getNoDataIllustration();if(t&&e){if(!i){e._illustratedMessage=e._getDefaultNoDataIllustration()}else{e._illustratedMessage=i}t.setNoData(e._illustratedMessage)}},cleanupPluginInstanceSettings:function(){const e=this.getPluginInstance();const t=this.getControlInstance();if(t){t.setNoData(null)}if(e){e.setPreviewDialog(null);e._illustratedMessage=null}if(e._oDragDropConfig&&t){t.removeDragDropConfig(e._oDragDropConfig);e._oDragDropConfig=null}},openFilePreview:async function(e){const t=this.getPluginInstance();const i=this.getControlInstance();const o=t.getRowConfiguration();const n=this.getTableContexts(i?._oTable);let a=[];if(n?.length){a=await t.getItemsMap(n,o);const i=a.find(t=>t?.data("path")===e.getPath());if(i){t._initiateFilePreview(i,a)}}},download:async function(e){const{oBindingContext:t,bAskForLocation:i}=e;const o=this.getPluginInstance();const n=await o.getItemForContext(t);if(n&&n.getUrl()){return o._initiateFileDownload(n,i)}return false},getTableContexts:function(e){if(e?.isA("sap.m.Table")){return e.getBinding("items").getContexts()}else if(e?.isA("sap.ui.table.Table")){return e?.getBinding("rows")?.getContexts()}return null}},"sap.m.Table":{_oPluginInstance:null,_oControlInstance:null,_sModelName:undefined,_bIsTableBound:false,setPluginInstance:function(e){this._oPluginInstance=e},getPluginInstance:function(){return this._oPluginInstance},setControlInstance:function(e){this._oControlInstance=e},getControlInstance:function(){return this._oControlInstance},setPluginDefaultSettings:function(){this.setDragDropConfig();this.setDefaultIllustrations()},setIsTableBound:function(e){if(e?.getBinding("items")){this._bIsTableBound=true}else{this._bIsTableBound=false}},getIsTableBound:function(){return this._bIsTableBound},setModelName:function(e){if(e?.isA("sap.m.Table")){this._sModelName=e?.getBindingInfo("items")?.model}},getModelName:function(){return this._sModelName},setDragDropConfig:function(){const e=this.getPluginInstance();const t=this.getControlInstance();var i=new c({sourceAggregation:"items",targetAggregation:"items"});var o=new f({dropEffect:"Move",dropPosition:"OnOrBetween",dragEnter:[e?._onDragEnterFile,e],drop:[e?._onDropFile,e]});t?.addDragDropConfig(i);t?.addDragDropConfig(o)},setDefaultIllustrations:function(){const e=this.getPluginInstance();const t=this.getControlInstance();const i=e?.getNoDataIllustration();if(t&&e){if(!i){e._illustratedMessage=e._getDefaultNoDataIllustration()}else{e._illustratedMessage=i}t.setNoData(e._illustratedMessage)}},cleanupPluginInstanceSettings:function(){const e=this.getPluginInstance();const t=this.getControlInstance();if(t){t.setNoData(null)}if(e){e.setPreviewDialog(null);e._illustratedMessage=null}if(e._oDragDropConfig&&t){t.removeDragDropConfig(e._oDragDropConfig);e._oDragDropConfig=null}},openFilePreview:async function(e){const t=this.getPluginInstance();const i=this.getControlInstance();const o=t.getRowConfiguration();const n=this.getTableContexts(i);let a=[];if(n?.length){a=await t.getItemsMap(n,o)}const s=a.find(t=>t?.data("path")===e.getPath());if(s){t._initiateFilePreview(s,a)}},download:async function(e){const{oBindingContext:t,bAskForLocation:i}=e;const o=this.getPluginInstance();const n=await o.getItemForContext(t);if(n&&n.getUrl()){return o._initiateFileDownload(n,i)}return false},getTableContexts:function(e){return e?.getBinding("items")?.getContexts()||null}},"sap.ui.table.Table":{_oPluginInstance:null,_oControlInstance:null,_sModelName:undefined,_bIsTableBound:false,setPluginInstance:function(e){this._oPluginInstance=e},getPluginInstance:function(){return this._oPluginInstance},setControlInstance:function(e){this._oControlInstance=e},getControlInstance:function(){return this._oControlInstance},setPluginDefaultSettings:function(){this.setDragDropConfig();this.setDefaultIllustrations()},setIsTableBound:function(e){if(e?.getBinding("rows")){this._bIsTableBound=true}else{this._bIsTableBound=false}},getIsTableBound:function(){return this._bIsTableBound},setModelName:function(e){if(e?.isA("sap.ui.table.Table")){this._sModelName=e?.getBindingInfo("rows")?.model}},getModelName:function(){return this._sModelName},setDragDropConfig:function(){const e=this.getPluginInstance();const t=this.getControlInstance();var i=new c({sourceAggregation:"rows",targetAggregation:"rows"});var o=new f({dropEffect:"Move",dropPosition:"OnOrBetween",dragEnter:[e?._onDragEnterFile,e],drop:[e?._onDropFile,e]});t?.addDragDropConfig(i);t?.addDragDropConfig(o)},setDefaultIllustrations:function(){const e=this.getPluginInstance();const t=this.getControlInstance();const i=e?.getNoDataIllustration();if(t&&e){if(!i){e._illustratedMessage=e._getDefaultNoDataIllustration()}else{e._illustratedMessage=i}t.setNoData(e._illustratedMessage)}},cleanupPluginInstanceSettings:function(){const e=this.getPluginInstance();const t=this.getControlInstance();if(t){t.setNoData(null)}if(e){e.setPreviewDialog(null);e._illustratedMessage=null}if(e._oDragDropConfig&&t){t.removeDragDropConfig(e._oDragDropConfig);e._oDragDropConfig=null}},openFilePreview:async function(e){const t=this.getPluginInstance();const i=this.getControlInstance();const o=t.getRowConfiguration();const n=this.getTableContexts(i);let a=[];if(n?.length){a=await t.getItemsMap(n,o);const i=a.find(t=>t?.data("path")===e.getPath());if(i){t._initiateFilePreview(i,a)}}},download:async function(e){const{oBindingContext:t,bAskForLocation:i}=e;const o=this.getPluginInstance();const n=await o.getItemForContext(t);if(n&&n.getUrl()){return o._initiateFileDownload(n,i)}return false},getTableContexts:function(e){return e?.getBinding("rows")?.getContexts()||null}}},b);return b});
//# sourceMappingURL=UploadSetwithTable.js.map