/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/InstanceManager","sap/m/NavContainer","sap/m/SplitContainer","sap/ui/base/Object","sap/ui/core/routing/History","sap/ui/Device","sap/base/Log"],function(e,t,i,o,a,r,n){"use strict";var s={onAfterShow:function(e){this.getParent().hidePlaceholder({});this.removeEventDelegate(s)}};var l=o.extend("sap.m.routing.TargetHandler",{constructor:function(e){this._aQueue=[];this._oNavigationOrderPromise=Promise.resolve();if(e===undefined){this._bCloseDialogs=true}else{this._bCloseDialogs=!!e}}});l.prototype.setCloseDialogs=function(e){this._bCloseDialogs=!!e;return this};l.prototype.getCloseDialogs=function(){return this._bCloseDialogs};l.prototype.addNavigation=function(e){this._aQueue.push(e)};l.prototype.navigate=function(e){var t=this._groupNavigation(),i=this._createResultingNavigations(e.navigationIdentifier,t),o=false,a=this._getDirection(e),r;while(i.length){r=this._applyNavigationResult(i.shift().oParams,a);o=o||r}if(o){this._closeDialogs()}};l.prototype._chainNavigation=function(e,t){var i=this._oNavigationOrderPromise.then(e);this._oNavigationOrderPromise=i.catch(function(e){n.error("The following error occurred while displaying routing target with name '"+t+"': "+e)});return i};l.prototype._getDirection=function(e){var t=e.level,i=a.getInstance(),o=false;if(e.direction==="Backwards"){o=true}else if(isNaN(t)||isNaN(this._iCurrentLevel)||t===this._iCurrentLevel){if(e.askHistory){o=i.getDirection()==="Backwards"}}else{o=t<this._iCurrentLevel}this._iCurrentLevel=t;return o};l.prototype._groupNavigation=function(){var e,t,i,o,a=[],r;while(this._aQueue.length){e=this._aQueue.shift();t=e.targetControl;i=e.aggregationName;if(!e.preservePageInSplitContainer){for(r=0;r<a.length;r++){o=a[r];if(t!==o.targetControl||i!==o.aggregationName){continue}a.splice(r,1);break}}a.push(e)}return a};l.prototype._createResultingNavigations=function(e,t){var o,a,n,s,l=[],g,c,h,f;while(t.length){a=t.shift();n=a.targetControl;c=n instanceof i;g=a.view;s={oContainer:n,oParams:a};if(c){s.bIsMasterPage=!!n.getMasterPage(g.getId())}h=c&&a.preservePageInSplitContainer&&n.getCurrentPage(s.bIsMasterPage)&&e!==a.navigationIdentifier;for(o=0;o<l.length;o++){f=l[o];if(f.oContainer!==n){continue}if(c){if(r.system.phone){l.splice(o,1);break}else if(f.bIsMasterPage===s.bIsMasterPage){if(!h){l.splice(o,1)}break}}}if(!h){l.push(s)}}return l};l.prototype._applyNavigationResult=function(e,o){var a=e.targetControl,r,l=e.eventData,g=e.placeholderShown?"show":e.transition||"",c=e.transitionParameters,h=e.view&&e.view.getId(),f=a instanceof i&&!!a.getMasterPage(h),u=(a instanceof i||a instanceof t)&&e.view,p,d;if(e.placeholderConfig){p=e.placeholderConfig.autoClose;d=e.placeholderConfig.container}if(!u){if(d&&p&&d.hidePlaceholder){d.hidePlaceholder(e.placeholderConfig)}return false}if(a.getDomRef()&&a.getCurrentPage(f).getId()===h){if(p&&d&&d.hidePlaceholder){d.hidePlaceholder(e.placeholderConfig)}n.info("navigation to view with id: "+h+" is skipped since it already is displayed by its targetControl","sap.m.routing.TargetHandler");return false}else if(p){e.view.addEventDelegate(s,e.view)}n.info("navigation to view with id: "+h+" the targetControl is "+a.getId()+" backwards is "+o);if(o){r=a.getPreviousPage(f);if(!r||r.getId()!==h){a.insertPreviousPage(h,g,l)}a.backToPage(h,l,c)}else{a.to(h,g,l,c)}return true};l.prototype._closeDialogs=function(){if(!this._bCloseDialogs){return}if(e.hasOpenPopover()){e.closeAllPopovers()}if(e.hasOpenDialog()){e.closeAllDialogs()}if(e.hasOpenLightBox()){e.closeAllLightBoxes()}};l.prototype.showPlaceholder=function(e){var t=e.container,i=true,o;if(e.object&&!(e.object instanceof Promise)){o=e.object}if(e.container&&typeof e.container.needPlaceholder==="function"){i=e.container.needPlaceholder(e.aggregation,o)}if(i){return t.showPlaceholder(e)}else{return Promise.resolve()}};return l});
//# sourceMappingURL=TargetHandler.js.map