/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","sap/m/library","sap/m/OverflowToolbarLayoutData","sap/ui/core/IconPool","sap/ui/core/InvisibleText","sap/ui/core/Messaging","sap/ui/core/Lib"],function(t,e,o,n,i,r,s){"use strict";var a=e.ButtonType;var g=e.PlacementType;var c=e.semantic.SemanticRuleSetType;var p=e.OverflowToolbarPriority;var u=t.extend("sap.m.semantic.SemanticConfiguration",{getInterface:function(){return this}});u.prototype._PositionInPage={headerLeft:"headerLeft",headerRight:"headerRight",headerMiddle:"headerMiddle",footerLeft:"footerLeft",footerRight_IconOnly:"footerRight_IconOnly",footerRight_TextOnly:"footerRight_TextOnly",shareMenu:"shareMenu"};u._PageMode={display:"display",edit:"edit",multimode:"multimode"};u.isKnownSemanticType=function(t){return u.getConfiguration(t)!=undefined};u.getConfiguration=function(t){return u._oTypeConfigs[t]};u.getSettings=function(t){return u._oTypeConfigs[t].getSettings()};u.getPositionInPage=function(t){return u._oTypeConfigs[t].position};u.getSequenceOrderIndex=function(t){return u._oTypeConfigs[t].order};u.getAriaId=function(t){return u._oTypeConfigs[t].getSettings().ariaLabelledBy};u.getShareMenuConfig=function(t){switch(t){case c.Classic:return{baseButtonPlacement:g.Bottom,actionSheetPlacement:g.Top};case c.Optimized:return{baseButtonPlacement:g.Top,actionSheetPlacement:g.Bottom}}};u._oTypeConfigs=function(){var t={},e=s.getResourceBundleFor("sap.m");t["sap.m.semantic.MultiSelectAction"]={position:u.prototype._PositionInPage.headerRight,getSettings:function(){return{icon:n.getIconURI("multi-select"),tooltip:e.getText("SEMANTIC_CONTROL_MULTI_SELECT")}}};t["sap.m.semantic.MainAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:a.Emphasized,layoutData:new o({priority:p.NeverOverflow})}},order:0};t["sap.m.semantic.EditAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,triggers:u._PageMode.edit,getSettings:function(){return{text:e.getText("SEMANTIC_CONTROL_EDIT"),type:a.Emphasized,layoutData:new o({priority:p.NeverOverflow})}},order:1};t["sap.m.semantic.SaveAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,triggers:u._PageMode.display,getSettings:function(){return{text:e.getText("SEMANTIC_CONTROL_SAVE"),type:a.Emphasized,layoutData:new o({priority:p.NeverOverflow})}},order:3};t["sap.m.semantic.DeleteAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,triggers:u._PageMode.display,getSettings:function(){return{text:e.getText("SEMANTIC_CONTROL_DELETE"),layoutData:new o({priority:p.NeverOverflow})}},order:4};t["sap.m.semantic.PositiveAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:a.Accept,layoutData:new o({priority:p.NeverOverflow})}},order:5};t["sap.m.semantic.NegativeAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:a.Reject,layoutData:new o({priority:p.NeverOverflow})}},order:6};t["sap.m.semantic.CancelAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,triggers:u._PageMode.display,getSettings:function(){return{text:e.getText("SEMANTIC_CONTROL_CANCEL")}},order:7};t["sap.m.semantic.ForwardAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{text:e.getText("SEMANTIC_CONTROL_FORWARD")}},order:8};t["sap.m.semantic.OpenInAction"]={position:u.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{text:e.getText("SEMANTIC_CONTROL_OPEN_IN")}},order:9};t["sap.m.semantic.AddAction"]={position:u.prototype._PositionInPage.footerRight_IconOnly,triggers:u._PageMode.edit,getSettings:function(){return{icon:n.getIconURI("add"),text:e.getText("SEMANTIC_CONTROL_ADD")}},order:0,constraints:"IconOnly"};t["sap.m.semantic.FavoriteAction"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("favorite"),text:e.getText("SEMANTIC_CONTROL_FAVORITE")}},order:1,constraints:"IconOnly"};t["sap.m.semantic.FlagAction"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("flag"),text:e.getText("SEMANTIC_CONTROL_FLAG")}},order:2,constraints:"IconOnly"};t["sap.m.semantic.ISort"]={position:u.prototype._PositionInPage.footerRight_IconOnly,order:3};t["sap.m.semantic.IFilter"]={position:u.prototype._PositionInPage.footerRight_IconOnly,order:4};t["sap.m.semantic.IGroup"]={position:u.prototype._PositionInPage.footerRight_IconOnly,order:5};t["sap.m.semantic.SortAction"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("sort"),text:e.getText("SEMANTIC_CONTROL_SORT")}},constraints:"IconOnly"};t["sap.m.semantic.SortSelect"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("sort"),type:"IconOnly",autoAdjustWidth:true,tooltip:e.getText("SEMANTIC_CONTROL_SORT")}},getEventDelegates:function(t){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":"listbox"})}.bind(t)}},constraints:"IconOnly"};t["sap.m.semantic.FilterAction"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("filter"),text:e.getText("SEMANTIC_CONTROL_FILTER")}},constraints:"IconOnly"};t["sap.m.semantic.FilterSelect"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("filter"),type:"IconOnly",autoAdjustWidth:true,tooltip:e.getText("SEMANTIC_CONTROL_FILTER")}},getEventDelegates:function(t){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":"listbox"})}.bind(t)}},constraints:"IconOnly"};t["sap.m.semantic.GroupAction"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("group-2"),text:e.getText("SEMANTIC_CONTROL_GROUP")}},constraints:"IconOnly"};t["sap.m.semantic.GroupSelect"]={position:u.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:n.getIconURI("group-2"),type:"IconOnly",autoAdjustWidth:true,tooltip:e.getText("SEMANTIC_CONTROL_GROUP")}},getEventDelegates:function(t){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":"listbox"})}.bind(t)}},constraints:"IconOnly"};t["saveAsTileAction"]={position:u.prototype._PositionInPage.shareMenu,order:0,constraints:"IconOnly"};t["pagingAction"]={position:u.prototype._PositionInPage.headerRight};t["sap.m.semantic.DiscussInJamAction"]={position:u.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:n.getIconURI("discussion-2"),text:e.getText("SEMANTIC_CONTROL_DISCUSS_IN_WORK_ZONE")}},order:1,constraints:"IconOnly"};t["sap.m.semantic.ShareInJamAction"]={position:u.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:n.getIconURI("share-2"),text:e.getText("SEMANTIC_CONTROL_SHARE_ON_WORK_ZONE")}},order:2,constraints:"IconOnly"};t["sap.m.semantic.SendMessageAction"]={position:u.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:n.getIconURI("discussion"),text:e.getText("SEMANTIC_CONTROL_SEND_MESSAGE")}},order:3,constraints:"IconOnly"};t["sap.m.semantic.SendEmailAction"]={position:u.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:n.getIconURI("email"),text:e.getText("SEMANTIC_CONTROL_SEND_EMAIL")}},order:4,constraints:"IconOnly"};t["sap.m.semantic.PrintAction"]={position:u.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:n.getIconURI("print"),text:e.getText("SEMANTIC_CONTROL_PRINT")}},order:5,constraints:"IconOnly"};t["sap.m.semantic.MessagesIndicator"]={position:u.prototype._PositionInPage.footerLeft,getSettings:function(){return{icon:n.getIconURI("message-popup"),text:{path:"message>/",formatter:function(t){return t.length||0}},tooltip:{path:"message>/",formatter:function(t){return e.getText("SEMANTIC_CONTROL_MESSAGES_INDICATOR",[t?.length||0])}},type:a.Emphasized,visible:{path:"message>/",formatter:function(t){return t&&t.length>0}},models:{message:r.getMessageModel()},layoutData:new o({priority:p.NeverOverflow})}}};t["draftIndicator"]={position:u.prototype._PositionInPage.footerLeft,getSettings:function(){return{layoutData:new o({shrinkable:false})}},order:1};return t}();return u});
//# sourceMappingURL=SemanticConfiguration.js.map