/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/semantic/SemanticPage","sap/m/semantic/SemanticConfiguration","sap/m/semantic/SemanticPageRenderer","sap/m/semantic/SegmentedContainer","sap/m/semantic/ShareMenu","sap/m/ActionSheet","sap/m/library"],function(e,t,n,i,o,a,r){"use strict";var s=r.PlacementType;var u=e.extend("sap.m.semantic.ShareMenuPage",{metadata:{library:"sap.m",aggregations:{customShareMenuContent:{type:"sap.m.Button",multiple:true,singularName:"customShareMenuContent"},_actionSheet:{type:"sap.m.ActionSheet",multiple:false,visibility:"hidden"}},designtime:"sap/m/designtime/semantic/ShareMenuPage.designtime"},renderer:n});u.prototype._getSemanticPositionsMap=function(n,i){if(!this._oPositionsMap){this._oPositionsMap=e.prototype._getSemanticPositionsMap.apply(this,arguments);this._oPositionsMap[t.prototype._PositionInPage.shareMenu]={oContainer:this._getSegmentedShareMenu().getSection("semantic"),sAggregation:"content"}}return this._oPositionsMap};u.prototype.exit=function(){e.prototype.exit.apply(this,arguments);if(this._oSegmentedShareMenu){this._oSegmentedShareMenu.destroy();this._oSegmentedShareMenu=null}};u.prototype.getCustomShareMenuContent=function(){return this._getSegmentedShareMenu().getSection("custom").getContent()};u.prototype.addCustomShareMenuContent=function(e,t){this._getSegmentedShareMenu().getSection("custom").addContent(e,t);return this};u.prototype.indexOfCustomShareMenuContent=function(e){return this._getSegmentedShareMenu().getSection("custom").indexOfContent(e)};u.prototype.insertCustomShareMenuContent=function(e,t,n){this._getSegmentedShareMenu().getSection("custom").insertContent(e,t,n);return this};u.prototype.removeCustomShareMenuContent=function(e,t){return this._getSegmentedShareMenu().getSection("custom").removeContent(e,t)};u.prototype.removeAllCustomShareMenuContent=function(e){return this._getSegmentedShareMenu().getSection("custom").removeAllContent(e)};u.prototype.destroyCustomShareMenuContent=function(e){var t=this.getCustomShareMenuContent();if(!t){return this}if(e){this.iSuppressInvalidate++}this._getSegmentedShareMenu().getSection("custom").destroy();if(!this.isInvalidateSuppressed()){this.invalidate()}if(e){this.iSuppressInvalidate--}return this};u.prototype.setSemanticRuleSet=function(e){var n=this.getSemanticRuleSet();if(n===e){return this}this.setProperty("semanticRuleSet",e,true);var i=t.getShareMenuConfig(n),o=this._getShareBaseButtonContainer(i.baseButtonPlacement).getSection("shareMenu");if(o){this._moveShareMenu(i,t.getShareMenuConfig(this.getSemanticRuleSet()))}return this};u.prototype._moveShareMenu=function(e,t){var n=this._getShareBaseButtonContainer(e.baseButtonPlacement).getSection("shareMenu"),i=n&&n.removeAllContent(),o=i.length&&i[0];this._placeShareMenu(o,t)};u.prototype._getActionSheet=function(){var e=this.getAggregation("_actionSheet");if(!e){this.setAggregation("_actionSheet",new a,true);e=this.getAggregation("_actionSheet")}return e};u.prototype._getSegmentedShareMenu=function(){if(!this._oSegmentedShareMenu){var e=new o(this._getActionSheet());var n=e.getBaseButton();if(e&&n){this._oSegmentedShareMenu=new i(e);this._oSegmentedShareMenu.addSection({sTag:"custom"});this._oSegmentedShareMenu.addSection({sTag:"semantic"});this._placeShareMenu(n,t.getShareMenuConfig(this.getSemanticRuleSet()))}}return this._oSegmentedShareMenu};u.prototype._placeShareMenu=function(e,t){var n=t.baseButtonPlacement,i=t.actionSheetPlacement;var o=this._getShareBaseButtonContainer(n),a=o.getSection("shareMenu");if(!a){o.addSection({sTag:"shareMenu"});a=o.getSection("shareMenu")}if(e){a.addContent(e)}this._getActionSheet().setPlacement(i)};u.prototype._getShareBaseButtonContainer=function(e){return e===s.Bottom?this._getSegmentedFooter():this._getSegmentedHeader()};return u});
//# sourceMappingURL=ShareMenuPage.js.map