/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/Table","sap/m/ToolbarSpacer","sap/m/upload/UploadSetwithTableRenderer","sap/ui/core/Lib","sap/ui/unified/FileUploader","sap/m/upload/UploaderHttpRequestMethod","sap/m/OverflowToolbar","sap/m/upload/UploadSetwithTableItem","sap/base/util/deepEqual","sap/base/Log","sap/m/library","sap/m/IllustratedMessageType","sap/m/IllustratedMessage","sap/m/IllustratedMessageSize","sap/m/upload/UploaderTableItem","sap/ui/core/dnd/DragDropInfo","sap/ui/core/dnd/DropInfo","sap/m/upload/FilePreviewDialog","sap/ui/base/Event","sap/m/Dialog","sap/m/Label","sap/m/Input","sap/m/MessageBox","sap/m/Button","sap/ui/core/Core","sap/ui/fl/variants/VariantManagement","sap/m/upload/p13n/PersManager","sap/m/upload/p13n/mediator/ColumnsMediator","sap/m/upload/p13n/mediator/SortMediator","sap/m/upload/p13n/mediator/GroupMediator","sap/m/upload/p13n/mediator/FilterMediator","sap/ui/core/mvc/XMLView","sap/ui/core/Element","sap/m/MenuButton","sap/m/MenuItem","sap/m/Menu"],function(e,t,i,o,a,r,l,s,n,p,d,u,h,g,c,_,f,m,T,y,b,F,E,U,P,I,D,C,M,S,v,A,w,x,N,R){"use strict";var L=d.MenuButtonMode;var B=e.extend("sap.m.upload.UploadSetwithTable",{metadata:{library:"sap.m",properties:{fileTypes:{type:"string[]",defaultValue:null},maxFileNameLength:{type:"int",defaultValue:null},maxFileSize:{type:"float",defaultValue:null},mediaTypes:{type:"string[]",defaultValue:null},noDataText:{type:"string",defaultValue:"No documents available"},noDataDescription:{type:"string",defaultValue:"Drag and drop files here to upload"},uploadUrl:{type:"string",defaultValue:null},httpRequestMethod:{type:"sap.m.upload.UploaderHttpRequestMethod",defaultValue:r.Post},multiple:{type:"boolean",group:"Behavior",defaultValue:false},uploadButtonInvisible:{type:"boolean",group:"Appearance",defaultValue:false},uploadEnabled:{type:"boolean",defaultValue:true},itemValidationHandler:{type:"function",defaultValue:null},directory:{type:"boolean",group:"Behavior",defaultValue:false},noDataIllustrationType:{type:"sap.m.IllustratedMessageType",group:"Appearance",defaultValue:u.UploadCollection},enableVariantManagement:{type:"boolean",defaultValue:false},cloudFilePickerEnabled:{type:"boolean",group:"Behavior",defaultValue:false},cloudFilePickerServiceUrl:{type:"sap.ui.core.URI",group:"Data",defaultValue:""},cloudFilePickerButtonText:{type:"string",defaultValue:""}},aggregations:{uploader:{type:"sap.m.upload.UploaderTableItem",multiple:false},headerFields:{type:"sap.ui.core.Item",multiple:true,singularName:"headerField"}},associations:{previewDialog:{type:"sap.m.upload.FilePreviewDialog",multiple:false}},events:{itemRenamed:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}}},beforeUploadStarts:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}},allowPreventDefault:true},uploadCompleted:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"},response:{type:"string"},readyState:{type:"string"},status:{type:"string"},responseXML:{type:"string"},responseText:{type:"string"},headers:{type:"object"}}},fileTypeMismatch:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}}},fileNameLengthExceeded:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}}},fileSizeExceeded:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}}},mediaTypeMismatch:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}}},beforeInitiatingItemUpload:{parameters:{item:{type:"sap.m.upload.UploadSetwithTableItem"}}},itemDragStart:{},itemDrop:{}}},renderer:i});var O=d.UploadState;var k=d.UploadSetwithTableActionPlaceHolder;B.prototype.init=function(){e.prototype.init.call(this);this._setDragDropConfig();this._filesTobeUploaded=[];this._filePreviewDialogControl=null;this._oRb=o.getResourceBundleFor("sap.m");this._bPersoRegistered=false;this._setIllustratedMessage()};B.prototype.onBeforeRendering=function(){e.prototype.onBeforeRendering.call(this)};B.prototype.onAfterRendering=function(){e.prototype.onAfterRendering.call(this);if(!this._bPersoRegistered){D.getInstance().register(this,{mediators:{columns:new C({control:this,targetAggregation:"columns",p13nMetadataTarget:"columns"}),sort:new M({control:this,targetAggregation:"sortConditions",p13nMetadataTarget:"sort"}),group:new S({control:this,targetAggregation:"groupConditions",p13nMetadataTarget:"group"}),filter:new v({control:this,targetAggregation:"filterConditions",p13nMetadataTarget:"filter"})}});this._bPersoRegistered=true}if(this.getCloudFilePickerEnabled()){this._oFileUploader.addStyleClass("sapMUSTFileUploaderVisibility")}};B.prototype.exit=function(){e.prototype.exit.call(this);if(this._oToolbar){this._oToolbar.destroy();this._oToolbar=null}if(this._oFileUploader){this._oFileUploader.destroy();this._oFileUploader=null}if(this._illustratedMessage){this._illustratedMessage.destroy();this._illustratedMessage=null}this._bPersoRegistered=false;D.getInstance().deregister(this)};B.prototype.getHeaderToolbar=function(){if(!this._oToolbar){this._oToolbar=this.getAggregation("headerToolbar");var e=this.getCloudFilePickerEnabled()&&!this.getUploadButtonInvisible()?this._getCloudFilePickerMenu():this.getDefaultFileUploader();var i=this.getCloudFilePickerEnabled()&&this.getUploadButtonInvisible()?this._getCloudFilePickerButton():null;var o=this.getEnableVariantManagement()?this._getPersonalizationControl():null;if(!this._oToolbar){const a=[new t,e,i,o];if(this.getEnableVariantManagement()){a.unshift(this._getVariantManagementControl())}this._oToolbar=new l(this.getId()+"-toolbar",{content:a});this.addDependent(this._oToolbar)}else{const t=this._getPlaceholderPosition(this._oToolbar,k.UploadButtonPlaceholder);if(this._oToolbar&&t>-1){this._setControlInToolbar(t,e)}else if(this._oToolbar){this._oToolbar.addContent(e)}const o=this._getPlaceholderPosition(this._oToolbar,k.CloudFilePickerButtonPlaceholder);if(this._oToolbar&&o>-1){this._setControlInToolbar(o,i)}else if(this._oToolbar){this._oToolbar.addContent(i)}const a=this._getPlaceholderPosition(this._oToolbar,k.PersonalizationSettingsPlaceholder);if(this._oToolbar&&a>-1){this._setControlInToolbar(a,this._getPersonalizationControl())}else if(this._oToolbar){if(this.getEnableVariantManagement()){this._oToolbar.addContent(this._getPersonalizationControl())}}if(this.getEnableVariantManagement()){const e=this._getPlaceholderPosition(this._oToolbar,k.VariantManagementPlaceholder);if(e>-1){this._setControlInToolbar(e,this._getVariantManagementControl())}else{this._oToolbar.insertContent(this._getVariantManagementControl(),0)}}}if(this.getCloudFilePickerEnabled()){this._oToolbar.addContent(this.getDefaultFileUploader())}}return this._oToolbar};B.prototype._getPersonalizationControl=function(){return new U({icon:"sap-icon://action-settings",press:function(){D.getInstance().show(this,["columns","sort","group","filter"])}.bind(this)})};B.prototype._getVariantManagementControl=function(){if(!this._oVariantManagement){this._oVariantManagement=new I({id:this.getId()+"-variantManagement",for:[this]})}return this._oVariantManagement};B.prototype.getView=function(){return this.getControlOfType(this,A)};B.prototype.getControlOfType=function(e,t){if(e instanceof t){return e}if(e&&typeof e["getParent"==="function"]){return this.getControlOfType(e.getParent(),t)}return undefined};B.prototype._getP13nMetadata=function(){if(!this._p13nMetadata){const e=this.getView(),t=this.getColumns().map(function(t){return{key:e?e.getLocalId(t.getId()):t.getId(),label:t.getColumnPersonalizationText(),path:t.getPath(),visible:t.getVisible(),sortable:t.getSortable(),groupable:t.getGroupable(),filterable:t.getFilterable()}});this._p13nMetadata={columns:[],sort:[],group:[],filter:[]};t.forEach(e=>{this._p13nMetadata.columns.push({key:e.key,label:e.label});if(e.sortable&&e.path){this._p13nMetadata.sort.push({key:e.key,label:e.label,path:e.path})}if(e.groupable&&e.path){this._p13nMetadata.group.push({key:e.key,label:e.label,path:e.path})}if(e.filterable&&e.path){this._p13nMetadata.filter.push({key:e.key,label:e.label,path:e.path})}})}return this._p13nMetadata};B.prototype.setFileTypes=function(e){var t=e||null;if(typeof t==="string"){t=t.split(",")}t=(t||[]).map(function(e){return e?e.toLowerCase():""});if(!n(this.getFileTypes(),t)){this.setProperty("fileTypes",t,true);this.getDefaultFileUploader().setFileType(t)}return this};B.prototype.setMaxFileNameLength=function(e){if(this.getMaxFileNameLength()!==e){this.setProperty("maxFileNameLength",e,true);this.getDefaultFileUploader().setMaximumFilenameLength(e)}return this};B.prototype.setMaxFileSize=function(e){if(this.getMaxFileSize()!==e){this.setProperty("maxFileSize",e,true);this.getDefaultFileUploader().setMaximumFileSize(e)}return this};B.prototype.setMediaTypes=function(e){var t=e||null;if(typeof t==="string"){t=t.split(",")}t=(t||[]).map(function(e){return e?e.toLowerCase():""});if(!n(this.getMediaTypes(),t)){this.setProperty("mediaTypes",t,true);this.getDefaultFileUploader().setMimeType(t)}return this};B.prototype.setUploadButtonInvisible=function(e){if(e!==this.getUploadButtonInvisible()){var t=!e;this.getDefaultFileUploader().setVisible(t);this.setProperty("uploadButtonInvisible",e,true)}return this};B.prototype.setMultiple=function(e){if(this.getMultiple()!==e){this.setProperty("multiple",e);this.getDefaultFileUploader().setMultiple(e)}return this};B.prototype.setUploadEnabled=function(e){if(e!==this.getUploadEnabled()){this.getDefaultFileUploader().setEnabled(e);this.setProperty("uploadEnabled",e,false)}return this};B.prototype.setDirectory=function(e){if(this.getDirectory()!==e){this.setProperty("directory",e);this.getDefaultFileUploader().setDirectory(e);if(e){this.setProperty("multiple",false)}}return this};B.prototype.setNoDataIllustrationType=function(e){if(this.getNoDataIllustrationType()!==e){this.setProperty("noDataIllustrationType",e);if(this._illustratedMessage){this._illustratedMessage.setIllustrationType(this.getNoDataIllustrationType())}}return this};B.prototype.setNoDataText=function(e){if(this.getNoData()!==e){this.setProperty("noDataText",e);if(this._illustratedMessage){this._illustratedMessage.setTitle(this.getNoDataText())}}return this};B.prototype.setNoDataDescription=function(e){if(this.getNoDataDescription()!==e){this.setProperty("noDataDescription",e);if(this._illustratedMessage){this._illustratedMessage.setDescription(this.getNoDataDescription())}}return this};B.prototype.getDefaultFileUploader=function(){var e="Upload";if(!this._oFileUploader){this._oFileUploader=new a(this.getId()+"-uploader",{buttonOnly:true,buttonText:e,tooltip:e,iconOnly:false,enabled:this.getUploadEnabled(),icon:"",iconFirst:false,style:"Transparent",name:"UploadSetwithTableFileUploader",sameFilenameAllowed:true,fileType:this.getFileTypes(),mimeType:this.getMediaTypes(),maximumFilenameLength:this.getMaxFileNameLength(),maximumFileSize:this.getMaxFileSize(),multiple:this.getDirectory()?false:this.getMultiple(),useMultipart:false,sendXHR:true,change:[this._onFileUploaderChange,this],typeMissmatch:[this._fireFileTypeMismatch,this],fileSizeExceed:[this._fireFileSizeExceed,this],filenameLengthExceed:[this._fireFilenameLengthExceed,this],visible:!this.getUploadButtonInvisible(),directory:this.getDirectory()})}return this._oFileUploader};B.getIconForFileType=function(e,t){return s._getIconByMimeType(e,t)};B.prototype.registerUploaderEvents=function(e){e.attachUploadStarted(this._onUploadStarted.bind(this));e.attachUploadCompleted(this._onUploadCompleted.bind(this))};B.prototype.fileSelectionHandler=function(){var e=this.getDefaultFileUploader();if(e&&e.oFileUpload&&e.oFileUpload.click){e.oFileUpload.click()}};B.getFileSizeWithUnits=function(e){var t=1024;var i=t*1024;var o=i*1024;if(typeof e==="number"){if(e<i){return(e/t).toFixed(2)+" KB"}else if(e<o){return(e/i).toFixed(2)+" MB"}else{return(e/o).toFixed(2)+" GB"}}return e};B.prototype.uploadItemViaUrl=function(e,t,i){var o=new File([new Blob([])],e);var a=new s({uploadState:O.Ready});a._setFileObject(o);a.setFileName(o.name);a.setUrl(t);i.then(()=>this._initateItemUpload(a).bind(this)).catch(()=>a.destroy());return a};B.prototype.uploadItemWithoutFile=function(e){var t=new File([new Blob([])],"-");var i=new s({uploadState:O.Ready});i._setFileObject(t);i.setFileName(t.name);e.then(()=>this._initateItemUpload(i)).catch(()=>i.destroy());return i};B.prototype.renameItem=function(e){if(e&&e instanceof s){const t=this._getFileRenameDialog(e);t.open()}};B.prototype._setControlInToolbar=function(e,t){this._oToolbar.getContent()[e].setVisible(false);this._oToolbar.insertContent(t,e)};B.prototype._getPlaceholderPosition=function(e,t){for(var i=0;i<e.getContent().length;i++){if(e.getContent()[i].isA("sap.m.upload.ActionsPlaceholder")&&e.getContent()[i].getPlaceholderFor()===t){return i}}return-1};B.prototype._onFileUploaderChange=function(e){var t=e.getParameter("files");if(t&&t.length){var i=this.getSelectedItems();var o=i&&i.length==1?i[0]:null;var a=o?o&&o.getFileName&&o.getFileName()==="-":false;if(a){this._oItemToUpdate=t[0]}this._processSelectedFileObjects(t)}};B.prototype._processSelectedFileObjects=function(e){var t=[];for(var i=0;i<e.length;i++){t.push(e[i])}t.forEach(e=>{var i=new s({uploadState:O.Ready});i.setParent(this);i._setFileObject(e);i.setFileName(e.name);if(this.getItemValidationHandler()&&typeof this.getItemValidationHandler()==="function"){const e={oItem:i,iTotalItemsForUpload:t.length,oSource:this};var o=this.getItemValidationHandler()(e);if(o&&o instanceof Promise){o.then(e=>{if(e instanceof s){this._initateItemUpload(e)}}).catch(e=>{if(e&&this._oItemToUpdate&&e instanceof s&&e.getId()===this._oItemToUpdate.getId()){this._oItemToUpdate=null}})}else{i.destroy();p.error("Invalid usage, missing Promise: ItemValidationHandler callback expects Promise to be returned.")}}else{this._initateItemUpload(i)}})};B.prototype._initateItemUpload=function(e){this.fireBeforeInitiatingItemUpload({item:e});if(this._oItemToUpdate){this._oItemToUpdate=e}this._uploadItemIfGoodToGo(e)};B.prototype._fireFileTypeMismatch=function(e){var t=this.getMediaTypes();var i=this.getFileTypes();var o=e.getParameter("fileType");var a=e.getParameter("mimeType");var r=!!t&&t.length>0&&!!a&&t.indexOf(a)===-1;var l=!!i&&i.length>0&&!!o&&i.indexOf(o)===-1;var n=[new Blob([])];var p={type:e.getParameter("fileType"),webkitRelativePath:"",name:e.getParameter("fileName")};var d=new File(n,e.getParameter("fileName"),p);var u=new s;u._setFileObject(d);u.setFileName(d.name);if(r){this.fireMediaTypeMismatch({item:u})}else if(l){this.fireFileTypeMismatch({item:u})}};B.prototype._fireFilenameLengthExceed=function(e){var t=new s;t.setFileName(e.getParameter("fileName"));this.fireFileNameLengthExceeded({item:t})};B.prototype._fireFileSizeExceed=function(e){var t=new s;t.setFileName(e.getParameter("fileName"));this.fireFileSizeExceeded({item:t})};B.prototype._onUploadStarted=function(e){var t=e.getParameter("item");t.setUploadState(O.Uploading)};B.prototype._onUploadCompleted=function(e){var t=e.getParameter("item"),i=e.getParameter("responseXHR"),o=null;if(i.responseXML){o=i.responseXML.documentElement.textContent}var a={item:t,response:i.response,responseXML:o,responseText:i.responseText,readyState:i.readyState,status:i.status,headers:i.headers};if(this._oItemToUpdate){this._oItemToUpdate.setFileName(t.getFileName());this._oItemToUpdate._setFileObject(t.getFileObject());this._oItemToUpdate=null}t.setUploadState(O.Complete);this.fireUploadCompleted(a)};B.prototype._uploadItemIfGoodToGo=function(e){if(e.getUploadState()===O.Ready&&!e._isRestricted()){if(this.fireBeforeUploadStarts({item:e})){const t=this.getHeaderFields()?.length?this.getHeaderFields():[];const i=e.getHeaderFields()?.length?e.getHeaderFields():[];const o=[...t,...i];this._getActiveUploader().uploadItem(e,o)}}};B.prototype._getActiveUploader=function(){return this.getUploader()||this._getImplicitUploader()};B.prototype._getImplicitUploader=function(){if(!this._oUploader){this._oUploader=new c({httpRequestMethod:this.getHttpRequestMethod()});this._oUploader.setUploadUrl(this.getUploadUrl());this.registerUploaderEvents(this._oUploader);this.addDependent(this._oUploader)}return this._oUploader};B.prototype._setIllustratedMessage=function(){if(!this._illustratedMessage){this._illustratedMessage=new h({illustrationType:this.getNoDataIllustrationType(),illustrationSize:g.Spot,title:this.getNoDataText()?this.getNoDataText():this._oRb.getText("UPLOADSET_WITH_TABLE_NO_DATA_TEXT"),description:this.getNoDataDescription()?this.getNoDataDescription():this._oRb.getText("UPLOADSET_WITH_TABLE_NO_DATA_DESCRIPTION")})}this.setAggregation("_noColumnsMessage",this._illustratedMessage);this.setAggregation("noData",this._illustratedMessage)};B.prototype._setDragDropConfig=function(){var e=new _({sourceAggregation:"items",targetAggregation:"items",dragStart:[this._onDragStartItem,this],drop:[this._onDropItem,this]});var t=new f({dropEffect:"Move",dropPosition:"OnOrBetween",dragEnter:[this._onDragEnterFile,this],drop:[this._onDropFile,this]});this.addDragDropConfig(e);this.addDragDropConfig(t)};B.prototype._onDragStartItem=function(e){this.fireItemDragStart(e)};B.prototype._onDropItem=function(e){this.fireItemDrop(e)};B.prototype._onDragEnterFile=function(e){var t=e.getParameter("dragSession");var i=t.getDragControl();if(i){e.preventDefault()}};B.prototype._onDropFile=function(e){e.preventDefault();if(!this.getUploadEnabled()){p.error("Upload is not enabled, to continue uploading with drag and drop of files enable property 'UploadEnabled' ");return}let t=e.getParameter("browserEvent").dataTransfer.items;t=Array.from(t);t=t.filter(function(e){return e.webkitGetAsEntry()?true:false});const i=t.map(function(e){const t=e.webkitGetAsEntry();return{entryType:t&&t.isFile?"File":"Directory"}});if(t&&t.length>1&&!this.getMultiple()&&!this.getDirectory()){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_MULTIPLE_RESTRICTED");p.warning("Multiple files upload is retsricted for this multiple property set");E.error(e);return}else if(t&&t.length>1&&this.getMultiple()&&!o("File",i)){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_DIRECTORY_RESTRICTED");p.warning("Multiple files upload is retsricted, drag & drop only files");E.error(e);return}if(t&&t.length&&!this.getDirectory()&&o("Directory",i)){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_DIRECTORY_RESTRICTED");p.warning("Directory of files upload is retsricted for this directory property set");E.error(e);return}else if(t&&t.length&&this.getDirectory()&&!o("Directory",i)){const e=this._oRb.getText("UPLOADSET_WITH_TABLE_DROP_DIRECTORY_ALLOWED");p.warning("Directory of files upload is retsricted, drag & drop only directories here.");E.error(e);return}if(t&&t.length){this._getFilesFromDataTransferItems(t).then(e=>{if(e&&e.length){this._processSelectedFileObjects(e)}})}function o(e,t){return t.every(function(t){return t.entryType===e})}};B.prototype._getFilesFromDataTransferItems=function(e){const t=[];return new Promise((o,a)=>{const r=[];for(let t=0;t<e.length;t++){r.push(i(e[t]?.webkitGetAsEntry()))}Promise.all(r).then(e=>{o(t)},e=>{a(e)})});function i(e){return new Promise((o,a)=>{if(e.isFile){e.file(e=>{t.push(e);o(e)},e=>{a(e)})}else if(e.isDirectory){const t=e.createReader();t.readEntries(function(e){const t=[];for(let o=0;o<e.length;o++){t.push(i(e[o]))}o(Promise.all(t))})}})}};B.prototype._openFilePreview=function(e){if(!this.getPreviewDialog()){const e=new m;this.setPreviewDialog(e)}this._filePreviewDialogControl=w.getElementById(this.getPreviewDialog());if(this._filePreviewDialogControl){this._filePreviewDialogControl._previewItem=e;this._filePreviewDialogControl._items=this.getItems();this._filePreviewDialogControl._open()}};B.prototype._getFileRenameDialog=function(e){const t=s._splitFileName(e.getFileName());let i=this.getMaxFileNameLength();const o=t.extension?t.extension.length+1:0;i=i?i:0;let a=i-o;a=a<0?0:a;const r=new F({type:d.InputType.Text,value:t.name,width:"90%",maxLength:a,liveChange:[this._handleItemNameValidation,this]});r.addStyleClass("sapUiTinyMarginTop");r.addStyleClass("sapUiSmallMarginBegin");const l=new b({text:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_INPUT_LABEL"),labelFor:r.getId()});l.addStyleClass("sapUiSmallMarginTop");l.addStyleClass("sapUiSmallMarginBegin");l.addStyleClass("sapUiSmallMarginEnd");var n=new y({title:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_DIALOG_TEXT"),contentWidth:"22.5rem",contentHeight:"12rem",content:[l,r],beginButton:new U({type:d.ButtonType.Emphasized,text:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_APPLY_BUTTON_TEXT"),press:this._handleItemRenameConfirmation.bind(this),enabled:r.getValueState()!=="Error"}),endButton:new U({text:this._oRb.getText("UPLOADSET_WITH_TABLE_CANCELBUTTON_TEXT"),press:this._handleItemRenameCancel.bind(this)}),customData:{key:"item",value:e},afterClose:function(){n.destroy()}});return n};B.prototype._handleItemRenameCancel=function(e){const t=e.getSource().getParent();const i=t.getContent()[1];const o=t&&t.data?t.data().item:null;const a=s._splitFileName(o.getFileName());if(o&&i&&a.name!==i.getValue()){E.warning(this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_DISCARD_POPUP_CHANGES_TEXT"),{actions:[this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SAVE_BUTTON_TEXT"),this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_DISCARD_CHANGES_BUTTON_TEXT")],emphasizedAction:this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SAVE_BUTTON_TEXT"),onClose:e=>{if(e!==this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SAVE_BUTTON_TEXT")){t.close()}else{var i=t.getBeginButton();var o=new T("click",i);i.firePress(o)}}})}else{t.close()}};B.prototype._handleItemRenameConfirmation=function(e){const t=e.getSource().getParent();const i=t.getContent()[1];if(i&&i.getValueState()==="Error"){i.focus(i);i.setShowValueStateMessage(true);return}const o=t&&t.data?t.data().item:null;const a=s._splitFileName(o.getFileName());if(o&&a.name!==i.getValue()){if(a&&a.extension){o.setFileName(i.getValue()+"."+a.extension)}else{o.setFileName(i.getValue())}t.close();this.fireItemRenamed({item:o})}else{t.close()}};B.prototype._handleItemNameValidation=function(e){const t=e.getSource();let i=t.getValue();i=i.trim();if(i===""){t.setProperty("valueState","Error",true);t.setValueStateText(this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_EMPTY_NAME_VALIDATION_ERROR_MESSAGE"));t.setShowValueStateMessage(true);return}const o=new RegExp(/[@#$]/);if(o.test(i)){t.setShowValueStateMessage(true);t.setProperty("valueState","Error",true);t.setValueStateText(this._oRb.getText("UPLOADSET_WITH_TABLE_DOCUMENT_RENAME_SPLC_VALIDATION_ERROR_MESSAGE","@#$"))}else{t.setShowValueStateMessage(false);t.setProperty("valueState","None",true)}};B.prototype._getCloudFilePickerMenu=function(){this._oMenuButton=new x({text:this._oRb.getText("UPLOAD_SET_DEFAULT_LFP_BUTTON_TEXT"),buttonMode:L.Split,menu:this._getMenuButtonItems(),defaultAction:this.fileSelectionHandler.bind(this)});return this._oMenuButton};B.prototype._getCloudFilePickerButton=function(){this._oCloudFilePickerButton=new U({text:this.getCloudFilePickerButtonText()?this.getCloudFilePickerButtonText():this._oRb.getText("UPLOAD_SET_DEFAULT_CFP_BUTTON_TEXT"),press:this._invokeCloudFilePicker.bind(this)});return this._oCloudFilePickerButton};B.prototype._itemSelectedCallback=function(e){var t=e.getParameter("item");switch(t.getText()){case this.getCloudFilePickerButtonText()?this.getCloudFilePickerButtonText():this._oRb.getText("UPLOAD_SET_DEFAULT_CFP_BUTTON_TEXT"):this._oMenuButton.detachEvent("defaultAction",this.fileSelectionHandler.bind(this)).attachEvent("defaultAction",this._invokeCloudFilePicker.bind(this));this._invokeCloudFilePicker();this._oMenuButton.setText(t.getText());break;case this._oRb.getText("UPLOAD_SET_DEFAULT_LFP_BUTTON_TEXT"):this._oMenuButton.detachEvent("defaultAction",this._invokeCloudFilePicker.bind(this)).attachEvent("defaultAction",this.fileSelectionHandler.bind(this));this.fileSelectionHandler();this._oMenuButton.setText(t.getText());break}};B.prototype._getMenuButtonItems=function(){return new R({items:[new N({text:this._oRb.getText("UPLOAD_SET_DEFAULT_LFP_BUTTON_TEXT")}),new N({text:this.getCloudFilePickerButtonText()?this.getCloudFilePickerButtonText():this._oRb.getText("UPLOAD_SET_DEFAULT_CFP_BUTTON_TEXT")})],itemSelected:this._itemSelectedCallback.bind(this)})};B.prototype._invokeCloudFilePicker=function(){var e=null;if(this._cloudFilePickerControl){e=this._getCloudFilePickerInstance();e.open()}else{this._loadCloudFilePickerDependency().then(t=>{this._cloudFilePickerControl=t;e=this._getCloudFilePickerInstance();e.open()}).catch(e=>{p.error(e)})}return e};B.prototype._onCloudPickerFileChange=function(e){var t=e.getParameters();var i=[];if(t&&t.selectedFiles){t.selectedFiles.forEach(e=>{i.push(this._createFileFromCloudPickerFile(e))})}this._processNewCloudPickerFileObjects(i)};B.prototype._createFileFromCloudPickerFile=function(e){var t=[new Blob([])];var i={type:e.getFileShareItemContentType(),size:e.getFileShareItemContentSize(),webkitRelativePath:"",name:e.getFileShareItemName()};var o=new File(t,e.getFileShareItemName(),i);return{file:o,fileShareProperties:e.mProperties}};B.prototype._processNewCloudPickerFileObjects=function(e){e.forEach(t=>{var i=t.file;const o=t.fileShareProperties;var a=new s({uploadState:O.Ready});a._setFileObject(i);a.setFileName(i.name);if(i&&o){a._setCloudFileInfo(o)}if(this.getItemValidationHandler()&&typeof this.getItemValidationHandler()==="function"){const t={oItem:a,iTotalItemsForUpload:e.length,oSource:this};var r=this.getItemValidationHandler()(t);if(r&&r instanceof Promise){r.then(e=>{if(e instanceof s){this._initateItemUpload(e)}}).catch(e=>{if(e&&this._oItemToUpdate&&e instanceof s&&e.getId()===this._oItemToUpdate.getId()){this._oItemToUpdate=null}})}else{a.destroy();p.error("Invalid usage, missing Promise: ItemValidationHandler callback expects Promise to be returned.")}}else{this._initateItemUpload(a)}})};B.prototype._loadCloudFilePickerDependency=function(){return new Promise((e,t)=>{P.loadLibrary("sap.suite.ui.commons",{async:true}).then(function(i){sap.ui.require(["sap/suite/ui/commons/CloudFilePicker"],function(t){e(t)},function(e){t(e)})}).catch(function(){t("CloudFilePicker Control not available.")})})};B.prototype._getCloudFilePickerInstance=function(){return new this._cloudFilePickerControl({serviceUrl:this.getCloudFilePickerServiceUrl(),confirmButtonText:this._oRb.getText("SELECT_PICKER_TITLE_TEXT"),title:this._oRb.getText("SELECT_PICKER_TITLE_TEXT"),fileNameMandatory:true,select:this._onCloudPickerFileChange.bind(this)})};return B});
//# sourceMappingURL=UploadSetwithTable.js.map