/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Localization","sap/m/upload/p13n/mediator/BaseMediator","sap/m/p13n/SortPanel","sap/m/upload/p13n/modules/CustomDataConfig","sap/base/util/deepEqual","sap/ui/core/Locale","sap/ui/model/Sorter"],function(e,t,n,r,a,o,i){"use strict";const s=t.extend("sap.m.upload.p13n.mediator.SortMediator",{constructor:function(e){t.call(this,e)}});s.prototype.createPanel=function(){return Promise.resolve(this.createUi(this.getPanelData()))};s.prototype.createUi=function(e){this._oPanel=new n;this._oPanel.setP13nData(e);return this._oPanel};s.prototype.getPanelData=function(){const t=this.arrayToMap(this.getCurrentState(),true);const n=[],r=this.getControl()._getP13nMetadata();r[this.getP13nMetadataTarget()].forEach(e=>{n.push({name:e.key,label:e.label||e.key,tooltip:e.tooltip,index:t[e.key]?t[e.key].index:undefined,sorted:!!t[e.key],descending:t[e.key]?t[e.key].descending:undefined})});const a=new o(e.getLanguageTag()).toString(),i=window.Intl.Collator(a,{});n.sort((e,t)=>{if(e.sorted&&t.sorted){return(e.index||0)-(t.index||0)}if(e.sorted){return-1}if(t.sorted){return 1}return i.compare(e.label,t.label)});n.forEach(e=>delete e.index);return n};s.prototype.getCurrentState=function(){const e=r.read(this.getControl())||{};const t=e.hasOwnProperty("properties")&&e.properties[this.getTargetAggregation()]?e.properties[this.getTargetAggregation()]:{};const n=Object.values(t).filter(e=>e.sorted).sort((e,t)=>e.index-t.index);return n.map(e=>({key:e.key,descending:e.descending}))};s.prototype.getChanges=function(){const e=[],t=this.getCurrentState(),n=this._getP13nData(),r=n.filter(e=>!!e.sorted).map(e=>({key:e.name,descending:e.descending}));if(a(t,r)){return e}const o=this._getDeletes(t,r),i=this._getInserts(t,r),s=this._getMove(t,r,o,i);e.push(this.createChange("uploadSetTableSortStateChange",{deleted:o,moved:s,inserted:i}));return e};s.prototype._getP13nData=function(){return this._oPanel?this._oPanel.getP13nData():{}};s.prototype._getDeletes=function(e,t){const n=[],r=this.arrayToMap(t);e.forEach((e,t)=>{if(!r[e.key]){n.push({key:e.key,prevIndex:t,prevDescending:e.descending})}});return n};s.prototype._getInserts=function(e,t){const n=[],r=this.arrayToMap(e);t.forEach((e,t)=>{if(!r[e.key]){n.push({key:e.key,index:t,descending:e.descending})}});return n};s.prototype._getMove=function(e,t){const n=[],r=this.arrayToMap(t,true);e.forEach((e,t)=>{if(r[e.key]&&(r[e.key].index!==t||r[e.key].descending!==e.descending)){n.push({key:e.key,index:r[e.key].index,prevIndex:t,descending:r[e.key].descending,prevDescending:e.descending})}});return n};s.prototype.applyStateToTable=function(e={}){const t=this.getCurrentState();if(t.length){const n=this.getControl()._getP13nMetadata()[this.getP13nMetadataTarget()]??[],r=this.arrayToMap(n);t.forEach(t=>{if(!r[t.key]){return}if(e[t.key]){e[t.key].bDescending=t.descending}else{e[t.key]=new i(r[t.key].path,t.descending)}})}};return s});
//# sourceMappingURL=SortMediator.js.map