/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library","sap/ui/core/Element","sap/ui/core/InvisibleText","sap/ui/core/Renderer","sap/ui/core/IconPool","sap/ui/core/library","sap/ui/util/openWindow","sap/ui/util/defaultLinkTypes","./NavigationListItemBase"],function(t,e,i,s,n,o,r,a,l){"use strict";var p=o.TextAlign;var c=o.TextDirection;const g="sap-icon://navigation-right-arrow";const d="sap-icon://navigation-down-arrow";const h="sap-icon://circle-task-2";const f=l.extend("sap.tnt.NavigationListItem",{metadata:{library:"sap.tnt",properties:{icon:{type:"sap.ui.core.URI",group:"Misc",defaultValue:""},visible:{type:"boolean",group:"Appearance",defaultValue:true},selectable:{type:"boolean",group:"Behavior",defaultValue:true},href:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},target:{type:"string",group:"Behavior",defaultValue:null}},defaultAggregation:"items",aggregations:{items:{type:"sap.tnt.NavigationListItem",multiple:true,singularName:"item"}},events:{select:{parameters:{item:{type:"sap.ui.core.Item"}}}},designtime:"sap/tnt/designtime/NavigationListItem.designtime"}});f._getInvisibleText=function(){if(!this._invisibleText){this._invisibleText=(new i).toStatic()}return this._invisibleText};f.prototype.createListForPopup=function(){const t=this.getItems(),e=this.getNavigationList(),i=e.getSelectedItem();let s;const n=t.filter(t=>t.getVisible()).map(t=>{const e=new f({key:t.getId(),text:t.getText(),textDirection:t.getTextDirection(),enabled:t.getEnabled(),selectable:t.getSelectable(),href:t.getHref(),target:t.getTarget(),tooltip:t.getTooltip()});if(i===t){s=e}return e});const o=new f({expanded:true,hasExpander:false,selectable:this.getSelectable(),key:this.getId(),text:this.getText(),enabled:this.getEnabled(),textDirection:this.getTextDirection(),href:this.getHref(),target:this.getTarget(),tooltip:this.getTooltip(),items:n});const r=e.getMetadata().getClass().prototype.constructor;const a=new r({itemSelect:this.onPopupItemSelect.bind(this),items:o}).addStyleClass("sapTntNLPopup");if(i==this){s=o;a.isGroupSelected=true}a.setSelectedItem(s);return a};f.prototype.onPopupItemSelect=function(t){const i=t.getParameter("item"),s=e.getElementById(i.getKey());s._selectItem()};f.prototype._selectItem=function(){const t={item:this};this.fireSelect(t);if(this.getSelectable()){this.getNavigationList()._selectItem(t)}this._openUrl()};f.prototype._openUrl=function(){const t=this.getHref();if(t){r(t,this.getTarget()||"_self")}};f.prototype._getAccessibilityRef=function(){return this.getDomRef().querySelector(".sapTntNLIFirstLevel")};f.prototype.ontap=function(t){if(l.prototype.ontap.apply(this,arguments)){return}t.preventDefault();if(this.getLevel()>0){if(this.getEnabled()&&this.getAllParentsEnabled()){this._selectItem()}return}const e=this.getNavigationList();if(e.getExpanded()||!this.getItems().length){this._selectItem()}else{const t=this.createListForPopup();e._openPopover(this,t)}};f.prototype.onsapenter=f.prototype.ontap;f.prototype.onsapspace=f.prototype.ontap;f.prototype.render=function(t,e){if(!this.getVisible()){return}if(this.getLevel()===0){this.renderFirstLevelNavItem(t,e)}else{this.renderSecondLevelNavItem(t,e)}};f.prototype.renderFirstLevelNavItem=function(t,e){const i=this._getVisibleItems(this),s=this._isListExpanded(),n=this.getEnabled()||this.getAllParentsEnabled();t.openStart("li",this).attr("role","none");if(!s){if(i.length&&n){t.class("sapTntNLINotExpandedTriangle")}if(this._isOverflow){t.class("sapTntNLOverflow").class("sapTntNLIHidden")}}t.openEnd();const o=`${this.getId()}-subtree`;this.renderMainElement(t,e,o);if(s&&i.length){t.openStart("ul",o).class("sapTntNLIItemsContainer").accessibilityState({role:"group",label:this.getText()});if(!this.getExpanded()){t.class("sapTntNLIItemsContainerHidden")}t.openEnd();i.forEach(i=>i.render(t,e));t.close("ul")}t.close("li")};f.prototype._renderExternalLinkIcon=function(t){if(!(this.getHref()&&this.getTarget()==="_blank")){return}const e=this._getExternalIcon();t.renderControl(e)};f.prototype.renderMainElement=function(t,e,i){const s=this._isListExpanded(),n=this._getVisibleItems(this),o=!this.getEnabled()||!this.getAllParentsEnabled(),r=this.getExpanded(),a=this.getSelectable(),l=!!n.length&&this.getHasExpander();t.openStart("div").class("sapTntNLI").class("sapTntNLIFirstLevel");if(o){t.class("sapTntNLIDisabled")}let p=false;if(a&&e._selectedItem===this){t.class("sapTntNLISelected");p=true}if(!s&&n.includes(e._selectedItem)){t.class("sapTntNLISelected");p=true}if(l){t.class("sapTntNLIWithExpander")}const c={};if(!s){c.role=a?"menuitemradio":"menuitem";if(n.length){c.haspopup="tree"}if(this._isOverflow){c.haspopup="menu"}if(a){c.checked=e._selectedItem===this}c.roledescription=this._resourceBundleTnt.getText("NAVIGATION_LIST_ITEM_ROLE_DESCRIPTION_MENUITEM")}else{c.role="treeitem";if(p){c.current="page"}if(n.length){c.owns=i;c.expanded=r}}t.openEnd();this._renderStartLink(t,c,o);this._renderIcon(t);this._renderText(t);this._renderExternalLinkIcon(t);if(s){t.icon(h,["sapTntNLISelectionIndicator"]);const e=this._getExpandIconControl();e.setVisible(l).setSrc(r?d:g).setTooltip(this._getExpandIconTooltip(!r));t.renderControl(e)}if(!s&&this.getItems().length){const e=this._getExpandIconControl().setSrc(g);t.renderControl(e)}this._renderCloseLink(t);t.close("div")};f.prototype.renderSecondLevelNavItem=function(t,e){const i=!this.getEnabled()||!this.getAllParentsEnabled();t.openStart("li",this).class("sapTntNLI").class("sapTntNLISecondLevel").attr("role","none");let s=false;if(this.getSelectable()&&e._selectedItem===this){t.class("sapTntNLISelected");s=true}if(i){t.class("sapTntNLIDisabled")}t.openEnd();const n={role:"treeitem",current:this._isListExpanded()&&s?"page":undefined};this._renderStartLink(t,n,i);this._renderIcon(t);this._renderText(t);t.icon(h,["sapTntNLISelectionIndicator"]);this._renderExternalLinkIcon(t);this._renderCloseLink(t);t.close("li")};f.prototype._renderStartLink=function(t,e,i){const s=this.getHref(),n=this.getTarget();t.openStart("a",`${this.getId()}-a`).accessibilityState(this,{...e});const o=this.getTooltip_AsString()||this.getText();if(o){t.attr("title",o)}if(!i){t.attr("tabindex","-1")}if(s){t.attr("href",s)}if(n){t.attr("target",n).attr("rel",a("",n))}t.openEnd()};f.prototype._renderCloseLink=function(t){t.close("a")};f.prototype._renderIcon=function(t){const e=this.getIcon(),i=n.getIconInfo(e);t.openStart("span").class("sapUiIcon").class("sapTntNLIIcon").attr("aria-hidden","true");if(e){if(i&&!i.suppressMirroring){t.class("sapUiIconMirrorInRTL")}if(i){t.attr("data-sap-ui-icon-content",i.content).style("font-family",`'${i.fontFamily}'`)}}t.openEnd().close("span")};f.prototype._renderText=function(t){t.openStart("span").class("sapMText").class("sapTntNLIText").class("sapMTextNoWrap");const e=this.getTextDirection();if(e!==c.Inherit){t.attr("dir",e.toLowerCase())}const i=s.getTextAlign(p.Begin,e);if(i){t.style("text-align",i)}t.openEnd().text(this.getText()).close("span")};f.prototype._toggle=function(t){const e=this.getNavigationList(),i=this._isListExpanded();if(!e||!e.getDomRef()){return}const s=this.getDomRef();if(this.getLevel()===0){const e=s?.querySelector(".sapTntNLIFirstLevel");e?.classList.toggle("sapTntNLISelected",t)}if(this.getLevel()!==0){if(i){s?.classList.toggle("sapTntNLISelected",t)}else{const e=this.getParent().getDomRef()?.querySelector(".sapTntNLIFirstLevel");e?.classList.toggle("sapTntNLISelected",t);if(t){e?.classList.toggle("sapTntNLINoHoverEffect",t)}}}this._syncAriaAttributes(this.getFocusDomRef(),t,i);e._closePopover()};f.prototype._syncAriaAttributes=function(t,e,i){if(!t){return}if(i){if(e){t.setAttribute("aria-current","page")}else{t.removeAttribute("aria-current")}}else{t.setAttribute("aria-checked",e?"true":"false")}};f.prototype._getFocusDomRefs=function(){const t=[];if(!this.getEnabled()||!this.getVisible()){return t}t.push(this.getDomRef("a"));if(this._isListExpanded()&&this.getExpanded()){t.push(...this.getDomRef().querySelectorAll(".sapTntNLISecondLevel:not(.sapTntNLIDisabled) a"))}return t};f.prototype._getVisibleItems=function(t){return t.getItems().filter(t=>t.getVisible())};f.prototype.onclick=function(t){if(this.getHref()){t.preventDefault()}};f.prototype.onmousedown=function(t){if(this.getHref()){t.preventDefault()}};f.prototype.onfocusout=function(){var t=this.getDomRef()?.querySelector(".sapTntNLIFirstLevel");if(t){t.classList.remove("sapTntNLINoHoverEffect")}};f.prototype.onmouseout=function(){const t=this.getDomRef()?.querySelector(".sapTntNLIFirstLevel");const e=this.getNavigationList();const i=this.getItems().find(t=>t===e.getSelectedItem());if(t&&(this===e.getSelectedItem()||i)){t.classList.add("sapTntNLINoHoverEffect")}};f.prototype.onmouseover=f.prototype.onfocusout;return f});
//# sourceMappingURL=NavigationListItem.js.map