/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/Log","sap/base/strings/escapeRegExp","sap/base/util/deepEqual","sap/base/util/JSTokenizer","sap/ui/performance/Measurement","sap/ui/thirdparty/URI"],function(e,n,t,r,i,u){"use strict";
//License granted by Douglas Crockford to SAP, Apache License 2.0
//    (http://www.apache.org/licenses/LICENSE-2.0)
var a=I.bind(null,undefined),s={Array:Array,Boolean:Boolean,Date:Date,encodeURIComponent:encodeURIComponent,Infinity:Infinity,isFinite:isFinite,isNaN:isNaN,JSON:JSON,Math:Math,NaN:NaN,Number:Number,Object:Object,odata:{collection:function(e){return e.filter(function(e){return e!==undefined})},compare:function(){var e=sap.ui.require("sap/ui/model/odata/v4/ODataUtils");if(!e){e=sap.ui.requireSync("sap/ui/model/odata/v4/ODataUtils")}if(!e){throw new TypeError("Expression uses 'odata.compare' which requires to"+" import 'sap/ui/model/odata/v4/ODataUtils' in advance")}return e.compare.apply(e,arguments)},fillUriTemplate:function(e,n){if(!u.expand){sap.ui.requireSync("sap/ui/thirdparty/URITemplate")}if(!u.expand){throw new TypeError("Expression uses 'odata.fillUriTemplate' which requires"+" to import 'sap/ui/thirdparty/URITemplate' in advance")}return u.expand(e.trim(),n).toString()},uriEncode:function(){var e=sap.ui.require("sap/ui/model/odata/ODataUtils");if(!e){e=sap.ui.requireSync("sap/ui/model/odata/ODataUtils")}if(!e){throw new TypeError("Expression uses 'odata.uriEncode' which requires to"+" import 'sap/ui/model/odata/ODataUtils' in advance")}return e.formatValue.apply(e,arguments)}},parseFloat:parseFloat,parseInt:parseInt,RegExp:RegExp,String:String,undefined:undefined},o=/\d/,l="sap.ui.base.ExpressionParser",d=/[a-z_$][a-z0-9_$]*/i,c=/[a-z_$]/i,f=[l],p=l+"#parse",v={BINDING:{led:D,nud:function(e,n){return g.bind(null,e.value)}},ERROR:{lbp:Infinity,led:function(e,n,t){U(e.value.message,e.value.text,e.value.at)},nud:function(e,n){U(e.value.message,e.value.text,e.value.at)}},IDENTIFIER:{led:D,nud:function(n,t){if(!(n.value in t.globals)){e.warning("Unsupported global identifier '"+n.value+"' in expression parser input '"+t.input+"'",undefined,l)}return I.bind(null,t.globals[n.value])}},CONSTANT:{led:D,nud:function(e,n){return I.bind(null,e.value)}},".":{lbp:18,led:function(e,n,t){return E.bind(null,t,n.advance("IDENTIFIER").value)},nud:D},"(":{lbp:17,led:function(e,n,t){var r=[],i=true;while(n.current().id!==")"){if(i){i=false}else{n.advance(",")}r.push(n.expression(0))}n.advance(")");return y.bind(null,t,r)},nud:function(e,n){var t=n.expression(0);n.advance(")");return t}},"[":{lbp:18,led:function(e,n,t){var r=n.expression(0);n.advance("]");return T.bind(null,t,r)},nud:function(e,n){var t=[],r=true;while(n.current().id!=="]"){if(r){r=false}else{n.advance(",")}t.push(n.current().id===","?a:n.expression(0))}n.advance("]");return x.bind(null,t)}},"!":{lbp:15,led:D,nud:function(e,n){return R.bind(null,n.expression(this.lbp),function(e){return!e})}},typeof:{lbp:15,led:D,nud:function(e,n){return R.bind(null,n.expression(this.lbp),function(e){return typeof e})}},"?":{lbp:4,led:function(e,n,t){var r,i;i=n.expression(this.lbp-1);n.advance(":");r=n.expression(this.lbp-1);return m.bind(null,t,i,r)},nud:D},")":{led:D,nud:D},"]":{led:D,nud:D},"{":{led:D,nud:function(e,n){var t=true,r,i={},u;while(n.current().id!=="}"){if(t){t=false}else{n.advance(",")}if(n.current()&&n.current().id==="CONSTANT"&&typeof n.current().value==="string"){r=n.advance().value}else{r=n.advance("IDENTIFIER").value}n.advance(":");u=n.expression(0);i[r]=u}n.advance("}");return w.bind(null,i)}},"}":{lbp:-1,led:D,nud:D},",":{led:D,nud:D},":":{led:D,nud:D}},b=["===","!==","!","||","&&",".","(",")","{","}",":",",","?","*","/","%","+","-","<=","<",">=",">","[","]"],h;b.forEach(function(e,t){b[t]=n(e)});h=new RegExp(b.join("|"),"g");O("*",14,function(e,n){return e*n});O("/",14,function(e,n){return e/n});O("%",14,function(e,n){return e%n});O("+",13,function(e,n){return e+n}).nud=function(e,n){return R.bind(null,n.expression(this.lbp),function(e){return+e})};O("-",13,function(e,n){return e-n}).nud=function(e,n){return R.bind(null,n.expression(this.lbp),function(e){return-e})};O("<=",11,function(e,n){return e<=n});O("<",11,function(e,n){return e<n});O(">=",11,function(e,n){return e>=n});O(">",11,function(e,n){return e>n});O("in",11,function(e,n){return e in n});O("===",10,function(e,n){return e===n});O("!==",10,function(e,n){return e!==n});O("&&",7,function(e,n){return e&&n()},true);O("||",6,function(e,n){return e||n()},true);function x(e,n){return e.map(function(e){return e(n)})}function g(e,n){return S(n[e])}function m(e,n,t,r){return e(r)?n(r):t(r)}function I(e){return e}function E(e,n,t,r){var i=e(t),u=i[n];if(r){r.base=i}return S(u)}function y(e,n,t){var r={};return S(e(t,r).apply(r.base,n.map(function(e){return e(t)})))}function N(e,n,t,r,i){return t(e(i),r?n.bind(null,i):n(i))}function w(e,n){var t,r={};for(t in e){r[t]=e[t](n)}return r}function T(e,n,t,r){var i=e(t),u=n(t),a=i[u];if(r){r.base=i}return S(a)}function R(e,n,t){return n(e(t))}function O(e,n,t,r){v[e]={lbp:n,led:function(e,n,i){var u=r?this.lbp-1:this.lbp;return N.bind(null,i,n.expression(u),t,r)},nud:D};return v[e]}function S(e){return e===Function?undefined:e}function U(n,t,r){var i=new SyntaxError(n);i.at=r;i.text=t;if(r!==undefined){n+=" at position "+r}e.error(n,t,l);throw i}function D(e){U("Unexpected "+e.id,e.input,e.start+1)}function F(e,n,i){var u=[],a=[],s=[],l=new r;function f(e,i,s){var o=false,l,d,c;function f(e){if(s){if(e.parts){e.parts.forEach(f)}else{e.targetType=e.targetType||"any"}}}for(l in e){if(l==="parameters"){continue}switch(typeof e[l]){case"boolean":case"number":case"string":case"undefined":break;default:o=true}}f(e);if(o){d=r.parseJS(n,i).result;f(d)}else{d=e}for(c=0;c<u.length;c+=1){if(t(a[c],d)){return c}}a[c]=d;u[c]=e;return c}function p(){var t,r,i,u,a;l.white();t=l.getCh();i=l.getIndex();if((t==="$"||t==="%")&&n[i+1]==="{"){r=e(n,i+1);a={id:"BINDING",value:f(r.result,i+1,t==="%")};l.setIndex(r.at)}else if(c.test(t)){u=d.exec(n.slice(i));switch(u[0]){case"false":case"null":case"true":a={id:"CONSTANT",value:l.word()};break;case"in":case"typeof":a={id:u[0]};l.setIndex(i+u[0].length);break;default:a={id:"IDENTIFIER",value:u[0]};l.setIndex(i+u[0].length)}}else if(o.test(t)||t==="."&&o.test(n[i+1])){a={id:"CONSTANT",value:l.number()}}else if(t==="'"||t==='"'){a={id:"CONSTANT",value:l.string()}}else{h.lastIndex=i;u=h.exec(n);if(!u||u.index!==i){return false}a={id:u[0]};l.setIndex(i+u[0].length)}a.input=n;a.start=i;a.end=l.getIndex();s.push(a);return true}l.init(n,i);try{while(p()){}}catch(e){if(e.name==="SyntaxError"){s.push({id:"ERROR",value:e})}else{throw e}}return{at:l.getIndex(),parts:u,tokens:s}}function q(n,t){return function(){try{return n.apply(this,arguments)}catch(n){e.warning(String(n),t,l)}}}function C(e,n,t){var r,i=0,u={advance:s,current:o,expression:l,globals:t,input:n},a;function s(t){var r=e[i];if(t){if(!r){U("Expected "+t+" but instead saw end of input",n)}else if(r.id!==t){U("Expected "+t+" but instead saw "+n.slice(r.start,r.end),n,r.start+1)}}i+=1;return r}function o(){return e[i]}function l(t){var r;a=s();if(!a){U("Expected expression but instead saw end of input",n)}r=v[a.id].nud(a,u);while(i<e.length){a=o();if(t>=(v[a.id].lbp||0)){break}s();r=v[a.id].led(a,u,r)}return r}r=l(0);return{at:o()&&o().start,formatter:q(r,n)}}return{parse:function(e,n,t,r,u){var a,o;i.average(p,"",f);o=F(e,n,t);r=r||s;if(u){r=Object.assign({},r,u)}a=C(o.tokens,n,r);i.end(p);if(!o.parts.length){return{constant:a.formatter(),at:a.at||o.at}}function l(){return a.formatter(arguments)}l.textFragments=true;return{result:{formatter:l,parts:o.parts},at:a.at||o.at}}}},true);
//# sourceMappingURL=ExpressionParser.js.map