/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/util/ObjectPath","sap/base/assert","sap/base/Log","sap/base/util/array/uniqueSort"],function(t,e,a,s){"use strict";function r(t){return typeof t==="function"}var n=function(a,s){e(typeof a==="string"&&a,"Metadata: sClassName must be a non-empty string");e(typeof s==="object","Metadata: oClassInfo must be empty or an object");if(!s||typeof s.metadata!=="object"){s={metadata:s||{},constructor:t.get(a)};s.metadata.__version=1}s.metadata??={};s.metadata.__version=s.metadata.__version||2;if(!r(s.constructor)){throw Error("constructor for class "+a+" must have been declared before creating metadata for it")}this._sClassName=a;this._oClass=s.constructor;this.extend(s)};n.prototype.extend=function(t){this.applySettings(t);this.afterApplySettings()};n.prototype.applySettings=function(s){var o=this,i=s.metadata,p;if(i.baseType){var c,u=r(i.baseType);if(u){c=i.baseType;if(!r(c.getMetadata)){throw new TypeError("baseType must be a UI5 class with a static getMetadata function")}}if(!u){c=t.get(i.baseType);if(!r(c)){a.fatal("base class '"+i.baseType+"' does not exist")}}if(c.getMetadata){this._oParent=c.getMetadata();e(c===c.getMetadata().getClass(),"Metadata: oParentClass must match the class in the parent metadata")}else{this._oParent=new n(i.baseType,{})}}else{this._oParent=undefined}this._bAbstract=!!i["abstract"];this._bFinal=!!i["final"];this._sStereotype=i.stereotype||(this._oParent?this._oParent._sStereotype:"object");this._bDeprecated=!!i["deprecated"];this._aInterfaces=i.interfaces||[];this._aPublicMethods=i.publicMethods||[];this._bInterfacesUnique=false;p=this._oClass.prototype;for(var f in s){if(f!=="metadata"&&f!=="constructor"){p[f]=s[f];if(!f.match(/^_|^on|^init$|^exit$/)){o._aPublicMethods.push(f)}}}};n.prototype.afterApplySettings=function(){if(this._oParent){this._aAllPublicMethods=this._oParent._aAllPublicMethods.concat(this._aPublicMethods);this._bInterfacesUnique=false}else{this._aAllPublicMethods=this._aPublicMethods}};n.prototype.getStereotype=function(){return this._sStereotype};n.prototype.getName=function(){return this._sClassName};n.prototype.getClass=function(){return this._oClass};n.prototype.getParent=function(){return this._oParent};n.prototype._dedupInterfaces=function(){if(!this._bInterfacesUnique){s(this._aInterfaces);s(this._aPublicMethods);s(this._aAllPublicMethods);this._bInterfacesUnique=true}};n.prototype.getPublicMethods=function(){this._dedupInterfaces();return this._aPublicMethods};n.prototype.getAllPublicMethods=function(){this._dedupInterfaces();return this._aAllPublicMethods};n.prototype.getInterfaces=function(){this._dedupInterfaces();return this._aInterfaces};n.prototype.isInstanceOf=function(t){if(this._oParent){if(this._oParent.isInstanceOf(t)){return true}}var e=this._aInterfaces;for(var a=0,s=e.length;a<s;a++){if(e[a]===t){return true}}return false};Object.defineProperty(n.prototype,"_mImplementedTypes",{get:function(){if(this===n.prototype){throw new Error("sap.ui.base.Metadata: The '_mImplementedTypes' property must not be accessed on the prototype")}var t=Object.create(this._oParent?this._oParent._mImplementedTypes:null);t[this._sClassName]=true;var e=this._aInterfaces,a=e.length;while(a-- >0){if(!t[e[a]]){t[e[a]]=true}}Object.defineProperty(this,"_mImplementedTypes",{value:Object.freeze(t),writable:false,configurable:false});return t},configurable:true});n.prototype.isA=function(t){var e=this._mImplementedTypes;if(Array.isArray(t)){for(var a=0;a<t.length;a++){if(t[a]in e){return true}}return false}return t in e};n.prototype.isAbstract=function(){return this._bAbstract};n.prototype.isFinal=function(){return this._bFinal};n.prototype.isDeprecated=function(){return this._bDeprecated};n.prototype.addPublicMethods=function(t){var e=t instanceof Array?t:arguments;Array.prototype.push.apply(this._aPublicMethods,e);Array.prototype.push.apply(this._aAllPublicMethods,e);this._bInterfacesUnique=false};n.prototype.getStaticProperty=function(t){let e=this;while(e&&!(t in e.getClass())){e=e.getParent()}const a=e?.getClass();return a?.[t]};n.createClass=function(s,o,i,p){if(typeof s==="string"){p=i;i=o;o=s;s=null}e(!s||r(s));e(typeof o==="string"&&!!o);e(!i||typeof i==="object");e(!p||r(p));p=p||n;if(r(p.preprocessClassInfo)){i=p.preprocessClassInfo(i)}i=i||{};i.metadata=i.metadata||{};if(!i.hasOwnProperty("constructor")){i.constructor=undefined}var c=i.constructor;e(!c||r(c));if(s){if(!c){if(i.metadata.deprecated){c=function(){a.warning("Usage of deprecated class: "+o);s.apply(this,arguments)}}else{c=function(){s.apply(this,arguments)}}}c.prototype=Object.create(s.prototype);c.prototype.constructor=c;i.metadata.baseType=s}else{c=c||function(){};delete i.metadata.baseType}i.constructor=c;t.set(o,c);var u=new p(o,i);c.getMetadata=c.prototype.getMetadata=function(){return u};if(!c.getMetadata().isFinal()){c.extend=function(t,e,a){return n.createClass(c,t,e,a||p)}}return c};return n},true);
//# sourceMappingURL=Metadata.js.map