/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/ManagedObject","sap/ui/thirdparty/URI","sap/base/config","sap/base/Log","sap/base/i18n/Localization","sap/base/util/extend","sap/base/util/fetch","sap/base/util/mixedFetch","sap/base/strings/escapeRegExp","sap/ui/core/_IconRegistry"],function(e,t,r,n,o,i,a,s,p,c){"use strict";const u=o.getLanguage();const f=r.get({name:"sapUiXxAppCacheBusterMode",type:r.Type.String,defaultValue:"sync",external:true,freeze:true});const l=f==="sync";const d=f==="batch";var h={index:{},active:false};var y,g,v,b,L;var m=document.baseURI.replace(/\?.*|#.*/g,"");var x=t(sap.ui.require.toUrl("")+"/../");var R=x.toString();if(x.is("relative")){x=x.absoluteTo(m)}var U=x.normalize().toString();var A=t("resources").absoluteTo(U).toString();var C=new RegExp("^"+p(A));var T=function(e){if(e.length>0&&e.slice(-1)!=="/"){e+="/"}return e};var O=function(e,t){var r=h.index;var o;var p;var c;var f,y;if(Array.isArray(e)&&!d){e.forEach(function(e){O(e,t)})}else if(Array.isArray(e)&&d){var g=T(e[0]);var v=[];n.debug('sap.ui.core.AppCacheBuster.register("'+g+'"); // BATCH MODE!');var b=z.normalizeURL(g);n.debug('  --\x3e normalized to: "'+b+'"');e.forEach(function(e){p=T(e);var t=z.normalizeURL(p);if(!r[c]){v.push(t)}});if(v.length>0){p=b+"sap-ui-cachebuster-info.json?sap-ui-language="+u;o={body:v.join("\n"),headers:{Accept:a.ContentTypes.JSON,"Content-Type":"text/plain"},mode:"POST"};f=function(e){z.onIndexLoaded(p,e);i(r,e)};y=function(e){n.error('Failed to batch load AppCacheBuster index file from: "'+e+'".')}}}else{e=T(e);n.debug('sap.ui.core.AppCacheBuster.register("'+e+'");');c=z.normalizeURL(e);n.debug('  --\x3e normalized to: "'+c+'"');if(!r[c]){p=c+"sap-ui-cachebuster-info.json?sap-ui-language="+u;o={headers:{Accept:a.ContentTypes.JSON},mode:"POST"};f=function(e){z.onIndexLoaded(p,e);r[c]=e};y=function(e){n.error('Failed to load AppCacheBuster index file from: "'+e+'".')}}}if(o){var L=z.onIndexLoad(p);if(L!=null){n.info('AppCacheBuster index file injected for: "'+p+'".');f(L)}else{var m=!l&&!!t;if(m){var x=t.startTask("load "+p);var R=f,U=y;f=function(e){R.apply(this,arguments);t.finishTask(x)};y=function(){U.apply(this,arguments);t.finishTask(x,false)}}n.info('Loading AppCacheBuster index file from: "'+p+'".');a=s?s:a;a(p,o,!m).then(function(e){if(e.ok){return e.json()}else{throw new Error("Status code: "+e.status)}}).then(f).catch(function(){y(p)})}}};var z={boot:function(e,r){if(r&&r.length>0){var n=true;var o=String(r[0]).toLowerCase();if(r.length===1){if(o==="true"||o==="x"){var i=t(R);r=i.is("relative")?[i.toString()]:[]}else if(o==="false"){n=false}}if(n){z.init();O(r,e)}}},init:function(){h.active=true;y=e.prototype.validateProperty;g=Object.getOwnPropertyDescriptor(HTMLScriptElement.prototype,"src");v=Object.getOwnPropertyDescriptor(HTMLLinkElement.prototype,"href");var t=z.convertURL;var r=z.normalizeURL;var o=function(e){if(this.active===true&&e&&typeof e==="string"){e=r(e);return!e.match(C)}return false}.bind(h);b=XMLHttpRequest.prototype.open;XMLHttpRequest.prototype.open=function(e,r){if(r&&o(r)){arguments[1]=t(r)}b.apply(this,arguments)};L=XMLHttpRequest.prototype.open;e.prototype.validateProperty=function(e,r){var n=this.getMetadata(),i=n.getProperty(e),a;if(i&&i.type==="sap.ui.core.URI"){a=Array.prototype.slice.apply(arguments);try{if(o(a[1])){a[1]=t(a[1])}}catch(e){}}return y.apply(this,a||arguments)};c._convertUrl=function(e){return t(e)};var i=function(e){var r={get:e.get,set:function(r){if(o(r)){r=t(r)}e.set.call(this,r)},enumerable:e.enumerable,configurable:e.configurable};r.set._sapUiCoreACB=true;return r};var a=false;try{Object.defineProperty(HTMLScriptElement.prototype,"src",i(g))}catch(e){n.error("Your browser doesn't support redefining the src property of the script tag. Disabling AppCacheBuster as it is not supported on your browser!\nError: "+e);a=true}try{Object.defineProperty(HTMLLinkElement.prototype,"href",i(v))}catch(e){n.error("Your browser doesn't support redefining the href property of the link tag. Disabling AppCacheBuster as it is not supported on your browser!\nError: "+e);a=true}if(a){this.exit()}},exit:function(){e.prototype.validateProperty=y;delete c._convertUrl;if(XMLHttpRequest.prototype.open===L){XMLHttpRequest.prototype.open=b}var t;if((t=Object.getOwnPropertyDescriptor(HTMLScriptElement.prototype,"src"))&&t.set&&t.set._sapUiCoreACB===true){Object.defineProperty(HTMLScriptElement.prototype,"src",g)}if((t=Object.getOwnPropertyDescriptor(HTMLLinkElement.prototype,"href"))&&t.set&&t.set._sapUiCoreACB===true){Object.defineProperty(HTMLLinkElement.prototype,"href",v)}h.index={};h.active=false;h={index:{},active:false}},register:function(e){O(e)},convertURL:function(e){n.debug('sap.ui.core.AppCacheBuster.convertURL("'+e+'");');var t=h.index;if(t&&e&&!/^#/.test(e)){var r=z.normalizeURL(e);n.debug('  --\x3e normalized to: "'+r+'"');if(r&&z.handleURL(r)){for(var o in t){var i=t[o],a,s;if(o&&r.length>=o.length&&r.slice(0,o.length)===o){a=r.slice(o.length);s=a.match(/([^?#]*)/)[1];if(i[s]){e=o+"~"+i[s]+"~/"+a;n.debug('  ==> rewritten to "'+e+'";');break}}}}}return e},normalizeURL:function(e){var r=t(e||"./");if(r.is("relative")){r=r.absoluteTo(m)}return r.normalizeProtocol().normalizeHostname().normalizePort().normalizePath().toString()},handleURL:function(e){return true},onIndexLoad:function(e){return null},onIndexLoaded:function(e,t){}};const E=r.get({name:"sapUiXxAppCacheBusterHooks",type:r.Type.Object,defaultValue:undefined,freeze:true});if(E){["handleURL","onIndexLoad","onIndexLoaded"].forEach(function(e){if(typeof E[e]==="function"){z[e]=E[e]}})}return z},true);
//# sourceMappingURL=AppCacheBuster.js.map