/*
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./Manifest","./ComponentMetadata","./ElementRegistry","sap/base/config","sap/base/future","sap/base/i18n/Localization","sap/base/util/extend","sap/base/util/deepExtend","sap/base/util/merge","sap/ui/base/ManagedObject","sap/ui/core/Lib","sap/ui/core/ResizeHandler","sap/ui/thirdparty/URI","sap/ui/performance/trace/Interaction","sap/ui/util/_enforceNoReturnValue","sap/base/assert","sap/base/Log","sap/base/util/Deferred","sap/base/util/ObjectPath","sap/base/util/isPlainObject","sap/base/util/LoaderExtensions","sap/base/strings/camelize","sap/ui/core/_UrlResolver","sap/ui/VersionInfo","sap/ui/core/mvc/ViewType","sap/ui/core/ComponentRegistry","sap/ui/core/util/_LocalizationHelper"],function(e,t,n,i,o,r,a,s,u,c,f,p,d,l,g,m,h,v,y,M,_,C,b,w,S,O,E){"use strict";var T={lazy:"lazy",eager:"eager",waitFor:"waitFor"};function A(e){return{name:e,type:i.Type.String,external:true}}function U(e){["sap-client","sap-server"].forEach(function(t){if(!e.hasSearch(t)){var n=i.get(A(C(t)));if(n){e.addSearch(t,n)}}})}function P(e,t,n,i){if(n){for(var o in e){if(!t[o]&&n[o]&&n[o].uri){t[o]=i}}}}function I(e,n,i,o){var r=n.getEntry(i);if(r!==undefined&&!M(r)){return r}var a,u;if(o&&(a=e.getParent())instanceof t){u=a._getManifestEntry(i,o)}if(u||r){r=s({},u,r)}return r}function j(e,t){var n=Object.create(Object.getPrototypeOf(e));n._oMetadata=e;n._oManifest=t;for(var i in e){if(!/^(getManifest|_getManifest|getManifestObject|getManifestEntry|_getManifestEntry|getMetadataVersion)$/.test(i)&&typeof e[i]==="function"){n[i]=e[i].bind(e)}}n.getManifest=function(){return this._getManifest()};n.getManifestEntry=function(e,t){return this._getManifestEntry(e,t)};n._getManifest=function(){return t&&t.getJson()};n.getManifestObject=function(){return t};n._getManifestEntry=function(n,i){return I(e,t,n,i)};n.getMetadataVersion=function(){return 2};n[Symbol("isProxy")]=true;return n}var k=c.extend("sap.ui.core.Component",{constructor:function(e,t){var n=Array.prototype.slice.call(arguments);if(typeof e!=="string"){t=e;e=undefined}if(t&&typeof t._metadataProxy==="object"){this._oMetadataProxy=t._metadataProxy;this._oManifest=t._metadataProxy._oManifest;delete t._metadataProxy;this.getMetadata=function(){return this._oMetadataProxy}}if(t&&typeof t._cacheTokens==="object"){this._mCacheTokens=t._cacheTokens;delete t._cacheTokens}if(t&&Array.isArray(t._activeTerminologies)){this._aActiveTerminologies=t._activeTerminologies;delete t._activeTerminologies}(()=>{this._bSyncCreation=t?._syncCreation??true;delete t?._syncCreation})();if(t&&typeof t._manifestModels==="object"){this._mManifestModels=t._manifestModels;delete t._manifestModels}else{this._mManifestModels={}}this._mServices={};this._oKeepAliveConfig=this.getManifestEntry("/sap.ui5/keepAlive");if(this._oKeepAliveConfig){this._oKeepAliveConfig.supported=!!this._oKeepAliveConfig.supported}this._bIsActive=true;this._aDestroyables=[];c.apply(this,n)},metadata:{stereotype:"component",abstract:true,specialSettings:{componentData:"any"},version:"0.0",includes:[],dependencies:{libs:[],components:[],ui5version:""},config:{},customizing:{},library:"sap.ui.core"}},t);O.init(k);function x(e,t){n.forEach(function(n,i){var o=k.getOwnerIdFor(n);if(o===t&&!n.getParent()){e(n,i)}})}function N(e){var t,n;if(i.get({name:"sapUiXxDisableCustomizing",type:i.Type.Boolean})){return t}if(typeof e==="string"){n=e}else if(e&&typeof e.isA==="function"&&!e.isA("sap.ui.core.Component")){n=k.getOwnerIdFor(e)}else{t=e}if(n){t=k.getComponentById(n)}if(t){if(t.getExtensionComponent){t=t.getExtensionComponent();if(!t){throw new Error("getExtensionComponent() must return an instance.")}}}return t}k.getCustomizing=function(e,t){var n=t.type,i=t.name?"/"+t.name:"",o="/sap.ui5/extends/extensions/"+n+i;if(n==="sap.ui.viewExtensions"){o+="/"+t.extensionName}var r=N(e);return r?r._getManifestEntry(o,true):undefined};k.getComponentPreloadMode=function(){return i.get({name:"sapUiXxComponentPreload",type:i.Type.String,external:true})||f.getPreloadMode()};k.prototype.getManifest=function(){if(!this._oManifest){return this.getMetadata()._getManifest()}else{return this._oManifest.getJson()}};k.prototype.getManifestEntry=function(e){return this._getManifestEntry(e)};k.prototype._getManifestEntry=function(e,t){if(!this._oManifest){return this.getMetadata()._getManifestEntry(e,t)}else{return I(this.getMetadata(),this._oManifest,e,t)}};k.prototype.getManifestObject=function(){if(!this._oManifest){return this.getMetadata().getManifestObject()}else{return this._oManifest}};k.prototype._isVariant=function(){if(this._oManifest){var e=this.getManifestEntry("/sap.ui5/componentName");return e&&e!==this.getManifestEntry("/sap.app/id")}else{return false}};k.activateCustomizing=function(e){};k.deactivateCustomizing=function(e){};k.getOwnerIdFor=function(e){m(e instanceof c,"oObject must be given and must be a ManagedObject");var t=e instanceof c&&e._sOwnerId;return t||undefined};k.getOwnerComponentFor=function(e){return k.getComponentById(k.getOwnerIdFor(e))};k.prototype.runAsOwner=function(e){if(!this.isActive()){throw new Error("Execute 'runAsOwner' on an inactive owner component is not supported. Component: '"+this.getMetadata().getName()+"' with id '"+this.getId()+"'.")}return c.runWithOwner(e,this.getId())};k.prototype.getInterface=function(){return this};k.prototype._initCompositeSupport=function(e){this.oComponentData=e&&e.componentData;if(this._oManifest){this._oManifest.init(this)}else{this.getMetadata().init()}if(this._isVariant()){var t=this._oManifest.getEntry("/sap.app/id");if(t){F(t,this._oManifest.resolveUri("./","manifest"))}}this.initComponentModels();(()=>{if(this.onWindowError){this._fnWindowErrorHandler=function(e){var t=e.originalEvent;this.onWindowError(t.message,t.filename,t.lineno)}.bind(this);window.addEventListener("error",this._fnWindowErrorHandler)}if(this.onWindowBeforeUnload){this._fnWindowBeforeUnloadHandler=function(e){var t=this.onWindowBeforeUnload.apply(this,arguments);if(typeof t==="string"){e.returnValue=t;e.preventDefault();return t}}.bind(this);window.addEventListener("beforeunload",this._fnWindowBeforeUnloadHandler)}if(this.onWindowUnload){this._fnWindowUnloadHandler=this.onWindowUnload.bind(this);window.addEventListener("unload",this._fnWindowUnloadHandler)}})()};k.prototype._getDestroyables=function(){if(!this._aDestroyables){o.errorThrows("Mandatory super constructor not called for Component: '"+this.getManifestObject().getComponentName()+"'.",null,"sap.ui.support",function(){return{type:"missingSuperConstructor"}});this._aDestroyables=[]}return this._aDestroyables};k.prototype.destroy=function(){var e,t=false;for(var n in this._mServices){if(this._mServices[n].instance){this._mServices[n].instance.destroy()}}delete this._mServices;for(var i in this._mManifestModels){this._mManifestModels[i].destroy()}delete this._mManifestModels;(()=>{if(this._fnWindowErrorHandler){window.removeEventListener("error",this._fnWindowErrorHandler);delete this._fnWindowErrorHandler}if(this._fnWindowBeforeUnloadHandler){window.removeEventListener("beforeunload",this._fnWindowBeforeUnloadHandler);delete this._fnWindowBeforeUnloadHandler}if(this._fnWindowUnloadHandler){window.removeEventListener("unload",this._fnWindowUnloadHandler);delete this._fnWindowUnloadHandler}})();if(this._oEventBus){this._oEventBus.destroy();delete this._oEventBus}function o(e){if(e&&!e._bIsBeingDestroyed){e.destroy()}}function r(e){t=true}var a=this._getDestroyables();for(var s=0;s<a.length;s++){a[s]=a[s].then(o,r)}if(a.length>0){e=Promise.all(a).then(function(){if(t){x(function(e){e.destroy()},this.getId())}}.bind(this))}c.prototype.destroy.apply(this,arguments);const u=sap.ui.require("sap/ui/core/Messaging");u?.unregisterObject(this);if(this._oManifest){this._oManifest.exit(this);delete this._oManifest}else{this.getMetadata().exit()}return e};k.prototype.getComponentData=function(){return this.oComponentData};k.prototype.getEventBus=function(){if(!this._oEventBus){var e=sap.ui.require("sap/ui/core/EventBus");if(!e){var t=this.getMetadata().getName();o.warningThrows("The module 'sap/ui/core/EventBus' needs to be required before calling #getEventBus() on Component '"+t+"'.");(()=>{h.warning("Synchronous loading of EventBus, due to #getEventBus() call on Component '"+t+"'.","SyncXHR",null,function(){return{type:"SyncXHR",name:t}});e=sap.ui.requireSync("sap/ui/core/EventBus")})()}this._oEventBus=new e;if(!this.isActive()){this._oEventBus.suspend()}}return this._oEventBus};k.prototype.isActive=function(){return this._bIsActive};k.prototype.initComponentModels=function(){var e=this.getMetadata();if(e.isBaseClass()){return}var t=this._getManifestEntry("/sap.app/dataSources",true)||{};var n=this._getManifestEntry("/sap.ui5/models",true)||{};this._initComponentModels(n,t,this._mCacheTokens)};k.prototype._initComponentModels=function(e,t,n){var i=this.getManifestObject().getComponentName();var o=k._findManifestModelClasses({models:e,dataSources:t,componentName:i});if(this._bSyncCreation){k._loadManifestModelClasses(o,i,this._bSyncCreation)}var r=k._createManifestModelConfigurations({models:o,dataSources:t,component:this,mergeParent:true,cacheTokens:n,activeTerminologies:this.getActiveTerminologies()}),a={},s;if(!r){return}for(s in r){if(!this._mManifestModels[s]){a[s]=r[s]}}var u=k._createManifestModels(a,i);for(s in u){this._mManifestModels[s]=u[s]}for(s in this._mManifestModels){var c=this._mManifestModels[s];this.setModel(c,s||undefined)}};k.prototype.getService=function(e){if(!this._mServices[e]){this._mServices[e]={};this._mServices[e].promise=new Promise(function(t,n){sap.ui.require(["sap/ui/core/service/ServiceFactoryRegistry"],function(i){var o=this._getManifestEntry("/sap.ui5/services/"+e,true);var r=o&&o.factoryName;if(!r){n(new Error("Service "+e+" not declared!"));return}var a=i.get(r);if(a){a.createInstance({scopeObject:this,scopeType:"component",settings:o.settings||{}}).then(function(i){if(!this.bIsDestroyed){this._mServices[e].instance=i;this._mServices[e].interface=i.getInterface();t(this._mServices[e].interface)}else{n(new Error("Service "+e+" could not be loaded as its Component was destroyed."))}}.bind(this)).catch(n)}else{var s="The ServiceFactory "+r+" for Service "+e+" not found in ServiceFactoryRegistry!";var u=this._getManifestEntry("/sap.ui5/services/"+e+"/optional",true);if(!u){h.error(s)}n(new Error(s))}}.bind(this),n)}.bind(this))}return this._mServices[e].promise};function D(e,t){var n=e._getManifestEntry("/sap.ui5/services",true);var i=t?[]:null;if(!n){return i}var o=Object.keys(n);if(!t&&o.some(function(e){return n[e].startup===T.waitFor})){throw new Error('The specified component "'+e.getMetadata().getName()+'" cannot be loaded in sync mode since it has some services declared with "startup" set to "waitFor"')}return o.reduce(function(t,i){if(n[i].lazy===false||n[i].startup===T.waitFor||n[i].startup===T.eager){var o=e.getService(i);if(n[i].startup===T.waitFor){t.push(o)}}return t},i)}k.prototype.createComponent=function(e){m(typeof e==="string"&&e||typeof e==="object"&&typeof e.usage==="string"&&e.usage,"vUsage either must be a non-empty string or an object with a non-empty usage id");var t={async:true};if(e){var n;if(typeof e==="object"){n=e.usage;["id","async","settings","componentData"].forEach(function(n){if(e[n]!==undefined){t[n]=e[n]}})}else if(typeof e==="string"){n=e}t=this._enhanceWithUsageConfig(n,t)}var i=k._createComponent(t,this);if(i instanceof Promise){this.registerForDestroy(i)}return i};k.prototype._enhanceWithUsageConfig=function(e,t){var n=this.getManifestEntry("/sap.ui5/componentUsages/"+e);if(!n){throw new Error('Component usage "'+e+'" not declared in Component "'+this.getManifestObject().getComponentName()+'"!')}if(n.activeTerminologies){throw new Error("Terminologies vector can't be used in component usages")}return s(n,t)};k.prototype.getActiveTerminologies=function(){return this._aActiveTerminologies?this._aActiveTerminologies.slice():undefined};k._createComponent=function(e,t){function n(){if(e.async===true){return k.create(e)}else{return sap.ui.component(e)}}if(t){if(!t.isActive()){throw new Error("Creation of component '"+e.name+"' is not possible due to inactive owner component '"+t.getId()+"'")}return t.runAsOwner(n)}else{return n()}};k._applyCacheToken=function(e,t,n){var o=n?"Model":"DataSource";var r=n?'["sap.ui5"]["models"]':'["sap.app"]["dataSources"]';var a=n&&n["sap-language"]||e.search(true)["sap-language"];var s=n&&n["sap-client"]||e.search(true)["sap-client"];if(!a){h.warning('Component Manifest: Ignoring provided "sap-context-token='+t.cacheToken+'" for '+o+' "'+t.dataSource+'" ('+e.toString()+"). "+'Missing "sap-language" URI parameter',r+'["'+t.dataSource+'"]',t.componentName);return}if(!s){h.warning('Component Manifest: Ignoring provided "sap-context-token='+t.cacheToken+'" for '+o+' "'+t.dataSource+'" ('+e.toString()+"). "+'Missing "sap-client" URI parameter',r+'["'+t.dataSource+'"]',t.componentName);return}var u=i.get(A("sapClient"));if(s!==u){h.warning('Component Manifest: Ignoring provided "sap-context-token='+t.cacheToken+'" for '+o+' "'+t.dataSource+'" ('+e.toString()+"). "+'URI parameter "sap-client='+s+'" must be identical with configuration "sap-client='+u+'"',r+'["'+t.dataSource+'"]',t.componentName);return}if(e.hasQuery("sap-context-token")&&!e.hasQuery("sap-context-token",t.cacheToken)||n&&n["sap-context-token"]&&n["sap-context-token"]!==t.cacheToken){h.warning('Component Manifest: Overriding existing "sap-context-token='+(e.query(true)["sap-context-token"]||n["sap-context-token"])+'" with provided value "'+t.cacheToken+'" for '+o+' "'+t.dataSource+'" ('+e.toString()+").",r+'["'+t.dataSource+'"]',t.componentName)}if(n){if(e.hasQuery("sap-context-token")){h.warning('Component Manifest: Move existing "sap-context-token='+e.query(true)["sap-context-token"]+'" to metadataUrlParams for '+o+' "'+t.dataSource+'" ('+e.toString()+").",r+'["'+t.dataSource+'"]',t.componentName)}e.removeQuery("sap-context-token");n["sap-context-token"]=t.cacheToken}else{e.setQuery("sap-context-token",t.cacheToken)}};k._findManifestModelClasses=function(e){if(!e.models){return null}var t={models:e.models,dataSources:e.dataSources||{},origin:{dataSources:{},models:{}}};var n=e.componentName;var i={};for(var r in t.models){var a=t.models[r];if(typeof a==="string"){a={dataSource:a}}if(a.dataSource){var s=t.dataSources&&t.dataSources[a.dataSource];if(typeof s==="object"){if(s.type===undefined){s.type="OData"}var u;if(!a.type){switch(s.type){case"OData":u=s.settings&&s.settings.odataVersion;if(u==="4.0"){a.type="sap.ui.model.odata.v4.ODataModel"}else if(!u||u==="2.0"){a.type="sap.ui.model.odata.v2.ODataModel"}else{o.errorThrows('Component Manifest: Provided OData version "'+u+'" in '+'dataSource "'+a.dataSource+'" for model "'+r+'" is unknown.',{suffix:'Falling back to default model type "sap.ui.model.odata.v2.ODataModel".'},'["sap.app"]["dataSources"]["'+a.dataSource+'"]',n);a.type="sap.ui.model.odata.v2.ODataModel"}break;case"JSON":a.type="sap.ui.model.json.JSONModel";break;case"XML":a.type="sap.ui.model.xml.XMLModel";break;default:}}}}if(!a.type){o.errorThrows('Component Manifest: Missing "type" for model "'+r+'"','["sap.ui5"]["models"]["'+r+'"]',n);continue}i[r]=a}return i};k._createManifestModelConfigurations=function(e){var n=e.component;var a=e.manifest||n.getManifestObject();var s=e.mergeParent;var u=e.cacheTokens||{};var c=n?n.getMetadata().getComponentName():a.getComponentName();var f=e.activeTerminologies;if(!e.models){return null}var p={models:e.models,dataSources:e.dataSources||{},origin:{dataSources:{},models:{}}};if(n&&s){var l=n.getMetadata();while(l instanceof t){var g=l.getManifestObject();var m=l._getManifestEntry("/sap.app/dataSources");P(p.dataSources,p.origin.dataSources,m,g);var v=l._getManifestEntry("/sap.ui5/models");P(p.models,p.origin.models,v,g);l=l.getParent()}}var M={};for(var _ in p.models){var C=p.models[_];var w=sap.ui.require(C.type.replace(/\./g,"/"));if(!w){w=y.get(C.type)}if(!w?.getMetadata){o.errorThrows('Component Manifest: Class "'+C.type+'" for model "'+_+'" could not be found','["sap.ui5"]["models"]["'+_+'"]',c);continue}var S=w.getMetadata();var O=S.isA("sap.ui.model.odata.ODataModel");var E=S.isA("sap.ui.model.odata.v2.ODataModel");var T=S.isA("sap.ui.model.odata.v4.ODataModel");var I=S.isA("sap.ui.model.resource.ResourceModel");var j=false;var x=null;if(typeof C==="string"){C={dataSource:C}}if(C.dataSource){var N=p.dataSources&&p.dataSources[C.dataSource];if(typeof N==="object"){if(N.type===undefined){N.type="OData"}if(T&&N.settings&&N.settings.odataVersion){C.settings=C.settings||{};C.settings.odataVersion=N.settings.odataVersion}if(!C.uri){C.uri=N.uri;j=true}if(N.type==="OData"&&N.settings){C.settings=C.settings||{};if(typeof N.settings.maxAge==="number"){C.settings.headers=C.settings.headers||{};C.settings.headers["Cache-Control"]="max-age="+N.settings.maxAge}if("ignoreAnnotationsFromMetadata"in N.settings){C.settings.ignoreAnnotationsFromMetadata=N.settings.ignoreAnnotationsFromMetadata}if(N.settings.annotations){var D=N.settings.annotations;for(var B=0;B<D.length;B++){var R=D[B];var F=p.dataSources[R];if(!F){o.errorThrows('Component Manifest: ODataAnnotation "'+R+'" for dataSource "'+C.dataSource+'" could not be found in manifest','["sap.app"]["dataSources"]["'+R+'"]',c);continue}if(F.type!=="ODataAnnotation"){o.errorThrows('Component Manifest: dataSource "'+R+'" was expected to have type "ODataAnnotation" but was "'+F.type+'"','["sap.app"]["dataSources"]["'+R+'"]',c);continue}if(!F.uri){o.errorThrows('Component Manifest: Missing "uri" for ODataAnnotation "'+R+'"','["sap.app"]["dataSources"]["'+R+'"]',c);continue}var H=new d(F.uri);if(E||T){var L=r.getSAPLogonLanguage();if(!H.hasQuery("sap-language")&&L){H.setQuery("sap-language",L)}L=i.get(A("sapClient"));if(!H.hasQuery("sap-client")&&L){H.setQuery("sap-client",L)}var W=u.dataSources&&u.dataSources[F.uri];if(W){k._applyCacheToken(H,{cacheToken:W,componentName:c,dataSource:R})}}var q=p.origin.dataSources[D[B]]||a;var z=q.resolveUri(H.toString());C.settings.annotationURI=C.settings.annotationURI||[];C.settings.annotationURI.push(z)}}}}else{o.errorThrows('Component Manifest: dataSource "'+C.dataSource+'" for model "'+_+'" not found or invalid','["sap.app"]["dataSources"]["'+C.dataSource+'"]',c);continue}}if(O&&(!C.settings||C.settings.json===undefined)){C.settings=C.settings||{};C.settings.json=true}if(I){if(C.uri&&C.settings&&C.settings.bundleUrl){h.warning("Defining both model uri and bundleUrl is not supported. Only model uri will be resolved.")}if(!C.uri&&C.settings&&C.settings.terminologies){if(C.bundleUrl||C.settings.bundleUrl){C.uri=C.bundleUrl||C.settings.bundleUrl;delete C.settings.bundleUrl}}}if(C.uri){var J=new d(C.uri);var V=(j?p.origin.dataSources[C.dataSource]:p.origin.models[_])||a;J=new d(V.resolveUri(C.uri));if(C.dataSource){U(J);if(E||T){var K=p.dataSources&&p.dataSources[C.dataSource];var Q=u.dataSources&&u.dataSources[K.uri];x=C.settings&&C.settings.metadataUrlParams;var X=(!x||typeof x["sap-language"]==="undefined")&&!J.hasQuery("sap-language")&&r.getSAPLogonLanguage();if(X||Q){C.settings=C.settings||{};x=C.settings.metadataUrlParams=C.settings.metadataUrlParams||{};if(X){x["sap-language"]=r.getSAPLogonLanguage()}}if(Q){k._applyCacheToken(J,{cacheToken:Q,componentName:c,dataSource:_},x)}}}C.uri=J.toString()}if(C.uriSettingName===undefined){if(O||E||T){C.uriSettingName="serviceUrl"}else if(I){C.uriSettingName="bundleUrl"}else{}}var $;var G;if(n){G=n.getComponentData()}else{G=e.componentData}$=G&&G.startupParameters&&G.startupParameters["sap-system"];if(!$){$=i.get(A("sapSystem"))}var Y=false;var Z;if($&&(O||E||T)){Y=true;Z=sap.ui.require("sap/ui/model/odata/ODataUtils")}if(C.uri){if(Y){C.preOriginBaseUri=C.uri.split("?")[0];C.uri=Z.setOrigin(C.uri,{alias:$});C.postOriginBaseUri=C.uri.split("?")[0]}if(C.uriSettingName!==undefined){C.settings=C.settings||{};if(!C.settings[C.uriSettingName]){C.settings[C.uriSettingName]=C.uri}}else if(C.settings){C.settings=[C.uri,C.settings]}else{C.settings=[C.uri]}}else if(Y&&C.uriSettingName!==undefined&&C.settings&&C.settings[C.uriSettingName]){C.preOriginBaseUri=C.settings[C.uriSettingName].split("?")[0];C.settings[C.uriSettingName]=Z.setOrigin(C.settings[C.uriSettingName],{alias:$});C.postOriginUri=C.settings[C.uriSettingName].split("?")[0]}if(Y&&C.settings&&C.settings.annotationURI){var ee=[].concat(C.settings.annotationURI);var te=[];for(var ne=0;ne<ee.length;ne++){te.push(Z.setAnnotationOrigin(ee[ne],{alias:$,preOriginBaseUri:C.preOriginBaseUri,postOriginBaseUri:C.postOriginBaseUri}))}C.settings.annotationURI=te}if(I&&C.settings){if(f){C.settings.activeTerminologies=f}b._processResourceConfiguration(C.settings,{alreadyResolvedOnRoot:true,baseURI:a._oBaseUri,manifestBaseURI:a._oManifestBaseUri,relativeTo:undefined})}if(C.settings&&!Array.isArray(C.settings)){C.settings=[C.settings]}M[_]=C}if(a.getEntry("/sap.ui5/commands")||n&&n._getManifestEntry("/sap.ui5/commands",true)){M["$cmd"]={type:"sap.ui.model.json.JSONModel"}}return M};k._loadManifestModelClasses=function(e,t,n){const i=[];function r(e,n,i){o.errorThrows('Component Manifest: Class "'+e+'" for model "'+n+'" could not be loaded. '+i,'["sap.ui5"]["models"]["'+n+'"]',t)}for(const t in e){const o=e[t];const a=o.type.replace(/\./g,"/");if(n){try{sap.ui.requireSync(a)}catch(e){r(o.type,t,e)}continue}i.push(new Promise((e,t)=>{sap.ui.require([a],e,t)}).catch(r.bind(null,o.type,t)))}return Promise.all(i)};k._createManifestModels=function(e,t){var n={};for(var i in e){var o=e[i];let t;t=y.get(o.type);if(!t){t=sap.ui.require(o.type.replace(/\./g,"/"))}var r=[null].concat(o.settings||[]);var a=t.bind.apply(t,r);var s=new a;n[i]=s}return n};function B(e){var t={afterManifest:{},afterPreload:{}};var n=u({},e.getEntry("/sap.app/dataSources"));var i=u({},e.getEntry("/sap.ui5/models"));var o=e.getComponentName();var r=k._findManifestModelClasses({models:i,dataSources:n,componentName:o});var a=new URLSearchParams(window.location.search).get("sap-ui-xx-preload-component-models-"+e.getComponentName());var s=a&&a.split(",");for(var c in r){var f=r[c];if(!f.preload&&s&&s.indexOf(c)>-1){f.preload=true;h.warning('FOR TESTING ONLY!!! Activating preload for model "'+c+'" ('+f.type+")",o,"sap.ui.core.Component")}if(f.type==="sap.ui.model.resource.ResourceModel"&&(!f.settings||f.settings.async!==true)){t.afterPreload[c]=f}else if(f.preload){if(sap.ui.loader._.getModuleState(f.type.replace(/\./g,"/")+".js")){t.afterManifest[c]=f}else{h.warning('Can not preload model "'+c+'" as required class has not been loaded: "'+f.type+'"',o,"sap.ui.core.Component")}}}return t}function R(e){return sap.ui.require.toUrl(e.replace(/\./g,"/")+"/manifest.json")}function F(e,t){_.registerResourcePath(e.replace(/\./g,"/"),t)}function H(e){var n=[];function i(e){if(!e._oManifest){var o=e.getComponentName();var r=R(o);var a=_.loadResource({url:r,dataType:"json",async:true}).catch(function(e){h.error('Failed to load component manifest from "'+r+'" (component '+o+")! Reason: "+e);return{}}).then(function(t){if(t){e._applyManifest(t,true);return e.getManifestObject()._processI18n(true)}});n.push(a)}var s=e.getParent();if(s&&s instanceof t&&!s.isBaseClass()){i(s)}}i(e);return Promise.all(n)}k._fnLoadComponentCallback=null;var L=[];Object.defineProperty(k,"_fnOnInstanceCreated",{get:function(){return L[0]},set:function(e){if(typeof e==="function"){L.push(e)}else{L=[]}}});k._fnPreprocessManifest=null;k.create=function(e){if(e==null||typeof e!=="object"){throw new TypeError("Component.create() must be called with a configuration object.")}var t=u({},e);t.async=true;if(t.manifest===undefined){t.manifest=true}return z(t)};sap.ui.component=function(e){if(!e){throw new Error("sap.ui.component cannot be called without parameter!")}var t=function(e){return{type:"sap.ui.component",name:e}};if(typeof e==="string"){h.warning("Do not use deprecated function 'sap.ui.component' ("+e+") + for Component instance lookup. "+"Use 'Component.get' instead","sap.ui.component",null,t.bind(null,e));return k.getComponentById(e)}if(e.async){h.info("Do not use deprecated factory function 'sap.ui.component' ("+e["name"]+"). "+"Use 'Component.create' instead","sap.ui.component",null,t.bind(null,e["name"]))}else{h.warning("Do not use synchronous component creation ("+e["name"]+")! "+"Use the new asynchronous factory 'Component.create' instead","sap.ui.component",null,t.bind(null,e["name"]))}return z(e,true)};function W(e,t){const n=new v;sap.ui.require([e],n.resolve,i=>{o.warningRejects(n.resolve,n.reject,`Cannot load module '${e}'.`,t,"sap.ui.core.Component");h.warning(i)});return n.promise}function q(e){const t=e.getStaticProperty("collectRoutingClasses");const n=typeof t=="function"?t.call(e.getClass()):{};return Object.values(n)}function z(e,n){var i=k.getComponentById(c._sOwnerId);if(Array.isArray(e.activeTerminologies)&&e.activeTerminologies.length&&Array.isArray(r.getActiveTerminologies())&&r.getActiveTerminologies().length){if(JSON.stringify(e.activeTerminologies)!==JSON.stringify(r.getActiveTerminologies())){h.warning(n?"sap.ui.component: ":"Component.create: "+"The 'activeTerminolgies' passed to the component factory differ from the ones defined on the global 'sap/base/i18n/Localization.getActiveTerminologies';"+"This might lead to inconsistencies; ResourceModels that are not defined in the manifest and created by the component will use the globally configured terminologies.")}}var o=e.activeTerminologies||i&&i.getActiveTerminologies()||r.getActiveTerminologies();if(!e.asyncHints||!e.asyncHints.cacheTokens){var s=i&&i._mCacheTokens;if(typeof s==="object"){e.asyncHints=e.asyncHints||{};e.asyncHints.cacheTokens=s}}function u(e,t){return L.map(function(n){return n(e,t)})}function f(e,t){if(t.async){var n=e.rootControlLoaded?e.rootControlLoaded():Promise.resolve();var i=u(e,t);i.push(n);return Promise.all(i)}else{u(e,t)}return e}function p(t){if(n&&t.getMetadata().isA("sap.ui.core.IAsyncContentCreation")){throw new Error("Do not use deprecated factory function 'sap.ui.component' in combination with IAsyncContentCreation ("+e["name"]+"). "+"Use 'Component.create' instead")}var i=e.name,r=e.id,s=e.componentData,u=i+".Component",c=e.settings;var p=new t(a({},c,{id:r,componentData:s,_cacheTokens:e.asyncHints&&e.asyncHints.cacheTokens,_activeTerminologies:o,_syncCreation:!e.async}));m(p instanceof k,'The specified component "'+u+'" must be an instance of sap.ui.core.Component!');h.info("Component instance Id = "+p.getId());var d=p.getMetadata()._getManifestEntry("/sap.ui5/handleValidation");if(d!==undefined||e.handleValidation){const t=sap.ui.require("sap/ui/core/Messaging");if(t){t.registerObject(p,d===undefined?e.handleValidation:d)}else{sap.ui.require(["sap/ui/core/Messaging"],function(t){if(!p.isDestroyed()){t.registerObject(p,d===undefined?e.handleValidation:d)}})}}var l=D(p,e.async);if(e.async){return f(p,e).then(function(){return Promise.all(l)}).then(function(){return p})}else{return f(p,e)}}var d=J(e,{failOnError:true,createModels:true,waitFor:e.asyncHints&&e.asyncHints.waitFor,activeTerminologies:o});if(e.async){var l=c._sOwnerId;return d.then(function(e){var n=function(e){var i=e.getParent();var o=Promise.resolve();if(i instanceof t){o=o.then(function(){return n(i)})}return o.then(function(){return e.getManifestObject().loadDependenciesAndIncludes(true)})};return n(e.getMetadata()).then(async function(){const t=e.getMetadata();const n=t.getManifestObject();const i=n.getComponentName();const o=q(t);const r=o.map(e=>{let t;if(typeof e==="function"){t=Promise.resolve(e)}else{t=W(e,i)}return t});const a=I(t,n,"/sap.app/dataSources",true)||{};const s=I(t,n,"/sap.ui5/models",true)||{};const u=k._findManifestModelClasses({models:s,dataSources:a,componentName:i});const f=k._loadManifestModelClasses(u,i);await Promise.all([...r,f]);return c.runWithOwner(function(){return p(e)},l)})})}else{return p(d)}}k.load=function(e){var t=u({},e);t.async=true;if(t.manifest===undefined){t.manifest=true}return J(t,{preloadOnly:t.asyncHints&&t.asyncHints.preloadOnly})};k.get=function(e){return k.getComponentById(e)};k.getComponentById=function(e){return O.get(e)};sap.ui.component.load=function(e,t){h.warning("Do not use deprecated function 'sap.ui.component.load'! Use 'Component.load' instead");return J(e,{failOnError:t,preloadOnly:e.asyncHints&&e.asyncHints.preloadOnly})};function J(t,n){var r=n.activeTerminologies,a=t.name,c=t.url,p=/^(sync|async)$/.test(k.getComponentPreloadMode()),d=t.manifest,g,v,y,M,_,C;function b(n,i){var o=JSON.parse(JSON.stringify(n));if(t.async){return S(o).then(function(t){return new e(t,i)})}else{return new e(o,i)}}function S(e){if(typeof k._fnPreprocessManifest==="function"&&e!=null){try{var n=s({},t);return k._fnPreprocessManifest(e,n)}catch(e){h.error("Failed to execute flexibility hook for manifest preprocessing.",e);return Promise.reject(e)}}else{return Promise.resolve(e)}}m(!c||typeof c==="string","sUrl must be a string or undefined");if(a&&typeof c==="string"){F(a,c)}l.setStepComponent(a);if(d===undefined){g=t.manifestFirst===undefined?i.get({name:"sapUiManifestFirst",type:i.Type.Boolean,external:true}):!!t.manifestFirst;v=t.manifestUrl}if(d!==undefined){if(t.async===undefined){t.async=true}g=!!d;v=d&&typeof d==="string"?d:undefined;y=d&&typeof d==="object"?b(d,{url:t&&t.altManifestUrl,activeTerminologies:r,process:!t.async}):undefined}if(!y&&v){y=e.load({activeTerminologies:r,manifestUrl:v,componentName:a,processJson:S,async:t.async,failOnError:true})}if(y&&!t.async){a=y.getComponentName();if(a&&typeof c==="string"){F(a,c)}}if(!(y&&t.async)){if(!a){throw new Error("The name of the component is undefined.")}m(typeof a==="string","sName must be a string")}if(g&&!y){y=e.load({activeTerminologies:r,manifestUrl:R(a),componentName:a,async:t.async,processJson:S,failOnError:false})}function O(){return(a+".Component").replace(/\./g,"/")}function E(e){var t=a+".Component";if(!e){var i="The specified component controller '"+t+"' could not be found!";if(n.failOnError){throw new Error(i)}else{o.warningThrows(i)}}if(y){var r=j(e.getMetadata(),y);var s=function(){var t=Array.prototype.slice.call(arguments);var n;if(t.length===0||typeof t[0]==="object"){n=t[0]=t[0]||{}}else if(typeof t[0]==="string"){n=t[1]=t[1]||{}}n._metadataProxy=r;if(M){n._manifestModels=M}var i=Object.create(e.prototype);e.apply(i,t);return i};r.getClass=function(){return s};s[Symbol("isProxy")]=true;s.getMetadata=function(){return r};s.extend=function(){throw new Error("Extending Components created by Manifest is not supported!")};return s}else{return e}}function T(e,t){m(typeof e==="string"&&e||typeof e==="object"&&typeof e.name==="string"&&e.name,"reference either must be a non-empty string or an object with a non-empty 'name' and an optional 'url' property");if(typeof e==="object"){if(e.url){F(e.name,e.url)}return e.lazy&&t!==true?undefined:e.name}return e}function A(e,t){var n=e+".Component",i=f.isDepCacheEnabled(),o,r,a,s=function(e,t){return function(n){var i="Component-preload for this component does not exist.";h.warning("Couldn't preload component from "+e+": "+(n&&n.message||n),!t?i:i+" If the component is part of a library or another component, the configuration 'sap.app/embeddedBy' is not maintained. "+" The 'sap.app/embeddedBy' property must be relative path inside the deployment unit (library or component).","sap.ui.core.Component#preload")}};if(p&&e!=null&&!sap.ui.loader._.getModuleState(n.replace(/\./g,"/")+".js")){if(t){r=w._getTransitiveDependencyForComponent(e);if(r&&!r.hasOwnPreload){a=[r.library];Array.prototype.push.apply(a,r.dependencies);return f._load(a,{preloadOnly:true}).catch(s(r.library,true))}else{o=n.replace(/\./g,"/")+(i?"-h2-preload.js":"-preload.js");return sap.ui.loader._.loadJSResourceAsync(o).catch(s(o,true))}}else{try{o=n+"-preload";sap.ui.requireSync(o.replace(/\./g,"/"))}catch(e){s(o,false)(e)}}}else if(t){return Promise.resolve()}}function U(e,t,n){var i=[];var o=n?function(e){i.push(e)}:function(){};var r=t.getEntry("/sap.ui5/dependencies/libs");if(r){var a=[];for(var s in r){if(!r[s].lazy){a.push(s)}}if(a.length>0){h.info('Component "'+e+'" is loading libraries: "'+a.join(", ")+'"');o(f._load(a,{sync:!n}))}}var u=t.getEntry("/sap.ui5/extends/component");if(u){o(A(u,n))}var c=[];var p=t.getEntry("/sap.ui5/dependencies/components");if(p){for(var d in p){if(!p[d].lazy){c.push(d)}}}var l=t.getEntry("/sap.ui5/componentUsages");if(l){for(var g in l){if(l[g].lazy===false&&c.indexOf(l[g].name)===-1){c.push(l[g].name)}}}if(c.length>0){c.forEach(function(e){o(A(e,n))})}return n?Promise.all(i):undefined}if(t.async){var P=t.asyncHints||{},I=[],x=function(e){e=e.then(function(e){return{result:e,rejected:false}},function(e){return{result:e,rejected:true}});return e},N=function(e){if(e){I.push(x(e))}},D=function(e){return e},L,z;L=[];if(Array.isArray(P.preloadBundles)){P.preloadBundles.forEach(function(e){L.push(sap.ui.loader._.loadJSResourceAsync(T(e,true),true))})}if(Array.isArray(P.libs)){z=P.libs.map(T).filter(D);L.push(f._load(z,{preloadOnly:true}))}L=Promise.all(L);if(z&&!n.preloadOnly){L=L.then(function(){return f._load(z)})}N(L);if(P.components){Object.keys(P.components).forEach(function(e){N(A(T(P.components[e]),true))})}if(!y){N(A(a,true))}else{var J=[];y=y.then(function(e){var t=e.getComponentName();if(typeof c==="string"){F(t,c)}e.defineResourceRoots();e._preprocess({resolveUI5Urls:true,i18nProperties:J});return e});if(n.createModels){N(y.then(async function(e){var n=e.getComponentName();_=B(e);if(Object.keys(_.afterManifest).length>0){await k._loadManifestModelClasses(_.afterManifest,n);var i=u({},e.getEntry("/sap.app/dataSources"));var o=k._createManifestModelConfigurations({models:_.afterManifest,dataSources:i,manifest:e,componentData:t.componentData,cacheTokens:P.cacheTokens,activeTerminologies:r});M=k._createManifestModels(o,n)}return e}))}N(y.then(function(e){var i=Promise.resolve();var o=e.getEntry("/sap.app/embeddedBy");var a=e.getComponentName();if(!o){i=A(a,true)}else if(!sap.ui.loader._.getModuleState(O()+".js")){h.warning("Component '"+a+"' is defined to be embedded in a library or another component"+"The relatively given preload for the embedding resource was not loaded before hand. "+"Please make sure to load the embedding resource containing this Component before instantiating.",undefined,"sap.ui.core.Component#embeddedBy")}return i.then(function(){return e._processI18n(true,J)}).then(function(){if(!n.createModels){return null}var i=Object.keys(_.afterPreload);if(i.length===0){return null}return new Promise(function(e,t){sap.ui.require(["sap/ui/model/resource/ResourceModel"],function(t){e(t)},t)}).then(function(o){var a=u({},e.getEntry("/sap.app/dataSources"));var s=k._createManifestModelConfigurations({models:_.afterPreload,dataSources:a,manifest:e,componentData:t.componentData,cacheTokens:P.cacheTokens,activeTerminologies:r});function c(t){var i=s[t];if(Array.isArray(i.settings)&&i.settings.length>0){var r=i.settings[0];r.activeTerminologies=n.activeTerminologies;return o.loadResourceBundle(r,true).then(function(e){r.bundle=e;delete r.terminologies;delete r.activeTerminologies;delete r.enhanceWith},function(n){h.error("Component Manifest: Could not preload ResourceBundle for ResourceModel. "+"The model will be skipped here and tried to be created on Component initialization.",'["sap.ui5"]["models"]["'+t+'"]',e.getComponentName());h.error(n);delete s[t]})}else{return Promise.resolve()}}return Promise.all(i.map(c)).then(function(){if(Object.keys(s).length>0){var t=k._createManifestModels(s,e.getComponentName());if(!M){M={}}for(var n in t){M[n]=t[n]}}})})})}));C=function(e){if(typeof k._fnLoadComponentCallback==="function"){var n=s({},t);try{return k._fnLoadComponentCallback(n,e)}catch(t){o.errorThrows('Callback for loading the component "'+e.getComponentName()+'" run into an error.',{cause:t,suffix:"The callback was skipped and the component loading resumed."},t,"sap.ui.core.Component")}}}}return Promise.all(I).then(function(e){var t=[],n=false,i;n=e.some(function(e){if(e&&e.rejected){i=e.result;return true}t.push(e.result);return false});if(n){return Promise.reject(i)}return t}).then(function(e){if(y&&C){return y.then(C).then(function(){return e})}return e}).then(function(e){h.debug("Component.load: all promises fulfilled, then "+e);if(y){return y.then(function(e){if(!e._bLoadManifestRequestFailed){y=e;a=y.getComponentName();return U(a,y,true)}else{y=undefined;return y}})}else{return e}}).then(function(){if(n.preloadOnly){return true}return new Promise(function(e,t){sap.ui.require([O()],function(t){e(t)},t)}).then(function(t){var i=t.getMetadata();var o=i.getComponentName();var a=R(o);var s=[];if(y&&typeof d!=="object"&&(typeof v==="undefined"||v===a)){i._applyManifest(JSON.parse(JSON.stringify(y.getRawJson())),true);s.push(i.getManifestObject()._processI18n(true))}s.push(H(i));return Promise.all(s).then(function(){var o=Promise.resolve();if(!y&&Array.isArray(n.activeTerminologies)&&n.activeTerminologies.length>0){y=new e(i.getManifestObject().getRawJson(),{process:false,activeTerminologies:r});o=y._processI18n(true)}return o.then(E.bind(undefined,t))})})}).then(function(e){if(!y){return e}const t=e.getMetadata();const n=q(t);var i=u({},y.getEntry("/sap.ui5/models"));var o=u({},y.getEntry("/sap.app/dataSources"));var r=k._findManifestModelClasses({models:i,dataSources:o,componentName:y.getComponentName()});for(var a in r){if(!r.hasOwnProperty(a)){continue}var s=r[a];if(!s.type){continue}var c=s.type.replace(/\./g,"/");if(n.indexOf(c)===-1){n.push(c)}}if(n.length>0){const t=y.getComponentName();return Promise.all(n.map(function(e){return W(e,t)})).then(function(){return e})}else{return e}}).then(function(e){var t=n.waitFor;if(t){var i=Array.isArray(t)?t:[t];return Promise.all(i).then(function(){return e})}return e}).catch(function(e){if(M){for(var t in M){var n=M[t];if(n&&typeof n.destroy==="function"){n.destroy()}}}throw e})}if(y){y.defineResourceRoots();y._preprocess({resolveUI5Urls:true});U(a,y)}A(a);return E(sap.ui.requireSync(O()))}k.registry=O;k.prototype.getCommand=function(e){if(!this._mComputedCommands){var t=k.getCustomizing(this,{type:"sap.ui.commands"})||{},n=this._getManifestEntry("/sap.ui5/commands",true)||{},i=this.getMetadata().getComponentName(),o="",r=this.getExtensionComponent&&this.getExtensionComponent();if(r&&r.getLocalId){o="#"+(r.getLocalId(this.getId())||this.getId())}this._mComputedCommands=u({},n,t[i],t[i+o])}return e?this._mComputedCommands[e]:this._mComputedCommands};k.prototype.deactivate=function(){var e=k.getOwnerComponentFor(this);if(e&&e.isActive()){throw new Error("Component.deactivate must not be called on nested components.")}if(!this.isKeepAliveSupported()){h.warning("Deactivation of component failed. Component '"+this.getId()+"' does not support 'keepAlive'.");return}if(!this.isActive()){h.warning("Deactivation of component failed. Component '"+this.getId()+"' is already inactive.");return}this.onOwnerDeactivation();this._bIsActive=false;x(function(e){p.suspend(e.getDomRef());e.onOwnerDeactivation()},this.getId());O.forEach(function(e){var t=k.getOwnerIdFor(e);if(t===this.getId()){e.deactivate()}},this);if(this._oEventBus){this._oEventBus.suspend()}if(this.getRouter()){this.getRouter().stop()}if(typeof this.onDeactivate==="function"){g(this.onDeactivate(),{name:"onDeactivate",component:this.getId()})}};k.prototype.activate=function(){if(!this.isKeepAliveSupported()){h.warning("Activation of component failed. Component '"+this.getId()+"' does not support 'keepAlive'.");return}if(this.isActive()){h.warning("Activation of component failed. Component '"+this.getId()+"' is already active.");return}this.onOwnerActivation();this._bIsActive=true;x(function(e){p.resume(e.getDomRef());e.onOwnerActivation()},this.getId());O.forEach(function(e){var t=k.getOwnerIdFor(e);if(t===this.getId()){e.activate()}},this);if(this._oEventBus){this._oEventBus.resume()}if(this.getRouter()){this.getRouter().initialize()}if(typeof this.onActivate==="function"){g(this.onActivate(),{name:"onActivate",component:this.getId()})}};k.prototype.isKeepAliveSupported=function(){var e=this._oKeepAliveConfig&&this._oKeepAliveConfig.supported;if(e){e=O.filter(function(e){var t=k.getOwnerIdFor(e);return t===this.getId()},this).every(function(e){return e.isKeepAliveSupported()},this)}return!!e};k.prototype.registerForDestroy=function(e){var t=this._getDestroyables();e=e.then(function(n){t.splice(t.indexOf(e),1);return n});t.push(e)};E.registerForUpdate("Components",O.all);return k});
//# sourceMappingURL=Component.js.map