/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/base/DataType","sap/ui/base/ManagedObject","./Control","./CustomData","./HTML","./mvc/View","./mvc/EventHandlerResolver","sap/base/Log","sap/base/util/ObjectPath","sap/base/assert","sap/base/strings/camelize"],function(jQuery,t,e,a,r,i,n,o,s,u,g,l){"use strict";var p={};p.attributes={"data-sap-ui-type":true,"data-sap-ui-id":true,"data-sap-ui-aggregation":true,"data-sap-ui-default-aggregation":true,"data-sap-ui-binding":function(t,a){var r=e.bindingParser(t);a.objectBindings=a.objectBindings||{};a.objectBindings[r.model||undefined]=r},"data-tooltip":function(t,e){e["tooltip"]=t},tooltip:function(t,e,a){e["tooltip"]=t;s.warning('[Deprecated] Control "'+e.id+'": The attribute "tooltip" is not prefixed with "data-*". Future version of declarative support will only suppport attributes with "data-*" prefix.')},class:true,style:true,id:true};p.compile=function(t,e,a){var r=this;jQuery(t).find("[data-sap-ui-type]").filter(function(){return jQuery(this).parents("[data-sap-ui-type]").length===0}).each(function(){r._compile(this,e,a)})};p._compile=function(t,e,r){var i=jQuery(t);var n=i.attr("data-sap-ui-type");var o=[];var s=n==="sap.ui.core.UIArea";var u=t.getAttributeNames();if(s){var g=this;i.children().each(function(){var t=g._createControl(this,e);if(t){o.push(t)}})}else{var l=this._createControl(t,e);if(l){o.push(l)}}i.empty();var p=[];for(var d=0;d<u.length;d++){var f=u[d];if(!s||s&&/^data-/g.test(f.toLowerCase())){p.push(f)}}if(p.length>0){i.removeAttr(p.join(" "))}o.forEach(function(i){if(i instanceof a){if(e&&!r){e.addContent(i)}else{i.placeAt(t);if(e){e.connectControl(i)}}}})};p._createControl=function(t,e){var a=jQuery(t);var r=null;var i=a.attr("data-sap-ui-type");if(i){var o=sap.ui.requireSync(i.replace(/\./g,"/"));o=o||u.get(i);g(typeof o!=="undefined","Class not found: "+i);var s={};s.id=this._getId(a,e);if(e&&e._sProcessingMode!=null&&o.getMetadata().hasSpecialSetting("processingMode")){s.processingMode=e._sProcessingMode}this._addSettingsForAttributes(s,o,t,e);this._addSettingsForAggregations(s,o,t,e);var r;if(n.prototype.isPrototypeOf(o.prototype)&&typeof o._sType==="string"){r=n._create(s,undefined,o._sType)}else{r=new o(s)}if(t.className){r.addStyleClass(t.className)}a.removeAttr("data-sap-ui-type")}else{r=this._createHtmlControl(t,e)}return r};p._createHtmlControl=function(t,e){var a=new i;a.setDOMContent(t);this.compile(t,e,true);return a};p._addSettingsForAttributes=function(t,a,i,n){var s=this;var u=p.attributes;var d=e.bindingParser;var f=[];var c=/^data-custom-data:(.+)/i;var v=i.getAttributeNames();for(var h=0;h<v.length;h++){var y=v[h];var b=i.getAttribute(y);if(!c.test(y)){if(typeof u[y]==="undefined"){y=s.convertAttributeToSettingName(y,t.id);var m=s._getProperty(a,y);if(m){var _=d(b,n&&n.getController(),true);if(_&&typeof _==="object"){t[y]=_}else{t[y]=s.convertValueToType(s.getPropertyDataType(m),_||b)}}else if(s._getAssociation(a,y)){var A=s._getAssociation(a,y);if(A.multiple){b=b.replace(/\s*,\s*|\s+/g,",");t[y]=b.split(",").map(function(t){return n?n.createId(t):t})}else{t[y]=n?n.createId(b):b}}else if(s._getAggregation(a,y)){var w=s._getAggregation(a,y);if(w.multiple){var _=d(b,n&&n.getController());if(_){t[y]=_}else{throw new Error("Aggregation "+y+" with cardinality 0..n only allows binding paths as attribute value")}}else if(w.altTypes){var _=d(b,n&&n.getController(),true);if(_&&typeof _==="object"){t[y]=_}else{t[y]=s.convertValueToType(w.altTypes[0],_||b)}}else{throw new Error("Aggregation "+y+" not supported")}}else if(s._getEvent(a,y)){var C=n&&(n._oContainingView||n).getController();var T=o.resolveEventHandler(b,C);if(T){t[y]=T}else{throw new Error('Control "'+t.id+'": The function "'+b+'" for the event "'+y+'" is not defined')}}else{g(y==="id","DeclarativeSupport encountered unknown setting '"+y+"' for class '"+a.getMetadata().getName()+"' (value:'"+b+"')")}}else if(typeof u[y]==="function"){u[y](b,t,a)}}else{y=l(c.exec(y)[1]);var _=d(b,n&&n.getController());f.push(new r({key:y,value:_||b}))}}if(f.length>0){t.customData=f}return t};p._addSettingsForAggregations=function(t,e,a,r){var i=jQuery(a);var n=this._getDefaultAggregation(e,a);var o=this;var s=e.getMetadata().getAllAggregations();i.children().each(function(){var e=jQuery(this);var a=e.attr("data-sap-ui-aggregation");var i=e.attr("data-sap-ui-type");var u=false;if(!a){u=true;a=n}if(a&&s[a]){var l=s[a].multiple;var p=function(e){var i=o._createControl(e,r);if(i){if(l){if(!t[a]){t[a]=[]}if(typeof t[a].path==="string"){g(!t[a].template,"list bindings support only a single template object");t[a].template=i}else{t[a].push(i)}}else{t[a]=i}}};if(u||i&&!u){p(this)}else{e.children().each(function(){p(this)})}}e.removeAttr("data-sap-ui-aggregation");e.removeAttr("data-sap-ui-type")});return t};p._getId=function(t,e){var a=jQuery(t);var r=a.attr("id");if(r){if(e){r=e.createId(r);a.attr("data-sap-ui-id",r)}a.attr("id","")}return r};p._getProperty=function(t,e){return t.getMetadata().getProperty(e)};p.convertValueToType=function(a,r){if(a instanceof t){r=a.parseValue(r)}return typeof r==="string"?e.bindingParser.escape(r):r};p.getPropertyDataType=function(e){var a=t.getType(e.type);if(!a){throw new Error("Property "+e.name+" has no known type")}return a};p.convertAttributeToSettingName=function(t,e,a){if(t.indexOf("data-")===0){t=t.substr(5)}else if(a){s.warning('[Deprecated] Control "'+e+'": The attribute "'+t+'" is not prefixed with "data-*". Future version of declarative support will only suppport attributes with "data-*" prefix.')}else{throw new Error('Control "'+e+'": The attribute "'+t+'" is not prefixed with "data-*".')}return l(t)};p._getAssociation=function(t,e){return t.getMetadata().getAssociation(e)};p._getAggregation=function(t,e){return t.getMetadata().getAggregation(e)};p._getEvent=function(t,e){return t.getMetadata().getEvent(e)};p._getDefaultAggregation=function(t,e){var a=jQuery(e);var r=a.attr("data-sap-ui-default-aggregation")||t.getMetadata().getDefaultAggregationName();a.removeAttr("data-sap-ui-default-aggregation");return r};return p},true);
//# sourceMappingURL=DeclarativeSupport.js.map