/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["../base/DataType","../base/Object","../base/ManagedObject","./ElementMetadata","../Device","sap/ui/dom/findTabbable","sap/ui/performance/trace/Interaction","sap/base/future","sap/base/assert","sap/ui/thirdparty/jquery","sap/ui/events/F6Navigation","sap/ui/util/_enforceNoReturnValue","./RenderManager","./Rendering","./EnabledPropagator","./ElementRegistry","./Theming","sap/ui/core/util/_LocalizationHelper"],function(e,t,i,r,n,o,a,s,l,jQuery,u,p,f,d,c,g,h,y){"use strict";var m=i.extend("sap.ui.core.Element",{metadata:{stereotype:"element",abstract:true,publicMethods:["getId","getMetadata","getTooltip_AsString","getTooltip_Text","getModel","setModel","hasModel","bindElement","unbindElement","getElementBinding","prop","getLayoutData","setLayoutData"],library:"sap.ui.core",aggregations:{tooltip:{type:"sap.ui.core.TooltipBase",altTypes:["string"],multiple:false},customData:{type:"sap.ui.core.CustomData",multiple:true,singularName:"customData"},layoutData:{type:"sap.ui.core.LayoutData",multiple:false,singularName:"layoutData"},dependents:{type:"sap.ui.core.Element",multiple:true},dragDropConfig:{type:"sap.ui.core.dnd.DragDropBase",multiple:true,singularName:"dragDropConfig"}},associations:{fieldHelpDisplay:{type:"sap.ui.core.Element",multiple:false}}},constructor:function(e,t){i.apply(this,arguments);this._iRenderingDelegateCount=0},renderer:null},r);g.init(m);m.defineClass=function(e,i,n){return t.defineClass(e,i,n||r)};m.prototype.getInterface=function(){return this};m.prototype._handleEvent=function(e){var t=this,i="on"+e.type;function r(r){var n,o,a;if(r&&(o=r.length)>0){r=o===1?r:r.slice();for(n=0;n<o;n++){if(e.isImmediateHandlerPropagationStopped()){return}a=r[n].oDelegate;if(a[i]){a[i].call(r[n].vThis===true?t:r[n].vThis||a,e)}}}}r(this.aBeforeDelegates);if(e.isImmediateHandlerPropagationStopped()){return}if(this[i]){if(e._bNoReturnValue){p(this[i](e),{name:i,component:this.getId()})}else{this[i](e)}}r(this.aDelegates)};m.prototype.init=function(){return undefined};m.prototype.exit=function(){return undefined};m.create=i.create;m.prototype.toString=function(){return"Element "+this.getMetadata().getName()+"#"+this.sId};m.prototype.getDomRef=function(e){return document.getElementById(e?this.getId()+"-"+e:this.getId())};m.prototype.$=function(e){return jQuery(this.getDomRef(e))};m.prototype.isActive=function(){return this.oParent&&this.oParent.isActive()};m.prototype.prop=function(e,t){var i=this.getMetadata().getAllSettings()[e];if(i){if(arguments.length==1){return this[i._sGetter]()}else{this[i._sMutator](t);return this}}};m.prototype.setProperty=function(e,t,r){if(e!="enabled"&&e!="visible"||r){return i.prototype.setProperty.apply(this,arguments)}if(e=="enabled"){var n=this.mProperties.enabled;i.prototype.setProperty.apply(this,arguments);if(n!=this.mProperties.enabled){c.updateDescendants(this)}}else if(e==="visible"){i.prototype.setProperty.apply(this,arguments);if(t===false&&this.getDomRef()?.contains(document.activeElement)){m.fireFocusFail.call(this,true)}}return this};function v(e,t){if(e?.contains(document.activeElement)||!jQuery(document.activeElement).is(":sapFocusable")){t?.focus({preventScroll:true})}}m.prototype.onfocusfail=function(e){let t=e.srcControl.getDomRef();const i=t;let r=this;let n=r.getDomRef();let a;let s;do{if(n?.contains(t)){a=o(t,{scope:n,forward:true,skipChild:true});if(a?.startOver){a=o(t,{scope:n,forward:false})}s=a?.element;if(s===n){break}t=n;r=r?.getParent();n=r?.getDomRef?.()}else{s=n&&jQuery(n).firstFocusableDomRef();break}}while((!a||a.startOver)&&t);if(s){if(e._bRenderingPending){d.addPrerenderingTask(()=>{v(i,s)})}else{Promise.resolve().then(()=>{v(i,s)})}}};m.prototype.insertDependent=function(e,t){this.insertAggregation("dependents",e,t,true);return this};m.prototype.addDependent=function(e){this.addAggregation("dependents",e,true);return this};m.prototype.removeDependent=function(e){return this.removeAggregation("dependents",e,true)};m.prototype.removeAllDependents=function(){return this.removeAllAggregation("dependents",true)};m.prototype.destroyDependents=function(){this.destroyAggregation("dependents",true);return this};m.prototype.rerender=function(){if(this.oParent){this.oParent.rerender()}};m.prototype.getUIArea=function(){return this.oParent?this.oParent.getUIArea():null};m.fireFocusFail=function(e){const t=jQuery.Event("focusfail");t.srcControl=this;t._bRenderingPending=e||false;const i=this.getParent();i?._handleEvent?.(t)};m.prototype.destroy=function(e){if(this.bIsDestroyed){return}var t=!this.getParent();m._updateFocusInfo(this);var r=this.getDomRef();i.prototype.destroy.call(this,e);this.data=I;if(!r){return}var n=e==="KeepDom";if(e===true||!n&&t||this.isA("sap.ui.core.PopupInterface")||f.isPreservedContent(r)){jQuery(r).remove()}else{r.removeAttribute("data-sap-ui-preserve");if(!n){r.id="sap-ui-destroyed-"+this.getId();for(var o=0,a=r.querySelectorAll('[id^="'+this.getId()+'-"]');o<a.length;o++){a[o].id="sap-ui-destroyed-"+a[o].id}}}};m.prototype.fireEvent=function(e,t,r,n){if(this.hasListeners(e)){a.notifyStepStart(e,this)}if(typeof t==="boolean"){n=r;r=t;t=null}t=t||{};t.id=t.id||this.getId();if(m._interceptEvent){m._interceptEvent(e,this,t)}return i.prototype.fireEvent.call(this,e,t,r,n)};m._interceptEvent=undefined;function D(e,t,i){if(t.canSkipRendering||!(t.onAfterRendering||t.onBeforeRendering)){return}e._iRenderingDelegateCount+=i||-1;if(e.bOutput===true&&e._iRenderingDelegateCount==i){f.canSkipRendering(e,1)}}m.prototype.hasRenderingDelegate=function(){return Boolean(this._iRenderingDelegateCount)};m.prototype.addDelegate=function(e,t,i,r){l(e,"oDelegate must be not null or undefined");if(!e){return this}this.removeDelegate(e);if(typeof t==="object"){r=i;i=t;t=false}if(typeof i==="boolean"){r=i;i=undefined}(t?this.aBeforeDelegates:this.aDelegates).push({oDelegate:e,bClone:!!r,vThis:i===this?true:i});D(this,e,1);return this};m.prototype.removeDelegate=function(e){var t;for(t=0;t<this.aDelegates.length;t++){if(this.aDelegates[t].oDelegate==e){this.aDelegates.splice(t,1);D(this,e,0);t--}}for(t=0;t<this.aBeforeDelegates.length;t++){if(this.aBeforeDelegates[t].oDelegate==e){this.aBeforeDelegates.splice(t,1);D(this,e,0);t--}}return this};m.prototype.addEventDelegate=function(e,t){return this.addDelegate(e,false,t,true)};m.prototype.removeEventDelegate=function(e){return this.removeDelegate(e)};m.prototype.getFocusDomRef=function(){return this.getDomRef()||null};function b(e,t){if(t[0]>e[1]||e[0]>t[1]){return null}else{return[Math.max(e[0],t[0]),Math.min(e[1],t[1])]}}m.prototype.isFocusable=function(){var e=this.getFocusDomRef();if(!e){return false}var t=e;var i=[[0,window.innerWidth],[0,window.innerHeight]];var r;var n;while(!r||!n){var o=t.getBoundingClientRect();r=b(i[0],[o.x,o.x+o.width]);n=b(i[1],[o.y,o.y+o.height]);if(t.assignedSlot){t=t.assignedSlot}if(t.parentElement){t=t.parentElement}else if(t.parentNode&&t.parentNode.nodeType===Node.DOCUMENT_FRAGMENT_NODE){t=t.parentNode.host}else{break}}var a=document.elementsFromPoint(Math.floor((r[0]+r[1])/2),Math.floor((n[0]+n[1])/2));var s=a.findIndex(function(t){return t.contains(e)});var l=a.findIndex(function(e){return e.classList.contains("sapUiBLy")||e.classList.contains("sapUiBlockLayer")});if(l!==-1&&s>l){return false}return jQuery(e).is(":sapFocusable")};function _(e){var t,i=[];t=e.parentNode;while(t){i.push({node:t,scrollLeft:t.scrollLeft,scrollTop:t.scrollTop});t=t.parentNode}return i}function E(e){e.forEach(function(e){var t=e.node;if(t.scrollLeft!==e.scrollLeft){t.scrollLeft=e.scrollLeft}if(t.scrollTop!==e.scrollTop){t.scrollTop=e.scrollTop}})}m.prototype.focus=function(e){var t=this.getFocusDomRef(),i=[];if(!t){return}if(jQuery(t).is(":sapFocusable")){e=e||{};if(n.browser.safari){if(e.preventScroll===true){i=_(t)}t.focus();if(i.length>0){setTimeout(E.bind(null,i),0)}}else{t.focus(e)}}else{const e=this.getDomRef();if(e&&!e.contains(document.activeElement)&&!this._bIsBeingDestroyed){m.fireFocusFail.call(this)}}};m.prototype.getFocusInfo=function(){return{id:this.getId()}};m.prototype.applyFocusInfo=function(e){this.focus(e);return this};m.prototype._refreshTooltipBaseDelegate=function(e){var i=this.getTooltip();if(t.isObjectA(i,"sap.ui.core.TooltipBase")){this.removeDelegate(i)}if(t.isObjectA(e,"sap.ui.core.TooltipBase")){e._currentControl=this;this.addDelegate(e)}};m.prototype.setTooltip=function(e){this._refreshTooltipBaseDelegate(e);this.setAggregation("tooltip",e);return this};m.prototype.getTooltip=function(){return this.getAggregation("tooltip")};m.runWithPreprocessors=i.runWithPreprocessors;m.prototype.getTooltip_AsString=function(){var e=this.getTooltip();if(typeof e==="string"||e instanceof String){return e}return undefined};m.prototype.getTooltip_Text=function(){var e=this.getTooltip();if(e&&typeof e.getText==="function"){return e.getText()}return e};var T=m.extend("sap.ui.core.CustomData",{metadata:{library:"sap.ui.core",properties:{key:{type:"string",group:"Data",defaultValue:null},value:{type:"any",group:"Data",defaultValue:null},writeToDom:{type:"boolean",group:"Data",defaultValue:false}},designtime:"sap/ui/core/designtime/CustomData.designtime"}});T.prototype.setValue=function(e){this.setProperty("value",e,true);var t=this.getParent();if(t&&t.getDomRef()){var i=this._checkWriteToDom(t);if(i){t.$().attr(i.key,i.value)}}return this};T.prototype._checkWriteToDom=function(t){if(!this.getWriteToDom()){return null}var i=this.getKey();var r=this.getValue();function n(e){s.errorThrows("CustomData with key "+i+" should be written to HTML of "+t+" but "+e);return null}if(typeof r!="string"){return n("the value is not a string.")}var o=e.getType("sap.ui.core.ID");if(!o.isValid(i)||i.indexOf(":")!=-1){return n("the key is not valid (must be a valid sap.ui.core.ID without any colon).")}if(i==u.fastNavigationKey){r=/^\s*(x|true)\s*$/i.test(r)?"true":"false"}else if(i.indexOf("sap-ui")==0){return n("the key is not valid (may not start with 'sap-ui').")}return{key:"data-"+i,value:r}};function C(e,t){var i=e.getAggregation("customData");if(i){for(var r=0;r<i.length;r++){if(i[r].getKey()==t){return i[r]}}}return null}function A(e,t,i,r){var n=C(e,t);if(i===null){if(!n){return}var o=e.getAggregation("customData").length;if(o==1){e.destroyAggregation("customData",true)}else{e.removeAggregation("customData",n,true);n.destroy()}}else if(n){n.setValue(i);n.setWriteToDom(r)}else{e.addAggregation("customData",new T({key:t,value:i,writeToDom:r}),true)}}m.prototype.data=function(){var e=arguments.length;if(e==0){var t=this.getAggregation("customData"),i={};if(t){for(var r=0;r<t.length;r++){i[t[r].getKey()]=t[r].getValue()}}return i}else if(e==1){var n=arguments[0];if(n===null){this.destroyAggregation("customData",true);return this}else if(typeof n=="string"){var o=C(this,n);return o?o.getValue():null}else if(typeof n=="object"){for(var a in n){A(this,a,n[a])}return this}else{throw new TypeError("When data() is called with one argument, this argument must be a string, an object or null, but is "+typeof n+":"+n+" (on UI Element with ID '"+this.getId()+"')")}}else if(e==2){A(this,arguments[0],arguments[1]);return this}else if(e==3){A(this,arguments[0],arguments[1],arguments[2]);return this}else{throw new TypeError("data() may only be called with 0-3 arguments (on UI Element with ID '"+this.getId()+"')")}};m._CustomData=T;m.getMetadata().getAggregation("customData").defaultClass=T;function I(){var e=arguments.length;if(e===1&&arguments[0]!==null&&typeof arguments[0]=="object"||e>1&&e<4&&arguments[1]!==null){s.errorThrows("Cannot create custom data on an already destroyed element '"+this+"'");return this}return m.prototype.data.apply(this,arguments)}m.prototype.clone=function(e,t){var r=i.prototype.clone.apply(this,arguments);for(var n=0;n<this.aDelegates.length;n++){if(this.aDelegates[n].bClone){r.aDelegates.push(this.aDelegates[n])}}for(var o=0;o<this.aBeforeDelegates.length;o++){if(this.aBeforeDelegates[o].bClone){r.aBeforeDelegates.push(this.aBeforeDelegates[o])}}if(this._sapui_declarativeSourceInfo){r._sapui_declarativeSourceInfo=Object.assign({},this._sapui_declarativeSourceInfo)}return r};m.prototype.findElements=i.prototype.findAggregatedObjects;function R(e){var t=e.getParent();if(t){var i=jQuery.Event("LayoutDataChange");i.srcControl=e;t._handleEvent(i)}}m.prototype.setLayoutData=function(e){this.setAggregation("layoutData",e,true);R(this);return this};m.prototype.destroyLayoutData=function(){this.destroyAggregation("layoutData",true);R(this);return this};m.prototype.bindElement=i.prototype.bindObject;m.prototype.unbindElement=i.prototype.unbindObject;m.prototype.getElementBinding=i.prototype.getObjectBinding;m.prototype._getFieldGroupIds=function(){var e;if(this.getMetadata().hasProperty("fieldGroupIds")){e=this.getFieldGroupIds()}if(!e||e.length==0){var t=this.getParent();if(t&&t._getFieldGroupIds){return t._getFieldGroupIds()}}return e||[]};m.prototype.getDomRefForSetting=function(e){var t=this.getMetadata().getAllSettings()[e];if(t&&t.selector){var i=this.getDomRef();if(i){i=i.parentNode;if(i&&i.querySelector){var r=t.selector.replace(/\{id\}/g,this.getId().replace(/(:|\.)/g,"\\$1"));return i.querySelector(r)}}}return null};m.prototype._getMediaContainerWidth=function(){if(typeof this._oContextualSettings==="undefined"){return undefined}return this._oContextualSettings.contextualWidth};m.prototype._getCurrentMediaContainerRange=function(e){var t=this._getMediaContainerWidth();e=e||n.media.RANGESETS.SAP_STANDARD;return n.media.getCurrentRange(e,t)};m.prototype._onContextualSettingsChanged=function(){var e=this._getMediaContainerWidth(),t=e!==undefined,i=t^!!this._bUsingContextualWidth,r=this._aContextualWidthListeners||[];if(i){if(t){r.forEach(function(e){n.media.detachHandler(e.callback,e.listener,e.name)})}else{r.forEach(function(e){n.media.attachHandler(e.callback,e.listener,e.name)})}this._bUsingContextualWidth=t}r.forEach(function(e){var t=this._getCurrentMediaContainerRange(e.name);if(t&&t.from!==e.media.from){e.media=t;e.callback.call(e.listener||window,t)}},this)};m.prototype._attachMediaContainerWidthChange=function(e,t,i){i=i||n.media.RANGESETS.SAP_STANDARD;this._aContextualWidthListeners=this._aContextualWidthListeners||[];this._aContextualWidthListeners.push({callback:e,listener:t,name:i,media:this._getCurrentMediaContainerRange(i)});if(!this._bUsingContextualWidth){n.media.attachHandler(e,t,i)}};m.prototype._detachMediaContainerWidthChange=function(e,t,i){var r;i=i||n.media.RANGESETS.SAP_STANDARD;if(!this._aContextualWidthListeners){return}for(var o=0,a=this._aContextualWidthListeners.length;o<a;o++){r=this._aContextualWidthListeners[o];if(r.callback===e&&r.listener===t&&r.name===i){if(!this._bUsingContextualWidth){n.media.detachHandler(e,t,i)}this._aContextualWidthListeners.splice(o,1);break}}};var S;m._updateFocusInfo=function(e){S=S||sap.ui.require("sap/ui/core/FocusHandler");if(S){S.updateControlFocusInfo(e)}};m.closestTo=function(e,t){var i="[data-sap-ui]",r,n;if(e===undefined||e===null){return undefined}if(typeof e==="string"){r=document.querySelector(e)}else if(e instanceof window.Element){r=e}else if(e.jquery){r=e[0];s.errorThrows("Do not call Element.closestTo() with jQuery object as parameter. The function should be called with either a DOM Element or a CSS selector.")}else{throw new TypeError("Element.closestTo accepts either a DOM element or a CSS selector string as parameter, but not '"+e+"'")}if(t){i+=",[data-sap-ui-related]"}r=r&&r.closest(i);if(r){if(t){n=r.getAttribute("data-sap-ui-related")}n=n||r.getAttribute("id")}return m.getElementById(n)};m.getElementById=g.get;m.getActiveElement=()=>{try{var e=jQuery(document.activeElement);if(e.is(":focus")){return m.closestTo(e[0])}}catch(e){}};m.registry=g;h.attachApplied(function(e){var t=jQuery.Event("ThemeChanged");t.theme=e.theme;g.forEach(function(e){t._bNoReturnValue=true;e._handleEvent(t)})});y.registerForUpdate("Elements",g.all);return m});
//# sourceMappingURL=Element.js.map