/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["../base/ManagedObject","sap/base/assert"],function(e,t){"use strict";var r={};const n={};var i=["sap.ui.comp.navpopover.SmartLink","sap.m.Link","sap.m.Label","sap.m.Text","sap.m.Select","sap.ui.webc.main.Label","sap.ui.webc.main.Link"];var a;function l(e,t){if(!e){return null}a??=sap.ui.require("sap/ui/core/Element");var r=a.getElementById(e);if(r&&t&&(!r.isA("sap.ui.core.Control")||r.getDomRef())){r.invalidate()}return r}function o(e,t){const r=e.getLabelFor()||e._sAlternativeId||"";const n={controlId:r};a??=sap.ui.require("sap/ui/core/Element");const i=a.getElementById(r);if(i&&typeof i.getIdForLabel==="function"){const l=i.getIdForLabel();if(l!==i.getId()){const o=document.getElementById(l);if(!o){const r={onAfterRendering:function(e){this.removeEventDelegate(r);if(typeof t==="function"){t(e)}}.bind(i,e)};i.addEventDelegate(r)}else{const e=a.closestTo(o);const t=e.getId();if(t!==r){n.innerControlId=t}}}}return n}function s(e,t,i){var a=e.getId();var u=e.__sLabeledControl;var d=t?null:o(e,e=>{if(!i){s(e,false,true)}});if(d&&u===d.controlId&&d.innerControlId===n[d.controlId]){return}if(!t){e.invalidate()}if(d?.controlId){e.__sLabeledControl=d.controlId}else{delete e.__sLabeledControl}var f;if(u){f=r[u];if(f){const e=n[u];f=f.filter(function(e){return e!=a});if(f.length){r[u]=f;if(e){r[e]=f}}else{delete r[u];if(e){delete r[e];delete n[u]}}}}if(d?.controlId){f=r[d.controlId]||[];f.push(a);r[d.controlId]=f;if(d.innerControlId){r[d.innerControlId]=f;n[d.controlId]=d.innerControlId}else{const e=n[d.controlId];if(e){delete r[e];delete n[d.controlId]}}}var c=l(u,true);var g=l(d?.controlId,true);if(c){e.detachRequiredChange(c)}if(g){e.attachRequiredChange(g)}}function u(e){if(!e){throw new Error("sap.ui.core.LabelEnablement cannot enrich null")}var t=e.getMetadata();if(!t.isInstanceOf("sap.ui.core.Label")){throw new Error("sap.ui.core.LabelEnablement only supports Controls with interface sap.ui.core.Label")}var r=t.getAssociation("labelFor");if(!r||r.multiple){throw new Error("sap.ui.core.LabelEnablement only supports Controls with a to-1 association 'labelFor'")}}function d(e){if(!e){return true}if(e.isA("sap.ui.core.ILabelable")){return e.hasLabelableHTMLElement()}var t=e.getMetadata().getName();return i.indexOf(t)<0}var f={};f.writeLabelForAttribute=function(e,t){if(!t){return}const r=o(t,e=>{e.invalidate()});if(!r.controlId){return}a??=sap.ui.require("sap/ui/core/Element");const n=a.getElementById(r.innerControlId||r.controlId);if(n&&typeof n.getIdForLabel==="function"&&d(n)){e.attr("for",n.getIdForLabel())}};f.getReferencingLabels=function(e){var t=e?e.getId():null;if(!t){return[]}return r[t]||[]};f._getLabelTexts=function(e){const t={};const r=e.getFieldHelpInfo?.();if(r?.label){t.label=r.label}let n=f.getReferencingLabels(e);if(n.length){t.labelledby=n}if(e.getMetadata().getAssociation("ariaLabelledBy")){n=e.getAriaLabelledBy();if(n.length){t.labelledby??=[];n.forEach(e=>{if(!t.labelledby.includes(e)){t.labelledby.push(e)}})}}if(t.labelledby?.length){t.labelledby=t.labelledby.join(" ")}e.getParent()?.enhanceAccessibilityState?.(e,t);const i=t.label?[t.label]:[];if(t.labelledby){t.labelledby.split(" ").forEach(e=>{const t=a.getElementById(e);if(t){const e=t.getText?.()||t.getDomRef()?.innerText;if(e){i.push(e)}}})}return i};f.isRequired=function(e){if(c(e)){return true}var t=f.getReferencingLabels(e),r;a??=sap.ui.require("sap/ui/core/Element");for(var n=0;n<t.length;n++){r=a.getElementById(t[n]);if(c(r)){return true}}return false};function c(e){return!!(e&&e.getRequired&&e.getRequired())}f.enrich=function(n){u(n);n.__orig_setLabelFor=n.setLabelFor;n.setLabelFor=function(e){var t=this.__orig_setLabelFor.apply(this,arguments);s(this);return t};n.__orig_exit=n.exit;n.exit=function(){this._sAlternativeId=null;s(this,true);if(n.__orig_exit){n.__orig_exit.apply(this,arguments)}};n.setAlternativeLabelFor=function(r){if(r instanceof e){r=r.getId()}else if(r!=null&&typeof r!=="string"){t(false,"setAlternativeLabelFor(): sId must be a string, an instance of sap.ui.base.ManagedObject or null");return this}this._sAlternativeId=r;s(this);return this};n.getLabelForRendering=function(){var e=this.getLabelFor()||this._sAlternativeId;var t=l(e);var r;a??=sap.ui.require("sap/ui/core/Element");if(t&&!t.isA("sap.ui.core.ILabelable")&&t.getIdForLabel&&t.getIdForLabel()){r=a.getElementById(t.getIdForLabel());if(r){t=r}}return d(t)?e:""};n.isLabelFor=function(e){var t=e.getId();var n=r[t];return n&&n.indexOf(this.getId())>-1};if(!n.getMetadata().getProperty("required")){return}n.__orig_setRequired=n.setRequired;n.setRequired=function(e){var t=this.getRequired(),r=this.__orig_setRequired.apply(this,arguments);if(this.getRequired()!==t){l(this.__sLabeledControl,true)}return r};n.isRequired=function(){var e=l(this.getLabelForRendering(),false);return c(this)||c(e)};n.isDisplayOnly=function(){if(this.getDisplayOnly){return this.getDisplayOnly()}else{return false}};n.isWrapping=function(){if(this.getWrapping){return this.getWrapping()}else{return false}};n.disableRequiredChangeCheck=function(e){this._bNoRequiredChangeCheck=e};n.attachRequiredChange=function(e){if(e&&!this._bNoRequiredChangeCheck){if(e.getMetadata().getProperty("required")){e.attachEvent("_change",i,this)}this._bRequiredAttached=true}};n.detachRequiredChange=function(e){if(e&&!this._bNoRequiredChangeCheck){if(e.getMetadata().getProperty("required")){e.detachEvent("_change",i,this)}this._bRequiredAttached=false}};function i(e){if(e.getParameter("name")=="required"){this.invalidate()}}n.__orig_onAfterRendering=n.onAfterRendering;n.onAfterRendering=function(e){var t;if(this.__orig_onAfterRendering){t=this.__orig_onAfterRendering.apply(this,arguments)}if(!this._bNoRequiredChangeCheck&&!this._bRequiredAttached&&this.__sLabeledControl){var r=l(this.__sLabeledControl,false);this.attachRequiredChange(r)}return t}};return f},true);
//# sourceMappingURL=LabelEnablement.js.map