/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/future","sap/base/util/deepEqual","sap/base/util/merge","sap/ui/core/message/ControlMessageProcessor","sap/ui/core/message/Message","sap/ui/core/message/MessageType","sap/ui/core/message/MessageProcessor","sap/ui/model/message/MessageModel"],(e,r,a,s,t,i,n,o)=>{"use strict";var g;var c={};var f={};var u;const d={addMessages:function(e){var r=e,a=A(e);if(!e){return}else if(Array.isArray(e)){for(var s=0;s<e.length;s++){r=e[s];p(r)}}else{p(e)}m(a)},removeMessages:function(e){y.apply(d,arguments)},removeAllMessages:function(){var e={};for(var r in f){var a=Object.keys(f[r])[0];var s=f[r][a];Object.assign(e,A(s))}f={};m(e)},updateMessages:function(e,r){d.removeMessages(e);d.addMessages(r);var a=[].concat(e||[],r||[]);var s=A(a);for(var t in s){s[t].fireEvent("messageChange",{newMessages:r,oldMessages:e})}},registerMessageProcessor:function(e){var r=e.getId(),a={};if(!c[r]){c[r]=r;if(r in f){a[r]=e;M(a)}if(!n._isRegistered){var s=sap.ui.require("sap/ui/core/Messaging");var t=n.prototype.destroy;n.prototype.destroy=function(){t.apply(this);s.unregisterMessageProcessor(this)};n._isRegistered=true}}},unregisterMessageProcessor:function(e){I(e.getId());delete c[e.getId()]},registerObject:function(r,a){if(!(r&&r.isA&&r.isA(["sap.ui.base.ManagedObject","sap.ui.core.Core"]))){e.errorThrows("Messaging: "+r.toString()+" is not an instance of sap.ui.base.ManagedObject")}else{r.attachValidationSuccess(a,v);r.attachValidationError(a,l);r.attachParseError(a,l);r.attachFormatError(a,l)}},unregisterObject:function(r){if(!(r&&r.isA&&r.isA("sap.ui.base.ManagedObject"))){e.errorThrows("Messaging: "+r.toString()+" is not an instance of sap.ui.base.ManagedObject")}else{r.detachValidationSuccess(v);r.detachValidationError(l);r.detachParseError(l);r.detachFormatError(l)}},getMessageModel:function(){if(!g){g=new o;g.setData([])}return g}};function l(e,r){if(!u){u=new s}if(r){var a=e.getParameter("element");var n=e.getParameter("property");var o=a.getId()+"/"+n;var g=u.getId();var c=e.sId==="formatError";if(f[g]&&f[g][o]){y(f[g][o],true)}var l={};l[a.getId()]={properties:{},fieldGroupIds:a.getFieldGroupIds?a.getFieldGroupIds():undefined};l[a.getId()].properties[n]=true;var v=new t({type:i.Error,message:e.getParameter("message"),target:o,processor:u,technical:c,references:l,validation:true});d.addMessages(v)}e.cancelBubble()}function v(e,r){if(!u){u=new s}if(r){var a=e.getParameter("element");var t=e.getParameter("property");var i=a.getId()+"/"+t;var n=u.getId();if(f[n]&&f[n][i]){y(f[n][i],true)}}e.cancelBubble()}function p(e){var r=e.getMessageProcessor(),a=r&&r.getId(),s=e.getTargets();if(!f[a]){f[a]={}}if(!s.length){s=[undefined]}s.forEach(function(r){var s=f[a][r]?f[a][r]:[];s.push(e);f[a][r]=s})}function M(e){var r,s;for(s in e){r=e[s];var t=f[s]?f[s]:{};h(t);t=Object.keys(t).length===0?null:a({},t);r.setMessages(t)}}function h(e){var r,a;if(Array.isArray(e)){e={ignored:e}}for(r in e){a=e[r];if(a.length>1){a.sort(t.compare)}}}function m(e){var r=new Map,a,s=d.getMessageModel(),t;function i(e){r.set(e,true)}for(a in f){for(t in f[a]){f[a][t].forEach(i)}}M(e);s.setData(Array.from(r.keys()))}function y(e,r){var a=A(e);if(!e||Array.isArray(e)&&e.length==0){return}else if(Array.isArray(e)){var s=e.slice(0);for(var i=0;i<s.length;i++){if(!r||s[i].validation){b(s[i])}}}else if(e instanceof t&&(!r||e.validation)){b(e)}else{for(var n in e){y(e[n],r)}}m(a)}function b(e){var a=e.getMessageProcessor(),s=a&&a.getId(),t=f[s],i;if(!t){return}i=e.getTargets();if(!i.length){i=[undefined]}i.forEach(function(a){var s=t[a];if(s){for(var i=0;i<s.length;i++){var n=s[i];if(r(n,e)){s.splice(i,1);--i}}if(t[a].length===0){delete t[a]}}})}function A(e){var r,a,s={};if(e){if(!Array.isArray(e)){e=[e]}e.forEach(function(e){r=e.getMessageProcessor();if(r){a=r.getId();s[a]=r;d.registerMessageProcessor(r)}})}return s}function I(e){delete f[e];m({})}return d});
//# sourceMappingURL=Messaging.js.map