/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/Device"],function(t){"use strict";var e=document.createElement("title").style;var r=document.createElement("template");var i={value:function(t,e){if(t.tagName=="INPUT"){t.value=e==null?"":e}},checked:function(t,e){if(t.tagName=="INPUT"){t.checked=e==null?false:true}},selected:function(t,e){if(t.tagName=="OPTION"){t.selected=e==null?false:true}}};if(t.browser.safari){i.style=function(t,e){if(e==null){t.style="";return true}}}var n=function(t,e){if(t=="svg"){return document.createElementNS("http://www.w3.org/2000/svg","svg")}var r=e&&e.namespaceURI;if(!r||r=="http://www.w3.org/1999/xhtml"||e.localName=="foreignObject"){return document.createElement(t)}return document.createElementNS(r,t)};var s=function(){this._oRoot=null;this._oCurrent=null;this._oParent=null;this._oReference=null;this._oNewElement=null;this._oNewParent=null;this._oNewReference=null;this._iTagOpenState=0;this._sStyles="";this._sClasses="";this._mAttributes=Object.create(null)};s.prototype.setRootNode=function(t){if(this._oRoot){this.reset()}this._oRoot=t||document.createDocumentFragment()};s.prototype.getRootNode=function(){return this._oRoot};s.prototype.getCurrentNode=function(){return this._oCurrent};s.prototype.reset=function(){this._oRoot=this._oCurrent=this._oParent=this._oReference=this._oNewElement=this._oNewParent=this._oNewReference=null;this._iTagOpenState=0};s.prototype._walkOnTree=function(){this._oReference=null;if(!this._oCurrent){if(this._oRoot.nodeType==11){this._oParent=this._oRoot}else{this._oParent=this._oRoot.parentNode;this._oCurrent=this._oRoot}}else if(this._iTagOpenState){this._oParent=this._oCurrent;this._oCurrent=this._oCurrent.firstChild}else{this._oParent=this._oCurrent.parentNode;this._oCurrent=this._oCurrent.nextSibling}};s.prototype._matchElement=function(t){if(!t){return}if(!this._oCurrent){return}if(this._oCurrent.id==t||this._oCurrent==this._oRoot){return}var e=document.getElementById(t);if(e){this._oCurrent=this._oParent.insertBefore(e,this._oCurrent);return}if(this._oCurrent.id){this._oReference=this._oCurrent;this._oCurrent=null}};s.prototype._matchNodeName=function(t){if(!this._oCurrent){return}var e=this._oCurrent.nodeType==1?this._oCurrent.localName:this._oCurrent.nodeName;if(e==t){return}this._oReference=this._oCurrent;this._oCurrent=null};s.prototype._getAttributes=function(){for(var t=0,e=this._oCurrent.getAttributeNames();t<e.length;t++){this._mAttributes[e[t]]=this._oCurrent.getAttribute(e[t])}};s.prototype._setNewElement=function(t){if(!t){return}if(!this._oNewElement){this._oNewElement=this._oCurrent;this._oNewParent=this._oParent;this._oNewReference=this._oReference}else{this._oParent.insertBefore(this._oCurrent,this._oReference)}};s.prototype._insertNewElement=function(){if(this._oCurrent==this._oNewElement){this._oNewParent[this._oNewReference==this._oRoot?"replaceChild":"insertBefore"](this._oNewElement,this._oNewReference);this._oNewElement=this._oNewParent=this._oNewReference=null}};s.prototype.isCreating=function(){return Boolean(this._oNewElement)};s.prototype.alignWithDom=function(t,e){this._walkOnTree();if(!this._oCurrent||this._oCurrent.id!=t.id||this._oParent!=t.parentNode){this._oCurrent=this._oParent.insertBefore(t,this._oCurrent)}if(e){this._oCurrent=e(t)||this._oCurrent}this._iTagOpenState=0;return this};s.prototype.openStart=function(t,e){this._walkOnTree();this._matchElement(e);this._matchNodeName(t);if(this._oCurrent){this._getAttributes();this._iTagOpenState=2}else{this._oCurrent=n(t,this._oParent);this._setNewElement(this._oCurrent);this._iTagOpenState=1}if(e){this.attr("id",e)}return this};s.prototype.voidStart=s.prototype.openStart;s.prototype.attr=function(t,e){if(t==="style"){this._sStyles=e;return this}if(this._iTagOpenState==1){this._oCurrent.setAttribute(t,e);return this}var r=String(e);var n=this._mAttributes[t];var s=i[t];if(n!==undefined){delete this._mAttributes[t]}if(s&&s(this._oCurrent,r,n)){return this}if(n!==r){this._oCurrent.setAttribute(t,r)}return this};s.prototype.class=function(t){if(t){this._sClasses+=this._sClasses?" "+t:t}return this};s.prototype.style=function(t,r){if(!t||r==null||r==""){return this}r=r+"";if(r.includes(";")){e.setProperty(t,r);r=e.getPropertyValue(t)}this._sStyles+=(this._sStyles?" ":"")+(t+": "+r+";");return this};s.prototype.openEnd=function(){if(this._sClasses){this.attr("class",this._sClasses);this._sClasses=""}if(this._sStyles){if(this._mAttributes.style!=this._sStyles){this._oCurrent.style=this._sStyles}delete this._mAttributes.style;this._sStyles=""}if(this._iTagOpenState==1){return this}for(var t in this._mAttributes){var e=i[t];if(!e||!e(this._oCurrent,null)){this._oCurrent.removeAttribute(t)}delete this._mAttributes[t]}return this};s.prototype.voidEnd=function(){this.openEnd();this._iTagOpenState=0;this._insertNewElement();return this};s.prototype.text=function(t){this._walkOnTree();this._matchNodeName("#text");if(!this._oCurrent){this._oCurrent=document.createTextNode(t);this._oParent.insertBefore(this._oCurrent,this._oReference)}else if(this._oCurrent.data!=t){this._oCurrent.data=t}this._iTagOpenState=0;return this};s.prototype.close=function(t){if(this._iTagOpenState){this._iTagOpenState=0;if(this._oCurrent.lastChild){this._oCurrent.textContent=""}}else{var e=this._oCurrent.parentNode;for(var r=e.lastChild;r&&r!=this._oCurrent;r=e.lastChild){e.removeChild(r)}this._oCurrent=e}this._insertNewElement();return this};s.prototype.unsafeHtml=function(t,e,i){var n=null;var s=this._oCurrent;if(!s){n=this._oRoot}else if(this._iTagOpenState){n=s.firstChild;if(t){this._iTagOpenState=0;s.insertAdjacentHTML("afterbegin",t);this._oCurrent=n?n.previousSibling:s.lastChild}}else{n=s.nextSibling;if(t){if(s.nodeType==1){s.insertAdjacentHTML("afterend",t)}else{r.innerHTML=t;s.parentNode.insertBefore(r.content,n)}this._oCurrent=n?n.previousSibling:s.parentNode.lastChild}}if(t&&i){var o=[this._oCurrent];for(var h=this._oCurrent.previousSibling;h&&h!=s;h=h.previousSibling){o.unshift(h)}i(o)}if(e&&n&&n.id==e){n.remove()}return this};return s});
//# sourceMappingURL=Patcher.js.map