/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Formatting","sap/base/i18n/Localization","sap/ui/base/Object","sap/ui/core/Locale","sap/ui/core/LocaleData","sap/ui/core/Supportability","sap/ui/core/format/FormatUtils","sap/base/Log","sap/base/assert","sap/base/util/extend"],function(e,t,r,i,n,a,o,s,u,c){"use strict";var l=r.extend("sap.ui.core.format.NumberFormat",{constructor:function(e){throw new Error}});const f=/\s/g;const g=/\d/;const m=/^(-?)0+(\d)/;const p=/[^\$\xA2-\xA5\u058F\u060B\u09F2\u09F3\u09FB\u0AF1\u0BF9\u0E3F\u17DB\u20A0-\u20BD\uA838\uFDFC\uFE69\uFF04\uFFE0\uFFE1\uFFE5\uFFE6\u0020\xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000]/;const d=/0+(\.0+)?/;const h=/^0+$/;const C=/^-(0(?:.0+)?)$/;const y=/0+$/;var S=function(e,t,r){var i=U(e);return new RegExp("^\\d+"+"(?:"+i+"?"+"\\d{"+t+"}"+")*"+""+i+"?"+"\\d{"+r+"}"+"$")};var b={INTEGER:"integer",FLOAT:"float",CURRENCY:"currency",UNIT:"unit",PERCENT:"percent"};var F={FLOOR:"FLOOR",CEILING:"CEILING",TOWARDS_ZERO:"TOWARDS_ZERO",AWAY_FROM_ZERO:"AWAY_FROM_ZERO",HALF_FLOOR:"HALF_FLOOR",HALF_CEILING:"HALF_CEILING",HALF_TOWARDS_ZERO:"HALF_TOWARDS_ZERO",HALF_AWAY_FROM_ZERO:"HALF_AWAY_FROM_ZERO"};l.add=function(e,t){const r=e.split(".");let i=r[0];const n=r[1];const a=i[0]==="-";if(a){i=i.slice(1);t=-t}const o=i.split("").map(Number);const s=o.length-1;o[s]+=t;for(let e=s;e>=0;e-=1){if(o[e]>=10){o[e]=o[e]%10;if(e===0){o.unshift(1);break}o[e-1]+=1}else if(o[e]<0&&e>0){o[e]=10+o[e];o[e-1]-=1;if(e===1&&o[0]===0){o.shift();break}}else{break}}if(a){o[0]=-o[0]}let u=o.join("");if(!n){return u}u=u==="0"&&a?"-0":u;const c=u[0]==="-"?"-":"";if(a===!!c){return u+"."+n}const l=n.split("").map(Number);for(let e=l.length-1;e>=0;e-=1){l[e]=10-l[e];if(e>0){l[e-1]+=1}}return c+(Math.abs(o[0])-1)+"."+l.join("")};l.getMaximalDecimals=function({decimals:e,maxFractionDigits:t}){if(t>=0&&e>0&&t<e){return t}return e};function D(e){if(typeof e==="number"){return Math.ceil(e)}const[t,r="0"]=e.split(".");return h.test(r)||t[0]==="-"?t:l.add(t,1)}function O(e){if(typeof e==="number"){return Math.floor(e)}const[t,r="0"]=e.split(".");return h.test(r)||t[0]!=="-"?t:l.add(t,-1)}function L(e,t){if(typeof e==="number"){return t?e+.5:e-.5}e=l._shiftDecimalPoint(e,1);e=l.add(e,t?5:-5);return l._shiftDecimalPoint(e,-1)}const v={[F.FLOOR]:O,[F.CEILING]:D,[F.TOWARDS_ZERO]:e=>e>0?O(e):D(e),[F.AWAY_FROM_ZERO]:e=>e>0?D(e):O(e),[F.HALF_TOWARDS_ZERO]:e=>{const t=e>0;e=L(e,!t);return t?D(e):O(e)},[F.HALF_AWAY_FROM_ZERO]:e=>{const t=e>0;e=L(e,t);return t?O(e):D(e)},[F.HALF_FLOOR]:e=>D(L(e,false)),[F.HALF_CEILING]:e=>O(L(e,true))};l.RoundingMode=F;l.oDefaultIntegerFormat={minIntegerDigits:1,maxIntegerDigits:99,minFractionDigits:0,maxFractionDigits:0,strictGroupingValidation:false,groupingEnabled:false,groupingSize:3,groupingSeparator:",",decimalSeparator:".",plusSign:"+",minusSign:"-",isInteger:true,type:b.INTEGER,showMeasure:false,style:"standard",showNumber:true,parseAsString:false,preserveDecimals:false,roundingMode:l.RoundingMode.TOWARDS_ZERO,emptyString:NaN,showScale:true};l.oDefaultFloatFormat={minIntegerDigits:1,maxIntegerDigits:99,minFractionDigits:0,maxFractionDigits:99,strictGroupingValidation:false,groupingEnabled:true,groupingSize:3,groupingSeparator:",",decimalSeparator:".",plusSign:"+",minusSign:"-",isInteger:false,type:b.FLOAT,showMeasure:false,style:"standard",showNumber:true,parseAsString:false,preserveDecimals:false,roundingMode:l.RoundingMode.HALF_AWAY_FROM_ZERO,emptyString:NaN,showScale:true};l.oDefaultPercentFormat={minIntegerDigits:1,maxIntegerDigits:99,minFractionDigits:0,maxFractionDigits:99,strictGroupingValidation:false,groupingEnabled:true,groupingSize:3,groupingSeparator:",",decimalSeparator:".",plusSign:"+",minusSign:"-",percentSign:"%",isInteger:false,type:b.PERCENT,showMeasure:false,style:"standard",showNumber:true,parseAsString:false,preserveDecimals:false,roundingMode:l.RoundingMode.HALF_AWAY_FROM_ZERO,emptyString:NaN,showScale:true};l.oDefaultCurrencyFormat={minIntegerDigits:1,maxIntegerDigits:99,strictGroupingValidation:false,groupingEnabled:true,groupingSize:3,groupingSeparator:",",decimalSeparator:".",plusSign:"+",minusSign:"-",isInteger:false,type:b.CURRENCY,showMeasure:true,currencyCode:true,currencyContext:"standard",style:"standard",showNumber:true,customCurrencies:undefined,parseAsString:false,preserveDecimals:false,roundingMode:l.RoundingMode.HALF_AWAY_FROM_ZERO,emptyString:NaN,showScale:true,ignorePrecision:true};l.oDefaultUnitFormat={minIntegerDigits:1,maxIntegerDigits:99,strictGroupingValidation:false,groupingEnabled:true,groupingSize:3,groupingSeparator:",",decimalSeparator:".",plusSign:"+",minusSign:"-",isInteger:false,type:b.UNIT,showMeasure:true,style:"standard",showNumber:true,customUnits:undefined,allowedUnits:undefined,parseAsString:false,preserveDecimals:false,roundingMode:l.RoundingMode.HALF_AWAY_FROM_ZERO,emptyString:NaN,showScale:true};l.getInstance=function(e,t){return this.getFloatInstance(e,t)};l.getFloatInstance=function(e,t){var r=this.createInstance(e,t),i=this.getLocaleFormatOptions(r.oLocaleData,b.FLOAT);r.oFormatOptions=c({},this.oDefaultFloatFormat,i,r.oOriginalFormatOptions);return r};l.getIntegerInstance=function(e,t){var r=this.createInstance(e,t),i=this.getLocaleFormatOptions(r.oLocaleData,b.INTEGER);r.oFormatOptions=c({},this.oDefaultIntegerFormat,i,r.oOriginalFormatOptions);return r};l.getCurrencyInstance=function(e,t){var r=this.createInstance(e,t);var i=r.oOriginalFormatOptions&&r.oOriginalFormatOptions.currencyContext;var n=A(r.oOriginalFormatOptions);if(n){i=i||this.oDefaultCurrencyFormat.style;i="sap-"+i}var a=this.getLocaleFormatOptions(r.oLocaleData,b.CURRENCY,i);r.oFormatOptions=c({},this.oDefaultCurrencyFormat,a,r.oOriginalFormatOptions);r.oFormatOptions.trailingCurrencyCode=n;r._defineCustomCurrencySymbols();return r};l.getUnitInstance=function(e,t){var r=this.createInstance(e,t),i=this.getLocaleFormatOptions(r.oLocaleData,b.UNIT);r.oFormatOptions=c({},this.oDefaultUnitFormat,i,r.oOriginalFormatOptions);return r};l.getPercentInstance=function(e,t){var r=this.createInstance(e,t),i=this.getLocaleFormatOptions(r.oLocaleData,b.PERCENT);r.oFormatOptions=c({},this.oDefaultPercentFormat,i,r.oOriginalFormatOptions);return r};l.createInstance=function(t,r){var a=Object.create(this.prototype),o;if(t instanceof i){r=t;t=undefined}if(!r){r=new i(e.getLanguageTag())}a.oLocale=r;a.oLocaleData=n.getInstance(r);a.oOriginalFormatOptions=t;if(t){if(t.pattern){o=this.parseNumberPattern(t.pattern);Object.keys(o).forEach(function(e){t[e]=o[e]})}if(t.emptyString!==undefined){u(t.emptyString===""||t.emptyString===0||t.emptyString===null||t.emptyString!==t.emptyString,"The format option 'emptyString' must be either '', 0, null, or NaN")}}return a};l.getDefaultUnitPattern=function(e){return"{0} "+e};l.getLocaleFormatOptions=function(e,t,r){var i,n;switch(t){case b.PERCENT:n=e.getPercentPattern();break;case b.CURRENCY:n=e.getCurrencyPattern(r);break;case b.UNIT:n=e.getDecimalPattern();break;default:n=e.getDecimalPattern()}i=this.parseNumberPattern(n);i.plusSign=e.getNumberSymbol("plusSign");i.minusSign=e.getNumberSymbol("minusSign");i.decimalSeparator=e.getNumberSymbol("decimal");i.groupingSeparator=e.getNumberSymbol("group");i.percentSign=e.getNumberSymbol("percentSign");i.pattern=n;switch(t){case b.UNIT:case b.FLOAT:case b.PERCENT:i.minFractionDigits=0;i.maxFractionDigits=99;break;case b.INTEGER:i.minFractionDigits=0;i.maxFractionDigits=0;i.groupingEnabled=false;break;case b.CURRENCY:i.minFractionDigits=undefined;i.maxFractionDigits=undefined;break}return i};l.parseNumberPattern=function(e){var t=0,r=0,i=0,n=false,a=0,o=0,s=e.indexOf(";"),u={Integer:0,Fraction:1},c=u.Integer;if(s!==-1){e=e.substring(0,s)}for(var l=0;l<e.length;l++){var f=e[l];switch(f){case",":if(n){a=o;o=0}n=true;break;case".":c=u.Fraction;break;case"0":if(c===u.Integer){t++;if(n){o++}}else{r++;i++}break;case"#":if(c===u.Integer){if(n){o++}}else{i++}break}}if(!a){a=o;o=0}return{minIntegerDigits:t,minFractionDigits:r,maxFractionDigits:i,groupingEnabled:n,groupingSize:a,groupingBaseSize:o}};l.prototype._defineCustomCurrencySymbols=function(){var e=this.oFormatOptions;var t=this.oLocaleData.getCurrencySymbols();var r=function(e,t){var r=[];var i;for(var n in e){i=e[n];if(r.indexOf(i)===-1){r.push(i)}else if(i!==undefined){t[i]=true;s.error("Symbol '"+i+"' is defined multiple times in custom currencies.",undefined,"NumberFormat")}}};if(e.customCurrencies&&typeof e.customCurrencies==="object"){this.mKnownCurrencySymbols={};this.mKnownCurrencyCodes={};Object.keys(e.customCurrencies).forEach(function(r){if(e.customCurrencies[r].symbol){this.mKnownCurrencySymbols[r]=e.customCurrencies[r].symbol}else{var i=e.customCurrencies[r].isoCode;if(i){this.mKnownCurrencySymbols[r]=t[i]}}this.mKnownCurrencyCodes[r]=r}.bind(this))}else{this.mKnownCurrencySymbols=t;this.mKnownCurrencyCodes=this.oLocaleData.getCustomCurrencyCodes()}this.mDuplicatedSymbols={};r(this.mKnownCurrencySymbols,this.mDuplicatedSymbols)};function N(e,t){if(e.indexOf(".")>=0&&!_(e)&&e.endsWith("0")){var r=e.length-e.lastIndexOf(".")-1;var i=r-t;if(i>0){while(e.endsWith("0")&&i-- >0){e=e.substring(0,e.length-1)}if(e.endsWith(".")){e=e.substring(0,e.length-1)}}}return e}function R(e,t){var r=t.groupingSize,i=t.groupingBaseSize||r,n=e.length,a=Math.max(n-i,0)%r||r,o=e.slice(0,a);while(n-a>=i){o+=t.groupingSeparator;o+=e.slice(a,a+r);a+=r}o+=e.slice(a,n);return o}l.prototype.format=function(e,t){if(Array.isArray(e)){t=e[1];e=e[0]}var r="",i="",a="",o="",u="",c="",f=e<0,g=-1,m=Object.assign({},this.oFormatOptions),p=this.oOriginalFormatOptions,d=m.type===b.CURRENCY&&t==="INR"&&this.oLocale.getLanguage()==="en"&&this.oLocale.getRegion()==="IN",h,C,y,S,F,D,O=e===undefined||e===null;if(m.groupingEnabled&&m.groupingSize<=0){s.error("Grouping requires the 'groupingSize' format option to be a positive number, but it is '"+m.groupingSize+"' instead.");return""}if(m.showNumber&&(e===m.emptyString||isNaN(e)&&isNaN(m.emptyString))){return""}if(t!==undefined&&t!==null&&typeof t!=="string"&&!(t instanceof String)){return""}if(!m.showNumber&&!t){return""}if(O&&(!t||!m.showMeasure||m.showNumber)){return""}if(t&&m.customCurrencies&&!m.customCurrencies[t]){s.error("Currency '"+t+"' is unknown.");return""}if(!m.showNumber&&!m.showMeasure){return""}if(t&&m.type===b.UNIT){if(m.customUnits&&typeof m.customUnits==="object"){F=m.customUnits[t]}else{D=this.oLocaleData.getUnitFromMapping(t)||t;F=this.oLocaleData.getUnitFormat(D)}if(m.showMeasure){var L=!m.allowedUnits||m.allowedUnits.indexOf(t)>=0;if(!L){return""}}if(!F&&!m.showNumber){return this._addOriginInfo(t)}m.decimals=F&&(typeof F.decimals==="number"&&F.decimals>=0)?F.decimals:m.decimals;m.decimals=l.getMaximalDecimals(m);m.precision=F&&(typeof F.precision==="number"&&F.precision>=0)?F.precision:m.precision}if(m.type==b.CURRENCY){if(t&&m.trailingCurrencyCode){if(!this.mKnownCurrencyCodes[t]&&!/(^[A-Z]{3}$)/.test(t)){m.trailingCurrencyCode=false;m.pattern=this.oLocaleData.getCurrencyPattern(m.currencyContext)}}if(!m.showNumber){if(!m.currencyCode){var v;if(m.customCurrencies&&typeof m.customCurrencies==="object"){v=this.mKnownCurrencySymbols[t]}else{v=this.oLocaleData.getCurrencySymbol(t)}if(v&&v!==t){t=v}}return t}if(m.customCurrencies&&m.customCurrencies[t]){m.decimals=m.customCurrencies[t].decimals!==undefined?m.customCurrencies[t].decimals:m.decimals;m.decimals=l.getMaximalDecimals(m)}}if(m.decimals!==undefined){m.minFractionDigits=m.decimals;m.maxFractionDigits=m.decimals}if(m.shortLimit===undefined||Math.abs(e)>=m.shortLimit){y=m.shortRefNumber===undefined?e:m.shortRefNumber;C=E(y,m,this.oLocaleData,d);if(C&&C.formatString!="0"){e=e/C.magnitude;if(m.shortDecimals!==undefined){m.minFractionDigits=m.shortDecimals;m.maxFractionDigits=m.shortDecimals}else{if(p.minFractionDigits===undefined&&p.maxFractionDigits===undefined&&p.decimals===undefined&&p.precision===undefined&&p.pattern===undefined){m.precision=2;m.minFractionDigits=0;m.maxFractionDigits=99}if(p.maxFractionDigits===undefined&&p.decimals===undefined){m.maxFractionDigits=99}}m.roundingMode=l.RoundingMode.HALF_AWAY_FROM_ZERO}}if((C||!m.ignorePrecision)&&m.precision!==undefined){m.maxFractionDigits=Math.min(m.maxFractionDigits,P(e,m.precision));m.minFractionDigits=Math.min(m.minFractionDigits,m.maxFractionDigits)}if(m.type==b.PERCENT){e=l._shiftDecimalPoint(e,2)}if(m.type==b.CURRENCY){var I=this.oLocaleData.getCurrencyDigits(t);if(m.customCurrencies&&m.customCurrencies[t]&&m.customCurrencies[t].decimals!==undefined){I=m.customCurrencies[t].decimals}if(m.maxFractionDigits===undefined){m.maxFractionDigits=I}if(m.minFractionDigits===undefined){m.minFractionDigits=I}}if((typeof e==="number"||typeof e==="string"&&typeof m.roundingMode!=="function")&&!m.preserveDecimals){e=M(e,m.maxFractionDigits,m.roundingMode)}if(e==0){f=false}if(m.preserveDecimals&&(typeof e==="string"||e instanceof String)){e=N(e,m.maxFractionDigits)}if(!O){u=n.convertToDecimal(e)}if(u=="NaN"){return u}if(f){u=u.substr(1)}g=u.indexOf(".");if(g>-1){r=u.substr(0,g);i=u.substr(g+1)}else{r=u}if(r.length<m.minIntegerDigits){r=r.padStart(m.minIntegerDigits,"0")}else if(r.length>m.maxIntegerDigits){r="".padStart(m.maxIntegerDigits,"?")}if(i.length<m.minFractionDigits){i=i.padEnd(m.minFractionDigits,"0")}else if(i.length>m.maxFractionDigits&&!m.preserveDecimals){i=i.substr(0,m.maxFractionDigits)}if(m.type===b.UNIT&&!m.showNumber){if(F){S=this._getPluralCategory(r,i,C);c=F["unitPattern-count-"+S];if(!c){c=F["unitPattern-count-other"]}if(!c){return this._addOriginInfo(t)}if(S!=="other"&&c.indexOf("{0}")===-1){c=F["unitPattern-count-other"];if(!c){return this._addOriginInfo(t)}}if(c.indexOf("{0}")===-1){s.warning("Cannot separate the number from the unit because unitPattern-count-other '"+c+"' does not include the number placeholder '{0}' for unit '"+t+"'")}else{return this._addOriginInfo(c.replace("{0}","").trim())}}}if(m.groupingEnabled){a=R(r,m)}else{a=r}if(f){o=m.minusSign}o+=a;if(i){o+=m.decimalSeparator+i}if(C&&C.formatString&&m.showScale&&m.type!==b.CURRENCY){S=this._getPluralCategory(r,i);C.formatString=this.oLocaleData.getDecimalFormat(m.style,C.key,S);o=C.formatString.replace(C.valueSubString,o);o=o.replace(/'.'/g,".")}if(m.type===b.CURRENCY){c=m.pattern;if(C&&C.formatString&&m.showScale){var A;if(m.trailingCurrencyCode){A="sap-short"}else{A="short"}S=this._getPluralCategory(r,i);if(d){c=w(A,C.key,S)}else{c=this.oLocaleData.getCurrencyFormat(A,C.key,S)}c=c.replace(/'.'/g,".")}h=c.split(";");if(h.length===2){c=f?h[1]:h[0];if(f){o=o.substring(m.minusSign.length)}}if(!m.currencyCode){var v;if(m.customCurrencies&&typeof m.customCurrencies==="object"){v=this.mKnownCurrencySymbols[t]}else{v=this.oLocaleData.getCurrencySymbol(t)}if(v&&v!==t){t=v}}o=this._composeCurrencyResult(c,o,t,{showMeasure:m.showMeasure,negative:f,minusSign:m.minusSign})}if(m.type===b.PERCENT){c=m.pattern;o=c.replace(/[0#.,]+/,o);o=o.replace(/%/,m.percentSign)}if(m.showMeasure&&t&&m.type===b.UNIT){S=this._getPluralCategory(r,i,C);if(F){c=F["unitPattern-count-"+S];if(!c){c=F["unitPattern-count-other"]}if(!c){c=l.getDefaultUnitPattern(t)}}else{c=l.getDefaultUnitPattern(t)}o=c.replace("{0}",o)}return this._addOriginInfo(o)};l.prototype._getPluralCategory=function(e,t,r){var i=e;if(t){i+="."+t}if(r){i+="c"+r.magnitude.toExponential().slice(2)}return this.oLocaleData.getPluralCategory(i)};l.prototype._addOriginInfo=function(e){if(a.collectOriginInfo()){e=new String(e);e.originInfo={source:"Common Locale Data Repository",locale:this.oLocale.toString()}}return e};l.prototype._composeCurrencyResult=function(e,t,r,i){var n=i.minusSign;e=e.replace(/[0#.,]+/,t);if(i.showMeasure&&r){var a="¤",o={"[:digit:]":g,"[[:^S:]&[:^Z:]]":p},s=e.indexOf(a),u=s<e.length/2?"after":"before",c=this.oLocaleData.getCurrencySpacing(u),l=u==="after"?r.charAt(r.length-1):r.charAt(0),f,m=o[c.currencyMatch],d=o[c.surroundingMatch],h;e=e.replace(a,r);f=u==="after"?e.charAt(s+r.length):e.charAt(s-1);if(m&&m.test(l)&&d&&d.test(f)){if(u==="after"){h=s+r.length}else{h=s}e=e.slice(0,h)+c.insertBetween+e.slice(h)}else if(i.negative&&u==="after"){n="\ufeff"+i.minusSign}}else{e=e.replace(/\s*\u00a4\s*/,"")}if(i.negative){e=e.replace(/-/,n)}return e};l.prototype.parse=function(e){var t=this.oFormatOptions,r=t.plusSign+this.oLocaleData.getLenientNumberSymbols("plusSign"),i=t.minusSign+this.oLocaleData.getLenientNumberSymbols("minusSign"),n=U(r+i),a=U(t.groupingSeparator),c=U(t.decimalSeparator),g="^\\s*(["+n+"]?(?:[0-9"+a+"]+|[0-9"+a+"]*"+c+"[0-9]*)(?:[eE][+-][0-9]+)?)\\s*$",m="^\\s*(["+n+"]?[0-9"+a+"]+)\\s*$",p=new RegExp(a,"g"),d=new RegExp(c,"g"),h=this.oLocaleData.getNumberSymbol("percentSign"),C=t.type===b.CURRENCY&&this.oLocale.getLanguage()==="en"&&this.oLocale.getRegion()==="IN",y,S,F,D,O=0,L,v;if(typeof e!=="string"&&!(e instanceof String)){return null}e=o.normalize(e).trim();if(e===""){if(!t.showNumber){return null}v=t.emptyString;if(t.parseAsString&&(t.emptyString===0||isNaN(t.emptyString))){v=t.emptyString+""}if(t.type===b.CURRENCY||t.type===b.UNIT){return[v,undefined]}else{return v}}if(t.groupingSeparator===t.decimalSeparator){s.error("The grouping and decimal separator both have the same value '"+t.groupingSeparator+"'. "+"They must be different from each other such that values can be parsed correctly.")}D=t.type===b.PERCENT?t.pattern:this.oLocaleData.getPercentPattern();if(D.charAt(0)==="%"){g=g.slice(0,1)+"%?"+g.slice(1)}else if(D.charAt(D.length-1)==="%"){g=g.slice(0,g.length-1)+"%?"+g.slice(g.length-1)}var N;if(t.type===b.UNIT&&t.showMeasure){var R;if(t.customUnits&&typeof t.customUnits==="object"){R=t.customUnits}else{R=this.oLocaleData.getUnitFormats()}u(R,"Unit patterns cannot be loaded");if(t.allowedUnits){var E={};for(var A=0;A<t.allowedUnits.length;A++){var w=t.allowedUnits[A];E[w]=R[w]}R=E}var M=k(R,e,t.showNumber,this.oLocaleData.sCLDRLocaleId);var P=false;N=M.cldrCode;if(N.length===1){F=N[0];if(!t.showNumber){return[undefined,F]}}else if(N.length===0){if(t.unitOptional){M.numberValue=e}else{return null}}else{u(N.length===1,"Ambiguous unit ["+N.join(", ")+"] for input: '"+e+"'");F=undefined;P=true}if(t.strictParsing){if(P){return null}}e=M.numberValue||e}var T;if(t.type===b.CURRENCY&&t.showMeasure){T=W({value:e,currencySymbols:this.mKnownCurrencySymbols,customCurrencyCodes:this.mKnownCurrencyCodes,duplicatedSymbols:this.mDuplicatedSymbols,customCurrenciesAvailable:!!t.customCurrencies});if(!T){return null}if(t.strictParsing){if(!T.currencyCode||T.duplicatedSymbolFound){return null}}e=T.numberValue;F=T.currencyCode;if(t.customCurrencies&&F===null){return null}if(!t.showNumber){if(e){return null}return[undefined,F]}}e=e.replace(f,"");L=I(e,this.oLocaleData,C);if(L){e=L.number}var z=_(e);if(t.isInteger&&!L&&!z){y=new RegExp(m)}else{y=new RegExp(g)}if(!y.test(e)){return t.type===b.CURRENCY||t.type===b.UNIT?null:NaN}var Y=e.length;for(var Z=0;Z<Y;Z++){var G=e[Z];if(r.includes(G)){e=e.replace(G,"+");break}else if(i.includes(G)){e=e.replace(G,"-");break}}e=e.replace(/^\+/,"");if(!t.isInteger&&e.indexOf(h)!==-1){S=true;e=e.replace(h,"")}var $=e;e=e.replace(p,"");if(L){e=e.replace(d,".");e=l._shiftDecimalPoint(e,Math.round(Math.log(L.factor)/Math.LN10))}if(t.isInteger){var H;if(z){e=e.replace(d,".");H=x(e);if(H===undefined){return NaN}}else{H=parseInt(e)}O=t.parseAsString?e:H}else{e=e.replace(d,".");O=t.parseAsString?e:parseFloat(e);if(S){O=l._shiftDecimalPoint(O,-2)}}var V=this._checkGrouping($,t,z);if(!V){return t.type===b.CURRENCY||t.type===b.UNIT?null:NaN}if(t.parseAsString&&!S){O=l._shiftDecimalPoint(e,0)}if(t.type===b.CURRENCY||t.type===b.UNIT){return[O,F]}return O};l.prototype.getScale=function(){if(this.oFormatOptions.style!=="short"&&this.oFormatOptions.style!=="long"||this.oFormatOptions.shortRefNumber===undefined){return}var e=E(this.oFormatOptions.shortRefNumber,this.oFormatOptions,this.oLocaleData),t;if(e&&e.formatString){t=e.formatString.replace(d,"").replace(/'.'/g,".").trim();if(t){return t}}};l._shiftDecimalPoint=function(e,t,r){var i="";var n=e.toString().toLowerCase().split("e");if(typeof e==="number"){t=n[1]?+n[1]+t:t;return+(n[0]+"e"+t)}else if(typeof e==="string"){if(!r&&parseFloat(e)===0&&t>=0){return e.replace(m,"$1$2")}var a=n[0].charAt(0);i=a==="-"?a:"";if(i||a==="+"){n[0]=n[0].slice(1)}e=n[0];var o=e.indexOf("."),s,u,c;if(o===-1){e=e+".";o=e.length-1}if(n[1]){o+=+n[1]}s=o+t;if(s<=0){e=e.padStart(e.length-s+1,"0");s=1}else if(s>=e.length-1){e=e.padEnd(s+1,"0");s=e.length-1}e=e.replace(".","");u=e.substring(0,s);c=e.substring(s);u=u.replace(m,"$1$2");if(r){c=c.replace(y,"")}return i+u+(c?"."+c:"")}else{return null}};function E(e,t,r,i){var n,a,o,s,u=t.style,c=t.precision!==undefined?t.precision:2;if(u!="short"&&u!="long"){return undefined}for(var l=0;l<15;l++){a=Math.pow(10,l);if(M(Math.abs(e)/a,c-1)<10){break}}o=a.toString();if(t.type===b.CURRENCY){if(t.trailingCurrencyCode){u="sap-short"}if(i){s=w(u,o,"other",true)}else{s=r.getCurrencyFormat(u,o,"other")}}else{s=r.getDecimalFormat(u,o,"other")}if(!s||s=="0"){return undefined}else{n={};n.key=o;n.formatString=s;var f=s.match(d);if(f){n.valueSubString=f[0];var g=n.valueSubString.indexOf(".");if(g==-1){n.decimals=0;n.magnitude=a*Math.pow(10,1-n.valueSubString.length)}else{n.decimals=n.valueSubString.length-g-1;n.magnitude=a*Math.pow(10,1-g)}}else{return undefined}}return n}function I(e,t,r){var i,n=1,a=10,s=t.getPluralCategories(),u,c={number:undefined,factor:n},l=function(r,a,s,l){if(l){u=w(s,a.toString(),r,true)}else{u=t.getDecimalFormat(s,a.toString(),r)}if(u){u=o.normalize(u,true);u=u.replace(/'.'/g,".");var f=u.match(d);if(f){var g=f[0];var m=u.replace(g,"");if(!m){return}var p=e.indexOf(m);if(p>=0){i=e.replace(m,"");n=a;n*=Math.pow(10,1-g.length);if(c.number===undefined||i.length<c.number.length){c.number=i;c.factor=n}}}}};["long","short"].forEach(function(e){a=10;while(a<1e15){for(var t=0;t<s.length;t++){var r=s[t];l(r,a,e)}a=a*10}});if(r&&!i){a=10;while(a<1e15){for(var f=0;f<s.length;f++){var g=s[f];l(g,a,"short",true)}a=a*10}}if(!i){return}return c}function A(t){var r=e.getTrailingCurrencyCode();if(t){if(t.trailingCurrencyCode!==undefined){r=t.trailingCurrencyCode}if(t.pattern){r=false}if(t.currencyCode===false){r=false}}return r}function w(e,t,r,i){var n,a={short:{"1000-one":"¤0000","1000-other":"¤0000","10000-one":"¤00000","10000-other":"¤00000","100000-one":"¤0 Lk","100000-other":"¤0 Lk","1000000-one":"¤00 Lk","1000000-other":"¤00 Lk","10000000-one":"¤0 Cr","10000000-other":"¤0 Cr","100000000-one":"¤00 Cr","100000000-other":"¤00 Cr","1000000000-one":"¤000 Cr","1000000000-other":"¤000 Cr","10000000000-one":"¤0000 Cr","10000000000-other":"¤0000 Cr","100000000000-one":"¤00000 Cr","100000000000-other":"¤00000 Cr","1000000000000-one":"¤0 Lk Cr","1000000000000-other":"¤0 Lk Cr","10000000000000-one":"¤00 Lk Cr","10000000000000-other":"¤00 Lk Cr","100000000000000-one":"¤0 Cr Cr","100000000000000-other":"¤0 Cr Cr"},"sap-short":{"1000-one":"0000 ¤","1000-other":"0000 ¤","10000-one":"00000 ¤","10000-other":"00000 ¤","100000-one":"0 Lk ¤","100000-other":"0 Lk ¤","1000000-one":"00 Lk ¤","1000000-other":"00 Lk ¤","10000000-one":"0 Cr ¤","10000000-other":"0 Cr ¤","100000000-one":"00 Cr ¤","100000000-other":"00 Cr ¤","1000000000-one":"000 Cr ¤","1000000000-other":"000 Cr ¤","10000000000-one":"0000 Cr ¤","10000000000-other":"0000 Cr ¤","100000000000-one":"00000 Cr ¤","100000000000-other":"00000 Cr ¤","1000000000000-one":"0 Lk Cr ¤","1000000000000-other":"0 Lk Cr ¤","10000000000000-one":"00 Lk Cr ¤","10000000000000-other":"00 Lk Cr ¤","100000000000000-one":"0 Cr Cr ¤","100000000000000-other":"0 Cr Cr ¤"}},o={short:{"1000-one":"0000","1000-other":"0000","10000-one":"00000","10000-other":"00000","100000-one":"0 Lk","100000-other":"0 Lk","1000000-one":"00 Lk","1000000-other":"00 Lk","10000000-one":"0 Cr","10000000-other":"0 Cr","100000000-one":"00 Cr","100000000-other":"00 Cr","1000000000-one":"000 Cr","1000000000-other":"000 Cr","10000000000-one":"0000 Cr","10000000000-other":"0000 Cr","100000000000-one":"00000 Cr","100000000000-other":"00000 Cr","1000000000000-one":"0 Lk Cr","1000000000000-other":"0 Lk Cr","10000000000000-one":"00 Lk Cr","10000000000000-other":"00 Lk Cr","100000000000000-one":"0 Cr Cr","100000000000000-other":"0 Cr Cr"}};o["sap-short"]=o["short"];var s=i?o:a;var u=s[e];if(!u){u=s["short"]}if(r!=="one"){r="other"}n=u[t+"-"+r];return n}l.prototype._checkGrouping=function(e,t,r){if(t.groupingSeparator&&e.includes(t.groupingSeparator)){e=e.replace(/^-/,"");e=e.replace(/^0+(\d)/,"$1");if(e.startsWith("0")||e.startsWith(t.groupingSeparator)){return false}if(r){e=e.replace(/[eE].*/,"")}var i=e.includes(t.decimalSeparator);if(t.decimalSeparator===t.groupingSeparator){i=false}else if(i){e=e.split(t.decimalSeparator)[0]}var n=e.split(t.groupingSeparator).length===2;if(n&&!i){var a=e.length-e.lastIndexOf(t.groupingSeparator);var o=t.groupingBaseSize||t.groupingSize;if(a!==o+t.groupingSeparator.length){return false}}if(t.strictGroupingValidation){if(!this._rGrouping){this._rGrouping=S(t.groupingSeparator,t.groupingSize,t.groupingBaseSize||t.groupingSize)}if(!this._rGrouping.test(e)){return false}}}return true};function _(e){return e.indexOf("e")>0||e.indexOf("E")>0}function x(e){var t=l._shiftDecimalPoint(e,0);if(t.indexOf(".")>0&&!h.test(t.split(".")[1])){return undefined}var r=parseFloat(t);var i=""+r;if(_(i)){i=l._shiftDecimalPoint(i,0)}var n=parseInt(i);if(n!==r){return undefined}return n}function M(e,t,r){r=r||l.RoundingMode.HALF_AWAY_FROM_ZERO;t=parseInt(t);var i=""+e;if(!_(i)){var n=i.indexOf(".");if(n<0){return e}if(i.substring(n+1).length<=t){if(typeof e==="string"){e=l._shiftDecimalPoint(e,0,true)}return e}}if(typeof r==="function"){e=r(e,t)}else{if(r.match(/^[a-z_]+$/)){r=r.toUpperCase()}e=l._shiftDecimalPoint(e,t,true);e=v[r](e);e=l._shiftDecimalPoint(e,-t,true);if(typeof e==="string"){e=e.replace(C,"$1")}}return e}function U(e){return e.replace(/([.?*+^$[\]\\(){}|-])/g,"\\$1")}function P(e,t){var r=Math.floor(Math.log(Math.abs(e))/Math.LN10);return Math.max(0,t-r-1)}function k(e,t,r,i){var n,a,s,u,c,l,f,g,m,p,d,h={numberValue:undefined,cldrCode:[]},C=[],y=true,S=true,b=Number.POSITIVE_INFINITY,F=true,D=t.toLocaleLowerCase(i);for(m in e){for(a in e[m]){if(!a.startsWith("unitPattern")){continue}p=o.normalize(e[m][a]);u=p.indexOf("{0}");n=u>-1;if(n&&!r){p=p.replace("{0}","").trim();n=false}s=undefined;y=true;if(n){f=p.substring(0,u);g=f.toLocaleLowerCase(i);c=p.substring(u+"{0}".length);l=c.toLocaleLowerCase(i);if(t.startsWith(f)&&t.endsWith(c)){s=t.substring(f.length,t.length-c.length)}else if(D.startsWith(g)&&D.endsWith(l)){y=false;s=t.substring(g.length,D.length-l.length)}if(s){if(s.length<b){b=s.length;F=y;h.numberValue=s;h.cldrCode=[m]}else if(s.length===b&&h.cldrCode.indexOf(m)===-1){if(y&&!F){h.numberValue=s;h.cldrCode=[m];F=true}else if(y||!F){h.cldrCode.push(m)}}}}else{d=p.toLocaleLowerCase(i);if(p===t||d===D){if(r){if(a.endsWith("-zero")){s="0"}else if(a.endsWith("-one")){s="1"}else if(a.endsWith("-two")){s="2"}if(p===t){h.numberValue=s;h.cldrCode=[m];return h}else if(!h.cldrCode.includes(m)){S=false;h.numberValue=s;h.cldrCode.push(m)}}else if(h.cldrCode.indexOf(m)===-1){if(p===t){h.cldrCode.push(m)}else if(!C.includes(m)){C.push(m)}}}}}}if((!F||!S)&&h.cldrCode.length>1){h.numberValue=undefined}if(!r&&!h.cldrCode.length){h.cldrCode=C}return h}function T(e,r,i){var n,a,s,u,c,l,f,g,m=false,p=false,d="";for(a in r){s=r[a];if(!s){continue}s=o.normalize(s);if(e.indexOf(s)>=0&&d.length<=s.length){n=a;m=false;p=true;d=s;f=s}else if(i){l=t.getLanguageTag().toString();u=s.toLocaleUpperCase(l);c=e.toLocaleUpperCase(l).indexOf(u);if(c>=0){if(d.length===s.length&&!p){m=true}else if(d.length<s.length){g=e.substring(c,c+s.length);if(g.toLocaleUpperCase(l)===u){n=a;m=false;p=false;d=s;f=g}}}}}if(m||!n){return{}}return{code:n,recognizedCurrency:f,symbol:d}}function W(e){var r,i=e.value;var n=T(i,e.currencySymbols);if(!n.code){n=T(i,e.customCurrencyCodes,true);if(!n.code&&!e.customCurrenciesAvailable){r=i.match(/(^[A-Z]{3}|[A-Z]{3}$)/i);n.code=r&&r[0].toLocaleUpperCase(t.getLanguageTag().toString());n.recognizedCurrency=r&&r[0]}}if(n.code){var a=n.recognizedCurrency.length-1;var o=n.recognizedCurrency.charAt(a);var u;var c=/[\-\s]+/;if(/\d$/.test(o)){if(i.startsWith(n.recognizedCurrency)){u=a+1;if(!c.test(i.charAt(u))){return undefined}}}else if(/^\d/.test(n.recognizedCurrency)){if(i.endsWith(n.recognizedCurrency)){u=i.indexOf(n.recognizedCurrency)-1;if(!c.test(i.charAt(u))){return undefined}}}i=i.replace(n.recognizedCurrency,"")}var l=false;if(e.duplicatedSymbols&&e.duplicatedSymbols[n.symbol]){n.code=undefined;l=true;s.error("The parsed currency symbol '"+n.symbol+"' is defined multiple "+"times in custom currencies.Therefore the result is not distinct.")}return{numberValue:i,currencyCode:n.code||undefined,duplicatedSymbolFound:l}}return l});
//# sourceMappingURL=NumberFormat.js.map