/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
(function(){"use strict";function e(){sap.ui.define("sap/ui/core/plugin/LessSupport",["sap/ui/thirdparty/jquery","sap/ui/core/theming/ThemeManager","sap/ui/core/theming/ThemeHelper","sap/ui/core/Theming","sap/base/config","sap/base/Log","sap/base/util/syncFetch","sap/ui/core/Core"],function(jQuery,e,t,i,s,r,n){var a="library.source";var o="library";var d;var u;var p=function(){};p.prototype.startPlugin=function(n,a){r.info("Starting LessSupport plugin.");r.warning("  NOT FOR PRODUCTIVE USAGE! LessSupport is an experimental feature which might change in future!");var o=s.get({name:"sapUiXxNoless",type:s.Type.Boolean,defaultValue:true,external:true});this.oCore=n;try{if(!o&&(window.top.JsUnit||window.sap.ui.test&&window.sap.ui.test.qunit)){r.info("  LessSupport has been deactivated for JSUnit Testrunner or QUnit.");return}}catch(e){}if(o){r.info("  LessSupport has been deactivated by URL parameter.");return}else{r.info('  LessSupport can be deactivated by adding the following parameter to your URL: "sap-ui-xx-noless=X".')}window.less=window.less||{env:"development",relativeUrls:true,errorReporting:function(e,t,i){if(e==="add"&&window.console){window.console.error("Failed to parse: "+i,t)}}};sap.ui.requireSync("sap/ui/thirdparty/less");this.bActive=true;d=e.includeLibraryTheme;u=n.applyTheme;e.includeLibraryTheme=this.includeLibraryTheme.bind(this);n.applyTheme=this.applyTheme.bind(this);var p=this,l=false;var h=[];jQuery("link[id^=sap-ui-theme-]").each(function(){var e=p.initLink(this);l=e||l;if(e){h.push(this.id.substr(13))}});this.refreshLess(l);var c=0;function f(){var s=true;var n;for(var a=0;a<h.length;a++){n=t.checkAndRemoveStyle({prefix:"less:",id:h[a]});if(n){jQuery(document.getElementById("sap-ui-theme-"+h[a])).attr("data-sap-ui-ready","true")}s=s&&n}c++;if(c>100){s=true;r.warning("LessSupport: Max theme check cycles reached.")}if(s){e.themeLoaded=true;setTimeout(function(){e.fireThemeApplied({theme:i.getTheme()})},0)}else{p.iCheckThemeAppliedTimeout=setTimeout(f,100)}}if(l){this.iCheckThemeAppliedTimeout=setTimeout(f,100)}};p.prototype.stopPlugin=function(){r.info("Stopping LessSupport plugin.");if(this.bActive){clearTimeout(this.iCheckThemeAppliedTimeout);delete this.iCheckThemeAppliedTimeout;jQuery("link[id^=sap-ui-theme-]").each(function(){var e=this.id.substr(13);jQuery(document.getElementById("less:"+e)).remove()});e.includeLibraryTheme=d;this.oCore.applyTheme=u}};p.prototype.initLink=function(e){var t=this.updateLink(e);jQuery("<style>").attr("id","less:"+e.id.substr(13)).attr("type","text/css").attr("media",this.media||"screen").insertAfter(e);return t};p.prototype.updateLink=function(t){var s=t.id.substr(13);var n;if((n=s.indexOf("-["))>0){s=s.substr(0,n)}var d=e._getThemePath(s,i.getTheme());var u=this.getLastModified(d+a+".less");var p=this.getLastModified(d+o+".css");var l=u==0&&p>0||u>p;if(!l){var h=e._getThemePath(s,"base");var c=this.getLastModified(h+a+".less");var f=this.getLastModified(h+o+".css");l=c==0&&f>0||c>f}var m=l?a:o;r.debug("LessSupport.updateLink: "+d+m+": "+(l?"LESS":"CSS"));if(!l){if(t.title){delete t.title}t.rel="stylesheet";t.href=d+m+".css";this.unregisterLink(t);return false}t.title=s;t.rel="stylesheet/less";t.href=d+m+".less";this.registerLink(t);return true};p.prototype.getLastModified=function(e){var t;try{var i=n(e,{method:"HEAD"});if(i.ok){var s=i.headers.get("Last-Modified");t=s?Date.parse(s):0}else{throw Error("HTTP status error: "+i.status)}}catch(e){t=-1}r.debug("CSS/LESS head-check: "+e+"; last-modified: "+t);return t};p.prototype.applyTheme=function(t,i){u.call(e,t,i);var s=this,r=false;jQuery("link[id^=sap-ui-theme-]").each(function(){r=s.updateLink(this)||r});this.refreshLess(r)};p.prototype.includeLibraryTheme=function(t){d.apply(e,arguments);var i=this,s=false;jQuery("link[id='sap-ui-theme-"+t+"']").each(function(){s=i.initLink(this)||s});this.refreshLess(s)};p.prototype.registerLink=function(e){if(window.less&&window.less.sheets){var t=window.less.sheets.indexOf(e);if(t===-1){window.less.sheets.push(e)}}};p.prototype.unregisterLink=function(e){if(window.less&&window.less.sheets){var t=e.id.substr(13);var i=window.less.sheets.indexOf(e);if(i>=0){window.less.sheets.splice(i,1);jQuery(document.getElementById("less:"+t)).html("")}}};p.prototype.refreshLess=function(e){if(e){if(!document.getElementById("sap-ui-ide-less-mode")){jQuery("<span>").attr("id","sap-ui-ide-less-mode").css("position","absolute").css("right","10px").css("bottom","10px").css("padding","10px").css("border","3px solid red").css("border-radius","10px").css("opacity","0.75").css("color","black").css("background-color","white").css("font-weight","bold").css("z-index","99999").append(jQuery("<span>").text("LESS MODE").css({display:"block","text-align":"center"})).append(jQuery("<a>").attr("href","#").text("Deactivate").attr("title","Less mode is active. Click to deactivate it (requires page refresh).").css({float:"left",clear:"left","font-size":"0.75em","text-decoration":"underline","margin-right":"0.5em"}).bind("click",function(e){e.preventDefault();if(window.confirm("Deactivating the Less Mode refreshes the page. Do you want to proceed?")){var t=window.location.search;window.location.search=(t.charAt(0)==="?"?t+"&":"?")+"sap-ui-xx-noless=true"}})).append(jQuery("<a>").attr("href","#").text("Hide").attr("title","Less mode is active. Click to hide this information.").css({float:"right","font-size":"0.75em","text-decoration":"underline"}).bind("click",function(e){e.preventDefault();jQuery(this).parent().css("display","none")})).appendTo(window.document.body)}}else{jQuery("#sap-ui-ide-less-mode").remove()}if(window.less&&window.less.refresh&&window.less.sheets.length>0){var t={};var i={};jQuery(window.less.sheets).each(function(){i[this.href]=jQuery(this).attr("id").substr(13)});var s=window.less.tree.Rule.prototype.eval;window.less.tree.Rule.prototype.eval=function(e){if(this.variable&&typeof this.name==="string"&&this.name.indexOf("@_PRIVATE_")!==0){var n=i[this.currentFileInfo.rootFilename];if(!n){r.warning("LessSupport: could not find libary ("+this.currentFileInfo.rootFilename+")")}var a=t[n];if(!a){a=t[n]={}}try{a[this.name.substr(1)]=this.value.eval(e).toCSS(e)}catch(e){}}return s.apply(this,arguments)};window.less.refresh();var n=sap.ui.requireSync("sap/ui/core/theming/Parameters");n._setOrLoadParameters(t);window.less.tree.Rule.prototype.eval=s}};var l=new p;sap.ui.getCore().registerPlugin(l);p.refresh=function(){l.refreshLess(true);e.checkThemeApplied()};return p},true)}if(!(window.sap&&window.sap.ui&&window.sap.ui.define)){var t=function(){document.removeEventListener("DOMContentLoaded",t,false);e()};document.addEventListener("DOMContentLoaded",t,false)}else{e()}})();
//# sourceMappingURL=LessSupport.js.map