/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/EventProvider","./Plugin","sap/ui/thirdparty/jquery","sap/base/Log","sap/base/security/encodeURL","sap/ui/core/Element","sap/ui/core/Lib"],function(t,e,jQuery,i,n,o,r){"use strict";var s=t.extend("sap.ui.core.support.Support",{constructor:function(e){if(!f){throw Error()}t.apply(this);var i=this;this._sType=e;this._sLocalOrigin=window.location.protocol+"//"+window.location.host;var n=this._receiveEvent.bind(this);if(window.addEventListener){window.addEventListener("message",n,false)}else{window.attachEvent("onmessage",n)}switch(e){case a.APPLICATION:this._isOpen=false;this.attachEvent(u.TEAR_DOWN,function(t){i._isOpen=false;c(i._oRemoteWindow);i._oRemoteWindow=null;s.exitPlugins(i,false)});this.attachEvent(u.LIBS,function(t){var e=s.getDiagnosticLibraries(),n=[];for(var o=0;o<e.length;o++){n.push(e[o].name)}i.sendEvent(u.LIBS,n)});this.attachEvent(u.SETUP,function(t){i._isOpen=true;s.initPlugins(i,false)});this.attachEvent(u.RELOAD,function(t){c(this._oRemoteWindow);window.location.reload()}.bind(this));this.attachEvent(u.RELOAD_WITH_PARAMETER,function(t){c(this._oRemoteWindow);this._reloadWithParameter(t.getParameter("parameterName"),t.getParameter("parameterValue"))}.bind(this));break;case a.TOOL:this._oRemoteWindow=window.opener;this._sRemoteOrigin=new URLSearchParams(window.location.search).get("sap-ui-xx-support-origin");window.addEventListener("pagehide",()=>{i.sendEvent(u.TEAR_DOWN);s.exitPlugins(i,true)});this.attachEvent(u.LIBS,function(t){var e=t.mParameters;if(!Array.isArray(e)){e=Object.keys(e).map(function(t){return e[t]})}r._load(e).then(function(){jQuery(function(){s.initPlugins(i,true).then(function(){i.sendEvent(u.SETUP)})})})});this.sendEvent(u.LIBS);break;default:break}}});var a={APPLICATION:"APPLICATION",TOOL:"TOOL"};var u={LIBS:"sapUiSupportLibs",SETUP:"sapUiSupportSetup",TEAR_DOWN:"sapUiSupportTeardown",RELOAD:"sapUiSupportReload",RELOAD_WITH_PARAMETER:"sapUiSupportReloadWithParameter"};s.StubType=a;s.EventType=u;var p=[];s.getStub=function(t){if(l){return l}if(t!=a.APPLICATION&&t!=a.TOOL){t=a.APPLICATION}f=true;l=new s(t);f=false;return l};s.getToolPlugins=function(){var t=[];for(var i=0;i<p.length;i++){if(p[i]instanceof e&&p[i].isToolPlugin()){t.push(p[i])}}return t};s.getAppPlugins=function(){var t=[];for(var i=0;i<p.length;i++){if(p[i]instanceof e&&p[i].isAppPlugin()){t.push(p[i])}}return t};s.prototype.getType=function(){return this._sType};s.prototype.isToolStub=function(){return this._sType===s.StubType.TOOL};s.prototype.isAppStub=function(){return this._sType===s.StubType.APPLICATION};s.prototype._receiveEvent=function(t){var e=t.data;if(typeof e==="string"&&e.indexOf("SAPUI5SupportTool*")===0){e=e.substr(18)}else{return}if(t.source!=this._oRemoteWindow){return}this._oRemoteOrigin=t.origin;var i=JSON.parse(e);var n=i.eventId;var o=i.params;this.fireEvent(n,o)};s.prototype.sendEvent=function(t,e){if(!this._oRemoteWindow){return}e=e?e:{};var i={eventId:t,params:e};var n="SAPUI5SupportTool*"+JSON.stringify(i);this._oRemoteWindow.postMessage(n,this._sRemoteOrigin)};s.prototype.openSupportTool=function(){var t=sap.ui.require.toUrl("sap/ui/core/support/support.html");var e="?sap-ui-xx-noless=true&sap-ui-xx-support-origin="+n(this._sLocalOrigin);var i;if(this._sType===a.APPLICATION){var o=window.document.getElementById("sap-ui-bootstrap");if(o){var r=sap.ui.require.toUrl("");var s=o.getAttribute("src");if(typeof s==="string"&&s.indexOf(r)===0){i=s.substr(r.length)}}}if(i&&i!=="sap-ui-core.js"&&i.indexOf("/")===-1){e+="&sap-ui-xx-support-bootstrap="+n(i)}function u(t){return t.indexOf(".")==0||t.indexOf("/")==0||t.indexOf("://")<0}if(this._sType===a.APPLICATION){if(!this._isOpen){this._oRemoteWindow=d(t+e);this._sRemoteOrigin=u(t)?this._sLocalOrigin:t}else{this._oRemoteWindow.focus()}}};s.prototype.toString=function(){return"sap.ui.core.support.Support"};s.prototype._reloadWithParameter=function(t,e){var i=window.location.search,n=t+"="+e;if(i&&i!=="?"){var o=new RegExp("(?:^|\\?|&)"+t+"=[^&]+");if(i.match(o)){i=i.replace(o,n)}else{i+="&"+n}}else{i="?"+n}window.location.search=i};var f=false;var l;function d(t){return window.open(t,"sapUiSupportTool","width=800,height=700,status=no,toolbar=no,menubar=no,resizable=yes,location=no,directories=no,scrollbars=yes")}function c(t){if(!t){return}try{t.close()}catch(t){}}s.getDiagnosticLibraries=function(){var t=r.all(),e=[];for(var i in t){var n=t[i];if(n.extensions&&n.extensions["sap.ui.support"]&&n.extensions["sap.ui.support"].diagnosticPlugins){e.push(n)}}return e};s.initPlugins=function(t,i){return new Promise(function(i,n){p=[];var o=s.getDiagnosticLibraries();for(var r=0;r<o.length;r++){var a=o[r],u=a.extensions["sap.ui.support"].diagnosticPlugins;if(Array.isArray(u)){for(var f=0;f<u.length;f++){if(p.indexOf(u[f])===-1){p.push(u[f])}}}}var l=[],d=[],r;for(r=0;r<p.length;r++){if(typeof p[r]==="string"){l.push(p[r]);d.push(r)}}sap.ui.require(l,function(){var n,o,r;for(o=0;o<arguments.length;o++){r=arguments[o];n=d[o];if(t.isToolStub()&&r.prototype.isToolPlugin()){p[n]=new r(t);h(p[n])}else if(t.isAppStub()&&r.prototype.isAppPlugin()){p[n]=new r(t)}}for(n=0;n<p.length;n++){if(p[n]instanceof e){if(t.isToolStub()&&p[n].isToolPlugin()){p[n].init(t)}else if(t.isAppStub()&&p[n].isAppPlugin()){p[n].init(t)}}}i()})})};s.exitPlugins=function(t,i){for(var n=0;n<p.length;n++){if(p[n]instanceof e){if(p[n].isToolPlugin()&&t.isToolStub()&&i){p[n].exit(t,true)}else if(p[n].isAppPlugin()&&t.isAppStub()&&!i){p[n].exit(t,false)}}}};function h(t){t.$().replaceWith("<div  id='"+t.getId()+"-Panel' class='sapUiSupportPnl'>"+"<div id='"+t.getId()+"-PanelHeader' class='sapUiSupportPnlHdr'>"+"<div id='"+t.getId()+"-PanelHandle' class='sapUiSupportPnlHdrHdl sapUiSupportPnlHdrHdlClosed'>"+"</div>"+"<div class='sapUiSupportPanelTitle'>"+t.getTitle()+"</div>"+"</div>"+"<div id='"+t.getId()+"-PanelContent' class='sapUiSupportPnlCntnt sapUiSupportHidden'>"+"<div id='"+t.getId()+"' class='sapUiSupportPlugin'></div>"+"</div>"+"</div>");t.$("PanelHeader").on("click",function(){var e=t.$("PanelHandle");if(e.hasClass("sapUiSupportPnlHdrHdlClosed")){e.removeClass("sapUiSupportPnlHdrHdlClosed");t.$("PanelContent").removeClass("sapUiSupportHidden")}else{e.addClass("sapUiSupportPnlHdrHdlClosed");t.$("PanelContent").addClass("sapUiSupportHidden")}})}s.initializeSupportMode=function(t,e){if(t.indexOf("true")>-1||t.indexOf("viewinfo")>-1){s._initializeSupportInfo(e)}};s._initializeSupportInfo=function(t){var e=[],n=[],r=[],a="support:data",u="support",p="http://schemas.sap.com/sapui5/extension/sap.ui.core.support.Support.info/1",f={};var l=function(){var t="sap-ui-support.probe",e;try{localStorage.setItem(t,t);e=localStorage.getItem(t);localStorage.removeItem(t);return e===t}catch(t){return false}}();function d(){if(l){localStorage.setItem("sap-ui-support.aSupportInfosBreakpoints/"+document.location.href,JSON.stringify(n))}}function c(){if(l){localStorage.setItem("sap-ui-support.aSupportXMLModifications/"+document.location.href,JSON.stringify(r))}}if(l){var h=localStorage.getItem("sap-ui-support.aSupportInfosBreakpoints/"+document.location.href);if(h){n=JSON.parse(h)}var h=localStorage.getItem("sap-ui-support.aSupportXMLModifications/"+document.location.href);if(h){r=JSON.parse(h)}}s.info=function(t){t._idx=e.length;if(t._idx>0&&!t.context){t.context=e[e.length-1].context}if(!t.context){i.debug("Support Info does not have a context and is ignored");return t}if(t.context&&t.context.ownerDocument&&t.context.nodeType===1){var o=t._idx+"";if(!t.context.hasAttributeNS(p,"data")){t.context.setAttribute("xmlns:"+u,p)}else{o=t.context.getAttributeNS(p,"data")+","+o}t.context.setAttributeNS(p,a,o)}e.push(t);if(n.indexOf(t._idx)>-1){i.info(t);i.info("To remove this breakpoint execute:","\nsap.ui.core.support.Support.info.removeBreakpointAt("+t._idx+")");debugger}return t._idx};s.info.getAll=function(t){if(t===undefined){return e}else{return e.filter(function(e){return e.env&&e.env.caller===t})}};s.info.getInfos=function(t){if(t&&typeof t==="string"){t=t.split(",")}else{t=[]}var i=[];for(var n=0;n<t.length;n++){if(e[t[n]]){i.push(e[t[n]])}}return i};s.info.byIndex=function(t){return e[t]};s.info.getAllBreakpoints=function(){return n};s.info.hasBreakpointAt=function(t){return n.indexOf(t)>-1};s.info.addBreakpointAt=function(t){if(n.indexOf(t)>-1){return}n.push(t);d()};s.info.removeBreakpointAt=function(t){var e=n.indexOf(t);if(e>-1){n.splice(e,1);d()}};s.info.removeAllBreakpoints=function(){n=[];d()};s.info.addSupportInfo=function(t,e){if(t&&e){if(f[t]){f[t]+=","+e}else{f[t]=e}}};s.info.byId=function(t){return f[t]||null};s.info.getIds=function(t){var e=[];for(var i in f){var n=f[i];if(n&&n.indexOf(t)>-1){e.push(i)}}return e};s.info.getElements=function(t){var e=[];for(var i in f){var n=f[i];if(n&&n.indexOf(t)===0){var r=o.getElementById(i);if(r){e.push(o.getElementById(i))}}}return e};s.info.getAllXMLModifications=function(){return r};s.info.hasXMLModifications=function(){return r.length>0};s.info.addXMLModification=function(t,e,i){r.push({id:t,idx:e,change:i});c()};s.info.removeXMLModification=function(t){var e=r.indexOf(t);if(e>-1){r.splice(e,1);c()}};s.info.removeAllXMLModification=function(){r=[];c()};s.info.modifyXML=function(t,e){if(!s.info.hasXMLModifications()){return}var i=e;if(!i||!i.nodeType||!(i.nodeType==1||i.nodeType==9)){return}if(i.nodeType===9){i=i.firstChild}var n=i.querySelectorAll("*");var o=[i];for(var a=0;a<n.length;a++){o.push(n[a])}for(var a=0;a<r.length;a++){var u=r[a],p=u.change;if(u.id===t){var f=o[u.idx];if(f.nodeType===1&&p.setAttribute){var l=f.getAttribute(p.setAttribute[0]);f.setAttribute(p.setAttribute[0],p.setAttribute[1]);if(!f._modified){f._modified=[]}f._modified.push(p.setAttribute[0]);if(!f._oldValues){f._oldValues=[]}f._oldValues.push(l)}}}};s.info._breakAtProperty=function(t){return function(e){if(e.getParameter("name")===t){debugger}}};s.info._breakAtMethod=function(t){return function(){debugger;return t.apply(this,arguments)}};var v=["sap/ui/base/ManagedObject","sap/ui/core/mvc/View","sap/ui/core/XMLTemplateProcessor","sap/ui/thirdparty/datajs"];function g(t,e,n,o){t._supportInfo=s.info;e._supportInfo=s.info;n._supportInfo=s.info;if(window.datajs){window.datajs._sap={_supportInfo:s.info}}i.info("sap.ui.core.support.Support.info initialized.")}if(!t){g.apply(null,v.map(sap.ui.requireSync));return}sap.ui.require(v,g)};return s});
//# sourceMappingURL=Support.js.map