/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Formatting","sap/base/i18n/Localization","sap/ui/VersionInfo","sap/ui/core/AnimationMode","sap/ui/core/Configuration","sap/ui/core/ControlBehavior","sap/ui/core/Core","sap/ui/core/Element","sap/ui/core/ElementMetadata","sap/ui/core/Lib","sap/ui/core/Locale","sap/ui/core/Supportability","sap/ui/core/Theming","sap/base/util/LoaderExtensions","sap/ui/thirdparty/jquery"],function(e,t,r,n,a,i,o,g,u,l,c,s,d,p,jQuery){"use strict";function m(){var e=r._content?r._content.libraries:undefined;var t=Object.create(null);if(e!==undefined){e.forEach(function(e,r,n){t[e.name]=e.version})}return t}function f(){var e=l.all();var t=Object.create(null);Object.keys(l.all()).forEach(function(r,n,a){t[r]=e[r].version});return t}function b(){var e=new URLSearchParams(window.location.search);return Array.from(e.keys()).reduce(function(t,r){t[r]=e.getAll(r);return t},{})}function v(){return{commonInformation:{version:o.version,buildTime:o.buildinfo.buildtime,lastChange:o.buildinfo.lastchange,jquery:jQuery.fn.jquery,userAgent:navigator.userAgent,applicationHREF:window.location.href,documentTitle:document.title,documentMode:document.documentMode||"",debugMode:s.isDebugModeEnabled(),statistics:s.isStatisticsEnabled()},configurationBootstrap:window["sap-ui-config"]||Object.create(null),configurationComputed:{theme:d.getTheme(),language:t.getLanguage(),formatLocale:new c(e.getLanguageTag()),accessibility:i.isAccessibilityEnabled(),animation:i.getAnimationMode()!==n.minimal&&i.getAnimationMode()!==n.none,rtl:t.getRTL(),debug:s.isDebugModeEnabled(),inspect:s.isControlInspectorEnabled(),originInfo:s.collectOriginInfo(),noDuplicateIds:a.getNoDuplicateIds()},libraries:m(),loadedLibraries:f(),loadedModules:p.getAllRequiredModules().sort(),URLParameters:b()}}var h={_createRenderedTreeModel:function(e,t){var r=e;var n=r.firstElementChild;var a=t;var i=a;var o=g.getElementById(r.id);if(r.getAttribute("data-sap-ui")&&o){a.push({id:o.getId(),name:o.getMetadata().getName(),type:"sap-ui-control",content:[]});i=a[a.length-1].content}else if(r.getAttribute("data-sap-ui-area")){a.push({id:r.id,name:"sap-ui-area",type:"data-sap-ui",content:[]});i=a[a.length-1].content}while(n){this._createRenderedTreeModel(n,i);n=n.nextElementSibling}}};var y={_getOwnProperties:function(e){var t=Object.create(null);var r=e.getMetadata().getProperties();t.meta=Object.create(null);t.meta.controlName=e.getMetadata().getName();t.properties=Object.create(null);Object.keys(r).forEach(function(n){t.properties[n]=Object.create(null);t.properties[n].value=e.getProperty(n);t.properties[n].type=r[n].getType().getName?r[n].getType().getName():""});return t},_copyInheritedProperties:function(e,t){var r=t.getProperties();var n=Object.create(null);n.meta=Object.create(null);n.meta.controlName=t.getName();n.properties=Object.create(null);Object.keys(r).forEach(function(t){n.properties[t]=Object.create(null);n.properties[t].value=r[t].get(e);n.properties[t].type=r[t].getType().getName?r[t].getType().getName():""});return n},_getInheritedProperties:function(e){var t=[];var r=e.getMetadata().getParent();while(r instanceof u){t.push(this._copyInheritedProperties(e,r));r=r.getParent()}return t},_getProperties:function(e){var t=g.getElementById(e);var r=Object.create(null);if(t){r.own=this._getOwnProperties(t);r.inherited=this._getInheritedProperties(t)}return r},_getModelFromContext:function(e,t){var r=e.getBinding(t);var n=r.getModel();var a=e.getBindingInfo(t).parts?e.getBindingInfo(t).parts:[];var i=[];for(var o=0;o<a.length;o++){i.push(a[o].model)}var g={names:i,path:r.getPath()};if(n){g.mode=n.getDefaultBindingMode();g.type=n.getMetadata().getName();g.data=n.getData?n.getData("/"):undefined}return g},_getBindDataForProperties:function(e){var t=e.getMetadata().getAllProperties();var r=Object.create(null);for(var n in t){if(t.hasOwnProperty(n)&&e.getBinding(n)){r[n]=Object.create(null);r[n].path=e.getBinding(n).getPath();r[n].value=e.getBinding(n).getValue();r[n].type=e.getMetadata().getProperty(n).getType().getName?e.getMetadata().getProperty(n).getType().getName():"";r[n].mode=e.getBinding(n).getBindingMode();r[n].model=this._getModelFromContext(e,n)}}return r},_getBindDataForAggregations:function(e){var t=e.getMetadata().getAllAggregations();var r=Object.create(null);for(var n in t){if(t.hasOwnProperty(n)&&e.getBinding(n)){r[n]=Object.create(null);r[n].model=this._getModelFromContext(e,n)}}return r}};return{getFrameworkInformation:v,getRenderedControlTree:function(){var e=[];h._createRenderedTreeModel(document.body,e);return e},getControlProperties:function(e){return y._getProperties(e)},getControlBindings:function(e){var t=Object.create(null);var r=g.getElementById(e);var n;if(!r){return t}n=r.getBindingContext();t.meta=Object.create(null);t.contextPath=n?n.getPath():null;t.aggregations=y._getBindDataForAggregations(r);t.properties=y._getBindDataForProperties(r);return t}}});
//# sourceMappingURL=ToolsAPI.js.map