/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/RenderManager","sap/ui/core/support/Plugin","sap/ui/core/format/DateFormat","sap/ui/core/date/UI5Date","sap/base/Log","sap/base/security/encodeXML"],function(e,t,o,n,r,l){"use strict";var a=t.extend("sap.ui.core.support.plugins.Trace",{constructor:function(e){t.apply(this,["sapUiSupportTrace","JavaScript Trace",e]);this._aEventIds=this.runsAsToolPlugin()?[this.getId()+"Entry"]:[];if(this.runsAsToolPlugin()){this._aLogEntries=[];this._iLogLevel=r.Level.ALL;this._oDateFormat=o.getDateTimeInstance()}else{var n=this;this._oldLogLevel=r.getLevel();r.setLevel(r.Level.ALL);r.addLogListener({onLogEntry:function(t){if(n.isActive()){e.sendEvent(n.getId()+"Entry",{entry:t})}}})}}});a.prototype.onsapUiSupportTraceEntry=function(e){i(this,e.getParameter("entry"))};a.prototype.init=function(o){t.prototype.init.apply(this,arguments);if(!this.runsAsToolPlugin()){return}var n=this;var r=(new e).getInterface();r.openStart("div").class("sapUiSupportToolbar").openEnd();r.openStart("button",this.getId()+"-clear").class("sapUiSupportRoundedButton").openEnd().text("Clear").close("button");r.openStart("label").class("sapUiSupportLabel").openEnd().text("Filter:").close("label");r.voidStart("input",this.getId()+"-filter").class("sapUiSupportTxtFld").attr("type","text").voidEnd();r.openStart("label").class("sapUiSupportLabel").openEnd().text("Log Level:").close("label");r.openStart("select",this.getId()+"-loglevel").class("sapUiSupportTxtFld").class("sapUiSupportSelect").openEnd();r.openStart("option").attr("value","0").openEnd().text("FATAL").close("option");r.openStart("option").attr("value","1").openEnd().text("ERROR").close("option");r.openStart("option").attr("value","2").openEnd().text("WARNING").close("option");r.openStart("option").attr("value","3").openEnd().text("INFO").close("option");r.openStart("option").attr("value","4").openEnd().text("DEBUG").close("option");r.openStart("option").attr("value","5").openEnd().text("TRACE").close("option");r.openStart("option").attr("value","6").attr("selected","").openEnd().text("ALL").close("option");r.close("select");r.close("div");r.openStart("div").class("sapUiSupportTraceCntnt").openEnd().close("div");r.flush(this.$().get(0));r.destroy();this._fClearHandler=function(){i(n)};this._fLogLevelHandler=function(){n._iLogLevel=n.$("loglevel").val();var e=[];for(var t=0;t<n._aLogEntries.length;t++){if(p(n._filter,n._iLogLevel,n._aLogEntries[t])){e.push(s(n,n._aLogEntries[t]))}}i(n,e.join(""))};this._fFilterHandler=function(){n._filter=n.$("filter").val();n._filter=n._filter?n._filter.toLowerCase():"";var e=[];for(var t=0;t<n._aLogEntries.length;t++){if(p(n._filter,n._iLogLevel,n._aLogEntries[t])){e.push(s(n,n._aLogEntries[t]))}}i(n,e.join(""))};this.$("clear").on("click",this._fClearHandler);this.$("filter").on("change",this._fFilterHandler);this.$("loglevel").on("change",this._fLogLevelHandler)};a.prototype.exit=function(e){if(this.runsAsToolPlugin()){if(this._fClearHandler){this.$("clear").off("click",this._fClearHandler);this._fClearHandler=null}if(this._fFilterHandler){this.$("filter").off("change",this._fFilterHandler);this._fFilterHandler=null}if(this._fLogLevelHandler){this.$("loglevel").off("change",this._fLogLevelHandler);this._fLogLevelHandler=null}}else{r.setLevel(this._oldLogLevel);this._oldLogLevel=null}t.prototype.exit.apply(this,arguments)};function i(e,t){var o=e.$()[0].querySelector(".sapUiSupportTraceCntnt");if(!t){o.textContent="";e._aLogEntries=[]}else if(typeof t==="string"){o.textContent=l(t);o.scrollTop=o.scrollHeight}else{t._levelInfo=c(t.level);if(p(e._filter,e._iLogLevel,t)){o.insertAdjacentHTML("beforeend",s(e,t));o.scrollTop=o.scrollHeight}e._aLogEntries.push(t)}}function s(e,t){var o=t._levelInfo;var r="<div class='sapUiSupportTraceEntry'><span class='sapUiSupportTraceEntryLevel sapUiSupportTraceEntryLevel_"+o[0]+"'>"+o[0]+"</span><span class='sapUiSupportTraceEntryTime'>"+e._oDateFormat.format(n.getInstance(t.timestamp))+"</span><span class='sapUiSupportTraceEntryMessage'>"+l(t.message||"")+"</div>";return r}function p(e,t,o){var n=o._levelInfo;if(o._levelInfo[1]<=t){if(e){var r=e.split(" ");var l=true;for(var a=0;a<r.length;a++){l=l&&o.message.toLowerCase().indexOf(r[a])>=0||n[0].toLowerCase().indexOf(r[a])>=0}return l}return true}return false}function c(e){switch(e){case r.Level.FATAL:return["FATAL",e];case r.Level.ERROR:return["ERROR",e];case r.Level.WARNING:return["WARNING",e];case r.Level.INFO:return["INFO",e];case r.Level.DEBUG:return["DEBUG",e];case r.Level.TRACE:return["TRACE",e];default:return["unknown",e]}}return a});
//# sourceMappingURL=Trace.js.map