/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Lib","sap/ui/core/Theming","sap/ui/thirdparty/URI","../Element","sap/base/future","sap/base/Log","sap/base/util/extend","sap/base/util/syncFetch","sap/ui/core/theming/ThemeManager","./ThemeHelper"],function(e,r,t,a,n,i,s,o,u,c){"use strict";var f=sap.ui.loader._.getSyncCallBehavior();var l={};var m=null;var p=null;var h=[];var d=[];var g=new t(sap.ui.require.toUrl(""),document.baseURI).origin();var v={};var y=/url[\s]*\('?"?([^\'")]*)'?"?\)/;var b=new URLSearchParams(window.location.search).get("sap-ui-xx-no-inline-theming-parameters")!=="true";function w(e,r){var a=y.exec(e);if(a){var n=new t(a[1]);if(n.is("relative")){var i=n.absoluteTo(r).normalize().toString();e="url('"+i+"')"}}return e}function P(e,r,t){for(var a in r){if(typeof e[a]==="undefined"){e[a]=w(r[a],t)}}return e}function A(e,r){if(typeof e["default"]!=="object"){e={default:e,scopes:{}}}m=m||{};m["default"]=m["default"]||{};m["scopes"]=m["scopes"]||{};P(m["default"],e["default"],r);if(typeof e["scopes"]==="object"){for(var t in e["scopes"]){m["scopes"][t]=m["scopes"][t]||{};P(m["scopes"][t],e["scopes"][t],r)}}}function T(e){document.querySelectorAll("link[id^=sap-ui-theme-]").forEach(function(r){e(r.getAttribute("id"))})}function U(e,r){var t=S(e);var a=c.checkAndRemoveStyle({id:e});if(!a&&!r){i.warning("Parameters have been requested but theme is not applied, yet.","sap.ui.core.theming.Parameters")}if(a&&b){var s=document.getElementById(e);var o=window.getComputedStyle(s).getPropertyValue("background-image");var u=/\(["']?data:text\/plain;utf-8,(.*?)['"]?\)$/i.exec(o);if(u&&u.length>=2){var f=u[1];if(f.charAt(0)!=="{"&&f.charAt(f.length-1)!=="}"){try{f=decodeURIComponent(f)}catch(e){n.warningThrows("Could not decode theme parameters URI from "+t.styleSheetUrl)}}try{var l=JSON.parse(f);A(l,t.themeBaseUrl);return true}catch(e){n.warningThrows("Could not parse theme parameters from "+t.styleSheetUrl+". Loading library-parameters.json as fallback solution.")}}}return r?a:false}function L(e){var r=S(e);if(!U(e)){var a=r.styleSheetUrl.replace(/\/(?:css_variables|library)([^\/.]*)\.(?:css|less)($|[?#])/,function(e,r,t){return"/library-parameters.json"+(t?t:"")});if(f===2){i.error("[nosync] Loading library-parameters.json ignored",a,"sap.ui.core.theming.Parameters");return}else if(f===1){i.error("[nosync] Loading library-parameters.json with sync XHR",a,"sap.ui.core.theming.Parameters")}var n=new t(r.themeBaseUrl).origin();var s=v[n];var o=[];if(s===undefined){if(a.startsWith(g)){o=[false,true]}else{o=[true,false]}}else{o=[s]}j(a,r.themeBaseUrl,o)}}function S(e){var r=document.getElementById(e);if(!r){n.warningThrows("Could not find stylesheet element with ID",e,"sap.ui.core.theming.Parameters");return undefined}var a=r.href;return{themeBaseUrl:new t(a).filename("").query("").toString(),styleSheetUrl:a}}function j(e,r,a){var s={Accept:o.ContentTypes.JSON};var u=a.shift();if(u){s["X-Requested-With"]="XMLHttpRequest"}function c(t){n.errorThrows("Could not load theme parameters from: "+e,t);if(a.length>0){i.warning("Initial library-parameters.json request failed ('withCredentials="+u+"'; sUrl: '"+e+"').\n"+"Retrying with 'withCredentials="+!u+"'.","sap.ui.core.theming.Parameters");j(e,r,a)}}try{var f=o(e,{credentials:u?"include":"omit",headers:s});if(f.ok){var l=f.json();var m=new t(r).origin();v[m]=u;if(Array.isArray(l)){for(var p=0;p<l.length;p++){var h=l[p];A(h,r)}}else{A(l,r)}}else{throw new Error(f.statusText||f.status)}}catch(e){c(e)}}function I(e){if(!m){A({},"");T(function(r){if(e){if(!U(r,e)){h.push(r)}}else{L(r)}})}return m}function N(){var e=[];h.forEach(function(r){if(!U(r,true)){e.push(r)}});h=e}function R(){h.forEach(L);h=[]}l._addLibraryTheme=function(e){if(m){h.push("sap-ui-theme-"+e)}};function x(r){var t=r.async,a=I(t);if(r.scopeName){a=a["scopes"][r.scopeName]}else{a=a["default"]}var n=a[r.parameterName];if(!n){var i=r.parameterName.indexOf(":");if(i!=-1){var s=r.parameterName.substr(i+1);n=a[s]}}if(r.loadPendingParameters&&typeof n==="undefined"&&!t){var o=e.getAllInstancesRequiringCss();o.forEach(function(e){u._includeLibraryThemeAndEnsureThemeRoot(e)});R();n=x({parameterName:r.parameterName,scopeName:r.scopeName,loadPendingParameters:false})}return n}function E(e,r,t){var a=l.getActiveScopesFor(r,t);var n=a.flat().reduce(function(e,r){if(e.indexOf(r)===-1){e.push(r)}return e},[]);for(var i=0;i<n.length;i++){var s=n[i];var o=x({parameterName:e,scopeName:s,async:t});if(o){return o}}return x({parameterName:e,async:t})}l._getScopes=function(e,r){if(e&&!m){return}var t=I(r);var a=Object.keys(t["scopes"]);return a};l.getActiveScopesFor=function(e,r){var t=[];if(e instanceof a){var n=e.getDomRef();if(r){N()}else{R()}var i=this._getScopes(undefined,r);if(i.length){if(n){var s=function(e){var r=n.classList;return r&&r.contains(e)};while(n){var o=i.filter(s);if(o.length>0){t.push(o)}n=n.parentNode}}else{var u=function(r){return typeof e.hasStyleClass==="function"&&e.hasStyleClass(r)};while(e){var o=i.filter(u);if(o.length>0){t.push(o)}e=typeof e.getParent==="function"&&e.getParent()}}}}return t};l.get=function(e,t){let s,o,u,c,f;let l;var m=function(e){return e.callback===o};if(!p){p=r.getTheme()}if(arguments.length===0){i.warning("[FUTURE FATAL] Legacy variant usage of sap.ui.core.theming.Parameters.get API detected. Do not use the Parameters.get() API to retrieve ALL theming parameters, "+"as this will lead to unwanted synchronous requests. "+"Use the asynchronous API variant instead and retrieve a fixed set of parameters.","LegacyParametersGet","sap.ui.support",function(){return{type:"LegacyParametersGet"}});R();var h=I();return Object.assign({},h["default"])}if(!e){return undefined}if(e instanceof Object&&!Array.isArray(e)){if(!e.name){n.warningThrows("sap.ui.core.theming.Parameters.get was called with an object argument without one or more parameter names.");return undefined}t=e.scopeElement;o=e.callback;l=e._restrictedParseUrls||false;c=typeof e.name==="string"?[e.name]:e.name;u=true}if(!(e instanceof Object&&!Array.isArray(e))){if(typeof e==="string"){c=[e]}else{c=e}i.warning("[FUTURE FATAL] Legacy variant usage of sap.ui.core.theming.Parameters.get API detected for parameter(s): '"+c.join(", ")+"'. This could lead to bad performance and additional synchronous XHRs, as parameters might not be available yet. Use asynchronous variant instead.","LegacyParametersGet","sap.ui.support",function(){return{type:"LegacyParametersGet"}})}var g;var v=function(e){if(t instanceof a){return E(e,t,u)}else{if(u){N()}return x({parameterName:e,loadPendingParameters:!u,async:u})}};const y={};for(var b=0;b<c.length;b++){s=c[b];var w=v(s);if(!u||w){y[s]=w}}if(u&&o&&Object.keys(y).length!==c.length){g=function(){r.detachApplied(g);var t=this.get({name:e.name,scopeElement:e.scopeElement});if(!t||typeof t==="object"&&Object.keys(t).length!==c.length){n.errorThrows("One or more parameters could not be found.","sap.ui.core.theming.Parameters")}o(t);d.splice(d.findIndex(m),1)}.bind(this);f=d.findIndex(m);if(f>=0){r.detachApplied(d[f].eventHandler);d[f].eventHandler=g}else{d.push({callback:o,eventHandler:g})}r.attachApplied(g);return undefined}if(l){O(y)}return c.length===1?y[c[0]]:y};function O(e){for(const r in e){if(Object.hasOwn(e,r)){let t=e[r];const a=y.exec(t);if(a){t=a[1]}else if(t==="''"||t==="none"){t=null}e[r]=t}}}l._setOrLoadParameters=function(e){m={default:{},scopes:{}};p=r.getTheme();T(function(r){var t=r.substr(13);if(e[t]){s(m["default"],e[t])}else{L(r)}})};l.reset=function(){this._reset.apply(this,arguments)};l._reset=function(){var e=arguments[0]===true;if(!e||r.getTheme()!==p){p=r.getTheme();h=[];m=null}};l._getThemeImage=function(e,r){e=e||"sapUiGlobalLogo";var t=l.get(e);if(t){var a=y.exec(t);if(a){t=a[1]}else if(t==="''"||t==="none"){t=null}}if(r&&!t){return sap.ui.require.toUrl("sap/ui/core/themes/base/img/1x1.gif")}return t};return l},true);
//# sourceMappingURL=Parameters.js.map