/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/assert","sap/base/Eventing","sap/base/future","sap/base/Log","sap/base/config","sap/base/i18n/Localization","sap/base/util/each","sap/base/util/LoaderExtensions","sap/ui/Device","sap/ui/VersionInfo","sap/ui/core/Lib","sap/ui/core/Theming","sap/ui/core/theming/ThemeHelper","sap/ui/dom/includeStylesheet"],function(e,t,r,a,i,s,n,u,o,c,m,l,f,d){"use strict";const h=new t;var p=150;var g={};var v=/\.sapUiThemeDesignerCustomCss/i;var T=0;var b="sap-ui-core-customcss";var y=false;var L=null;var C=null;var E={};var S;var U={themeLoaded:true,checkThemeApplied:function(){U.reset();w(true);if(!S){U.fireThemeApplied()}},reset:function(){U.themeLoaded=false;if(S){clearTimeout(S);S=null;T=0;C=null;E={}}},_includeLibraryThemeAndEnsureThemeRoot:function(e){var t=e.name;k(t,l.getTheme());k(t,"base");g[t]=e;if(!e.preloadedCss){U.includeLibraryTheme(t,e.variant,e)}},includeLibraryTheme:function(t,r,i){e(typeof t==="string","sLibName must be a string");e(r===undefined||typeof r==="string","sVariant must be a string or undefined");var n=i;if(typeof n==="object"){n=P(i)}if(t==="sap.ui.legacy"||t==="sap.ui.classic"){return}if(!r){r=""}var u=s.getRTL()?"-RTL":"";var o,c=t+(r.length>0?"-["+r+"]":r);if(t&&t.indexOf(":")==-1){o="library"+r+u}else{o=t.substring(t.indexOf(":")+1)+r;t=t.substring(0,t.indexOf(":"))}var m="sap-ui-theme-"+c;if(!document.querySelector("LINK[id='"+m+"']")){var f=new URL(U._getThemePath(t,l.getTheme()),document.baseURI).toString();var h=document.createElement("link");h.href=f+o+".css"+(n?n:"");var p=h.href;_(m);a.info("Including "+p+" -  sap.ui.core.theming.ThemeManager.includeLibraryTheme()");d(p,m);var g=sap.ui.require("sap/ui/core/theming/Parameters");if(g){g._addLibraryTheme(c)}U.checkThemeApplied()}},_getThemePath:function(e,t){k(e,t);return sap.ui.require.toUrl((e+".themes."+t).replace(/\./g,"/")+"/")},_updateThemeUrls:function(e,t){var r=document.querySelectorAll("link[id^=sap-ui-theme-]");Array.prototype.forEach.call(r,function(r){I(r,e,t)})},_attachThemeApplied:function(e){h.attachEvent("applied",e)},_detachThemeApplied:function(e){h.detachEvent("applied",e)},fireThemeApplied:function(){f.reset();var e=sap.ui.require("sap/ui/core/theming/Parameters");if(e){e._reset(true)}h.fireEvent("applied",{theme:l.getTheme()})}};function A(){var e=l.getTheme();var t=U._getThemePath("sap.ui.core",e)+"custom.css";var r=e.indexOf("sap_")===0||e==="base";var i=true;var s=[];if(y&&L===e){g[b]={}}function u(n){var u="sap-ui-theme-"+n;var o=f.checkAndRemoveStyle({prefix:"sap-ui-theme-",id:n});i=i&&o;if(i){if(!y||L!=e){if(!r&&R(n)){var c=t;var m=P(g["sap.ui.core"]);if(m){c+=m}d(c,b);y=true;a.debug("ThemeManager: delivered custom CSS needs to be loaded, Theme not yet applied");L=e;i=false;return false}else if(y){var l=document.querySelector("LINK[id='"+b+"']");if(l){l.remove();a.debug("ThemeManager: Custom CSS removed")}y=false}}}if(!r&&o&&!E[n]){var h=document.getElementById(u);if(h&&h.getAttribute("data-sap-ui-ready")==="false"&&!(h.sheet&&f.hasSheetCssRules(h.sheet))){s.push(n)}}}n(g,u);if(s.length>0){if(!C){for(var o in g){var c=f.getMetadata(o);if(c&&c.Extends&&c.Extends[0]){C=c.Extends[0];break}}}if(C){s.forEach(function(t){var r="sap-ui-theme-"+t;var i=document.getElementById(r);a.warning("ThemeManager: Custom theme '"+e+"' could not be loaded for library '"+t+"'. "+"Falling back to its base theme '"+C+"'.");I(i,C);E[t]=true});i=false}}if(!i){a.debug("ThemeManager: Theme not yet applied.")}else{L=e}return i}function R(e){var t=window.document.getElementById("sap-ui-theme-"+e);if(!t){return false}var i=window.getComputedStyle(t,":after");var s=i?i.getPropertyValue("content"):null;if(!s&&o.browser.safari){var n=document.documentElement;n.classList.add("sapUiThemeDesignerCustomCss");s=window.getComputedStyle(n,":after").getPropertyValue("content");n.classList.remove("sapUiThemeDesignerCustomCss")}if(s&&s!=="none"){try{if(s[0]==="'"||s[0]==='"'){s=s.substring(1,s.length-1)}return s==="true"}catch(e){r.errorThrows("Custom check: Error parsing JSON string for custom.css indication.",e)}}var u=t.sheet?f.safeAccessSheetCssRules(t.sheet):null;if(!u||u.length===0){a.warning("Custom check: Failed retrieving a CSS rule from stylesheet "+e);return false}for(var c=0;c<2&&c<u.length;c++){if(v.test(u[c].selectorText)){return true}}return false}function w(e){T++;var t=T>p;if(!A()&&!t){var a;if(T<=100){a=2}else if(T<=110){a=500}else{a=1e3}S=setTimeout(w,a)}else if(!e){U.reset();U.themeLoaded=true;U.fireThemeApplied();if(t){r.errorThrows("ThemeManager: max. check cycles reached.")}}else{U.themeLoaded=true}}function _(e){var t=document.getElementById(e);if(t){t.dataset.sapUiFoucmarker=e}}function x(e){var t=document.documentElement;var r=e.new;U._updateThemeUrls(r,true);t.classList.remove("sapUiTheme-"+e.old);t.classList.add("sapUiTheme-"+r);U.checkThemeApplied()}function k(e,t){var r=l.getThemeRoot(t,e);if(r){r=r+(r.slice(-1)=="/"?"":"/")+e.replace(/\./g,"/")+"/themes/"+t+"/";u.registerResourcePath((e+".themes."+t).replace(/\./g,"/"),r)}}function I(e,t,r){var a,i=e.href.search(/[?#]/),n,u,o="library",c=s.getRTL()?"-RTL":"",m,l;var f=/^sap-ui-theme-(.*)$/i.exec(e.id);if(Array.isArray(f)){a=f[1]}else{a=e.id.slice(13)}g[a]=g[a]||{};if(i>-1){n=e.href.substring(0,i);u=e.href.substring(i)}else{n=e.href;u=""}n=n.substring(n.lastIndexOf("/")+1);if((l=a.indexOf("-["))>0){o+=a.slice(l+2,-1);a=a.slice(0,l)}if(n===o+".css"||n===o+"-RTL.css"){n=o+c+".css"}m=new URL(U._getThemePath(a,t)+n+u,document.baseURI).toString();if(m!=e.href){if(r){e.dataset.sapUiFoucmarker=e.id}d(m,e.id)}}function P(e){var t;if(m.getVersionedLibCss()&&e){t="?version="+e.version;if(c._content){t+="&sap-ui-dist-version="+c._content.version}}return t}document.documentElement.classList.add("sapUiTheme-"+l.getTheme());a.info("Declared theme "+l.getTheme(),null);l.attachChange(function(e){var t=e.themeRoots;var r=e.theme;if(t&&t.forceUpdate){U._updateThemeUrls(l.getTheme())}if(r){x(r)}});l.registerThemeManager(U);return U});
//# sourceMappingURL=ThemeManager.js.map