/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/ManagedObject","sap/ui/base/BindingInfo","sap/ui/base/BindingParser","sap/ui/core/Control","sap/ui/core/RenderManager","sap/base/util/ObjectPath","sap/base/Log","sap/base/assert","sap/ui/thirdparty/jquery","sap/ui/core/tmpl/TemplateControl","./_parsePath"],function(e,t,r,a,n,i,o,s,jQuery,p,c){"use strict";var l=e.extend("sap.ui.core.tmpl.Template",{constructor:function(t,r){e.apply(this,arguments)},metadata:{stereotype:"template",abstract:true,library:"sap.ui.core",properties:{content:{type:"string",group:"Data",defaultValue:null}},publicMethods:["declareControl","createControl","placeAt","createMetadata","createRenderer"]}});var u={};l.prototype.register=function(){var e=this.getId(),t=u[e],r;if(t&&this!==t){r="adding template with duplicate id '"+e+"'";o.error(r);throw new Error("Error: "+r)}u[e]=this};l.prototype.deregister=function(){delete u[this.getId()]};l.byId=function(e){return u[e]};l.prototype.getInterface=function(){return this};l._mSupportedTypes={};l.registerType=function(e,t){l._mSupportedTypes[e]=t};l.unregisterType=function(e){delete l._mSupportedTypes[e]};l.parsePath=c;l.prototype.init=function(e,n){if(this.getMetadata().getName()==="sap.ui.core.tmpl.Template"){throw new Error("The class 'sap.ui.core.tmpl.Template' is abstract and must not be instantiated!")}if(t.parse===r.complexParser){l.prototype.extractBindingInfo=function(e,n,i){t.parse=r.simpleParser;var o=a.prototype.extractBindingInfo.apply(this,arguments);t.parse=r.complexParser;return o}}};l.prototype.declareControl=function(e){s(!!e,"A fully qualified name must be specified!");if(e){var t=this.createMetadata(),r=this.createRenderer(),a=this;p.extend(e,{metadata:t,init:function(){p.prototype.init.apply(this,arguments);this.setTemplate(a)},renderer:{renderTemplate:r,hasControlData:t._hasControlData}});return i.get(e||"")}};l.prototype.createControl=function(e,t,r){var a=new p({id:e,template:this,context:t});a.setTemplateRenderer(this.createRenderer(r));return a};l.prototype.placeAt=function(e,t,r,i){if(typeof t==="string"||typeof t==="number"){r=t;t=undefined}var o;if(!(e instanceof a)&&i){var s=typeof e==="string"?jQuery(document.getElementById(e)):jQuery(e);if(s.length>0){o=s.attr("id");e=s.get(0);var p=s.attr("data-context");t=t||p&&JSON.parse(p);n.markInlineTemplate(s)}}var c=this.createControl(o,t);c.placeAt(e,r);return c};l.prototype.createMetadata=function(){o.error("The function createMetadata is an abstract function which needs to be implemented by subclasses.")};l.prototype.createRenderer=function(){o.error("The function createRenderer is an abstract function which needs to be implemented by subclasses.")};sap.ui.template=function(e){var t=function(e){o.warning("The usage of Template Views is deprecated since 1.56. Please make use of the asynchronous create functions of the different view classes, e.g. XMLView.create()","Deprecation",null,function(){return{type:"sap.ui.template",name:e}})};if(!e){var r=[];jQuery.each(l._mSupportedTypes,function(e,t){jQuery("script[type='"+e+"'], [data-type='"+e+"']").each(function(a,n){r.push(sap.ui.template({id:n.id,domref:n,type:e,_class:t}))})});return r}else{if(typeof e==="string"){return sap.ui.template({id:e})}else if(e&&e.tagName&&e.nodeName&&e.ownerDocument&&e.nodeType===1){return sap.ui.template({id:e.id,domref:e})}e=jQuery.extend({type:l.DEFAULT_TEMPLATE},e);t(e.id);var a,n,s,p,c=false,u=typeof e.src==="string",d=false;if(u){jQuery.ajax({url:e.src,dataType:"text",async:false,success:function(t){a=e.id;n=e.type;s=e.control;p=t;var r=/^<!--\sUI5:Template\stype=([a-z\/\-]*)\s(?:controller=([A-Za-z.]*)\s)?-->/,i=p.match(r);if(i){n=i[1];if(i.length==3){c=i[2]}p=p.substr(i[0].length)}},error:function(){throw new Error("The template could not be loaded from "+e.src+"!")}})}else{var f=e.domref||(e.id?window.document.getElementById(e.id):null),m=jQuery(f);d=false;a=e.id||f&&f.id;n=m.attr("type")||e.type;s=m.attr("data-control")||e.control;if(a){var h=sap.ui.getCore().getTemplate(a);if(!h instanceof l){throw new Error('Object for id "'+a+'" is no sap.ui.core.tmpl.Template!')}else{if(h){return h}}}if(m.length===0){throw new Error('DOM element for the Template with the id "'+a+'" not found!')}p=m.html();var y=f.tagName.toLowerCase();if(y!=="script"){d=m.parents("body").length===1}}var g=e._class;if(!g){g=l._mSupportedTypes[n];if(!g){throw new Error('The type "'+n+'" is not supported.')}}var T=sap.ui.requireSync(g.replace(/\./g,"/"));T=T||i.get(g||"");var b=new T({id:a,content:p});if(s){b.declareControl(s)}if(c){b._sControllerName=c}if(d){b.placeAt(a,e.context,undefined,true)}return b}};l.DEFAULT_TEMPLATE="text/x-handlebars-template";l.registerType(l.DEFAULT_TEMPLATE,"sap.ui.core.tmpl.HandlebarsTemplate");return l});
//# sourceMappingURL=Template.js.map