/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/Log","sap/base/util/deepExtend","sap/base/util/JSTokenizer","sap/base/util/ObjectPath","sap/ui/base/BindingInfo","sap/ui/base/BindingParser","sap/ui/base/ManagedObject","sap/ui/base/SyncPromise","sap/ui/core/Component","sap/ui/core/XMLTemplateProcessor","sap/ui/model/BindingMode","sap/ui/model/CompositeBinding","sap/ui/model/Context","sap/ui/performance/Measurement"],function(e,n,t,r,i,o,a,u,s,f,l,c,d,g){"use strict";var p="http://schemas.sap.com/sapui5/extension/sap.ui.core.template/1",m="sap.ui.core.util.XMLPreprocessor",h=[m],v=m+"/getResolvedBinding",y=m+"/insertFragment",b=m+".process",x=u.resolve(),w=u.resolve(true),C=Object.prototype.toString,N={},A=a.extend("sap.ui.core.util._with",{metadata:{library:"sap.ui.core",properties:{any:"any"},aggregations:{child:{multiple:false,type:"sap.ui.core.util._with"}}},updateProperty:function(){this.setAny(this.mBindingInfos.any.binding.getExternalValue())}}),M=A.extend("sap.ui.core.util._repeat",{metadata:{library:"sap.ui.core",aggregations:{list:{multiple:true,type:"n/a",_doesNotRequireFactory:true}}},updateList:function(){}});function P(e,n,t,r){function i(n){if(!r){r=e.getBinding("any");if(r instanceof c){r=r.getBindings();if(t!==undefined){r=r[t]}}}return Array.isArray(r)?r[n]:r}function o(e){return e instanceof d?e.getPath():e.getModel().resolve(e.getPath(),e.getContext())}return{_slice:function(e,t){i(0);return!e&&t>=r.length?this:P(null,n,undefined,r.slice(e,t))},getInterface:function(e,t){var o,a,u;if(typeof e==="string"){t=e;e=undefined}i();if(Array.isArray(r)){if(e>=0&&e<r.length){a=r[e]}else{throw new Error("Invalid index of part: "+e)}}else if(e!==undefined){throw new Error("Not the root formatter of a composite binding")}else if(t){a=r}else{throw new Error("Missing path")}if(t){u=a.getModel();if(t.charAt(0)!=="/"){o=a instanceof d?a:u.createBindingContext(a.getPath(),a.getContext())}a=u.createBindingContext(t,o);if(!a){throw new Error("Model could not create binding context synchronously: "+u)}}return P(null,n,undefined,a)},getModel:function(e){var n=i(e);return n&&n.getModel()},getPath:function(e){var n=i(e);return n&&o(n)},getSetting:function(e){if(e==="bindingContexts"||e==="models"){throw new Error("Illegal argument: "+e)}return n[e]}}}function E(e,n,t,r,i){var o=false;function a(n,a){var s=n.formatter,f=n.model,c=e.getModel(f);if(s&&s.requiresIContext===true){s=n.formatter=s.bind(null,P(e,t,a))}if(s&&i&&(c&&c.$$valueAsPromise||a===undefined&&o)){n.formatter=function(){var e=this;return u.all(arguments).then(function(n){return s.apply(e,n)})};n.formatter.textFragments=s.textFragments}n.mode=l.OneTime;n.parameters??={};n.parameters.scope=r;if(i&&c&&c.$$valueAsPromise){o=n.parameters.$$valueAsPromise=true}}try{n.parts.forEach(a);a(n);e.bindProperty("any",n);return u.resolve(e.getAny())}catch(e){return u.reject(e)}finally{e.unbindProperty("any",true)}}function I(e,n){var t=-1;function r(i){if(i){return e[t]}t+=1;if(t<e.length){return n(e[t],t,e).then(r)}return undefined}return e.length?r():x}function B(e){var n,t=e.attributes,r="<"+e.nodeName,i,o;for(i=0,o=t.length;i<o;i+=1){n=t.item(i);r+=" "+n.name+'="'+n.value+'"'}return r+(e.childNodes.length?">":"/>")}function F(e,n){return n.visitNode(e)}return{plugIn:function(n,t,r){var i=N[t];if(n!==null&&typeof n!=="function"||n===F){throw new Error("Invalid visitor: "+n)}if(!t||t===p||t==="sap.ui.core"||t.indexOf(" ")>=0){throw new Error("Invalid namespace: "+t)}e.debug("Plug-in visitor for namespace '"+t+"', local name '"+r+"'",n,m);if(r){t=t+" "+r;i=N[t]||i}N[t]=n;return i||F},visitNodeWrapper:F,process:function(a,c,P){var F=c.caller,j=e.isLoggable(e.Level.DEBUG,m),O=j,R=c.name,S={},L=0,U={},$=c._supportInfo,T=e.isLoggable(e.Level.WARNING,m);function q(e){return{find:function(e,n){try{return u.resolve(I(e,n))}catch(e){return u.reject(e)}},getContext:function(n=""){var t,r,i;if(n[0]==="{"){throw new Error("Must be a simple path, not a binding: "+n)}t=o.simpleParser("{"+n+"}");r=e.getModel(t.model);if(!r){throw new Error("Unknown model '"+t.model+"': "+n)}i=r.resolve(t.path,e.getBindingContext(t.model));if(!i){throw new Error("Cannot resolve path: "+n)}return r.createBindingContext(i)},getResult:function(n,t){return z(n,t,e,true)},getSettings:function(){return P},getViewInfo:function(){return n({},c)},insertFragment:function(n,t){return G(n,t,e)},visitAttribute:function(n,t){return ie(n,t,e)},visitAttributes:function(n){return oe(n,e)},visitChildNodes:function(n){return ae(n,e)},visitNode:function(n){try{return ue(n,e)}catch(e){return u.reject(e)}},with:function(n,t){var r,i=false,o,a=new A;if(!t){e.setChild(a)}for(o in n){r=n[o];i=true;a.setModel(r.getModel(),o);a.bindObject({model:o,path:r.getPath()})}return i||t?q(a):this}}}function k(n){if(j){e.debug(J()+Array.prototype.slice.call(arguments,1).join(" "),n&&B(n),m)}}function _(n){if(j){e.debug(J()+"Finished","</"+n.nodeName+">",m)}}function D(n,t){n+=B(t);e.error(n,F,m);throw new Error(F+": "+n)}function X(e){var n,t=Array.prototype.filter.call(e.childNodes,a),r,i,o=false;function a(e){return e.nodeType===1}function u(e,n){return e.namespaceURI===p&&e.localName===n}if(!t.length||!u(t[0],"then")){return null}for(r=1,i=t.length;r<i;r+=1){n=t[r];if(o){D("Expected </"+e.prefix+":if>, but instead saw ",n)}if(u(n,"else")){o=true}else if(!u(n,"elseif")){D("Expected <"+e.prefix+":elseif> or <"+e.prefix+":else>, but instead saw ",t[r])}}return t}function J(){return(L<10?"[ ":"[")+L+"] "}function W(e){return e&&e.charAt(0)==="."?r.get(e.slice(1),U):r.get(e||"",U)||r.get(e||"")}function z(e,n,t,r,a){try{g.average(v,"",h);let s;try{s=o.complexParser(e,U,r,true,true,true,null,!c.sync)}catch(e){return u.reject(e)}let f;if(s){if(!c.sync){if(s.wait){f=u.resolve(s.resolved)}s=s.bindingInfo}if(typeof s==="string"){a?.();return u.resolve(s)}s=i.createProperty(s)}else{a?.();return u.resolve(e)}if(s.functionsNotFound){if(r){se(n,"Function name(s)",s.functionsNotFound.join(", "),"not found")}return null}if(!i.isReady(s,t)){if(r){se(n,"Binding not ready")}return null}const l=s.parts.every(e=>e.value!==undefined);if(l){a?.()}if(!f){const r=E(t,s,P,U,!c.sync);if(c.sync&&r.isPending()){D("Async formatter in sync view in "+e+" of ",n)}return r}return f.then(function(){return E(t,s,P,U,true)})}finally{g.end(v)}}function G(e,n,t){var r,i=c.sync?f.loadTemplate:f.loadTemplatePromise,o=R;t.$mFragmentContexts??={};if(t.$mFragmentContexts[e]){D("Cyclic reference to fragment '"+e+"' ",n)}L++;k(n,"fragmentName =",e);t.$mFragmentContexts[e]=true;R=e;g.average(y,"",h);r=S[e];if(!r){S[e]=r=u.resolve(i(e,"fragment"))}return r.then(function(e){e=n.ownerDocument.importNode(e,true);g.end(y);return K(e).then(function(){if(e.namespaceURI==="sap.ui.core"&&e.localName==="FragmentDefinition"){return V(e,t,n)}n.parentNode.insertBefore(e,n);return ue(e,t)})}).then(function(){n.parentNode.removeChild(n);R=o;t.$mFragmentContexts[e]=false;_(n);L-=1})}function V(e,n,t=e){return ae(e,n).then(function(){var n;while(n=e.firstChild){t.parentNode.insertBefore(n,t)}})}function H(e,n){var t=se.bind(null,e,"Constant test condition"),r=z(e.getAttribute("test"),e,n,true,t)||u.resolve(false);return r.catch(function(n){se(e,"Error in formatter:",n)}).then(function(n){var t=!!n&&n!=="false";if(j){if(typeof n==="string"){n=JSON.stringify(n)}else if(n===undefined){n="undefined"}else if(Array.isArray(n)){n="[object Array]"}k(e,"test ==",n,"--\x3e",t)}return t})}function K(e){var n={},r=e.getAttributeNodeNS(p,"require"),i,o;function a(){return new u(function(e,n){var t=o.map(sap.ui.require);if(t.every(Boolean)){e(t)}else{sap.ui.require(o,function(){e(arguments)},n)}}).then(function(e){Object.keys(n).forEach(function(n,t){U[n]=e[t]})})}if(r&&r.value){i=r.value;e.removeAttributeNode(r);if(i[0]==="{"){n=t.parseJS(i);o=Object.keys(n).map(function(e){return n[e]});return a()}o=i.split(" ").map(function(e){return e.replace(/\./g,"/")});if(!c.sync){return a()}o.forEach(sap.ui.requireSync)}return x}function Q(e,n,t){var r=z(n.value,e,t,false);if(!r){k(e,"Binding not ready for attribute",n.name);return x}return r.then(function(t){if(t===null||t===undefined){k(e,"Removed attribute",n.name);e.removeAttributeNode(n)}else if(t!==n.value){switch(typeof t){case"boolean":case"number":case"string":k(e,n.name,"=",t);n.value=t;break;default:k(e,"Ignoring",C.call(t),"value for attribute",n.name)}}},function(t){k(e,"Error in formatter of attribute",n.name,t)})}function Y(e,n){var t=e.getAttribute("name"),r,i,o=e.getAttribute("value");if(t&&t[0]==="."){t=t.slice(1)}if(!t||t.includes(".")){D("Missing proper relative name in ",e)}r=W(o);if(!r){D("Invalid value in ",e)}i=U[t];U[t]=r;return V(e,n).then(function(){e.parentNode.removeChild(e);U[t]=i})}function Z(e,n){var t=e.getAttribute("name"),r=z(t,e,n,true);if(!r){return w}return r.then(function(r){var i;if(r!==t){k(e,"name =",r)}i=s.getCustomizing(c.componentId,{extensionName:r,name:R,type:"sap.ui.viewExtensions"});if(i&&i.className==="sap.ui.core.Fragment"&&i.type==="XML"){return G(i.fragmentName,e,n)}return true},function(n){se(e,"Error in formatter:",n);return true})}function ee(e,n){var t=e.getAttribute("fragmentName"),r=z(t,e,n,true);if(!r){return x}return r.then(function(t){var r=U;U=Object.create(U);return G(t,e,n).then(function(){U=r})},function(n){se(e,"Error in formatter:",n)})}function ne(e,n){L++;return I(X(e)||[e],function(t){if(t.localName==="else"){return w}if(t.localName==="then"){t=e}return H(t,n)}).then(function(t){return(t?V(t,n,e):x).then(function(){e.parentNode.removeChild(e);_(e);L-=1})})}function te(e,n){var t=e.getAttribute("list")||"",r=o.complexParser(t,U,false,true,true,true),i,a,s,f,d,g=e.getAttribute("var");if(g===""){D("Missing variable name for ",e)}if(!r){D("Missing binding for ",e)}if(r.functionsNotFound){se(e,"Function name(s)",r.functionsNotFound.join(", "),"not found")}f=new M;n.setChild(f);r.mode=l.OneTime;f.bindAggregation("list",r);a=f.getBinding("list");f.unbindAggregation("list",true);s=r.model;if(!a){D("Missing model '"+s+"' in ",e)}a.enableExtendedChangeDetection();i=a.getContexts(r.startIndex,r.length||Infinity);if(!c.sync&&i.dataRequested){d=new u(function(e){a.attachEventOnce("change",e)}).then(function(){return a.getContexts(r.startIndex,r.length)})}else{d=u.resolve(i)}g??=s;f.setModel(a.getModel(),g);L++;k(e,"Starting");return d.then(function(n){return I(n,function(t,r){var i=r===n.length-1?e:e.cloneNode(true);f.setBindingContext(t,g);k(e,g,"=",t.getPath());return V(i,f,e)}).then(function(){_(e);L-=1;e.parentNode.removeChild(e)})})}function re(e,n){var t,r,i,a,s=e.getAttribute("helper"),f,l=e.getAttribute("path"),g,p,m=e.getAttribute("var");if(m===""){D("Missing variable name for ",e)}i=new A;n.setChild(i);t=o.simpleParser("{"+l+"}");m??=t.model;if(s||m){r=n.getModel(t.model);if(!r){D("Missing model '"+t.model+"' in ",e)}p=r.resolve(t.path,n.getBindingContext(t.model));if(!p){D("Cannot resolve path for ",e)}f=r.createBindingContext(p);if(s){a=W(s);if(typeof a!=="function"){D("Cannot resolve helper for ",e)}f=a(f)}g=u.resolve(f);if(c.sync&&g.isPending()){D("Async helper in sync view in ",e)}g=g.then(function(n){if(n instanceof d){r=n.getModel();p=n.getPath()}else if(n!==undefined){if(typeof n!=="string"||n===""){D("Illegal helper result '"+n+"' in ",e)}p=n}i.setModel(r,m);i.bindObject({model:m,path:p})})}else{p=l;i.bindObject(p);g=x}return g.then(function(){L++;k(e,m,"=",p);if(i.getBindingContext(m)===n.getBindingContext(m)){se(e,"Set unchanged path:",p);i=n}return V(e,i).then(function(){e.parentNode.removeChild(e);_(e);L-=1})})}function ie(e,n,t){if($){$({context:undefined,env:{caller:"visitAttribute",before:{name:n.name,value:n.value}}})}return Q(e,n,t).then(function(){if($){$({context:undefined,env:{caller:"visitAttribute",after:{name:n.name,value:n.value}}})}})}function oe(e,n){function t(e,n){return e.name.localeCompare(n.name)}return I(Array.prototype.slice.apply(e.attributes).sort(t),function(t){return ie(e,t,n)})}function ae(e,n){return I(Array.prototype.slice.apply(e.childNodes),function(e){return ue(e,n)})}function ue(e,n){var t;function r(){return oe(e,n).then(function(){return ae(e,n)}).then(function(){if($){$({context:e,env:{caller:"visitNode",after:{name:e.tagName}}})}})}if(e.nodeType!==1){return x}if($){$({context:e,env:{caller:"visitNode",before:{name:e.tagName}}})}if(e.namespaceURI===p){switch(e.localName){case"alias":return Y(e,n);case"if":return ne(e,n);case"repeat":return te(e,n);case"with":return re(e,n);default:D("Unexpected tag ",e)}}else if(e.namespaceURI==="sap.ui.core"){switch(e.localName){case"ExtensionPoint":return Z(e,n).then(function(e){return e?r():undefined});case"Fragment":if(e.getAttribute("type")==="XML"){return ee(e,n)}break}}else{t=N[e.namespaceURI+" "+e.localName]||N[e.namespaceURI];if(t){L++;k(e,"Calling visitor");return t(e,q(n)).then(function(n){if(n!==undefined){D("Unexpected return value from visitor for ",e)}_(e);L-=1})}}return r()}function se(n){if(T){if(!O){O=true;e.warning("Warning(s) during processing of "+F,null,m)}e.warning(J()+Array.prototype.slice.call(arguments,1).join(" "),n&&B(n),m)}}g.average(b,"",h);P??={};if(j){k(undefined,"Start processing",F);if(P.bindingContexts instanceof d){k(undefined,"undefined =",P.bindingContexts)}else{for(const e in P.bindingContexts){k(undefined,e,"=",P.bindingContexts[e])}}}if($){$({context:a,env:{caller:"view",viewinfo:n({},c),settings:n({},P),clone:a.cloneNode(true),type:"template"}})}return K(a).then(function(){return ue(a,new A({models:P.models,bindingContexts:P.bindingContexts}))}).then(function(){k(undefined,"Finished processing",F);g.end(b);return a}).unwrap()}}},true);
//# sourceMappingURL=XMLPreprocessor.js.map