/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Localization","sap/ui/events/KeyCodes","sap/ui/thirdparty/jquery"],function(e,s,jQuery){"use strict";var a={};function r(e,s,a,r){return e.shiftKey==r&&e.altKey==a&&o(e)==s}function n(e){return e.shiftKey||e.altKey||o(e)}function o(e){return!!(e.metaKey||e.ctrlKey)}a.events={sapdown:{sName:"sapdown",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowDown":e.keyCode==s.ARROW_DOWN)&&!n(e)}},sapdownmodifiers:{sName:"sapdownmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowDown":e.keyCode==s.ARROW_DOWN)&&n(e)}},sapshow:{sName:"sapshow",aTypes:["keydown"],fnCheck:function(e){if(e.key){return e.key==="F4"&&!n(e)||e.key==="ArrowDown"&&r(e,false,true,false)}return e.keyCode==s.F4&&!n(e)||e.keyCode==s.ARROW_DOWN&&r(e,false,true,false)}},sapup:{sName:"sapup",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowUp":e.keyCode==s.ARROW_UP)&&!n(e)}},sapupmodifiers:{sName:"sapupmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowUp":e.keyCode==s.ARROW_UP)&&n(e)}},saphide:{sName:"saphide",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowUp":e.keyCode==s.ARROW_UP)&&r(e,false,true,false)}},sapleft:{sName:"sapleft",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowLeft":e.keyCode==s.ARROW_LEFT)&&!n(e)}},sapleftmodifiers:{sName:"sapleftmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowLeft":e.keyCode==s.ARROW_LEFT)&&n(e)}},sapright:{sName:"sapright",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowRight":e.keyCode==s.ARROW_RIGHT)&&!n(e)}},saprightmodifiers:{sName:"saprightmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="ArrowRight":e.keyCode==s.ARROW_RIGHT)&&n(e)}},saphome:{sName:"saphome",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Home":e.keyCode==s.HOME)&&!n(e)}},saphomemodifiers:{sName:"saphomemodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Home":e.keyCode==s.HOME)&&n(e)}},saptop:{sName:"saptop",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Home":e.keyCode==s.HOME)&&r(e,true,false,false)}},sapend:{sName:"sapend",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="End":e.keyCode==s.END)&&!n(e)}},sapendmodifiers:{sName:"sapendmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="End":e.keyCode==s.END)&&n(e)}},sapbottom:{sName:"sapbottom",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="End":e.keyCode==s.END)&&r(e,true,false,false)}},sappageup:{sName:"sappageup",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="PageUp":e.keyCode==s.PAGE_UP)&&!n(e)}},sappageupmodifiers:{sName:"sappageupmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="PageUp":e.keyCode==s.PAGE_UP)&&n(e)}},sappagedown:{sName:"sappagedown",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="PageDown":e.keyCode==s.PAGE_DOWN)&&!n(e)}},sappagedownmodifiers:{sName:"sappagedownmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="PageDown":e.keyCode==s.PAGE_DOWN)&&n(e)}},sapselect:{sName:"sapselect",aTypes:["keydown"],fnCheck:function(e){if(e.key){return(e.key==="Enter"||e.key===" ")&&!n(e)}return(e.keyCode==s.ENTER||e.keyCode==s.SPACE)&&!n(e)}},sapselectmodifiers:{sName:"sapselectmodifiers",aTypes:["keydown"],fnCheck:function(e){if(e.key){return(e.key==="Enter"||e.key===" ")&&n(e)}return(e.keyCode==s.ENTER||e.keyCode==s.SPACE)&&n(e)}},sapspace:{sName:"sapspace",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key===" ":e.keyCode==s.SPACE)&&!n(e)}},sapspacemodifiers:{sName:"sapspacemodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key===" ":e.keyCode==s.SPACE)&&n(e)}},sapenter:{sName:"sapenter",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Enter":e.keyCode==s.ENTER)&&!n(e)}},sapentermodifiers:{sName:"sapentermodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Enter":e.keyCode==s.ENTER)&&n(e)}},sapbackspace:{sName:"sapbackspace",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Backspace":e.keyCode==s.BACKSPACE)&&!n(e)}},sapbackspacemodifiers:{sName:"sapbackspacemodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Backspace":e.keyCode==s.BACKSPACE)&&n(e)}},sapdelete:{sName:"sapdelete",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Delete":e.keyCode==s.DELETE)&&!n(e)}},sapdeletemodifiers:{sName:"sapdeletemodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Delete":e.keyCode==s.DELETE)&&n(e)}},sapexpand:{sName:"sapexpand",aTypes:["keydown"],fnCheck:function(e){return(e.key?(e.key==="+"||e.key==="Add")&&e.location==="NUMPAD":e.keyCode==s.NUMPAD_PLUS)&&!n(e)}},sapexpandmodifiers:{sName:"sapexpandmodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?(e.key==="+"||e.key==="Add")&&e.location==="NUMPAD":e.keyCode==s.NUMPAD_PLUS)&&n(e)}},sapcollapse:{sName:"sapcollapse",aTypes:["keydown"],fnCheck:function(e){return(e.key?(e.key==="-"||e.key==="Subtract")&&e.location==="NUMPAD":e.keyCode==s.NUMPAD_MINUS)&&!n(e)}},sapcollapsemodifiers:{sName:"sapcollapsemodifiers",aTypes:["keydown"],fnCheck:function(e){return(e.key?(e.key==="-"||e.key==="Subtract")&&e.location==="NUMPAD":e.keyCode==s.NUMPAD_MINUS)&&n(e)}},sapcollapseall:{sName:"sapcollapseall",aTypes:["keydown"],fnCheck:function(e){return(e.key?(e.key==="*"||e.key==="Multiply")&&e.location==="NUMPAD":e.keyCode==s.NUMPAD_ASTERISK)&&!n(e)}},sapescape:{sName:"sapescape",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Escape":e.keyCode==s.ESCAPE)&&!n(e)}},saptabnext:{sName:"saptabnext",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Tab":e.keyCode==s.TAB)&&!n(e)}},saptabprevious:{sName:"saptabprevious",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="Tab":e.keyCode==s.TAB)&&r(e,false,false,true)}},sapskipforward:{sName:"sapskipforward",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="F6":e.keyCode==s.F6)&&!n(e)||(e.key?e.key==="ArrowDown":e.keyCode==s.ARROW_DOWN)&&r(e,true,true,false)}},sapskipback:{sName:"sapskipback",aTypes:["keydown"],fnCheck:function(e){return(e.key?e.key==="F6":e.keyCode==s.F6)&&r(e,false,false,true)||(e.key?e.key==="ArrowUp":e.keyCode==s.ARROW_UP)&&r(e,true,true,false)}},sapdecrease:{sName:"sapdecrease",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowRight"||a.key==="ArrowDown")&&!n(a)}else{return(a.key==="ArrowLeft"||a.key==="ArrowDown")&&!n(a)}}var o=r?s.ARROW_RIGHT:s.ARROW_LEFT;return(a.keyCode==o||a.keyCode==s.ARROW_DOWN)&&!n(a)}},sapminus:{sName:"sapminus",aTypes:["keypress"],fnCheck:function(e){return e.key?e.key==="-"||e.key==="Subtract":String.fromCharCode(e.which)=="-"}},sapdecreasemodifiers:{sName:"sapdecreasemodifiers",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowRight"||a.key==="ArrowDown")&&n(a)}else{return(a.key==="ArrowLeft"||a.key==="ArrowDown")&&n(a)}}var o=r?s.ARROW_RIGHT:s.ARROW_LEFT;return(a.keyCode==o||a.keyCode==s.ARROW_DOWN)&&n(a)}},sapincrease:{sName:"sapincrease",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();var o;if(a.key){if(r){return(a.key==="ArrowLeft"||a.key==="ArrowUp")&&!n(a)}else{return(a.key==="ArrowRight"||a.key==="ArrowUp")&&!n(a)}}o=r?s.ARROW_LEFT:s.ARROW_RIGHT;return(a.keyCode==o||a.keyCode==s.ARROW_UP)&&!n(a)}},sapplus:{sName:"sapplus",aTypes:["keypress"],fnCheck:function(e){return e.key?e.key==="+"||e.key==="Add":String.fromCharCode(e.which)=="+"}},sapincreasemodifiers:{sName:"sapincreasemodifiers",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowLeft"||a.key==="ArrowUp")&&n(a)}else{return(a.key==="ArrowRight"||a.key==="ArrowUp")&&n(a)}}var o=r?s.ARROW_LEFT:s.ARROW_RIGHT;return(a.keyCode==o||a.keyCode==s.ARROW_UP)&&n(a)}},sapprevious:{sName:"sapprevious",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowRight"||a.key==="ArrowUp")&&!n(a)}else{return(a.key==="ArrowLeft"||a.key==="ArrowUp")&&!n(a)}}var o=r?s.ARROW_RIGHT:s.ARROW_LEFT;return(a.keyCode==o||a.keyCode==s.ARROW_UP)&&!n(a)}},sappreviousmodifiers:{sName:"sappreviousmodifiers",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowRight"||a.key==="ArrowUp")&&n(a)}else{return(a.key==="ArrowLeft"||a.key==="ArrowUp")&&n(a)}}var o=r?s.ARROW_RIGHT:s.ARROW_LEFT;return(a.keyCode==o||a.keyCode==s.ARROW_UP)&&n(a)}},sapnext:{sName:"sapnext",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowLeft"||a.key==="ArrowDown")&&!n(a)}else{return(a.key==="ArrowRight"||a.key==="ArrowDown")&&!n(a)}}var o=r?s.ARROW_LEFT:s.ARROW_RIGHT;return(a.keyCode==o||a.keyCode==s.ARROW_DOWN)&&!n(a)}},sapnextmodifiers:{sName:"sapnextmodifiers",aTypes:["keydown"],fnCheck:function(a){var r=e.getRTL();if(a.key){if(r){return(a.key==="ArrowLeft"||a.key==="ArrowDown")&&n(a)}else{return(a.key==="ArrowRight"||a.key==="ArrowDown")&&n(a)}}var o=r?s.ARROW_LEFT:s.ARROW_RIGHT;return(a.keyCode==o||a.keyCode==s.ARROW_DOWN)&&n(a)}},sapdelayeddoubleclick:{sName:"sapdelayeddoubleclick",aTypes:["click"],fnCheck:function(e){var s=jQuery(e.target);var a=e.timeStamp;var r=s.data("sapdelayeddoubleclick_lastClickTimestamp");var n=r||0;s.data("sapdelayeddoubleclick_lastClickTimestamp",a);var o=a-n;return o>=300&&o<=1300}}};a.order=["sapdown","sapdownmodifiers","sapshow","sapup","sapupmodifiers","saphide","sapleft","sapleftmodifiers","sapright","saprightmodifiers","saphome","saphomemodifiers","saptop","sapend","sapendmodifiers","sapbottom","sappageup","sappageupmodifiers","sappagedown","sappagedownmodifiers","sapselect","sapselectmodifiers","sapspace","sapspacemodifiers","sapenter","sapentermodifiers","sapexpand","sapbackspace","sapbackspacemodifiers","sapdelete","sapdeletemodifiers","sapexpandmodifiers","sapcollapse","sapcollapsemodifiers","sapcollapseall","sapescape","saptabnext","saptabprevious","sapskipforward","sapskipback","sapprevious","sappreviousmodifiers","sapnext","sapnextmodifiers","sapdecrease","sapminus","sapdecreasemodifiers","sapincrease","sapplus","sapincreasemodifiers","sapdelayeddoubleclick"];a.getBasicTypes=function(){var e=a.events,s=[];for(var r in e){if(e[r].aTypes){for(var n=0,o=e[r].aTypes.length;n<o;n++){var k=e[r].aTypes[n];if(s.indexOf(k)==-1){s.push(k)}}}}this.getBasicTypes=function(){return s.slice()};return s};a.addEvent=function(e){a.events[e.sName]=e;a.order.push(e.sName)};return a});
//# sourceMappingURL=PseudoEvents.js.map