/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/i18n/Localization","sap/ui/core/Control","sap/ui/core/Core","sap/ui/core/CustomData","./library","sap/ui/core/library","sap/ui/core/ResizeHandler","sap/ui/core/RenderManager","./SplitterRenderer","sap/base/Log","sap/ui/thirdparty/jquery","sap/ui/layout/SplitterLayoutData"],function(e,t,i,r,s,a,o,n,h,u,jQuery,l){"use strict";var d=a.Orientation;var c=16;var p=t.extend("sap.ui.layout.Splitter",{metadata:{library:"sap.ui.layout",properties:{orientation:{type:"sap.ui.core.Orientation",group:"Behavior",defaultValue:d.Horizontal},width:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"100%"},height:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:"100%"}},defaultAggregation:"contentAreas",aggregations:{contentAreas:{type:"sap.ui.core.Control",multiple:true,singularName:"contentArea"}},events:{resize:{parameters:{id:{type:"string"},oldSizes:{type:"int[]"},newSizes:{type:"int[]"}}}},designtime:"sap/ui/layout/designtime/Splitter.designtime"},renderer:h});p.prototype.init=function(){this._liveResize=true;this._keyboardEnabled=true;this._bHorizontal=true;this._calculatedSizes=[];this._move={};this._resizeTimeout=null;this._resizeCallback=function(e){this._delayedResize(0)}.bind(this);this._resizeHandlerId=null;this._autoResize=true;this._enableAutoResize();this._boundBarMoveEnd=this._onBarMoveEnd.bind(this);this._boundBarMove=this._onBarMove.bind(this);this._initOrientationProperties();this._bRtl=e.getRTL();this._keyListeners={increase:this._onKeyboardResize.bind(this,"inc",20),decrease:this._onKeyboardResize.bind(this,"dec",20),increaseMore:this._onKeyboardResize.bind(this,"incMore",20),decreaseMore:this._onKeyboardResize.bind(this,"decMore",20),max:this._onKeyboardResize.bind(this,"max",20),min:this._onKeyboardResize.bind(this,"min",20)};this._enableKeyboardListeners()};p.prototype.exit=function(){this._disableAutoResize();delete this._resizeCallback;delete this._boundBarMoveEnd;delete this._boundBarMove;delete this._$SplitterOverlay;delete this._$SplitterOverlayBar};p.prototype.onBeforeRendering=function(){this._initOrientationProperties()};p.prototype.onAfterRendering=function(){this._$SplitterOverlay=this.$("overlay");this._$SplitterOverlayBar=this.$("overlayBar");this._resize()};p.prototype.triggerResize=function(e){if(e){this._resize()}else{this._delayedResize()}};p.prototype.resetContentAreasSizes=function(){var e=this._getContentAreas();for(var t=0;t<e.length;t++){e[t].getLayoutData().setSize("auto")}};p.prototype.getCalculatedSizes=function(){return this._calculatedSizes};p.prototype.enableAutoResize=function(e){this._enableAutoResize(e)};p.prototype._enableAutoResize=function(e){if(e&&!this._autoResize){return}this._autoResize=true;var t=this;i.ready(function(){t._resizeHandlerId=o.register(t,t._resizeCallback)});this._delayedResize()};p.prototype.disableAutoResize=function(e){this._disableAutoResize(e)};p.prototype._disableAutoResize=function(e){o.deregister(this._resizeHandlerId);if(!e){this._autoResize=false}};p.prototype.enableLiveResize=function(){this._liveResize=true;this.removeStyleClass("sapUiLoSplitterAnimated")};p.prototype.disableLiveResize=function(){this._liveResize=false;this.addStyleClass("sapUiLoSplitterAnimated")};p.prototype.enableKeyboardSupport=function(){var e=this.$().find(".sapUiLoSplitterBar");e.attr("tabindex","0");this._enableKeyboardListeners()};p.prototype.disableKeyboardSupport=function(){var e=this.$().find(".sapUiLoSplitterBar");e.attr("tabindex","-1");this._disableKeyboardListeners()};p.prototype.onLayoutDataChange=function(){this._delayedResize()};p.prototype.ontouchstart=function(e){if(this._ignoreTouch){return}var t=this._getBar(e.target);if(!t){return}if(!e.changedTouches||!e.changedTouches[0]){return}this._ignoreMouse=true;this._onBarMoveStart(e.changedTouches[0],t,true)};p.prototype.onmousedown=function(e){if(this._ignoreMouse){return}var t=this._getBar(e.target);if(!t){return}this._ignoreTouch=true;this._onBarMoveStart(e,t);this._oLastDOMclicked=t};p.prototype._onBarMoveStart=function(e,t,i){var r=this.getId();this._disableAutoResize(true);var s=e[this._moveCord];var a=parseInt(t.id.substr((r+"-splitbar-").length));var o=jQuery(t);var n=this._calculatedSizes;var h=this._bHorizontal?o.outerWidth():o.outerHeight();var u=this._getContentAreas();var l=u[a].getLayoutData();var d=u[a+1].getLayoutData();if(!l.getResizable()||!d.getResizable()){v(i);return}var c=0-h;for(var p=0;p<=a;++p){c+=n[p]+h}this._move={start:s,relStart:c,barNum:a,$bar:o,c1Size:n[a],c1MinSize:l.getMinSize(),c2Size:n[a+1],c2MinSize:d.getMinSize()};if(i){document.addEventListener("touchend",this._boundBarMoveEnd);document.addEventListener("touchmove",this._boundBarMove)}else{document.addEventListener("mouseup",this._boundBarMoveEnd);document.addEventListener("mousemove",this._boundBarMove)}this._$SplitterOverlay.css("display","block");this._$SplitterOverlayBar.css(this._sizeDirNot,"");this._move.$bar.css("visibility","hidden");this._onBarMove(e)};p.prototype._onBarMove=function(e){if(e.preventDefault&&!e.changedTouches){e.preventDefault()}var t=e;if(e.changedTouches&&e.changedTouches[0]){t=t.changedTouches[0]}var i=t[this._moveCord];var r=i-this._move.start;if(this.getOrientation()==d.Horizontal&&this._bRtl){r=-r}var s=this._move.c1Size+r;var a=this._move.c2Size-r;var o=s>=0&&a>=0&&s>=this._move.c1MinSize&&a>=this._move.c2MinSize;if(o){this._$SplitterOverlayBar.css(this._sizeDir,this._move.relStart+r);if(!this._liveResize){return}var n=this._move["start"]-t[this._moveCord];if(this.getOrientation()==d.Horizontal&&this._bRtl){n=-n}this._resizeContents(this._move["barNum"],-n,false)}};p.prototype._onBarMoveEnd=function(e){this._ignoreMouse=false;this._ignoreTouch=false;var t=e;if(e.changedTouches&&e.changedTouches[0]){t=t.changedTouches[0]}var i=t[this._moveCord];var r=this._move["start"]-i;if(this.getOrientation()==d.Horizontal&&this._bRtl){r=-r}this._resizeContents(this._move["barNum"],-r,true);this._move.$bar.css("visibility","");this._$SplitterOverlay.css("display","");document.removeEventListener("mouseup",this._boundBarMoveEnd);document.removeEventListener("mousemove",this._boundBarMove);document.removeEventListener("touchend",this._boundBarMoveEnd);document.removeEventListener("touchmove",this._boundBarMove);this._enableAutoResize(true);if(this._move.$bar){this._move.$bar.trigger("focus")}};p.prototype._resizeContents=function(e,t,i){if(isNaN(t)){u.warning("Splitter: Received invalid resizing values - resize aborted.");return}var r=this._getContentAreas();var s=r[e].getLayoutData();var a=r[e+1].getLayoutData();var o=s.getSize();var n=a.getSize();var h=this.$("content-"+e);var l=this.$("content-"+(e+1));var d=parseFloat(this._move.c1Size).toFixed(5);var c=parseFloat(this._move.c2Size).toFixed(5);var p=parseFloat(d)+t;var _=parseFloat(c)-t;var v=parseInt(s.getMinSize());var f=parseInt(a.getMinSize());var z,g;var y;if(p<v){y=v-p;t+=y;p=v;_-=y}else if(_<f){y=f-_;t-=y;_=f;p-=y}if(i){var b=this._calcAvailableContentSize();if(o==="auto"&&n!=="auto"){g=this._calcAreaSizeWithUnit(_,b,a._getSizeUnit());a.setSize(g);a._markModified()}else if(o!=="auto"&&n==="auto"){z=this._calcAreaSizeWithUnit(p,b,s._getSizeUnit());s.setSize(z);s._markModified()}else{z=this._calcAreaSizeWithUnit(p,b,s._getSizeUnit());g=this._calcAreaSizeWithUnit(_,b,a._getSizeUnit());s.setSize(z);a.setSize(g);s._markModified();a._markModified()}}else{var m=this._getTotalSize();z=this._pxToPercent(p,m);g=this._pxToPercent(_,m);h.css(this._sizeType,z);l.css(this._sizeType,g)}};p.prototype._calcAreaSizeWithUnit=function(e,t,i){if(i==="px"){return e+"px"}if(i==="rem"){return e/c+"rem"}return this._pxToPercent(e,t)};p.prototype._pxToPercent=function(e,t){return e*100/t+"%"};p.prototype._delayedResize=function(e){if(e===undefined){e=0}if(this.getDomRef()){clearTimeout(this._resizeTimeout);this._resizeTimeout=setTimeout(this._resize.bind(this),e)}};p.prototype._resizeBars=function(e){var t,i,r=this._bHorizontal?this.$().innerHeight():this.$().innerWidth();for(t=0;t<e.length-1;++t){i=this.$("splitbar-"+t);i.css(this._sizeTypeNot,"")}for(t=0;t<e.length-1;++t){i=this.$("splitbar-"+t);i.css(this._sizeType,"");i.css(this._sizeTypeNot,r+"px")}};p.prototype._resize=function(){var e=this.getDomRef();if(!e||n.getPreserveAreaRef().contains(e)||e.scrollHeight===0||e.scrollWidth===0){return}var t=0,i;var r=this._getContentAreas();this._resizeBars(r);var s=this._calculatedSizes;this._recalculateSizes();var a=this._calculatedSizes;var o=false;for(t=0;t<a.length;++t){if(a[t]!==0){o=true;break}}if(!o){this._delayedResize(100);return}var h=true;for(t=0;t<r.length;++t){var u=this.$("content-"+t);var l=r[t];u.css(this._sizeType,a[t]+"px");u.css(this._sizeTypeNot,"");var d=l.getLayoutData();var c=d&&d.getResizable();if(t>0){var p=c&&h;i=this.$("splitbar-"+(t-1));i.toggleClass("sapUiLoSplitterNoResize",!p);i.attr("tabindex",p&&this._keyboardEnabled?"0":"-1")}h=c}this._resizeBars(r);if(_(s,a)){this.fireResize({oldSizes:s,newSizes:a})}};p.prototype._getTotalSize=function(){return this._bHorizontal?this.$().innerWidth():this.$().innerHeight()};p.prototype._calcAvailableContentSize=function(){return this._getTotalSize()-this._calcBarsSize()};p.prototype._calcBarsSize=function(){var e=0,t=this._getContentAreas().length-1;for(var i=0;i<t;i++){e+=this._bHorizontal?this.$("splitbar-"+i).outerWidth():this.$("splitbar-"+i).outerHeight()}return e};p.prototype._recalculateSizes=function(){var e,t,i,r;var s=[];var a=this._getContentAreas();var o=this._calcAvailableContentSize();var n=[];var h=[];var l=[];this._calculatedSizes=[];for(e=0;e<a.length;++e){s.push(a[e].getLayoutData().getSize())}for(e=0;e<s.length;++e){var d=s[e];var p;if(d.indexOf("rem")>-1){p=parseFloat(d)*c;o-=p;this._calculatedSizes[e]=p}else if(d.indexOf("px")>-1){p=parseInt(d);o-=p;this._calculatedSizes[e]=p}else if(d.indexOf("%")>-1){l.push(e)}else if(d==="auto"){if(a[e].getLayoutData().getMinSize()!==0){h.push(e)}else{n.push(e)}}else{u.error("Illegal size value: "+s[e])}}var _=false;if(o<0){_=true;o=0}o=this._calcPercentBasedSizes(l,o);if(o<0){_=true;o=0}var v=Math.floor(o/(h.length+n.length),0);for(e=0;e<h.length;++e){t=v;i=h[e];r=a[i].getLayoutData().getMinSize();if(t>o){t=o}if(t<r){t=r}this._calculatedSizes[i]=t;o-=t}if(o<0){_=true;o=0}var f=n.length;v=Math.floor(o/f,0);for(e=0;e<f;++e){i=n[e];this._calculatedSizes[i]=v;o-=v}if(_){this._logConstraintsViolated()}};p.prototype._calcPercentBasedSizes=function(e,t){var i=this._getContentAreas(),r=this._calcAvailableContentSize();for(let n=0;n<e.length;++n){var s=e[n];var a=parseFloat(i[s].getLayoutData().getSize())/100*r;var o=i[s].getLayoutData().getMinSize();if(a<o){a=o}this._calculatedSizes[s]=a;t-=a}var n=i.filter(function(e){return e.getLayoutData().getSize()==="auto"}).reduce(function(e,t){return e+t.getLayoutData().getMinSize()},0);if(t<n){var h=Math.abs(t-n);for(var u=e.length-1;u>=0;u--){var l=e[u],d=i[l],c=this._calculatedSizes[l],p=d.getLayoutData();if(p._isMarked()){var _=c-h;if(_<p.getMinSize()){_=p.getMinSize()}this._calculatedSizes[l]=_;var v=c-_;h-=v;t+=v}if(h<=0){break}}}return t};p.prototype._logConstraintsViolated=function(){u.warning("The set sizes and minimal sizes of the splitter contents are bigger than the available space in the UI.",null,"sap.ui.layout.Splitter")};p.prototype._initOrientationProperties=function(){this._bHorizontal=this.getOrientation()===d.Horizontal;if(this._bHorizontal){this._sizeDirNot="top";this._sizeTypeNot="height";this._sizeType="width";this._moveCord="pageX";if(this._bRtl){this._sizeDir="right"}else{this._sizeDir="left"}}else{this._moveCord="pageY";this._sizeType="height";this._sizeTypeNot="width";this._sizeDir="top";this._sizeDirNot="left"}};p.prototype._onKeyboardResize=function(e,t,i){var r=this.getId()+"-splitbar-";if(!i||!i.target||!i.target.id||i.target.id.indexOf(r)!==0){return}var s=999999;var a=parseInt(i.target.id.substr(r.length));var o=this._calculatedSizes;this._move.c1Size=o[a];this._move.c2Size=o[a+1];var n=0;switch(e){case"inc":n=t;break;case"incMore":n=t*10;break;case"dec":n=0-t;break;case"decMore":n=0-t*10;break;case"max":n=s;break;case"min":n=0-s;break;default:u.warn("[Splitter] Invalid keyboard resize type");break}this._resizeContents(a,n,true)};p.prototype._enableKeyboardListeners=function(){this.onsapright=this._keyListeners.increase;this.onsapdown=this._keyListeners.increase;this.onsapleft=this._keyListeners.decrease;this.onsapup=this._keyListeners.decrease;this.onsappageup=this._keyListeners.decreaseMore;this.onsappagedown=this._keyListeners.increaseMore;this.onsapend=this._keyListeners.max;this.onsaphome=this._keyListeners.min;this._keyboardEnabled=true};p.prototype._disableKeyboardListeners=function(){delete this.onsapincreasemodifiers;delete this.onsapdecreasemodifiers;delete this.onsapendmodifiers;delete this.onsaphomemodifiers;this._keyboardEnabled=false};p.prototype._getBar=function(e){var t=e,i=this.getId();if(t.classList.contains("sapUiLoSplitterBarGripIcon")){t=e.parentElement}if(t.classList.contains("sapUiLoSplitterBarDecorationBefore")||t.classList.contains("sapUiLoSplitterBarDecorationAfter")||t.classList.contains("sapUiLoSplitterBarGrip")){t=t.parentElement}if(!t.id||t.id.indexOf(i+"-splitbar")!==0){return null}return t};function _(e,t){if(e===t){return false}if(!e||!t||e.length===undefined||t.length===undefined){return true}if(e.length!=t.length){return true}for(var i=0;i<e.length;++i){if(e[i]!==t[i]){return true}}return false}function v(e){var t=function(t){if(!e){t.preventDefault()}};var i=null;i=function(){document.removeEventListener("touchend",i);document.removeEventListener("touchmove",t);document.removeEventListener("mouseup",i);document.removeEventListener("mousemove",t)};if(e){this._ignoreMouse=true;document.addEventListener("touchend",i);document.addEventListener("touchmove",t)}else{document.addEventListener("mouseup",i);document.addEventListener("mousemove",t)}}p.prototype._ensureLayoutData=function(e){var t=e.getLayoutData();if(t&&(!t.getResizable||!t.getSize||!t.getMinSize)){u.warning('Content "'+e.getId()+'" for the Splitter contained wrong LayoutData. '+"The LayoutData has been replaced with default values.");t=null}if(!t){e.setLayoutData(new l)}};p.prototype.getFocusDomRef=function(){return this.getDomRef("splitbar-0")||this.getDomRef()};p.prototype.invalidate=function(e){var i=e&&this.indexOfContentArea(e)!=-1||e&&e instanceof r&&e.getWriteToDom()||e===undefined;if(i){t.prototype.invalidate.apply(this,arguments)}};p.prototype.addContentArea=function(e){this._ensureLayoutData(e);return this.addAggregation("contentAreas",e)};p.prototype.insertContentArea=function(e,t){this._ensureLayoutData(e);return this.insertAggregation("contentAreas",e,t)};p.prototype._getContentAreas=function(){return this.getContentAreas()};return p});
//# sourceMappingURL=Splitter.js.map