/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Renderer","sap/ui/Device","./FormLayoutRenderer"],function(e,i,r){"use strict";var a=e.extend(r);a.apiVersion=2;a.getMainClass=function(){return"sapUiFormCL"};a.renderContainers=function(e,i,r){var a=r.getVisibleFormContainers();var t=a.length;if(t>0){var n=t===1&&!i.getLayoutDataForElement(a[0],"sap.ui.layout.form.ColumnContainerData");if(!n){var o=i.getColumnsM();var s=i.getColumnsL();var l=i.getColumnsXL();e.openStart("div");e.class("sapUiFormCLContent");e.class("sapUiFormCLColumnsM"+o);e.class("sapUiFormCLColumnsL"+s);e.class("sapUiFormCLColumnsXL"+l);e.openEnd()}for(var C=0;C<t;C++){var c=a[C];this.renderContainer(e,i,c)}if(!n){e.close("div")}}};a.renderContainer=function(e,r,a){var t=a.getExpandable();var n=a.getToolbar();var o=a.getTitle();var s=r._getContainerSize(a);a._checkProperties();e.openStart("div",a);e.class("sapUiFormCLContainer");e.class("sapUiFormCLContainerS"+s.S.Size);e.class("sapUiFormCLContainerM"+s.M.Size);e.class("sapUiFormCLContainerL"+s.L.Size);e.class("sapUiFormCLContainerXL"+s.XL.Size);if(s.M.Break){e.class("sapUiFormCLContainerMBreak")}if(s.L.Break){e.class("sapUiFormCLContainerLBreak")}if(s.XL.Break){e.class("sapUiFormCLContainerXLBreak")}if(s.S.FirstRow){e.class("sapUiFormCLContainerSFirstRow")}if(s.M.FirstRow){e.class("sapUiFormCLContainerMFirstRow")}if(s.L.FirstRow){e.class("sapUiFormCLContainerLFirstRow")}if(s.XL.FirstRow){e.class("sapUiFormCLContainerXLFirstRow")}if(n){e.class("sapUiFormContainerToolbar")}else if(o){e.class("sapUiFormContainerTitle")}if(!a.getExpanded()){e.class("sapUiFormCLContainerColl")}if(a.getTooltip_AsString()){e.attr("title",a.getTooltip_AsString())}const l=a.getParent();this.writeAccessibilityStateContainer(e,a,!r.isContainerLabelled(a)&&l.getFormContainers().length===1);e.openEnd();this.renderHeader(e,n,o,a._oExpandButton,t,r._sFormSubTitleSize,a.getId());e.openStart("div",a.getId()+"-content").class("sapUiFormCLContainerCont").openEnd();var C=a.getVisibleFormElements();for(var c=0;c<C.length;c++){var p=C[c];if(p.isA("sap.ui.layout.form.SemanticFormElement")&&!p._getEditable()){this.renderSemanticElement(e,r,p)}else{this.renderElement(e,r,p)}if(i.browser.chrome&&c<s.XL.Size-1&&C.length>1&&C.length<=s.XL.Size){e.openStart("div").class("sapUiFormCLElementDummy").openEnd().close("div")}}e.close("div");e.close("div")};a.renderElement=function(e,i,r){var a=r.getLabelControl();var n;e.openStart("div",r);e.class("sapUiFormCLElement");if(r.getTooltip_AsString()){e.attr("title",r.getTooltip_AsString())}e.openEnd();if(a){n=i._getFieldSize(a);t(e,a,n)}var o=r.getFieldsForRendering();if(o&&o.length>0){for(var s=0,l=o.length;s<l;s++){var C=o[s];if(!C.isA("sap.ui.core.IFormContent")){throw new Error(C+" is not a valid Form content! Only use valid content in "+i)}n=i._getFieldSize(C);e.openStart("div");e.class("sapUiFormCLCellsS"+n.S.Size);e.class("sapUiFormCLCellsL"+n.L.Size);if(n.S.Break){e.class("sapUiFormCLCellSBreak")}if(n.L.Break){e.class("sapUiFormCLCellLBreak")}if(n.S.Space){e.class("sapUiFormCLCellSSpace"+n.S.Space)}if(n.L.Space){e.class("sapUiFormCLCellLSpace"+n.L.Space)}e.openEnd();e.renderControl(C);e.close("div")}}e.close("div")};a.renderSemanticElement=function(e,i,r){var a=r.getLabelControl();var n;var o=12;var s=o;var l=o;e.openStart("div",r);e.class("sapUiFormCLElement").class("sapUiFormCLSemanticElement");if(r.getTooltip_AsString()){e.attr("title",r.getTooltip_AsString())}e.openEnd();if(a){n=i._getFieldSize(a);t(e,a,n);if(n.S.Size<s){s=s-n.S.Size}if(n.L.Size<l){l=l-n.L.Size}}e.openStart("div");e.class("sapUiFormCLCellsS"+s);e.class("sapUiFormCLCellsL"+l);e.openEnd();var C=r.getFieldsForRendering();if(C&&C.length>0){for(var c=0,p=C.length;c<p;c++){var m=C[c];if(!m.isA("sap.ui.core.IFormContent")||!m.isA("sap.ui.core.ISemanticFormContent")){throw new Error(m+" is not a valid Form content! Only use valid content in "+i)}e.renderControl(m)}}e.close("div");e.close("div")};function t(e,i,r){e.openStart("div").class("sapUiFormElementLbl").class("sapUiFormCLCellsS"+r.S.Size).class("sapUiFormCLCellsL"+r.L.Size).openEnd();e.renderControl(i);e.close("div")}return a},true);
//# sourceMappingURL=ColumnLayoutRenderer.js.map