/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Element","sap/ui/base/ManagedObjectObserver","sap/ui/core/Lib","sap/ui/core/theming/Parameters","./FormHelper","sap/base/Log"],function(e,t,i,n,o,r){"use strict";var a=e.extend("sap.ui.layout.form.FormContainer",{metadata:{library:"sap.ui.layout",properties:{expanded:{type:"boolean",group:"Misc",defaultValue:true},expandable:{type:"boolean",group:"Misc",defaultValue:false},visible:{type:"boolean",group:"Misc",defaultValue:true},_editable:{type:"boolean",group:"Misc",defaultValue:false,visibility:"hidden"}},defaultAggregation:"formElements",aggregations:{formElements:{type:"sap.ui.layout.form.FormElement",multiple:true,singularName:"formElement"},title:{type:"sap.ui.core.Title",altTypes:["string"],multiple:false},toolbar:{type:"sap.ui.core.Toolbar",multiple:false},_expandButton:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},designtime:"sap/ui/layout/designtime/form/FormContainer.designtime"}});a.prototype.init=function(){this._oInitPromise=o.init();this._rb=i.getResourceBundleFor("sap.ui.layout");this._oObserver=new t(this._observeChanges.bind(this));this._oObserver.observe(this,{properties:["expanded","expandable"],aggregations:["formElements"]})};a.prototype.exit=function(){if(this._oExpandButton){delete this._oExpandButton}this._rb=undefined;this._oObserver.disconnect();this._oObserver=undefined};function s(e){if(e){if(!this._oExpandButton){if(this._oInitPromise){this._oInitPromise.then(function(){delete this._oInitPromise;l.call(this,o.createButton(this.getId()+"--Exp",h,this))}.bind(this))}else{l.call(this,o.createButton(this.getId()+"--Exp",h,this))}}else{d.call(this)}}}function l(e){if(!this._bIsBeingDestroyed){this._oExpandButton=e;this.setAggregation("_expandButton",this._oExpandButton);d.call(this)}}function u(e){d.call(this);var t=this.getParent();if(t&&t.toggleContainerExpanded){t.toggleContainerExpanded(this)}}a.prototype.setToolbar=function(e){const t=this.getToolbar();this.setAggregation("toolbar",e);if(this._oInitPromise){this._oInitPromise.then(function(){delete this._oInitPromise;e=o.setToolbar(e,t)}.bind(this))}else{e=o.setToolbar(e,t)}return this};a.prototype.contentOnAfterRendering=function(e,t){var i=this.getParent();if(i&&i.contentOnAfterRendering){i.contentOnAfterRendering(e,t)}};a.prototype.onLayoutDataChange=function(e){var t=this.getParent();if(t&&t.onLayoutDataChange){t.onLayoutDataChange(e)}};a.prototype._checkProperties=function(){var e=0;if(this.getExpandable()&&(!this.getTitle()||this.getToolbar())){r.warning("Expander only displayed if title is set",this.getId(),"FormContainer");e=1}return e};a.prototype.getRenderedDomRef=function(){var e=this;var t=this.getParent();if(t&&t.getContainerRenderedDomRef){return t.getContainerRenderedDomRef(e)}else{return null}};a.prototype.getElementRenderedDomRef=function(e){var t=this.getParent();if(t&&t.getElementRenderedDomRef){return t.getElementRenderedDomRef(e)}else{return null}};a.prototype.getVisibleFormElements=function(){var e=this.getFormElements();var t=[];for(var i=0;i<e.length;i++){var n=e[i];if(n.isVisible()){t.push(n)}}return t};a.prototype._setEditable=function(e){var t=this.getProperty("_editable");this.setProperty("_editable",e,true);if(e!==t){var i=this.getFormElements();for(var n=0;n<i.length;n++){var o=i[n];o._setEditable(e)}}};a.prototype.isVisible=function(){return this.getVisible()};a.prototype.onThemeChanged=function(){d.call(this)};function p(e){return n.get({name:[e],_restrictedParseUrls:true})}function d(){if(!this._oExpandButton){return}var e,t,i,n;if(this.getExpanded()){e=p("_sap_ui_layout_Form_FormContainerColImageURL");t=p("_sap_ui_layout_Form_FormContainerColImageDownURL");i="-";n=this._rb.getText("FORM_COLLAPSE")}else{e=p("_sap_ui_layout_Form_FormContainerExpImageURL");t=p("_sap_ui_layout_Form_FormContainerExpImageDownURL");i="+";n=this._rb.getText("FORM_EXPAND")}if(e){i=""}o.setButtonContent(this._oExpandButton,i,n,e,t)}function h(e){this.setExpanded(!this.getExpanded())}a.prototype._observeChanges=function(e){if(e.name=="formElements"){g.call(this,e.mutation,e.child)}else if(e.name=="expanded"){u.call(this,e.current)}else if(e.name=="expandable"){s.call(this,e.current)}};function g(e,t){if(e==="insert"){var i=this.getProperty("_editable");t._setEditable(i)}}return a});
//# sourceMappingURL=FormContainer.js.map