/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Control","sap/ui/core/Element","sap/ui/layout/library","sap/ui/layout/ResponsiveFlowLayout","sap/ui/layout/ResponsiveFlowLayoutData","./Form","./FormContainer","./FormElement","./FormLayout","./ResponsiveLayoutRenderer"],function(t,e,a,n,i,r,o,s,l,u){"use strict";var f=l.extend("sap.ui.layout.form.ResponsiveLayout",{metadata:{library:"sap.ui.layout"},renderer:u});var d=t.extend("sap.ui.layout.form.ResponsiveLayoutPanel",{metadata:{library:"sap.ui.layout",aggregations:{content:{type:"sap.ui.layout.ResponsiveFlowLayout",multiple:false}},associations:{container:{type:"sap.ui.layout.form.FormContainer",multiple:false},layout:{type:"sap.ui.layout.form.ResponsiveLayout",multiple:false}}},getLayoutData:function(){var t=e.getElementById(this.getContainer());var a=e.getElementById(this.getLayout());var n;if(a&&t){n=a.getLayoutDataForElement(t,"sap.ui.layout.ResponsiveFlowLayoutData")}return n},getCustomData:function(){var t=e.getElementById(this.getContainer());if(t){return t.getCustomData()}},refreshExpanded:function(){var t=e.getElementById(this.getContainer());if(t){if(t.getExpanded()){this.$().removeClass("sapUiRLContainerColl")}else{this.$().addClass("sapUiRLContainerColl")}}},renderer:{apiVersion:2,render:function(t,a){var n=e.getElementById(a.getContainer());var i=e.getElementById(a.getLayout());var r=a.getContent();if(!n||!i){return}var o=n.getExpandable();var s=n.getTooltip_AsString();var l=n.getToolbar();var u=n.getTitle();t.openStart("div",a);t.class("sapUiRLContainer");if(o&&!n.getExpanded()){t.class("sapUiRLContainerColl")}if(l){t.class("sapUiFormContainerToolbar")}else if(u){t.class("sapUiFormContainerTitle")}if(s){t.attr("title",s)}i.getRenderer().writeAccessibilityStateContainer(t,n,false);t.openEnd();i.getRenderer().renderHeader(t,l,u,n._oExpandButton,o,i._sFormSubTitleSize,n.getId());if(r){t.openStart("div");t.class("sapUiRLContainerCont");t.openEnd();t.renderControl(r);t.close("div")}t.close("div")}}});f.prototype.init=function(){l.prototype.init.apply(this,arguments);this.mContainers={};this._defaultLayoutData=new i({margin:false})};f.prototype.exit=function(){for(var t in this.mContainers){_.call(this,t)}if(this._mainRFLayout){this._mainRFLayout.destroy();delete this._mainRFLayout}this._defaultLayoutData.destroy();delete this._defaultLayoutData};f.prototype.onBeforeRendering=function(t){l.prototype.onBeforeRendering.apply(this,arguments);var e=this.getParent();if(!e||!(e instanceof r)){return}e._bNoInvalidate=true;m.call(this,e);I.call(this,e);e._bNoInvalidate=false};f.prototype.toggleContainerExpanded=function(t){var e=t.getId();if(this.mContainers[e]&&this.mContainers[e][0]){var a=this.mContainers[e][0];a.refreshExpanded()}};f.prototype.onLayoutDataChange=function(t){var e=t.srcControl;var a;var n;var i;if(e instanceof o){if(this._mainRFLayout){this._mainRFLayout.onLayoutDataChange(t)}}else if(e instanceof s){n=e.getParent().getId();if(this.mContainers[n]&&this.mContainers[n][1]){this.mContainers[n][1].onLayoutDataChange(t)}}else{var r=e.getParent();if(r instanceof s){a=r.getParent();n=a.getId();i=r.getId();if(this.mContainers[n]&&this.mContainers[n][2]&&this.mContainers[n][2][i]){if(this.mContainers[n][2][i][1]){var l=r.getFieldsForRendering();p.call(this,this.mContainers[n][2][i][1],l)}this.mContainers[n][2][i][0].onLayoutDataChange(t)}}}};f.prototype.onsapup=function(t){this.onsapleft(t)};f.prototype.onsapdown=function(t){this.onsapright(t)};f.prototype.getContainerRenderedDomRef=function(t){if(this.getDomRef()){var e=t.getId();if(this.mContainers[e]){if(this.mContainers[e][0]){var a=this.mContainers[e][0];return a.getDomRef()}else if(this.mContainers[e][1]){var n=this.mContainers[e][1];return n.getDomRef()}}}return null};f.prototype.getElementRenderedDomRef=function(t){if(this.getDomRef()){var e=t.getParent();var a=t.getId();var n=e.getId();if(this.mContainers[n]){if(this.mContainers[n][2]){var i=this.mContainers[n][2];if(i[a]){var r=i[a][0];return r.getDomRef()}}}}return null};function m(t){var e=t.getVisibleFormContainers();var a=e.length;var n;var i;var r;var o;var s=0;for(s=0;s<a;s++){n=e[s];n._checkProperties();i=n.getId();r=undefined;o=undefined;if(this.mContainers[i]&&this.mContainers[i][1]){o=this.mContainers[i][1]}else{o=h.call(this,n,undefined)}var l=n.getTitle();var u=n.getToolbar();if(u||l||n.getExpandable()){if(this.mContainers[i]&&this.mContainers[i][0]){r=this.mContainers[i][0]}else{r=y.call(this,n,o);C(o,true)}o.removeStyleClass("sapUiRLContainer")}else{if(this.mContainers[i]&&this.mContainers[i][0]){g(this.mContainers[i][0]);C(o,false)}o.addStyleClass("sapUiRLContainer")}var f=v.call(this,n,o);this.mContainers[i]=[r,o,f]}var d=Object.keys(this.mContainers).length;if(a<d){for(i in this.mContainers){var m=false;for(s=0;s<a;s++){n=e[s];if(i==n.getId()){m=true;break}}if(!m){_.call(this,i)}}}}function y(t,e){var a=t.getId();var n=new d(a+"--Panel",{container:t,layout:this,content:e});return n}function g(t){t.setContent(null);t.setLayout(null);t.setContainer(null);t.destroy()}function v(t,e){var a=t.getId();var n=t.getVisibleFormElements();var i=n.length;var r={};if(this.mContainers[a]&&this.mContainers[a][2]){r=this.mContainers[a][2]}var o;var s;var l=-1;var u;var f;var d=0;for(d=0;d<i;d++){u=n[d];f=u.getId();c.call(this,t,u,r,e,d);if(r[f]){o=r[f][0];l=e.indexOfContent(o);if(l!=i){e.removeContent(o);e.insertContent(o,i);l=i}}else{o=h.call(this,t,u);o.addStyleClass("sapUiRLElement");if(u.getLabel()){o.addStyleClass("sapUiRLElementWithLabel")}r[f]=[o,undefined];l++;e.insertContent(o,l)}var m=u.getFieldsForRendering();if(u.getLabel()&&m.length>1){if(r[f][1]){s=r[f][1]}else{s=h.call(this,t,u,true);s.addStyleClass("sapUiRLElementFields");r[f][1]=s}p.call(this,s,m)}else{if(r[f][1]){s=r[f][1];L(s);r[f][1]=undefined}}}var y=Object.keys(r).length;if(i<y){for(f in r){var g=false;for(d=0;d<i;d++){u=n[d];if(f==u.getId()){g=true;break}}if(!g){if(r[f][1]){s=r[f][1];L(s)}o=r[f][0];e.removeContent(o);L(o);delete r[f]}}}return r}function h(t,a,r){var o;if(a&&!r){o=a.getId()+"--RFLayout"}else if(a&&r){o=a.getId()+"--content--RFLayout"}else if(t){o=t.getId()+"--RFLayout"}else{return false}var s=new n(o);s.__myParentLayout=this;s.__myParentContainerId=t.getId();if(a){s.__myParentElementId=a.getId();if(!r){s.getContent=function(){var t=e.getElementById(this.__myParentElementId);if(t){var a=[];var n=t.getLabelControl();var i=t.getFieldsForRendering();if(!n||i.length<=1){a=i;if(n){a.unshift(n)}}else{var r=this.__myParentLayout;var o=this.__myParentContainerId;var s=t.getId();if(n){a.push(n)}if(r.mContainers[o]&&r.mContainers[o][2]&&r.mContainers[o][2][s]&&r.mContainers[o][2][s][1]){a.push(r.mContainers[o][2][s][1])}}return a}else{return false}};s._addContentClass=function(t,a){if(a==0){var n=e.getElementById(this.__myParentElementId);if(n){var i=n.getLabelControl();if(t==i){return"sapUiFormElementLbl"}}}return null}}else{s.getContent=function(){var t=e.getElementById(this.__myParentElementId);if(t){return t.getFieldsForRendering()}else{return false}}}}else if(t){s._getAccessibleRole=function(){var t=e.getElementById(this.__myParentContainerId);var a=this.__myParentLayout;if(a._mainRFLayout&&!t.getToolbar()&&!t.getTitle()&&!t.getExpandable()&&t.getAriaLabelledBy().length>0){return"form"}};s.getAriaLabelledBy=function(){var t=e.getElementById(this.__myParentContainerId);if(t&&!t.getToolbar()&&!t.getTitle()&&!t.getExpandable()){return t.getAriaLabelledBy()}return[]}}if(a&&!r||!a&&!t.getToolbar()&&!t.getTitle()&&!t.getExpandable()){C(s,false)}else{s.setLayoutData(new i({margin:false}))}return s}function C(t,a){if(a){if(t.__originalGetLayoutData){t.getLayoutData=t.__originalGetLayoutData;delete t.__originalGetLayoutData}}else if(!t.__originalGetLayoutData){t.__originalGetLayoutData=t.getLayoutData;t.getLayoutData=function(){var t=this.__myParentLayout;var a=e.getElementById(this.__myParentContainerId);var n=e.getElementById(this.__myParentElementId);var i;if(n){i=t.getLayoutDataForElement(n,"sap.ui.layout.ResponsiveFlowLayoutData")}else if(a){i=t.getLayoutDataForElement(a,"sap.ui.layout.ResponsiveFlowLayoutData")}if(i){return i}else if(n){return t._defaultLayoutData}}}}function p(t,e){var a;var n=0;for(var r=0;r<e.length;r++){var o=e[r];a=this.getLayoutDataForElement(o,"sap.ui.layout.ResponsiveFlowLayoutData");if(a){n=n+a.getWeight()}else{n++}}a=t.getLayoutData();if(a){a.setWeight(n)}else{t.setLayoutData(new i({weight:n}))}}function L(t){if(t.__myParentContainerId){t.__myParentContainerId=undefined}if(t.__myParentElementId){t.__myParentElementId=undefined}t.__myParentLayout=undefined;t.destroy()}function _(t){var e=this.mContainers[t];var a;var n=e[2];if(n){for(var i in n){if(n[i][1]){L(n[i][1])}a=n[i][0];L(a);delete n[i]}}a=e[1];if(a){a.removeAllContent();L(a)}var r=e[0];if(r){g(r)}delete this.mContainers[t]}function c(t,a,n,i,r){var o=a.getId();var s=o+"--RFLayout";var l=e.getElementById(s);if(!n[o]&&l){var u=l.__myParentContainerId;n[o]=this.mContainers[u][2][o];i.insertContent(l,r);l.__myParentContainerId=t.getId();if(n[o][1]){n[o][1].__myParentContainerId=t.getId()}delete this.mContainers[u][2][o]}}function I(t){var a=t.getVisibleFormContainers();var i;var r=a.length;var o=0;var s=0;var l=0;if(r>1){if(!this._mainRFLayout){this._mainRFLayout=new n(t.getId()+"--RFLayout").setParent(this)}else{var u=this._mainRFLayout.getContent();o=u.length;var f=false;for(s=0;s<o;s++){var d=u[s];i=undefined;if(d.getContainer){i=e.getElementById(d.getContainer())}else{i=e.getElementById(d.__myParentContainerId)}if(i&&i.isVisible()){var m=a[l];if(i!=m){f=true;break}var y=this.mContainers[i.getId()];if(y[0]&&y[0]!=d){f=true;break}if(!y[0]&&y[1]&&y[1]!=d){f=true;break}l++}else{this._mainRFLayout.removeContent(d)}}if(f){this._mainRFLayout.removeAllContent();o=0}}if(o<r){var g=0;if(o>0){g=o--}for(s=g;s<r;s++){i=a[s];var v=i.getId();if(this.mContainers[v]){if(this.mContainers[v][0]){this._mainRFLayout.addContent(this.mContainers[v][0])}else if(this.mContainers[v][1]){this._mainRFLayout.addContent(this.mContainers[v][1])}}}}}}return f});
//# sourceMappingURL=ResponsiveLayout.js.map