/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./FormElement","./FormHelper"],function(e,t){"use strict";var i=e.extend("sap.ui.layout.form.SemanticFormElement",{metadata:{library:"sap.ui.layout",properties:{delimiter:{type:"string",group:"Data",defaultValue:"/"}},aggregations:{fieldLabels:{type:"sap.ui.core.Label",multiple:true},_delimiters:{type:"sap.ui.core.Control",multiple:true,visibility:"hidden"},_displayField:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"}}}});i.prototype.init=function(){e.prototype.init.apply(this,arguments);this._oObserver.observe(this,{properties:["_editable","delimiter"],aggregations:["fieldLabels"],parent:true})};i.prototype.exit=function(){e.prototype.exit.apply(this,arguments)};i.prototype.enhanceAccessibilityState=function(t,i){var a=this.getAggregation("delimiters",[]);if(a.indexOf(t)<0){if(!m.call(this)){var r=this.indexOfField(t);if(r>=0){var l=this.getFieldLabels();var s=l[r];if(s){var o;if(typeof s==="string"){o=s}else{o=s.getText()}var n=i["label"];if(!n){n=o}else{n=n+" "+o}i["label"]=n;var g=i["labelledby"];if(g){s=this.getLabelControl();var h=g.split(" ");r=h.indexOf(s.getId());if(r>=0){h.splice(r,1);g=h.join(" ")}i["labelledby"]=g}return i}}}}e.prototype.enhanceAccessibilityState.apply(this,arguments)};i.prototype.onLayoutDataChange=function(t){var i=t.srcControl;var a=i.getLayoutData();if(!a||!a._bSetBySemanticFormElement){d.call(this)}e.prototype.onLayoutDataChange.apply(this,arguments)};i.prototype.getFieldsForRendering=function(){var e=[];if(!this._bLayoutDataCreated){d.call(this)}if(!m.call(this)){if(this.getAggregation("_displayField")){this.destroyAggregation("_displayField");g.call(this)}var t=this.getFields();var i=this.getAggregation("_delimiters",[]);for(var a=0;a<t.length;a++){var r=t[a];if(r.getVisible()){if(e.length>0&&i[a-1]){e.push(i[a-1])}e.push(r)}}}else{if(!this.getAggregation("_displayField")){this.destroyAggregation("_delimiters");this._bLayoutDataCreated=false;f.call(this)}var l=this.getAggregation("_displayField");if(l){e.push(l)}}return e};i.prototype._observeChanges=function(t){e.prototype._observeChanges.apply(this,arguments);if(t.object===this){if(t.type==="parent"){y.call(this,t.mutation,t.parent)}else if(t.name==="fields"){r.call(this,t.child,t.mutation)}else if(t.name==="_editable"){a.call(this,t.current)}else if(t.name==="delimiter"){l.call(this,t.current)}else if(t.name==="fieldLabels"){s.call(this,t.mutation,t.child)}}else{if(t.type==="parent"){y.call(this,t.mutation,t.parent)}else if(t.name==="layout"){v.call(this,t.child,t.mutation)}else if(t.object.isA("sap.ui.core.Label")){n.call(this,t)}else{o.call(this,t)}}};function a(e){if(e){this.destroyAggregation("_displayField");g.call(this)}else if(m.call(this)){this.destroyAggregation("_delimiters");this._bLayoutDataCreated=false;f.call(this)}else{g.call(this)}}function r(e,t){if(t==="insert"){if(!e.isA("sap.ui.core.IFormContent")||!e.isA("sap.ui.core.ISemanticFormContent")){throw new Error(e+" is not valid Form content. "+this)}var i=["visible"];if(e.getFormObservingProperties){i=i.concat(e.getFormObservingProperties())}if(e.getFormValueProperty){if(i.indexOf(e.getFormValueProperty())===-1){i.push(e.getFormValueProperty())}}else if(e.getMetadata().getProperty("value")){i.push("value")}else if(e.getMetadata().getProperty("text")){i.push("text")}this._oObserver.observe(e,{properties:i})}else{var a=e.getLayoutData();if(a&&a._bSetBySemanticFormElement){a.destroy()}}if(!m.call(this)){g.call(this)}else{f.call(this,true)}p.call(this)}function l(e){if(!m.call(this)){g.call(this)}else{u.call(this,false)}p.call(this)}function s(e,t){if(typeof t!=="string"){if(e==="insert"){this._oObserver.observe(t,{properties:["text"]})}else{this._oObserver.unobserve(t)}}p.call(this)}function o(e){var t=e.object.getFormValueProperty?e.object.getFormValueProperty():null;var i=e.object.getFormObservingProperties?e.object.getFormObservingProperties():[];if(e.name===t||e.name==="value"||e.name==="text"){if(m.call(this)){u.call(this,false)}}else if(e.name==="visible"||i.indexOf(e.name)>=0){if(!m.call(this)){g.call(this)}else{f.call(this,true)}p.call(this);this.invalidate()}}function n(e){p.call(this)}function g(){if(this._oInitPromise){this._oInitPromise.then(function(){delete this._oInitPromise;if(!m.call(this)){g.call(this)}}.bind(this));return}var e=this.getFields();var i=this.getAggregation("_delimiters",[]);var a=this.getDelimiter();var r=this.getId()+"-delimiter-";var l=0;if(!this._getEditable()){a=" "+a+" "}for(l=0;l<e.length;l++){if(l<e.length-1){if(i.length>l){t.updateDelimiter(i[l],a)}else{var s=t.createDelimiter(a,r+l);s.addStyleClass("sapUiFormDelimiter");this.addAggregation("_delimiters",s)}}}if(i.length>0&&i.length>e.length-1){for(l=e.length-1;l<i.length;l++){i[l].destroy()}}d.call(this)}var h={onBeforeRendering:function(){u.call(this,true)}};function f(e){if(this._oInitPromise){this._oInitPromise.then(function(){delete this._oInitPromise;if(m.call(this)){f.call(this)}}.bind(this));return}var i=this.getAggregation("_displayField");if(i){u.call(this,false)}else{var a=this.getId()+"-display";i=t.createSemanticDisplayControl("",a);i.addDelegate(h,true,this);this.setAggregation("_displayField",i)}}function u(e){var i=this.getAggregation("_displayField");if(i&&(i.getDomRef()||e)){if(e&&i._bNoForceUpdate){i._bNoForceUpdate=false;return}var a=this.getFields();var r=[];var l=false;for(var s=0;s<a.length;s++){var o=a[s];if(o.getVisible()){var n=o.getFormValueProperty?o.getFormValueProperty():null;var g;if(o.getFormFormattedValue){g=o.getFormFormattedValue();if(g instanceof Promise){l=true}}else if(n){g=o.getProperty(n)}else if(o.getMetadata().getProperty("value")){g=o.getValue()}else if(o.getMetadata().getProperty("text")){g=o.getText()}r.push(g)}}i._bNoForceUpdate=true;if(l){Promise.all(r).then(function(e){var i=this.getAggregation("_displayField");var a=c.call(this,e);i._bNoForceUpdate=true;t.updateSemanticDisplayControl(i,a)}.bind(this))}else{var h=c.call(this,r);t.updateSemanticDisplayControl(i,h)}}else if(i&&i._bNoForceUpdate){i._bNoForceUpdate=false}}function c(e){var t=this.getDelimiter();var i="";for(var a=0;a<e.length;a++){i=i+e[a];if(a<e.length-1){i=i+" "+t+" "}}return i}function p(){if(!this.getLabel()){if(this._oInitPromise){this._oInitPromise.then(function(){delete this._oInitPromise;p.call(this)}.bind(this));return}var e=this.getFieldLabels();var t=this.getFields();var i=[];for(var a=0;a<e.length;a++){if(t[a]&&t[a].getVisible()){var r=e[a];if(typeof r==="string"){i.push(r)}else{i.push(r.getText())}}}var l=c.call(this,i);this._setInternalLabel(l)}}function d(){var e=this.getFields().filter(function(e){return e.getVisible()});var t=this.getAggregation("_delimiters",[]);var i=this.getParent();var a=i&&i.getParent();var r=a&&a.getLayout();var l;var s=0;if(!r||!r.getLayoutDataForDelimiter){return}if(this._getEditable()){for(s=0;s<t.length;s++){var o=t[s];if(!o.getLayoutData()){l=r.getLayoutDataForDelimiter();if(l){if(l instanceof Promise){l.then(function(e){e._bSetBySemanticFormElement=true;this.setLayoutData(e)}.bind(o))}else if(l.isA("sap.ui.core.LayoutData")){l._bSetBySemanticFormElement=true;o.setLayoutData(l)}}}}if(e.length>1){for(s=0;s<e.length;s++){var n=e[s];l=n.getLayoutData();if(!l||l._bSetBySemanticFormElement){l=r.getLayoutDataForSemanticField(e.length,s+1,l);if(l){if(l instanceof Promise){l.then(function(e){e._bSetBySemanticFormElement=true;this.setLayoutData(e)}.bind(n))}else if(l.isA("sap.ui.core.LayoutData")&&!l._bSetBySemanticFormElement){l._bSetBySemanticFormElement=true;n.setLayoutData(l)}}}}}this._bLayoutDataCreated=true}}function m(){if(this._getEditable()){return false}else{var e=this.getFields();var t=true;for(var i=0;i<e.length;i++){if(!e[i].getFormRenderAsControl||!e[i].getFormRenderAsControl()){t=false;break}}var a=this.getParent();var r=a&&a.getParent();var l=r&&r.getLayout();var s=l?l.renderControlsForSemanticElement():true;return!(t&&s)}}function y(e,t){var i;if(e==="set"){var a;if(t.isA("sap.ui.layout.form.FormContainer")){this._oObserver.observe(t,{parent:true});a=t.getParent()}else if(t.isA("sap.ui.layout.form.Form")){this._oObserver.observe(t,{aggregations:["layout"]});a=t}i=a&&a.getLayout()}else if(t.isA("sap.ui.layout.form.FormContainer")||t.isA("sap.ui.layout.form.Form")){this._oObserver.unobserve(t)}if(i){v.call(this,i)}}function v(e,t){a.call(this,this._getEditable());d.call(this)}return i});
//# sourceMappingURL=SemanticFormElement.js.map