/*!
  * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./ChangeReason","./TreeBinding","sap/base/util/each","sap/ui/model/FilterProcessor","sap/ui/model/FilterType","sap/ui/model/SorterProcessor"],function(t,e,i,o,r,s){"use strict";var n=e.extend("sap.ui.model.ClientTreeBinding",{constructor:function(t,i,o,s,n,h){e.apply(this,arguments);if(!this.oContext){this.oContext=""}this._mLengthsCache={};this.filterInfo={aFilteredContexts:[],iMatches:0,oParentContext:{}};this.oCombinedFilter=null;this.mNormalizeCache={};if(s){this.oModel.checkFilter(s);if(this.oModel._getObject(this.sPath,this.oContext)){this.filter(s,r.Application)}}}});n.prototype.getRootContexts=function(t,e){if(!t){t=0}if(!e){e=this.oModel.iSizeLimit}var o=this.getResolvedPath(),r=this,s,n,h;if(!o){return[]}if(!this.oModel.isList(o)){n=this.oModel.getContext(o);if(this.bDisplayRootNode){s=[n]}else{s=this.getNodeContexts(n,t,e)}}else{s=[];h=this._sanitizePath(o);i(this.oModel._getObject(h),function(t,e){r._saveSubContext(e,s,h,t)});this._applySorter(s);this._setLengthCache(h,s.length);s=s.slice(t,t+e)}return s};n.prototype.getNodeContexts=function(t,e,i){if(!e){e=0}if(!i){i=this.oModel.iSizeLimit}var o=this._sanitizePath(t.getPath());var r=[],s=this,n=this.oModel._getObject(o),h=this.mParameters&&this.mParameters.arrayNames,a;if(n){if(Array.isArray(n)){n.forEach(function(t,e){s._saveSubContext(t,r,o,e)})}else{a=h||Object.keys(n);a.forEach(function(t){var e=n[t];if(e){if(Array.isArray(e)){e.forEach(function(e,i){s._saveSubContext(e,r,o,t+"/"+i)})}else if(typeof e=="object"){s._saveSubContext(e,r,o,t)}}})}}this._applySorter(r);this._setLengthCache(o,r.length);return r.slice(e,e+i)};n.prototype.hasChildren=function(t){if(t==undefined){return false}return this.getChildCount(t)>0};n.prototype.getChildCount=function(t){var e=t?t.sPath:this.getPath();if(this.oContext){e=this.oModel.resolve(e,this.oContext)}e=this._sanitizePath(e);if(this._mLengthsCache[e]===undefined){if(t){this.getNodeContexts(t)}else{this.getRootContexts()}}return this._mLengthsCache[e]};n.prototype._sanitizePath=function(t){if(!t.endsWith("/")){t=t+"/"}if(!t.startsWith("/")){t="/"+t}return t};n.prototype._saveSubContext=function(t,e,i,o){if(t&&typeof t=="object"){var r=this.oModel.getContext(i+o);if(this.oCombinedFilter&&!this.bIsFiltering){if(this.filterInfo.aFilteredContexts.indexOf(r)!=-1){e.push(r)}}else{e.push(r)}}};n.prototype.filter=function(t,e){if(t&&!Array.isArray(t)){t=[t]}this.oModel.checkFilter(t);if(e==r.Application){this.aApplicationFilters=t||[]}else if(e==r.Control){this.aFilters=t||[]}else{this.aFilters=t||[];this.aApplicationFilters=[]}this.oCombinedFilter=o.combineFilters(this.aFilters,this.aApplicationFilters);if(this.oCombinedFilter){this.applyFilter()}this._mLengthsCache={};this._fireChange({reason:"filter"});this._fireFilter({filters:t});return this};n.prototype.applyFilter=function(){this.filterInfo.aFilteredContexts=[];this.filterInfo.iMatches=0;this.filterInfo.oParentContext={};this._applyFilterRecursive()};n.prototype._applyFilterRecursive=function(t){var e=this,r=[];if(!this.oCombinedFilter){return}this.bIsFiltering=true;var s;if(t){s=this.getNodeContexts(t,0,Number.MAX_VALUE)}else{s=this.getRootContexts(0,Number.MAX_VALUE)}this.bIsFiltering=false;if(s.length>0){i(s,function(i,o){o._parentContext=t;e._applyFilterRecursive(o)});r=o.apply(s,this.oCombinedFilter,function(t,i){return e.oModel.getProperty(i,t)},this.mNormalizeCache);if(r.length>0){this.filterInfo.aFilteredContexts=this.filterInfo.aFilteredContexts.concat(r);this.filterInfo.aFilteredContexts.push(t);this.filterInfo.oParentContext=t;this.filterInfo.iMatches+=r.length}if(s.indexOf(this.filterInfo.oParentContext)!=-1){this.filterInfo.aFilteredContexts.push(t);this.filterInfo.oParentContext=t}}};n.prototype.sort=function(e){e=e||[];this.aSorters=Array.isArray(e)?e:[e];this._fireChange({reason:t.Sort});return this};n.prototype._applySorter=function(t){var e=this;s.apply(t,this.aSorters,function(t,i){return e.oModel.getProperty(i,t)},function(t){return t.getPath()})};n.prototype._setLengthCache=function(t,e){this._mLengthsCache[t]=e};n.prototype.checkUpdate=function(t){this.applyFilter();this._mLengthsCache={};this._fireChange()};n.prototype.getCount=function(){if(!this.isResolved()){return undefined}if(this.oCombinedFilter){return this.filterInfo.iMatches}return n._getTotalNodeCount(this.oModel.getObject(this.getResolvedPath()),this.mParameters&&this.mParameters.arrayNames,true)};n._getTotalNodeCount=function(t,e,i){if(t===null||typeof t!=="object"){return 0}if(Array.isArray(t)){return t.reduce(function(t,i){return t+n._getTotalNodeCount(i,e)},0)}return(e||Object.keys(t)).reduce(function(i,o){return i+n._getTotalNodeCount(t[o],e)},i?0:1)};return n});
//# sourceMappingURL=ClientTreeBinding.js.map