/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/model/TreeBinding","sap/ui/model/ClientTreeBinding","./TreeBindingAdapter","sap/ui/model/ChangeReason","sap/base/assert","sap/base/Log"],function(e,t,i,o,r,n){"use strict";var p=function(){if(!(this instanceof e)||this._bIsAdapted){return}i.apply(this);for(var t in p.prototype){if(p.prototype.hasOwnProperty(t)){this[t]=p.prototype[t]}}this._invalidTree=true;this.setNumberOfExpandedLevels(this.mParameters.numberOfExpandedLevels||0)};p.prototype.setNumberOfExpandedLevels=function(e){this._iNumberOfExpandedLevels=parseInt(e)};p.prototype.getNumberOfExpandedLevels=function(){return this._iNumberOfExpandedLevels};p.prototype.nodeHasChildren=function(e){r(e,"TreeBindingAdapter.nodeHasChildren: No node given!");if(!e){return false}else if(e.isArtificial){return true}else{return t.prototype.hasChildren.call(this,e.context)}};p.prototype.resetData=function(e,i){var r=t.prototype.resetData.call(this,e,i);this._aRowIndexMap=[];this._oRootNode=undefined;this._iPageSize=0;this._iThreshold=0;if(!i||i.reason!==o.Sort){this.clearSelection();this._createTreeState(true)}return r};p.prototype._calculateGroupID=function(e){var t=this.getPath();var i;if(e.context){var o=e.context.getPath();if(t!="/"){var r=o.match(t+"(.*)");if(r!=null&&r[1]){i=r[1]}else{n.warning("CTBA: BindingPath/ContextPath matching problem!")}}if(!i){i=o}if(i.startsWith("/")){i=i.substring(1,i.length)}var p;if(!e.parent){p=this._calculateGroupID({context:e.context._parentContext||null})}else{p=e.parent.groupID}i=p+i.replace(/\//g,"_")+"/"}else if(e.context===null){i="/"}return i};p.prototype.expand=function(){this._buildTree();i.prototype.expand.apply(this,arguments)};p.prototype.collapse=function(){this._buildTree();i.prototype.collapse.apply(this,arguments)};p.prototype._buildTree=function(e,t){if(this._invalidTree){e=e||0;t=t||this.getRootContexts().length;this._invalidTree=false;this._aRowIndexMap=[];i.prototype._buildTree.call(this,e,t)}};p.prototype.findNode=function(e){this._buildTree();return i.prototype.findNode.apply(this,arguments)};p.prototype.setSelectedIndex=function(e){this._buildTree();i.prototype.setSelectedIndex.apply(this,arguments)};p.prototype.setSelectionInterval=function(e,t){this._buildTree();i.prototype.setSelectionInterval.apply(this,arguments)};p.prototype.addSelectionInterval=function(){this._buildTree();i.prototype.addSelectionInterval.apply(this,arguments)};p.prototype.removeSelectionInterval=function(){this._buildTree();i.prototype.removeSelectionInterval.apply(this,arguments)};p.prototype.clearSelection=function(){this._buildTree();i.prototype.clearSelection.apply(this,arguments)};p.prototype.selectAll=function(){this._buildTree();i.prototype.selectAll.apply(this,arguments)};p.prototype._calculateRequestLength=function(e,t){return e};p.prototype.getLength=function(){this._buildTree();return i.prototype.getLength.apply(this,arguments)};p.prototype._fireChange=function(){this._invalidTree=true;this.constructor.prototype._fireChange.apply(this,arguments)};return p},true);
//# sourceMappingURL=ClientTreeBindingAdapter.js.map