/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/assert","sap/base/Log","sap/base/util/isEmptyObject"],function(e,t,a){"use strict";var r={EnumMember:true,Path:true,PropertyPath:true,NavigationPropertyPath:true,AnnotationPath:true};var n={Binary:true,Bool:true,Date:true,DateTimeOffset:true,Decimal:true,Duration:true,Float:true,Guid:true,Int:true,String:true,TimeOfDay:true,LabelElementReference:true,EnumMember:true,Path:true,PropertyPath:true,NavigationPropertyPath:true,AnnotationPath:true};var o={And:true,Or:true,Eq:true,Ne:true,Gt:true,Ge:true,Lt:true,Le:true,If:true,Collection:true};function i(e){return e.getAttribute("Qualifier")||e.parentNode.nodeName==="Annotations"&&e.parentNode.getAttribute("Qualifier")}var s={merge:function(e,t){var a,r;var n=["annotationsAtArrays","propertyAnnotations","EntityContainer","annotationReferences"];for(a in t){if(n.indexOf(a)!==-1){continue}s._mergeAnnotation(a,t,e)}for(var o=1;o<n.length;++o){var i=n[o];e[i]=e[i]||{};for(a in t[i]){for(r in t[i][a]){e[i][a]=e[i][a]||{};s._mergeAnnotation(r,t[i][a],e[i][a])}}}if(t.annotationsAtArrays){e.annotationsAtArrays=(e.annotationsAtArrays||[]).concat(t.annotationsAtArrays)}},_mergeAnnotation:function(e,t,a){if(Array.isArray(t[e])){a[e]=t[e].slice(0)}else{a[e]=a[e]||{};for(var r in t[e]){a[e][r]=t[e][r]}}},parse:function(e,t,a){try{s._parserData={};s._oXPath=s.getXPath();return s._parse(e,t,a)}finally{delete s._parserData;delete s._oXPath}},_parse:function(e,t,r){var n={},o,l,p,u,f,d,c,m,h,y,v,g,A,N,P,_,x,D,b,T,V,E,X,C=[];s._parserData.metadataInstance=e;s._parserData.serviceMetadata=e.getServiceMetadata();s._parserData.xmlDocument=s._oXPath.setNameSpace(t);s._parserData.schema={};s._parserData.aliases={};s._parserData.url=r?r:"metadata document";s._parserData.annotationsAtArrays=C;o=s._oXPath.selectNodes("//d:Schema",s._parserData.xmlDocument);for(E=0;E<o.length;E+=1){l=s._oXPath.nextNode(o,E);s._parserData.schema.Alias=l.getAttribute("Alias");s._parserData.schema.Namespace=l.getAttribute("Namespace")}var O={};var R=s._parseReferences(O);if(R){n.annotationReferences=O;n.aliasDefinitions=s._parserData.aliases}p=s._oXPath.selectNodes("//d:Term",s._parserData.xmlDocument);if(p.length>0){u={};for(X=0;X<p.length;X+=1){f=s._oXPath.nextNode(p,X);d=s.replaceWithAlias(f.getAttribute("Type"));u["@"+s._parserData.schema.Alias+"."+f.getAttribute("Name")]=d}n.termDefinitions=u}s._parserData.metadataProperties=s.getAllPropertiesMetadata(s._parserData.serviceMetadata);if(s._parserData.metadataProperties.extensions){n.propertyExtensions=s._parserData.metadataProperties.extensions}c=s._oXPath.selectNodes("//d:Annotations ",s._parserData.xmlDocument);for(X=0;X<c.length;X+=1){m=s._oXPath.nextNode(c,X);if(m.hasChildNodes()===false){continue}h=m.getAttribute("Target");y=h.split(".")[0];if(y&&s._parserData.aliases[y]){h=h.replace(new RegExp(y,""),s._parserData.aliases[y])}v=h;g=null;var S=null;if(h.indexOf("/")>0){v=h.split("/")[0];var F=s._parserData.serviceMetadata.dataServices&&s._parserData.serviceMetadata.dataServices.schema&&s._parserData.serviceMetadata.dataServices.schema.length;if(F){for(var M=s._parserData.serviceMetadata.dataServices.schema.length-1;M>=0;M--){var W=s._parserData.serviceMetadata.dataServices.schema[M];if(W.entityContainer){var k=v.split(".");for(var w=W.entityContainer.length-1;w>=0;w--){if(W.entityContainer[w].name===k[k.length-1]){S=h.replace(v+"/","");break}}}}}if(!S){g=h.replace(v+"/","")}}if(g){if(!n.propertyAnnotations){n.propertyAnnotations={}}if(!n.propertyAnnotations[v]){n.propertyAnnotations[v]={}}if(!n.propertyAnnotations[v][g]){n.propertyAnnotations[v][g]={}}A=s._oXPath.selectNodes("./d:Annotation",m);for(var L=0;L<A.length;L+=1){N=s._oXPath.nextNode(A,L);P=s.replaceWithAlias(N.getAttribute("Term"));var I=i(N);if(I){P+="#"+I}if(N.hasChildNodes()===false){var B={};s.enrichFromPropertyValueAttributes(B,N);if(a(B)){B.Bool="true"}n.propertyAnnotations[v][g][P]=B}else{n.propertyAnnotations[v][g][P]=s.getPropertyValue(N)}}}else{var j;if(S){if(!n["EntityContainer"]){n["EntityContainer"]={}}if(!n["EntityContainer"][v]){n["EntityContainer"][v]={}}j=n["EntityContainer"][v]}else{if(!n[v]){n[v]={}}j=n[v]}_=v.replace(s._parserData.aliases[y],y);A=s._oXPath.selectNodes("./d:Annotation",m);for(var G=0;G<A.length;G+=1){N=s._oXPath.nextNode(A,G);var Q=j;if(S){if(!j[S]){j[S]={}}Q=j[S]}s._parseAnnotation(v,N,Q)}x=s._oXPath.selectNodes("//d:Annotations[contains(@Target, '"+_+"')]//d:PropertyValue[contains(@Path, '/')]//@Path",s._parserData.xmlDocument);for(E=0;E<x.length;E+=1){D=s._oXPath.nextNode(x,E);b=D.value;if(n.propertyAnnotations){if(n.propertyAnnotations[v]){if(n.propertyAnnotations[v][b]){continue}}}T=b.split("/");if(s.findNavProperty(v,T[0])){if(!n.expand){n.expand={}}if(!n.expand[v]){n.expand[v]={}}n.expand[v][T[0]]=T[0]}}V=s._oXPath.selectNodes("//d:Annotations[contains(@Target, '"+_+"')]//d:Path[contains(., '/')]",s._parserData.xmlDocument);for(E=0;E<V.length;E+=1){D=s._oXPath.nextNode(V,E);b=s._oXPath.getNodeText(D);if(n.propertyAnnotations&&n.propertyAnnotations[v]&&n.propertyAnnotations[v][b]){continue}if(!n.expand){n.expand={}}if(!n.expand[v]){n.expand[v]={}}T=b.split("/");if(s.findNavProperty(v,T[0])){if(!n.expand){n.expand={}}if(!n.expand[v]){n.expand[v]={}}n.expand[v][T[0]]=T[0]}}}}if(C.length){n.annotationsAtArrays=C.map(function(e){return s.backupAnnotationAtArray(e,n)})}return n},backupAnnotationAtArray:function(e,t){var a,r=[];function n(){return Array.prototype.filter.call(e.parentNode.childNodes,function(e){return e.nodeType===1}).indexOf(e)}while(e.nodeName!=="Annotations"){switch(e.nodeName){case"Annotation":a=i(e);r.unshift(e.getAttribute("Term")+(a?"#"+a:""));break;case"Collection":break;case"PropertyValue":r.unshift(e.getAttribute("Property"));break;case"Record":if(e.parentNode.nodeName==="Collection"){r.unshift(n())}break;default:if(e.parentNode.nodeName==="Apply"){r.unshift("Value");r.unshift(n());r.unshift("Parameters")}else{r.unshift(e.nodeName)}break}e=e.parentNode}r.unshift(e.getAttribute("Target"));r=r.map(function(e){return typeof e==="string"?s.replaceWithAlias(e):e});s.syncAnnotationsAtArrays(t,r,true);return r},restoreAnnotationsAtArrays:function(e){if(e.annotationsAtArrays){e.annotationsAtArrays.forEach(function(t){s.syncAnnotationsAtArrays(e,t)})}},syncAnnotationsAtArrays:function(e,a,r){var n,o=a.length-2,i=a[o+1],s=e,l=a[o],p=l+"@"+i;for(n=0;n<o;n+=1){s=s&&s[a[n]]}if(s&&Array.isArray(s[l])){if(!(p in s)){s[p]=s[l][i]}if(!(i in s[l])){s[l][i]=s[p]}}else if(r){t.warning("Wrong path to annotation at array",a,"sap.ui.model.odata.AnnotationParser")}},_parseAnnotation:function(e,t,a){var r=i(t);var n=s.replaceWithAlias(t.getAttribute("Term"));if(r){n+="#"+r}var o=s.getPropertyValue(t,e);o=s.setEdmTypes(o,s._parserData.metadataProperties.types,e,s._parserData.schema);a[n]=o;if(Array.isArray(a)){s._parserData.annotationsAtArrays.push(t)}},_parseReferences:function(e){var t=false;var a,r;var n=s._oXPath;var o="//edmx:Reference/edmx:Include[@Namespace and @Alias]";var i=n.selectNodes(o,s._parserData.xmlDocument);for(r=0;r<i.length;++r){t=true;a=n.nextNode(i,r);s._parserData.aliases[a.getAttribute("Alias")]=a.getAttribute("Namespace")}s._parserData.aliasesByLength=Object.keys(s._parserData.aliases).sort(function(e,t){return t.length-e.length});var l="//edmx:Reference[@Uri]/edmx:IncludeAnnotations[@TermNamespace]";var p=n.selectNodes(l,s._parserData.xmlDocument);for(r=0;r<p.length;++r){t=true;a=n.nextNode(p,r);var u=a.getAttribute("TermNamespace");var f=a.getAttribute("TargetNamespace");var d=a.parentNode.getAttribute("Uri");if(f){if(!e[f]){e[f]={}}e[f][u]=d}else{e[u]=d}}return t},getAllPropertiesMetadata:function(e){var t={},a={},r={},n=false,o,i,s,l={},p={},u={},f=false,d,c,m,h,y,v={types:a};if(!e.dataServices.schema){return v}for(var g=e.dataServices.schema.length-1;g>=0;g-=1){t=e.dataServices.schema[g];if(t.entityType){o=t.namespace;i=t.entityType;s=t.complexType;for(var A=0;A<i.length;A+=1){l=i[A];u={};p={};if(l.property){for(var N=0;N<l.property.length;N+=1){d=l.property[N];if(d.type.substring(0,o.length)===o){if(s){for(var P=0;P<s.length;P+=1){if(s[P].name===d.type.substring(o.length+1)){if(s[P].property){for(var _=0;_<s[P].property.length;_+=1){c=s[P].property[_];p[s[P].name+"/"+c.name]=c.type}}}}}}else{m=d.name;h=d.type;if(d.extensions){for(var x=0;x<d.extensions.length;x+=1){y=d.extensions[x];if(y.name==="display-format"&&y.value==="Date"){h="Edm.Date"}else{f=true;if(!u[m]){u[m]={}}if(y.namespace&&!u[m][y.namespace]){u[m][y.namespace]={}}u[m][y.namespace][y.name]=y.value}}}p[m]=h}}}if(!a[o+"."+l.name]){a[o+"."+l.name]={}}a[o+"."+l.name]=p;if(f){if(!r[o+"."+l.name]){n=true}r[o+"."+l.name]={};r[o+"."+l.name]=u}}}}if(n){v={types:a,extensions:r}}return v},setEdmTypes:function(e,t,a,r){function n(n){var o,i="";if(e[n]){o=e[n];if(o.Value&&o.Value.Path){i=s.getEdmType(o.Value.Path,t,a,r);if(i){e[n].EdmType=i}}else if(o.Path){i=s.getEdmType(o.Path,t,a,r);if(i){e[n].EdmType=i}}else if(o.Facets){e[n].Facets=s.setEdmTypes(o.Facets,t,a,r)}else if(o.Data){e[n].Data=s.setEdmTypes(o.Data,t,a,r)}else if(n==="Data"){e.Data=s.setEdmTypes(o,t,a,r)}else if(o.Value&&o.Value.Apply){e[n].Value.Apply.Parameters=s.setEdmTypes(o.Value.Apply.Parameters,t,a,r)}else if(o.Value&&o.Type&&o.Type==="Path"){i=s.getEdmType(o.Value,t,a,r);if(i){e[n].EdmType=i}}}}if(Array.isArray(e)){for(var o=0;o<e.length;o+=1){n(o)}}else{for(var i in e){n(i)}}return e},getEdmType:function(e,t,a,r){var n=e.indexOf("/");if(n>-1){var o=e.substr(0,n);var i=s.findNavProperty(a,o);if(i){var l=s._parserData.metadataInstance._getEntityTypeByNavPropertyObject(i);if(l){a=l.entityType;e=e.substr(n+1)}}}if(e.charAt(0)==="@"&&e.indexOf(r.Alias)===1){e=e.slice(r.Alias.length+2)}if(e.indexOf("/")>=0){if(t[e.slice(0,e.indexOf("/"))]){a=e.slice(0,e.indexOf("/"));e=e.slice(e.indexOf("/")+1)}}return t[a]&&t[a][e]},enrichFromPropertyValueAttributes:function(e,t){var a={Property:true,Qualifier:true,Term:true,xmlns:true};for(var r=0;r<t.attributes.length;r+=1){var n=t.attributes[r].name;if(!a[n]&&n.indexOf("xmlns:")!==0){var o=t.attributes[r].value;if(n==="EnumMember"&&o.indexOf(" ")>-1){var i=o.split(" ");e[n]=i.map(s.replaceWithAlias).join(" ")}else{e[n]=s.replaceWithAlias(o)}}}return e},_getRecordValues:function(e){var t=[];var a=s._oXPath;for(var r=0;r<e.length;++r){var n=a.nextNode(e,r);var o=s.getPropertyValues(n);var i=n.getAttribute("Type");if(i){o["RecordType"]=s.replaceWithAlias(i)}t.push(o)}return t},_getTextValues:function(e){var t=[];var a=s._oXPath;for(var r=0;r<e.length;r+=1){var n=a.nextNode(e,r);var o={};var i=a.getNodeText(n);o[n.nodeName]=s._parserData.aliases?s.replaceWithAlias(i):i;t.push(o)}return t},_getTextValue:function(e){var t=s._oXPath;var a="";if(e.nodeName in r){a=s.replaceWithAlias(t.getNodeText(e))}else{a=t.getNodeText(e)}if(e.nodeName!=="String"){a=a.trim()}return a},getPropertyValue:function(e,a){var r;var i=s._oXPath;var l=e.nodeName==="Collection"?[]:{};if(e.hasChildNodes()){var p=i.selectNodes("./d:Record",e);var u=s._getRecordValues(p);var f=i.selectNodes("./d:Collection/d:Record | ./d:Collection/d:If/d:Record",e);var d=s._getRecordValues(f);var c=u.concat(d);if(c.length>0){if(f.length===0&&p.length>0){l=c[0]}else{l=c}}else{var m=i.selectNodes("./d:Collection/d:AnnotationPath | ./d:Collection/d:NavigationPropertyPath | ./d:Collection/d:PropertyPath",e);if(m.length>0){l=s._getTextValues(m)}else{var h=i.selectNodes('./d:*[not(local-name() = "Annotation")]',e);if(h.length>0){for(r=0;r<h.length;r++){var y=i.nextNode(h,r);var v;var g=y.nodeName;var A=y.parentNode.nodeName;if(g==="Apply"){v=s.getApplyFunctions(y)}else{v=s.getPropertyValue(y)}if(o[A]){if(!Array.isArray(l)){l=[]}var N={};N[g]=v;l.push(N)}else if(g==="Collection"){l=v}else{if(l[g]){t.warning("Annotation contained multiple "+g+" values. Only the last "+"one will be stored: "+i.getPath(y))}l[g]=v}}s.enrichFromPropertyValueAttributes(l,e)}else if(e.nodeName in n){l=s._getTextValue(e)}else{s.enrichFromPropertyValueAttributes(l,e)}}}var P=i.selectNodes("./d:Annotation",e);if(P.length>0){for(r=0;r<P.length;r++){var _=i.nextNode(P,r);s._parseAnnotation(a,_,l)}}}else if(e.nodeName in n){l=s._getTextValue(e)}else if(e.nodeName.toLowerCase()==="null"){l=null}else{s.enrichFromPropertyValueAttributes(l,e)}return l},getPropertyValues:function(t){var a={},r;var n=s._oXPath;var o=n.selectNodes("./d:Annotation",t);var i=n.selectNodes("./d:PropertyValue",t);function l(e,t,a){var r,n=e;while(n.nodeName!=="Annotation"){n=n.parentNode}r=n.parentNode;return t+" '"+a+"' is defined twice; "+"Source = "+s._parserData.url+", Annotation Target = "+r.getAttribute("Target")+", Term = "+n.getAttribute("Term")}if(o.length===0&&i.length===0){a=s.getPropertyValue(t)}else{for(r=0;r<o.length;r++){var p=n.nextNode(o,r);var u=s.replaceWithAlias(p.getAttribute("Term"));e(!a[u],function(){return l(t,"Annotation",u)});a[u]=s.getPropertyValue(p)}for(r=0;r<i.length;r++){var f=n.nextNode(i,r);var d=f.getAttribute("Property");e(!a[d],function(){return l(t,"Property",d)});a[d]=s.getPropertyValue(f);var c=n.selectNodes("./d:Apply",f);for(var m=0;m<c.length;m+=1){var h=n.nextNode(c,m);a[d]={};a[d]["Apply"]=s.getApplyFunctions(h)}}}return a},getApplyFunctions:function(e){var t=s._oXPath;var a={Name:e.getAttribute("Function"),Parameters:[]};var r=t.selectNodes("./d:*",e);for(var n=0;n<r.length;n+=1){var i=t.nextNode(r,n);var l={Type:i.nodeName};if(i.nodeName==="Apply"){l.Value=s.getApplyFunctions(i)}else if(i.nodeName==="LabeledElement"){l.Value=s.getPropertyValue(i);l.Name=l.Value.Name;delete l.Value.Name}else if(o[i.nodeName]){l.Value=s.getPropertyValue(i)}else{l.Value=t.getNodeText(i)}a.Parameters.push(l)}return a},findNavProperty:function(e,t){var a=s._parserData.serviceMetadata;for(var r=a.dataServices.schema.length-1;r>=0;r-=1){var n=a.dataServices.schema[r];if(n.entityType){var o=n.namespace+".";var i=n.entityType;for(var l=i.length-1;l>=0;l-=1){if(o+i[l].name===e&&i[l].navigationProperty){for(var p=0;p<i[l].navigationProperty.length;p+=1){if(i[l].navigationProperty[p].name===t){return i[l].navigationProperty[p]}}}}}}return null},replaceWithAlias:function(e){s._parserData.aliasesByLength.some(function(t){if(e.includes(t+".")&&!e.includes("."+t+".")){e=e.replace(t+".",s._parserData.aliases[t]+".");return true}return false});return e},getXPath:function(){var e={};var a=s._parserData;e={setNameSpace:function(e){return e},nsResolver:function(e){var t={edmx:"http://docs.oasis-open.org/odata/ns/edmx",d:"http://docs.oasis-open.org/odata/ns/edm"};return t[e]||null},selectNodes:function(e,t){var r=a.xmlDocument.evaluate(e,t,this.nsResolver,7,null);r.length=r.snapshotLength;return r},nextNode:function(e,t){return e.snapshotItem(t)},getNodeText:function(e){return e.textContent}};e.getPath=function(a){var r="";var n="getAttribute"in a?a.getAttribute("id"):"";var o=a.tagName?a.tagName:"";if(n){r='id("'+n+'")'}else if(a instanceof Document){r="/"}else if(o.toLowerCase()==="body"){r=o}else if(a.parentNode){var i=1;for(var s=0;s<a.parentNode.childNodes.length;++s){if(a.parentNode.childNodes[s]===a){r=e.getPath(a.parentNode)+"/"+o+"["+i+"]";break}else if(a.parentNode.childNodes[s].nodeType===1&&a.parentNode.childNodes[s].tagName===o){++i}}}else{t.error("Wrong Input node - cannot find XPath to it: "+o)}return r};return e}};return s});
//# sourceMappingURL=AnnotationParser.js.map