/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/Log","sap/ui/core/CalendarType","sap/ui/core/date/UI5Date","sap/ui/core/format/DateFormat","sap/ui/model/FormatException","sap/ui/model/odata/type/DateTimeBase"],function(t,e,i,r,o,n){"use strict";var a=n.extend("sap.ui.model.odata.type.DateTimeOffset",{constructor:function(e,i){var r;n.call(this,e,{nullable:i?i.nullable:undefined,precision:i?i.precision:undefined});this.rDateTimeOffset=undefined;this.oModelFormat=undefined;this.bV4=false;if(i){r=i.V4;if(r===true){this.bV4=true}else if(r!==undefined&&r!==false){t.warning("Illegal V4: "+r,null,this.getName())}}}});function s(t){var i="yyyy-MM-dd'T'HH:mm:ss",o;if(!t.oModelFormat){o=t.oConstraints&&t.oConstraints.precision;if(o){i+="."+"".padEnd(o,"S")}t.oModelFormat=r.getDateInstance({calendarType:e.Gregorian,pattern:i+"XXX",strictParsing:true,UTC:t.oFormatOptions&&t.oFormatOptions.UTC})}return t.oModelFormat}a.prototype._resetModelFormatter=function(){this.oModelFormat=undefined};a.prototype.formatValue=function(t,e){var r;if(t===undefined||t===null){return null}if(this.getPrimitiveType(e)==="object"){if(t instanceof Date){return i.getInstance(t.getUTCFullYear(),t.getUTCMonth(),t.getUTCDate(),t.getUTCHours(),t.getUTCMinutes(),t.getUTCSeconds())}return s(this).parse(t)}if(typeof t==="string"&&this.getPrimitiveType(e)==="string"){r=s(this).parse(t);if(!r){throw new o("Illegal "+this.getName()+" value: "+t)}t=r}return n.prototype.formatValue.call(this,t,e)};a.prototype.getConstraints=function(){var t=n.prototype.getConstraints.call(this);if(this.bV4){t.V4=true}return t};a.prototype.getISOStringFromModelValue=function(t){if(!t){return null}return this.bV4?t:t.toISOString()};a.prototype.getModelFormat=function(){if(this.bV4){return s(this)}return n.prototype.getModelFormat.call(this)};a.prototype.getModelValue=function(t){var e=this._getModelValue(t);if(this.bV4&&e!==null){e=this.getModelFormat().format(e)}this.validateValue(e);return e};a.prototype.getModelValueFromISOString=function(t){if(!t){return null}return this.bV4?this.getModelFormat().format(i.getInstance(t),true):i.getInstance(t)};a.prototype.getName=function(){return"sap.ui.model.odata.type.DateTimeOffset"};a.prototype.parseValue=function(t,e){var i=n.prototype.parseValue.call(this,t,e);return this.bV4&&i!==null?s(this).format(i):i};a.prototype.setV4=function(){this.bV4=true;return this};a.prototype.validateValue=function(t){var e;if(this.bV4){if(typeof t==="string"){if(!this.rDateTimeOffset){e=this.oConstraints&&this.oConstraints.precision;this.rDateTimeOffset=new RegExp("^"+"\\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[12]\\d|3[01])"+"T"+"(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d"+(e?"(\\.\\d{1,"+e+"})?":"")+")?"+"(?:Z|[-+](?:0\\d|1[0-3]):[0-5]\\d|[-+]14:00)$","i")}if(this.rDateTimeOffset.test(t)){return}}else if(t){t=t.toString()}}n.prototype.validateValue.call(this,t)};return a});
//# sourceMappingURL=DateTimeOffset.js.map