/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/util/deepExtend","sap/base/util/extend","sap/ui/model/ChangeReason","sap/ui/model/Context","sap/ui/model/ContextBinding"],function(e,t,i,n,o){"use strict";var s=o.extend("sap.ui.model.odata.v2.ODataContextBinding",{constructor:function(t,i,n,s,a){o.call(this,t,i,n,s,a);this.sRefreshGroupId=undefined;this.bPendingRequest=false;this.mParameters=e({},this.mParameters);this.bCreatePreliminaryContext=this.mParameters.createPreliminaryContext||t.bPreliminaryContext;this.bUsePreliminaryContext=this.mParameters.usePreliminaryContext||t.bPreliminaryContext;this.mParameters.createPreliminaryContext=this.bCreatePreliminaryContext;this.mParameters.usePreliminaryContext=this.bUsePreliminaryContext;this.bPendingRequest=false}});s.prototype.initialize=function(){var e,t,o,s=this.oContext&&this.oContext.isPreliminary(),a=this.isRelative()&&this.oContext&&this.oContext.isTransient&&this.oContext.isTransient(),r=this;if(!this.oModel.oMetadata.isLoaded()||!this.bInitial){return}this.bInitial=false;if(s&&!this.bUsePreliminaryContext){return}o=this.getResolvedPath();if(!o||a){this.oElementContext=null;this._fireChange({reason:i.Context});return}t=this.oModel._isReloadNeeded(o,this.mParameters);if(t){this.fireDataRequested();this.bPendingRequest=true}e=this.oModel.createBindingContext(this.sPath,this.oContext,this.mParameters,function(e){var o,s=e&&e.isRefreshForced(),a=e&&e.isUpdated();if(r.bCreatePreliminaryContext&&e&&r.oElementContext){r.oElementContext.setPreliminary(false);r.oModel._updateContext(r.oElementContext,e.getPath());r._fireChange({reason:i.Context},false,true)}else if(!e||n.hasChanged(e,r.oElementContext)){r.oElementContext=e;r._fireChange({reason:i.Context},s,a)}if(t){if(r.oElementContext){o=r.oElementContext.getObject(r.mParameters)}r.oModel.callAfterUpdate(function(){r.fireDataReceived({data:o})});r.bPendingRequest=false}},t);if(e){if(this.bCreatePreliminaryContext&&this.oElementContext!==e){e.setPreliminary(true);this.oElementContext=e;this.oModel.oMetadata.loaded().then(function(){this._fireChange({reason:i.Context})}.bind(this))}}else if(this.oContext){this.oElementContext=null;this._fireChange({reason:i.Context})}};s.prototype.checkUpdate=function(){var e,t=this.mParameters,n=this.oContext&&this.oContext.isPreliminary();if(this.bInitial||this.bPendingRequest){return}if(this.oContext&&this.oContext.isUpdated()){this.setContext(this.oContext);return}if(n&&!this.bUsePreliminaryContext){return}if(t.createPreliminaryContext){t=Object.assign({},t);delete t.createPreliminaryContext}e=this.oModel.createBindingContext(this.sPath,this.oContext,t);if(e!==undefined&&e!==this.oElementContext){this.oElementContext=e;this._fireChange({reason:i.Context})}};s.prototype.refresh=function(e,t){if(typeof e==="string"){t=e;e=false}this.sRefreshGroupId=t;this._refresh(e);this.sRefreshGroupId=undefined};s.prototype._refresh=function(e,o){var s,a,r,h,l,C=false,x=this.mParameters,f=this.isRelative()&&this.oContext&&this.oContext.isTransient&&this.oContext.isTransient(),d=this.getResolvedPath(),m=this;if(this.bInitial||f){return}if(o){l=this.oModel._getObject(this.sPath,this.oContext);if(l){h=this.oModel._getKey(l);if(h in o){C=true}}}else{C=true}if(e||C){if(d){this.fireDataRequested();this.bPendingRequest=true}if(this.sRefreshGroupId){x=t({},this.mParameters);x.groupId=this.sRefreshGroupId}s=this.oModel.createBindingContext(this.sPath,this.oContext,x,function(t){if(m.bCreatePreliminaryContext&&t&&m.oElementContext){m.oElementContext.setPreliminary(false);m.oModel._updateContext(m.oElementContext,t.getPath());m._fireChange({reason:i.Context},false,true)}else if(n.hasChanged(t,m.oElementContext)||e){m.oElementContext=t;m._fireChange({reason:i.Context},e)}if(m.oElementContext){r=m.oElementContext.getObject(m.mParameters)}if(d){m.oModel.callAfterUpdate(function(){m.fireDataReceived({data:r})});m.bPendingRequest=false}},true);if(s&&this.bCreatePreliminaryContext){if(this.oElementContext!==s||e){s.setPreliminary(true);this.oElementContext=s;a=this.oElementContext.sPath;this.oModel._updateContext(this.oElementContext,d);this._fireChange({reason:i.Context},e);this.oModel._updateContext(this.oElementContext,a)}}}};s.prototype.setContext=function(e){var t,o,s,a,r,h,l=e&&e.isRefreshForced(),C=e&&e.isPreliminary(),x=e&&e.isTransient&&e.isTransient(),f=e&&e.isUpdated(),d=this;if(this.bInitial||!this.isRelative()){return}if(C&&!this.bUsePreliminaryContext){return}if(f&&this.bUsePreliminaryContext){this._fireChange({reason:i.Context});return}if(n.hasChanged(this.oContext,e)){this.oContext=e;h=this.getResolvedPath();if(h&&x){a=this.oModel.oMetadata._splitByLastNavigationProperty(h).lastNavigationProperty}if(!h||a){if(this.oElementContext!==null){this.oElementContext=null;this._fireChange({reason:i.Context})}return}s=this.oModel._getObject(this.sPath,this.oContext);r=l||this.oModel._isReloadNeeded(h,this.mParameters);if(h&&r){this.fireDataRequested();this.bPendingRequest=true}t=this.oModel.createBindingContext(this.sPath,this.oContext,this.mParameters,function(e){if(d.bCreatePreliminaryContext&&e&&d.oElementContext){d.oElementContext.setPreliminary(false);d.oModel._updateContext(d.oElementContext,e.getPath());d._fireChange({reason:i.Context},false,true)}else if(n.hasChanged(e,d.oElementContext)){d.oElementContext=e;d._fireChange({reason:i.Context},l,f)}if(h&&r){if(d.oElementContext){s=d.oElementContext.getObject(d.mParameters)}d.oModel.callAfterUpdate(function(){d.fireDataReceived({data:s})});d.bPendingRequest=false}},r);if(t){if(this.bCreatePreliminaryContext){t.setPreliminary(true);this.oElementContext=t;o=this.oElementContext.sPath;this.oModel._updateContext(this.oElementContext,h);this._fireChange({reason:i.Context},l);this.oModel._updateContext(this.oElementContext,o)}}else if(this.oContext&&this.oElementContext!==null){this.oElementContext=null;this._fireChange({reason:i.Context})}}};s.prototype._fireChange=function(e,t,i){var n;if(this.oElementContext){n=this.oElementContext.isUpdated();this.oElementContext.setForceRefresh(t);this.oElementContext.setUpdated(i)}o.prototype._fireChange.call(this,e);if(this.oElementContext){this.oElementContext.setForceRefresh(false);this.oElementContext.setUpdated(n)}};return s});
//# sourceMappingURL=ODataContextBinding.js.map