/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/util/each","sap/base/util/isEmptyObject","sap/ui/core/Lib","sap/ui/core/date/UI5Date","sap/ui/core/format/DateFormat","sap/ui/model/FormatException","sap/ui/model/ParseException","sap/ui/model/SimpleType","sap/ui/model/ValidateException"],function(t,e,o,a,r,i,s,n,u){"use strict";var p=n.extend("sap.ui.model.type.Date",{constructor:function(){n.apply(this,arguments);this.sName="Date"}});p.prototype.formatValue=function(t,e){var o;switch(this.getPrimitiveType(e)){case"string":case"any":if(t==null){return""}if(this.oFormatOptions.source&&this.oFormatOptions.source.pattern!=="timestamp"&&t===""){return""}o=this.getModelFormat();t=o.parse(t);return this.oOutputFormat.format(t);default:throw new i("Don't know how to format Date to "+e)}};p.prototype.parseValue=function(t,e){var a,r;switch(this.getPrimitiveType(e)){case"string":if(t===""){return null}a=this.oOutputFormat.parse(t);if(!a){r=o.getResourceBundleFor("sap.ui.core");throw new s(r.getText(this.sName+".Invalid"))}if(this.oInputFormat){if(this.oFormatOptions.source.pattern=="timestamp"){a=a.getTime()}else{a=this.oInputFormat.format(a)}}return a;default:throw new s("Don't know how to parse Date from "+e)}};p.prototype.validateValue=function(e){if(this.oConstraints){var a=o.getResourceBundleFor("sap.ui.core"),r=[],i=[],s=this.oInputFormat,n,p=this;if(s&&this.oFormatOptions.source.pattern!="timestamp"){e=s.parse(e)}t(this.oConstraints,function(t,o){if(s){o=s.parse(o)}n=p.oOutputFormat.format(o);switch(t){case"minimum":if(e<o){r.push("minimum");i.push(a.getText(p.sName+".Minimum",[n]))}break;case"maximum":if(e>o){r.push("maximum");i.push(a.getText(p.sName+".Maximum",[n]))}break;default:break}});if(r.length>0){throw new u(this.combineMessages(i),r)}}};var m={format:function(t){if(t instanceof Date){return t.getTime()}return null},parse:function(t){if(typeof t!="number"){if(isNaN(t)){throw new i("Cannot format date: "+t+" is not a valid Timestamp")}else{t=parseInt(t)}}t=a.getInstance(t);return t}};p.prototype.getModelFormat=function(){if(this.oInputFormat){if(this.oFormatOptions.source.pattern=="timestamp"){return m}else{return this.oInputFormat}}else{return n.prototype.getModelFormat.call(this)}};p.prototype.setFormatOptions=function(t){this.oFormatOptions=t;this._createFormats()};p.prototype.getOutputPattern=function(){return this.oOutputFormat.oFormatOptions.pattern};p.prototype._handleLocalizationChange=function(){this._createFormats()};p.prototype._createFormats=function(){var t=this.oFormatOptions.source;this.oOutputFormat=r.getInstance(this.oFormatOptions);if(t){if(e(t)){t={pattern:"yyyy-MM-dd"}}this.oInputFormat=r.getInstance(t)}};p.prototype.getPlaceholderText=function(){return this.oOutputFormat.getPlaceholderText()};return p});
//# sourceMappingURL=Date.js.map