/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/core/mvc/Controller","sap/ui/core/mvc/XMLView","sap/ui/model/Filter","sap/ui/model/FilterType","sap/ui/model/json/JSONModel","sap/base/security/encodeXML"],function(jQuery,t,e,n,i,r,s){"use strict";var a=/^((?:[a-z0-9]+\.)+_?[A-Z]\w+)(\.[a-z]\w+)?$/,o="\t\t.blanket-source {\t\t\toverflow-x: scroll;\t\t\tbackground-color: #FFFFFF;\t\t\tborder: 1px solid #CBCBCB;\t\t\tcolor: #363636;\t\t\tmargin: 25px 20px;\t\t\twidth: 80%;\t\t}\t\t.blanket-source div {\t\t\twhite-space: pre;\t\t\ttab-size: 4;\t\t\tfont-family: monospace;\t\t}\t\t.blanket-source > div > span:first-child {\t\t\tbackground-color: #EAEAEA;\t\t\tcolor: #949494;\t\t\tdisplay: inline-block;\t\t\tpadding: 0 10px;\t\t\ttext-align: center;\t\t\twidth: 30px;\t\t}\t\t.blanket-source .hits {\t\t\tbackground-color: #EAEAEA;\t\t\tcolor: green;\t\t\tdisplay: inline-block;\t\t\tpadding: 0 10px;\t\t\ttext-align: right;\t\t\twidth: 30px;\t\t}\t\t.blanket-source span.highlight {\t\t\tcolor: black;\t\t\tbackground-color: yellow\t\t}\t\t.blanket-source .hit {\t\t\tbackground-color: lightgreen\t\t}\t\t.blanket-source .miss {\t\t\tbackground-color: #e6c3c7\t\t}\t\t.blanket-source .skipped {\t\t\tfont-style: italic\t\t}\t\t.blanket-source .miss span.highlight {\t\t\tbackground-color: #e6c3c7\t\t}\t\t.coverageSummary {\t\t\tbackground-color: #0D3349;\t\t\tborder-radius: 0 0 5px 5px;\t\t\tfont-family: Calibri, Helvetica, Arial, sans-serif;\t\t\tfont-size: 1.5em;\t\t\tfont-weight: 400;\t\t\tline-height: 1em;\t\t\tpadding: 0.5em 0 0.5em 1em;\t\t}\t\t.coverageSummary a {\t\t\tcolor: #C6E746;\t\t}\t\t.coverageSummary a:hover,\t\t.coverageSummary a:focus {\t\t\tcolor: #FFFFFF;\t\t}\t";t.extend("sap.ui.test.BlanketReporterUI",{filterThreshold:function(t){var e,r=null,s=this.byId("Files"),a=this.getView().getModel().getProperty("/threshold");if(t){r=new n({filters:[new n("lines/coverage","LT",a),new n("branches/coverage","LT",a)],and:false})}e=s.getBinding("rows");e.filter(r,i.Application)},onBeforeRendering:function(){this.filterThreshold(this.getView().getModel().getProperty("/filterThreshold"))},onFilterThreshold:function(t){this.filterThreshold(t.getParameter("selected"))},onRowSelection:function(){var t,e,n=this.byId("blanket-source"),i,r=this.getView().getModel(),s,a=this.byId("Files"),o=a.getSelectedIndex()-a.getFirstVisibleRow();if(o>=0){t=a.getRows()[o].getBindingContext();e=t.getObject("name");i=r.getProperty("/linesOfContext");s=r.getObject("/coverageData").files[e];n.setContent('<div class="blanket-source">'+c(s,i,r.getProperty("/showHits"))+"</div>");n.setVisible(true)}else{n.setContent("<div></div>")}}});function l(t,e,n,i,r){var a=0,o=-Infinity,l=n.reduce(g,[]).sort(u),c=0;function u(t,e){return t.line-e.line||t.column-e.column}function d(){var t="";if(c>0){t="<div class='ellipsis'><span>...</span>";if(r){t+="<span class='hits'>&nbsp;</span>"}t+="<span class='skipped'>"+c+" lines skipped</span></div>";c=0}return t}function f(t,e){e=s(e);if(e&&a){o=t;e="<span class='highlight'>"+e+"</span>"}return e}function h(t,e){var n=0,i="";while(l.length&&t===l[0].line){i+=f(t,e.slice(n,l[0].column));n=l[0].column;a+=l.shift().delta}i+=f(t,e.slice(n));return i}function g(t,e){e.start.delta=+1;t.push(e.start);e.end.delta=-1;t.push(e.end);return t}if(i===undefined){i=Infinity}return t.reduce(function(t,n,s){var a,u=l.length&&l[0].line||Infinity,f;function g(){t+="<div";if(e[s]===0){t+=" class='miss'";o=s}else if(r&&e[s]>0){t+=" class='hit'"}t+="><span>"+s+"</span>";if(r){t+="<span class='hits'>"+(e[s]>=0?e[s]+"x":"&nbsp;")+"</span>"}t+=h(s,n)+"</div>"}if(r){for(a=s;a<e.length;a+=1){if(e[a]!==undefined){f=a;break}}}else{f=e.indexOf(0,s)}if(f>=0&&f<u){u=f}if(s>=u-i||s<=o+i||u-o===2*(i+1)){t+=d();g()}else{c+=1}return t},"")+d()}function c(t,e,n){var i=t.branchTracking?t.branchTracking.reduce(r,[]):[];function r(t,e){if(!e.falsy){t.push(e.alternate)}if(!e.truthy){t.push(e.consequent)}return t}return l(t.source,t,i,n?Infinity:e,n)}function u(t,e){return e?(e-t)/e*100:100}function d(t){t.lines.coverage=u(t.lines.missed,t.lines.total);t.branches.coverage=u(t.branches.missed,t.branches.total)}function f(t,e,n,i){var s={},a={files:[],lines:{total:0,missed:0,coverage:100},branches:{total:0,missed:0,coverage:100},coverageData:t,filterThreshold:!!n,branchTracking:false,showHits:false};function o(e){var n=t.files[e],i={name:e,lines:{total:0,missed:0,coverage:100},branches:{total:0,missed:0,coverage:100}},r;if(e in s){return}s[e]=true;for(r=0;r<n.length;r++){if(n[r]!==undefined){i.lines.total++;if(n[r]===0){i.lines.missed++}}}if(n.branchTracking){a.branchTracking=true;i.branches.total=n.branchTracking.length;for(r=0;r<n.branchTracking.length;r++){if(!n.branchTracking[r].falsy||!n.branchTracking[r].truthy){i.branches.missed++}}}d(i);a.files.push(i);a.lines.total+=i.lines.total;a.lines.missed+=i.lines.missed;a.branches.total+=i.branches.total;a.branches.missed+=i.branches.missed}if(i&&i.every(function(e){return e in t.files})){a.filterThreshold=false}else{i=Object.keys(t.files)}i.sort().forEach(o);a.linesOfContext=e;a.threshold=n;a.visible=Math.min(Math.max(a.files.length,3),10);d(a);return new r(a)}function h(t,n){e.create({viewName:"sap.ui.test.BlanketReporterUI",models:t}).then(function(t){t.placeAt(n)})}function g(t){var e=a.exec(t);return!e||e[2]===".integration"?undefined:jQuery.sap.getResourceName(e[1])}function p(){var t=document.createElement("div"),e=document.createElement("style");t.setAttribute("id","blanket-view");t.setAttribute("class","sapUiBody");document.body.appendChild(t);e.innerHTML=o;document.head.appendChild(e);return t}return function(t,e,n,i){var r,s,o,l=new URLSearchParams(window.location.search);function c(t){var e=a.exec(t);return e&&!e[2]}if(!document.getElementById("blanket-view")){o=n();s=f(i,t,e,o&&o.map(g));r=p();if(i.stats.failures||l.get("filter")||l.get("testId")||o&&!o.every(c)){h(s,r);return}if(s.getProperty("/lines/coverage")<e){h(s,r);throw new Error("Line coverage too low! "+s.getProperty("/lines/coverage")+" < "+e)}if(s.getProperty("/branches/coverage")<e){h(s,r);throw new Error("Branch coverage too low! "+s.getProperty("/branches/coverage")+" < "+e)}r.setAttribute("class","coverageSummary");r.innerHTML='<a href="" id="coverage">Blanket Code Coverage: OK</a>';jQuery("#coverage").one("click",function(t){t.preventDefault();jQuery(r).fadeOut(function(){h(s,p())})})}}});
//# sourceMappingURL=BlanketReporter.js.map