/*!
* OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
*/
sap.ui.define(["sap/base/util/merge","sap/base/strings/capitalize","sap/base/Log","sap/ui/core/Lib","sap/ui/test/Opa5","sap/ui/test/actions/Action","sap/ui/test/actions/Press","sap/ui/test/actions/EnterText","sap/ui/test/matchers/Matcher","sap/ui/test/matchers/MatcherFactory","sap/ui/test/pipelines/MatcherPipeline","sap/ui/test/pipelines/ActionPipeline"],function(t,n,e,r,i,o,u,s,a,c,f,p){"use strict";function h(){return t.apply(this,[{}].concat(Array.prototype.slice.call(arguments)))}function l(t,n,e){var r=Array.isArray(n)?n:[n];return r.reduce(function(n,r){if(n){return true}if(r===null||r===undefined){return t===r}if(t===null||t===undefined){return!!e}if(typeof r==="function"){if(r===Boolean){return typeof t==="boolean"}if(r===Array){return Array.isArray(t)}if(r===String){return typeof t==="string"||t instanceof String}if(r===Object){return typeof t==="object"&&t.constructor===Object}return t instanceof r}return typeof t===r},false)}function d(t){return Object.prototype.toString.call(t)==="[object Arguments]"}function g(t){var n=Array.prototype.slice.call(arguments,1);if(n.length===1&&d(n[0])){n=Array.prototype.slice.call(n[0],0)}return t.reduce(function(t,e){if(l(n[0],e,true)){t.push(n.shift())}else{t.push(undefined)}return t},[])}function y(t,n,e){if(n===undefined){n=[]}else if(!Array.isArray(n)){n=[n]}else{n=n.slice(0)}if(Array.isArray(t)){n=e?t.slice(0).concat(n):n.concat(t)}else if(t!==undefined){if(e){n.unshift(t)}else{n.push(t)}}return n}function m(t,n,e){if(!l(t,Function)){throw new Error("not a function")}if(!l(n,Function)){return t}if(e){return function(e){return n(e)&&t(e)}}return function(e){n(e);t(e)}}function A(t){if(l(t,T)){return function(){return t.execute()}}if(!l(t,Function)){return function(){i.assert.ok(true,t||"Success")}}return t}function v(t){var n="";n+=t.controlType||"Control";n+="#"+(t.id||"<undefined>");n+=t.matchers?" with "+(l(t.matchers,Array)?t.matchers.length:1)+" additional matcher(s)":"";n+=" not found";return n}function O(t,e){if(!t){return null}var r=t["get"+n(e,0)];if(!r){throw new Error("Object '"+t+"' does not have an aggregation called '"+e+"'")}return r.call(t)}function b(t,n){if(t&&n){B.process({actions:t,control:n})}}function M(t,n){return E.process({matchers:I.getFilteringMatchers({matchers:t}),control:n})}function w(t){var n=t.indexOf(">"),e=n===-1?undefined:t.substring(0,n),r=n===-1?t:t.substring(n+1);return{model:e,path:r}}function x(t){if(l(t,Boolean)){return t?T.Matchers.TRUE:T.Matchers.FALSE}return T.Matchers.match(t)}var F={autoWait:true,visible:true},I=new c,E=new f,B=new p;var T=function(t,n){var e=g([i,Object],t,n);this._oOpaInstance=e[0];return this.options(F,e[1])};T.defaultOptions=function(t){if(arguments.length>0){F=h(t)}return h(F)};T.create=function(t,n,e,r,u,s,c){var f=g([i,[String,RegExp],String,Boolean,[a,Function,Array,Object],[o,Function,Array],Object],t,n,e,r,u,s,c);return new T(f[0]).hasId(f[1]).hasType(f[2]).isDialogElement(!!f[3]).has(f[4]).do(f[5]).options(f[6])};T.prototype.options=function(t){this._oOptions=h.apply(this,[this._oOptions].concat(Array.prototype.slice.call(arguments)));return this};T.prototype.viewId=function(t){return this.options({viewId:t})};T.prototype.viewName=function(t){return this.options({viewName:t})};T.prototype.viewNamespace=function(t){return this.options({viewNamespace:t})};T.prototype.fragmentId=function(t){return this.options({fragmentId:t})};T.prototype.timeout=function(t){return this.options({timeout:t})};T.prototype.debugTimeout=function(t){return this.options({debugTimeout:t})};T.prototype.pollingInterval=function(t){return this.options({pollingInterval:t})};T.prototype.hasId=function(t){return this.options({id:t})};T.prototype.hasType=function(t){return this.options({controlType:t})};T.prototype.has=function(t,n){return this.options({matchers:n?t:y(t,this._oOptions.matchers)})};T.prototype.hasProperties=function(t){return this.has(T.Matchers.properties(t))};T.prototype.hasI18NText=function(t,n,e){return this.has(T.Matchers.i18n.apply(T.Matchers,arguments))};T.prototype.hasAggregation=function(t,n){return this.has(T.Matchers.aggregationMatcher(t,n))};T.prototype.hasAggregationProperties=function(t,n){return this.hasAggregation(t,T.Matchers.properties(n))};T.prototype.hasAggregationLength=function(t,n){return this.has(T.Matchers.aggregationLength(t,n))};T.prototype.hasChildren=function(t,n){return this.has(T.Matchers.childrenMatcher(t,n))};T.prototype.hasConditional=function(t,n,e){return this.has(T.Matchers.conditional(t,n,e))};T.prototype.hasSome=function(t){return this.has(T.Matchers.some.apply(T.Matchers,arguments))};T.prototype.mustBeEnabled=function(t){return this.options({enabled:arguments.length?!!t:true})};T.prototype.mustBeVisible=function(t){return this.options({visible:arguments.length?!!t:true})};T.prototype.mustBeReady=function(t){return this.options({autoWait:arguments.length?!!t:true})};T.prototype.isDialogElement=function(t){return this.options({searchOpenDialogs:arguments.length?!!t:true})};T.prototype.check=function(t,n){return this.options({check:n?t:m(t,this._oOptions.check,true)})};T.prototype.checkNumberOfMatches=function(t){return this.check(function(n){if(!n){return t===0}if(!l(n,Array)){n=[n]}return n.length===t})};T.prototype.do=function(t,n){if(l(t,T)){e.error("(deprecated) OpaBuilder instance is incorrectly used in .do function - use .success instead");return this.success(t)}return this.options({actions:n?t:y(t,this._oOptions.actions)})};T.prototype.doConditional=function(t,n,r){if(l(n,T)||l(r,T)){e.error("(deprecated) OpaBuilder instance is incorrectly used in .doConditional function - use .success instead");return this.success(T.Actions.conditional(t,n,r))}return this.do(T.Actions.conditional(t,n,r))};T.prototype.doPress=function(t){return this.do(T.Actions.press(t))};T.prototype.doEnterText=function(t,n,e,r,i){return this.do(T.Actions.enterText(t,n,e,r,i))};T.prototype.doOnAggregation=function(t,n,e){if(arguments.length<3){e=n;n=undefined}var r=T.Matchers.filter(n),i=b.bind(this,e);return this.do(function(n){r(O(n,t)).forEach(i)})};T.prototype.doOnChildren=function(t,n,e){var r=g([[a,Function,Array,Object,T],[o,Function,Array],Boolean],t,n,e);t=r[0];n=r[1];e=r[2];if(!l(t,T)){t=new T(this.getOpaInstance()).has(r[0])}if(n){t.do(n)}return this.do(function(n){var r=t.build(),i=T.Matchers.children(t,e)(n);return T.Actions.executor(r.actions)(i)})};T.prototype.description=function(t){return this.success(t+" - OK").error(t+" - FAILURE")};T.prototype.success=function(t,n){var e=A(t);return this.options({success:n?e:m(e,this._oOptions.success)})};T.prototype.error=function(t,n){if(l(t,String)){return this.options({errorMessage:t})}return this.options({error:n?t:m(t,this._oOptions.error)})};T.prototype.build=function(){if(!this._oOptions.errorMessage){this.error(v(this._oOptions))}return h(this._oOptions)};T.prototype.execute=function(t){if(l(t,i)){this.setOpaInstance(t)}return this.getOpaInstance().waitFor(this.build())};T.prototype.setOpaInstance=function(t){if(!l(t,i,true)){throw new Error("Opa5 instance expected")}this._oOpaInstance=t};T.prototype.getOpaInstance=function(){if(!l(this._oOpaInstance,i)){this.setOpaInstance(new i)}return this._oOpaInstance};T.Matchers={TRUE:function(){return true},FALSE:function(){return false},not:function(t){var n=T.Matchers.match(t);return function(t){return!n(t)}},ancestor:function(t,n){return{ancestor:[[t,n]]}},descendant:function(t,n){return{descendant:[[t,n]]}},properties:function(t){return{properties:t}},i18n:function(t,n,e){var r=w(n),i=r.model||"i18n",o=r.path;if(arguments.length>3||e&&!Array.isArray(e)){e=Array.prototype.slice.call(arguments,2)}return{i18NText:{propertyName:t,modelName:i,key:o,parameters:e}}},resourceBundle:function(t,n,e,i){if(arguments.length>4||i&&!Array.isArray(i)){i=Array.prototype.slice.call(arguments,3)}return function(o){var u=r.getResourceBundleFor(n),s=u.getText(e,i),a={};a[t]=s;return M({properties:a},o)}},labelFor:function(t,n,e,r){var i=3,o;if(!l(n,Boolean)){i=2;r=e;e=n;n=false}if(n){return{labelFor:{propertyName:t,text:e}}}o=w(e);if(arguments.length>i+1||r&&!Array.isArray(r)){r=Array.prototype.slice.call(arguments,i)}return{labelFor:{propertyName:t,modelName:o.model||"i18n",key:o.path,parameters:r}}},children:function(t,n){var e=g([[a,Function,Array,Object,T],Boolean],t,n);t=e[0];n=e[1];if(!l(t,T)){t=(new T).has(t)}return function(e){var r=t.build(),o=i.getPlugin().getMatchingControls(r),u=y(T.Matchers.ancestor(e,n),r.matchers,true);return T.Matchers.filter(u)(o)}},childrenMatcher:function(t,n){var e=T.Matchers.children(t,n);return function(t){return e(t).length>0}},aggregation:function(t,n){var e=T.Matchers.filter(n);return function(n){return e(O(n,t))}},aggregationMatcher:function(t,n){var e=T.Matchers.aggregation(t,n);return function(t){return e(t).length>0}},aggregationLength:function(t,n){return{aggregationLengthEquals:{name:t,length:n}}},aggregationAtIndex:function(t,n){return function(e){var r=O(e,t);return r&&n<r.length?r[n]:undefined}},bindingProperties:function(t,n){if(!n){n=t;t=undefined}return function(e){var r=e.getBindingContext(t)||e.getModel(t),i,o,u=false;if(!r){return false}if(r.isA("sap.ui.model.Model")){u=true}for(i in n){o=r.getProperty(u?"/"+i:i);if(o!==n[i]){return false}}return true}},bindingPath:function(t,n){var e=w(t);return{bindingPath:{modelName:e.model,path:e.path,propertyPath:n}}},customData:function(t){if(!t){return T.Matchers.TRUE}return function(n){if(!n||typeof n.data!=="function"){return false}return Object.keys(t).reduce(function(e,r){return e&&n.data(r)===t[r]},true)}},conditional:function(t,n,e){var r=x(t);return function(t){if(r(t)){return M(n,t)}return e?M(e,t):true}},focused:function(t){return function(n){var e=n&&n.isA("sap.ui.core.Element")&&n.$();return e&&(e.is(":focus")||e.hasClass("sapMFocus")||t&&e.find(":focus").length>0)||false}},some:function(t){if(t.length>1||t&&!Array.isArray(t)){t=Array.prototype.slice.call(arguments,0)}return function(n){var e=false;if(t.some(function(t){e=M(t,n);return e})){return e}return false}},filter:function(t){return function(n){if(n===null||n===undefined){return[]}if(!l(n,Array)){n=[n]}return M(t,n)||[]}},match:function(t){return function(n){if(n===null||n===undefined){return false}var e=M(t,[n]);return e.length?e[0]:false}}};T.Actions={press:function(t){return new u({idSuffix:t})},enterText:function(t,n,e,r,i){var o=g([String,Boolean,Boolean,Boolean,String],arguments);return new s({text:o[0],clearTextFirst:o[1],keepFocus:o[2],pressEnterKey:o[3],idSuffix:o[4]})},conditional:function(t,n,e){var r=x(t),i=n,o=e;if(l(n,T)){i=function(){return n.execute()}}if(e&&l(e,T)){o=function(){return e.execute()}}return function(t){if(r(t)){return b(i,t)}else if(o){return b(o,t)}}},executor:function(t){return function(n){if(!n){return}if(l(n,Array)){return n.map(function(n){return b(t,n)})}return b(t,n)}}};return T});
//# sourceMappingURL=OpaBuilder.js.map