/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/util/extend","sap/ui/test/autowaiter/_utils","./WaiterBase"],function(t,e,i){"use strict";var n={};var r={TRACKED:"TRACKED",STARTER:"STARTED",FINISHED:"FINISHED",CLEARED:"CLEARED"};var a;var o;var u=i.extend("sap.ui.test.autowaiter._timeoutWaiter",{hasPending:function(){var t=Object.keys(n).filter(function(t){return g(t)});var e=t.length>0;d(t);return e},_getDefaultConfig:function(){return t({maxDepth:1,maxDelay:1e3,minDelay:10},i.prototype._getDefaultConfig.call(this))},_getValidationInfo:function(){return t({maxDepth:"numeric",maxDelay:"numeric",minDelay:"numeric"},i.prototype._getValidationInfo.call(this))},_getInitiatorId:function(){return o},_isPolling:function(t){return!m(t)},_registerInitiatorResolverId:function(t){a=t}});var c=new u;function l(){if(o){return o}if(a){return a()}}function f(t){var i="set"+t;var a="clear"+t;var u=window[i];if(!u){return}var f=window[a];window[i]=function t(i,a,f){a=a||0;var s=Array.prototype.slice.call(arguments,2);var d={delay:a,initiator:l(),func:e.functionToString(i),stack:e.resolveStackTrace(),status:r.TRACKED};var g;if(f&&f==="TIMEOUT_WAITER_IGNORE"){g=u.apply(null,[i,a].concat(s.slice(1)));c._oLogger.trace("Timeout with ID "+g+" should not be tracked. "+" Delay: "+a+" Initiator: "+o);return g}var m=function t(){var e=n[g];if(!e){c._oLogger.trace("Timeout data for timeout with ID "+g+" disapered unexpectedly");e={}}o=g;c._oLogger.trace("Timeout with ID "+g+" started");e.status=r.STARTED;try{i.apply(window,s)}finally{o=undefined}c._oLogger.trace("Timeout with ID "+g+" finished");e.status=r.FINISHED};g=u.apply(null,[m,a].concat(s));c._oLogger.trace("Timeout with ID "+g+" is tracked. "+" Delay: "+a+" Initiator: "+o);n[g]=d;return g};window[a]=function t(e){if(!e){c._oLogger.trace("Could not clean timeout with invalid ID: "+e);return}var i=n[e];if(!i){c._oLogger.trace("Timeout data for timeout with ID "+e+" disapered unexpectedly or timeout was not tracked intentionally");i={}}i.status=r.CLEARED;c._oLogger.trace("Timeout with ID "+e+" cleared");f(e)}}f("Timeout");f("Immediate");function s(t,e,i,n){return"\nTimeout: ID: "+t+" Type: "+(i?"BLOCKING":"NOT BLOCKING")+" Status: "+e.status+" Delay: "+e.delay+" Initiator: "+e.initiator+(n?"\nFunction: "+e.func:"")+(n?"\nStack: "+e.stack:"")}function d(t){var e=Object.keys(n);var i="Found "+t.length+" blocking out of "+e.length+" tracked timeouts";t.forEach(function(e){i+=s(e,n[e],t.some(function(t){return t==e}),true)});c._oHasPendingLogger.debug(i);var r="Tracked timeouts";e.forEach(function(e){r+=s(e,n[e],t.some(function(t){return t==e}),true)});c._oHasPendingLogger.trace(r)}function g(t){var e=n[t];if(e.status!==r.TRACKED){return false}if(e.delay>c._mConfig.maxDelay){return false}if(e.delay>c._mConfig.minDelay){return m(t)}return true}function m(t,e){e=e||1;var i=n[t];if(i.initiator&&n[i.initiator]){if(i.delay==n[i.initiator].delay){if(e>=c._mConfig.maxDepth){return false}return m(i.initiator,e+1)}}return true}return c},true);
//# sourceMappingURL=_timeoutWaiter.js.map