/*!
 * URI.js - Mutating URLs
 * URI Template Support - http://tools.ietf.org/html/rfc6570
 *
 * Version: 1.19.11
 *
 * Author: Rodney Rehm
 * Web: http://medialize.github.io/URI.js/
 *
 * Licensed under
 *   MIT License http://www.opensource.org/licenses/mit-license
 *
 */
(function(e,r){"use strict";if(typeof module==="object"&&module.exports){module.exports=r(require("./URI"))}else if(typeof define==="function"&&define.amd){define(["./URI"],r)}else{e.URITemplate=r(e.URI,e)}})(this,function(e,r){"use strict";var t=r&&r.URITemplate;var a=Object.prototype.hasOwnProperty;function n(e){if(n._cache[e]){return n._cache[e]}if(!(this instanceof n)){return new n(e)}this.expression=e;n._cache[e]=this;return this}function i(e){this.data=e;this.cache={}}var s=n.prototype;var o={"":{prefix:"",separator:",",named:false,empty_name_separator:false,encode:"encode"},"+":{prefix:"",separator:",",named:false,empty_name_separator:false,encode:"encodeReserved"},"#":{prefix:"#",separator:",",named:false,empty_name_separator:false,encode:"encodeReserved"},".":{prefix:".",separator:".",named:false,empty_name_separator:false,encode:"encode"},"/":{prefix:"/",separator:"/",named:false,empty_name_separator:false,encode:"encode"},";":{prefix:";",separator:";",named:true,empty_name_separator:false,encode:"encode"},"?":{prefix:"?",separator:"&",named:true,empty_name_separator:true,encode:"encode"},"&":{prefix:"&",separator:"&",named:true,empty_name_separator:true,encode:"encode"}};n._cache={};n.EXPRESSION_PATTERN=/\{([^a-zA-Z0-9%_]?)([^\}]+)(\}|$)/g;n.VARIABLE_PATTERN=/^([^*:.](?:\.?[^*:.])*)((\*)|:(\d+))?$/;n.VARIABLE_NAME_PATTERN=/[^a-zA-Z0-9%_.]/;n.LITERAL_PATTERN=/[<>{}"`^| \\]/;n.expand=function(e,r,t){var a=o[e.operator];var i=a.named?"Named":"Unnamed";var s=e.variables;var p=[];var l,f,d;for(d=0;f=s[d];d++){l=r.get(f.name);if(l.type===0&&t&&t.strict){throw new Error('Missing expansion value for variable "'+f.name+'"')}if(!l.val.length){if(l.type){p.push("")}continue}if(l.type>1&&f.maxlength){throw new Error('Invalid expression: Prefix modifier not applicable to variable "'+f.name+'"')}p.push(n["expand"+i](l,a,f.explode,f.explode&&a.separator||",",f.maxlength,f.name))}if(p.length){return a.prefix+p.join(a.separator)}else{return""}};n.expandNamed=function(r,t,a,n,i,s){var o="";var p=t.encode;var l=t.empty_name_separator;var f=!r[p].length;var d=r.type===2?"":e[p](s);var c,u,h;for(u=0,h=r.val.length;u<h;u++){if(i){c=e[p](r.val[u][1].substring(0,i));if(r.type===2){d=e[p](r.val[u][0].substring(0,i))}}else if(f){c=e[p](r.val[u][1]);if(r.type===2){d=e[p](r.val[u][0]);r[p].push([d,c])}else{r[p].push([undefined,c])}}else{c=r[p][u][1];if(r.type===2){d=r[p][u][0]}}if(o){o+=n}if(!a){if(!u){o+=e[p](s)+(l||c?"=":"")}if(r.type===2){o+=d+","}o+=c}else{o+=d+(l||c?"=":"")+c}}return o};n.expandUnnamed=function(r,t,a,n,i){var s="";var o=t.encode;var p=t.empty_name_separator;var l=!r[o].length;var f,d,c,u;for(c=0,u=r.val.length;c<u;c++){if(i){d=e[o](r.val[c][1].substring(0,i))}else if(l){d=e[o](r.val[c][1]);r[o].push([r.type===2?e[o](r.val[c][0]):undefined,d])}else{d=r[o][c][1]}if(s){s+=n}if(r.type===2){if(i){f=e[o](r.val[c][0].substring(0,i))}else{f=r[o][c][0]}s+=f;if(a){s+=p||d?"=":""}else{s+=","}}s+=d}return s};n.noConflict=function(){if(r.URITemplate===n){r.URITemplate=t}return n};s.expand=function(e,r){var t="";if(!this.parts||!this.parts.length){this.parse()}if(!(e instanceof i)){e=new i(e)}for(var a=0,s=this.parts.length;a<s;a++){t+=typeof this.parts[a]==="string"?this.parts[a]:n.expand(this.parts[a],e,r)}return t};s.parse=function(){var e=this.expression;var r=n.EXPRESSION_PATTERN;var t=n.VARIABLE_PATTERN;var a=n.VARIABLE_NAME_PATTERN;var i=n.LITERAL_PATTERN;var s=[];var p=0;var l,f,d;var c=function(e){if(e.match(i)){throw new Error('Invalid Literal "'+e+'"')}return e};r.lastIndex=0;while(true){f=r.exec(e);if(f===null){s.push(c(e.substring(p)));break}else{s.push(c(e.substring(p,f.index)));p=f.index+f[0].length}if(!o[f[1]]){throw new Error('Unknown Operator "'+f[1]+'" in "'+f[0]+'"')}else if(!f[3]){throw new Error('Unclosed Expression "'+f[0]+'"')}l=f[2].split(",");for(var u=0,h=l.length;u<h;u++){d=l[u].match(t);if(d===null){throw new Error('Invalid Variable "'+l[u]+'" in "'+f[0]+'"')}else if(d[1].match(a)){throw new Error('Invalid Variable Name "'+d[1]+'" in "'+f[0]+'"')}l[u]={name:d[1],explode:!!d[3],maxlength:d[4]&&parseInt(d[4],10)}}if(!l.length){throw new Error('Expression Missing Variable(s) "'+f[0]+'"')}s.push({expression:f[0],operator:f[1],variables:l})}if(!s.length){s.push(c(e))}this.parts=s;return this};i.prototype.get=function(e){var r=this.data;var t={type:0,val:[],encode:[],encodeReserved:[]};var n,i,s;if(this.cache[e]!==undefined){return this.cache[e]}this.cache[e]=t;if(String(Object.prototype.toString.call(r))==="[object Function]"){s=r(e)}else if(String(Object.prototype.toString.call(r[e]))==="[object Function]"){s=r[e](e)}else{s=r[e]}if(s===undefined||s===null){return t}else if(String(Object.prototype.toString.call(s))==="[object Array]"){for(n=0,i=s.length;n<i;n++){if(s[n]!==undefined&&s[n]!==null){t.val.push([undefined,String(s[n])])}}if(t.val.length){t.type=3}}else if(String(Object.prototype.toString.call(s))==="[object Object]"){for(n in s){if(a.call(s,n)&&s[n]!==undefined&&s[n]!==null){t.val.push([n,String(s[n])])}}if(t.val.length){t.type=2}}else{t.type=1;t.val.push([undefined,String(s)])}return t};e.expand=function(r,t){var a=new n(r);var i=a.expand(t);return new e(i)};return n});
//# sourceMappingURL=URITemplate.js.map