/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./DateTypeRange","sap/base/i18n/Formatting","sap/ui/core/Lib","sap/ui/core/Locale","sap/ui/core/format/DateFormat","sap/ui/core/format/NumberFormat","./calendar/CalendarUtils","./library","sap/base/Log","sap/ui/core/date/UI5Date"],function(t,e,a,n,i,r,o,g,u,s){"use strict";var p=t.extend("sap.ui.unified.CalendarAppointment",{metadata:{library:"sap.ui.unified",properties:{title:{type:"string",group:"Data"},text:{type:"string",group:"Data"},description:{type:"string",group:"Data"},icon:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},tentative:{type:"boolean",group:"Data",defaultValue:false},selected:{type:"boolean",group:"Data",defaultValue:false},key:{type:"string",group:"Data",defaultValue:null},color:{type:"sap.ui.core.CSSColor",group:"Appearance",defaultValue:null}},aggregations:{customContent:{type:"sap.ui.core.Control",multiple:true}}}});p.prototype.init=function(){this._sAppointmentPartSuffix=null};p.prototype.applyFocusInfo=function(t){var e=this.getParent();if(e){e.applyFocusInfo(t)}return this};p.prototype._getDateRangeIntersectionText=function(t){var o=this.getStartDate(),g=this.getEndDate()?this.getEndDate():s.getInstance(864e12),u,p,l=s.getInstance(t.getFullYear(),t.getMonth(),t.getDate(),0,0,0),m=s.getInstance(l.getFullYear(),l.getMonth(),l.getDate()+1),f=i.getTimeInstance({pattern:"HH:mm"}),c=a.getResourceBundleFor("sap.m"),d=r.getUnitInstance({allowedUnits:["duration-hour"]},new n(e.getLanguageTag())),T=r.getUnitInstance({allowedUnits:["duration-minute"]},new n(e.getLanguageTag())),h,A,D,I;if(o.getTime()>m.getTime()||g.getTime()<l.getTime()){u=""}else if(o.getTime()<=l.getTime()&&g.getTime()>=m.getTime()){u=c.getText("PLANNINGCALENDAR_ALLDAY")}else if(o.getTime()<l.getTime()){u=c.getText("PLANNINGCALENDAR_UNTIL");p=f.format(g)}else if(g.getTime()>m.getTime()){u=c.getText("PLANNINGCALENDAR_FROM");p=f.format(o)}else{u=f.format(o);if(g.getTime()-o.getTime()<36e5){A=(g.getTime()-o.getTime())/6e4;p=T.format(A,"duration-minute")}else if((g.getTime()-o.getTime())%36e5===0){h=(g.getTime()-o.getTime())/36e5;p=d.format(h,"duration-hour")}else{h=Math.floor((g.getTime()-o.getTime())/36e5);D=d.format(h,"duration-hour");A=(g.getTime()-o.getTime())/6e4%60;I=T.format(A,"duration-minute");p=c.getText("PLANNINGCALENDAR_APP_DURATION",[D,I])}}return{start:u,end:p}};p._getComparer=function(t){var e=24*60*60*1e3,a=s.getInstance(t.getFullYear(),t.getMonth(),t.getDate(),0,0,0).getTime(),n=a+e;return function(t,e){var i=t.appointment.getStartDate().getTime(),r=e.appointment.getStartDate().getTime(),o=t.appointment.getEndDate()?t.appointment.getEndDate().getTime():864e12,g=e.appointment.getEndDate()?e.appointment.getEndDate().getTime():864e12,u=i<=a&&o>=n,s=r<=a&&g>=n,p;if(u&&s||!u&&!s){p=i-r;if(p===0){p=g-o}}else if(u){p=-1}else{p=1}return p}};p.prototype.setColor=function(t){if(t&&!t.match(/^#[0-9a-f]{6}$/i)){u.warning("setColor accepts only full hex color value with pound symbol, but value is '"+t+"'")}return this.setProperty("color",t)};p.prototype._getCSSColorForBackground=function(t){if(t.length===4){t="#"+t.charAt(1)+t.charAt(1)+t.charAt(2)+t.charAt(2)+t.charAt(3)+t.charAt(3)}return"rgba("+[parseInt(t.substr(1,2),16),parseInt(t.substr(3,2),16),parseInt(t.substr(5,2),16)].join(", ")+", 0.2)"};p.prototype._setAppointmentPartSuffix=function(t){this._sAppointmentPartSuffix=t;return this};p.prototype.getDomRef=function(t){if(document.getElementById(this.getId())){return document.getElementById(t?this.getId()+"-"+t:this.getId())}else if(this._sAppointmentPartSuffix){return document.getElementById(t?this.getId()+"-"+this._sAppointmentPartSuffix+"-"+t:this.getId()+"-"+this._sAppointmentPartSuffix)}var e=document.querySelectorAll(".sapUiCalendarRowApps[id^='"+this.getId()+"-']");return e.length>0?e[0]:null};return p});
//# sourceMappingURL=CalendarAppointment.js.map