/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Control","./library","./CalendarLegendRenderer","sap/base/Log","sap/ui/core/Element","sap/ui/core/Lib","sap/ui/thirdparty/jquery","sap/ui/unified/CalendarLegendItem","sap/ui/Device","sap/ui/core/delegate/ItemNavigation"],function(e,t,i,n,a,r,jQuery,o,s,d){"use strict";var p=r.getResourceBundleFor("sap.ui.unified");var u=t.CalendarDayType;var g=t.StandardCalendarLegendItem;var l=e.extend("sap.ui.unified.CalendarLegend",{metadata:{library:"sap.ui.unified",properties:{standardItems:{type:"string[]",group:"Misc",defaultValue:["Today","Selected","WorkingDay","NonWorkingDay"]},columnWidth:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:"120px"}},aggregations:{items:{type:"sap.ui.unified.CalendarLegendItem",multiple:true,singularName:"item"},_standardItems:{type:"sap.ui.unified.CalendarLegendItem",multiple:true,visibility:"hidden"}},designtime:"sap/ui/unified/designtime/CalendarLegend.designtime"},constructor:function(t,i){e.prototype.constructor.apply(this,arguments);if(typeof t!=="string"){i=t}if(!i||i&&!i.standardItems){this._addStandardItems(this.getStandardItems())}this._bShouldRenderStandardItems=true;this._oItemNavigation=null},renderer:i});l.prototype.onAfterRendering=function(){if(!s.system.phone&&this._oParentControl){this._initItemNavigation()}};l.prototype.setStandardItems=function(e){var t;if(e&&e.length===1&&e[0]===""){e=[]}if(e&&e.length){e=this.validateProperty("standardItems",e);for(t=0;t<e.length;t++){if(!g[e[t]]){throw new Error("Invalid value '"+e[t]+"'. Property standardItems must contain values from sap.ui.unified.StandardCalendarLegendItem.")}}}this.setProperty("standardItems",e);this._addStandardItems(this.getStandardItems(),true);return this};l.prototype._initItemNavigation=function(){var e=this.getAggregation("_standardItems")||[],t=this.getItems()||[],i,n=[],a,r;i=e.concat(t);if(!i.length){return}r=i[0].getDomRef().parentElement;i.forEach(function(e,t){a=e.getFocusDomRef();a.setAttribute("tabindex","-1");n.push(a)});if(!this._oItemNavigation){this._oItemNavigation=(new d).setCycling(false).attachEvent(d.Events.AfterFocus,this._onItemNavigationAfterFocus,this).attachEvent(d.Events.FocusLeave,this._onItemNavigationFocusLeave,this).setDisabledModifiers({sapnext:["alt","meta","ctrl"],sapprevious:["alt","meta","ctrl"],saphome:["alt","meta","ctrl"],sapend:["meta","ctrl"]});this.addDelegate(this._oItemNavigation)}this._oItemNavigation.setRootDomRef(r).setItemDomRefs(n).setPageSize(i.length).setFocusedIndex(0)};l.prototype._onItemNavigationAfterFocus=function(e){var t=e.getSource(),i=t.getItemDomRefs()[t.getFocusedIndex()],n=a.getElementById(i.id).getType(),r=this._getParent();this._setSpecialDateTypeFilter(n);r&&r.invalidate()};l.prototype._onItemNavigationFocusLeave=function(e){var t=this._getParent();this._setSpecialDateTypeFilter();t&&t.invalidate()};l.prototype._setSpecialDateTypeFilter=function(e){this._sSpecialDateTypeFilter=e||""};l.prototype._getSpecialDateTypeFilter=function(){return this._sSpecialDateTypeFilter||""};l.prototype._setParent=function(e){this._oParentControl=e};l.prototype._getParent=function(){return this._oParentControl};l.prototype._getLegendAriaLabel=function(){return p.getText("LEGEND_ARIA_LABEL")};l.prototype._addStandardItems=function(e,t){var i,n=this.getId();if(t){this.destroyAggregation("_standardItems")}for(i=0;i<e.length;i++){var a=new o(n+"-"+e[i],{text:p.getText(l._Standard_Items_TextKeys[e[i]])});this.addAggregation("_standardItems",a)}};l._Standard_Items_TextKeys={Today:"LEGEND_TODAY",Selected:"LEGEND_SELECTED",WorkingDay:"LEGEND_NORMAL_DAY",NonWorkingDay:"LEGEND_NON_WORKING_DAY"};l.prototype._getItemType=function(e,t){var i=e.getType(),a,r;if(i&&i!==u.None){return i}r=this._getUnusedItemTypes(t);a=t.filter(function(e){return!e.getType()||e.getType()===u.None}).indexOf(e);if(a<0){n.error("Legend item is not in the legend",this);return i}if(r[a]){i=r[a]}else{i="Type"+(Object.keys(u).length+a-r.length-1)}return i};l.prototype._getItemByType=function(e){var t,i=this.getItems(),n;for(n=0;n<i.length;n++){if(this._getItemType(i[n],i)===e){t=i[n];break}}return t};l.prototype._getUnusedItemTypes=function(e){var t=jQuery.extend({},u),i,n;delete t[u.None];delete t[u.NonWorking];delete t[u.Working];for(n=0;n<e.length;n++){i=e[n].getType();if(t[i]){delete t[i]}}return Object.keys(t)};l.prototype._extractItemIdsString=function(e){return e.map(function(e){return e.getId()}).join(" ")};return l});
//# sourceMappingURL=CalendarLegend.js.map