/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./ColorPickerDisplayMode","sap/ui/Device","sap/ui/core/Lib"],function(e,o,r){"use strict";var t={apiVersion:2};t.render=function(t,n){var i=n.getDisplayMode(),s=n.bResponsive;t.openStart("div",n);t.accessibilityState(n,{role:"group",roledescription:r.getResourceBundleFor("sap.ui.unified").getText("COLOR_PICKER_TITLE")});if(s){t.class("sapUiColorPicker-ColorPickerMatrix");t.class("sapUiColorPicker-"+i);t.class("sapUnifiedColorPicker");if(n._bHSLMode){t.class("sapUiColorPickerHSL")}}if(o.system.phone){t.class("sapUiCPPhone")}t.openEnd();if(!s){t.renderControl(n.getAggregation("_grid"))}else{switch(i){case e.Default:this.renderDefaultColorPicker(t,n);break;case e.Large:this.renderLargeColorPicker(t,n);break;case e.Simplified:this.renderSimplifiedColorPicker(t,n)}}t.close("div")};t.renderDefaultColorPicker=function(e,r){e.renderControl(r.getAggregation("_oCPBox"));if(o.system.phone){e.openStart("div");e.class("sapUiCPPhoneContent");e.openEnd();e.openStart("div");e.class("sapUiCPSlidersPhone");e.openEnd();e.renderControl(r.getAggregation("_oSlider"));e.renderControl(r.getAggregation("_oAlphaSlider"));e.close("div");this.renderMobileSwatches(e,r);e.close("div")}else{e.renderControl(r.getAggregation("_oSlider"));e.renderControl(r.getAggregation("_oAlphaSlider"));this.renderDesktopSwatchesAndHexFields(e,r)}e.openStart("div");e.class("sapUiCPDefaultWrapper");e.openEnd();if(o.system.phone){e.renderControl(r.getAggregation("_oHexField"));e.openStart("div");e.class("sapUiCPHexText");e.openEnd();e.text("Hex");e.close("div")}e.openStart("div");e.class("sapUiCPDefaultRGB");e.openEnd();e.renderControl(r.getAggregation("_oRedField"));this.renderEmptyDiv(e);e.renderControl(r.getAggregation("_oGreenField"));this.renderEmptyDiv(e);e.renderControl(r.getAggregation("_oBlueField"));this.renderEmptyDiv(e);e.renderControl(r.getAggregation("_oAlphaField"));e.close("div");e.openStart("div");e.class("sapUiCPDefaultHSLV");e.openEnd();e.renderControl(r.getAggregation("_oHueField"));this.renderEmptyDiv(e);e.renderControl(r.getAggregation("_oSatField"));e.openStart("div");e.class("sapUiCPPercentSymbol");e.openEnd();e.text("%");e.close("div");e.renderControl(r.getAggregation("_oLitField"));e.renderControl(r.getAggregation("_oValField"));if(r.getMode()==="HSL"){e.openStart("div");e.class("sapUiCPPercentSymbol");e.openEnd();e.text("%");e.close("div")}else{this.renderEmptyDiv(e)}e.renderControl(r.getAggregation("_oAlphaField2"));e.close("div");e.renderControl(r.getAggregation("_oButton"));this.renderRGBLabel(e,r);this.renderHSLVLabel(e,r);e.close("div")};t.renderLargeColorPicker=function(e,o){e.renderControl(o.getAggregation("_oCPBox"));e.renderControl(o.getAggregation("_oSlider"));e.renderControl(o.getAggregation("_oAlphaSlider"));this.renderDesktopSwatchesAndHexFields(e,o);e.renderControl(o.oRGBorHSLRBUnifiedGroup);e.openStart("div");e.class("sapUiCPRGBA");e.openEnd();e.renderControl(o.getAggregation("_oRedField"));this.renderEmptyDiv(e);e.renderControl(o.getAggregation("_oGreenField"));this.renderEmptyDiv(e);e.renderControl(o.getAggregation("_oBlueField"));this.renderEmptyDiv(e);e.renderControl(o.getAggregation("_oAlphaField"));e.close("div");this.renderRGBLabel(e,o);e.openStart("div");e.class("sapUiCPHSLV");e.openEnd();e.renderControl(o.getAggregation("_oHueField"));this.renderEmptyDiv(e);e.renderControl(o.getAggregation("_oSatField"));e.openStart("div");e.class("sapUiCPPercentSymbol");e.openEnd();e.text("%");e.close("div");o.getMode()==="HSL"?this.renderLFirst(e,o):this.renderVFirst(e,o);e.close("div");this.renderHSLVLabel(e,o)};t.renderSimplifiedColorPicker=function(e,r){e.renderControl(r.getAggregation("_oCPBox"));if(o.system.phone){e.openStart("div");e.class("sapUiCPPhoneContent");e.openEnd();e.openStart("div");e.class("sapUiCPSlidersPhone");e.openEnd();e.renderControl(r.getAggregation("_oSlider"));e.close("div");e.renderControl(r.getAggregation("_oHexField"));this.renderMobileSwatches(e,r);e.openStart("div");e.class("sapUiCPHexWrapper");e.openEnd();e.openStart("div");e.class("sapUiCPHexText");e.openEnd();e.text("Hex");e.close("div");e.close("div");e.close("div")}else{e.renderControl(r.getAggregation("_oSlider"));this.renderDesktopSwatchesAndHexFields(e,r)}};t.renderDesktopSwatchesAndHexFields=function(e,o){e.openStart("div");e.class("sapUiCPComparisonWrapper");e.openEnd();e.openStart("div",o.getId()+"-ocBox");e.class("sapUiColorPicker-ColorPickerOldColor");e.openEnd();e.close("div");e.openStart("div",o.getId()+"-ncBox");e.class("sapUiColorPicker-ColorPickerNewColor");e.openEnd();e.close("div");e.close("div");e.openStart("div");e.class("sapUiCPHexWrapper");e.openEnd();e.openStart("span");e.class("sapUiCPHexText");e.openEnd();e.text("Hex");e.close("span");e.close("div");e.renderControl(o.getAggregation("_oHexField"))};t.renderMobileSwatches=function(e,o){e.openStart("div");e.class("sapUiCPComparisonWrapper");e.class("sapUiCPComparisonWrapperPhone");e.openEnd();e.openStart("div",o.getId()+"-ocBox");e.class("sapUiColorPicker-ColorPickerOldColor");e.openEnd();e.close("div");e.openStart("div",o.getId()+"-ncBox");e.class("sapUiColorPicker-ColorPickerNewColor");e.openEnd();e.close("div");e.close("div")};t.renderLFirst=function(e,o){e.renderControl(o.getAggregation("_oLitField"));e.openStart("div");e.class("sapUiCPPercentSymbol");e.openEnd();e.text("%");e.close("div");e.renderControl(o.getAggregation("_oValField"))};t.renderVFirst=function(e,o){e.renderControl(o.getAggregation("_oValField"));this.renderEmptyDiv(e);e.renderControl(o.getAggregation("_oLitField"))};t.renderEmptyDiv=function(e){e.openStart("div");e.class("sapUiCPEmptyDiv");e.openEnd();e.close("div")};t.renderRGBLabel=function(e,o){e.openStart("div");e.class("sapUiCPRGBText");e.openEnd();e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("R");e.close("span");this.renderEmptyDiv(e);e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("G");e.close("span");this.renderEmptyDiv(e);e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("B");e.close("span");this.renderEmptyDiv(e);if(o.getDisplayMode()==="Default"){e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("A");e.close("span")}else{e.openStart("span");e.class("sapUiCPText");e.openEnd();e.close("span")}e.close("div")};t.renderHSLVLabel=function(e,o){e.openStart("div");e.class("sapUiCPHSLVText");e.openEnd();e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("H");e.close("span");this.renderEmptyDiv(e);e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("S");e.close("span");this.renderEmptyDiv(e);if(o.getMode()==="HSL"){e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("L");e.close("span")}else{e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("V");e.close("span")}this.renderEmptyDiv(e);e.openStart("span");e.class("sapUiCPText");e.openEnd();e.text("A");e.close("span");e.close("div")};return t},true);
//# sourceMappingURL=ColorPickerRenderer.js.map