/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Element","sap/ui/core/Lib","sap/ui/unified/calendar/CalendarUtils","sap/ui/unified/calendar/CalendarDate","sap/ui/unified/CalendarLegend","sap/ui/unified/CalendarLegendRenderer","sap/ui/core/library","sap/ui/unified/library","sap/base/Log","sap/ui/core/InvisibleText","sap/ui/core/date/UI5Date","sap/ui/core/date/CalendarUtils","sap/ui/core/Locale"],function(e,a,t,i,n,r,s,l,d,o,c,p,g){"use strict";var y=l.CalendarDayType;var f=s.CalendarType;var u={apiVersion:2};u.render=function(e,t){var i=this.getStartDate(t),n=t.getTooltip_AsString(),r=a.getResourceBundleFor("sap.ui.unified"),s=t.getId(),l={value:"",append:!t._bCalendar},d="",c=t.getWidth();e.openStart("div",t);this.getClass(e,t).forEach(function(a){e.class(a)});if(t._getSecondaryCalendarType()){e.class("sapUiCalMonthSecType")}this.addWrapperAdditionalStyles(e,t);if(n){e.attr("title",n)}if(t._getShowHeader()){l.value=s+"-Head"}if(t._bCalendar){d=o.getStaticId("sap.ui.unified","CALENDAR_MONTH_PICKER_OPEN_HINT")+" "+o.getStaticId("sap.ui.unified","CALENDAR_YEAR_PICKER_OPEN_HINT")}if(c){e.style("width",c)}e.accessibilityState(t,{role:"grid",roledescription:t._bCalendar?"":r.getText("CALENDAR_DIALOG"),multiselectable:!t.getSingleSelection()||t.getIntervalSelection(),labelledby:l,describedby:d});e.openEnd();if(t.getIntervalSelection()){e.openStart("span",s+"-Start");e.style("display","none");e.openEnd();e.text(r.getText("CALENDAR_START_DATE"));e.close("span");e.openStart("span",s+"-End");e.style("display","none");e.openEnd();e.text(r.getText("CALENDAR_END_DATE"));e.close("span")}this.renderMonth(e,t,i);e.close("div")};u.addWrapperAdditionalStyles=function(){};u.getStartDate=function(e){return e._getDate()};u.getClass=function(e,a){var t=["sapUiCalMonthView"],i=a.getPrimaryCalendarType(),n=a.getShowWeekNumbers();if(i===f.Islamic||!n){t.push("sapUiCalNoWeekNum")}return t};u.renderMonth=function(e,a,t){this.renderHeader(e,a,t);this.renderDays(e,a,t)};u.renderHeader=function(e,a,t){var i=a._getLocaleData();var n=a._getFirstDayOfWeek();this.renderHeaderLine(e,a,i,t);e.openStart("div");e.accessibilityState(null,{role:"row"});e.style("overflow","hidden");e.openEnd();this.renderDayNames(e,a,i,n,7,true,undefined);e.close("div")};u.renderHeaderLine=function(e,a,i,n){t._checkCalendarDate(n);if(a._getShowHeader()){var r=a.getId();var s=a.getPrimaryCalendarType();var l=i.getMonthsStandAlone("wide",s);e.openStart("div",r+"-Head");e.class("sapUiCalHeadText");e.openEnd();e.text(l[n.getMonth()]);e.close("div")}};u.renderDayNames=function(e,a,t,i,n,r,s){var l=a._getFirstDayOfWeek();var d=a.getId();var o="";var c=a.getPrimaryCalendarType();var p=[];if(a._bLongWeekDays||!a._bNamesLengthChecked){p=t.getDaysStandAlone("abbreviated",c)}else{p=t.getDaysStandAlone("narrow",c)}var g=t.getDaysStandAlone("wide",c);if(a.getShowWeekNumbers()&&c!==f.Islamic){this.renderDummyCell(e,"sapUiCalWH",true,"columnheader")}for(var y=0;y<n;y++){if(r){o=d+"-WH"+(y+l)%7}else{o=d+"-WH"+y}e.openStart("div",o);e.class("sapUiCalWH");if(y===0){e.class("sapUiCalFirstWDay")}if(s){e.style("width",s)}e.accessibilityState(null,{role:"columnheader",label:g[(y+i)%7]});e.openEnd();e.text(p[(y+i)%7]);e.close("div")}};u.renderDays=function(e,a,i){var n,r,s,l,d,o,c;t._checkCalendarDate(i);if(!i){i=a._getFocusedDate()}o=i.toUTCJSDate().getTime();if(!o&&o!==0){throw new Error("Date is invalid "+a)}l=this.getDayHelper(a,i);r=a._getVisibleDays(i,true);c=a.getShowWeekNumbers();n=a.getPrimaryCalendarType()!==f.Islamic&&c;s=r.length;for(d=0;d<s;d++){if(d%7===0){e.openStart("div");e.attr("role","row");e.openEnd();if(n){this._renderWeekNumber(e,r[d],l,a)}}this.renderDay(e,a,r[d],l,true,n,-1);if(d%7===6||d===s-1){e.close("div")}}if(s===28){this.renderDummyCell(e,"sapUiCalItem",false,"")}};u.renderDummyCell=function(e,t,i,n){e.openStart("div");e.class(t);e.class("sapUiCalDummy");e.style("visibility",i?"visible":"hidden");e.attr("role",n);e.attr("aria-label",a.getResourceBundleFor("sap.ui.unified").getText("CALENDAR_WEEK"));e.openEnd();e.close("div")};u.getDayHelper=function(a,t){var r,s,l=a._getLocaleData(),o={sLocale:a._getLocale(),oLocaleData:l,iMonth:t.getMonth(),iYear:t.getYear(),iFirstDayOfWeek:a._getFirstDayOfWeek(),iWeekendStart:l.getWeekendStart(),iWeekendEnd:l.getWeekendEnd(),aNonWorkingDays:a._getNonWorkingDays()||[],sToday:l.getRelativeDay(0),oToday:i.fromLocalJSDate(c.getInstance(),a.getPrimaryCalendarType()),sId:a.getId(),oFormatLong:a._getFormatLong(),sPrimaryCalendarType:a.getPrimaryCalendarType(),sSecondaryCalendarType:a._getSecondaryCalendarType(),oLegend:undefined};s=a.getLegend();if(s&&typeof s==="string"){r=e.getElementById(s);if(r){if(!(r instanceof n)){throw new Error(r+" is not an sap.ui.unified.CalendarLegend. "+a)}o.oLegend=r}else{d.warning("CalendarLegend "+s+" does not exist!",a)}}return o};u.renderDay=function(e,a,n,s,l,d,o,c,f){t._checkCalendarDate(n);var u=new i(n,s.sSecondaryCalendarType),D={role:a._getAriaRole(),selected:false,label:"",describedby:a._getDayDescription()},C=n._bBeforeFirstYear,b="",m=s.oLegend;var S=a._oFormatYyyymmdd.format(n.toUTCJSDate(),true);var h=n.getDay();var _=a._checkDateSelected(n);var v=a._getDateTypes(n);var E=s&&s.oLegend?s.oLegend._getSpecialDateTypeFilter():"";var W=a._checkDateEnabled(n);var T=a._isSpecialDateMarkerEnabled(n);const I=v.length>0&&v[0].type;const N=v.length>0&&v[0].secondaryType;const k=s.aNonWorkingDays.length?s.aNonWorkingDays.some(e=>n.getDay()===e):t._isWeekend(n,a._getLocaleData());const L=I!==y.Working&&N!==y.Working&&k;const U=I===y.NonWorking||N===y.NonWorking||L;const A=a._oUnifiedRB.getText("LEGEND_NON_WORKING_DAY");const w=[];if(C){W=false}e.openStart("div",s.sId+"-"+S);e.class("sapUiCalItem");e.class("sapUiCalWDay"+h);if(c){e.style("width",c)}if(h===s.iFirstDayOfWeek){e.class("sapUiCalFirstWDay")}if(l&&s.iMonth!==n.getMonth()){e.class("sapUiCalItemOtherMonth");D["disabled"]=true}if(n.isSame(s.oToday)){e.class("sapUiCalItemNow");w.push(a._oUnifiedRB.getText("LEGEND_TODAY"))}if(_>0){e.class("sapUiCalItemSel");D["selected"]=true}else{D["selected"]=false}if(_===2){e.class("sapUiCalItemSelStart");D["describedby"]=D["describedby"]+" "+s.sId+"-Start"}else if(_===3){e.class("sapUiCalItemSelEnd");D["describedby"]=D["describedby"]+" "+s.sId+"-End"}else if(_===4){e.class("sapUiCalItemSelBetween")}else if(_===5){e.class("sapUiCalItemSelStart");e.class("sapUiCalItemSelEnd");D["describedby"]=D["describedby"]+" "+s.sId+"-Start";D["describedby"]=D["describedby"]+" "+s.sId+"-End"}if(this.renderWeekNumbers&&a._oDate){const e=p.getWeekConfigurationValues(a.getCalendarWeekNumbering(),new g(a._getLocale()));e.firstDayOfWeek=a._getFirstDayOfWeek();const r=i.fromUTCDate(t.getFirstDateOfWeek(n.toLocalJSDate(),e),a.getPrimaryCalendarType());D["describedby"]=D["describedby"]+" "+a.getId()+"-week-"+a._calculateWeekNumber(r)+"-text"}if(U){e.class("sapUiCalItemWeekEnd");w.push(A)}if(T){v.forEach(function(a,t){if(a.type!==y.None){if(E===""||E===y.None||E===a.type){if(t===0){e.class("sapUiCalItem"+a.type)}b=a.type;if(a.tooltip){w.push(a.tooltip)}}}})}if(w.length){const a=w.filter((e,a)=>w.indexOf(e)===a);e.attr("title",a.join(" "))}if((a.getParent()&&a.getParent().getMetadata().getName()==="sap.ui.unified.CalendarOneMonthInterval"||a.getMetadata().getName()==="sap.ui.unified.calendar.OneMonthDatesRow")&&a.getStartDate()&&s.iMonth!==n.getMonth()){e.class("sapUiCalItemOtherMonth")}if(!W){e.class("sapUiCalItemDsbl");D["disabled"]=true}e.attr("tabindex","-1");e.attr("data-sap-day",S);if(f){D["label"]=D["label"]+s.aWeekDaysWide[h]+" "}D["label"]=D["label"]+s.oFormatLong.format(n.toUTCJSDate(),true);if(b!==""){r.addCalendarTypeAccInfo(D,b,m)}if(s.sSecondaryCalendarType){D["label"]=D["label"]+" "+a._oFormatSecondaryLong.format(u.toUTCJSDate(),true)}e.accessibilityState(null,D);e.openEnd();if(v[0]&&T){e.openStart("div");e.class("sapUiCalSpecialDate");if(v[0].color&&(E===""||E===y.None)){e.style("background-color",v[0].color)}e.openEnd();e.close("div")}e.openStart("span");e.class("sapUiCalItemText");if(v[0]&&v[0].color){e.class("sapUiCalItemTextCustomColor")}e.openEnd();if(!C){e.text(n.getDate())}e.close("span");if(f){e.openStart("span");e.class("sapUiCalDayName");e.openEnd();e.text(s.aWeekDays[h]);e.close("span")}if(s.sSecondaryCalendarType){e.openStart("span");e.class("sapUiCalItemSecText");e.openEnd();e.text(u.getDate());e.close("span")}e.close("div")};u._renderWeekNumber=function(e,a,t,i){var n=i._calculateWeekNumber(a);var r=t.sId+"-WNum-"+n;e.openStart("div",r);e.class("sapUiCalWeekNum");e.accessibilityState(null,{role:"rowheader",labelledby:o.getStaticId("sap.ui.unified","CALENDAR_WEEK")+" "+r});e.openEnd();e.text(n);e.close("div")};return u},true);
//# sourceMappingURL=MonthRenderer.js.map