/*!
 * OpenUI5
 * (c) Copyright 2009-2024 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
(function(){"use strict";var e=globalThis.sap&&globalThis.sap.ui&&globalThis.sap.ui.loader;if(e==null){throw new Error("ui5loader-autoconfig.js: ui5loader is needed, but could not be found")}const r=globalThis.define;globalThis.define=function r(i,a,t){const o=a.map(e=>sap.ui.require(e));const s=t(...o);e._.defineModuleSync(`${i}.js`,s)};define("sap/base/strings/_camelize",[],function(){var e=/[-\.]([a-z0-9])/gi;var r=function(r){var i=r.replace(e,function(e,r){return r.toUpperCase()});if(/^[a-z][A-Za-z0-9]*$/.test(i)){return i}return undefined};return r});function i(){var e;function r(e,r){var i=e&&e.getAttribute("src");var a=r.exec(i);var t;if(a){t={tag:e,url:i,resourceRoot:a[1]||""}}return t}if(globalThis.document){var i=/^((?:.*\/)?resources\/)/,a,t,o;e=r(globalThis.document.querySelector("SCRIPT[src][id=sap-ui-bootstrap]"),i);if(!e){t=globalThis.document.querySelectorAll("SCRIPT[src]");a=/^([^?#]*\/)?(?:sap-ui-(?:core|custom|boot|merged)(?:-[^?#/]*)?|jquery.sap.global|ui5loader(?:-autoconfig)?)\.js(?:[?#]|$)/;for(o=0;o<t.length;o++){e=r(t[o],a);if(e){break}}}}return e||{}}function a(){var r="sap-ui-config.json",a=globalThis["sap-ui-config"];if(typeof a==="string"){if(globalThis.XMLHttpRequest){e._.logger.warning('Loading external bootstrap configuration from "'+a+'". This is a design time feature and not for productive usage!');if(a!==r){e._.logger.warning('The external bootstrap configuration file should be named "'+r+'"!')}try{var t=new XMLHttpRequest;t.open("GET",a,false);t.setRequestHeader("Accept","application/json, text/javascript");t.addEventListener("load",function(){try{if(t.responseType==="json"){globalThis["sap-ui-config"]=t.response}else{globalThis["sap-ui-config"]=JSON.parse(t.responseText)}}catch(r){e._.logger.error('Parsing externalized bootstrap configuration from "'+a+'" failed! Reason: '+r+"!")}});t.addEventListener("error",function(){e._.logger.error('Loading externalized bootstrap configuration from "'+a+'" failed! Response: '+t.status+"!")});t.send(null);globalThis["sap-ui-config"].__loaded=true}catch(r){e._.logger.error('Loading externalized bootstrap configuration from "'+a+'" failed! Reason: '+r+"!")}}}var o=i();if(o.tag){var s=o.tag.dataset;if(s["sapUiConfig"]){var n=s["sapUiConfig"];var u;try{u=JSON.parse("{"+n+"}")}catch(r){e._.logger.error("JSON.parse on the data-sap-ui-config attribute failed. Please check the config for JSON syntax violations.");u=new Function("return {"+n+"};")()}if(u){if(!globalThis["sap-ui-config"]){globalThis["sap-ui-config"]={}}Object.assign(globalThis["sap-ui-config"],u)}}}}a();define("sap/base/config/GlobalConfigurationProvider",["sap/base/strings/_camelize"],function(r){var i;var a=Object.create(null);var t=/^(sapUiXx|sapUi|sap)((?:[A-Z0-9][a-z]*)+)$/;var o=Object.create(null);var s=false;var n;function u(){i=Object.create(null);globalThis["sap-ui-config"]??={};var a={};var t=globalThis["sap-ui-config"];if(typeof t==="object"){for(var s in t){var n=r("sapUi-"+s);var u=o[n];if(!n){e._.logger.error("Invalid configuration option '"+s+"' in global['sap-ui-config']!")}else if(Object.hasOwn(i,n)){e._.logger.error("Configuration option '"+s+"' was already set by '"+a[n]+"' and will be ignored!")}else if(Object.hasOwn(o,n)&&t[s]!==u){i[n]=u;e._.logger.error("Configuration option '"+n+"' was frozen and cannot be changed to "+t[s]+"!")}else{i[n]=t[s];a[n]=s}}}a=undefined}function p(){if(!s){u();n._.invalidate();s=true}}function d(e,r){if(Object.hasOwn(o,e)){return o[e]}var s=a[e]||i[e];if(!Object.hasOwn(i,e)&&!Object.hasOwn(a,e)){var n=e.match(t);var u=n?n[1]+n[2][0]+n[2].slice(1).toLowerCase():undefined;if(u){s=a[u]||i[u]}}if(r){o[e]=s}return s}function l(r,i){if(Object.hasOwn(o,r)||s){e._.logger.error("Configuration option '"+r+"' was frozen and cannot be changed to "+i+"!")}else{a[r]=i}}function c(e){n=e}var f={get:d,set:l,freeze:p,setConfiguration:c,_:{configLoaded(){return!!globalThis["sap-ui-config"].__loaded}}};u();return f});define("sap/ui/core/config/BootstrapConfigurationProvider",["sap/base/strings/_camelize"],function(r){var a=Object.create(null);var t=/^(sapUiXx|sapUi|sap)((?:[A-Z0-9][a-z]*)+)$/;var o=i();if(o.tag){var s=o.tag.dataset;if(s){for(var n in s){var u=r(n);if(!u){e._.logger.error("Invalid configuration option '"+n+"' in bootstrap!")}else if(Object.hasOwn(a,u)){e._.logger.error("Configuration option '"+n+"' already exists and will be ignored!")}else{a[u]=s[n]}}}}function p(e){var r=a[e];if(r===undefined){var i=e.match(t);var o=i?i[1]+i[2][0]+i[2].slice(1).toLowerCase():undefined;if(o){r=a[o]}}return r}var d={get:p};return d});define("sap/ui/base/config/URLConfigurationProvider",["sap/base/strings/_camelize"],function(r){var i=Object.create(null);if(globalThis.location){i=Object.create(null);var a={};var t=globalThis.location.search;var o=new URLSearchParams(t);o.forEach(function(t,o){const s=/sap\-?([Uu]?i\-?)?/.test(o);var n=r(o);if(n){if(Object.hasOwn(i,n)){e._.logger.error("Configuration option '"+o+"' was already set by '"+a[n]+"' and will be ignored!")}else{i[n]=t;a[n]=o}}else if(s){e._.logger.error("Invalid configuration option '"+o+"' in url!")}});a=undefined}function s(e){return i[e]}var n={external:true,get:s};return n});define("sap/ui/base/config/MetaConfigurationProvider",["sap/base/strings/_camelize"],function(r){var i=Object.create(null);if(globalThis.document){i=Object.create(null);var a={};var t=globalThis.document.querySelectorAll("meta");t.forEach(function(t){var o=r(t.name);const s=/sap\-?([Uu]?i\-?)?/.test(t.name);if(o){if(Object.hasOwn(i,o)){e._.logger.error("Configuration option '"+t.name+"' was already set by '"+a[o]+"' and will be ignored!")}else{i[o]=t.content;a[o]=t.name}}else if(t.name&&s){e._.logger.error("Invalid configuration option '"+t.name+"' in meta tag!")}});a=undefined}function o(e){return i[e]}var s={get:o};return s});define("sap/base/config/_Configuration",["sap/base/config/GlobalConfigurationProvider"],function e(r){var i=/^[a-z][A-Za-z0-9]*$/;var a=/^(sapUi(?!Xx))(.*)$/;var t=Object.create(null);var o=[r];var s={name:"sapUiIgnoreUrlParams",type:"boolean"};var n={boolean:false,code:undefined,integer:0,string:"","string[]":[],"function[]":[],function:undefined,object:{},mergedObject:{}};var u={Boolean:"boolean",Code:"code",Integer:"integer",String:"string",StringArray:"string[]",FunctionArray:"function[]",Function:"function",Object:"object",MergedObject:"mergedObject"};var p=b(s);function d(e){if(e==null){return e}else if(Array.isArray(e)){return l(e)}else if(typeof e==="object"){return c(e)}else{return e}}function l(e){var r=[];for(var i=0;i<e.length;i++){r.push(d(e[i]))}return r}function c(e){var r={};for(var i in e){if(i==="__proto__"){continue}r[i]=d(e[i])}return r}function f(e){if(o.indexOf(e)===-1){o.push(e);h();p=b(s)}}function g(e,r,i){if(e===undefined||e===null){return e}if(typeof r==="string"){switch(r){case u.Boolean:if(typeof e==="string"){return e.toLowerCase()==="true"||e.toLowerCase()==="x"}else{e=!!e}break;case u.Code:e=typeof e==="function"?e:String(e);break;case u.Integer:if(typeof e==="string"){e=parseInt(e)}if(typeof e!=="number"&&isNaN(e)){throw new TypeError("unsupported value")}break;case u.String:e=""+e;break;case u.StringArray:if(Array.isArray(e)){return e}else if(typeof e==="string"){e=e?e.split(/[,;]/).map(function(e){return e.trim()}):[];return e}else{throw new TypeError("unsupported value")}case u.FunctionArray:e.forEach(function(e){if(typeof e!=="function"){throw new TypeError("Not a function: "+e)}});break;case u.Function:if(typeof e!=="function"){throw new TypeError("unsupported value")}break;case u.Object:case u.MergedObject:if(typeof e==="string"){e=JSON.parse(e)}if(typeof e!=="object"){throw new TypeError("unsupported value")}break;default:throw new TypeError("unsupported type")}}else if(typeof r==="object"&&!Array.isArray(r)){e=y(r,e,i)}else if(typeof r==="function"){e=r(e)}else{throw new TypeError("unsupported type")}return e}function y(e,r,i){var a=[];for(var t in e){if(e.hasOwnProperty(t)){if(e[t]===r){return r}a.push(e[t])}}throw new TypeError("Unsupported Enumeration value for "+i+", valid values are: "+a.join(", "))}function b(e){if(typeof e.name!=="string"||!i.test(e.name)){throw new TypeError("Invalid configuration key '"+e.name+"'!")}var r=e.name;if(e.provider){r+="-"+e.provider.getId()}if(!(r in t)){e=Object.assign({},e);var s;var l=p||!e.external;var c=e.name;var f=c.match(a);var y=e.hasOwnProperty("defaultValue")?e.defaultValue:n[e.type];const i=[...o,...e.provider?[e.provider]:[]];for(var h=i.length-1;h>=0;h--){if(!i[h].external||!l){const r=g(i[h].get(c,e.freeze),e.type,e.name);if(r!==undefined){if(e.type===u.MergedObject){s=Object.assign({},r,s)}else{s=r;break}}}}if(s===undefined&&(f&&f[1]==="sapUi")){e.name=f[1]+"Xx"+f[2];s=b(e)}if(s===undefined){if(typeof y==="function"){y=y()}s=y}t[r]=s}var v=t[r];if(typeof e.type!=="function"&&(e.type===u.StringArray||e.type===u.Object||e.type===u.MergedObject)){v=d(v)}return v}function h(){t=Object.create(null)}var v={get:b,registerProvider:f,Type:u,_:{checkEnum:y,invalidate:h}};r.setConfiguration(v);return v});globalThis.define=r;function t(){var e=sap.ui.require("sap/base/config/_Configuration");e.registerProvider(sap.ui.require("sap/ui/core/config/BootstrapConfigurationProvider"));e.registerProvider(sap.ui.require("sap/ui/base/config/MetaConfigurationProvider"));e.registerProvider(sap.ui.require("sap/ui/base/config/URLConfigurationProvider"))}t();var o=sap.ui.require("sap/base/config/_Configuration");var s,n,u,p,d,l;function c(e,r){var i=e&&e.getAttribute("src"),a=r.exec(i);if(a){s=a[1]||"";l=i;n=/sap-ui-core-nojQuery\.js(?:[?#]|$)/.test(i);return true}return false}function f(e){return e&&e[e.length-1]!=="/"?e+"/":e}if(!c(document.querySelector("SCRIPT[src][id=sap-ui-bootstrap]"),/^((?:[^?#]*\/)?resources\/)/)){p=/^([^?#]*\/)?(?:sap-ui-(?:core|custom|boot|merged)(?:-[^?#/]*)?|jquery.sap.global|ui5loader(?:-autoconfig)?)\.js(?:[?#]|$)/;u=document.scripts;for(d=0;d<u.length;d++){if(c(u[d],p)){break}}}var g=o.get({name:"sapUiResourceRoots",type:o.Type.MergedObject});if(typeof g[""]==="string"){s=g[""]}if(s==null){throw new Error("ui5loader-autoconfig.js: could not determine base URL. No known script tag and no configuration found!")}(function(){var e;try{e=window.localStorage.getItem("sap-ui-reboot-URL")}catch(e){}var r=o.get({name:"sapBootstrapDebug",type:o.Type.Boolean,external:true,freeze:true});if(r){debugger}if(e){var i=f(s)+"sap/ui/core/support/debugReboot.js";document.write('<script src="'+i+'"><\/script>');var a=new Error("This is not a real error. Aborting UI5 bootstrap and rebooting from: "+e);a.name="Restart";throw a}})();(function(){var r=o.get({name:"sapUiDebug",type:o.Type.String,defaultValue:false,external:true,freeze:true});try{r=r||window.localStorage.getItem("sap-ui-debug")}catch(e){}if(typeof r==="string"){if(/^(?:false|true|x|X)$/.test(r)){r=r!=="false"}}else{r=!!r}if(/-dbg\.js([?#]|$)/.test(l)){window["sap-ui-loaddbg"]=true;r=r||true}window["sap-ui-debug"]=r;window["sap-ui-optimized"]=window["sap-ui-optimized"]||/\.getAttribute/.test(c)&&!/oScript/.test(c);if(window["sap-ui-optimized"]&&r){window["sap-ui-loaddbg"]=true;if(r===true&&!window["sap-ui-debug-no-reboot"]){var i;if(l!=null){i=l.replace(/\/(?:sap-ui-cachebuster\/)?([^\/]+)\.js/,"/$1-dbg.js")}else{i=f(s)+"sap-ui-core.js"}e.config({amd:false});window["sap-ui-optimized"]=false;if(e.config().async){var a=document.createElement("script");a.src=i;document.head.appendChild(a)}else{document.write('<script src="'+i+'"><\/script>')}var t=new Error("This is not a real error. Aborting UI5 bootstrap and restarting from: "+i);t.name="Restart";throw t}}function n(e){if(!/\/\*\*\/$/.test(e)){e=e.replace(/\/$/,"/**/")}return e.replace(/\*\*\/|\*|[[\]{}()+?.\\^$|]/g,function(e){switch(e){case"**/":return"(?:[^/]+/)*";case"*":return"[^/]*";default:return"\\"+e}})}var u;if(typeof r==="string"){var p="^(?:"+r.split(/,/).map(n).join("|")+")",d=new RegExp(p);u=function(e){return d.test(e)};e._.logger.debug("Modules that should be excluded from preload: '"+p+"'")}else if(r===true){u=function(){return true};e._.logger.debug("All modules should be excluded from preload")}e.config({debugSources:!!window["sap-ui-loaddbg"],ignoreBundledResources:u})})();const y=o.get({name:"sapUiXxFuture",type:o.Type.Boolean,external:true,freeze:true});(()=>{const r=o.get({name:"sapUiAsync",type:o.Type.Boolean,external:true,freeze:true})||y;if(r){e.config({async:true})}})();e._.maxTaskDuration=o.get({name:"sapUiXxMaxLoaderTaskDuration",type:o.Type.Integer,defaultValue:undefined,external:true,freeze:true});const b=o.get({name:"sapUiAmd",type:o.Type.Boolean,defaultValue:!o.get({name:"sapUiNoLoaderConflict",type:o.Type.Boolean,defaultValue:true,external:true,freeze:true}),external:true,freeze:true});let h=0;let v=o.get({name:"sapUiXxNoSync",type:o.Type.String,external:true,freeze:true});v=y?"x":v;if(v==="warn"){h=1}else if(/^(true|x)$/i.test(v)){h=2}(()=>{const r=sap.ui.require("sap/base/config/GlobalConfigurationProvider");if(h&&r._.configLoaded()){const r="[nosync]: configuration loaded via sync XHR";if(h===1){e._.logger.warning(r)}else{e._.logger.error(r)}}})();e.config({baseUrl:s,amd:b,map:{"*":{blanket:"sap/ui/thirdparty/blanket",crossroads:"sap/ui/thirdparty/crossroads",d3:"sap/ui/thirdparty/d3",handlebars:"sap/ui/thirdparty/handlebars",hasher:"sap/ui/thirdparty/hasher",IPv6:"sap/ui/thirdparty/IPv6",jquery:"sap/ui/thirdparty/jquery",jszip:"sap/ui/thirdparty/jszip",less:"sap/ui/thirdparty/less",OData:"sap/ui/thirdparty/datajs",punycode:"sap/ui/thirdparty/punycode",SecondLevelDomains:"sap/ui/thirdparty/SecondLevelDomains",sinon:"sap/ui/thirdparty/sinon",signals:"sap/ui/thirdparty/signals",URI:"sap/ui/thirdparty/URI",URITemplate:"sap/ui/thirdparty/URITemplate",esprima:"sap/ui/documentation/sdk/thirdparty/esprima"}},reportSyncCalls:h,shim:{"sap/ui/thirdparty/bignumber":{amd:true,exports:"BigNumber"},"sap/ui/thirdparty/blanket":{amd:true,exports:"blanket"},"sap/ui/thirdparty/caja-html-sanitizer":{amd:false,exports:"html"},"sap/ui/thirdparty/crossroads":{amd:true,exports:"crossroads",deps:["sap/ui/thirdparty/signals"]},"sap/ui/thirdparty/d3":{amd:true,exports:"d3"},"sap/ui/thirdparty/datajs":{amd:true,exports:"OData"},"sap/ui/thirdparty/handlebars":{amd:true,exports:"Handlebars"},"sap/ui/thirdparty/hasher":{amd:true,exports:"hasher",deps:["sap/ui/thirdparty/signals"]},"sap/ui/thirdparty/IPv6":{amd:true,exports:"IPv6"},"sap/ui/thirdparty/iscroll-lite":{amd:false,exports:"iScroll"},"sap/ui/thirdparty/iscroll":{amd:false,exports:"iScroll"},"sap/ui/thirdparty/jquery":{amd:true,exports:"jQuery",deps:["sap/ui/thirdparty/jquery-compat"]},"sap/ui/thirdparty/jqueryui/jquery-ui-datepicker":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-core"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-draggable":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-mouse"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-droppable":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-mouse","sap/ui/thirdparty/jqueryui/jquery-ui-draggable"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-effect":{deps:["sap/ui/thirdparty/jquery"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-mouse":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-core","sap/ui/thirdparty/jqueryui/jquery-ui-widget"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-position":{deps:["sap/ui/thirdparty/jquery"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-resizable":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-mouse"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-selectable":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-mouse"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-sortable":{deps:["sap/ui/thirdparty/jqueryui/jquery-ui-mouse"],exports:"jQuery"},"sap/ui/thirdparty/jqueryui/jquery-ui-widget":{deps:["sap/ui/thirdparty/jquery"],exports:"jQuery"},"sap/ui/thirdparty/jquery-mobile-custom":{amd:true,deps:["sap/ui/thirdparty/jquery","sap/ui/Device"],exports:"jQuery.mobile"},"sap/ui/thirdparty/jszip":{amd:true,exports:"JSZip"},"sap/ui/thirdparty/less":{amd:true,exports:"less"},"sap/ui/thirdparty/qunit-2":{amd:false,exports:"QUnit"},"sap/ui/thirdparty/punycode":{amd:true,exports:"punycode"},"sap/ui/thirdparty/RequestRecorder":{amd:true,exports:"RequestRecorder",deps:["sap/ui/thirdparty/URI","sap/ui/thirdparty/sinon"]},"sap/ui/thirdparty/require":{exports:"define"},"sap/ui/thirdparty/SecondLevelDomains":{amd:true,exports:"SecondLevelDomains"},"sap/ui/thirdparty/signals":{amd:true,exports:"signals"},"sap/ui/thirdparty/sinon":{amd:true,exports:"sinon"},"sap/ui/thirdparty/sinon-4":{amd:true,exports:"sinon"},"sap/ui/thirdparty/sinon-server":{amd:true,exports:"sinon"},"sap/ui/thirdparty/URI":{amd:true,exports:"URI"},"sap/ui/thirdparty/URITemplate":{amd:true,exports:"URITemplate",deps:["sap/ui/thirdparty/URI"]},"sap/ui/thirdparty/vkbeautify":{amd:false,exports:"vkbeautify"},"sap/ui/thirdparty/zyngascroll":{amd:false,exports:"Scroller"},"sap/ui/demokit/js/esprima":{amd:true,exports:"esprima"},"sap/ui/documentation/sdk/thirdparty/esprima":{amd:true,exports:"esprima"},"sap/viz/libs/canvg":{deps:["sap/viz/libs/rgbcolor"]},"sap/viz/libs/rgbcolor":{},"sap/viz/libs/sap-viz":{deps:["sap/viz/library","sap/ui/thirdparty/jquery","sap/ui/thirdparty/d3","sap/viz/libs/canvg"]},"sap/viz/libs/sap-viz-info-charts":{deps:["sap/viz/libs/sap-viz-info-framework"]},"sap/viz/libs/sap-viz-info-framework":{deps:["sap/ui/thirdparty/jquery","sap/ui/thirdparty/d3"]},"sap/viz/ui5/container/libs/sap-viz-controls-vizcontainer":{deps:["sap/viz/libs/sap-viz","sap/viz/ui5/container/libs/common/libs/rgbcolor/rgbcolor_static"]},"sap/viz/ui5/controls/libs/sap-viz-vizframe/sap-viz-vizframe":{deps:["sap/viz/libs/sap-viz-info-charts"]},"sap/viz/ui5/controls/libs/sap-viz-vizservices/sap-viz-vizservices":{deps:["sap/viz/libs/sap-viz-info-charts"]},"sap/viz/resources/chart/templates/standard_fiori/template":{deps:["sap/viz/libs/sap-viz-info-charts"]}}});var m=e._.defineModuleSync;m("ui5loader.js",null);m("ui5loader-autoconfig.js",null);if(n&&typeof jQuery==="function"){m("sap/ui/thirdparty/jquery.js",jQuery);if(jQuery.ui&&jQuery.ui.position){m("sap/ui/thirdparty/jqueryui/jquery-ui-position.js",jQuery)}}var j=o.get({name:"sapUiMain",type:o.Type.String,freeze:true});if(j){sap.ui.require(j.trim().split(/\s*,\s*/))}})();
//# sourceMappingURL=ui5loader-autoconfig.js.map